/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#include <svtools/ehdl.hxx>
#include <svl/itempool.hxx>
#include <svl/urihelper.hxx>
#include <svtools/helpopt.hxx>
#include <framework/sfxhelperfunctions.hxx>
#include <rtl/ustring.hxx>
#include <com/sun/star/uno/Exception.hpp>
#include <com/sun/star/uno/RuntimeException.hpp>

#include <sfxtypes.hxx>
#include <appdata.hxx>
#include <sfx2/docfac.hxx>
#include <sfx2/app.hxx>
#include <arrdecl.hxx>
#include <sfx2/dispatch.hxx>
#include <sfx2/fcontnr.hxx>
#include <sfx2/viewsh.hxx>
#include <sfx2/msgpool.hxx>
#include <sfx2/docfile.hxx>
#include <workwin.hxx>


SfxFilterMatcher& SfxApplication::GetFilterMatcher()
{
    if( !pImpl->pMatcher )
    {
        pImpl->pMatcher = new SfxFilterMatcher();
        URIHelper::SetMaybeFileHdl( LINK(
            pImpl->pMatcher, SfxFilterMatcher, MaybeFileHdl_Impl ) );
    }
    return *pImpl->pMatcher;
}

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
