#ifndef INCLUDED_OFFICECFG_INET_HXX
#define INCLUDED_OFFICECFG_INET_HXX

#include "sal/config.h"

#include "boost/optional.hpp"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Inet {

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings"); }

struct ooInetNoProxy: public comphelper::ConfigurationProperty<ooInetNoProxy, OUString> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ooInetNoProxy"); }
private:
    ooInetNoProxy(); // not defined
    ~ooInetNoProxy(); // not defined
};

struct ooInetProxyType: public comphelper::ConfigurationProperty<ooInetProxyType, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ooInetProxyType"); }
private:
    ooInetProxyType(); // not defined
    ~ooInetProxyType(); // not defined
};

struct ooInetFTPProxyName: public comphelper::ConfigurationProperty<ooInetFTPProxyName, OUString> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ooInetFTPProxyName"); }
private:
    ooInetFTPProxyName(); // not defined
    ~ooInetFTPProxyName(); // not defined
};

struct ooInetFTPProxyPort: public comphelper::ConfigurationProperty<ooInetFTPProxyPort, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ooInetFTPProxyPort"); }
private:
    ooInetFTPProxyPort(); // not defined
    ~ooInetFTPProxyPort(); // not defined
};

struct ooInetHTTPProxyName: public comphelper::ConfigurationProperty<ooInetHTTPProxyName, OUString> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ooInetHTTPProxyName"); }
private:
    ooInetHTTPProxyName(); // not defined
    ~ooInetHTTPProxyName(); // not defined
};

struct ooInetHTTPProxyPort: public comphelper::ConfigurationProperty<ooInetHTTPProxyPort, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ooInetHTTPProxyPort"); }
private:
    ooInetHTTPProxyPort(); // not defined
    ~ooInetHTTPProxyPort(); // not defined
};

struct ooInetHTTPSProxyName: public comphelper::ConfigurationProperty<ooInetHTTPSProxyName, OUString> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ooInetHTTPSProxyName"); }
private:
    ooInetHTTPSProxyName(); // not defined
    ~ooInetHTTPSProxyName(); // not defined
};

struct ooInetHTTPSProxyPort: public comphelper::ConfigurationProperty<ooInetHTTPSProxyPort, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ooInetHTTPSProxyPort"); }
private:
    ooInetHTTPSProxyPort(); // not defined
    ~ooInetHTTPSProxyPort(); // not defined
};

struct ConnectTimeout: public comphelper::ConfigurationProperty<ConnectTimeout, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ConnectTimeout"); }
private:
    ConnectTimeout(); // not defined
    ~ConnectTimeout(); // not defined
};

struct ReadTimeout: public comphelper::ConfigurationProperty<ReadTimeout, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/ReadTimeout"); }
private:
    ReadTimeout(); // not defined
    ~ReadTimeout(); // not defined
};

struct OptsCacheLifeImplWeb: public comphelper::ConfigurationProperty<OptsCacheLifeImplWeb, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/OptsCacheLifeImplWeb"); }
private:
    OptsCacheLifeImplWeb(); // not defined
    ~OptsCacheLifeImplWeb(); // not defined
};

struct OptsCacheLifeDAV: public comphelper::ConfigurationProperty<OptsCacheLifeDAV, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/OptsCacheLifeDAV"); }
private:
    OptsCacheLifeDAV(); // not defined
    ~OptsCacheLifeDAV(); // not defined
};

struct OptsCacheLifeDAVLocked: public comphelper::ConfigurationProperty<OptsCacheLifeDAVLocked, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/OptsCacheLifeDAVLocked"); }
private:
    OptsCacheLifeDAVLocked(); // not defined
    ~OptsCacheLifeDAVLocked(); // not defined
};

struct OptsCacheLifeNotImpl: public comphelper::ConfigurationProperty<OptsCacheLifeNotImpl, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/OptsCacheLifeNotImpl"); }
private:
    OptsCacheLifeNotImpl(); // not defined
    ~OptsCacheLifeNotImpl(); // not defined
};

struct OptsCacheLifeNotFound: public comphelper::ConfigurationProperty<OptsCacheLifeNotFound, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Inet/Settings/OptsCacheLifeNotFound"); }
private:
    OptsCacheLifeNotFound(); // not defined
    ~OptsCacheLifeNotFound(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

} }

#endif
