#ifndef INCLUDED_OFFICECFG_OFFICE_CALC_HXX
#define INCLUDED_OFFICECFG_OFFICE_CALC_HXX

#include "sal/config.h"

#include "boost/optional.hpp"
#include "com/sun/star/uno/Sequence.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Calc {

struct UnitConversion: public comphelper::ConfigurationSet< UnitConversion> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/UnitConversion"); }
private:
    UnitConversion(); // not defined
    ~UnitConversion(); // not defined
};

struct Content: public comphelper::ConfigurationGroup< Content> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content"); }

struct Display: public comphelper::ConfigurationGroup< Display> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display"); }

struct Formula: public comphelper::ConfigurationProperty<Formula, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display/Formula"); }
private:
    Formula(); // not defined
    ~Formula(); // not defined
};

struct ZeroValue: public comphelper::ConfigurationProperty<ZeroValue, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display/ZeroValue"); }
private:
    ZeroValue(); // not defined
    ~ZeroValue(); // not defined
};

struct NoteTag: public comphelper::ConfigurationProperty<NoteTag, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display/NoteTag"); }
private:
    NoteTag(); // not defined
    ~NoteTag(); // not defined
};

struct ValueHighlighting: public comphelper::ConfigurationProperty<ValueHighlighting, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display/ValueHighlighting"); }
private:
    ValueHighlighting(); // not defined
    ~ValueHighlighting(); // not defined
};

struct Anchor: public comphelper::ConfigurationProperty<Anchor, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display/Anchor"); }
private:
    Anchor(); // not defined
    ~Anchor(); // not defined
};

struct TextOverflow: public comphelper::ConfigurationProperty<TextOverflow, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display/TextOverflow"); }
private:
    TextOverflow(); // not defined
    ~TextOverflow(); // not defined
};

struct ObjectGraphic: public comphelper::ConfigurationProperty<ObjectGraphic, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display/ObjectGraphic"); }
private:
    ObjectGraphic(); // not defined
    ~ObjectGraphic(); // not defined
};

struct Chart: public comphelper::ConfigurationProperty<Chart, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display/Chart"); }
private:
    Chart(); // not defined
    ~Chart(); // not defined
};

struct DrawingObject: public comphelper::ConfigurationProperty<DrawingObject, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Display/DrawingObject"); }
private:
    DrawingObject(); // not defined
    ~DrawingObject(); // not defined
};

private:
    Display(); // not defined
    ~Display(); // not defined
};

struct Update: public comphelper::ConfigurationGroup< Update> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Update"); }

struct Link: public comphelper::ConfigurationProperty<Link, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Content/Update/Link"); }
private:
    Link(); // not defined
    ~Link(); // not defined
};

private:
    Update(); // not defined
    ~Update(); // not defined
};

private:
    Content(); // not defined
    ~Content(); // not defined
};

struct Layout: public comphelper::ConfigurationGroup< Layout> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout"); }

struct Line: public comphelper::ConfigurationGroup< Line> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Line"); }

struct GridLine: public comphelper::ConfigurationProperty<GridLine, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Line/GridLine"); }
private:
    GridLine(); // not defined
    ~GridLine(); // not defined
};

struct GridOnColoredCells: public comphelper::ConfigurationProperty<GridOnColoredCells, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Line/GridOnColoredCells"); }
private:
    GridOnColoredCells(); // not defined
    ~GridOnColoredCells(); // not defined
};

struct GridLineColor: public comphelper::ConfigurationProperty<GridLineColor, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Line/GridLineColor"); }
private:
    GridLineColor(); // not defined
    ~GridLineColor(); // not defined
};

struct PageBreak: public comphelper::ConfigurationProperty<PageBreak, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Line/PageBreak"); }
private:
    PageBreak(); // not defined
    ~PageBreak(); // not defined
};

struct Guide: public comphelper::ConfigurationProperty<Guide, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Line/Guide"); }
private:
    Guide(); // not defined
    ~Guide(); // not defined
};

struct SimpleControlPoint: public comphelper::ConfigurationProperty<SimpleControlPoint, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Line/SimpleControlPoint"); }
private:
    SimpleControlPoint(); // not defined
    ~SimpleControlPoint(); // not defined
};

struct LargeControlPoint: public comphelper::ConfigurationProperty<LargeControlPoint, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Line/LargeControlPoint"); }
private:
    LargeControlPoint(); // not defined
    ~LargeControlPoint(); // not defined
};

private:
    Line(); // not defined
    ~Line(); // not defined
};

struct Window: public comphelper::ConfigurationGroup< Window> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Window"); }

struct ColumnRowHeader: public comphelper::ConfigurationProperty<ColumnRowHeader, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Window/ColumnRowHeader"); }
private:
    ColumnRowHeader(); // not defined
    ~ColumnRowHeader(); // not defined
};

struct HorizontalScroll: public comphelper::ConfigurationProperty<HorizontalScroll, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Window/HorizontalScroll"); }
private:
    HorizontalScroll(); // not defined
    ~HorizontalScroll(); // not defined
};

struct VerticalScroll: public comphelper::ConfigurationProperty<VerticalScroll, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Window/VerticalScroll"); }
private:
    VerticalScroll(); // not defined
    ~VerticalScroll(); // not defined
};

struct SheetTab: public comphelper::ConfigurationProperty<SheetTab, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Window/SheetTab"); }
private:
    SheetTab(); // not defined
    ~SheetTab(); // not defined
};

struct OutlineSymbol: public comphelper::ConfigurationProperty<OutlineSymbol, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Window/OutlineSymbol"); }
private:
    OutlineSymbol(); // not defined
    ~OutlineSymbol(); // not defined
};

struct SearchSummary: public comphelper::ConfigurationProperty<SearchSummary, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Window/SearchSummary"); }
private:
    SearchSummary(); // not defined
    ~SearchSummary(); // not defined
};

private:
    Window(); // not defined
    ~Window(); // not defined
};

struct Other: public comphelper::ConfigurationGroup< Other> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other"); }

struct StatusbarMultiFunction: public comphelper::ConfigurationProperty<StatusbarMultiFunction, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other/StatusbarMultiFunction"); }
private:
    StatusbarMultiFunction(); // not defined
    ~StatusbarMultiFunction(); // not defined
};

struct StatusbarFunction: public comphelper::ConfigurationProperty<StatusbarFunction, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other/StatusbarFunction"); }
private:
    StatusbarFunction(); // not defined
    ~StatusbarFunction(); // not defined
};

struct TabbarInlineWithScrollbar: public comphelper::ConfigurationProperty<TabbarInlineWithScrollbar, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other/TabbarInlineWithScrollbar"); }
private:
    TabbarInlineWithScrollbar(); // not defined
    ~TabbarInlineWithScrollbar(); // not defined
};

struct TabStop: public comphelper::ConfigurationGroup< TabStop> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other/TabStop"); }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other/TabStop/Metric"); }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other/TabStop/NonMetric"); }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    TabStop(); // not defined
    ~TabStop(); // not defined
};

struct MeasureUnit: public comphelper::ConfigurationGroup< MeasureUnit> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other/MeasureUnit"); }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other/MeasureUnit/Metric"); }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Other/MeasureUnit/NonMetric"); }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    MeasureUnit(); // not defined
    ~MeasureUnit(); // not defined
};

private:
    Other(); // not defined
    ~Other(); // not defined
};

struct Zoom: public comphelper::ConfigurationGroup< Zoom> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Zoom"); }

struct Type: public comphelper::ConfigurationProperty<Type, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Zoom/Type"); }
private:
    Type(); // not defined
    ~Type(); // not defined
};

struct Value: public comphelper::ConfigurationProperty<Value, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Zoom/Value"); }
private:
    Value(); // not defined
    ~Value(); // not defined
};

struct Synchronize: public comphelper::ConfigurationProperty<Synchronize, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Layout/Zoom/Synchronize"); }
private:
    Synchronize(); // not defined
    ~Synchronize(); // not defined
};

private:
    Zoom(); // not defined
    ~Zoom(); // not defined
};

private:
    Layout(); // not defined
    ~Layout(); // not defined
};

struct Input: public comphelper::ConfigurationGroup< Input> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input"); }

struct MoveSelection: public comphelper::ConfigurationProperty<MoveSelection, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/MoveSelection"); }
private:
    MoveSelection(); // not defined
    ~MoveSelection(); // not defined
};

struct MoveSelectionDirection: public comphelper::ConfigurationProperty<MoveSelectionDirection, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/MoveSelectionDirection"); }
private:
    MoveSelectionDirection(); // not defined
    ~MoveSelectionDirection(); // not defined
};

struct SwitchToEditMode: public comphelper::ConfigurationProperty<SwitchToEditMode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/SwitchToEditMode"); }
private:
    SwitchToEditMode(); // not defined
    ~SwitchToEditMode(); // not defined
};

struct ExpandFormatting: public comphelper::ConfigurationProperty<ExpandFormatting, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/ExpandFormatting"); }
private:
    ExpandFormatting(); // not defined
    ~ExpandFormatting(); // not defined
};

struct ShowReference: public comphelper::ConfigurationProperty<ShowReference, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/ShowReference"); }
private:
    ShowReference(); // not defined
    ~ShowReference(); // not defined
};

struct ExpandReference: public comphelper::ConfigurationProperty<ExpandReference, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/ExpandReference"); }
private:
    ExpandReference(); // not defined
    ~ExpandReference(); // not defined
};

struct UpdateReferenceOnSort: public comphelper::ConfigurationProperty<UpdateReferenceOnSort, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/UpdateReferenceOnSort"); }
private:
    UpdateReferenceOnSort(); // not defined
    ~UpdateReferenceOnSort(); // not defined
};

struct HighlightSelection: public comphelper::ConfigurationProperty<HighlightSelection, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/HighlightSelection"); }
private:
    HighlightSelection(); // not defined
    ~HighlightSelection(); // not defined
};

struct UseTabCol: public comphelper::ConfigurationProperty<UseTabCol, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/UseTabCol"); }
private:
    UseTabCol(); // not defined
    ~UseTabCol(); // not defined
};

struct UsePrinterMetrics: public comphelper::ConfigurationProperty<UsePrinterMetrics, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/UsePrinterMetrics"); }
private:
    UsePrinterMetrics(); // not defined
    ~UsePrinterMetrics(); // not defined
};

struct ReplaceCellsWarning: public comphelper::ConfigurationProperty<ReplaceCellsWarning, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/ReplaceCellsWarning"); }
private:
    ReplaceCellsWarning(); // not defined
    ~ReplaceCellsWarning(); // not defined
};

struct LegacyCellSelection: public comphelper::ConfigurationProperty<LegacyCellSelection, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/LegacyCellSelection"); }
private:
    LegacyCellSelection(); // not defined
    ~LegacyCellSelection(); // not defined
};

struct LastFunctions: public comphelper::ConfigurationProperty<LastFunctions, com::sun::star::uno::Sequence<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/LastFunctions"); }
private:
    LastFunctions(); // not defined
    ~LastFunctions(); // not defined
};

struct AutoInput: public comphelper::ConfigurationProperty<AutoInput, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/AutoInput"); }
private:
    AutoInput(); // not defined
    ~AutoInput(); // not defined
};

struct DetectiveAuto: public comphelper::ConfigurationProperty<DetectiveAuto, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Input/DetectiveAuto"); }
private:
    DetectiveAuto(); // not defined
    ~DetectiveAuto(); // not defined
};

private:
    Input(); // not defined
    ~Input(); // not defined
};

struct Grid: public comphelper::ConfigurationGroup< Grid> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid"); }

struct Option: public comphelper::ConfigurationGroup< Option> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option"); }

struct SnapToGrid: public comphelper::ConfigurationProperty<SnapToGrid, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/SnapToGrid"); }
private:
    SnapToGrid(); // not defined
    ~SnapToGrid(); // not defined
};

struct SizeToGrid: public comphelper::ConfigurationProperty<SizeToGrid, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/SizeToGrid"); }
private:
    SizeToGrid(); // not defined
    ~SizeToGrid(); // not defined
};

struct VisibleGrid: public comphelper::ConfigurationProperty<VisibleGrid, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/VisibleGrid"); }
private:
    VisibleGrid(); // not defined
    ~VisibleGrid(); // not defined
};

struct Synchronize: public comphelper::ConfigurationProperty<Synchronize, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/Synchronize"); }
private:
    Synchronize(); // not defined
    ~Synchronize(); // not defined
};

struct XAxis: public comphelper::ConfigurationGroup< XAxis> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/XAxis"); }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/XAxis/Metric"); }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/XAxis/NonMetric"); }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    XAxis(); // not defined
    ~XAxis(); // not defined
};

struct YAxis: public comphelper::ConfigurationGroup< YAxis> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/YAxis"); }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/YAxis/Metric"); }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Option/YAxis/NonMetric"); }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    YAxis(); // not defined
    ~YAxis(); // not defined
};

private:
    Option(); // not defined
    ~Option(); // not defined
};

struct Resolution: public comphelper::ConfigurationGroup< Resolution> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Resolution"); }

struct XAxis: public comphelper::ConfigurationGroup< XAxis> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Resolution/XAxis"); }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Resolution/XAxis/Metric"); }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Resolution/XAxis/NonMetric"); }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    XAxis(); // not defined
    ~XAxis(); // not defined
};

struct YAxis: public comphelper::ConfigurationGroup< YAxis> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Resolution/YAxis"); }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Resolution/YAxis/Metric"); }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Resolution/YAxis/NonMetric"); }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    YAxis(); // not defined
    ~YAxis(); // not defined
};

private:
    Resolution(); // not defined
    ~Resolution(); // not defined
};

struct Subdivision: public comphelper::ConfigurationGroup< Subdivision> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Subdivision"); }

struct XAxis: public comphelper::ConfigurationProperty<XAxis, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Subdivision/XAxis"); }
private:
    XAxis(); // not defined
    ~XAxis(); // not defined
};

struct YAxis: public comphelper::ConfigurationProperty<YAxis, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Grid/Subdivision/YAxis"); }
private:
    YAxis(); // not defined
    ~YAxis(); // not defined
};

private:
    Subdivision(); // not defined
    ~Subdivision(); // not defined
};

private:
    Grid(); // not defined
    ~Grid(); // not defined
};

struct SortList: public comphelper::ConfigurationGroup< SortList> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/SortList"); }

struct List: public comphelper::ConfigurationProperty<List, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/SortList/List"); }
private:
    List(); // not defined
    ~List(); // not defined
};

private:
    SortList(); // not defined
    ~SortList(); // not defined
};

struct Dialogs: public comphelper::ConfigurationGroup< Dialogs> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs"); }

struct DBFImport: public comphelper::ConfigurationGroup< DBFImport> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/DBFImport"); }

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/DBFImport/CharSet"); }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

private:
    DBFImport(); // not defined
    ~DBFImport(); // not defined
};

struct DBFExport: public comphelper::ConfigurationGroup< DBFExport> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/DBFExport"); }

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/DBFExport/CharSet"); }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

private:
    DBFExport(); // not defined
    ~DBFExport(); // not defined
};

struct CSVExport: public comphelper::ConfigurationGroup< CSVExport> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVExport"); }

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVExport/CharSet"); }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

struct FieldSeparator: public comphelper::ConfigurationProperty<FieldSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVExport/FieldSeparator"); }
private:
    FieldSeparator(); // not defined
    ~FieldSeparator(); // not defined
};

struct TextSeparator: public comphelper::ConfigurationProperty<TextSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVExport/TextSeparator"); }
private:
    TextSeparator(); // not defined
    ~TextSeparator(); // not defined
};

struct SaveTrueCellContent: public comphelper::ConfigurationProperty<SaveTrueCellContent, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVExport/SaveTrueCellContent"); }
private:
    SaveTrueCellContent(); // not defined
    ~SaveTrueCellContent(); // not defined
};

struct SaveCellFormulas: public comphelper::ConfigurationProperty<SaveCellFormulas, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVExport/SaveCellFormulas"); }
private:
    SaveCellFormulas(); // not defined
    ~SaveCellFormulas(); // not defined
};

struct QuoteAllTextCells: public comphelper::ConfigurationProperty<QuoteAllTextCells, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVExport/QuoteAllTextCells"); }
private:
    QuoteAllTextCells(); // not defined
    ~QuoteAllTextCells(); // not defined
};

struct FixedWidth: public comphelper::ConfigurationProperty<FixedWidth, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVExport/FixedWidth"); }
private:
    FixedWidth(); // not defined
    ~FixedWidth(); // not defined
};

private:
    CSVExport(); // not defined
    ~CSVExport(); // not defined
};

struct CSVImport: public comphelper::ConfigurationGroup< CSVImport> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport"); }

struct MergeDelimiters: public comphelper::ConfigurationProperty<MergeDelimiters, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/MergeDelimiters"); }
private:
    MergeDelimiters(); // not defined
    ~MergeDelimiters(); // not defined
};

struct RemoveSpace: public comphelper::ConfigurationProperty<RemoveSpace, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/RemoveSpace"); }
private:
    RemoveSpace(); // not defined
    ~RemoveSpace(); // not defined
};

struct QuotedFieldAsText: public comphelper::ConfigurationProperty<QuotedFieldAsText, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/QuotedFieldAsText"); }
private:
    QuotedFieldAsText(); // not defined
    ~QuotedFieldAsText(); // not defined
};

struct DetectSpecialNumbers: public comphelper::ConfigurationProperty<DetectSpecialNumbers, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/DetectSpecialNumbers"); }
private:
    DetectSpecialNumbers(); // not defined
    ~DetectSpecialNumbers(); // not defined
};

struct Language: public comphelper::ConfigurationProperty<Language, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/Language"); }
private:
    Language(); // not defined
    ~Language(); // not defined
};

struct Separators: public comphelper::ConfigurationProperty<Separators, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/Separators"); }
private:
    Separators(); // not defined
    ~Separators(); // not defined
};

struct TextSeparators: public comphelper::ConfigurationProperty<TextSeparators, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/TextSeparators"); }
private:
    TextSeparators(); // not defined
    ~TextSeparators(); // not defined
};

struct FixedWidth: public comphelper::ConfigurationProperty<FixedWidth, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/FixedWidth"); }
private:
    FixedWidth(); // not defined
    ~FixedWidth(); // not defined
};

struct FromRow: public comphelper::ConfigurationProperty<FromRow, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/FromRow"); }
private:
    FromRow(); // not defined
    ~FromRow(); // not defined
};

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/CharSet"); }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

struct FixedWidthList: public comphelper::ConfigurationProperty<FixedWidthList, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/CSVImport/FixedWidthList"); }
private:
    FixedWidthList(); // not defined
    ~FixedWidthList(); // not defined
};

private:
    CSVImport(); // not defined
    ~CSVImport(); // not defined
};

struct ClipboardTextImport: public comphelper::ConfigurationGroup< ClipboardTextImport> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport"); }

struct MergeDelimiters: public comphelper::ConfigurationProperty<MergeDelimiters, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/MergeDelimiters"); }
private:
    MergeDelimiters(); // not defined
    ~MergeDelimiters(); // not defined
};

struct RemoveSpace: public comphelper::ConfigurationProperty<RemoveSpace, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/RemoveSpace"); }
private:
    RemoveSpace(); // not defined
    ~RemoveSpace(); // not defined
};

struct QuotedFieldAsText: public comphelper::ConfigurationProperty<QuotedFieldAsText, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/QuotedFieldAsText"); }
private:
    QuotedFieldAsText(); // not defined
    ~QuotedFieldAsText(); // not defined
};

struct DetectSpecialNumbers: public comphelper::ConfigurationProperty<DetectSpecialNumbers, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/DetectSpecialNumbers"); }
private:
    DetectSpecialNumbers(); // not defined
    ~DetectSpecialNumbers(); // not defined
};

struct SkipEmptyCells: public comphelper::ConfigurationProperty<SkipEmptyCells, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/SkipEmptyCells"); }
private:
    SkipEmptyCells(); // not defined
    ~SkipEmptyCells(); // not defined
};

struct Language: public comphelper::ConfigurationProperty<Language, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/Language"); }
private:
    Language(); // not defined
    ~Language(); // not defined
};

struct Separators: public comphelper::ConfigurationProperty<Separators, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/Separators"); }
private:
    Separators(); // not defined
    ~Separators(); // not defined
};

struct TextSeparators: public comphelper::ConfigurationProperty<TextSeparators, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/TextSeparators"); }
private:
    TextSeparators(); // not defined
    ~TextSeparators(); // not defined
};

struct FixedWidth: public comphelper::ConfigurationProperty<FixedWidth, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/FixedWidth"); }
private:
    FixedWidth(); // not defined
    ~FixedWidth(); // not defined
};

struct FromRow: public comphelper::ConfigurationProperty<FromRow, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/FromRow"); }
private:
    FromRow(); // not defined
    ~FromRow(); // not defined
};

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/CharSet"); }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

struct FixedWidthList: public comphelper::ConfigurationProperty<FixedWidthList, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/FixedWidthList"); }
private:
    FixedWidthList(); // not defined
    ~FixedWidthList(); // not defined
};

private:
    ClipboardTextImport(); // not defined
    ~ClipboardTextImport(); // not defined
};

struct TextToColumnsImport: public comphelper::ConfigurationGroup< TextToColumnsImport> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport"); }

struct MergeDelimiters: public comphelper::ConfigurationProperty<MergeDelimiters, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/MergeDelimiters"); }
private:
    MergeDelimiters(); // not defined
    ~MergeDelimiters(); // not defined
};

struct RemoveSpace: public comphelper::ConfigurationProperty<RemoveSpace, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/RemoveSpace"); }
private:
    RemoveSpace(); // not defined
    ~RemoveSpace(); // not defined
};

struct Separators: public comphelper::ConfigurationProperty<Separators, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/Separators"); }
private:
    Separators(); // not defined
    ~Separators(); // not defined
};

struct SkipEmptyCells: public comphelper::ConfigurationProperty<SkipEmptyCells, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/SkipEmptyCells"); }
private:
    SkipEmptyCells(); // not defined
    ~SkipEmptyCells(); // not defined
};

struct TextSeparators: public comphelper::ConfigurationProperty<TextSeparators, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/TextSeparators"); }
private:
    TextSeparators(); // not defined
    ~TextSeparators(); // not defined
};

struct FixedWidth: public comphelper::ConfigurationProperty<FixedWidth, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/FixedWidth"); }
private:
    FixedWidth(); // not defined
    ~FixedWidth(); // not defined
};

struct FixedWidthList: public comphelper::ConfigurationProperty<FixedWidthList, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/FixedWidthList"); }
private:
    FixedWidthList(); // not defined
    ~FixedWidthList(); // not defined
};

private:
    TextToColumnsImport(); // not defined
    ~TextToColumnsImport(); // not defined
};

private:
    Dialogs(); // not defined
    ~Dialogs(); // not defined
};

struct Calculate: public comphelper::ConfigurationGroup< Calculate> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate"); }

struct IterativeReference: public comphelper::ConfigurationGroup< IterativeReference> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/IterativeReference"); }

struct Iteration: public comphelper::ConfigurationProperty<Iteration, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/IterativeReference/Iteration"); }
private:
    Iteration(); // not defined
    ~Iteration(); // not defined
};

struct Steps: public comphelper::ConfigurationProperty<Steps, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/IterativeReference/Steps"); }
private:
    Steps(); // not defined
    ~Steps(); // not defined
};

struct MinimumChange: public comphelper::ConfigurationProperty<MinimumChange, double> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/IterativeReference/MinimumChange"); }
private:
    MinimumChange(); // not defined
    ~MinimumChange(); // not defined
};

private:
    IterativeReference(); // not defined
    ~IterativeReference(); // not defined
};

struct Other: public comphelper::ConfigurationGroup< Other> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/Other"); }

struct CaseSensitive: public comphelper::ConfigurationProperty<CaseSensitive, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/Other/CaseSensitive"); }
private:
    CaseSensitive(); // not defined
    ~CaseSensitive(); // not defined
};

struct Precision: public comphelper::ConfigurationProperty<Precision, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/Other/Precision"); }
private:
    Precision(); // not defined
    ~Precision(); // not defined
};

struct SearchCriteria: public comphelper::ConfigurationProperty<SearchCriteria, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/Other/SearchCriteria"); }
private:
    SearchCriteria(); // not defined
    ~SearchCriteria(); // not defined
};

struct FindLabel: public comphelper::ConfigurationProperty<FindLabel, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/Other/FindLabel"); }
private:
    FindLabel(); // not defined
    ~FindLabel(); // not defined
};

struct DecimalPlaces: public comphelper::ConfigurationProperty<DecimalPlaces, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/Other/DecimalPlaces"); }
private:
    DecimalPlaces(); // not defined
    ~DecimalPlaces(); // not defined
};

struct RegularExpressions: public comphelper::ConfigurationProperty<RegularExpressions, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/Other/RegularExpressions"); }
private:
    RegularExpressions(); // not defined
    ~RegularExpressions(); // not defined
};

struct Wildcards: public comphelper::ConfigurationProperty<Wildcards, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/Other/Wildcards"); }
private:
    Wildcards(); // not defined
    ~Wildcards(); // not defined
};

struct FormulaSyntax: public comphelper::ConfigurationProperty<FormulaSyntax, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Calculate/Other/FormulaSyntax"); }
private:
    FormulaSyntax(); // not defined
    ~FormulaSyntax(); // not defined
};

private:
    Other(); // not defined
    ~Other(); // not defined
};

private:
    Calculate(); // not defined
    ~Calculate(); // not defined
};

struct Formula: public comphelper::ConfigurationGroup< Formula> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula"); }

struct Calculation: public comphelper::ConfigurationGroup< Calculation> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Calculation"); }

struct UseThreadedCalculationForFormulaGroups: public comphelper::ConfigurationProperty<UseThreadedCalculationForFormulaGroups, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Calculation/UseThreadedCalculationForFormulaGroups"); }
private:
    UseThreadedCalculationForFormulaGroups(); // not defined
    ~UseThreadedCalculationForFormulaGroups(); // not defined
};

struct OpenCLSubsetOnly: public comphelper::ConfigurationProperty<OpenCLSubsetOnly, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Calculation/OpenCLSubsetOnly"); }
private:
    OpenCLSubsetOnly(); // not defined
    ~OpenCLSubsetOnly(); // not defined
};

struct OpenCLMinimumDataSize: public comphelper::ConfigurationProperty<OpenCLMinimumDataSize, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Calculation/OpenCLMinimumDataSize"); }
private:
    OpenCLMinimumDataSize(); // not defined
    ~OpenCLMinimumDataSize(); // not defined
};

struct OpenCLSubsetOpCodes: public comphelper::ConfigurationProperty<OpenCLSubsetOpCodes, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Calculation/OpenCLSubsetOpCodes"); }
private:
    OpenCLSubsetOpCodes(); // not defined
    ~OpenCLSubsetOpCodes(); // not defined
};

struct OpenCLAutoSelect: public comphelper::ConfigurationProperty<OpenCLAutoSelect, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Calculation/OpenCLAutoSelect"); }
private:
    OpenCLAutoSelect(); // not defined
    ~OpenCLAutoSelect(); // not defined
};

struct OpenCLDevice: public comphelper::ConfigurationProperty<OpenCLDevice, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Calculation/OpenCLDevice"); }
private:
    OpenCLDevice(); // not defined
    ~OpenCLDevice(); // not defined
};

private:
    Calculation(); // not defined
    ~Calculation(); // not defined
};

struct Syntax: public comphelper::ConfigurationGroup< Syntax> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Syntax"); }

struct Grammar: public comphelper::ConfigurationProperty<Grammar, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Syntax/Grammar"); }
private:
    Grammar(); // not defined
    ~Grammar(); // not defined
};

struct EnglishFunctionName: public comphelper::ConfigurationProperty<EnglishFunctionName, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Syntax/EnglishFunctionName"); }
private:
    EnglishFunctionName(); // not defined
    ~EnglishFunctionName(); // not defined
};

struct SeparatorArg: public comphelper::ConfigurationProperty<SeparatorArg, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Syntax/SeparatorArg"); }
private:
    SeparatorArg(); // not defined
    ~SeparatorArg(); // not defined
};

struct SeparatorArrayRow: public comphelper::ConfigurationProperty<SeparatorArrayRow, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Syntax/SeparatorArrayRow"); }
private:
    SeparatorArrayRow(); // not defined
    ~SeparatorArrayRow(); // not defined
};

struct SeparatorArrayCol: public comphelper::ConfigurationProperty<SeparatorArrayCol, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Syntax/SeparatorArrayCol"); }
private:
    SeparatorArrayCol(); // not defined
    ~SeparatorArrayCol(); // not defined
};

struct StringRefAddressSyntax: public comphelper::ConfigurationProperty<StringRefAddressSyntax, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Syntax/StringRefAddressSyntax"); }
private:
    StringRefAddressSyntax(); // not defined
    ~StringRefAddressSyntax(); // not defined
};

struct EmptyStringAsZero: public comphelper::ConfigurationProperty<EmptyStringAsZero, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Syntax/EmptyStringAsZero"); }
private:
    EmptyStringAsZero(); // not defined
    ~EmptyStringAsZero(); // not defined
};

struct StringConversion: public comphelper::ConfigurationProperty<StringConversion, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Syntax/StringConversion"); }
private:
    StringConversion(); // not defined
    ~StringConversion(); // not defined
};

private:
    Syntax(); // not defined
    ~Syntax(); // not defined
};

struct Load: public comphelper::ConfigurationGroup< Load> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Load"); }

struct OOXMLRecalcMode: public comphelper::ConfigurationProperty<OOXMLRecalcMode, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Load/OOXMLRecalcMode"); }
private:
    OOXMLRecalcMode(); // not defined
    ~OOXMLRecalcMode(); // not defined
};

struct ODFRecalcMode: public comphelper::ConfigurationProperty<ODFRecalcMode, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Formula/Load/ODFRecalcMode"); }
private:
    ODFRecalcMode(); // not defined
    ~ODFRecalcMode(); // not defined
};

private:
    Load(); // not defined
    ~Load(); // not defined
};

private:
    Formula(); // not defined
    ~Formula(); // not defined
};

struct Revision: public comphelper::ConfigurationGroup< Revision> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Revision"); }

struct Color: public comphelper::ConfigurationGroup< Color> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Revision/Color"); }

struct Change: public comphelper::ConfigurationProperty<Change, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Revision/Color/Change"); }
private:
    Change(); // not defined
    ~Change(); // not defined
};

struct Deletion: public comphelper::ConfigurationProperty<Deletion, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Revision/Color/Deletion"); }
private:
    Deletion(); // not defined
    ~Deletion(); // not defined
};

struct Insertion: public comphelper::ConfigurationProperty<Insertion, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Revision/Color/Insertion"); }
private:
    Insertion(); // not defined
    ~Insertion(); // not defined
};

struct MovedEntry: public comphelper::ConfigurationProperty<MovedEntry, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Revision/Color/MovedEntry"); }
private:
    MovedEntry(); // not defined
    ~MovedEntry(); // not defined
};

private:
    Color(); // not defined
    ~Color(); // not defined
};

private:
    Revision(); // not defined
    ~Revision(); // not defined
};

struct Filter: public comphelper::ConfigurationGroup< Filter> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter"); }

struct Import: public comphelper::ConfigurationGroup< Import> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import"); }

struct VBA: public comphelper::ConfigurationGroup< VBA> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/VBA"); }

struct UseExport: public comphelper::ConfigurationProperty<UseExport, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/VBA/UseExport"); }
private:
    UseExport(); // not defined
    ~UseExport(); // not defined
};

struct Load: public comphelper::ConfigurationProperty<Load, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/VBA/Load"); }
private:
    Load(); // not defined
    ~Load(); // not defined
};

struct Executable: public comphelper::ConfigurationProperty<Executable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/VBA/Executable"); }
private:
    Executable(); // not defined
    ~Executable(); // not defined
};

struct Save: public comphelper::ConfigurationProperty<Save, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/VBA/Save"); }
private:
    Save(); // not defined
    ~Save(); // not defined
};

private:
    VBA(); // not defined
    ~VBA(); // not defined
};

struct Lotus123: public comphelper::ConfigurationGroup< Lotus123> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/Lotus123"); }

struct WK3: public comphelper::ConfigurationProperty<WK3, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/Lotus123/WK3"); }
private:
    WK3(); // not defined
    ~WK3(); // not defined
};

private:
    Lotus123(); // not defined
    ~Lotus123(); // not defined
};

struct MS_Excel: public comphelper::ConfigurationGroup< MS_Excel> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/MS_Excel"); }

struct ColScale: public comphelper::ConfigurationProperty<ColScale, double> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/MS_Excel/ColScale"); }
private:
    ColScale(); // not defined
    ~ColScale(); // not defined
};

struct RowScale: public comphelper::ConfigurationProperty<RowScale, double> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Filter/Import/MS_Excel/RowScale"); }
private:
    RowScale(); // not defined
    ~RowScale(); // not defined
};

private:
    MS_Excel(); // not defined
    ~MS_Excel(); // not defined
};

private:
    Import(); // not defined
    ~Import(); // not defined
};

private:
    Filter(); // not defined
    ~Filter(); // not defined
};

struct Print: public comphelper::ConfigurationGroup< Print> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Print"); }

struct Page: public comphelper::ConfigurationGroup< Page> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Print/Page"); }

struct EmptyPages: public comphelper::ConfigurationProperty<EmptyPages, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Print/Page/EmptyPages"); }
private:
    EmptyPages(); // not defined
    ~EmptyPages(); // not defined
};

struct ForceBreaks: public comphelper::ConfigurationProperty<ForceBreaks, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Print/Page/ForceBreaks"); }
private:
    ForceBreaks(); // not defined
    ~ForceBreaks(); // not defined
};

private:
    Page(); // not defined
    ~Page(); // not defined
};

struct Other: public comphelper::ConfigurationGroup< Other> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Print/Other"); }

struct AllSheets: public comphelper::ConfigurationProperty<AllSheets, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Print/Other/AllSheets"); }
private:
    AllSheets(); // not defined
    ~AllSheets(); // not defined
};

private:
    Other(); // not defined
    ~Other(); // not defined
};

private:
    Print(); // not defined
    ~Print(); // not defined
};

struct Misc: public comphelper::ConfigurationGroup< Misc> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Misc"); }

struct DefaultObjectSize: public comphelper::ConfigurationGroup< DefaultObjectSize> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Misc/DefaultObjectSize"); }

struct Width: public comphelper::ConfigurationProperty<Width, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Misc/DefaultObjectSize/Width"); }
private:
    Width(); // not defined
    ~Width(); // not defined
};

struct Height: public comphelper::ConfigurationProperty<Height, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Misc/DefaultObjectSize/Height"); }
private:
    Height(); // not defined
    ~Height(); // not defined
};

private:
    DefaultObjectSize(); // not defined
    ~DefaultObjectSize(); // not defined
};

struct SharedDocument: public comphelper::ConfigurationGroup< SharedDocument> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Misc/SharedDocument"); }

struct ShowWarning: public comphelper::ConfigurationProperty<ShowWarning, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Misc/SharedDocument/ShowWarning"); }
private:
    ShowWarning(); // not defined
    ~ShowWarning(); // not defined
};

private:
    SharedDocument(); // not defined
    ~SharedDocument(); // not defined
};

private:
    Misc(); // not defined
    ~Misc(); // not defined
};

struct Compatibility: public comphelper::ConfigurationGroup< Compatibility> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Compatibility"); }

struct MergeCells: public comphelper::ConfigurationGroup< MergeCells> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Compatibility/MergeCells"); }

struct ShowDialog: public comphelper::ConfigurationProperty<ShowDialog, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Compatibility/MergeCells/ShowDialog"); }
private:
    ShowDialog(); // not defined
    ~ShowDialog(); // not defined
};

struct EmptyMergedCells: public comphelper::ConfigurationProperty<EmptyMergedCells, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Compatibility/MergeCells/EmptyMergedCells"); }
private:
    EmptyMergedCells(); // not defined
    ~EmptyMergedCells(); // not defined
};

private:
    MergeCells(); // not defined
    ~MergeCells(); // not defined
};

struct KeyBindings: public comphelper::ConfigurationGroup< KeyBindings> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Compatibility/KeyBindings"); }

struct BaseGroup: public comphelper::ConfigurationProperty<BaseGroup, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Compatibility/KeyBindings/BaseGroup"); }
private:
    BaseGroup(); // not defined
    ~BaseGroup(); // not defined
};

private:
    KeyBindings(); // not defined
    ~KeyBindings(); // not defined
};

private:
    Compatibility(); // not defined
    ~Compatibility(); // not defined
};

struct Defaults: public comphelper::ConfigurationGroup< Defaults> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Defaults"); }

struct Sheet: public comphelper::ConfigurationGroup< Sheet> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Defaults/Sheet"); }

struct SheetCount: public comphelper::ConfigurationProperty<SheetCount, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Defaults/Sheet/SheetCount"); }
private:
    SheetCount(); // not defined
    ~SheetCount(); // not defined
};

struct SheetPrefix: public comphelper::ConfigurationProperty<SheetPrefix, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/Defaults/Sheet/SheetPrefix"); }
private:
    SheetPrefix(); // not defined
    ~SheetPrefix(); // not defined
};

private:
    Sheet(); // not defined
    ~Sheet(); // not defined
};

private:
    Defaults(); // not defined
    ~Defaults(); // not defined
};

struct DataStream: public comphelper::ConfigurationGroup< DataStream> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/DataStream"); }

struct UpdateTimeout: public comphelper::ConfigurationProperty<UpdateTimeout, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Calc/DataStream/UpdateTimeout"); }
private:
    UpdateTimeout(); // not defined
    ~UpdateTimeout(); // not defined
};

private:
    DataStream(); // not defined
    ~DataStream(); // not defined
};

} } }

#endif
