#ifndef INCLUDED_OFFICECFG_OFFICE_LINGUISTIC_HXX
#define INCLUDED_OFFICECFG_OFFICE_LINGUISTIC_HXX

#include "sal/config.h"

#include "boost/optional.hpp"
#include "com/sun/star/uno/Sequence.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Linguistic {

struct Images: public comphelper::ConfigurationGroup< Images> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/Images"); }

struct ServiceNameEntries: public comphelper::ConfigurationSet< ServiceNameEntries> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/Images/ServiceNameEntries"); }
private:
    ServiceNameEntries(); // not defined
    ~ServiceNameEntries(); // not defined
};

struct VendorImages: public comphelper::ConfigurationSet< VendorImages> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/Images/VendorImages"); }
private:
    VendorImages(); // not defined
    ~VendorImages(); // not defined
};

private:
    Images(); // not defined
    ~Images(); // not defined
};

struct General: public comphelper::ConfigurationGroup< General> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/General"); }

struct UILocale: public comphelper::ConfigurationProperty<UILocale, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/General/UILocale"); }
private:
    UILocale(); // not defined
    ~UILocale(); // not defined
};

struct IsIgnoreControlCharacters: public comphelper::ConfigurationProperty<IsIgnoreControlCharacters, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/General/IsIgnoreControlCharacters"); }
private:
    IsIgnoreControlCharacters(); // not defined
    ~IsIgnoreControlCharacters(); // not defined
};

struct DefaultLocale: public comphelper::ConfigurationProperty<DefaultLocale, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/General/DefaultLocale"); }
private:
    DefaultLocale(); // not defined
    ~DefaultLocale(); // not defined
};

struct DefaultLocale_CJK: public comphelper::ConfigurationProperty<DefaultLocale_CJK, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/General/DefaultLocale_CJK"); }
private:
    DefaultLocale_CJK(); // not defined
    ~DefaultLocale_CJK(); // not defined
};

struct DefaultLocale_CTL: public comphelper::ConfigurationProperty<DefaultLocale_CTL, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/General/DefaultLocale_CTL"); }
private:
    DefaultLocale_CTL(); // not defined
    ~DefaultLocale_CTL(); // not defined
};

struct DictionaryList: public comphelper::ConfigurationGroup< DictionaryList> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/General/DictionaryList"); }

struct ActiveDictionaries: public comphelper::ConfigurationProperty<ActiveDictionaries, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/General/DictionaryList/ActiveDictionaries"); }
private:
    ActiveDictionaries(); // not defined
    ~ActiveDictionaries(); // not defined
};

struct IsUseDictionaryList: public comphelper::ConfigurationProperty<IsUseDictionaryList, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/General/DictionaryList/IsUseDictionaryList"); }
private:
    IsUseDictionaryList(); // not defined
    ~IsUseDictionaryList(); // not defined
};

private:
    DictionaryList(); // not defined
    ~DictionaryList(); // not defined
};

private:
    General(); // not defined
    ~General(); // not defined
};

struct TextConversion: public comphelper::ConfigurationGroup< TextConversion> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion"); }

struct ActiveConversionDictionaries: public comphelper::ConfigurationProperty<ActiveConversionDictionaries, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion/ActiveConversionDictionaries"); }
private:
    ActiveConversionDictionaries(); // not defined
    ~ActiveConversionDictionaries(); // not defined
};

struct IsIgnorePostPositionalWord: public comphelper::ConfigurationProperty<IsIgnorePostPositionalWord, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion/IsIgnorePostPositionalWord"); }
private:
    IsIgnorePostPositionalWord(); // not defined
    ~IsIgnorePostPositionalWord(); // not defined
};

struct IsAutoCloseDialog: public comphelper::ConfigurationProperty<IsAutoCloseDialog, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion/IsAutoCloseDialog"); }
private:
    IsAutoCloseDialog(); // not defined
    ~IsAutoCloseDialog(); // not defined
};

struct IsShowEntriesRecentlyUsedFirst: public comphelper::ConfigurationProperty<IsShowEntriesRecentlyUsedFirst, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion/IsShowEntriesRecentlyUsedFirst"); }
private:
    IsShowEntriesRecentlyUsedFirst(); // not defined
    ~IsShowEntriesRecentlyUsedFirst(); // not defined
};

struct IsAutoReplaceUniqueEntries: public comphelper::ConfigurationProperty<IsAutoReplaceUniqueEntries, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion/IsAutoReplaceUniqueEntries"); }
private:
    IsAutoReplaceUniqueEntries(); // not defined
    ~IsAutoReplaceUniqueEntries(); // not defined
};

struct IsDirectionToSimplified: public comphelper::ConfigurationProperty<IsDirectionToSimplified, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion/IsDirectionToSimplified"); }
private:
    IsDirectionToSimplified(); // not defined
    ~IsDirectionToSimplified(); // not defined
};

struct IsUseCharacterVariants: public comphelper::ConfigurationProperty<IsUseCharacterVariants, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion/IsUseCharacterVariants"); }
private:
    IsUseCharacterVariants(); // not defined
    ~IsUseCharacterVariants(); // not defined
};

struct IsTranslateCommonTerms: public comphelper::ConfigurationProperty<IsTranslateCommonTerms, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion/IsTranslateCommonTerms"); }
private:
    IsTranslateCommonTerms(); // not defined
    ~IsTranslateCommonTerms(); // not defined
};

struct IsReverseMapping: public comphelper::ConfigurationProperty<IsReverseMapping, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/TextConversion/IsReverseMapping"); }
private:
    IsReverseMapping(); // not defined
    ~IsReverseMapping(); // not defined
};

private:
    TextConversion(); // not defined
    ~TextConversion(); // not defined
};

struct SpellChecking: public comphelper::ConfigurationGroup< SpellChecking> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/SpellChecking"); }

struct IsSpellUpperCase: public comphelper::ConfigurationProperty<IsSpellUpperCase, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/SpellChecking/IsSpellUpperCase"); }
private:
    IsSpellUpperCase(); // not defined
    ~IsSpellUpperCase(); // not defined
};

struct IsSpellWithDigits: public comphelper::ConfigurationProperty<IsSpellWithDigits, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/SpellChecking/IsSpellWithDigits"); }
private:
    IsSpellWithDigits(); // not defined
    ~IsSpellWithDigits(); // not defined
};

struct IsSpellCapitalization: public comphelper::ConfigurationProperty<IsSpellCapitalization, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/SpellChecking/IsSpellCapitalization"); }
private:
    IsSpellCapitalization(); // not defined
    ~IsSpellCapitalization(); // not defined
};

struct IsSpellAuto: public comphelper::ConfigurationProperty<IsSpellAuto, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/SpellChecking/IsSpellAuto"); }
private:
    IsSpellAuto(); // not defined
    ~IsSpellAuto(); // not defined
};

struct IsSpellSpecial: public comphelper::ConfigurationProperty<IsSpellSpecial, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/SpellChecking/IsSpellSpecial"); }
private:
    IsSpellSpecial(); // not defined
    ~IsSpellSpecial(); // not defined
};

struct IsReverseDirection: public comphelper::ConfigurationProperty<IsReverseDirection, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/SpellChecking/IsReverseDirection"); }
private:
    IsReverseDirection(); // not defined
    ~IsReverseDirection(); // not defined
};

private:
    SpellChecking(); // not defined
    ~SpellChecking(); // not defined
};

struct GrammarChecking: public comphelper::ConfigurationGroup< GrammarChecking> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/GrammarChecking"); }

struct IsAutoCheck: public comphelper::ConfigurationProperty<IsAutoCheck, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/GrammarChecking/IsAutoCheck"); }
private:
    IsAutoCheck(); // not defined
    ~IsAutoCheck(); // not defined
};

struct IsInteractiveCheck: public comphelper::ConfigurationProperty<IsInteractiveCheck, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/GrammarChecking/IsInteractiveCheck"); }
private:
    IsInteractiveCheck(); // not defined
    ~IsInteractiveCheck(); // not defined
};

private:
    GrammarChecking(); // not defined
    ~GrammarChecking(); // not defined
};

struct Hyphenation: public comphelper::ConfigurationGroup< Hyphenation> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/Hyphenation"); }

struct MinLeading: public comphelper::ConfigurationProperty<MinLeading, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/Hyphenation/MinLeading"); }
private:
    MinLeading(); // not defined
    ~MinLeading(); // not defined
};

struct MinTrailing: public comphelper::ConfigurationProperty<MinTrailing, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/Hyphenation/MinTrailing"); }
private:
    MinTrailing(); // not defined
    ~MinTrailing(); // not defined
};

struct MinWordLength: public comphelper::ConfigurationProperty<MinWordLength, sal_Int16> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/Hyphenation/MinWordLength"); }
private:
    MinWordLength(); // not defined
    ~MinWordLength(); // not defined
};

struct IsHyphSpecial: public comphelper::ConfigurationProperty<IsHyphSpecial, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/Hyphenation/IsHyphSpecial"); }
private:
    IsHyphSpecial(); // not defined
    ~IsHyphSpecial(); // not defined
};

struct IsHyphAuto: public comphelper::ConfigurationProperty<IsHyphAuto, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/Hyphenation/IsHyphAuto"); }
private:
    IsHyphAuto(); // not defined
    ~IsHyphAuto(); // not defined
};

private:
    Hyphenation(); // not defined
    ~Hyphenation(); // not defined
};

struct ServiceManager: public comphelper::ConfigurationGroup< ServiceManager> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/ServiceManager"); }

struct Dictionaries: public comphelper::ConfigurationSet< Dictionaries> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/ServiceManager/Dictionaries"); }
private:
    Dictionaries(); // not defined
    ~Dictionaries(); // not defined
};

struct SpellCheckers: public comphelper::ConfigurationSet< SpellCheckers> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/ServiceManager/SpellCheckers"); }
private:
    SpellCheckers(); // not defined
    ~SpellCheckers(); // not defined
};

struct Hyphenators: public comphelper::ConfigurationSet< Hyphenators> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/ServiceManager/Hyphenators"); }
private:
    Hyphenators(); // not defined
    ~Hyphenators(); // not defined
};

struct Thesauri: public comphelper::ConfigurationSet< Thesauri> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/ServiceManager/Thesauri"); }
private:
    Thesauri(); // not defined
    ~Thesauri(); // not defined
};

struct DisabledDictionaries: public comphelper::ConfigurationProperty<DisabledDictionaries, boost::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/ServiceManager/DisabledDictionaries"); }
private:
    DisabledDictionaries(); // not defined
    ~DisabledDictionaries(); // not defined
};

struct GrammarCheckers: public comphelper::ConfigurationSet< GrammarCheckers> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/ServiceManager/GrammarCheckers"); }
private:
    GrammarCheckers(); // not defined
    ~GrammarCheckers(); // not defined
};

struct DataFilesChangedCheckValue: public comphelper::ConfigurationProperty<DataFilesChangedCheckValue, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Linguistic/ServiceManager/DataFilesChangedCheckValue"); }
private:
    DataFilesChangedCheckValue(); // not defined
    ~DataFilesChangedCheckValue(); // not defined
};

private:
    ServiceManager(); // not defined
    ~ServiceManager(); // not defined
};

} } }

#endif
