#ifndef INCLUDED_OFFICECFG_OFFICE_WRITER_HXX
#define INCLUDED_OFFICECFG_OFFICE_WRITER_HXX

#include "sal/config.h"

#include "boost/optional.hpp"
#include "com/sun/star/uno/Sequence.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Writer {

struct GlobalTemplateList: public comphelper::ConfigurationGroup< GlobalTemplateList> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/GlobalTemplateList"); }

struct Paths: public comphelper::ConfigurationProperty<Paths, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/GlobalTemplateList/Paths"); }
private:
    Paths(); // not defined
    ~Paths(); // not defined
};

private:
    GlobalTemplateList(); // not defined
    ~GlobalTemplateList(); // not defined
};

struct MailMergeWizard: public comphelper::ConfigurationGroup< MailMergeWizard> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard"); }

struct OutputToLetter: public comphelper::ConfigurationProperty<OutputToLetter, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/OutputToLetter"); }
private:
    OutputToLetter(); // not defined
    ~OutputToLetter(); // not defined
};

struct IncludeCountry: public comphelper::ConfigurationProperty<IncludeCountry, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IncludeCountry"); }
private:
    IncludeCountry(); // not defined
    ~IncludeCountry(); // not defined
};

struct ExcludeCountry: public comphelper::ConfigurationProperty<ExcludeCountry, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/ExcludeCountry"); }
private:
    ExcludeCountry(); // not defined
    ~ExcludeCountry(); // not defined
};

struct SavedDocuments: public comphelper::ConfigurationProperty<SavedDocuments, boost::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/SavedDocuments"); }
private:
    SavedDocuments(); // not defined
    ~SavedDocuments(); // not defined
};

struct AddressBlockSettings: public comphelper::ConfigurationProperty<AddressBlockSettings, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/AddressBlockSettings"); }
private:
    AddressBlockSettings(); // not defined
    ~AddressBlockSettings(); // not defined
};

struct IsAddressBlock: public comphelper::ConfigurationProperty<IsAddressBlock, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsAddressBlock"); }
private:
    IsAddressBlock(); // not defined
    ~IsAddressBlock(); // not defined
};

struct CurrentAddressBlock: public comphelper::ConfigurationProperty<CurrentAddressBlock, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/CurrentAddressBlock"); }
private:
    CurrentAddressBlock(); // not defined
    ~CurrentAddressBlock(); // not defined
};

struct IsHideEmptyParagraphs: public comphelper::ConfigurationProperty<IsHideEmptyParagraphs, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsHideEmptyParagraphs"); }
private:
    IsHideEmptyParagraphs(); // not defined
    ~IsHideEmptyParagraphs(); // not defined
};

struct IsGreetingLine: public comphelper::ConfigurationProperty<IsGreetingLine, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsGreetingLine"); }
private:
    IsGreetingLine(); // not defined
    ~IsGreetingLine(); // not defined
};

struct IsEMailGreetingLine: public comphelper::ConfigurationProperty<IsEMailGreetingLine, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsEMailGreetingLine"); }
private:
    IsEMailGreetingLine(); // not defined
    ~IsEMailGreetingLine(); // not defined
};

struct IsIndividualGreetingLine: public comphelper::ConfigurationProperty<IsIndividualGreetingLine, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsIndividualGreetingLine"); }
private:
    IsIndividualGreetingLine(); // not defined
    ~IsIndividualGreetingLine(); // not defined
};

struct IsEMailIndividualGreetingLine: public comphelper::ConfigurationProperty<IsEMailIndividualGreetingLine, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsEMailIndividualGreetingLine"); }
private:
    IsEMailIndividualGreetingLine(); // not defined
    ~IsEMailIndividualGreetingLine(); // not defined
};

struct FemaleGreetingLines: public comphelper::ConfigurationLocalizedProperty<FemaleGreetingLines, boost::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/FemaleGreetingLines"); }
private:
    FemaleGreetingLines(); // not defined
    ~FemaleGreetingLines(); // not defined
};

struct MaleGreetingLines: public comphelper::ConfigurationLocalizedProperty<MaleGreetingLines, boost::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/MaleGreetingLines"); }
private:
    MaleGreetingLines(); // not defined
    ~MaleGreetingLines(); // not defined
};

struct NeutralGreetingLines: public comphelper::ConfigurationLocalizedProperty<NeutralGreetingLines, boost::optional<com::sun::star::uno::Sequence<OUString> > > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/NeutralGreetingLines"); }
private:
    NeutralGreetingLines(); // not defined
    ~NeutralGreetingLines(); // not defined
};

struct CurrentFemaleGreeting: public comphelper::ConfigurationProperty<CurrentFemaleGreeting, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/CurrentFemaleGreeting"); }
private:
    CurrentFemaleGreeting(); // not defined
    ~CurrentFemaleGreeting(); // not defined
};

struct CurrentMaleGreeting: public comphelper::ConfigurationProperty<CurrentMaleGreeting, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/CurrentMaleGreeting"); }
private:
    CurrentMaleGreeting(); // not defined
    ~CurrentMaleGreeting(); // not defined
};

struct CurrentNeutralGreeting: public comphelper::ConfigurationProperty<CurrentNeutralGreeting, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/CurrentNeutralGreeting"); }
private:
    CurrentNeutralGreeting(); // not defined
    ~CurrentNeutralGreeting(); // not defined
};

struct FemaleGenderValue: public comphelper::ConfigurationProperty<FemaleGenderValue, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/FemaleGenderValue"); }
private:
    FemaleGenderValue(); // not defined
    ~FemaleGenderValue(); // not defined
};

struct MailDisplayName: public comphelper::ConfigurationProperty<MailDisplayName, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/MailDisplayName"); }
private:
    MailDisplayName(); // not defined
    ~MailDisplayName(); // not defined
};

struct MailAddress: public comphelper::ConfigurationProperty<MailAddress, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/MailAddress"); }
private:
    MailAddress(); // not defined
    ~MailAddress(); // not defined
};

struct IsMailReplyTo: public comphelper::ConfigurationProperty<IsMailReplyTo, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsMailReplyTo"); }
private:
    IsMailReplyTo(); // not defined
    ~IsMailReplyTo(); // not defined
};

struct MailReplyTo: public comphelper::ConfigurationProperty<MailReplyTo, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/MailReplyTo"); }
private:
    MailReplyTo(); // not defined
    ~MailReplyTo(); // not defined
};

struct MailServer: public comphelper::ConfigurationProperty<MailServer, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/MailServer"); }
private:
    MailServer(); // not defined
    ~MailServer(); // not defined
};

struct MailPort: public comphelper::ConfigurationProperty<MailPort, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/MailPort"); }
private:
    MailPort(); // not defined
    ~MailPort(); // not defined
};

struct IsSecureConnection: public comphelper::ConfigurationProperty<IsSecureConnection, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsSecureConnection"); }
private:
    IsSecureConnection(); // not defined
    ~IsSecureConnection(); // not defined
};

struct IsAuthentication: public comphelper::ConfigurationProperty<IsAuthentication, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsAuthentication"); }
private:
    IsAuthentication(); // not defined
    ~IsAuthentication(); // not defined
};

struct MailUserName: public comphelper::ConfigurationProperty<MailUserName, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/MailUserName"); }
private:
    MailUserName(); // not defined
    ~MailUserName(); // not defined
};

struct MailPassword: public comphelper::ConfigurationProperty<MailPassword, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/MailPassword"); }
private:
    MailPassword(); // not defined
    ~MailPassword(); // not defined
};

struct IsSMPTAfterPOP: public comphelper::ConfigurationProperty<IsSMPTAfterPOP, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/IsSMPTAfterPOP"); }
private:
    IsSMPTAfterPOP(); // not defined
    ~IsSMPTAfterPOP(); // not defined
};

struct InServerName: public comphelper::ConfigurationProperty<InServerName, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/InServerName"); }
private:
    InServerName(); // not defined
    ~InServerName(); // not defined
};

struct InServerPort: public comphelper::ConfigurationProperty<InServerPort, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/InServerPort"); }
private:
    InServerPort(); // not defined
    ~InServerPort(); // not defined
};

struct InServerIsPOP: public comphelper::ConfigurationProperty<InServerIsPOP, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/InServerIsPOP"); }
private:
    InServerIsPOP(); // not defined
    ~InServerIsPOP(); // not defined
};

struct InServerUserName: public comphelper::ConfigurationProperty<InServerUserName, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/InServerUserName"); }
private:
    InServerUserName(); // not defined
    ~InServerUserName(); // not defined
};

struct InServerPassword: public comphelper::ConfigurationProperty<InServerPassword, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/InServerPassword"); }
private:
    InServerPassword(); // not defined
    ~InServerPassword(); // not defined
};

struct Filter: public comphelper::ConfigurationProperty<Filter, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/Filter"); }
private:
    Filter(); // not defined
    ~Filter(); // not defined
};

struct EMailSupported: public comphelper::ConfigurationProperty<EMailSupported, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/EMailSupported"); }
private:
    EMailSupported(); // not defined
    ~EMailSupported(); // not defined
};

struct AddressDataAssignments: public comphelper::ConfigurationSet< AddressDataAssignments> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/MailMergeWizard/AddressDataAssignments"); }
private:
    AddressDataAssignments(); // not defined
    ~AddressDataAssignments(); // not defined
};

private:
    MailMergeWizard(); // not defined
    ~MailMergeWizard(); // not defined
};

struct Content: public comphelper::ConfigurationGroup< Content> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content"); }

struct Display: public comphelper::ConfigurationGroup< Display> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Display"); }

struct GraphicObject: public comphelper::ConfigurationProperty<GraphicObject, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Display/GraphicObject"); }
private:
    GraphicObject(); // not defined
    ~GraphicObject(); // not defined
};

struct Table: public comphelper::ConfigurationProperty<Table, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Display/Table"); }
private:
    Table(); // not defined
    ~Table(); // not defined
};

struct DrawingControl: public comphelper::ConfigurationProperty<DrawingControl, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Display/DrawingControl"); }
private:
    DrawingControl(); // not defined
    ~DrawingControl(); // not defined
};

struct FieldCode: public comphelper::ConfigurationProperty<FieldCode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Display/FieldCode"); }
private:
    FieldCode(); // not defined
    ~FieldCode(); // not defined
};

struct Note: public comphelper::ConfigurationProperty<Note, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Display/Note"); }
private:
    Note(); // not defined
    ~Note(); // not defined
};

struct ShowContentTips: public comphelper::ConfigurationProperty<ShowContentTips, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Display/ShowContentTips"); }
private:
    ShowContentTips(); // not defined
    ~ShowContentTips(); // not defined
};

struct ShowInlineTooltips: public comphelper::ConfigurationProperty<ShowInlineTooltips, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Display/ShowInlineTooltips"); }
private:
    ShowInlineTooltips(); // not defined
    ~ShowInlineTooltips(); // not defined
};

struct UseHeaderFooterMenu: public comphelper::ConfigurationProperty<UseHeaderFooterMenu, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Display/UseHeaderFooterMenu"); }
private:
    UseHeaderFooterMenu(); // not defined
    ~UseHeaderFooterMenu(); // not defined
};

private:
    Display(); // not defined
    ~Display(); // not defined
};

struct NonprintingCharacter: public comphelper::ConfigurationGroup< NonprintingCharacter> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter"); }

struct MetaCharacters: public comphelper::ConfigurationProperty<MetaCharacters, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/MetaCharacters"); }
private:
    MetaCharacters(); // not defined
    ~MetaCharacters(); // not defined
};

struct ParagraphEnd: public comphelper::ConfigurationProperty<ParagraphEnd, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/ParagraphEnd"); }
private:
    ParagraphEnd(); // not defined
    ~ParagraphEnd(); // not defined
};

struct OptionalHyphen: public comphelper::ConfigurationProperty<OptionalHyphen, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/OptionalHyphen"); }
private:
    OptionalHyphen(); // not defined
    ~OptionalHyphen(); // not defined
};

struct Space: public comphelper::ConfigurationProperty<Space, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/Space"); }
private:
    Space(); // not defined
    ~Space(); // not defined
};

struct ProtectedSpace: public comphelper::ConfigurationProperty<ProtectedSpace, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/ProtectedSpace"); }
private:
    ProtectedSpace(); // not defined
    ~ProtectedSpace(); // not defined
};

struct Tab: public comphelper::ConfigurationProperty<Tab, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/Tab"); }
private:
    Tab(); // not defined
    ~Tab(); // not defined
};

struct Break: public comphelper::ConfigurationProperty<Break, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/Break"); }
private:
    Break(); // not defined
    ~Break(); // not defined
};

struct HiddenText: public comphelper::ConfigurationProperty<HiddenText, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/HiddenText"); }
private:
    HiddenText(); // not defined
    ~HiddenText(); // not defined
};

struct HiddenParagraph: public comphelper::ConfigurationProperty<HiddenParagraph, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/HiddenParagraph"); }
private:
    HiddenParagraph(); // not defined
    ~HiddenParagraph(); // not defined
};

struct HiddenCharacter: public comphelper::ConfigurationProperty<HiddenCharacter, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/NonprintingCharacter/HiddenCharacter"); }
private:
    HiddenCharacter(); // not defined
    ~HiddenCharacter(); // not defined
};

private:
    NonprintingCharacter(); // not defined
    ~NonprintingCharacter(); // not defined
};

struct Update: public comphelper::ConfigurationGroup< Update> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Update"); }

struct Link: public comphelper::ConfigurationProperty<Link, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Update/Link"); }
private:
    Link(); // not defined
    ~Link(); // not defined
};

struct Field: public comphelper::ConfigurationProperty<Field, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Update/Field"); }
private:
    Field(); // not defined
    ~Field(); // not defined
};

struct Chart: public comphelper::ConfigurationProperty<Chart, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Content/Update/Chart"); }
private:
    Chart(); // not defined
    ~Chart(); // not defined
};

private:
    Update(); // not defined
    ~Update(); // not defined
};

private:
    Content(); // not defined
    ~Content(); // not defined
};

struct Layout: public comphelper::ConfigurationGroup< Layout> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout"); }

struct Line: public comphelper::ConfigurationGroup< Line> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Line"); }

struct Guide: public comphelper::ConfigurationProperty<Guide, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Line/Guide"); }
private:
    Guide(); // not defined
    ~Guide(); // not defined
};

struct SimpleControlPoint: public comphelper::ConfigurationProperty<SimpleControlPoint, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Line/SimpleControlPoint"); }
private:
    SimpleControlPoint(); // not defined
    ~SimpleControlPoint(); // not defined
};

struct LargeControlPoint: public comphelper::ConfigurationProperty<LargeControlPoint, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Line/LargeControlPoint"); }
private:
    LargeControlPoint(); // not defined
    ~LargeControlPoint(); // not defined
};

private:
    Line(); // not defined
    ~Line(); // not defined
};

struct Window: public comphelper::ConfigurationGroup< Window> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window"); }

struct ShowScrollBarTips: public comphelper::ConfigurationProperty<ShowScrollBarTips, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/ShowScrollBarTips"); }
private:
    ShowScrollBarTips(); // not defined
    ~ShowScrollBarTips(); // not defined
};

struct HorizontalScroll: public comphelper::ConfigurationProperty<HorizontalScroll, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/HorizontalScroll"); }
private:
    HorizontalScroll(); // not defined
    ~HorizontalScroll(); // not defined
};

struct VerticalScroll: public comphelper::ConfigurationProperty<VerticalScroll, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/VerticalScroll"); }
private:
    VerticalScroll(); // not defined
    ~VerticalScroll(); // not defined
};

struct ShowRulers: public comphelper::ConfigurationProperty<ShowRulers, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/ShowRulers"); }
private:
    ShowRulers(); // not defined
    ~ShowRulers(); // not defined
};

struct HorizontalRuler: public comphelper::ConfigurationProperty<HorizontalRuler, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/HorizontalRuler"); }
private:
    HorizontalRuler(); // not defined
    ~HorizontalRuler(); // not defined
};

struct HorizontalRulerUnit: public comphelper::ConfigurationProperty<HorizontalRulerUnit, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/HorizontalRulerUnit"); }
private:
    HorizontalRulerUnit(); // not defined
    ~HorizontalRulerUnit(); // not defined
};

struct VerticalRuler: public comphelper::ConfigurationProperty<VerticalRuler, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/VerticalRuler"); }
private:
    VerticalRuler(); // not defined
    ~VerticalRuler(); // not defined
};

struct IsVerticalRulerRight: public comphelper::ConfigurationProperty<IsVerticalRulerRight, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/IsVerticalRulerRight"); }
private:
    IsVerticalRulerRight(); // not defined
    ~IsVerticalRulerRight(); // not defined
};

struct VerticalRulerUnit: public comphelper::ConfigurationProperty<VerticalRulerUnit, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/VerticalRulerUnit"); }
private:
    VerticalRulerUnit(); // not defined
    ~VerticalRulerUnit(); // not defined
};

struct SmoothScroll: public comphelper::ConfigurationProperty<SmoothScroll, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Window/SmoothScroll"); }
private:
    SmoothScroll(); // not defined
    ~SmoothScroll(); // not defined
};

private:
    Window(); // not defined
    ~Window(); // not defined
};

struct Other: public comphelper::ConfigurationGroup< Other> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Other"); }

struct IsAlignMathObjectsToBaseline: public comphelper::ConfigurationProperty<IsAlignMathObjectsToBaseline, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Other/IsAlignMathObjectsToBaseline"); }
private:
    IsAlignMathObjectsToBaseline(); // not defined
    ~IsAlignMathObjectsToBaseline(); // not defined
};

struct MeasureUnit: public comphelper::ConfigurationProperty<MeasureUnit, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Other/MeasureUnit"); }
private:
    MeasureUnit(); // not defined
    ~MeasureUnit(); // not defined
};

struct TabStop: public comphelper::ConfigurationLocalizedProperty<TabStop, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Other/TabStop"); }
private:
    TabStop(); // not defined
    ~TabStop(); // not defined
};

struct IsSquaredPageMode: public comphelper::ConfigurationProperty<IsSquaredPageMode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Other/IsSquaredPageMode"); }
private:
    IsSquaredPageMode(); // not defined
    ~IsSquaredPageMode(); // not defined
};

struct ApplyCharUnit: public comphelper::ConfigurationProperty<ApplyCharUnit, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Other/ApplyCharUnit"); }
private:
    ApplyCharUnit(); // not defined
    ~ApplyCharUnit(); // not defined
};

private:
    Other(); // not defined
    ~Other(); // not defined
};

struct Zoom: public comphelper::ConfigurationGroup< Zoom> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Zoom"); }

struct Type: public comphelper::ConfigurationProperty<Type, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Zoom/Type"); }
private:
    Type(); // not defined
    ~Type(); // not defined
};

struct Value: public comphelper::ConfigurationProperty<Value, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/Zoom/Value"); }
private:
    Value(); // not defined
    ~Value(); // not defined
};

private:
    Zoom(); // not defined
    ~Zoom(); // not defined
};

struct ViewLayout: public comphelper::ConfigurationGroup< ViewLayout> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/ViewLayout"); }

struct Columns: public comphelper::ConfigurationProperty<Columns, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/ViewLayout/Columns"); }
private:
    Columns(); // not defined
    ~Columns(); // not defined
};

struct BookMode: public comphelper::ConfigurationProperty<BookMode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Layout/ViewLayout/BookMode"); }
private:
    BookMode(); // not defined
    ~BookMode(); // not defined
};

private:
    ViewLayout(); // not defined
    ~ViewLayout(); // not defined
};

private:
    Layout(); // not defined
    ~Layout(); // not defined
};

struct Grid: public comphelper::ConfigurationGroup< Grid> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid"); }

struct Option: public comphelper::ConfigurationGroup< Option> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Option"); }

struct SnapToGrid: public comphelper::ConfigurationProperty<SnapToGrid, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Option/SnapToGrid"); }
private:
    SnapToGrid(); // not defined
    ~SnapToGrid(); // not defined
};

struct VisibleGrid: public comphelper::ConfigurationProperty<VisibleGrid, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Option/VisibleGrid"); }
private:
    VisibleGrid(); // not defined
    ~VisibleGrid(); // not defined
};

struct Synchronize: public comphelper::ConfigurationProperty<Synchronize, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Option/Synchronize"); }
private:
    Synchronize(); // not defined
    ~Synchronize(); // not defined
};

private:
    Option(); // not defined
    ~Option(); // not defined
};

struct Resolution: public comphelper::ConfigurationGroup< Resolution> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Resolution"); }

struct XAxis: public comphelper::ConfigurationProperty<XAxis, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Resolution/XAxis"); }
private:
    XAxis(); // not defined
    ~XAxis(); // not defined
};

struct YAxis: public comphelper::ConfigurationProperty<YAxis, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Resolution/YAxis"); }
private:
    YAxis(); // not defined
    ~YAxis(); // not defined
};

private:
    Resolution(); // not defined
    ~Resolution(); // not defined
};

struct Subdivision: public comphelper::ConfigurationGroup< Subdivision> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Subdivision"); }

struct XAxis: public comphelper::ConfigurationProperty<XAxis, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Subdivision/XAxis"); }
private:
    XAxis(); // not defined
    ~XAxis(); // not defined
};

struct YAxis: public comphelper::ConfigurationProperty<YAxis, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Grid/Subdivision/YAxis"); }
private:
    YAxis(); // not defined
    ~YAxis(); // not defined
};

private:
    Subdivision(); // not defined
    ~Subdivision(); // not defined
};

private:
    Grid(); // not defined
    ~Grid(); // not defined
};

struct DefaultFont: public comphelper::ConfigurationGroup< DefaultFont> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont"); }

struct Standard: public comphelper::ConfigurationProperty<Standard, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/Standard"); }
private:
    Standard(); // not defined
    ~Standard(); // not defined
};

struct StandardHeight: public comphelper::ConfigurationProperty<StandardHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/StandardHeight"); }
private:
    StandardHeight(); // not defined
    ~StandardHeight(); // not defined
};

struct Heading: public comphelper::ConfigurationProperty<Heading, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/Heading"); }
private:
    Heading(); // not defined
    ~Heading(); // not defined
};

struct HeadingHeight: public comphelper::ConfigurationProperty<HeadingHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/HeadingHeight"); }
private:
    HeadingHeight(); // not defined
    ~HeadingHeight(); // not defined
};

struct List: public comphelper::ConfigurationProperty<List, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/List"); }
private:
    List(); // not defined
    ~List(); // not defined
};

struct ListHeight: public comphelper::ConfigurationProperty<ListHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/ListHeight"); }
private:
    ListHeight(); // not defined
    ~ListHeight(); // not defined
};

struct Caption: public comphelper::ConfigurationProperty<Caption, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/Caption"); }
private:
    Caption(); // not defined
    ~Caption(); // not defined
};

struct CaptionHeight: public comphelper::ConfigurationProperty<CaptionHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/CaptionHeight"); }
private:
    CaptionHeight(); // not defined
    ~CaptionHeight(); // not defined
};

struct Index: public comphelper::ConfigurationProperty<Index, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/Index"); }
private:
    Index(); // not defined
    ~Index(); // not defined
};

struct IndexHeight: public comphelper::ConfigurationProperty<IndexHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/IndexHeight"); }
private:
    IndexHeight(); // not defined
    ~IndexHeight(); // not defined
};

struct Document: public comphelper::ConfigurationProperty<Document, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFont/Document"); }
private:
    Document(); // not defined
    ~Document(); // not defined
};

private:
    DefaultFont(); // not defined
    ~DefaultFont(); // not defined
};

struct DefaultFontCJK: public comphelper::ConfigurationGroup< DefaultFontCJK> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK"); }

struct Standard: public comphelper::ConfigurationProperty<Standard, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/Standard"); }
private:
    Standard(); // not defined
    ~Standard(); // not defined
};

struct StandardHeight: public comphelper::ConfigurationProperty<StandardHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/StandardHeight"); }
private:
    StandardHeight(); // not defined
    ~StandardHeight(); // not defined
};

struct Heading: public comphelper::ConfigurationProperty<Heading, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/Heading"); }
private:
    Heading(); // not defined
    ~Heading(); // not defined
};

struct HeadingHeight: public comphelper::ConfigurationProperty<HeadingHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/HeadingHeight"); }
private:
    HeadingHeight(); // not defined
    ~HeadingHeight(); // not defined
};

struct List: public comphelper::ConfigurationProperty<List, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/List"); }
private:
    List(); // not defined
    ~List(); // not defined
};

struct ListHeight: public comphelper::ConfigurationProperty<ListHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/ListHeight"); }
private:
    ListHeight(); // not defined
    ~ListHeight(); // not defined
};

struct Caption: public comphelper::ConfigurationProperty<Caption, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/Caption"); }
private:
    Caption(); // not defined
    ~Caption(); // not defined
};

struct CaptionHeight: public comphelper::ConfigurationProperty<CaptionHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/CaptionHeight"); }
private:
    CaptionHeight(); // not defined
    ~CaptionHeight(); // not defined
};

struct Index: public comphelper::ConfigurationProperty<Index, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/Index"); }
private:
    Index(); // not defined
    ~Index(); // not defined
};

struct IndexHeight: public comphelper::ConfigurationProperty<IndexHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/IndexHeight"); }
private:
    IndexHeight(); // not defined
    ~IndexHeight(); // not defined
};

struct Document: public comphelper::ConfigurationProperty<Document, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCJK/Document"); }
private:
    Document(); // not defined
    ~Document(); // not defined
};

private:
    DefaultFontCJK(); // not defined
    ~DefaultFontCJK(); // not defined
};

struct DefaultFontCTL: public comphelper::ConfigurationGroup< DefaultFontCTL> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL"); }

struct Standard: public comphelper::ConfigurationProperty<Standard, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/Standard"); }
private:
    Standard(); // not defined
    ~Standard(); // not defined
};

struct StandardHeight: public comphelper::ConfigurationProperty<StandardHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/StandardHeight"); }
private:
    StandardHeight(); // not defined
    ~StandardHeight(); // not defined
};

struct Heading: public comphelper::ConfigurationProperty<Heading, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/Heading"); }
private:
    Heading(); // not defined
    ~Heading(); // not defined
};

struct HeadingHeight: public comphelper::ConfigurationProperty<HeadingHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/HeadingHeight"); }
private:
    HeadingHeight(); // not defined
    ~HeadingHeight(); // not defined
};

struct List: public comphelper::ConfigurationProperty<List, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/List"); }
private:
    List(); // not defined
    ~List(); // not defined
};

struct ListHeight: public comphelper::ConfigurationProperty<ListHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/ListHeight"); }
private:
    ListHeight(); // not defined
    ~ListHeight(); // not defined
};

struct Caption: public comphelper::ConfigurationProperty<Caption, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/Caption"); }
private:
    Caption(); // not defined
    ~Caption(); // not defined
};

struct CaptionHeight: public comphelper::ConfigurationProperty<CaptionHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/CaptionHeight"); }
private:
    CaptionHeight(); // not defined
    ~CaptionHeight(); // not defined
};

struct Index: public comphelper::ConfigurationProperty<Index, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/Index"); }
private:
    Index(); // not defined
    ~Index(); // not defined
};

struct IndexHeight: public comphelper::ConfigurationProperty<IndexHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/IndexHeight"); }
private:
    IndexHeight(); // not defined
    ~IndexHeight(); // not defined
};

struct Document: public comphelper::ConfigurationProperty<Document, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/DefaultFontCTL/Document"); }
private:
    Document(); // not defined
    ~Document(); // not defined
};

private:
    DefaultFontCTL(); // not defined
    ~DefaultFontCTL(); // not defined
};

struct Print: public comphelper::ConfigurationGroup< Print> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print"); }

struct Content: public comphelper::ConfigurationGroup< Content> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content"); }

struct Graphic: public comphelper::ConfigurationProperty<Graphic, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content/Graphic"); }
private:
    Graphic(); // not defined
    ~Graphic(); // not defined
};

struct Table: public comphelper::ConfigurationProperty<Table, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content/Table"); }
private:
    Table(); // not defined
    ~Table(); // not defined
};

struct Drawing: public comphelper::ConfigurationProperty<Drawing, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content/Drawing"); }
private:
    Drawing(); // not defined
    ~Drawing(); // not defined
};

struct Control: public comphelper::ConfigurationProperty<Control, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content/Control"); }
private:
    Control(); // not defined
    ~Control(); // not defined
};

struct Background: public comphelper::ConfigurationProperty<Background, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content/Background"); }
private:
    Background(); // not defined
    ~Background(); // not defined
};

struct PrintBlack: public comphelper::ConfigurationProperty<PrintBlack, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content/PrintBlack"); }
private:
    PrintBlack(); // not defined
    ~PrintBlack(); // not defined
};

struct PrintHiddenText: public comphelper::ConfigurationProperty<PrintHiddenText, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content/PrintHiddenText"); }
private:
    PrintHiddenText(); // not defined
    ~PrintHiddenText(); // not defined
};

struct PrintPlaceholders: public comphelper::ConfigurationProperty<PrintPlaceholders, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content/PrintPlaceholders"); }
private:
    PrintPlaceholders(); // not defined
    ~PrintPlaceholders(); // not defined
};

struct Note: public comphelper::ConfigurationProperty<Note, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Content/Note"); }
private:
    Note(); // not defined
    ~Note(); // not defined
};

private:
    Content(); // not defined
    ~Content(); // not defined
};

struct Page: public comphelper::ConfigurationGroup< Page> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Page"); }

struct LeftPage: public comphelper::ConfigurationProperty<LeftPage, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Page/LeftPage"); }
private:
    LeftPage(); // not defined
    ~LeftPage(); // not defined
};

struct RightPage: public comphelper::ConfigurationProperty<RightPage, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Page/RightPage"); }
private:
    RightPage(); // not defined
    ~RightPage(); // not defined
};

struct Reversed: public comphelper::ConfigurationProperty<Reversed, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Page/Reversed"); }
private:
    Reversed(); // not defined
    ~Reversed(); // not defined
};

struct Brochure: public comphelper::ConfigurationProperty<Brochure, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Page/Brochure"); }
private:
    Brochure(); // not defined
    ~Brochure(); // not defined
};

struct BrochureRightToLeft: public comphelper::ConfigurationProperty<BrochureRightToLeft, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Page/BrochureRightToLeft"); }
private:
    BrochureRightToLeft(); // not defined
    ~BrochureRightToLeft(); // not defined
};

private:
    Page(); // not defined
    ~Page(); // not defined
};

struct Output: public comphelper::ConfigurationGroup< Output> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Output"); }

struct SinglePrintJob: public comphelper::ConfigurationProperty<SinglePrintJob, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Output/SinglePrintJob"); }
private:
    SinglePrintJob(); // not defined
    ~SinglePrintJob(); // not defined
};

struct Fax: public comphelper::ConfigurationProperty<Fax, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Output/Fax"); }
private:
    Fax(); // not defined
    ~Fax(); // not defined
};

private:
    Output(); // not defined
    ~Output(); // not defined
};

struct Papertray: public comphelper::ConfigurationGroup< Papertray> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Papertray"); }

struct FromPrinterSetup: public comphelper::ConfigurationProperty<FromPrinterSetup, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/Papertray/FromPrinterSetup"); }
private:
    FromPrinterSetup(); // not defined
    ~FromPrinterSetup(); // not defined
};

private:
    Papertray(); // not defined
    ~Papertray(); // not defined
};

struct EmptyPages: public comphelper::ConfigurationProperty<EmptyPages, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Print/EmptyPages"); }
private:
    EmptyPages(); // not defined
    ~EmptyPages(); // not defined
};

private:
    Print(); // not defined
    ~Print(); // not defined
};

struct Table: public comphelper::ConfigurationGroup< Table> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table"); }

struct Shift: public comphelper::ConfigurationGroup< Shift> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Shift"); }

struct Row: public comphelper::ConfigurationProperty<Row, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Shift/Row"); }
private:
    Row(); // not defined
    ~Row(); // not defined
};

struct Column: public comphelper::ConfigurationProperty<Column, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Shift/Column"); }
private:
    Column(); // not defined
    ~Column(); // not defined
};

private:
    Shift(); // not defined
    ~Shift(); // not defined
};

struct Insert: public comphelper::ConfigurationGroup< Insert> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Insert"); }

struct Row: public comphelper::ConfigurationProperty<Row, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Insert/Row"); }
private:
    Row(); // not defined
    ~Row(); // not defined
};

struct Column: public comphelper::ConfigurationProperty<Column, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Insert/Column"); }
private:
    Column(); // not defined
    ~Column(); // not defined
};

private:
    Insert(); // not defined
    ~Insert(); // not defined
};

struct Change: public comphelper::ConfigurationGroup< Change> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Change"); }

struct Effect: public comphelper::ConfigurationProperty<Effect, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Change/Effect"); }
private:
    Effect(); // not defined
    ~Effect(); // not defined
};

private:
    Change(); // not defined
    ~Change(); // not defined
};

struct Input: public comphelper::ConfigurationGroup< Input> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Input"); }

struct NumberRecognition: public comphelper::ConfigurationProperty<NumberRecognition, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Input/NumberRecognition"); }
private:
    NumberRecognition(); // not defined
    ~NumberRecognition(); // not defined
};

struct NumberFormatRecognition: public comphelper::ConfigurationProperty<NumberFormatRecognition, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Input/NumberFormatRecognition"); }
private:
    NumberFormatRecognition(); // not defined
    ~NumberFormatRecognition(); // not defined
};

struct Alignment: public comphelper::ConfigurationProperty<Alignment, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Input/Alignment"); }
private:
    Alignment(); // not defined
    ~Alignment(); // not defined
};

struct SplitVerticalByDefault: public comphelper::ConfigurationProperty<SplitVerticalByDefault, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Table/Input/SplitVerticalByDefault"); }
private:
    SplitVerticalByDefault(); // not defined
    ~SplitVerticalByDefault(); // not defined
};

private:
    Input(); // not defined
    ~Input(); // not defined
};

private:
    Table(); // not defined
    ~Table(); // not defined
};

struct Cursor: public comphelper::ConfigurationGroup< Cursor> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Cursor"); }

struct DirectCursor: public comphelper::ConfigurationGroup< DirectCursor> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Cursor/DirectCursor"); }

struct UseDirectCursor: public comphelper::ConfigurationProperty<UseDirectCursor, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Cursor/DirectCursor/UseDirectCursor"); }
private:
    UseDirectCursor(); // not defined
    ~UseDirectCursor(); // not defined
};

struct Insert: public comphelper::ConfigurationProperty<Insert, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Cursor/DirectCursor/Insert"); }
private:
    Insert(); // not defined
    ~Insert(); // not defined
};

private:
    DirectCursor(); // not defined
    ~DirectCursor(); // not defined
};

struct Option: public comphelper::ConfigurationGroup< Option> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Cursor/Option"); }

struct ProtectedArea: public comphelper::ConfigurationProperty<ProtectedArea, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Cursor/Option/ProtectedArea"); }
private:
    ProtectedArea(); // not defined
    ~ProtectedArea(); // not defined
};

struct IgnoreProtectedArea: public comphelper::ConfigurationProperty<IgnoreProtectedArea, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Cursor/Option/IgnoreProtectedArea"); }
private:
    IgnoreProtectedArea(); // not defined
    ~IgnoreProtectedArea(); // not defined
};

private:
    Option(); // not defined
    ~Option(); // not defined
};

private:
    Cursor(); // not defined
    ~Cursor(); // not defined
};

struct Revision: public comphelper::ConfigurationGroup< Revision> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision"); }

struct TextDisplay: public comphelper::ConfigurationGroup< TextDisplay> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay"); }

struct Insert: public comphelper::ConfigurationGroup< Insert> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay/Insert"); }

struct Attribute: public comphelper::ConfigurationProperty<Attribute, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay/Insert/Attribute"); }
private:
    Attribute(); // not defined
    ~Attribute(); // not defined
};

struct Color: public comphelper::ConfigurationProperty<Color, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay/Insert/Color"); }
private:
    Color(); // not defined
    ~Color(); // not defined
};

private:
    Insert(); // not defined
    ~Insert(); // not defined
};

struct Delete: public comphelper::ConfigurationGroup< Delete> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay/Delete"); }

struct Attribute: public comphelper::ConfigurationProperty<Attribute, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay/Delete/Attribute"); }
private:
    Attribute(); // not defined
    ~Attribute(); // not defined
};

struct Color: public comphelper::ConfigurationProperty<Color, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay/Delete/Color"); }
private:
    Color(); // not defined
    ~Color(); // not defined
};

private:
    Delete(); // not defined
    ~Delete(); // not defined
};

struct ChangedAttribute: public comphelper::ConfigurationGroup< ChangedAttribute> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay/ChangedAttribute"); }

struct Attribute: public comphelper::ConfigurationProperty<Attribute, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay/ChangedAttribute/Attribute"); }
private:
    Attribute(); // not defined
    ~Attribute(); // not defined
};

struct Color: public comphelper::ConfigurationProperty<Color, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/TextDisplay/ChangedAttribute/Color"); }
private:
    Color(); // not defined
    ~Color(); // not defined
};

private:
    ChangedAttribute(); // not defined
    ~ChangedAttribute(); // not defined
};

private:
    TextDisplay(); // not defined
    ~TextDisplay(); // not defined
};

struct LinesChanged: public comphelper::ConfigurationGroup< LinesChanged> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/LinesChanged"); }

struct Mark: public comphelper::ConfigurationProperty<Mark, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/LinesChanged/Mark"); }
private:
    Mark(); // not defined
    ~Mark(); // not defined
};

struct Color: public comphelper::ConfigurationProperty<Color, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Revision/LinesChanged/Color"); }
private:
    Color(); // not defined
    ~Color(); // not defined
};

private:
    LinesChanged(); // not defined
    ~LinesChanged(); // not defined
};

private:
    Revision(); // not defined
    ~Revision(); // not defined
};

struct Comparison: public comphelper::ConfigurationGroup< Comparison> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Comparison"); }

struct Mode: public comphelper::ConfigurationProperty<Mode, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Comparison/Mode"); }
private:
    Mode(); // not defined
    ~Mode(); // not defined
};

struct UseRSID: public comphelper::ConfigurationProperty<UseRSID, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Comparison/UseRSID"); }
private:
    UseRSID(); // not defined
    ~UseRSID(); // not defined
};

struct IgnorePieces: public comphelper::ConfigurationProperty<IgnorePieces, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Comparison/IgnorePieces"); }
private:
    IgnorePieces(); // not defined
    ~IgnorePieces(); // not defined
};

struct IgnoreLength: public comphelper::ConfigurationProperty<IgnoreLength, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Comparison/IgnoreLength"); }
private:
    IgnoreLength(); // not defined
    ~IgnoreLength(); // not defined
};

struct StoreRSID: public comphelper::ConfigurationProperty<StoreRSID, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Comparison/StoreRSID"); }
private:
    StoreRSID(); // not defined
    ~StoreRSID(); // not defined
};

private:
    Comparison(); // not defined
    ~Comparison(); // not defined
};

struct Insert: public comphelper::ConfigurationGroup< Insert> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert"); }

struct Caption: public comphelper::ConfigurationGroup< Caption> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption"); }

struct CaptionOrderNumberingFirst: public comphelper::ConfigurationLocalizedProperty<CaptionOrderNumberingFirst, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/CaptionOrderNumberingFirst"); }
private:
    CaptionOrderNumberingFirst(); // not defined
    ~CaptionOrderNumberingFirst(); // not defined
};

struct Automatic: public comphelper::ConfigurationProperty<Automatic, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/Automatic"); }
private:
    Automatic(); // not defined
    ~Automatic(); // not defined
};

struct WriterObject: public comphelper::ConfigurationGroup< WriterObject> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject"); }

struct Table: public comphelper::ConfigurationGroup< Table> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Table/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    Table(); // not defined
    ~Table(); // not defined
};

struct Frame: public comphelper::ConfigurationGroup< Frame> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Frame/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    Frame(); // not defined
    ~Frame(); // not defined
};

struct Graphic: public comphelper::ConfigurationGroup< Graphic> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

struct ApplyAttributes: public comphelper::ConfigurationProperty<ApplyAttributes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/WriterObject/Graphic/Settings/ApplyAttributes"); }
private:
    ApplyAttributes(); // not defined
    ~ApplyAttributes(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    Graphic(); // not defined
    ~Graphic(); // not defined
};

private:
    WriterObject(); // not defined
    ~WriterObject(); // not defined
};

struct OfficeObject: public comphelper::ConfigurationGroup< OfficeObject> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject"); }

struct Calc: public comphelper::ConfigurationGroup< Calc> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

struct ApplyAttributes: public comphelper::ConfigurationProperty<ApplyAttributes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Calc/Settings/ApplyAttributes"); }
private:
    ApplyAttributes(); // not defined
    ~ApplyAttributes(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    Calc(); // not defined
    ~Calc(); // not defined
};

struct Draw: public comphelper::ConfigurationGroup< Draw> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

struct ApplyAttributes: public comphelper::ConfigurationProperty<ApplyAttributes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Draw/Settings/ApplyAttributes"); }
private:
    ApplyAttributes(); // not defined
    ~ApplyAttributes(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    Draw(); // not defined
    ~Draw(); // not defined
};

struct Chart: public comphelper::ConfigurationGroup< Chart> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

struct ApplyAttributes: public comphelper::ConfigurationProperty<ApplyAttributes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Chart/Settings/ApplyAttributes"); }
private:
    ApplyAttributes(); // not defined
    ~ApplyAttributes(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    Chart(); // not defined
    ~Chart(); // not defined
};

struct Image: public comphelper::ConfigurationGroup< Image> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

struct ApplyAttributes: public comphelper::ConfigurationProperty<ApplyAttributes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Image/Settings/ApplyAttributes"); }
private:
    ApplyAttributes(); // not defined
    ~ApplyAttributes(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    Image(); // not defined
    ~Image(); // not defined
};

struct Formula: public comphelper::ConfigurationGroup< Formula> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

struct ApplyAttributes: public comphelper::ConfigurationProperty<ApplyAttributes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Formula/Settings/ApplyAttributes"); }
private:
    ApplyAttributes(); // not defined
    ~ApplyAttributes(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    Formula(); // not defined
    ~Formula(); // not defined
};

struct Impress: public comphelper::ConfigurationGroup< Impress> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

struct ApplyAttributes: public comphelper::ConfigurationProperty<ApplyAttributes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/Impress/Settings/ApplyAttributes"); }
private:
    ApplyAttributes(); // not defined
    ~ApplyAttributes(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    Impress(); // not defined
    ~Impress(); // not defined
};

struct OLEMisc: public comphelper::ConfigurationGroup< OLEMisc> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings"); }

struct Category: public comphelper::ConfigurationLocalizedProperty<Category, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings/Category"); }
private:
    Category(); // not defined
    ~Category(); // not defined
};

struct Numbering: public comphelper::ConfigurationProperty<Numbering, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings/Numbering"); }
private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct NumberingSeparator: public comphelper::ConfigurationLocalizedProperty<NumberingSeparator, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings/NumberingSeparator"); }
private:
    NumberingSeparator(); // not defined
    ~NumberingSeparator(); // not defined
};

struct CaptionText: public comphelper::ConfigurationLocalizedProperty<CaptionText, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings/CaptionText"); }
private:
    CaptionText(); // not defined
    ~CaptionText(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Level: public comphelper::ConfigurationProperty<Level, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings/Level"); }
private:
    Level(); // not defined
    ~Level(); // not defined
};

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

struct CharacterStyle: public comphelper::ConfigurationProperty<CharacterStyle, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings/CharacterStyle"); }
private:
    CharacterStyle(); // not defined
    ~CharacterStyle(); // not defined
};

struct ApplyAttributes: public comphelper::ConfigurationProperty<ApplyAttributes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Caption/OfficeObject/OLEMisc/Settings/ApplyAttributes"); }
private:
    ApplyAttributes(); // not defined
    ~ApplyAttributes(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

private:
    OLEMisc(); // not defined
    ~OLEMisc(); // not defined
};

private:
    OfficeObject(); // not defined
    ~OfficeObject(); // not defined
};

private:
    Caption(); // not defined
    ~Caption(); // not defined
};

struct Table: public comphelper::ConfigurationGroup< Table> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Table"); }

struct Header: public comphelper::ConfigurationProperty<Header, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Table/Header"); }
private:
    Header(); // not defined
    ~Header(); // not defined
};

struct RepeatHeader: public comphelper::ConfigurationProperty<RepeatHeader, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Table/RepeatHeader"); }
private:
    RepeatHeader(); // not defined
    ~RepeatHeader(); // not defined
};

struct Split: public comphelper::ConfigurationProperty<Split, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Table/Split"); }
private:
    Split(); // not defined
    ~Split(); // not defined
};

struct Border: public comphelper::ConfigurationProperty<Border, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Insert/Table/Border"); }
private:
    Border(); // not defined
    ~Border(); // not defined
};

private:
    Table(); // not defined
    ~Table(); // not defined
};

private:
    Insert(); // not defined
    ~Insert(); // not defined
};

struct Compatibility: public comphelper::ConfigurationGroup< Compatibility> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Compatibility"); }

struct MS_Word: public comphelper::ConfigurationGroup< MS_Word> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Compatibility/MS_Word"); }

struct AddBetween: public comphelper::ConfigurationProperty<AddBetween, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Compatibility/MS_Word/AddBetween"); }
private:
    AddBetween(); // not defined
    ~AddBetween(); // not defined
};

struct AddToStart: public comphelper::ConfigurationProperty<AddToStart, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Compatibility/MS_Word/AddToStart"); }
private:
    AddToStart(); // not defined
    ~AddToStart(); // not defined
};

private:
    MS_Word(); // not defined
    ~MS_Word(); // not defined
};

private:
    Compatibility(); // not defined
    ~Compatibility(); // not defined
};

struct AutoFunction: public comphelper::ConfigurationGroup< AutoFunction> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction"); }

struct Text: public comphelper::ConfigurationGroup< Text> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Text"); }

struct FileLinks: public comphelper::ConfigurationProperty<FileLinks, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Text/FileLinks"); }
private:
    FileLinks(); // not defined
    ~FileLinks(); // not defined
};

struct InternetLinks: public comphelper::ConfigurationProperty<InternetLinks, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Text/InternetLinks"); }
private:
    InternetLinks(); // not defined
    ~InternetLinks(); // not defined
};

struct ShowPreview: public comphelper::ConfigurationProperty<ShowPreview, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Text/ShowPreview"); }
private:
    ShowPreview(); // not defined
    ~ShowPreview(); // not defined
};

struct ShowToolTip: public comphelper::ConfigurationProperty<ShowToolTip, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Text/ShowToolTip"); }
private:
    ShowToolTip(); // not defined
    ~ShowToolTip(); // not defined
};

struct SearchInAllCategories: public comphelper::ConfigurationProperty<SearchInAllCategories, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Text/SearchInAllCategories"); }
private:
    SearchInAllCategories(); // not defined
    ~SearchInAllCategories(); // not defined
};

private:
    Text(); // not defined
    ~Text(); // not defined
};

struct Format: public comphelper::ConfigurationGroup< Format> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format"); }

struct Option: public comphelper::ConfigurationGroup< Option> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option"); }

struct UseReplacementTable: public comphelper::ConfigurationProperty<UseReplacementTable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/UseReplacementTable"); }
private:
    UseReplacementTable(); // not defined
    ~UseReplacementTable(); // not defined
};

struct TwoCapitalsAtStart: public comphelper::ConfigurationProperty<TwoCapitalsAtStart, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/TwoCapitalsAtStart"); }
private:
    TwoCapitalsAtStart(); // not defined
    ~TwoCapitalsAtStart(); // not defined
};

struct CapitalAtStartSentence: public comphelper::ConfigurationProperty<CapitalAtStartSentence, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/CapitalAtStartSentence"); }
private:
    CapitalAtStartSentence(); // not defined
    ~CapitalAtStartSentence(); // not defined
};

struct ChangeUnderlineWeight: public comphelper::ConfigurationProperty<ChangeUnderlineWeight, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeUnderlineWeight"); }
private:
    ChangeUnderlineWeight(); // not defined
    ~ChangeUnderlineWeight(); // not defined
};

struct SetInetAttribute: public comphelper::ConfigurationProperty<SetInetAttribute, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/SetInetAttribute"); }
private:
    SetInetAttribute(); // not defined
    ~SetInetAttribute(); // not defined
};

struct ChangeOrdinalNumber: public comphelper::ConfigurationProperty<ChangeOrdinalNumber, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeOrdinalNumber"); }
private:
    ChangeOrdinalNumber(); // not defined
    ~ChangeOrdinalNumber(); // not defined
};

struct ChangeDash: public comphelper::ConfigurationProperty<ChangeDash, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeDash"); }
private:
    ChangeDash(); // not defined
    ~ChangeDash(); // not defined
};

struct AddNonBreakingSpace: public comphelper::ConfigurationProperty<AddNonBreakingSpace, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/AddNonBreakingSpace"); }
private:
    AddNonBreakingSpace(); // not defined
    ~AddNonBreakingSpace(); // not defined
};

struct DelEmptyParagraphs: public comphelper::ConfigurationProperty<DelEmptyParagraphs, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/DelEmptyParagraphs"); }
private:
    DelEmptyParagraphs(); // not defined
    ~DelEmptyParagraphs(); // not defined
};

struct ReplaceUserStyle: public comphelper::ConfigurationProperty<ReplaceUserStyle, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ReplaceUserStyle"); }
private:
    ReplaceUserStyle(); // not defined
    ~ReplaceUserStyle(); // not defined
};

struct CombineParagraphs: public comphelper::ConfigurationProperty<CombineParagraphs, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/CombineParagraphs"); }
private:
    CombineParagraphs(); // not defined
    ~CombineParagraphs(); // not defined
};

struct CombineValue: public comphelper::ConfigurationProperty<CombineValue, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/CombineValue"); }
private:
    CombineValue(); // not defined
    ~CombineValue(); // not defined
};

struct DelSpacesAtStartEnd: public comphelper::ConfigurationProperty<DelSpacesAtStartEnd, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/DelSpacesAtStartEnd"); }
private:
    DelSpacesAtStartEnd(); // not defined
    ~DelSpacesAtStartEnd(); // not defined
};

struct DelSpacesBetween: public comphelper::ConfigurationProperty<DelSpacesBetween, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/DelSpacesBetween"); }
private:
    DelSpacesBetween(); // not defined
    ~DelSpacesBetween(); // not defined
};

struct ChangeToBullets: public comphelper::ConfigurationGroup< ChangeToBullets> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeToBullets"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeToBullets/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct SpecialCharacter: public comphelper::ConfigurationGroup< SpecialCharacter> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeToBullets/SpecialCharacter"); }

struct Char: public comphelper::ConfigurationProperty<Char, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeToBullets/SpecialCharacter/Char"); }
private:
    Char(); // not defined
    ~Char(); // not defined
};

struct Font: public comphelper::ConfigurationProperty<Font, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeToBullets/SpecialCharacter/Font"); }
private:
    Font(); // not defined
    ~Font(); // not defined
};

struct FontFamily: public comphelper::ConfigurationProperty<FontFamily, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeToBullets/SpecialCharacter/FontFamily"); }
private:
    FontFamily(); // not defined
    ~FontFamily(); // not defined
};

struct FontCharset: public comphelper::ConfigurationProperty<FontCharset, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeToBullets/SpecialCharacter/FontCharset"); }
private:
    FontCharset(); // not defined
    ~FontCharset(); // not defined
};

struct FontPitch: public comphelper::ConfigurationProperty<FontPitch, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/Option/ChangeToBullets/SpecialCharacter/FontPitch"); }
private:
    FontPitch(); // not defined
    ~FontPitch(); // not defined
};

private:
    SpecialCharacter(); // not defined
    ~SpecialCharacter(); // not defined
};

private:
    ChangeToBullets(); // not defined
    ~ChangeToBullets(); // not defined
};

private:
    Option(); // not defined
    ~Option(); // not defined
};

struct ByInput: public comphelper::ConfigurationGroup< ByInput> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct ChangeDash: public comphelper::ConfigurationProperty<ChangeDash, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ChangeDash"); }
private:
    ChangeDash(); // not defined
    ~ChangeDash(); // not defined
};

struct ChangeToBorders: public comphelper::ConfigurationProperty<ChangeToBorders, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ChangeToBorders"); }
private:
    ChangeToBorders(); // not defined
    ~ChangeToBorders(); // not defined
};

struct ChangeToTable: public comphelper::ConfigurationProperty<ChangeToTable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ChangeToTable"); }
private:
    ChangeToTable(); // not defined
    ~ChangeToTable(); // not defined
};

struct ReplaceStyle: public comphelper::ConfigurationProperty<ReplaceStyle, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ReplaceStyle"); }
private:
    ReplaceStyle(); // not defined
    ~ReplaceStyle(); // not defined
};

struct DelSpacesAtStartEnd: public comphelper::ConfigurationProperty<DelSpacesAtStartEnd, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/DelSpacesAtStartEnd"); }
private:
    DelSpacesAtStartEnd(); // not defined
    ~DelSpacesAtStartEnd(); // not defined
};

struct DelSpacesBetween: public comphelper::ConfigurationProperty<DelSpacesBetween, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/DelSpacesBetween"); }
private:
    DelSpacesBetween(); // not defined
    ~DelSpacesBetween(); // not defined
};

struct ApplyNumbering: public comphelper::ConfigurationGroup< ApplyNumbering> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ApplyNumbering"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ApplyNumbering/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct SpecialCharacter: public comphelper::ConfigurationGroup< SpecialCharacter> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ApplyNumbering/SpecialCharacter"); }

struct Char: public comphelper::ConfigurationProperty<Char, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ApplyNumbering/SpecialCharacter/Char"); }
private:
    Char(); // not defined
    ~Char(); // not defined
};

struct Font: public comphelper::ConfigurationProperty<Font, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ApplyNumbering/SpecialCharacter/Font"); }
private:
    Font(); // not defined
    ~Font(); // not defined
};

struct FontFamily: public comphelper::ConfigurationProperty<FontFamily, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ApplyNumbering/SpecialCharacter/FontFamily"); }
private:
    FontFamily(); // not defined
    ~FontFamily(); // not defined
};

struct FontCharset: public comphelper::ConfigurationProperty<FontCharset, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ApplyNumbering/SpecialCharacter/FontCharset"); }
private:
    FontCharset(); // not defined
    ~FontCharset(); // not defined
};

struct FontPitch: public comphelper::ConfigurationProperty<FontPitch, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Format/ByInput/ApplyNumbering/SpecialCharacter/FontPitch"); }
private:
    FontPitch(); // not defined
    ~FontPitch(); // not defined
};

private:
    SpecialCharacter(); // not defined
    ~SpecialCharacter(); // not defined
};

private:
    ApplyNumbering(); // not defined
    ~ApplyNumbering(); // not defined
};

private:
    ByInput(); // not defined
    ~ByInput(); // not defined
};

private:
    Format(); // not defined
    ~Format(); // not defined
};

struct Completion: public comphelper::ConfigurationGroup< Completion> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion"); }

struct Enable: public comphelper::ConfigurationProperty<Enable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion/Enable"); }
private:
    Enable(); // not defined
    ~Enable(); // not defined
};

struct MinWordLen: public comphelper::ConfigurationProperty<MinWordLen, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion/MinWordLen"); }
private:
    MinWordLen(); // not defined
    ~MinWordLen(); // not defined
};

struct MaxListLen: public comphelper::ConfigurationProperty<MaxListLen, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion/MaxListLen"); }
private:
    MaxListLen(); // not defined
    ~MaxListLen(); // not defined
};

struct CollectWords: public comphelper::ConfigurationProperty<CollectWords, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion/CollectWords"); }
private:
    CollectWords(); // not defined
    ~CollectWords(); // not defined
};

struct EndlessList: public comphelper::ConfigurationProperty<EndlessList, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion/EndlessList"); }
private:
    EndlessList(); // not defined
    ~EndlessList(); // not defined
};

struct AppendBlank: public comphelper::ConfigurationProperty<AppendBlank, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion/AppendBlank"); }
private:
    AppendBlank(); // not defined
    ~AppendBlank(); // not defined
};

struct ShowAsTip: public comphelper::ConfigurationProperty<ShowAsTip, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion/ShowAsTip"); }
private:
    ShowAsTip(); // not defined
    ~ShowAsTip(); // not defined
};

struct AcceptKey: public comphelper::ConfigurationProperty<AcceptKey, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion/AcceptKey"); }
private:
    AcceptKey(); // not defined
    ~AcceptKey(); // not defined
};

struct KeepList: public comphelper::ConfigurationProperty<KeepList, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/AutoFunction/Completion/KeepList"); }
private:
    KeepList(); // not defined
    ~KeepList(); // not defined
};

private:
    Completion(); // not defined
    ~Completion(); // not defined
};

private:
    AutoFunction(); // not defined
    ~AutoFunction(); // not defined
};

struct Label: public comphelper::ConfigurationGroup< Label> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label"); }

struct Inscription: public comphelper::ConfigurationGroup< Inscription> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Inscription"); }

struct UseAddress: public comphelper::ConfigurationProperty<UseAddress, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Inscription/UseAddress"); }
private:
    UseAddress(); // not defined
    ~UseAddress(); // not defined
};

struct Address: public comphelper::ConfigurationProperty<Address, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Inscription/Address"); }
private:
    Address(); // not defined
    ~Address(); // not defined
};

struct Database: public comphelper::ConfigurationProperty<Database, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Inscription/Database"); }
private:
    Database(); // not defined
    ~Database(); // not defined
};

private:
    Inscription(); // not defined
    ~Inscription(); // not defined
};

struct Medium: public comphelper::ConfigurationGroup< Medium> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Medium"); }

struct Continuous: public comphelper::ConfigurationProperty<Continuous, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Medium/Continuous"); }
private:
    Continuous(); // not defined
    ~Continuous(); // not defined
};

struct Brand: public comphelper::ConfigurationProperty<Brand, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Medium/Brand"); }
private:
    Brand(); // not defined
    ~Brand(); // not defined
};

struct Type: public comphelper::ConfigurationProperty<Type, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Medium/Type"); }
private:
    Type(); // not defined
    ~Type(); // not defined
};

private:
    Medium(); // not defined
    ~Medium(); // not defined
};

struct Format: public comphelper::ConfigurationGroup< Format> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format"); }

struct Column: public comphelper::ConfigurationProperty<Column, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/Column"); }
private:
    Column(); // not defined
    ~Column(); // not defined
};

struct Row: public comphelper::ConfigurationProperty<Row, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/Row"); }
private:
    Row(); // not defined
    ~Row(); // not defined
};

struct HorizontalDistance: public comphelper::ConfigurationProperty<HorizontalDistance, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/HorizontalDistance"); }
private:
    HorizontalDistance(); // not defined
    ~HorizontalDistance(); // not defined
};

struct VerticalDistance: public comphelper::ConfigurationProperty<VerticalDistance, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/VerticalDistance"); }
private:
    VerticalDistance(); // not defined
    ~VerticalDistance(); // not defined
};

struct Width: public comphelper::ConfigurationProperty<Width, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/Width"); }
private:
    Width(); // not defined
    ~Width(); // not defined
};

struct Height: public comphelper::ConfigurationProperty<Height, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/Height"); }
private:
    Height(); // not defined
    ~Height(); // not defined
};

struct LeftMargin: public comphelper::ConfigurationProperty<LeftMargin, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/LeftMargin"); }
private:
    LeftMargin(); // not defined
    ~LeftMargin(); // not defined
};

struct TopMargin: public comphelper::ConfigurationProperty<TopMargin, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/TopMargin"); }
private:
    TopMargin(); // not defined
    ~TopMargin(); // not defined
};

struct PageWidth: public comphelper::ConfigurationProperty<PageWidth, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/PageWidth"); }
private:
    PageWidth(); // not defined
    ~PageWidth(); // not defined
};

struct PageHeight: public comphelper::ConfigurationProperty<PageHeight, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Format/PageHeight"); }
private:
    PageHeight(); // not defined
    ~PageHeight(); // not defined
};

private:
    Format(); // not defined
    ~Format(); // not defined
};

struct Option: public comphelper::ConfigurationGroup< Option> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Option"); }

struct Synchronize: public comphelper::ConfigurationProperty<Synchronize, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Option/Synchronize"); }
private:
    Synchronize(); // not defined
    ~Synchronize(); // not defined
};

struct Page: public comphelper::ConfigurationProperty<Page, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Option/Page"); }
private:
    Page(); // not defined
    ~Page(); // not defined
};

struct Column: public comphelper::ConfigurationProperty<Column, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Option/Column"); }
private:
    Column(); // not defined
    ~Column(); // not defined
};

struct Row: public comphelper::ConfigurationProperty<Row, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Label/Option/Row"); }
private:
    Row(); // not defined
    ~Row(); // not defined
};

private:
    Option(); // not defined
    ~Option(); // not defined
};

private:
    Label(); // not defined
    ~Label(); // not defined
};

struct BusinessCard: public comphelper::ConfigurationGroup< BusinessCard> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard"); }

struct Medium: public comphelper::ConfigurationGroup< Medium> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Medium"); }

struct Continuous: public comphelper::ConfigurationProperty<Continuous, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Medium/Continuous"); }
private:
    Continuous(); // not defined
    ~Continuous(); // not defined
};

struct Brand: public comphelper::ConfigurationProperty<Brand, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Medium/Brand"); }
private:
    Brand(); // not defined
    ~Brand(); // not defined
};

struct Type: public comphelper::ConfigurationProperty<Type, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Medium/Type"); }
private:
    Type(); // not defined
    ~Type(); // not defined
};

private:
    Medium(); // not defined
    ~Medium(); // not defined
};

struct Format: public comphelper::ConfigurationGroup< Format> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Format"); }

struct Column: public comphelper::ConfigurationProperty<Column, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Format/Column"); }
private:
    Column(); // not defined
    ~Column(); // not defined
};

struct Row: public comphelper::ConfigurationProperty<Row, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Format/Row"); }
private:
    Row(); // not defined
    ~Row(); // not defined
};

struct HorizontalDistance: public comphelper::ConfigurationProperty<HorizontalDistance, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Format/HorizontalDistance"); }
private:
    HorizontalDistance(); // not defined
    ~HorizontalDistance(); // not defined
};

struct VerticalDistance: public comphelper::ConfigurationProperty<VerticalDistance, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Format/VerticalDistance"); }
private:
    VerticalDistance(); // not defined
    ~VerticalDistance(); // not defined
};

struct Width: public comphelper::ConfigurationProperty<Width, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Format/Width"); }
private:
    Width(); // not defined
    ~Width(); // not defined
};

struct Height: public comphelper::ConfigurationProperty<Height, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Format/Height"); }
private:
    Height(); // not defined
    ~Height(); // not defined
};

struct LeftMargin: public comphelper::ConfigurationProperty<LeftMargin, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Format/LeftMargin"); }
private:
    LeftMargin(); // not defined
    ~LeftMargin(); // not defined
};

struct TopMargin: public comphelper::ConfigurationProperty<TopMargin, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Format/TopMargin"); }
private:
    TopMargin(); // not defined
    ~TopMargin(); // not defined
};

private:
    Format(); // not defined
    ~Format(); // not defined
};

struct Option: public comphelper::ConfigurationGroup< Option> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Option"); }

struct Synchronize: public comphelper::ConfigurationProperty<Synchronize, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Option/Synchronize"); }
private:
    Synchronize(); // not defined
    ~Synchronize(); // not defined
};

struct Page: public comphelper::ConfigurationProperty<Page, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Option/Page"); }
private:
    Page(); // not defined
    ~Page(); // not defined
};

struct Column: public comphelper::ConfigurationProperty<Column, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Option/Column"); }
private:
    Column(); // not defined
    ~Column(); // not defined
};

struct Row: public comphelper::ConfigurationProperty<Row, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/Option/Row"); }
private:
    Row(); // not defined
    ~Row(); // not defined
};

private:
    Option(); // not defined
    ~Option(); // not defined
};

struct AutoText: public comphelper::ConfigurationGroup< AutoText> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/AutoText"); }

struct Group: public comphelper::ConfigurationProperty<Group, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/AutoText/Group"); }
private:
    Group(); // not defined
    ~Group(); // not defined
};

struct Block: public comphelper::ConfigurationProperty<Block, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/AutoText/Block"); }
private:
    Block(); // not defined
    ~Block(); // not defined
};

private:
    AutoText(); // not defined
    ~AutoText(); // not defined
};

struct PrivateAddress: public comphelper::ConfigurationGroup< PrivateAddress> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress"); }

struct FirstName: public comphelper::ConfigurationProperty<FirstName, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/FirstName"); }
private:
    FirstName(); // not defined
    ~FirstName(); // not defined
};

struct Name: public comphelper::ConfigurationProperty<Name, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Name"); }
private:
    Name(); // not defined
    ~Name(); // not defined
};

struct ShortCut: public comphelper::ConfigurationProperty<ShortCut, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/ShortCut"); }
private:
    ShortCut(); // not defined
    ~ShortCut(); // not defined
};

struct SecondFirstName: public comphelper::ConfigurationProperty<SecondFirstName, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/SecondFirstName"); }
private:
    SecondFirstName(); // not defined
    ~SecondFirstName(); // not defined
};

struct SecondName: public comphelper::ConfigurationProperty<SecondName, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/SecondName"); }
private:
    SecondName(); // not defined
    ~SecondName(); // not defined
};

struct SecondShortCut: public comphelper::ConfigurationProperty<SecondShortCut, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/SecondShortCut"); }
private:
    SecondShortCut(); // not defined
    ~SecondShortCut(); // not defined
};

struct Street: public comphelper::ConfigurationProperty<Street, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Street"); }
private:
    Street(); // not defined
    ~Street(); // not defined
};

struct Zip: public comphelper::ConfigurationProperty<Zip, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Zip"); }
private:
    Zip(); // not defined
    ~Zip(); // not defined
};

struct City: public comphelper::ConfigurationProperty<City, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/City"); }
private:
    City(); // not defined
    ~City(); // not defined
};

struct Country: public comphelper::ConfigurationProperty<Country, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Country"); }
private:
    Country(); // not defined
    ~Country(); // not defined
};

struct State: public comphelper::ConfigurationProperty<State, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/State"); }
private:
    State(); // not defined
    ~State(); // not defined
};

struct Title: public comphelper::ConfigurationProperty<Title, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Title"); }
private:
    Title(); // not defined
    ~Title(); // not defined
};

struct Profession: public comphelper::ConfigurationProperty<Profession, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Profession"); }
private:
    Profession(); // not defined
    ~Profession(); // not defined
};

struct Phone: public comphelper::ConfigurationProperty<Phone, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Phone"); }
private:
    Phone(); // not defined
    ~Phone(); // not defined
};

struct Mobile: public comphelper::ConfigurationProperty<Mobile, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Mobile"); }
private:
    Mobile(); // not defined
    ~Mobile(); // not defined
};

struct Fax: public comphelper::ConfigurationProperty<Fax, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Fax"); }
private:
    Fax(); // not defined
    ~Fax(); // not defined
};

struct WebAddress: public comphelper::ConfigurationProperty<WebAddress, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/WebAddress"); }
private:
    WebAddress(); // not defined
    ~WebAddress(); // not defined
};

struct Email: public comphelper::ConfigurationProperty<Email, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/PrivateAddress/Email"); }
private:
    Email(); // not defined
    ~Email(); // not defined
};

private:
    PrivateAddress(); // not defined
    ~PrivateAddress(); // not defined
};

struct BusinessAddress: public comphelper::ConfigurationGroup< BusinessAddress> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress"); }

struct Company: public comphelper::ConfigurationProperty<Company, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Company"); }
private:
    Company(); // not defined
    ~Company(); // not defined
};

struct CompanyExt: public comphelper::ConfigurationProperty<CompanyExt, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/CompanyExt"); }
private:
    CompanyExt(); // not defined
    ~CompanyExt(); // not defined
};

struct Slogan: public comphelper::ConfigurationProperty<Slogan, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Slogan"); }
private:
    Slogan(); // not defined
    ~Slogan(); // not defined
};

struct Street: public comphelper::ConfigurationProperty<Street, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Street"); }
private:
    Street(); // not defined
    ~Street(); // not defined
};

struct Zip: public comphelper::ConfigurationProperty<Zip, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Zip"); }
private:
    Zip(); // not defined
    ~Zip(); // not defined
};

struct City: public comphelper::ConfigurationProperty<City, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/City"); }
private:
    City(); // not defined
    ~City(); // not defined
};

struct Country: public comphelper::ConfigurationProperty<Country, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Country"); }
private:
    Country(); // not defined
    ~Country(); // not defined
};

struct State: public comphelper::ConfigurationProperty<State, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/State"); }
private:
    State(); // not defined
    ~State(); // not defined
};

struct Position: public comphelper::ConfigurationProperty<Position, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Position"); }
private:
    Position(); // not defined
    ~Position(); // not defined
};

struct Phone: public comphelper::ConfigurationProperty<Phone, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Phone"); }
private:
    Phone(); // not defined
    ~Phone(); // not defined
};

struct Mobile: public comphelper::ConfigurationProperty<Mobile, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Mobile"); }
private:
    Mobile(); // not defined
    ~Mobile(); // not defined
};

struct Fax: public comphelper::ConfigurationProperty<Fax, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Fax"); }
private:
    Fax(); // not defined
    ~Fax(); // not defined
};

struct WebAddress: public comphelper::ConfigurationProperty<WebAddress, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/WebAddress"); }
private:
    WebAddress(); // not defined
    ~WebAddress(); // not defined
};

struct Email: public comphelper::ConfigurationProperty<Email, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/BusinessCard/BusinessAddress/Email"); }
private:
    Email(); // not defined
    ~Email(); // not defined
};

private:
    BusinessAddress(); // not defined
    ~BusinessAddress(); // not defined
};

private:
    BusinessCard(); // not defined
    ~BusinessCard(); // not defined
};

struct ObjectBar: public comphelper::ConfigurationGroup< ObjectBar> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/ObjectBar"); }

struct Selection: public comphelper::ConfigurationGroup< Selection> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/ObjectBar/Selection"); }

struct Graphic: public comphelper::ConfigurationProperty<Graphic, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/ObjectBar/Selection/Graphic"); }
private:
    Graphic(); // not defined
    ~Graphic(); // not defined
};

struct Table: public comphelper::ConfigurationProperty<Table, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/ObjectBar/Selection/Table"); }
private:
    Table(); // not defined
    ~Table(); // not defined
};

struct NumberedList: public comphelper::ConfigurationProperty<NumberedList, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/ObjectBar/Selection/NumberedList"); }
private:
    NumberedList(); // not defined
    ~NumberedList(); // not defined
};

struct NumberedList_InTable: public comphelper::ConfigurationProperty<NumberedList_InTable, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/ObjectBar/Selection/NumberedList_InTable"); }
private:
    NumberedList_InTable(); // not defined
    ~NumberedList_InTable(); // not defined
};

struct BezierObject: public comphelper::ConfigurationProperty<BezierObject, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/ObjectBar/Selection/BezierObject"); }
private:
    BezierObject(); // not defined
    ~BezierObject(); // not defined
};

private:
    Selection(); // not defined
    ~Selection(); // not defined
};

private:
    ObjectBar(); // not defined
    ~ObjectBar(); // not defined
};

struct Notes: public comphelper::ConfigurationGroup< Notes> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Notes"); }

struct ShowAnkor: public comphelper::ConfigurationProperty<ShowAnkor, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Notes/ShowAnkor"); }
private:
    ShowAnkor(); // not defined
    ~ShowAnkor(); // not defined
};

private:
    Notes(); // not defined
    ~Notes(); // not defined
};

struct WordCount: public comphelper::ConfigurationGroup< WordCount> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/WordCount"); }

struct AdditionalSeparators: public comphelper::ConfigurationProperty<AdditionalSeparators, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/WordCount/AdditionalSeparators"); }
private:
    AdditionalSeparators(); // not defined
    ~AdditionalSeparators(); // not defined
};

struct ShowStandardizedPageCount: public comphelper::ConfigurationProperty<ShowStandardizedPageCount, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/WordCount/ShowStandardizedPageCount"); }
private:
    ShowStandardizedPageCount(); // not defined
    ~ShowStandardizedPageCount(); // not defined
};

struct StandardizedPageSize: public comphelper::ConfigurationProperty<StandardizedPageSize, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/WordCount/StandardizedPageSize"); }
private:
    StandardizedPageSize(); // not defined
    ~StandardizedPageSize(); // not defined
};

private:
    WordCount(); // not defined
    ~WordCount(); // not defined
};

struct Navigator: public comphelper::ConfigurationGroup< Navigator> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Navigator"); }

struct ShowListBox: public comphelper::ConfigurationProperty<ShowListBox, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Navigator/ShowListBox"); }
private:
    ShowListBox(); // not defined
    ~ShowListBox(); // not defined
};

struct GlobalDocMode: public comphelper::ConfigurationProperty<GlobalDocMode, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Navigator/GlobalDocMode"); }
private:
    GlobalDocMode(); // not defined
    ~GlobalDocMode(); // not defined
};

struct RootType: public comphelper::ConfigurationProperty<RootType, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Navigator/RootType"); }
private:
    RootType(); // not defined
    ~RootType(); // not defined
};

struct SelectedPosition: public comphelper::ConfigurationProperty<SelectedPosition, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Navigator/SelectedPosition"); }
private:
    SelectedPosition(); // not defined
    ~SelectedPosition(); // not defined
};

struct OutlineLevel: public comphelper::ConfigurationProperty<OutlineLevel, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Navigator/OutlineLevel"); }
private:
    OutlineLevel(); // not defined
    ~OutlineLevel(); // not defined
};

struct InsertMode: public comphelper::ConfigurationProperty<InsertMode, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Navigator/InsertMode"); }
private:
    InsertMode(); // not defined
    ~InsertMode(); // not defined
};

struct ActiveBlock: public comphelper::ConfigurationProperty<ActiveBlock, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Navigator/ActiveBlock"); }
private:
    ActiveBlock(); // not defined
    ~ActiveBlock(); // not defined
};

private:
    Navigator(); // not defined
    ~Navigator(); // not defined
};

struct Envelope: public comphelper::ConfigurationGroup< Envelope> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope"); }

struct Inscription: public comphelper::ConfigurationGroup< Inscription> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Inscription"); }

struct Addressee: public comphelper::ConfigurationProperty<Addressee, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Inscription/Addressee"); }
private:
    Addressee(); // not defined
    ~Addressee(); // not defined
};

struct Sender: public comphelper::ConfigurationProperty<Sender, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Inscription/Sender"); }
private:
    Sender(); // not defined
    ~Sender(); // not defined
};

struct UseSender: public comphelper::ConfigurationProperty<UseSender, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Inscription/UseSender"); }
private:
    UseSender(); // not defined
    ~UseSender(); // not defined
};

struct Database: public comphelper::ConfigurationProperty<Database, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Inscription/Database"); }
private:
    Database(); // not defined
    ~Database(); // not defined
};

private:
    Inscription(); // not defined
    ~Inscription(); // not defined
};

struct Format: public comphelper::ConfigurationGroup< Format> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Format"); }

struct AddresseeFromLeft: public comphelper::ConfigurationProperty<AddresseeFromLeft, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Format/AddresseeFromLeft"); }
private:
    AddresseeFromLeft(); // not defined
    ~AddresseeFromLeft(); // not defined
};

struct AddresseeFromTop: public comphelper::ConfigurationProperty<AddresseeFromTop, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Format/AddresseeFromTop"); }
private:
    AddresseeFromTop(); // not defined
    ~AddresseeFromTop(); // not defined
};

struct SenderFromLeft: public comphelper::ConfigurationProperty<SenderFromLeft, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Format/SenderFromLeft"); }
private:
    SenderFromLeft(); // not defined
    ~SenderFromLeft(); // not defined
};

struct SenderFromTop: public comphelper::ConfigurationProperty<SenderFromTop, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Format/SenderFromTop"); }
private:
    SenderFromTop(); // not defined
    ~SenderFromTop(); // not defined
};

struct Width: public comphelper::ConfigurationProperty<Width, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Format/Width"); }
private:
    Width(); // not defined
    ~Width(); // not defined
};

struct Height: public comphelper::ConfigurationProperty<Height, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Format/Height"); }
private:
    Height(); // not defined
    ~Height(); // not defined
};

private:
    Format(); // not defined
    ~Format(); // not defined
};

struct Print: public comphelper::ConfigurationGroup< Print> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Print"); }

struct Alignment: public comphelper::ConfigurationProperty<Alignment, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Print/Alignment"); }
private:
    Alignment(); // not defined
    ~Alignment(); // not defined
};

struct FromAbove: public comphelper::ConfigurationProperty<FromAbove, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Print/FromAbove"); }
private:
    FromAbove(); // not defined
    ~FromAbove(); // not defined
};

struct Right: public comphelper::ConfigurationProperty<Right, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Print/Right"); }
private:
    Right(); // not defined
    ~Right(); // not defined
};

struct Down: public comphelper::ConfigurationProperty<Down, sal_Int32> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Envelope/Print/Down"); }
private:
    Down(); // not defined
    ~Down(); // not defined
};

private:
    Print(); // not defined
    ~Print(); // not defined
};

private:
    Envelope(); // not defined
    ~Envelope(); // not defined
};

struct InsertData: public comphelper::ConfigurationGroup< InsertData> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/InsertData"); }

struct DataSet: public comphelper::ConfigurationSet< DataSet> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/InsertData/DataSet"); }
private:
    DataSet(); // not defined
    ~DataSet(); // not defined
};

private:
    InsertData(); // not defined
    ~InsertData(); // not defined
};

struct Filter: public comphelper::ConfigurationGroup< Filter> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Filter"); }

struct Import: public comphelper::ConfigurationGroup< Import> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Filter/Import"); }

struct VBA: public comphelper::ConfigurationGroup< VBA> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Filter/Import/VBA"); }

struct Load: public comphelper::ConfigurationProperty<Load, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Filter/Import/VBA/Load"); }
private:
    Load(); // not defined
    ~Load(); // not defined
};

struct Executable: public comphelper::ConfigurationProperty<Executable, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Filter/Import/VBA/Executable"); }
private:
    Executable(); // not defined
    ~Executable(); // not defined
};

struct Save: public comphelper::ConfigurationProperty<Save, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Filter/Import/VBA/Save"); }
private:
    Save(); // not defined
    ~Save(); // not defined
};

private:
    VBA(); // not defined
    ~VBA(); // not defined
};

struct HTML: public comphelper::ConfigurationGroup< HTML> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Filter/Import/HTML"); }

struct IgnoreComments: public comphelper::ConfigurationProperty<IgnoreComments, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Filter/Import/HTML/IgnoreComments"); }
private:
    IgnoreComments(); // not defined
    ~IgnoreComments(); // not defined
};

private:
    HTML(); // not defined
    ~HTML(); // not defined
};

private:
    Import(); // not defined
    ~Import(); // not defined
};

private:
    Filter(); // not defined
    ~Filter(); // not defined
};

struct Numbering: public comphelper::ConfigurationGroup< Numbering> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering"); }

struct Graphic: public comphelper::ConfigurationGroup< Graphic> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/Graphic"); }

struct KeepRatio: public comphelper::ConfigurationProperty<KeepRatio, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/Graphic/KeepRatio"); }
private:
    KeepRatio(); // not defined
    ~KeepRatio(); // not defined
};

private:
    Graphic(); // not defined
    ~Graphic(); // not defined
};

struct DefaultBulletList: public comphelper::ConfigurationGroup< DefaultBulletList> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList"); }

struct BulletFont: public comphelper::ConfigurationGroup< BulletFont> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletFont"); }

struct FontFamilyname: public comphelper::ConfigurationProperty<FontFamilyname, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletFont/FontFamilyname"); }
private:
    FontFamilyname(); // not defined
    ~FontFamilyname(); // not defined
};

struct FontWeight: public comphelper::ConfigurationProperty<FontWeight, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletFont/FontWeight"); }
private:
    FontWeight(); // not defined
    ~FontWeight(); // not defined
};

struct FontItalic: public comphelper::ConfigurationProperty<FontItalic, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletFont/FontItalic"); }
private:
    FontItalic(); // not defined
    ~FontItalic(); // not defined
};

private:
    BulletFont(); // not defined
    ~BulletFont(); // not defined
};

struct BulletCharLvl1: public comphelper::ConfigurationProperty<BulletCharLvl1, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl1"); }
private:
    BulletCharLvl1(); // not defined
    ~BulletCharLvl1(); // not defined
};

struct BulletCharLvl2: public comphelper::ConfigurationProperty<BulletCharLvl2, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl2"); }
private:
    BulletCharLvl2(); // not defined
    ~BulletCharLvl2(); // not defined
};

struct BulletCharLvl3: public comphelper::ConfigurationProperty<BulletCharLvl3, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl3"); }
private:
    BulletCharLvl3(); // not defined
    ~BulletCharLvl3(); // not defined
};

struct BulletCharLvl4: public comphelper::ConfigurationProperty<BulletCharLvl4, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl4"); }
private:
    BulletCharLvl4(); // not defined
    ~BulletCharLvl4(); // not defined
};

struct BulletCharLvl5: public comphelper::ConfigurationProperty<BulletCharLvl5, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl5"); }
private:
    BulletCharLvl5(); // not defined
    ~BulletCharLvl5(); // not defined
};

struct BulletCharLvl6: public comphelper::ConfigurationProperty<BulletCharLvl6, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl6"); }
private:
    BulletCharLvl6(); // not defined
    ~BulletCharLvl6(); // not defined
};

struct BulletCharLvl7: public comphelper::ConfigurationProperty<BulletCharLvl7, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl7"); }
private:
    BulletCharLvl7(); // not defined
    ~BulletCharLvl7(); // not defined
};

struct BulletCharLvl8: public comphelper::ConfigurationProperty<BulletCharLvl8, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl8"); }
private:
    BulletCharLvl8(); // not defined
    ~BulletCharLvl8(); // not defined
};

struct BulletCharLvl9: public comphelper::ConfigurationProperty<BulletCharLvl9, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl9"); }
private:
    BulletCharLvl9(); // not defined
    ~BulletCharLvl9(); // not defined
};

struct BulletCharLvl10: public comphelper::ConfigurationProperty<BulletCharLvl10, boost::optional<sal_Int16> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/DefaultBulletList/BulletCharLvl10"); }
private:
    BulletCharLvl10(); // not defined
    ~BulletCharLvl10(); // not defined
};

private:
    DefaultBulletList(); // not defined
    ~DefaultBulletList(); // not defined
};

struct UserInterfaceBehavior: public comphelper::ConfigurationGroup< UserInterfaceBehavior> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/UserInterfaceBehavior"); }

struct ChangeIndentOnTabAtFirstPosOfFirstListItem: public comphelper::ConfigurationProperty<ChangeIndentOnTabAtFirstPosOfFirstListItem, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Numbering/UserInterfaceBehavior/ChangeIndentOnTabAtFirstPosOfFirstListItem"); }
private:
    ChangeIndentOnTabAtFirstPosOfFirstListItem(); // not defined
    ~ChangeIndentOnTabAtFirstPosOfFirstListItem(); // not defined
};

private:
    UserInterfaceBehavior(); // not defined
    ~UserInterfaceBehavior(); // not defined
};

private:
    Numbering(); // not defined
    ~Numbering(); // not defined
};

struct Statistics: public comphelper::ConfigurationGroup< Statistics> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Statistics"); }

struct WordNumber: public comphelper::ConfigurationGroup< WordNumber> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Statistics/WordNumber"); }

struct Delimiter: public comphelper::ConfigurationProperty<Delimiter, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Statistics/WordNumber/Delimiter"); }
private:
    Delimiter(); // not defined
    ~Delimiter(); // not defined
};

private:
    WordNumber(); // not defined
    ~WordNumber(); // not defined
};

private:
    Statistics(); // not defined
    ~Statistics(); // not defined
};

struct Index: public comphelper::ConfigurationGroup< Index> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Index"); }

struct ShowPreview: public comphelper::ConfigurationProperty<ShowPreview, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Index/ShowPreview"); }
private:
    ShowPreview(); // not defined
    ~ShowPreview(); // not defined
};

private:
    Index(); // not defined
    ~Index(); // not defined
};

struct FormLetter: public comphelper::ConfigurationGroup< FormLetter> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter"); }

struct PrintOutput: public comphelper::ConfigurationGroup< PrintOutput> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/PrintOutput"); }

struct SinglePrintJobs: public comphelper::ConfigurationProperty<SinglePrintJobs, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/PrintOutput/SinglePrintJobs"); }
private:
    SinglePrintJobs(); // not defined
    ~SinglePrintJobs(); // not defined
};

struct AskForMerge: public comphelper::ConfigurationProperty<AskForMerge, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/PrintOutput/AskForMerge"); }
private:
    AskForMerge(); // not defined
    ~AskForMerge(); // not defined
};

private:
    PrintOutput(); // not defined
    ~PrintOutput(); // not defined
};

struct MailingOutput: public comphelper::ConfigurationGroup< MailingOutput> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/MailingOutput"); }

struct Format: public comphelper::ConfigurationProperty<Format, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/MailingOutput/Format"); }
private:
    Format(); // not defined
    ~Format(); // not defined
};

private:
    MailingOutput(); // not defined
    ~MailingOutput(); // not defined
};

struct FileOutput: public comphelper::ConfigurationGroup< FileOutput> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/FileOutput"); }

struct Path: public comphelper::ConfigurationProperty<Path, OUString> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/FileOutput/Path"); }
private:
    Path(); // not defined
    ~Path(); // not defined
};

struct FileName: public comphelper::ConfigurationGroup< FileName> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/FileOutput/FileName"); }

struct Generation: public comphelper::ConfigurationProperty<Generation, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/FileOutput/FileName/Generation"); }
private:
    Generation(); // not defined
    ~Generation(); // not defined
};

struct FromDatabaseField: public comphelper::ConfigurationProperty<FromDatabaseField, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/FileOutput/FileName/FromDatabaseField"); }
private:
    FromDatabaseField(); // not defined
    ~FromDatabaseField(); // not defined
};

struct FromManualSetting: public comphelper::ConfigurationProperty<FromManualSetting, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FormLetter/FileOutput/FileName/FromManualSetting"); }
private:
    FromManualSetting(); // not defined
    ~FromManualSetting(); // not defined
};

private:
    FileName(); // not defined
    ~FileName(); // not defined
};

private:
    FileOutput(); // not defined
    ~FileOutput(); // not defined
};

private:
    FormLetter(); // not defined
    ~FormLetter(); // not defined
};

struct Misc: public comphelper::ConfigurationGroup< Misc> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Misc"); }

struct GraphicToGalleryAsLink: public comphelper::ConfigurationProperty<GraphicToGalleryAsLink, bool> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Misc/GraphicToGalleryAsLink"); }
private:
    GraphicToGalleryAsLink(); // not defined
    ~GraphicToGalleryAsLink(); // not defined
};

private:
    Misc(); // not defined
    ~Misc(); // not defined
};

struct FilterFlags: public comphelper::ConfigurationGroup< FilterFlags> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags"); }

struct Excel_Lotus: public comphelper::ConfigurationGroup< Excel_Lotus> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/Excel_Lotus"); }

struct MinRow: public comphelper::ConfigurationProperty<MinRow, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/Excel_Lotus/MinRow"); }
private:
    MinRow(); // not defined
    ~MinRow(); // not defined
};

struct MaxRow: public comphelper::ConfigurationProperty<MaxRow, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/Excel_Lotus/MaxRow"); }
private:
    MaxRow(); // not defined
    ~MaxRow(); // not defined
};

struct MinCol: public comphelper::ConfigurationProperty<MinCol, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/Excel_Lotus/MinCol"); }
private:
    MinCol(); // not defined
    ~MinCol(); // not defined
};

struct MaxCol: public comphelper::ConfigurationProperty<MaxCol, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/Excel_Lotus/MaxCol"); }
private:
    MaxCol(); // not defined
    ~MaxCol(); // not defined
};

private:
    Excel_Lotus(); // not defined
    ~Excel_Lotus(); // not defined
};

struct W4W: public comphelper::ConfigurationGroup< W4W> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/W4W"); }

struct W4WHD: public comphelper::ConfigurationProperty<W4WHD, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/W4W/W4WHD"); }
private:
    W4WHD(); // not defined
    ~W4WHD(); // not defined
};

struct W4WFT: public comphelper::ConfigurationProperty<W4WFT, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/W4W/W4WFT"); }
private:
    W4WFT(); // not defined
    ~W4WFT(); // not defined
};

struct W4W000: public comphelper::ConfigurationProperty<W4W000, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/W4W/W4W000"); }
private:
    W4W000(); // not defined
    ~W4W000(); // not defined
};

private:
    W4W(); // not defined
    ~W4W(); // not defined
};

struct WinWord: public comphelper::ConfigurationGroup< WinWord> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord"); }

struct WW1F: public comphelper::ConfigurationProperty<WW1F, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WW1F"); }
private:
    WW1F(); // not defined
    ~WW1F(); // not defined
};

struct WW: public comphelper::ConfigurationProperty<WW, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WW"); }
private:
    WW(); // not defined
    ~WW(); // not defined
};

struct WW8: public comphelper::ConfigurationProperty<WW8, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WW8"); }
private:
    WW8(); // not defined
    ~WW8(); // not defined
};

struct WWF: public comphelper::ConfigurationProperty<WWF, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWF"); }
private:
    WWF(); // not defined
    ~WWF(); // not defined
};

struct WWFA0: public comphelper::ConfigurationProperty<WWFA0, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWFA0"); }
private:
    WWFA0(); // not defined
    ~WWFA0(); // not defined
};

struct WWFA1: public comphelper::ConfigurationProperty<WWFA1, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWFA1"); }
private:
    WWFA1(); // not defined
    ~WWFA1(); // not defined
};

struct WWFA2: public comphelper::ConfigurationProperty<WWFA2, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWFA2"); }
private:
    WWFA2(); // not defined
    ~WWFA2(); // not defined
};

struct WWFB0: public comphelper::ConfigurationProperty<WWFB0, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWFB0"); }
private:
    WWFB0(); // not defined
    ~WWFB0(); // not defined
};

struct WWFB1: public comphelper::ConfigurationProperty<WWFB1, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWFB1"); }
private:
    WWFB1(); // not defined
    ~WWFB1(); // not defined
};

struct WWFB2: public comphelper::ConfigurationProperty<WWFB2, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWFB2"); }
private:
    WWFB2(); // not defined
    ~WWFB2(); // not defined
};

struct WWFLX: public comphelper::ConfigurationProperty<WWFLX, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWFLX"); }
private:
    WWFLX(); // not defined
    ~WWFLX(); // not defined
};

struct WWFLY: public comphelper::ConfigurationProperty<WWFLY, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWFLY"); }
private:
    WWFLY(); // not defined
    ~WWFLY(); // not defined
};

struct WWFT: public comphelper::ConfigurationProperty<WWFT, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWFT"); }
private:
    WWFT(); // not defined
    ~WWFT(); // not defined
};

struct WWWR: public comphelper::ConfigurationProperty<WWWR, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/WWWR"); }
private:
    WWWR(); // not defined
    ~WWWR(); // not defined
};

struct RegardHindiDigits: public comphelper::ConfigurationProperty<RegardHindiDigits, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/WinWord/RegardHindiDigits"); }
private:
    RegardHindiDigits(); // not defined
    ~RegardHindiDigits(); // not defined
};

private:
    WinWord(); // not defined
    ~WinWord(); // not defined
};

struct Writer: public comphelper::ConfigurationGroup< Writer> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/Writer"); }

struct SW3Imp: public comphelper::ConfigurationProperty<SW3Imp, sal_Int64> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/FilterFlags/Writer/SW3Imp"); }
private:
    SW3Imp(); // not defined
    ~SW3Imp(); // not defined
};

private:
    Writer(); // not defined
    ~Writer(); // not defined
};

private:
    FilterFlags(); // not defined
    ~FilterFlags(); // not defined
};

struct Wizards: public comphelper::ConfigurationGroup< Wizards> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards"); }

struct Letter: public comphelper::ConfigurationGroup< Letter> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Letter"); }

struct LetterType: public comphelper::ConfigurationProperty<LetterType, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Letter/LetterType"); }
private:
    LetterType(); // not defined
    ~LetterType(); // not defined
};

private:
    Letter(); // not defined
    ~Letter(); // not defined
};

struct Fax: public comphelper::ConfigurationGroup< Fax> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Fax"); }

struct FaxType: public comphelper::ConfigurationProperty<FaxType, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Fax/FaxType"); }
private:
    FaxType(); // not defined
    ~FaxType(); // not defined
};

private:
    Fax(); // not defined
    ~Fax(); // not defined
};

struct Agenda: public comphelper::ConfigurationGroup< Agenda> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda"); }

struct AgendaType: public comphelper::ConfigurationProperty<AgendaType, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/AgendaType"); }
private:
    AgendaType(); // not defined
    ~AgendaType(); // not defined
};

struct IncludeMinutes: public comphelper::ConfigurationProperty<IncludeMinutes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/IncludeMinutes"); }
private:
    IncludeMinutes(); // not defined
    ~IncludeMinutes(); // not defined
};

struct Title: public comphelper::ConfigurationProperty<Title, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/Title"); }
private:
    Title(); // not defined
    ~Title(); // not defined
};

struct Date: public comphelper::ConfigurationProperty<Date, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/Date"); }
private:
    Date(); // not defined
    ~Date(); // not defined
};

struct Time: public comphelper::ConfigurationProperty<Time, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/Time"); }
private:
    Time(); // not defined
    ~Time(); // not defined
};

struct Location: public comphelper::ConfigurationProperty<Location, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/Location"); }
private:
    Location(); // not defined
    ~Location(); // not defined
};

struct ShowMeetingType: public comphelper::ConfigurationProperty<ShowMeetingType, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowMeetingType"); }
private:
    ShowMeetingType(); // not defined
    ~ShowMeetingType(); // not defined
};

struct ShowRead: public comphelper::ConfigurationProperty<ShowRead, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowRead"); }
private:
    ShowRead(); // not defined
    ~ShowRead(); // not defined
};

struct ShowBring: public comphelper::ConfigurationProperty<ShowBring, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowBring"); }
private:
    ShowBring(); // not defined
    ~ShowBring(); // not defined
};

struct ShowNotes: public comphelper::ConfigurationProperty<ShowNotes, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowNotes"); }
private:
    ShowNotes(); // not defined
    ~ShowNotes(); // not defined
};

struct ShowCalledBy: public comphelper::ConfigurationProperty<ShowCalledBy, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowCalledBy"); }
private:
    ShowCalledBy(); // not defined
    ~ShowCalledBy(); // not defined
};

struct ShowFacilitator: public comphelper::ConfigurationProperty<ShowFacilitator, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowFacilitator"); }
private:
    ShowFacilitator(); // not defined
    ~ShowFacilitator(); // not defined
};

struct ShowNotetaker: public comphelper::ConfigurationProperty<ShowNotetaker, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowNotetaker"); }
private:
    ShowNotetaker(); // not defined
    ~ShowNotetaker(); // not defined
};

struct ShowTimekeeper: public comphelper::ConfigurationProperty<ShowTimekeeper, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowTimekeeper"); }
private:
    ShowTimekeeper(); // not defined
    ~ShowTimekeeper(); // not defined
};

struct ShowAttendees: public comphelper::ConfigurationProperty<ShowAttendees, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowAttendees"); }
private:
    ShowAttendees(); // not defined
    ~ShowAttendees(); // not defined
};

struct ShowObservers: public comphelper::ConfigurationProperty<ShowObservers, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowObservers"); }
private:
    ShowObservers(); // not defined
    ~ShowObservers(); // not defined
};

struct ShowResourcePersons: public comphelper::ConfigurationProperty<ShowResourcePersons, boost::optional<bool> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ShowResourcePersons"); }
private:
    ShowResourcePersons(); // not defined
    ~ShowResourcePersons(); // not defined
};

struct TemplateName: public comphelper::ConfigurationProperty<TemplateName, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/TemplateName"); }
private:
    TemplateName(); // not defined
    ~TemplateName(); // not defined
};

struct TemplatePath: public comphelper::ConfigurationProperty<TemplatePath, boost::optional<OUString> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/TemplatePath"); }
private:
    TemplatePath(); // not defined
    ~TemplatePath(); // not defined
};

struct ProceedMethod: public comphelper::ConfigurationProperty<ProceedMethod, boost::optional<sal_Int32> > {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/ProceedMethod"); }
private:
    ProceedMethod(); // not defined
    ~ProceedMethod(); // not defined
};

struct Topics: public comphelper::ConfigurationSet< Topics> {
    static OUString path() { return OUString("/org.openoffice.Office.Writer/Wizards/Agenda/Topics"); }
private:
    Topics(); // not defined
    ~Topics(); // not defined
};

private:
    Agenda(); // not defined
    ~Agenda(); // not defined
};

private:
    Wizards(); // not defined
    ~Wizards(); // not defined
};

} } }

#endif
