#ifndef INCLUDED_COM_SUN_STAR_BEANS_INTROSPECTIONEXCEPTION_HPP
#define INCLUDED_COM_SUN_STAR_BEANS_INTROSPECTIONEXCEPTION_HPP

#include "sal/config.h"

#include "com/sun/star/beans/IntrospectionException.hdl"

#include "com/sun/star/uno/Exception.hpp"
#include "com/sun/star/uno/Type.hxx"
#include "cppu/unotype.hxx"

namespace com { namespace sun { namespace star { namespace beans {

inline IntrospectionException::IntrospectionException()
    : ::css::uno::Exception()
{ }

inline IntrospectionException::IntrospectionException(const ::rtl::OUString& Message_, const ::css::uno::Reference< ::css::uno::XInterface >& Context_)
    : ::css::uno::Exception(Message_, Context_)
{ }

#if !defined LIBO_INTERNAL_ONLY
IntrospectionException::IntrospectionException(IntrospectionException const & the_other): ::css::uno::Exception(the_other) {}

IntrospectionException::~IntrospectionException() {}

IntrospectionException & IntrospectionException::operator =(IntrospectionException const & the_other) {
    //TODO: Just like its implicitly-defined counterpart, this function definition is not exception-safe
    ::css::uno::Exception::operator =(the_other);
    return *this;
}
#endif

} } } }

namespace com { namespace sun { namespace star { namespace beans {

inline ::css::uno::Type const & cppu_detail_getUnoType(SAL_UNUSED_PARAMETER ::css::beans::IntrospectionException const *) {
    static typelib_TypeDescriptionReference * the_type = 0;
    if ( !the_type )
    {
        typelib_static_type_init( &the_type, typelib_TypeClass_EXCEPTION, "com.sun.star.beans.IntrospectionException" );
    }
    return * reinterpret_cast< ::css::uno::Type * >( &the_type );
}

} } } }

SAL_DEPRECATED("use cppu::UnoType") inline ::css::uno::Type const & SAL_CALL getCppuType(SAL_UNUSED_PARAMETER ::css::beans::IntrospectionException const *) {
    return ::cppu::UnoType< ::css::beans::IntrospectionException >::get();
}

#endif // INCLUDED_COM_SUN_STAR_BEANS_INTROSPECTIONEXCEPTION_HPP
