
#include "ooxml/resourceids.hxx"
#include "OOXMLFactory_wml.hxx"
#include "ooxml/OOXMLFastHelper.hxx"
#include "oox/token/tokens.hxx"

#ifdef _MSC_VER
#pragma warning(disable:4060) // switch statement contains no 'case' or 'default' labels
#pragma warning(disable:4065) // switch statement contains 'default' but no 'case' labels
#pragma warning(disable:4702) // unreachable code
#endif

namespace writerfilter {
namespace ooxml {

using namespace com::sun::star;

/// @cond GENERATED

typedef rtl::Static<osl::Mutex, OOXMLFactory_wml> OOXMLFactory_wml_Mutex;

OOXMLFactory_wml::OOXMLFactory_wml()
{
    // multi-thread-safe mutex for all platforms

    osl::MutexGuard aGuard(OOXMLFactory_wml_Mutex::get());
}

OOXMLFactory_wml::~OOXMLFactory_wml()
{
}

OOXMLFactory_ns::Pointer_t OOXMLFactory_wml::m_pInstance;

OOXMLFactory_ns::Pointer_t OOXMLFactory_wml::getInstance()
{
    if (!m_pInstance)
        m_pInstance = new OOXMLFactory_wml();

    return m_pInstance;
}

const AttributeInfo* OOXMLFactory_wml::getAttributeInfoArray(Id nId)
{
    switch (nId)
    {
    case NN_wml|DEFINE_CT_OnOff:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_LongHexNumber:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Hex, NN_wml|DEFINE_ST_LongHexNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_ShortHexNumber:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Hex, NN_wml|DEFINE_ST_ShortHexNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_UcharHexNumber:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DecimalNumber:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TwipsMeasure:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SignedTwipsMeasure:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PixelsMeasure:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Integer, NN_wml|DEFINE_ST_PixelsMeasure },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_HpsMeasure:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::HpsMeasure, NN_wml|DEFINE_ST_HpsMeasure },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SignedHpsMeasure:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Integer, NN_wml|DEFINE_ST_SignedHpsMeasure },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MacroName:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_String:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TextScale:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Integer, NN_wml|DEFINE_ST_TextScale },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Highlight:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_HighlightColor },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Color:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::HexColor, NN_wml|DEFINE_ST_HexColor },
                { oox::NMSP_doc|oox::XML_themeColor, ResourceType::List, NN_wml|DEFINE_ST_ThemeColor },
                { oox::NMSP_doc|oox::XML_themeTint, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_themeShade, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Lang:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, NN_wml|DEFINE_ST_Lang },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Guid:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Underline:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Underline },
                { oox::NMSP_doc|oox::XML_color, ResourceType::HexColor, NN_wml|DEFINE_ST_HexColor },
                { oox::NMSP_doc|oox::XML_themeColor, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_themeTint, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_themeShade, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TextEffect:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_TextEffect },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Border:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Border },
                { oox::NMSP_doc|oox::XML_color, ResourceType::HexColor, NN_wml|DEFINE_ST_HexColor },
                { oox::NMSP_doc|oox::XML_themeColor, ResourceType::List, NN_wml|DEFINE_ST_ThemeColor },
                { oox::NMSP_doc|oox::XML_themeTint, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_themeShade, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_sz, ResourceType::Integer, NN_wml|DEFINE_ST_EighthPointMeasure },
                { oox::NMSP_doc|oox::XML_space, ResourceType::Integer, NN_wml|DEFINE_ST_PointMeasure },
                { oox::NMSP_doc|oox::XML_shadow, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_frame, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Shd:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Shd },
                { oox::NMSP_doc|oox::XML_color, ResourceType::HexColor, NN_wml|DEFINE_ST_HexColor },
                { oox::NMSP_doc|oox::XML_themeColor, ResourceType::List, NN_wml|DEFINE_ST_ThemeColor },
                { oox::NMSP_doc|oox::XML_themeTint, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_themeShade, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_fill, ResourceType::HexColor, NN_wml|DEFINE_ST_HexColor },
                { oox::NMSP_doc|oox::XML_themeFill, ResourceType::List, NN_wml|DEFINE_ST_ThemeColor },
                { oox::NMSP_doc|oox::XML_themeFillTint, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_themeFillShade, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_VerticalAlignRun:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FitText:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_id, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Em:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Em },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Language:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, NN_wml|DEFINE_ST_Lang },
                { oox::NMSP_doc|oox::XML_eastAsia, ResourceType::String, NN_wml|DEFINE_ST_Lang },
                { oox::NMSP_doc|oox::XML_bidi, ResourceType::String, NN_wml|DEFINE_ST_Lang },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_EastAsianLayout:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_combine, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_combineBrackets, ResourceType::List, NN_wml|DEFINE_ST_CombineBrackets },
                { oox::NMSP_doc|oox::XML_vert, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_vertCompress, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FramePr:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_dropCap, ResourceType::List, NN_wml|DEFINE_ST_DropCap },
                { oox::NMSP_doc|oox::XML_lines, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_w, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_h, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_vSpace, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_hSpace, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_wrap, ResourceType::List, NN_wml|DEFINE_ST_Wrap },
                { oox::NMSP_doc|oox::XML_hAnchor, ResourceType::List, NN_wml|DEFINE_ST_HAnchor },
                { oox::NMSP_doc|oox::XML_vAnchor, ResourceType::List, NN_wml|DEFINE_ST_VAnchor },
                { oox::NMSP_doc|oox::XML_x, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_xAlign, ResourceType::List, NN_wml|DEFINE_ST_XAlign },
                { oox::NMSP_doc|oox::XML_y, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_yAlign, ResourceType::List, NN_wml|DEFINE_ST_YAlign },
                { oox::NMSP_doc|oox::XML_hRule, ResourceType::List, NN_wml|DEFINE_ST_HeightRule },
                { oox::NMSP_doc|oox::XML_anchorLock, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TabStop:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_TabJc },
                { oox::NMSP_doc|oox::XML_leader, ResourceType::List, NN_wml|DEFINE_ST_TabTlc },
                { oox::NMSP_doc|oox::XML_pos, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Spacing:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_before, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_beforeLines, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_beforeAutospacing, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_after, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_afterLines, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_afterAutospacing, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_line, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_lineRule, ResourceType::List, NN_wml|DEFINE_ST_LineSpacingRule },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Ind:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_end, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_endChars, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_start, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_startChars, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_left, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_leftChars, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_right, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_rightChars, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_hanging, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure_asSigned },
                { oox::NMSP_doc|oox::XML_hangingChars, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_firstLine, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_firstLineChars, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Jc:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Jc },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_View:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_View },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Zoom:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Zoom },
                { oox::NMSP_doc|oox::XML_percent, ResourceType::Integer, NN_wml|DEFINE_ST_Percentage },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_WritingStyle:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_lang, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_vendorID, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_dllVersion, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_nlCheck, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_checkStyle, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_appName, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Proof:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_spelling, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_grammar, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DocType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_DocType },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_AG_Password:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_cryptProviderType, ResourceType::List, NN_wml|DEFINE_ST_CryptProv },
                { oox::NMSP_doc|oox::XML_cryptAlgorithmClass, ResourceType::List, NN_wml|DEFINE_ST_AlgClass },
                { oox::NMSP_doc|oox::XML_cryptAlgorithmType, ResourceType::List, NN_wml|DEFINE_ST_AlgType },
                { oox::NMSP_doc|oox::XML_cryptAlgorithmSid, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_cryptSpinCount, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_cryptProvider, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_algIdExt, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_algIdExtSource, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_cryptProviderTypeExt, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_cryptProviderTypeExtSource, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_hash, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_salt, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DocProtect:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_cryptProviderType, ResourceType::List, NN_wml|DEFINE_ST_CryptProv },
                { oox::NMSP_doc|oox::XML_cryptAlgorithmClass, ResourceType::List, NN_wml|DEFINE_ST_AlgClass },
                { oox::NMSP_doc|oox::XML_cryptAlgorithmType, ResourceType::List, NN_wml|DEFINE_ST_AlgType },
                { oox::NMSP_doc|oox::XML_cryptAlgorithmSid, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_cryptSpinCount, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_cryptProvider, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_algIdExt, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_algIdExtSource, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_cryptProviderTypeExt, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_cryptProviderTypeExtSource, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_hash, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_salt, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_edit, ResourceType::List, NN_wml|DEFINE_ST_DocProtect },
                { oox::NMSP_doc|oox::XML_formatting, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_enforcement, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeDocType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeDataType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeDest:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeOdsoFMDFieldType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TrackChangesView:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_markup, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_comments, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_insDel, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_formatting, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_inkAnnotations, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Kinsoku:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_lang, ResourceType::String, NN_wml|DEFINE_ST_Lang },
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, NN_wml|DEFINE_ST_String },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TextDirection:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_TextDirection },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TextAlignment:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_TextAlignment },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Markup:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TrackChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_CellMergeTrackChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { oox::NMSP_doc|oox::XML_vMerge, ResourceType::List, NN_wml|DEFINE_ST_AnnotationVMerge },
                { oox::NMSP_doc|oox::XML_vMergeOrig, ResourceType::List, NN_wml|DEFINE_ST_AnnotationVMerge },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TrackChangeRange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { oox::NMSP_doc|oox::XML_displacedByCustomXml, ResourceType::List, NN_wml|DEFINE_ST_DisplacedByCustomXml },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_displacedByCustomXml, ResourceType::List, NN_wml|DEFINE_ST_DisplacedByCustomXml },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRangeBookmark:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_displacedByCustomXml, ResourceType::List, NN_wml|DEFINE_ST_DisplacedByCustomXml },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRangePerm:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_displacedByCustomXml, ResourceType::List, NN_wml|DEFINE_ST_DisplacedByCustomXml },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRangeCommentStart:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRangeCommentEnd:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_BookmarkRange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_displacedByCustomXml, ResourceType::List, NN_wml|DEFINE_ST_DisplacedByCustomXml },
                { oox::NMSP_doc|oox::XML_colFirst, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_colLast, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Bookmark:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_displacedByCustomXml, ResourceType::List, NN_wml|DEFINE_ST_DisplacedByCustomXml },
                { oox::NMSP_doc|oox::XML_colFirst, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_colLast, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MoveBookmark:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_displacedByCustomXml, ResourceType::List, NN_wml|DEFINE_ST_DisplacedByCustomXml },
                { oox::NMSP_doc|oox::XML_colFirst, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_colLast, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Comment:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { oox::NMSP_doc|oox::XML_initials, ResourceType::String, NN_wml|DEFINE_ST_String },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PermStart:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_displacedByCustomXml, ResourceType::List, NN_wml|DEFINE_ST_DisplacedByCustomXml },
                { oox::NMSP_doc|oox::XML_ed, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_edGrp, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PermEnd:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_displacedByCustomXml, ResourceType::List, NN_wml|DEFINE_ST_DisplacedByCustomXml },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TrackChangeNumbering:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { oox::NMSP_doc|oox::XML_original, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TblPrExChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TcPrChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TrPrChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TblGridChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TblPrChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SectPrChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PPrChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_RPrChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_ParaRPrChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_RunTrackChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TextboxTightWrap:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Background:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_color, ResourceType::HexColor, NN_wml|DEFINE_ST_HexColor },
                { oox::NMSP_doc|oox::XML_themeColor, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_themeTint, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_themeShade, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Rel:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_officeRel|oox::XML_id, ResourceType::String, NN_wml|DEFINE_ST_String },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Object:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_dxaOrig, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_dyaOrig, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SimpleField:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_instr, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_fldLock, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_dirty, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FFTextType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, NN_wml|DEFINE_ST_FFName },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FFName:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FldChar:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_fldCharType, ResourceType::List, NN_wml|DEFINE_ST_FldCharType },
                { oox::NMSP_doc|oox::XML_fldLock, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_dirty, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Hyperlink:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_tgtFrame, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_tooltip, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_docLocation, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_history, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_anchor, ResourceType::String, 0 },
                { oox::NMSP_officeRel|oox::XML_id, ResourceType::String, NN_wml|DEFINE_ST_String },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FFHelpText:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_InfoTextType },
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FFStatusText:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_InfoTextType },
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SectType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_SectionMark },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PaperSource:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_first, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_other, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PageSz:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_w, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_h, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_orient, ResourceType::List, NN_wml|DEFINE_ST_PageOrientation },
                { oox::NMSP_doc|oox::XML_code, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PageMar:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_top, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_right, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_bottom, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_left, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_header, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_footer, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_gutter, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PageBorders:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_zOrder, ResourceType::List, NN_wml|DEFINE_ST_PageBorderZOrder },
                { oox::NMSP_doc|oox::XML_display, ResourceType::List, NN_wml|DEFINE_ST_PageBorderDisplay },
                { oox::NMSP_doc|oox::XML_offsetFrom, ResourceType::List, NN_wml|DEFINE_ST_PageBorderOffset },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_LineNumber:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_countBy, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_start, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_distance, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_restart, ResourceType::List, NN_wml|DEFINE_ST_LineNumberRestart },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PageNumber:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_fmt, ResourceType::List, NN_wml|DEFINE_ST_NumberFormat },
                { oox::NMSP_doc|oox::XML_start, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_chapStyle, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_chapSep, ResourceType::List, NN_wml|DEFINE_ST_ChapterSep },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Column:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_w, ResourceType::TwipsMeasure_asZero, NN_wml|DEFINE_ST_TwipsMeasure_asZero },
                { oox::NMSP_doc|oox::XML_space, ResourceType::TwipsMeasure_asZero, NN_wml|DEFINE_ST_TwipsMeasure_asZero },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Columns:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_equalWidth, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_space, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { oox::NMSP_doc|oox::XML_num, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_sep, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_VerticalJc:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_VerticalJc },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DocGrid:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_DocGrid },
                { oox::NMSP_doc|oox::XML_linePitch, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_charSpace, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_HdrFtrRef:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_HdrFtr },
                { oox::NMSP_officeRel|oox::XML_id, ResourceType::String, NN_wml|DEFINE_ST_String },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_AG_SectPrAttributes:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_rsidRPr, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidDel, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidR, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidSect, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SectPrBase:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_rsidRPr, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidDel, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidR, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidSect, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SectPr:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_rsidRPr, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidDel, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidR, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidSect, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_finalSectPr:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_rsidRPr, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidDel, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidR, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidSect, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Br:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_BrType },
                { oox::NMSP_doc|oox::XML_clear, ResourceType::List, NN_wml|DEFINE_ST_BrClear },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Br_OutOfOrder:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_BrType },
                { oox::NMSP_doc|oox::XML_clear, ResourceType::List, NN_wml|DEFINE_ST_BrClear },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_PTab:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_alignment, ResourceType::List, NN_wml|DEFINE_ST_PTabAlignment },
                { oox::NMSP_doc|oox::XML_relativeTo, ResourceType::List, NN_wml|DEFINE_ST_PTabRelativeTo },
                { oox::NMSP_doc|oox::XML_leader, ResourceType::List, NN_wml|DEFINE_ST_PTabLeader },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Sym:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_font, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_char, ResourceType::Hex, NN_wml|DEFINE_ST_ShortHexNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_ProofErr:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Text:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_xml|oox::XML_space, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_R:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_rsidRPr, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidDel, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidR, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Fonts:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_hint, ResourceType::List, NN_wml|DEFINE_ST_Hint },
                { oox::NMSP_doc|oox::XML_ascii, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_hAnsi, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_eastAsia, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_cs, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_asciiTheme, ResourceType::List, NN_wml|DEFINE_ST_Theme },
                { oox::NMSP_doc|oox::XML_hAnsiTheme, ResourceType::List, NN_wml|DEFINE_ST_Theme },
                { oox::NMSP_doc|oox::XML_eastAsiaTheme, ResourceType::List, NN_wml|DEFINE_ST_Theme },
                { oox::NMSP_doc|oox::XML_cstheme, ResourceType::List, NN_wml|DEFINE_ST_Theme },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_ParaTrackChange:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_author, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_date, ResourceType::String, NN_wml|DEFINE_ST_DateTime },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_AltChunk:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_officeRel|oox::XML_id, ResourceType::String, NN_wml|DEFINE_ST_String },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_RubyAlign:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_RubyAlign },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Lock:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SdtListItem:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_displayText, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_value, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SdtDateMappingType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_CalendarType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SdtDate:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_fullDate, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SdtDropDownList:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_lastValue, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SdtText:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_multiLine, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DataBinding:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_prefixMappings, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_xpath, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_storeItemID, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DirContentRun:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Direction },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Attr:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_uri, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_CustomXmlRun:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_uri, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_element, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SmartTagRun:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_uri, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_element, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_CustomXmlBlock:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_uri, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_element, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_CustomXmlRow:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_uri, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_element, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_CustomXmlCell:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_uri, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_element, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_P:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_rsidRPr, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidR, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidDel, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidP, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidRDefault, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Height:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_hRule, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TblWidth:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_w, ResourceType::MeasurementOrPercent, NN_wml|DEFINE_ST_MeasurementOrPercent },
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_TblWidth },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TblGridCol:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_w, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_TwipsMeasure },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_VMerge:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Merge },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_HMerge:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Merge },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Cnf:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, NN_wml|DEFINE_ST_Cnf },
                { oox::NMSP_doc|oox::XML_firstRow, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_lastRow, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_firstColumn, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_lastColumn, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_oddVBand, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_evenVBand, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_oddHBand, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_evenHBand, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_firstRowFirstColumn, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_firstRowLastColumn, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_lastRowFirstColumn, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_lastRowLastColumn, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TrPrBaseGridBefore:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TrPrBaseGridAfter:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Row:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_rsidRPr, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidR, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidDel, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_rsidTr, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TblLayoutType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_TblLayout },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TblOverlap:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_TblOverlap },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TblPPr:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_leftFromText, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_rightFromText, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_topFromText, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_bottomFromText, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_vertAnchor, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_horzAnchor, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_tblpXSpec, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_tblpX, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { oox::NMSP_doc|oox::XML_tblpYSpec, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_tblpY, ResourceType::TwipsMeasure_asSigned, NN_wml|DEFINE_ST_SignedTwipsMeasure },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TblLook:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_firstRow, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_lastRow, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_firstColumn, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_lastColumn, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_noHBand, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_noVBand, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_val, ResourceType::Hex, NN_wml|DEFINE_ST_ShortHexNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FtnPos:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_FtnPos },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_EdnPos:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_EdnPos },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_NumFmt:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_NumberFormat },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_NumRestart:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_RestartNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FtnEdnRef:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_customMarkFollows, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FtnEdnSepRef:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FtnEdn:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_FtnEdn },
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_CommentRef:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeSourceType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_TargetScreenSz:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_CompatSetting:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_uri, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, NN_wml|DEFINE_ST_String },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DocVar:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_CharacterSpacing:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SaveThroughXslt:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_officeRel|oox::XML_id, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_solutionID, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_ColorSchemeMapping:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_bg1, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_t1, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_bg2, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_t2, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_accent1, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_accent2, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_accent3, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_accent4, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_accent5, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_accent6, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_hyperlink, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_followedHyperlink, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_ReadingModeInkLockDown:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_actualPg, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_w, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_h, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_fontSz, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_WriteProtection:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_cryptProviderType, ResourceType::List, NN_wml|DEFINE_ST_CryptProv },
                { oox::NMSP_doc|oox::XML_cryptAlgorithmClass, ResourceType::List, NN_wml|DEFINE_ST_AlgClass },
                { oox::NMSP_doc|oox::XML_cryptAlgorithmType, ResourceType::List, NN_wml|DEFINE_ST_AlgType },
                { oox::NMSP_doc|oox::XML_cryptAlgorithmSid, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_cryptSpinCount, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_cryptProvider, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_algIdExt, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_algIdExtSource, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_cryptProviderTypeExt, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_cryptProviderTypeExtSource, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_hash, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_salt, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_recommended, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FrameScrollbar:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FrameLayout:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_NumPicBullet:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_numPicBulletId, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_LevelSuffix:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_LevelText:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_null, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_LvlLegacy:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_legacy, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_legacySpace, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_legacyIndent, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Lvl:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_ilvl, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_tplc, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_tentative, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_MultiLevelType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_MultiLevelType },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_AbstractNum:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_abstractNumId, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_NumLvl:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_ilvl, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Num:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_numId, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Style_tblStylePr:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_TblStyleOverrideType },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Style:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_type, ResourceType::List, NN_wml|DEFINE_ST_StyleType },
                { oox::NMSP_doc|oox::XML_styleId, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_default, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_customStyle, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_LsdException:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_locked, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_uiPriority, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_semiHidden, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_unhideWhenUsed, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_qFormat, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_LatentStyles:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_defLockedState, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_defUIPriority, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_defSemiHidden, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_defUnhideWhenUsed, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_defQFormat, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_count, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Panose:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Hex, NN_wml|DEFINE_ST_Panose },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FontFamily:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_FontFamily },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Pitch:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::List, NN_wml|DEFINE_ST_Pitch },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FontSig:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_usb0, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_usb1, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_usb2, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_usb3, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_csb0, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_csb1, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_FontRel:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_officeRel|oox::XML_id, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_fontKey, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_subsetted, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Font:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Charset:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::Hex, NN_wml|DEFINE_ST_UcharHexNumber },
                { oox::NMSP_doc|oox::XML_characterSet, ResourceType::String, NN_wml|DEFINE_ST_String },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Div:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_id, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_SmartTagType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_namespaceuri, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_url, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartBehavior:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartType:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartTypes:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_all, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartGallery:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartName:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_val, ResourceType::String, 0 },
                { oox::NMSP_doc|oox::XML_decorated, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_Caption:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_pos, ResourceType::List, NN_wml|DEFINE_ST_CaptionPos },
                { oox::NMSP_doc|oox::XML_chapNum, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_heading, ResourceType::Integer, NN_wml|DEFINE_ST_DecimalNumber },
                { oox::NMSP_doc|oox::XML_noLabel, ResourceType::Boolean, NN_wml|DEFINE_ST_OnOff },
                { oox::NMSP_doc|oox::XML_numFmt, ResourceType::List, NN_wml|DEFINE_ST_NumberFormat },
                { oox::NMSP_doc|oox::XML_sep, ResourceType::List, NN_wml|DEFINE_ST_ChapterSep },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_wml|DEFINE_CT_AutoCaption:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_doc|oox::XML_name, ResourceType::String, NN_wml|DEFINE_ST_String },
                { oox::NMSP_doc|oox::XML_caption, ResourceType::String, NN_wml|DEFINE_ST_String },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    default:
        break;
    }

    return NULL;
}

bool OOXMLFactory_wml::getListValue(Id nId, const OUString& rValue, sal_uInt32& rOutValue)
{
    (void) rValue;
    (void) rOutValue;

    switch (nId)
    {
    case NN_wml|DEFINE_ST_HighlightColor:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "black") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_black; }
            else if (rValue == "blue") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_blue; }
            else { return false; }
            return true;
        case 'c':
            if (rValue == "cyan") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_cyan; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "darkBlue") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_darkBlue; }
            else if (rValue == "darkCyan") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_darkCyan; }
            else if (rValue == "darkGreen") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_darkGreen; }
            else if (rValue == "darkMagenta") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_darkMagenta; }
            else if (rValue == "darkRed") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_darkRed; }
            else if (rValue == "darkYellow") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_darkYellow; }
            else if (rValue == "darkGray") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_darkGray; }
            else { return false; }
            return true;
        case 'g':
            if (rValue == "green") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_green; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "lightGray") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_lightGray; }
            else { return false; }
            return true;
        case 'm':
            if (rValue == "magenta") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_magenta; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_none; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "red") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_red; }
            else { return false; }
            return true;
        case 'w':
            if (rValue == "white") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_white; }
            else { return false; }
            return true;
        case 'y':
            if (rValue == "yellow") { rOutValue = NS_ooxml::LN_Value_ST_HighlightColor_yellow; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_HexColorAuto:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "auto") { rOutValue = NS_ooxml::LN_Value_ST_HexColorAuto_auto; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Underline:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'd':
            if (rValue == "double") { rOutValue = NS_ooxml::LN_Value_ST_Underline_double; }
            else if (rValue == "dotted") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dotted; }
            else if (rValue == "dottedHeavy") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dottedHeavy; }
            else if (rValue == "dash") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dash; }
            else if (rValue == "dashedHeavy") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dashedHeavy; }
            else if (rValue == "dashLong") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dashLong; }
            else if (rValue == "dashLongHeavy") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dashLongHeavy; }
            else if (rValue == "dotDash") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dotDash; }
            else if (rValue == "dashDotHeavy") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dashDotHeavy; }
            else if (rValue == "dotDotDash") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dotDotDash; }
            else if (rValue == "dashDotDotHeavy") { rOutValue = NS_ooxml::LN_Value_ST_Underline_dashDotDotHeavy; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_Underline_none; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "single") { rOutValue = NS_ooxml::LN_Value_ST_Underline_single; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "thick") { rOutValue = NS_ooxml::LN_Value_ST_Underline_thick; }
            else { return false; }
            return true;
        case 'w':
            if (rValue == "words") { rOutValue = NS_ooxml::LN_Value_ST_Underline_words; }
            else if (rValue == "wave") { rOutValue = NS_ooxml::LN_Value_ST_Underline_wave; }
            else if (rValue == "wavyHeavy") { rOutValue = NS_ooxml::LN_Value_ST_Underline_wavyHeavy; }
            else if (rValue == "wavyDouble") { rOutValue = NS_ooxml::LN_Value_ST_Underline_wavyDouble; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_TextEffect:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "antsBlack") { rOutValue = NS_ooxml::LN_Value_ST_TextEffect_antsBlack; }
            else if (rValue == "antsRed") { rOutValue = NS_ooxml::LN_Value_ST_TextEffect_antsRed; }
            else { return false; }
            return true;
        case 'b':
            if (rValue == "blinkBackground") { rOutValue = NS_ooxml::LN_Value_ST_TextEffect_blinkBackground; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "lights") { rOutValue = NS_ooxml::LN_Value_ST_TextEffect_lights; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_TextEffect_none; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "sparkle") { rOutValue = NS_ooxml::LN_Value_ST_TextEffect_sparkle; }
            else if (rValue == "shimmer") { rOutValue = NS_ooxml::LN_Value_ST_TextEffect_shimmer; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Border:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "apples") { rOutValue = NS_ooxml::LN_Value_ST_Border_apples; }
            else if (rValue == "archedScallops") { rOutValue = NS_ooxml::LN_Value_ST_Border_archedScallops; }
            else { return false; }
            return true;
        case 'b':
            if (rValue == "babyPacifier") { rOutValue = NS_ooxml::LN_Value_ST_Border_babyPacifier; }
            else if (rValue == "babyRattle") { rOutValue = NS_ooxml::LN_Value_ST_Border_babyRattle; }
            else if (rValue == "balloons3Colors") { rOutValue = NS_ooxml::LN_Value_ST_Border_balloons3Colors; }
            else if (rValue == "balloonsHotAir") { rOutValue = NS_ooxml::LN_Value_ST_Border_balloonsHotAir; }
            else if (rValue == "basicBlackDashes") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicBlackDashes; }
            else if (rValue == "basicBlackDots") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicBlackDots; }
            else if (rValue == "basicBlackSquares") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicBlackSquares; }
            else if (rValue == "basicThinLines") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicThinLines; }
            else if (rValue == "basicWhiteDashes") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicWhiteDashes; }
            else if (rValue == "basicWhiteDots") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicWhiteDots; }
            else if (rValue == "basicWhiteSquares") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicWhiteSquares; }
            else if (rValue == "basicWideInline") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicWideInline; }
            else if (rValue == "basicWideMidline") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicWideMidline; }
            else if (rValue == "basicWideOutline") { rOutValue = NS_ooxml::LN_Value_ST_Border_basicWideOutline; }
            else if (rValue == "bats") { rOutValue = NS_ooxml::LN_Value_ST_Border_bats; }
            else if (rValue == "birds") { rOutValue = NS_ooxml::LN_Value_ST_Border_birds; }
            else if (rValue == "birdsFlight") { rOutValue = NS_ooxml::LN_Value_ST_Border_birdsFlight; }
            else { return false; }
            return true;
        case 'c':
            if (rValue == "cabins") { rOutValue = NS_ooxml::LN_Value_ST_Border_cabins; }
            else if (rValue == "cakeSlice") { rOutValue = NS_ooxml::LN_Value_ST_Border_cakeSlice; }
            else if (rValue == "candyCorn") { rOutValue = NS_ooxml::LN_Value_ST_Border_candyCorn; }
            else if (rValue == "celticKnotwork") { rOutValue = NS_ooxml::LN_Value_ST_Border_celticKnotwork; }
            else if (rValue == "certificateBanner") { rOutValue = NS_ooxml::LN_Value_ST_Border_certificateBanner; }
            else if (rValue == "chainLink") { rOutValue = NS_ooxml::LN_Value_ST_Border_chainLink; }
            else if (rValue == "champagneBottle") { rOutValue = NS_ooxml::LN_Value_ST_Border_champagneBottle; }
            else if (rValue == "checkedBarBlack") { rOutValue = NS_ooxml::LN_Value_ST_Border_checkedBarBlack; }
            else if (rValue == "checkedBarColor") { rOutValue = NS_ooxml::LN_Value_ST_Border_checkedBarColor; }
            else if (rValue == "checkered") { rOutValue = NS_ooxml::LN_Value_ST_Border_checkered; }
            else if (rValue == "christmasTree") { rOutValue = NS_ooxml::LN_Value_ST_Border_christmasTree; }
            else if (rValue == "circlesLines") { rOutValue = NS_ooxml::LN_Value_ST_Border_circlesLines; }
            else if (rValue == "circlesRectangles") { rOutValue = NS_ooxml::LN_Value_ST_Border_circlesRectangles; }
            else if (rValue == "classicalWave") { rOutValue = NS_ooxml::LN_Value_ST_Border_classicalWave; }
            else if (rValue == "clocks") { rOutValue = NS_ooxml::LN_Value_ST_Border_clocks; }
            else if (rValue == "compass") { rOutValue = NS_ooxml::LN_Value_ST_Border_compass; }
            else if (rValue == "confetti") { rOutValue = NS_ooxml::LN_Value_ST_Border_confetti; }
            else if (rValue == "confettiGrays") { rOutValue = NS_ooxml::LN_Value_ST_Border_confettiGrays; }
            else if (rValue == "confettiOutline") { rOutValue = NS_ooxml::LN_Value_ST_Border_confettiOutline; }
            else if (rValue == "confettiStreamers") { rOutValue = NS_ooxml::LN_Value_ST_Border_confettiStreamers; }
            else if (rValue == "confettiWhite") { rOutValue = NS_ooxml::LN_Value_ST_Border_confettiWhite; }
            else if (rValue == "cornerTriangles") { rOutValue = NS_ooxml::LN_Value_ST_Border_cornerTriangles; }
            else if (rValue == "couponCutoutDashes") { rOutValue = NS_ooxml::LN_Value_ST_Border_couponCutoutDashes; }
            else if (rValue == "couponCutoutDots") { rOutValue = NS_ooxml::LN_Value_ST_Border_couponCutoutDots; }
            else if (rValue == "crazyMaze") { rOutValue = NS_ooxml::LN_Value_ST_Border_crazyMaze; }
            else if (rValue == "creaturesButterfly") { rOutValue = NS_ooxml::LN_Value_ST_Border_creaturesButterfly; }
            else if (rValue == "creaturesFish") { rOutValue = NS_ooxml::LN_Value_ST_Border_creaturesFish; }
            else if (rValue == "creaturesInsects") { rOutValue = NS_ooxml::LN_Value_ST_Border_creaturesInsects; }
            else if (rValue == "creaturesLadyBug") { rOutValue = NS_ooxml::LN_Value_ST_Border_creaturesLadyBug; }
            else if (rValue == "crossStitch") { rOutValue = NS_ooxml::LN_Value_ST_Border_crossStitch; }
            else if (rValue == "cup") { rOutValue = NS_ooxml::LN_Value_ST_Border_cup; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "double") { rOutValue = NS_ooxml::LN_Value_ST_Border_double; }
            else if (rValue == "dotted") { rOutValue = NS_ooxml::LN_Value_ST_Border_dotted; }
            else if (rValue == "dashed") { rOutValue = NS_ooxml::LN_Value_ST_Border_dashed; }
            else if (rValue == "dotDash") { rOutValue = NS_ooxml::LN_Value_ST_Border_dotDash; }
            else if (rValue == "dotDotDash") { rOutValue = NS_ooxml::LN_Value_ST_Border_dotDotDash; }
            else if (rValue == "doubleWave") { rOutValue = NS_ooxml::LN_Value_ST_Border_doubleWave; }
            else if (rValue == "dashSmallGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_dashSmallGap; }
            else if (rValue == "dashDotStroked") { rOutValue = NS_ooxml::LN_Value_ST_Border_dashDotStroked; }
            else if (rValue == "decoArch") { rOutValue = NS_ooxml::LN_Value_ST_Border_decoArch; }
            else if (rValue == "decoArchColor") { rOutValue = NS_ooxml::LN_Value_ST_Border_decoArchColor; }
            else if (rValue == "decoBlocks") { rOutValue = NS_ooxml::LN_Value_ST_Border_decoBlocks; }
            else if (rValue == "diamondsGray") { rOutValue = NS_ooxml::LN_Value_ST_Border_diamondsGray; }
            else if (rValue == "doubleD") { rOutValue = NS_ooxml::LN_Value_ST_Border_doubleD; }
            else if (rValue == "doubleDiamonds") { rOutValue = NS_ooxml::LN_Value_ST_Border_doubleDiamonds; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "earth1") { rOutValue = NS_ooxml::LN_Value_ST_Border_earth1; }
            else if (rValue == "earth2") { rOutValue = NS_ooxml::LN_Value_ST_Border_earth2; }
            else if (rValue == "eclipsingSquares1") { rOutValue = NS_ooxml::LN_Value_ST_Border_eclipsingSquares1; }
            else if (rValue == "eclipsingSquares2") { rOutValue = NS_ooxml::LN_Value_ST_Border_eclipsingSquares2; }
            else if (rValue == "eggsBlack") { rOutValue = NS_ooxml::LN_Value_ST_Border_eggsBlack; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "fans") { rOutValue = NS_ooxml::LN_Value_ST_Border_fans; }
            else if (rValue == "film") { rOutValue = NS_ooxml::LN_Value_ST_Border_film; }
            else if (rValue == "firecrackers") { rOutValue = NS_ooxml::LN_Value_ST_Border_firecrackers; }
            else if (rValue == "flowersBlockPrint") { rOutValue = NS_ooxml::LN_Value_ST_Border_flowersBlockPrint; }
            else if (rValue == "flowersDaisies") { rOutValue = NS_ooxml::LN_Value_ST_Border_flowersDaisies; }
            else if (rValue == "flowersModern1") { rOutValue = NS_ooxml::LN_Value_ST_Border_flowersModern1; }
            else if (rValue == "flowersModern2") { rOutValue = NS_ooxml::LN_Value_ST_Border_flowersModern2; }
            else if (rValue == "flowersPansy") { rOutValue = NS_ooxml::LN_Value_ST_Border_flowersPansy; }
            else if (rValue == "flowersRedRose") { rOutValue = NS_ooxml::LN_Value_ST_Border_flowersRedRose; }
            else if (rValue == "flowersRoses") { rOutValue = NS_ooxml::LN_Value_ST_Border_flowersRoses; }
            else if (rValue == "flowersTeacup") { rOutValue = NS_ooxml::LN_Value_ST_Border_flowersTeacup; }
            else if (rValue == "flowersTiny") { rOutValue = NS_ooxml::LN_Value_ST_Border_flowersTiny; }
            else { return false; }
            return true;
        case 'g':
            if (rValue == "gems") { rOutValue = NS_ooxml::LN_Value_ST_Border_gems; }
            else if (rValue == "gingerbreadMan") { rOutValue = NS_ooxml::LN_Value_ST_Border_gingerbreadMan; }
            else if (rValue == "gradient") { rOutValue = NS_ooxml::LN_Value_ST_Border_gradient; }
            else { return false; }
            return true;
        case 'h':
            if (rValue == "handmade1") { rOutValue = NS_ooxml::LN_Value_ST_Border_handmade1; }
            else if (rValue == "handmade2") { rOutValue = NS_ooxml::LN_Value_ST_Border_handmade2; }
            else if (rValue == "heartBalloon") { rOutValue = NS_ooxml::LN_Value_ST_Border_heartBalloon; }
            else if (rValue == "heartGray") { rOutValue = NS_ooxml::LN_Value_ST_Border_heartGray; }
            else if (rValue == "hearts") { rOutValue = NS_ooxml::LN_Value_ST_Border_hearts; }
            else if (rValue == "heebieJeebies") { rOutValue = NS_ooxml::LN_Value_ST_Border_heebieJeebies; }
            else if (rValue == "holly") { rOutValue = NS_ooxml::LN_Value_ST_Border_holly; }
            else if (rValue == "houseFunky") { rOutValue = NS_ooxml::LN_Value_ST_Border_houseFunky; }
            else if (rValue == "hypnotic") { rOutValue = NS_ooxml::LN_Value_ST_Border_hypnotic; }
            else { return false; }
            return true;
        case 'i':
            if (rValue == "inset") { rOutValue = NS_ooxml::LN_Value_ST_Border_inset; }
            else if (rValue == "iceCreamCones") { rOutValue = NS_ooxml::LN_Value_ST_Border_iceCreamCones; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "lightBulb") { rOutValue = NS_ooxml::LN_Value_ST_Border_lightBulb; }
            else if (rValue == "lightning1") { rOutValue = NS_ooxml::LN_Value_ST_Border_lightning1; }
            else if (rValue == "lightning2") { rOutValue = NS_ooxml::LN_Value_ST_Border_lightning2; }
            else { return false; }
            return true;
        case 'm':
            if (rValue == "mapPins") { rOutValue = NS_ooxml::LN_Value_ST_Border_mapPins; }
            else if (rValue == "mapleLeaf") { rOutValue = NS_ooxml::LN_Value_ST_Border_mapleLeaf; }
            else if (rValue == "mapleMuffins") { rOutValue = NS_ooxml::LN_Value_ST_Border_mapleMuffins; }
            else if (rValue == "marquee") { rOutValue = NS_ooxml::LN_Value_ST_Border_marquee; }
            else if (rValue == "marqueeToothed") { rOutValue = NS_ooxml::LN_Value_ST_Border_marqueeToothed; }
            else if (rValue == "moons") { rOutValue = NS_ooxml::LN_Value_ST_Border_moons; }
            else if (rValue == "mosaic") { rOutValue = NS_ooxml::LN_Value_ST_Border_mosaic; }
            else if (rValue == "musicNotes") { rOutValue = NS_ooxml::LN_Value_ST_Border_musicNotes; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "nil") { rOutValue = NS_ooxml::LN_Value_ST_Border_nil; }
            else if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_Border_none; }
            else if (rValue == "northwest") { rOutValue = NS_ooxml::LN_Value_ST_Border_northwest; }
            else { return false; }
            return true;
        case 'o':
            if (rValue == "outset") { rOutValue = NS_ooxml::LN_Value_ST_Border_outset; }
            else if (rValue == "ovals") { rOutValue = NS_ooxml::LN_Value_ST_Border_ovals; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "packages") { rOutValue = NS_ooxml::LN_Value_ST_Border_packages; }
            else if (rValue == "palmsBlack") { rOutValue = NS_ooxml::LN_Value_ST_Border_palmsBlack; }
            else if (rValue == "palmsColor") { rOutValue = NS_ooxml::LN_Value_ST_Border_palmsColor; }
            else if (rValue == "paperClips") { rOutValue = NS_ooxml::LN_Value_ST_Border_paperClips; }
            else if (rValue == "papyrus") { rOutValue = NS_ooxml::LN_Value_ST_Border_papyrus; }
            else if (rValue == "partyFavor") { rOutValue = NS_ooxml::LN_Value_ST_Border_partyFavor; }
            else if (rValue == "partyGlass") { rOutValue = NS_ooxml::LN_Value_ST_Border_partyGlass; }
            else if (rValue == "pencils") { rOutValue = NS_ooxml::LN_Value_ST_Border_pencils; }
            else if (rValue == "people") { rOutValue = NS_ooxml::LN_Value_ST_Border_people; }
            else if (rValue == "peopleWaving") { rOutValue = NS_ooxml::LN_Value_ST_Border_peopleWaving; }
            else if (rValue == "peopleHats") { rOutValue = NS_ooxml::LN_Value_ST_Border_peopleHats; }
            else if (rValue == "poinsettias") { rOutValue = NS_ooxml::LN_Value_ST_Border_poinsettias; }
            else if (rValue == "postageStamp") { rOutValue = NS_ooxml::LN_Value_ST_Border_postageStamp; }
            else if (rValue == "pumpkin1") { rOutValue = NS_ooxml::LN_Value_ST_Border_pumpkin1; }
            else if (rValue == "pushPinNote2") { rOutValue = NS_ooxml::LN_Value_ST_Border_pushPinNote2; }
            else if (rValue == "pushPinNote1") { rOutValue = NS_ooxml::LN_Value_ST_Border_pushPinNote1; }
            else if (rValue == "pyramids") { rOutValue = NS_ooxml::LN_Value_ST_Border_pyramids; }
            else if (rValue == "pyramidsAbove") { rOutValue = NS_ooxml::LN_Value_ST_Border_pyramidsAbove; }
            else { return false; }
            return true;
        case 'q':
            if (rValue == "quadrants") { rOutValue = NS_ooxml::LN_Value_ST_Border_quadrants; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "rings") { rOutValue = NS_ooxml::LN_Value_ST_Border_rings; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "single") { rOutValue = NS_ooxml::LN_Value_ST_Border_single; }
            else if (rValue == "safari") { rOutValue = NS_ooxml::LN_Value_ST_Border_safari; }
            else if (rValue == "sawtooth") { rOutValue = NS_ooxml::LN_Value_ST_Border_sawtooth; }
            else if (rValue == "sawtoothGray") { rOutValue = NS_ooxml::LN_Value_ST_Border_sawtoothGray; }
            else if (rValue == "scaredCat") { rOutValue = NS_ooxml::LN_Value_ST_Border_scaredCat; }
            else if (rValue == "seattle") { rOutValue = NS_ooxml::LN_Value_ST_Border_seattle; }
            else if (rValue == "shadowedSquares") { rOutValue = NS_ooxml::LN_Value_ST_Border_shadowedSquares; }
            else if (rValue == "sharksTeeth") { rOutValue = NS_ooxml::LN_Value_ST_Border_sharksTeeth; }
            else if (rValue == "shorebirdTracks") { rOutValue = NS_ooxml::LN_Value_ST_Border_shorebirdTracks; }
            else if (rValue == "skyrocket") { rOutValue = NS_ooxml::LN_Value_ST_Border_skyrocket; }
            else if (rValue == "snowflakeFancy") { rOutValue = NS_ooxml::LN_Value_ST_Border_snowflakeFancy; }
            else if (rValue == "snowflakes") { rOutValue = NS_ooxml::LN_Value_ST_Border_snowflakes; }
            else if (rValue == "sombrero") { rOutValue = NS_ooxml::LN_Value_ST_Border_sombrero; }
            else if (rValue == "southwest") { rOutValue = NS_ooxml::LN_Value_ST_Border_southwest; }
            else if (rValue == "stars") { rOutValue = NS_ooxml::LN_Value_ST_Border_stars; }
            else if (rValue == "starsTop") { rOutValue = NS_ooxml::LN_Value_ST_Border_starsTop; }
            else if (rValue == "stars3d") { rOutValue = NS_ooxml::LN_Value_ST_Border_stars3d; }
            else if (rValue == "starsBlack") { rOutValue = NS_ooxml::LN_Value_ST_Border_starsBlack; }
            else if (rValue == "starsShadowed") { rOutValue = NS_ooxml::LN_Value_ST_Border_starsShadowed; }
            else if (rValue == "sun") { rOutValue = NS_ooxml::LN_Value_ST_Border_sun; }
            else if (rValue == "swirligig") { rOutValue = NS_ooxml::LN_Value_ST_Border_swirligig; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "thick") { rOutValue = NS_ooxml::LN_Value_ST_Border_thick; }
            else if (rValue == "triple") { rOutValue = NS_ooxml::LN_Value_ST_Border_triple; }
            else if (rValue == "thinThickSmallGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_thinThickSmallGap; }
            else if (rValue == "thickThinSmallGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_thickThinSmallGap; }
            else if (rValue == "thinThickThinSmallGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_thinThickThinSmallGap; }
            else if (rValue == "thinThickMediumGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_thinThickMediumGap; }
            else if (rValue == "thickThinMediumGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_thickThinMediumGap; }
            else if (rValue == "thinThickThinMediumGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_thinThickThinMediumGap; }
            else if (rValue == "thinThickLargeGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_thinThickLargeGap; }
            else if (rValue == "thickThinLargeGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_thickThinLargeGap; }
            else if (rValue == "thinThickThinLargeGap") { rOutValue = NS_ooxml::LN_Value_ST_Border_thinThickThinLargeGap; }
            else if (rValue == "threeDEmboss") { rOutValue = NS_ooxml::LN_Value_ST_Border_threeDEmboss; }
            else if (rValue == "threeDEngrave") { rOutValue = NS_ooxml::LN_Value_ST_Border_threeDEngrave; }
            else if (rValue == "tornPaper") { rOutValue = NS_ooxml::LN_Value_ST_Border_tornPaper; }
            else if (rValue == "tornPaperBlack") { rOutValue = NS_ooxml::LN_Value_ST_Border_tornPaperBlack; }
            else if (rValue == "trees") { rOutValue = NS_ooxml::LN_Value_ST_Border_trees; }
            else if (rValue == "triangleParty") { rOutValue = NS_ooxml::LN_Value_ST_Border_triangleParty; }
            else if (rValue == "triangles") { rOutValue = NS_ooxml::LN_Value_ST_Border_triangles; }
            else if (rValue == "tribal1") { rOutValue = NS_ooxml::LN_Value_ST_Border_tribal1; }
            else if (rValue == "tribal2") { rOutValue = NS_ooxml::LN_Value_ST_Border_tribal2; }
            else if (rValue == "tribal3") { rOutValue = NS_ooxml::LN_Value_ST_Border_tribal3; }
            else if (rValue == "tribal4") { rOutValue = NS_ooxml::LN_Value_ST_Border_tribal4; }
            else if (rValue == "tribal5") { rOutValue = NS_ooxml::LN_Value_ST_Border_tribal5; }
            else if (rValue == "tribal6") { rOutValue = NS_ooxml::LN_Value_ST_Border_tribal6; }
            else if (rValue == "twistedLines1") { rOutValue = NS_ooxml::LN_Value_ST_Border_twistedLines1; }
            else if (rValue == "twistedLines2") { rOutValue = NS_ooxml::LN_Value_ST_Border_twistedLines2; }
            else { return false; }
            return true;
        case 'v':
            if (rValue == "vine") { rOutValue = NS_ooxml::LN_Value_ST_Border_vine; }
            else { return false; }
            return true;
        case 'w':
            if (rValue == "wave") { rOutValue = NS_ooxml::LN_Value_ST_Border_wave; }
            else if (rValue == "waveline") { rOutValue = NS_ooxml::LN_Value_ST_Border_waveline; }
            else if (rValue == "weavingAngles") { rOutValue = NS_ooxml::LN_Value_ST_Border_weavingAngles; }
            else if (rValue == "weavingBraid") { rOutValue = NS_ooxml::LN_Value_ST_Border_weavingBraid; }
            else if (rValue == "weavingRibbon") { rOutValue = NS_ooxml::LN_Value_ST_Border_weavingRibbon; }
            else if (rValue == "weavingStrips") { rOutValue = NS_ooxml::LN_Value_ST_Border_weavingStrips; }
            else if (rValue == "whiteFlowers") { rOutValue = NS_ooxml::LN_Value_ST_Border_whiteFlowers; }
            else if (rValue == "woodwork") { rOutValue = NS_ooxml::LN_Value_ST_Border_woodwork; }
            else { return false; }
            return true;
        case 'x':
            if (rValue == "xIllusions") { rOutValue = NS_ooxml::LN_Value_ST_Border_xIllusions; }
            else { return false; }
            return true;
        case 'z':
            if (rValue == "zanyTriangles") { rOutValue = NS_ooxml::LN_Value_ST_Border_zanyTriangles; }
            else if (rValue == "zigZag") { rOutValue = NS_ooxml::LN_Value_ST_Border_zigZag; }
            else if (rValue == "zigZagStitch") { rOutValue = NS_ooxml::LN_Value_ST_Border_zigZagStitch; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Shd:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "clear") { rOutValue = NS_ooxml::LN_Value_ST_Shd_clear; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "diagStripe") { rOutValue = NS_ooxml::LN_Value_ST_Shd_diagStripe; }
            else if (rValue == "diagCross") { rOutValue = NS_ooxml::LN_Value_ST_Shd_diagCross; }
            else { return false; }
            return true;
        case 'h':
            if (rValue == "horzStripe") { rOutValue = NS_ooxml::LN_Value_ST_Shd_horzStripe; }
            else if (rValue == "horzCross") { rOutValue = NS_ooxml::LN_Value_ST_Shd_horzCross; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "nil") { rOutValue = NS_ooxml::LN_Value_ST_Shd_nil; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "pct5") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct5; }
            else if (rValue == "pct10") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct10; }
            else if (rValue == "pct20") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct20; }
            else if (rValue == "pct25") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct25; }
            else if (rValue == "pct30") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct30; }
            else if (rValue == "pct40") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct40; }
            else if (rValue == "pct50") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct50; }
            else if (rValue == "pct60") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct60; }
            else if (rValue == "pct70") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct70; }
            else if (rValue == "pct75") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct75; }
            else if (rValue == "pct80") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct80; }
            else if (rValue == "pct90") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct90; }
            else if (rValue == "pct12") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct12; }
            else if (rValue == "pct15") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct15; }
            else if (rValue == "pct35") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct35; }
            else if (rValue == "pct37") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct37; }
            else if (rValue == "pct45") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct45; }
            else if (rValue == "pct55") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct55; }
            else if (rValue == "pct62") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct62; }
            else if (rValue == "pct65") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct65; }
            else if (rValue == "pct85") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct85; }
            else if (rValue == "pct87") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct87; }
            else if (rValue == "pct95") { rOutValue = NS_ooxml::LN_Value_ST_Shd_pct95; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "reverseDiagStripe") { rOutValue = NS_ooxml::LN_Value_ST_Shd_reverseDiagStripe; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "solid") { rOutValue = NS_ooxml::LN_Value_ST_Shd_solid; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "thinHorzStripe") { rOutValue = NS_ooxml::LN_Value_ST_Shd_thinHorzStripe; }
            else if (rValue == "thinVertStripe") { rOutValue = NS_ooxml::LN_Value_ST_Shd_thinVertStripe; }
            else if (rValue == "thinReverseDiagStripe") { rOutValue = NS_ooxml::LN_Value_ST_Shd_thinReverseDiagStripe; }
            else if (rValue == "thinDiagStripe") { rOutValue = NS_ooxml::LN_Value_ST_Shd_thinDiagStripe; }
            else if (rValue == "thinHorzCross") { rOutValue = NS_ooxml::LN_Value_ST_Shd_thinHorzCross; }
            else if (rValue == "thinDiagCross") { rOutValue = NS_ooxml::LN_Value_ST_Shd_thinDiagCross; }
            else { return false; }
            return true;
        case 'v':
            if (rValue == "vertStripe") { rOutValue = NS_ooxml::LN_Value_ST_Shd_vertStripe; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Em:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "comma") { rOutValue = NS_ooxml::LN_Value_ST_Em_comma; }
            else if (rValue == "circle") { rOutValue = NS_ooxml::LN_Value_ST_Em_circle; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "dot") { rOutValue = NS_ooxml::LN_Value_ST_Em_dot; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_Em_none; }
            else { return false; }
            return true;
        case 'u':
            if (rValue == "underDot") { rOutValue = NS_ooxml::LN_Value_ST_Em_underDot; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_CombineBrackets:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "angle") { rOutValue = NS_ooxml::LN_Value_ST_CombineBrackets_angle; }
            else { return false; }
            return true;
        case 'c':
            if (rValue == "curly") { rOutValue = NS_ooxml::LN_Value_ST_CombineBrackets_curly; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_CombineBrackets_none; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "round") { rOutValue = NS_ooxml::LN_Value_ST_CombineBrackets_round; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "square") { rOutValue = NS_ooxml::LN_Value_ST_CombineBrackets_square; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_XAlign:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "center") { rOutValue = NS_ooxml::LN_Value_doc_ST_XAlign_center; }
            else { return false; }
            return true;
        case 'i':
            if (rValue == "inside") { rOutValue = NS_ooxml::LN_Value_doc_ST_XAlign_inside; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "left") { rOutValue = NS_ooxml::LN_Value_doc_ST_XAlign_left; }
            else { return false; }
            return true;
        case 'o':
            if (rValue == "outside") { rOutValue = NS_ooxml::LN_Value_doc_ST_XAlign_outside; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "right") { rOutValue = NS_ooxml::LN_Value_doc_ST_XAlign_right; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_YAlign:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "bottom") { rOutValue = NS_ooxml::LN_Value_doc_ST_YAlign_bottom; }
            else { return false; }
            return true;
        case 'c':
            if (rValue == "center") { rOutValue = NS_ooxml::LN_Value_doc_ST_YAlign_center; }
            else { return false; }
            return true;
        case 'i':
            if (rValue == "inline") { rOutValue = NS_ooxml::LN_Value_doc_ST_YAlign_inline; }
            else if (rValue == "inside") { rOutValue = NS_ooxml::LN_Value_doc_ST_YAlign_inside; }
            else { return false; }
            return true;
        case 'o':
            if (rValue == "outside") { rOutValue = NS_ooxml::LN_Value_doc_ST_YAlign_outside; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "top") { rOutValue = NS_ooxml::LN_Value_doc_ST_YAlign_top; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_HeightRule:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "auto") { rOutValue = NS_ooxml::LN_Value_doc_ST_HeightRule_auto; }
            else if (rValue == "atLeast") { rOutValue = NS_ooxml::LN_Value_doc_ST_HeightRule_atLeast; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "exact") { rOutValue = NS_ooxml::LN_Value_doc_ST_HeightRule_exact; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Wrap:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "auto") { rOutValue = NS_ooxml::LN_Value_doc_ST_Wrap_auto; }
            else if (rValue == "around") { rOutValue = NS_ooxml::LN_Value_doc_ST_Wrap_around; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "notBeside") { rOutValue = NS_ooxml::LN_Value_doc_ST_Wrap_notBeside; }
            else if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_doc_ST_Wrap_none; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "tight") { rOutValue = NS_ooxml::LN_Value_doc_ST_Wrap_tight; }
            else if (rValue == "through") { rOutValue = NS_ooxml::LN_Value_doc_ST_Wrap_through; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_VAnchor:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'm':
            if (rValue == "margin") { rOutValue = NS_ooxml::LN_Value_doc_ST_VAnchor_margin; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "page") { rOutValue = NS_ooxml::LN_Value_doc_ST_VAnchor_page; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "text") { rOutValue = NS_ooxml::LN_Value_doc_ST_VAnchor_text; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_HAnchor:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'm':
            if (rValue == "margin") { rOutValue = NS_ooxml::LN_Value_doc_ST_HAnchor_margin; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "page") { rOutValue = NS_ooxml::LN_Value_doc_ST_HAnchor_page; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "text") { rOutValue = NS_ooxml::LN_Value_doc_ST_HAnchor_text; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_DropCap:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'd':
            if (rValue == "drop") { rOutValue = NS_ooxml::LN_Value_doc_ST_DropCap_drop; }
            else { return false; }
            return true;
        case 'm':
            if (rValue == "margin") { rOutValue = NS_ooxml::LN_Value_doc_ST_DropCap_margin; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_doc_ST_DropCap_none; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_TabJc:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "bar") { rOutValue = NS_ooxml::LN_Value_ST_TabJc_bar; }
            else { return false; }
            return true;
        case 'c':
            if (rValue == "clear") { rOutValue = NS_ooxml::LN_Value_ST_TabJc_clear; }
            else if (rValue == "center") { rOutValue = NS_ooxml::LN_Value_ST_TabJc_center; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "decimal") { rOutValue = NS_ooxml::LN_Value_ST_TabJc_decimal; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "end") { rOutValue = NS_ooxml::LN_Value_ST_TabJc_end; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "left") { rOutValue = NS_ooxml::LN_Value_ST_TabJc_left; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "num") { rOutValue = NS_ooxml::LN_Value_ST_TabJc_num; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "right") { rOutValue = NS_ooxml::LN_Value_ST_TabJc_right; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "start") { rOutValue = NS_ooxml::LN_Value_ST_TabJc_start; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_TabTlc:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'd':
            if (rValue == "dot") { rOutValue = NS_ooxml::LN_Value_ST_TabTlc_dot; }
            else { return false; }
            return true;
        case 'h':
            if (rValue == "hyphen") { rOutValue = NS_ooxml::LN_Value_ST_TabTlc_hyphen; }
            else if (rValue == "heavy") { rOutValue = NS_ooxml::LN_Value_ST_TabTlc_heavy; }
            else { return false; }
            return true;
        case 'm':
            if (rValue == "middleDot") { rOutValue = NS_ooxml::LN_Value_ST_TabTlc_middleDot; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_TabTlc_none; }
            else { return false; }
            return true;
        case 'u':
            if (rValue == "underscore") { rOutValue = NS_ooxml::LN_Value_ST_TabTlc_underscore; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_LineSpacingRule:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "auto") { rOutValue = NS_ooxml::LN_Value_doc_ST_LineSpacingRule_auto; }
            else if (rValue == "atLeast") { rOutValue = NS_ooxml::LN_Value_doc_ST_LineSpacingRule_atLeast; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "exact") { rOutValue = NS_ooxml::LN_Value_doc_ST_LineSpacingRule_exact; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Jc:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "both") { rOutValue = NS_ooxml::LN_Value_ST_Jc_both; }
            else { return false; }
            return true;
        case 'c':
            if (rValue == "center") { rOutValue = NS_ooxml::LN_Value_ST_Jc_center; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "distribute") { rOutValue = NS_ooxml::LN_Value_ST_Jc_distribute; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "end") { rOutValue = NS_ooxml::LN_Value_ST_Jc_end; }
            else { return false; }
            return true;
        case 'h':
            if (rValue == "highKashida") { rOutValue = NS_ooxml::LN_Value_ST_Jc_highKashida; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "left") { rOutValue = NS_ooxml::LN_Value_ST_Jc_left; }
            else if (rValue == "lowKashida") { rOutValue = NS_ooxml::LN_Value_ST_Jc_lowKashida; }
            else { return false; }
            return true;
        case 'm':
            if (rValue == "mediumKashida") { rOutValue = NS_ooxml::LN_Value_ST_Jc_mediumKashida; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "numTab") { rOutValue = NS_ooxml::LN_Value_ST_Jc_numTab; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "right") { rOutValue = NS_ooxml::LN_Value_ST_Jc_right; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "start") { rOutValue = NS_ooxml::LN_Value_ST_Jc_start; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "thaiDistribute") { rOutValue = NS_ooxml::LN_Value_ST_Jc_thaiDistribute; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_View:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'm':
            if (rValue == "masterPages") { rOutValue = NS_ooxml::LN_Value_doc_ST_View_masterPages; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_doc_ST_View_none; }
            else if (rValue == "normal") { rOutValue = NS_ooxml::LN_Value_doc_ST_View_normal; }
            else { return false; }
            return true;
        case 'o':
            if (rValue == "outline") { rOutValue = NS_ooxml::LN_Value_doc_ST_View_outline; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "print") { rOutValue = NS_ooxml::LN_Value_doc_ST_View_print; }
            else { return false; }
            return true;
        case 'w':
            if (rValue == "web") { rOutValue = NS_ooxml::LN_Value_doc_ST_View_web; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Zoom:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "bestFit") { rOutValue = NS_ooxml::LN_Value_doc_ST_Zoom_bestFit; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "fullPage") { rOutValue = NS_ooxml::LN_Value_doc_ST_Zoom_fullPage; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_doc_ST_Zoom_none; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "textFit") { rOutValue = NS_ooxml::LN_Value_doc_ST_Zoom_textFit; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_DocType:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'e':
            if (rValue == "eMail") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocType_eMail; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "letter") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocType_letter; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "notSpecified") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocType_notSpecified; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_DocProtect:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "comments") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocProtect_comments; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "forms") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocProtect_forms; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocProtect_none; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "readOnly") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocProtect_readOnly; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "trackedChanges") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocProtect_trackedChanges; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_CryptProv:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'r':
            if (rValue == "rsaAES") { rOutValue = NS_ooxml::LN_Value_doc_ST_CryptProv_rsaAES; }
            else if (rValue == "rsaFull") { rOutValue = NS_ooxml::LN_Value_doc_ST_CryptProv_rsaFull; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_AlgClass:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'h':
            if (rValue == "hash") { rOutValue = NS_ooxml::LN_Value_doc_ST_AlgClass_hash; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_AlgType:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 't':
            if (rValue == "typeAny") { rOutValue = NS_ooxml::LN_Value_doc_ST_AlgType_typeAny; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_TextDirection:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "btLr") { rOutValue = NS_ooxml::LN_Value_ST_TextDirection_btLr; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "lrTb") { rOutValue = NS_ooxml::LN_Value_ST_TextDirection_lrTb; }
            else if (rValue == "lrTbV") { rOutValue = NS_ooxml::LN_Value_ST_TextDirection_lrTbV; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "tbRl") { rOutValue = NS_ooxml::LN_Value_ST_TextDirection_tbRl; }
            else if (rValue == "tbRlV") { rOutValue = NS_ooxml::LN_Value_ST_TextDirection_tbRlV; }
            else if (rValue == "tbLrV") { rOutValue = NS_ooxml::LN_Value_ST_TextDirection_tbLrV; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_TextAlignment:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "auto") { rOutValue = NS_ooxml::LN_Value_doc_ST_TextAlignment_auto; }
            else { return false; }
            return true;
        case 'b':
            if (rValue == "baseline") { rOutValue = NS_ooxml::LN_Value_doc_ST_TextAlignment_baseline; }
            else if (rValue == "bottom") { rOutValue = NS_ooxml::LN_Value_doc_ST_TextAlignment_bottom; }
            else { return false; }
            return true;
        case 'c':
            if (rValue == "center") { rOutValue = NS_ooxml::LN_Value_doc_ST_TextAlignment_center; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "top") { rOutValue = NS_ooxml::LN_Value_doc_ST_TextAlignment_top; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_DisplacedByCustomXml:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'n':
            if (rValue == "next") { rOutValue = NS_ooxml::LN_Value_doc_ST_DisplacedByCustomXml_next; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "prev") { rOutValue = NS_ooxml::LN_Value_doc_ST_DisplacedByCustomXml_prev; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_AnnotationVMerge:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "cont") { rOutValue = NS_ooxml::LN_Value_doc_ST_AnnotationVMerge_cont; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "rest") { rOutValue = NS_ooxml::LN_Value_doc_ST_AnnotationVMerge_rest; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_FldCharType:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "begin") { rOutValue = NS_ooxml::LN_Value_ST_FldCharType_begin; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "end") { rOutValue = NS_ooxml::LN_Value_ST_FldCharType_end; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "separate") { rOutValue = NS_ooxml::LN_Value_ST_FldCharType_separate; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_InfoTextType:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "autoText") { rOutValue = NS_ooxml::LN_Value_doc_ST_InfoTextType_autoText; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "text") { rOutValue = NS_ooxml::LN_Value_doc_ST_InfoTextType_text; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_SectionMark:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "continuous") { rOutValue = NS_ooxml::LN_Value_ST_SectionMark_continuous; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "evenPage") { rOutValue = NS_ooxml::LN_Value_ST_SectionMark_evenPage; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "nextColumn") { rOutValue = NS_ooxml::LN_Value_ST_SectionMark_nextColumn; }
            else if (rValue == "nextPage") { rOutValue = NS_ooxml::LN_Value_ST_SectionMark_nextPage; }
            else { return false; }
            return true;
        case 'o':
            if (rValue == "oddPage") { rOutValue = NS_ooxml::LN_Value_ST_SectionMark_oddPage; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_NumberFormat:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "aiueo") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_aiueo; }
            else if (rValue == "aiueoFullWidth") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_aiueoFullWidth; }
            else if (rValue == "arabicAlpha") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_arabicAlpha; }
            else if (rValue == "arabicAbjad") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_arabicAbjad; }
            else { return false; }
            return true;
        case 'b':
            if (rValue == "bullet") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_bullet; }
            else { return false; }
            return true;
        case 'c':
            if (rValue == "cardinalText") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_cardinalText; }
            else if (rValue == "chicago") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_chicago; }
            else if (rValue == "chosung") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_chosung; }
            else if (rValue == "chineseCounting") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_chineseCounting; }
            else if (rValue == "chineseLegalSimplified") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_chineseLegalSimplified; }
            else if (rValue == "chineseCountingThousand") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_chineseCountingThousand; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "decimal") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_decimal; }
            else if (rValue == "decimalFullWidth") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_decimalFullWidth; }
            else if (rValue == "decimalHalfWidth") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_decimalHalfWidth; }
            else if (rValue == "decimalEnclosedCircle") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_decimalEnclosedCircle; }
            else if (rValue == "decimalFullWidth2") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_decimalFullWidth2; }
            else if (rValue == "decimalZero") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_decimalZero; }
            else if (rValue == "decimalEnclosedFullstop") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_decimalEnclosedFullstop; }
            else if (rValue == "decimalEnclosedParen") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_decimalEnclosedParen; }
            else if (rValue == "decimalEnclosedCircleChinese") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_decimalEnclosedCircleChinese; }
            else { return false; }
            return true;
        case 'g':
            if (rValue == "ganada") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_ganada; }
            else { return false; }
            return true;
        case 'h':
            if (rValue == "hex") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_hex; }
            else if (rValue == "hebrew1") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_hebrew1; }
            else if (rValue == "hebrew2") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_hebrew2; }
            else if (rValue == "hindiVowels") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_hindiVowels; }
            else if (rValue == "hindiConsonants") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_hindiConsonants; }
            else if (rValue == "hindiNumbers") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_hindiNumbers; }
            else if (rValue == "hindiCounting") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_hindiCounting; }
            else { return false; }
            return true;
        case 'i':
            if (rValue == "ideographDigital") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_ideographDigital; }
            else if (rValue == "iroha") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_iroha; }
            else if (rValue == "irohaFullWidth") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_irohaFullWidth; }
            else if (rValue == "ideographEnclosedCircle") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_ideographEnclosedCircle; }
            else if (rValue == "ideographTraditional") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_ideographTraditional; }
            else if (rValue == "ideographZodiac") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_ideographZodiac; }
            else if (rValue == "ideographZodiacTraditional") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_ideographZodiacTraditional; }
            else if (rValue == "ideographLegalTraditional") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_ideographLegalTraditional; }
            else { return false; }
            return true;
        case 'j':
            if (rValue == "japaneseCounting") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_japaneseCounting; }
            else if (rValue == "japaneseLegal") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_japaneseLegal; }
            else if (rValue == "japaneseDigitalTenThousand") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_japaneseDigitalTenThousand; }
            else { return false; }
            return true;
        case 'k':
            if (rValue == "koreanDigital") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_koreanDigital; }
            else if (rValue == "koreanCounting") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_koreanCounting; }
            else if (rValue == "koreanLegal") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_koreanLegal; }
            else if (rValue == "koreanDigital2") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_koreanDigital2; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "lowerRoman") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_lowerRoman; }
            else if (rValue == "lowerLetter") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_lowerLetter; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_none; }
            else if (rValue == "numberInDash") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_numberInDash; }
            else { return false; }
            return true;
        case 'o':
            if (rValue == "ordinal") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_ordinal; }
            else if (rValue == "ordinalText") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_ordinalText; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "russianLower") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_russianLower; }
            else if (rValue == "russianUpper") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_russianUpper; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "taiwaneseCounting") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_taiwaneseCounting; }
            else if (rValue == "taiwaneseCountingThousand") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_taiwaneseCountingThousand; }
            else if (rValue == "taiwaneseDigital") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_taiwaneseDigital; }
            else if (rValue == "thaiLetters") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_thaiLetters; }
            else if (rValue == "thaiNumbers") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_thaiNumbers; }
            else if (rValue == "thaiCounting") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_thaiCounting; }
            else { return false; }
            return true;
        case 'u':
            if (rValue == "upperRoman") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_upperRoman; }
            else if (rValue == "upperLetter") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_upperLetter; }
            else { return false; }
            return true;
        case 'v':
            if (rValue == "vietnameseCounting") { rOutValue = NS_ooxml::LN_Value_ST_NumberFormat_vietnameseCounting; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_PageOrientation:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'l':
            if (rValue == "landscape") { rOutValue = NS_ooxml::LN_Value_ST_PageOrientation_landscape; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "portrait") { rOutValue = NS_ooxml::LN_Value_ST_PageOrientation_portrait; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_PageBorderZOrder:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "back") { rOutValue = NS_ooxml::LN_Value_doc_ST_PageBorderZOrder_back; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "front") { rOutValue = NS_ooxml::LN_Value_doc_ST_PageBorderZOrder_front; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_PageBorderDisplay:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "allPages") { rOutValue = NS_ooxml::LN_Value_doc_ST_PageBorderDisplay_allPages; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "firstPage") { rOutValue = NS_ooxml::LN_Value_doc_ST_PageBorderDisplay_firstPage; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "notFirstPage") { rOutValue = NS_ooxml::LN_Value_doc_ST_PageBorderDisplay_notFirstPage; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_PageBorderOffset:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'p':
            if (rValue == "page") { rOutValue = NS_ooxml::LN_Value_doc_ST_PageBorderOffset_page; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "text") { rOutValue = NS_ooxml::LN_Value_doc_ST_PageBorderOffset_text; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_ChapterSep:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "colon") { rOutValue = NS_ooxml::LN_Value_ST_ChapterSep_colon; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "emDash") { rOutValue = NS_ooxml::LN_Value_ST_ChapterSep_emDash; }
            else if (rValue == "enDash") { rOutValue = NS_ooxml::LN_Value_ST_ChapterSep_enDash; }
            else { return false; }
            return true;
        case 'h':
            if (rValue == "hyphen") { rOutValue = NS_ooxml::LN_Value_ST_ChapterSep_hyphen; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "period") { rOutValue = NS_ooxml::LN_Value_ST_ChapterSep_period; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_LineNumberRestart:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "continuous") { rOutValue = NS_ooxml::LN_Value_ST_LineNumberRestart_continuous; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "newPage") { rOutValue = NS_ooxml::LN_Value_ST_LineNumberRestart_newPage; }
            else if (rValue == "newSection") { rOutValue = NS_ooxml::LN_Value_ST_LineNumberRestart_newSection; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_VerticalJc:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "both") { rOutValue = NS_ooxml::LN_Value_ST_VerticalJc_both; }
            else if (rValue == "bottom") { rOutValue = NS_ooxml::LN_Value_ST_VerticalJc_bottom; }
            else { return false; }
            return true;
        case 'c':
            if (rValue == "center") { rOutValue = NS_ooxml::LN_Value_ST_VerticalJc_center; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "top") { rOutValue = NS_ooxml::LN_Value_ST_VerticalJc_top; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_DocGrid:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'd':
            if (rValue == "default") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocGrid_default; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "lines") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocGrid_lines; }
            else if (rValue == "linesAndChars") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocGrid_linesAndChars; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "snapToChars") { rOutValue = NS_ooxml::LN_Value_doc_ST_DocGrid_snapToChars; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_HdrFtr:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'd':
            if (rValue == "default") { rOutValue = NS_ooxml::LN_Value_ST_HdrFtr_default; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "even") { rOutValue = NS_ooxml::LN_Value_ST_HdrFtr_even; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "first") { rOutValue = NS_ooxml::LN_Value_ST_HdrFtr_first; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_FtnEdn:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "continuationSeparator") { rOutValue = NS_ooxml::LN_Value_doc_ST_FtnEdn_continuationSeparator; }
            else if (rValue == "continuationNotice") { rOutValue = NS_ooxml::LN_Value_doc_ST_FtnEdn_continuationNotice; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "normal") { rOutValue = NS_ooxml::LN_Value_doc_ST_FtnEdn_normal; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "separator") { rOutValue = NS_ooxml::LN_Value_doc_ST_FtnEdn_separator; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_BrType:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "column") { rOutValue = NS_ooxml::LN_Value_ST_BrType_column; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "page") { rOutValue = NS_ooxml::LN_Value_ST_BrType_page; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "textWrapping") { rOutValue = NS_ooxml::LN_Value_ST_BrType_textWrapping; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_BrClear:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "all") { rOutValue = NS_ooxml::LN_Value_ST_BrClear_all; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "left") { rOutValue = NS_ooxml::LN_Value_ST_BrClear_left; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_BrClear_none; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "right") { rOutValue = NS_ooxml::LN_Value_ST_BrClear_right; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_PTabAlignment:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "center") { rOutValue = NS_ooxml::LN_Value_ST_PTabAlignment_center; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "left") { rOutValue = NS_ooxml::LN_Value_ST_PTabAlignment_left; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "right") { rOutValue = NS_ooxml::LN_Value_ST_PTabAlignment_right; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_PTabRelativeTo:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'i':
            if (rValue == "indent") { rOutValue = NS_ooxml::LN_Value_ST_PTabRelativeTo_indent; }
            else { return false; }
            return true;
        case 'm':
            if (rValue == "margin") { rOutValue = NS_ooxml::LN_Value_ST_PTabRelativeTo_margin; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_PTabLeader:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'd':
            if (rValue == "dot") { rOutValue = NS_ooxml::LN_Value_ST_PTabLeader_dot; }
            else { return false; }
            return true;
        case 'h':
            if (rValue == "hyphen") { rOutValue = NS_ooxml::LN_Value_ST_PTabLeader_hyphen; }
            else { return false; }
            return true;
        case 'm':
            if (rValue == "middleDot") { rOutValue = NS_ooxml::LN_Value_ST_PTabLeader_middleDot; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_ST_PTabLeader_none; }
            else { return false; }
            return true;
        case 'u':
            if (rValue == "underscore") { rOutValue = NS_ooxml::LN_Value_ST_PTabLeader_underscore; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Hint:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "cs") { rOutValue = NS_ooxml::LN_Value_ST_Hint_cs; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "default") { rOutValue = NS_ooxml::LN_Value_ST_Hint_default; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "eastAsia") { rOutValue = NS_ooxml::LN_Value_ST_Hint_eastAsia; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Theme:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'm':
            if (rValue == "majorEastAsia") { rOutValue = NS_ooxml::LN_Value_ST_Theme_majorEastAsia; }
            else if (rValue == "majorBidi") { rOutValue = NS_ooxml::LN_Value_ST_Theme_majorBidi; }
            else if (rValue == "majorAscii") { rOutValue = NS_ooxml::LN_Value_ST_Theme_majorAscii; }
            else if (rValue == "majorHAnsi") { rOutValue = NS_ooxml::LN_Value_ST_Theme_majorHAnsi; }
            else if (rValue == "minorEastAsia") { rOutValue = NS_ooxml::LN_Value_ST_Theme_minorEastAsia; }
            else if (rValue == "minorBidi") { rOutValue = NS_ooxml::LN_Value_ST_Theme_minorBidi; }
            else if (rValue == "minorAscii") { rOutValue = NS_ooxml::LN_Value_ST_Theme_minorAscii; }
            else if (rValue == "minorHAnsi") { rOutValue = NS_ooxml::LN_Value_ST_Theme_minorHAnsi; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_RubyAlign:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "center") { rOutValue = NS_ooxml::LN_Value_ST_RubyAlign_center; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "distributeLetter") { rOutValue = NS_ooxml::LN_Value_ST_RubyAlign_distributeLetter; }
            else if (rValue == "distributeSpace") { rOutValue = NS_ooxml::LN_Value_ST_RubyAlign_distributeSpace; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "left") { rOutValue = NS_ooxml::LN_Value_ST_RubyAlign_left; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "right") { rOutValue = NS_ooxml::LN_Value_ST_RubyAlign_right; }
            else if (rValue == "rightVertical") { rOutValue = NS_ooxml::LN_Value_ST_RubyAlign_rightVertical; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Direction:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'l':
            if (rValue == "ltr") { rOutValue = NS_ooxml::LN_Value_ST_Direction_ltr; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "rtl") { rOutValue = NS_ooxml::LN_Value_ST_Direction_rtl; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_TblWidth:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "auto") { rOutValue = NS_ooxml::LN_Value_ST_TblWidth_auto; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "dxa") { rOutValue = NS_ooxml::LN_Value_ST_TblWidth_dxa; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "nil") { rOutValue = NS_ooxml::LN_Value_ST_TblWidth_nil; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "pct") { rOutValue = NS_ooxml::LN_Value_ST_TblWidth_pct; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Merge:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "continue") { rOutValue = NS_ooxml::LN_Value_ST_Merge_continue; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "restart") { rOutValue = NS_ooxml::LN_Value_ST_Merge_restart; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_TblLayout:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "autofit") { rOutValue = NS_ooxml::LN_Value_doc_ST_TblLayout_autofit; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "fixed") { rOutValue = NS_ooxml::LN_Value_doc_ST_TblLayout_fixed; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_TblOverlap:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'n':
            if (rValue == "never") { rOutValue = NS_ooxml::LN_Value_ST_TblOverlap_never; }
            else { return false; }
            return true;
        case 'o':
            if (rValue == "overlap") { rOutValue = NS_ooxml::LN_Value_ST_TblOverlap_overlap; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_FtnPos:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "beneathText") { rOutValue = NS_ooxml::LN_Value_ST_FtnPos_beneathText; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "docEnd") { rOutValue = NS_ooxml::LN_Value_ST_FtnPos_docEnd; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "pageBottom") { rOutValue = NS_ooxml::LN_Value_ST_FtnPos_pageBottom; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "sectEnd") { rOutValue = NS_ooxml::LN_Value_ST_FtnPos_sectEnd; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_EdnPos:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'd':
            if (rValue == "docEnd") { rOutValue = NS_ooxml::LN_Value_ST_EdnPos_docEnd; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "sectEnd") { rOutValue = NS_ooxml::LN_Value_ST_EdnPos_sectEnd; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_RestartNumber:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "continuous") { rOutValue = NS_ooxml::LN_Value_ST_RestartNumber_continuous; }
            else { return false; }
            return true;
        case 'e':
            if (rValue == "eachSect") { rOutValue = NS_ooxml::LN_Value_ST_RestartNumber_eachSect; }
            else if (rValue == "eachPage") { rOutValue = NS_ooxml::LN_Value_ST_RestartNumber_eachPage; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_ColorSchemeIndex:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "accent1") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent1; }
            else if (rValue == "accent2") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent2; }
            else if (rValue == "accent3") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent3; }
            else if (rValue == "accent4") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent4; }
            else if (rValue == "accent5") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent5; }
            else if (rValue == "accent6") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent6; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "dark1") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_dark1; }
            else if (rValue == "dark2") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_dark2; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "followedHyperlink") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_followedHyperlink; }
            else { return false; }
            return true;
        case 'h':
            if (rValue == "hyperlink") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_hyperlink; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "light1") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_light1; }
            else if (rValue == "light2") { rOutValue = NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_light2; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_MultiLevelType:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'h':
            if (rValue == "hybridMultilevel") { rOutValue = NS_ooxml::LN_Value_ST_MultiLevelType_hybridMultilevel; }
            else { return false; }
            return true;
        case 'm':
            if (rValue == "multilevel") { rOutValue = NS_ooxml::LN_Value_ST_MultiLevelType_multilevel; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "singleLevel") { rOutValue = NS_ooxml::LN_Value_ST_MultiLevelType_singleLevel; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_TblStyleOverrideType:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'b':
            if (rValue == "band1Vert") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_band1Vert; }
            else if (rValue == "band2Vert") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_band2Vert; }
            else if (rValue == "band1Horz") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_band1Horz; }
            else if (rValue == "band2Horz") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_band2Horz; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "firstRow") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_firstRow; }
            else if (rValue == "firstCol") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_firstCol; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "lastRow") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_lastRow; }
            else if (rValue == "lastCol") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_lastCol; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "neCell") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_neCell; }
            else if (rValue == "nwCell") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_nwCell; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "seCell") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_seCell; }
            else if (rValue == "swCell") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_swCell; }
            else { return false; }
            return true;
        case 'w':
            if (rValue == "wholeTable") { rOutValue = NS_ooxml::LN_Value_ST_TblStyleOverrideType_wholeTable; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_StyleType:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'c':
            if (rValue == "character") { rOutValue = NS_ooxml::LN_Value_ST_StyleType_character; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "numbering") { rOutValue = NS_ooxml::LN_Value_ST_StyleType_numbering; }
            else { return false; }
            return true;
        case 'p':
            if (rValue == "paragraph") { rOutValue = NS_ooxml::LN_Value_ST_StyleType_paragraph; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "table") { rOutValue = NS_ooxml::LN_Value_ST_StyleType_table; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_FontFamily:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "auto") { rOutValue = NS_ooxml::LN_Value_ST_FontFamily_auto; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "decorative") { rOutValue = NS_ooxml::LN_Value_ST_FontFamily_decorative; }
            else { return false; }
            return true;
        case 'm':
            if (rValue == "modern") { rOutValue = NS_ooxml::LN_Value_ST_FontFamily_modern; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "roman") { rOutValue = NS_ooxml::LN_Value_ST_FontFamily_roman; }
            else { return false; }
            return true;
        case 's':
            if (rValue == "script") { rOutValue = NS_ooxml::LN_Value_ST_FontFamily_script; }
            else if (rValue == "swiss") { rOutValue = NS_ooxml::LN_Value_ST_FontFamily_swiss; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_Pitch:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'd':
            if (rValue == "default") { rOutValue = NS_ooxml::LN_Value_ST_Pitch_default; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "fixed") { rOutValue = NS_ooxml::LN_Value_ST_Pitch_fixed; }
            else { return false; }
            return true;
        case 'v':
            if (rValue == "variable") { rOutValue = NS_ooxml::LN_Value_ST_Pitch_variable; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_ThemeColor:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "accent1") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_accent1; }
            else if (rValue == "accent2") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_accent2; }
            else if (rValue == "accent3") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_accent3; }
            else if (rValue == "accent4") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_accent4; }
            else if (rValue == "accent5") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_accent5; }
            else if (rValue == "accent6") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_accent6; }
            else { return false; }
            return true;
        case 'b':
            if (rValue == "background1") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_background1; }
            else if (rValue == "background2") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_background2; }
            else { return false; }
            return true;
        case 'd':
            if (rValue == "dark1") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_dark1; }
            else if (rValue == "dark2") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_dark2; }
            else { return false; }
            return true;
        case 'f':
            if (rValue == "followedHyperlink") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_followedHyperlink; }
            else { return false; }
            return true;
        case 'h':
            if (rValue == "hyperlink") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_hyperlink; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "light1") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_light1; }
            else if (rValue == "light2") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_light2; }
            else { return false; }
            return true;
        case 'n':
            if (rValue == "none") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_none; }
            else { return false; }
            return true;
        case 't':
            if (rValue == "text1") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_text1; }
            else if (rValue == "text2") { rOutValue = NS_ooxml::LN_Value_St_ThemeColor_text2; }
            else { return false; }
            return true;
        }
        return false;
    case NN_wml|DEFINE_ST_CaptionPos:
        if (rValue.isEmpty())
            return false;
        switch (rValue[0])
        {
        case 'a':
            if (rValue == "above") { rOutValue = NS_ooxml::LN_Value_doc_ST_CaptionPos_above; }
            else { return false; }
            return true;
        case 'b':
            if (rValue == "below") { rOutValue = NS_ooxml::LN_Value_doc_ST_CaptionPos_below; }
            else { return false; }
            return true;
        case 'l':
            if (rValue == "left") { rOutValue = NS_ooxml::LN_Value_doc_ST_CaptionPos_left; }
            else { return false; }
            return true;
        case 'r':
            if (rValue == "right") { rOutValue = NS_ooxml::LN_Value_doc_ST_CaptionPos_right; }
            else { return false; }
            return true;
        }
        return false;
    default:
        break;
    }

    return false;
}

bool OOXMLFactory_wml::getElementId(Id nDefine, Id nId, ResourceType& rOutResource, Id& rOutElement)
{
    (void) rOutResource;
    (void) rOutElement;

    switch (nDefine)
    {
    case NN_wml|DEFINE_CT_Comment:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TcPrChange:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_tcPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcPrInner; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TrPrChange:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_trPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrPrBase; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblGridChange:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_tblGrid: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblGridBase; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblPrChange:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_tblPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPrBase; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SectPrChange:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_sectPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SectPrBase; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_PPrChange:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_pPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PPrBase; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_RPrChange:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPrOriginal; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_ParaRPrChange:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ParaRPrOriginal; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_RunTrackChange:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        case oox::NMSP_officeMath|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_R; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_CellMarkupElements:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_cellDel: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_cellIns: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_cellMerge: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CellMergeTrackChange; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_RangeMarkupElements:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_NumPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_ilvl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_numId: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_numberingChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChangeNumbering; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_PBdr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_between: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_bottom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_left: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_right: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_top: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Tabs:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_tab: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TabStop; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_PPrBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_adjustRightInd: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_autoSpaceDE: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_autoSpaceDN: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bidi: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cnfStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cnf; break;
        case oox::NMSP_doc|oox::XML_contextualSpacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_divId: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_framePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FramePr; break;
        case oox::NMSP_doc|oox::XML_ind: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Ind; break;
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_keepLines: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_keepNext: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_kinsoku: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_mirrorIndents: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_numPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_NumPr; break;
        case oox::NMSP_doc|oox::XML_outlineLvl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_overflowPunct: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_pBdr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PBdr; break;
        case oox::NMSP_doc|oox::XML_pStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_pageBreakBefore: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_snapToGrid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Spacing; break;
        case oox::NMSP_doc|oox::XML_suppressAutoHyphens: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_suppressLineNumbers: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_suppressOverlap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_tabs: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Tabs; break;
        case oox::NMSP_doc|oox::XML_textAlignment: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextAlignment; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_textboxTightWrap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextboxTightWrap; break;
        case oox::NMSP_doc|oox::XML_topLinePunct: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_widowControl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_wordWrap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_PPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_adjustRightInd: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_autoSpaceDE: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_autoSpaceDN: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bidi: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cnfStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cnf; break;
        case oox::NMSP_doc|oox::XML_contextualSpacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_divId: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_framePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FramePr; break;
        case oox::NMSP_doc|oox::XML_ind: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Ind; break;
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_keepLines: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_keepNext: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_kinsoku: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_mirrorIndents: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_numPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_NumPr; break;
        case oox::NMSP_doc|oox::XML_outlineLvl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_overflowPunct: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_pBdr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PBdr; break;
        case oox::NMSP_doc|oox::XML_pPrChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PPrChange; break;
        case oox::NMSP_doc|oox::XML_pStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_pageBreakBefore: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ParaRPr; break;
        case oox::NMSP_doc|oox::XML_sectPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SectPr; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_snapToGrid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Spacing; break;
        case oox::NMSP_doc|oox::XML_suppressAutoHyphens: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_suppressLineNumbers: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_suppressOverlap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_tabs: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Tabs; break;
        case oox::NMSP_doc|oox::XML_textAlignment: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextAlignment; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_textboxTightWrap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextboxTightWrap; break;
        case oox::NMSP_doc|oox::XML_topLinePunct: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_widowControl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_wordWrap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Background:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_TOKEN_COUNT: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_vml|oox::XML_background: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_PictureBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_TOKEN_COUNT: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Object:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_TOKEN_COUNT: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Picture:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_TOKEN_COUNT: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_doc|oox::XML_movie: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Drawing:
        switch (nId)
        {
        case oox::NMSP_dmlWordDr|oox::XML_anchor: rOutResource = ResourceType::Properties; rOutElement = NN_dml_wordprocessingDrawing|DEFINE_CT_Anchor; break;
        case oox::NMSP_dmlWordDr|oox::XML_inline: rOutResource = ResourceType::Properties; rOutElement = NN_dml_wordprocessingDrawing|DEFINE_CT_Inline; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SimpleField:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_fldData: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FLDData; break;
        case oox::NMSP_doc|oox::XML_fldSimple: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SimpleField; break;
        case oox::NMSP_doc|oox::XML_hyperlink: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Hyperlink; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_doc|oox::XML_subDoc: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FldChar:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_ffData: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FFData; break;
        case oox::NMSP_doc|oox::XML_fldData: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FLDData; break;
        case oox::NMSP_doc|oox::XML_numberingChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChangeNumbering; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Hyperlink:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_fldSimple: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SimpleField; break;
        case oox::NMSP_doc|oox::XML_hyperlink: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Hyperlink; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_doc|oox::XML_subDoc: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FFData:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_calcOnExit: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_checkBox: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FFCheckBox; break;
        case oox::NMSP_doc|oox::XML_ddList: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FFDDList; break;
        case oox::NMSP_doc|oox::XML_enabled: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_entryMacro: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_MacroName; break;
        case oox::NMSP_doc|oox::XML_exitMacro: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_MacroName; break;
        case oox::NMSP_doc|oox::XML_helpText: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FFHelpText; break;
        case oox::NMSP_doc|oox::XML_name: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_FFName; break;
        case oox::NMSP_doc|oox::XML_statusText: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FFStatusText; break;
        case oox::NMSP_doc|oox::XML_textInput: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FFTextInput; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FFCheckBox:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_checked: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_default: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_size: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_sizeAuto: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FFDDList:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_default: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_listEntry: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_result: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FFTextInput:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_default: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_format: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_maxLength: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_type: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_FFTextType; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_PageBorders:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bottom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_left: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_right: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_top: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Columns:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_col: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Column; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_HdrFtrReferences:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_footerReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_HdrFtrRef; break;
        case oox::NMSP_doc|oox::XML_headerReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_HdrFtrRef; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_HdrFtr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_SectPrContents:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bidi: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cols: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Columns; break;
        case oox::NMSP_doc|oox::XML_docGrid: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocGrid; break;
        case oox::NMSP_doc|oox::XML_endnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EdnProps; break;
        case oox::NMSP_doc|oox::XML_footnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnProps; break;
        case oox::NMSP_doc|oox::XML_formProt: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_lnNumType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_LineNumber; break;
        case oox::NMSP_doc|oox::XML_noEndnote: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_pgBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageBorders; break;
        case oox::NMSP_doc|oox::XML_pgMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageMar; break;
        case oox::NMSP_doc|oox::XML_pgNumType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageNumber; break;
        case oox::NMSP_doc|oox::XML_pgSz: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageSz; break;
        case oox::NMSP_doc|oox::XML_printerSettings: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_rtlGutter: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_titlePg: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_type: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SectType; break;
        case oox::NMSP_doc|oox::XML_vAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalJc; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SectPrBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bidi: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cols: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Columns; break;
        case oox::NMSP_doc|oox::XML_docGrid: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocGrid; break;
        case oox::NMSP_doc|oox::XML_endnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EdnProps; break;
        case oox::NMSP_doc|oox::XML_footnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnProps; break;
        case oox::NMSP_doc|oox::XML_formProt: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_lnNumType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_LineNumber; break;
        case oox::NMSP_doc|oox::XML_noEndnote: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_pgBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageBorders; break;
        case oox::NMSP_doc|oox::XML_pgMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageMar; break;
        case oox::NMSP_doc|oox::XML_pgNumType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageNumber; break;
        case oox::NMSP_doc|oox::XML_pgSz: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageSz; break;
        case oox::NMSP_doc|oox::XML_printerSettings: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_rtlGutter: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_titlePg: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_type: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SectType; break;
        case oox::NMSP_doc|oox::XML_vAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalJc; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SectPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bidi: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cols: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Columns; break;
        case oox::NMSP_doc|oox::XML_docGrid: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocGrid; break;
        case oox::NMSP_doc|oox::XML_endnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EdnProps; break;
        case oox::NMSP_doc|oox::XML_footerReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_HdrFtrRef; break;
        case oox::NMSP_doc|oox::XML_footnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnProps; break;
        case oox::NMSP_doc|oox::XML_formProt: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_headerReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_HdrFtrRef; break;
        case oox::NMSP_doc|oox::XML_lnNumType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_LineNumber; break;
        case oox::NMSP_doc|oox::XML_noEndnote: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_pgBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageBorders; break;
        case oox::NMSP_doc|oox::XML_pgMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageMar; break;
        case oox::NMSP_doc|oox::XML_pgNumType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageNumber; break;
        case oox::NMSP_doc|oox::XML_pgSz: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageSz; break;
        case oox::NMSP_doc|oox::XML_printerSettings: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_rtlGutter: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_sectPrChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SectPrChange; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_titlePg: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_type: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SectType; break;
        case oox::NMSP_doc|oox::XML_vAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalJc; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_finalSectPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bidi: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cols: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Columns; break;
        case oox::NMSP_doc|oox::XML_docGrid: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocGrid; break;
        case oox::NMSP_doc|oox::XML_endnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EdnProps; break;
        case oox::NMSP_doc|oox::XML_footerReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_HdrFtrRef; break;
        case oox::NMSP_doc|oox::XML_footnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnProps; break;
        case oox::NMSP_doc|oox::XML_formProt: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_headerReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_HdrFtrRef; break;
        case oox::NMSP_doc|oox::XML_lnNumType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_LineNumber; break;
        case oox::NMSP_doc|oox::XML_noEndnote: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_pgBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageBorders; break;
        case oox::NMSP_doc|oox::XML_pgMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageMar; break;
        case oox::NMSP_doc|oox::XML_pgNumType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageNumber; break;
        case oox::NMSP_doc|oox::XML_pgSz: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PageSz; break;
        case oox::NMSP_doc|oox::XML_printerSettings: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_rtlGutter: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_sectPrChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SectPrChange; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_titlePg: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_type: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SectType; break;
        case oox::NMSP_doc|oox::XML_vAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalJc; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_RunInnerContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_annotationRef: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br; break;
        case oox::NMSP_doc|oox::XML_commentReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CommentRef; break;
        case oox::NMSP_doc|oox::XML_continuationSeparator: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FtnEdnCont; break;
        case oox::NMSP_doc|oox::XML_cr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cr; break;
        case oox::NMSP_doc|oox::XML_dayLong: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_dayShort: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_delInstrText: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Text; break;
        case oox::NMSP_doc|oox::XML_delText: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Text; break;
        case oox::NMSP_doc|oox::XML_drawing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Drawing; break;
        case oox::NMSP_doc|oox::XML_endnoteRef: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FtnEdnRefChar; break;
        case oox::NMSP_doc|oox::XML_endnoteReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnEdnRef; break;
        case oox::NMSP_doc|oox::XML_fldChar: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FldChar; break;
        case oox::NMSP_doc|oox::XML_footnoteRef: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FtnEdnRefChar; break;
        case oox::NMSP_doc|oox::XML_footnoteReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnEdnRef; break;
        case oox::NMSP_doc|oox::XML_instrText: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Text; break;
        case oox::NMSP_doc|oox::XML_lastRenderedPageBreak: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_monthLong: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_monthShort: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_noBreakHyphen: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_object: rOutResource = ResourceType::Shape; rOutElement = NN_wml|DEFINE_CT_Object; break;
        case oox::NMSP_doc|oox::XML_pgNum: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_PgNum; break;
        case oox::NMSP_doc|oox::XML_pict: rOutResource = ResourceType::Shape; rOutElement = NN_wml|DEFINE_CT_Picture; break;
        case oox::NMSP_doc|oox::XML_ptab: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PTab; break;
        case oox::NMSP_doc|oox::XML_ruby: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Ruby; break;
        case oox::NMSP_doc|oox::XML_separator: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FtnEdnSep; break;
        case oox::NMSP_doc|oox::XML_softHyphen: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_sym: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Sym; break;
        case oox::NMSP_doc|oox::XML_t: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Text; break;
        case oox::NMSP_doc|oox::XML_tab: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Tab; break;
        case oox::NMSP_doc|oox::XML_yearLong: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_yearShort: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_R:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_annotationRef: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br; break;
        case oox::NMSP_doc|oox::XML_commentReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CommentRef; break;
        case oox::NMSP_doc|oox::XML_continuationSeparator: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FtnEdnCont; break;
        case oox::NMSP_doc|oox::XML_cr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cr; break;
        case oox::NMSP_doc|oox::XML_dayLong: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_dayShort: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_delInstrText: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Text; break;
        case oox::NMSP_doc|oox::XML_delText: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Text; break;
        case oox::NMSP_doc|oox::XML_drawing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Drawing; break;
        case oox::NMSP_doc|oox::XML_endnoteRef: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FtnEdnRefChar; break;
        case oox::NMSP_doc|oox::XML_endnoteReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnEdnRef; break;
        case oox::NMSP_doc|oox::XML_fldChar: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FldChar; break;
        case oox::NMSP_doc|oox::XML_footnoteRef: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FtnEdnRefChar; break;
        case oox::NMSP_doc|oox::XML_footnoteReference: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnEdnRef; break;
        case oox::NMSP_doc|oox::XML_instrText: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Text; break;
        case oox::NMSP_doc|oox::XML_lastRenderedPageBreak: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_monthLong: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_monthShort: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_noBreakHyphen: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_object: rOutResource = ResourceType::Shape; rOutElement = NN_wml|DEFINE_CT_Object; break;
        case oox::NMSP_doc|oox::XML_pgNum: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_PgNum; break;
        case oox::NMSP_doc|oox::XML_pict: rOutResource = ResourceType::Shape; rOutElement = NN_wml|DEFINE_CT_Picture; break;
        case oox::NMSP_doc|oox::XML_ptab: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PTab; break;
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPr; break;
        case oox::NMSP_doc|oox::XML_ruby: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Ruby; break;
        case oox::NMSP_doc|oox::XML_separator: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_FtnEdnSep; break;
        case oox::NMSP_doc|oox::XML_softHyphen: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_sym: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Sym; break;
        case oox::NMSP_doc|oox::XML_t: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Text; break;
        case oox::NMSP_doc|oox::XML_tab: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Tab; break;
        case oox::NMSP_doc|oox::XML_yearLong: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_yearShort: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_RPrBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_b: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bdr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_caps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_color: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Color; break;
        case oox::NMSP_doc|oox::XML_cs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_dstrike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EastAsianLayout; break;
        case oox::NMSP_doc|oox::XML_effect: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextEffect; break;
        case oox::NMSP_doc|oox::XML_em: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Em; break;
        case oox::NMSP_doc|oox::XML_emboss: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_fitText: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FitText; break;
        case oox::NMSP_doc|oox::XML_highlight: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Highlight; break;
        case oox::NMSP_doc|oox::XML_i: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_iCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_imprint: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_kern: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_lang: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Language; break;
        case oox::NMSP_doc|oox::XML_noProof: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_oMath: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_outline: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_position: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedHpsMeasure; break;
        case oox::NMSP_doc|oox::XML_rFonts: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Fonts; break;
        case oox::NMSP_doc|oox::XML_rStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_rtl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shadow: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_smallCaps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_snapToGrid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_specVanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_strike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_sz: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_szCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_u: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Underline; break;
        case oox::NMSP_doc|oox::XML_vanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_vertAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalAlignRun; break;
        case oox::NMSP_doc|oox::XML_w: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextScale; break;
        case oox::NMSP_doc|oox::XML_webHidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_w14|oox::XML_cntxtAlts: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_glow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_ligatures: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numForm: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numSpacing: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_props3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_reflection: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_scene3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_shadow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_stylisticSets: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textFill: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textOutline: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_RPrContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_b: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bdr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_caps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_color: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Color; break;
        case oox::NMSP_doc|oox::XML_cs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_dstrike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EastAsianLayout; break;
        case oox::NMSP_doc|oox::XML_effect: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextEffect; break;
        case oox::NMSP_doc|oox::XML_em: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Em; break;
        case oox::NMSP_doc|oox::XML_emboss: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_fitText: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FitText; break;
        case oox::NMSP_doc|oox::XML_highlight: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Highlight; break;
        case oox::NMSP_doc|oox::XML_i: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_iCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_imprint: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_kern: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_lang: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Language; break;
        case oox::NMSP_doc|oox::XML_noProof: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_oMath: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_outline: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_position: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedHpsMeasure; break;
        case oox::NMSP_doc|oox::XML_rFonts: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Fonts; break;
        case oox::NMSP_doc|oox::XML_rPrChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPrChange; break;
        case oox::NMSP_doc|oox::XML_rStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_rtl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shadow: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_smallCaps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_snapToGrid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_specVanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_strike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_sz: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_szCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_u: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Underline; break;
        case oox::NMSP_doc|oox::XML_vanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_vertAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalAlignRun; break;
        case oox::NMSP_doc|oox::XML_w: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextScale; break;
        case oox::NMSP_doc|oox::XML_webHidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_w14|oox::XML_cntxtAlts: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_glow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_ligatures: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numForm: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numSpacing: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_props3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_reflection: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_scene3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_shadow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_stylisticSets: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textFill: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textOutline: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_RPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_b: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bdr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_caps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_color: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Color; break;
        case oox::NMSP_doc|oox::XML_cs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_dstrike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EastAsianLayout; break;
        case oox::NMSP_doc|oox::XML_effect: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextEffect; break;
        case oox::NMSP_doc|oox::XML_em: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Em; break;
        case oox::NMSP_doc|oox::XML_emboss: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_fitText: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FitText; break;
        case oox::NMSP_doc|oox::XML_highlight: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Highlight; break;
        case oox::NMSP_doc|oox::XML_i: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_iCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_imprint: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_kern: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_lang: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Language; break;
        case oox::NMSP_doc|oox::XML_noProof: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_oMath: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_outline: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_position: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedHpsMeasure; break;
        case oox::NMSP_doc|oox::XML_rFonts: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Fonts; break;
        case oox::NMSP_doc|oox::XML_rPrChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPrChange; break;
        case oox::NMSP_doc|oox::XML_rStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_rtl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shadow: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_smallCaps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_snapToGrid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_specVanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_strike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_sz: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_szCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_u: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Underline; break;
        case oox::NMSP_doc|oox::XML_vanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_vertAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalAlignRun; break;
        case oox::NMSP_doc|oox::XML_w: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextScale; break;
        case oox::NMSP_doc|oox::XML_webHidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_w14|oox::XML_cntxtAlts: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_glow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_ligatures: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numForm: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numSpacing: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_props3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_reflection: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_scene3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_shadow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_stylisticSets: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textFill: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textOutline: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_RPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_RPrMath:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPrChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPrChange; break;
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_RPrOriginal:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_b: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bdr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_caps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_color: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Color; break;
        case oox::NMSP_doc|oox::XML_cs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_dstrike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EastAsianLayout; break;
        case oox::NMSP_doc|oox::XML_effect: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextEffect; break;
        case oox::NMSP_doc|oox::XML_em: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Em; break;
        case oox::NMSP_doc|oox::XML_emboss: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_fitText: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FitText; break;
        case oox::NMSP_doc|oox::XML_highlight: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Highlight; break;
        case oox::NMSP_doc|oox::XML_i: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_iCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_imprint: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_kern: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_lang: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Language; break;
        case oox::NMSP_doc|oox::XML_noProof: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_oMath: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_outline: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_position: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedHpsMeasure; break;
        case oox::NMSP_doc|oox::XML_rFonts: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Fonts; break;
        case oox::NMSP_doc|oox::XML_rStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_rtl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shadow: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_smallCaps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_snapToGrid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_specVanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_strike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_sz: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_szCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_u: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Underline; break;
        case oox::NMSP_doc|oox::XML_vanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_vertAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalAlignRun; break;
        case oox::NMSP_doc|oox::XML_w: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextScale; break;
        case oox::NMSP_doc|oox::XML_webHidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_w14|oox::XML_cntxtAlts: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_glow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_ligatures: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numForm: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numSpacing: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_props3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_reflection: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_scene3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_shadow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_stylisticSets: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textFill: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textOutline: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_ParaRPrOriginal:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_b: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bdr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_caps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_color: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Color; break;
        case oox::NMSP_doc|oox::XML_cs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ParaTrackChange; break;
        case oox::NMSP_doc|oox::XML_dstrike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EastAsianLayout; break;
        case oox::NMSP_doc|oox::XML_effect: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextEffect; break;
        case oox::NMSP_doc|oox::XML_em: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Em; break;
        case oox::NMSP_doc|oox::XML_emboss: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_fitText: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FitText; break;
        case oox::NMSP_doc|oox::XML_highlight: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Highlight; break;
        case oox::NMSP_doc|oox::XML_i: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_iCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_imprint: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ParaTrackChange; break;
        case oox::NMSP_doc|oox::XML_kern: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_lang: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Language; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_noProof: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_oMath: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_outline: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_position: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedHpsMeasure; break;
        case oox::NMSP_doc|oox::XML_rFonts: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Fonts; break;
        case oox::NMSP_doc|oox::XML_rStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_rtl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shadow: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_smallCaps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_snapToGrid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_specVanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_strike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_sz: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_szCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_u: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Underline; break;
        case oox::NMSP_doc|oox::XML_vanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_vertAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalAlignRun; break;
        case oox::NMSP_doc|oox::XML_w: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextScale; break;
        case oox::NMSP_doc|oox::XML_webHidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_w14|oox::XML_cntxtAlts: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_glow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_ligatures: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numForm: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numSpacing: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_props3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_reflection: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_scene3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_shadow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_stylisticSets: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textFill: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textOutline: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_ParaRPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_b: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bdr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_caps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_color: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Color; break;
        case oox::NMSP_doc|oox::XML_cs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ParaTrackChange; break;
        case oox::NMSP_doc|oox::XML_dstrike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EastAsianLayout; break;
        case oox::NMSP_doc|oox::XML_effect: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextEffect; break;
        case oox::NMSP_doc|oox::XML_em: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Em; break;
        case oox::NMSP_doc|oox::XML_emboss: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_fitText: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FitText; break;
        case oox::NMSP_doc|oox::XML_highlight: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Highlight; break;
        case oox::NMSP_doc|oox::XML_i: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_iCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_imprint: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ParaTrackChange; break;
        case oox::NMSP_doc|oox::XML_kern: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_lang: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Language; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_noProof: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_oMath: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_outline: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_position: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedHpsMeasure; break;
        case oox::NMSP_doc|oox::XML_rFonts: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Fonts; break;
        case oox::NMSP_doc|oox::XML_rPrChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ParaRPrChange; break;
        case oox::NMSP_doc|oox::XML_rStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_rtl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shadow: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_smallCaps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_snapToGrid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_specVanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_strike: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_sz: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_szCs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_u: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Underline; break;
        case oox::NMSP_doc|oox::XML_vanish: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_vertAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalAlignRun; break;
        case oox::NMSP_doc|oox::XML_w: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextScale; break;
        case oox::NMSP_doc|oox::XML_webHidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_w14|oox::XML_cntxtAlts: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_glow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_ligatures: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numForm: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_numSpacing: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_props3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_reflection: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_scene3d: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_shadow: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_stylisticSets: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textFill: rOutResource = ResourceType::Any; rOutElement = 0; break;
        case oox::NMSP_w14|oox::XML_textOutline: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_ParaRPrTrackChanges:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ParaTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ParaTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_AltChunkPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_matchSrc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_RubyPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_dirty: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_hps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_hpsBaseText: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_hpsRaise: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HpsMeasure; break;
        case oox::NMSP_doc|oox::XML_lid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Lang; break;
        case oox::NMSP_doc|oox::XML_rubyAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_RubyAlign; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_RubyContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_RubyContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Ruby:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_rt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RubyContent; break;
        case oox::NMSP_doc|oox::XML_rubyBase: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RubyContent; break;
        case oox::NMSP_doc|oox::XML_rubyPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RubyPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtDate:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_calendar: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_CalendarType; break;
        case oox::NMSP_doc|oox::XML_dateFormat: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_lid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Lang; break;
        case oox::NMSP_doc|oox::XML_storeMappedDataAs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SdtDateMappingType; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtDocPart:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_docPartCategory: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_docPartGallery: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_docPartUnique: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtDropDownList:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_listItem: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtListItem; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Placeholder:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_docPart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_alias: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_bibliography: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_citation: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_comboBox: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtDropDownList; break;
        case oox::NMSP_doc|oox::XML_dataBinding: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DataBinding; break;
        case oox::NMSP_doc|oox::XML_date: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtDate; break;
        case oox::NMSP_doc|oox::XML_docPartList: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtDocPart; break;
        case oox::NMSP_doc|oox::XML_docPartObj: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtDocPart; break;
        case oox::NMSP_doc|oox::XML_dropDownList: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtDropDownList; break;
        case oox::NMSP_doc|oox::XML_equation: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_group: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_id: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_lock: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Lock; break;
        case oox::NMSP_doc|oox::XML_picture: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPr; break;
        case oox::NMSP_doc|oox::XML_richText: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_showingPlcHdr: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_tag: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_temporary: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_text: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_w14|oox::XML_checkbox: rOutResource = ResourceType::Properties; rOutElement = NN_w14|DEFINE_CT_SdtCheckbox; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtEndPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_ContentRunContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DirContentRun:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_fldSimple: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SimpleField; break;
        case oox::NMSP_doc|oox::XML_hyperlink: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Hyperlink; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_doc|oox::XML_subDoc: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtContentRun:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_fldSimple: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SimpleField; break;
        case oox::NMSP_doc|oox::XML_hyperlink: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Hyperlink; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_doc|oox::XML_subDoc: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_ContentBlockContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtContentBlock:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_ContentRowContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRow; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRow; break;
        case oox::NMSP_doc|oox::XML_tr: rOutResource = ResourceType::TextTableRow; rOutElement = NN_wml|DEFINE_CT_Row; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtContentRow:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRow; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRow; break;
        case oox::NMSP_doc|oox::XML_tr: rOutResource = ResourceType::TextTableRow; rOutElement = NN_wml|DEFINE_CT_Row; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_ContentCellContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlCell; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtCell; break;
        case oox::NMSP_doc|oox::XML_tc: rOutResource = ResourceType::TextTableCell; rOutElement = NN_wml|DEFINE_CT_Tc; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtContentCell:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlCell; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtCell; break;
        case oox::NMSP_doc|oox::XML_tc: rOutResource = ResourceType::TextTableCell; rOutElement = NN_wml|DEFINE_CT_Tc; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtBlock:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_sdtContent: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtContentBlock; break;
        case oox::NMSP_doc|oox::XML_sdtEndPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtEndPr; break;
        case oox::NMSP_doc|oox::XML_sdtPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtRun:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_sdtContent: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtContentRun; break;
        case oox::NMSP_doc|oox::XML_sdtEndPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtEndPr; break;
        case oox::NMSP_doc|oox::XML_sdtPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtCell:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_sdtContent: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtContentCell; break;
        case oox::NMSP_doc|oox::XML_sdtEndPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtEndPr; break;
        case oox::NMSP_doc|oox::XML_sdtPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SdtRow:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_sdtContent: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtContentRow; break;
        case oox::NMSP_doc|oox::XML_sdtEndPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtEndPr; break;
        case oox::NMSP_doc|oox::XML_sdtPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SdtPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_CustomXmlRun:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_fldSimple: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SimpleField; break;
        case oox::NMSP_doc|oox::XML_hyperlink: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Hyperlink; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_doc|oox::XML_subDoc: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SmartTagRun:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_fldSimple: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SimpleField; break;
        case oox::NMSP_doc|oox::XML_hyperlink: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Hyperlink; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_doc|oox::XML_smartTagPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagPr; break;
        case oox::NMSP_doc|oox::XML_subDoc: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_CustomXmlBlock:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_CustomXmlPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_attr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Attr; break;
        case oox::NMSP_doc|oox::XML_placeholder: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_CustomXmlRow:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRow; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRow; break;
        case oox::NMSP_doc|oox::XML_tr: rOutResource = ResourceType::TextTableRow; rOutElement = NN_wml|DEFINE_CT_Row; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_CustomXmlCell:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlCell; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtCell; break;
        case oox::NMSP_doc|oox::XML_tc: rOutResource = ResourceType::TextTableCell; rOutElement = NN_wml|DEFINE_CT_Tc; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_SmartTagPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_attr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Attr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_PContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_fldSimple: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SimpleField; break;
        case oox::NMSP_doc|oox::XML_hyperlink: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Hyperlink; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_doc|oox::XML_subDoc: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_P:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRun; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_dir: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DirContentRun; break;
        case oox::NMSP_doc|oox::XML_fldSimple: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SimpleField; break;
        case oox::NMSP_doc|oox::XML_hyperlink: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Hyperlink; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_pPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PPr; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_r: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_R; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRun; break;
        case oox::NMSP_doc|oox::XML_smartTag: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagRun; break;
        case oox::NMSP_doc|oox::XML_subDoc: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_P_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblGridBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_gridCol: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblGridCol; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblGrid:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_gridCol: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblGridCol; break;
        case oox::NMSP_doc|oox::XML_tblGridChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblGridChange; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TcBorders:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bottom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_end: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_insideH: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_insideV: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_left: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_right: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_start: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_tl2br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_top: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_tr2bl: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TcMar:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bottom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_end: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_left: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_right: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_start: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_top: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TcPrBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_cnfStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cnf; break;
        case oox::NMSP_doc|oox::XML_gridSpan: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_hMerge: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HMerge; break;
        case oox::NMSP_doc|oox::XML_hideMark: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noWrap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_tcBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcBorders; break;
        case oox::NMSP_doc|oox::XML_tcFitText: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_tcMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcMar; break;
        case oox::NMSP_doc|oox::XML_tcW: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_vAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalJc; break;
        case oox::NMSP_doc|oox::XML_vMerge: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VMerge; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TcPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_cellDel: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_cellIns: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_cellMerge: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CellMergeTrackChange; break;
        case oox::NMSP_doc|oox::XML_cnfStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cnf; break;
        case oox::NMSP_doc|oox::XML_gridSpan: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_hMerge: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HMerge; break;
        case oox::NMSP_doc|oox::XML_hideMark: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noWrap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_tcBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcBorders; break;
        case oox::NMSP_doc|oox::XML_tcFitText: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_tcMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcMar; break;
        case oox::NMSP_doc|oox::XML_tcPrChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcPrChange; break;
        case oox::NMSP_doc|oox::XML_tcW: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_vAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalJc; break;
        case oox::NMSP_doc|oox::XML_vMerge: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VMerge; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TcPrInner:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_cellDel: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_cellIns: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_cellMerge: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CellMergeTrackChange; break;
        case oox::NMSP_doc|oox::XML_cnfStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cnf; break;
        case oox::NMSP_doc|oox::XML_gridSpan: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_hMerge: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HMerge; break;
        case oox::NMSP_doc|oox::XML_hideMark: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noWrap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_tcBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcBorders; break;
        case oox::NMSP_doc|oox::XML_tcFitText: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_tcMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcMar; break;
        case oox::NMSP_doc|oox::XML_tcW: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_vAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalJc; break;
        case oox::NMSP_doc|oox::XML_vMerge: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VMerge; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Tc:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_doc|oox::XML_tcPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcPr; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TrPrBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_cantSplit: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cnfStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cnf; break;
        case oox::NMSP_doc|oox::XML_divId: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_gridAfter: rOutResource = ResourceType::TextTableRow; rOutElement = NN_wml|DEFINE_CT_TrPrBaseGridAfter; break;
        case oox::NMSP_doc|oox::XML_gridBefore: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_hidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblHeader: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_trHeight: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Height; break;
        case oox::NMSP_doc|oox::XML_wAfter: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_wBefore: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TrPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_cantSplit: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cnfStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cnf; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_divId: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_gridAfter: rOutResource = ResourceType::TextTableRow; rOutElement = NN_wml|DEFINE_CT_TrPrBaseGridAfter; break;
        case oox::NMSP_doc|oox::XML_gridBefore: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_hidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblHeader: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_trHeight: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Height; break;
        case oox::NMSP_doc|oox::XML_trPrChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrPrChange; break;
        case oox::NMSP_doc|oox::XML_wAfter: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_wBefore: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Row:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlCell; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtCell; break;
        case oox::NMSP_doc|oox::XML_tblPrEx: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPrEx; break;
        case oox::NMSP_doc|oox::XML_tc: rOutResource = ResourceType::TextTableCell; rOutElement = NN_wml|DEFINE_CT_Tc; break;
        case oox::NMSP_doc|oox::XML_trPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrPr; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblCellMar:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bottom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_end: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_left: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_right: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_start: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_top: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblBorders:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bottom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_end: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_insideH: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_insideV: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_left: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_right: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_start: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_top: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblPrBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bidiVisual: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_tblBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblBorders; break;
        case oox::NMSP_doc|oox::XML_tblCaption: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblCellMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblCellMar; break;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblDescription: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblInd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblLayout: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblLayoutType; break;
        case oox::NMSP_doc|oox::XML_tblLook: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblLook; break;
        case oox::NMSP_doc|oox::XML_tblOverlap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblOverlap; break;
        case oox::NMSP_doc|oox::XML_tblStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblStyleColBandSize: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_tblStyleRowBandSize: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_tblW: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblpPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bidiVisual: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_tblBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblBorders; break;
        case oox::NMSP_doc|oox::XML_tblCaption: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblCellMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblCellMar; break;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblDescription: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblInd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblLayout: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblLayoutType; break;
        case oox::NMSP_doc|oox::XML_tblLook: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblLook; break;
        case oox::NMSP_doc|oox::XML_tblOverlap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblOverlap; break;
        case oox::NMSP_doc|oox::XML_tblPrChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPrChange; break;
        case oox::NMSP_doc|oox::XML_tblStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblStyleColBandSize: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_tblStyleRowBandSize: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_tblW: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblpPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblPrExBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_tblBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblBorders; break;
        case oox::NMSP_doc|oox::XML_tblCaption: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblCellMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblCellMar; break;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblDescription: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblInd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblLayout: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblLayoutType; break;
        case oox::NMSP_doc|oox::XML_tblLook: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblLook; break;
        case oox::NMSP_doc|oox::XML_tblW: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TblPrEx:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_tblBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblBorders; break;
        case oox::NMSP_doc|oox::XML_tblCaption: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblCellMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblCellMar; break;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblDescription: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblInd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblLayout: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblLayoutType; break;
        case oox::NMSP_doc|oox::XML_tblLook: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblLook; break;
        case oox::NMSP_doc|oox::XML_tblPrExChange: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPrExChange; break;
        case oox::NMSP_doc|oox::XML_tblW: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Tbl:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRow; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRow; break;
        case oox::NMSP_doc|oox::XML_tblGrid: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblGrid; break;
        case oox::NMSP_doc|oox::XML_tblPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPr; break;
        case oox::NMSP_doc|oox::XML_tr: rOutResource = ResourceType::TextTableRow; rOutElement = NN_wml|DEFINE_CT_Row; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_P_Tbl:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlRow; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtRow; break;
        case oox::NMSP_doc|oox::XML_tblGrid: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblGrid; break;
        case oox::NMSP_doc|oox::XML_tblPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPr; break;
        case oox::NMSP_doc|oox::XML_tr: rOutResource = ResourceType::TextTableRow; rOutElement = NN_wml|DEFINE_CT_Row; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FtnEdn:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_FtnEdnNumProps:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_numRestart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumRestart; break;
        case oox::NMSP_doc|oox::XML_numStart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FtnProps:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_numFmt: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumFmt; break;
        case oox::NMSP_doc|oox::XML_numRestart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumRestart; break;
        case oox::NMSP_doc|oox::XML_numStart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_pos: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_FtnPos; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_EdnProps:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_numFmt: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumFmt; break;
        case oox::NMSP_doc|oox::XML_numRestart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumRestart; break;
        case oox::NMSP_doc|oox::XML_numStart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_pos: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_EdnPos; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FtnDocProps:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_footnote: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnEdnSepRef; break;
        case oox::NMSP_doc|oox::XML_numFmt: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumFmt; break;
        case oox::NMSP_doc|oox::XML_numRestart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumRestart; break;
        case oox::NMSP_doc|oox::XML_numStart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_pos: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_FtnPos; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_EdnDocProps:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_endnote: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnEdnSepRef; break;
        case oox::NMSP_doc|oox::XML_numFmt: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumFmt; break;
        case oox::NMSP_doc|oox::XML_numRestart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumRestart; break;
        case oox::NMSP_doc|oox::XML_numStart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_pos: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_EdnPos; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_RecipientData:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_active: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_column: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_OdsoFieldMapData:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_column: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_dynamicAddress: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_lid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Lang; break;
        case oox::NMSP_doc|oox::XML_mappedName: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_name: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_type: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_MailMergeOdsoFMDFieldType; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Odso:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_colDelim: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_fHdr: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_recipientData: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_src: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_table: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_type: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_MailMergeSourceType; break;
        case oox::NMSP_doc|oox::XML_udl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_MailMerge:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_activeRecord: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_addressFieldName: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_checkErrors: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_connectString: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_dataSource: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_dataType: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_MailMergeDataType; break;
        case oox::NMSP_doc|oox::XML_destination: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_MailMergeDest; break;
        case oox::NMSP_doc|oox::XML_doNotSuppressBlankLines: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_headerSource: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_linkToQuery: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_mailAsAttachment: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_mailSubject: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_mainDocumentType: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_MailMergeDocType; break;
        case oox::NMSP_doc|oox::XML_query: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_viewMergedData: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Compat:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_adjustLineHeightInTable: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_alignTablesRowByRow: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_allowSpaceOfSameStyleInTable: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_applyBreakingRules: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_autoSpaceLikeWord95: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_autofitToFirstFixedWidthCell: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_balanceSingleByteDoubleByteWidth: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cachedColBalance: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_compatSetting: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CompatSetting; break;
        case oox::NMSP_doc|oox::XML_convMailMergeEsc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_displayHangulFixedWidth: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotAutofitConstrainedTables: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotBreakConstrainedForcedTable: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotBreakWrappedTables: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotExpandShiftReturn: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotLeaveBackslashAlone: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotSnapToGridInCell: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotSuppressIndentation: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotSuppressParagraphBorders: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotUseEastAsianBreakRules: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotUseHTMLParagraphAutoSpacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotUseIndentAsNumberingTabStop: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotVertAlignCellWithSp: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotVertAlignInTxbx: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotWrapTextWithPunct: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_footnoteLayoutLikeWW8: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_forgetLastTabAlignment: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_growAutofit: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_layoutRawTableWidth: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_layoutTableRowsApart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_lineWrapLikeWord6: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_mwSmallCaps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noColumnBalance: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noExtraLineSpacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noLeading: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noSpaceRaiseLower: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noTabHangInd: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_printBodyTextBeforeHeader: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_printColBlack: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_selectFldWithFirstOrLastChar: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shapeLayoutLikeWW8: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_showBreaksInFrames: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spaceForUL: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_spacingInWholePoints: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_splitPgBreakAndParaMark: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_subFontBySize: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_suppressBottomSpacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_suppressSpBfAfterPgBrk: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_suppressSpacingAtTopOfPage: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_suppressTopSpacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_suppressTopSpacingWP: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_swapBordersFacingPages: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_truncateFontHeightsLikeWP6: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_ulTrailSpace: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_underlineTabInNumList: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_useAltKinsokuLineBreakRules: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_useAnsiKerningPairs: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_useFELayout: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_useNormalStyleForList: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_usePrinterMetrics: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_useSingleBorderforContiguousCells: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_useWord2002TableStyleRules: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_useWord97LineBreakRules: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_wpJustification: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_wpSpaceWidth: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_wrapTrailSpaces: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocVars:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_docVar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocVar; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocRsids:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_rsid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_LongHexNumber; break;
        case oox::NMSP_doc|oox::XML_rsidRoot: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_LongHexNumber; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_RPrDefault:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_PPrDefault:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_pPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocDefaults:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_pPrDefault: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PPrDefault; break;
        case oox::NMSP_doc|oox::XML_rPrDefault: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPrDefault; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Settings:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_activeWritingStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_WritingStyle; break;
        case oox::NMSP_doc|oox::XML_alignBordersAndEdges: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_alwaysMergeEmptyNamespace: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_alwaysShowPlaceholderText: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_attachedSchema: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_attachedTemplate: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_autoFormatOverride: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_autoHyphenation: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bookFoldPrinting: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bookFoldPrintingSheets: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_bookFoldRevPrinting: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bordersDoNotSurroundFooter: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bordersDoNotSurroundHeader: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_captions: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Captions; break;
        case oox::NMSP_doc|oox::XML_characterSpacingControl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_CharacterSpacing; break;
        case oox::NMSP_doc|oox::XML_clickAndTypeStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_compat: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Compat; break;
        case oox::NMSP_doc|oox::XML_consecutiveHyphenLimit: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_decimalSymbol: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_defaultTabStop: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_defaultTableStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_displayBackgroundShape: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_displayHorizontalDrawingGridEvery: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_displayVerticalDrawingGridEvery: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_doNotAutoCompressPictures: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotDemarcateInvalidXml: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotDisplayPageBoundaries: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotEmbedSmartTags: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotHyphenateCaps: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotIncludeSubdocsInStats: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotShadeFormData: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotTrackFormatting: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotTrackMoves: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotUseMarginsForDrawingGridOrigin: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotValidateAgainstSchema: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_documentProtection: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocProtect; break;
        case oox::NMSP_doc|oox::XML_documentType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocType; break;
        case oox::NMSP_doc|oox::XML_drawingGridHorizontalOrigin: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_drawingGridHorizontalSpacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_drawingGridVerticalOrigin: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_drawingGridVerticalSpacing: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_embedSystemFonts: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_embedTrueTypeFonts: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_endnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_EdnDocProps; break;
        case oox::NMSP_doc|oox::XML_evenAndOddHeaders: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_footnotePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FtnDocProps; break;
        case oox::NMSP_doc|oox::XML_forceUpgrade: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Empty; break;
        case oox::NMSP_doc|oox::XML_formsDesign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_gutterAtTop: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_hdrShapeDefaults: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ShapeDefaults; break;
        case oox::NMSP_doc|oox::XML_hideGrammaticalErrors: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_hideSpellingErrors: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_hyphenationZone: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_ignoreMixedContent: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_linkStyles: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_listSeparator: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_mailMerge: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MailMerge; break;
        case oox::NMSP_doc|oox::XML_mirrorMargins: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noLineBreaksAfter: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Kinsoku; break;
        case oox::NMSP_doc|oox::XML_noLineBreaksBefore: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Kinsoku; break;
        case oox::NMSP_doc|oox::XML_noPunctuationKerning: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_printFormsData: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_printFractionalCharacterWidth: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_printPostScriptOverText: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_printTwoOnOne: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_proofState: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Proof; break;
        case oox::NMSP_doc|oox::XML_readModeInkLockDown: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ReadingModeInkLockDown; break;
        case oox::NMSP_doc|oox::XML_removeDateAndTime: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_removePersonalInformation: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_revisionView: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChangesView; break;
        case oox::NMSP_doc|oox::XML_rsids: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocRsids; break;
        case oox::NMSP_doc|oox::XML_saveFormsData: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_saveInvalidXml: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_savePreviewPicture: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_saveSubsetFonts: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_saveThroughXslt: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SaveThroughXslt; break;
        case oox::NMSP_doc|oox::XML_saveXmlDataOnly: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shapeDefaults: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_ShapeDefaults; break;
        case oox::NMSP_doc|oox::XML_showEnvelope: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_showXMLTags: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_smartTagType: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_SmartTagType; break;
        case oox::NMSP_doc|oox::XML_strictFirstAndLastChars: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_styleLockQFSet: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_styleLockTheme: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_stylePaneFormatFilter: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_ShortHexNumber; break;
        case oox::NMSP_doc|oox::XML_stylePaneSortMethod: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_ShortHexNumber; break;
        case oox::NMSP_doc|oox::XML_summaryLength: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_themeFontLang: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Language; break;
        case oox::NMSP_doc|oox::XML_trackRevisions: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_uiCompat97To2003: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_updateFields: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_useXSLTWhenSaving: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_view: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_View; break;
        case oox::NMSP_doc|oox::XML_writeProtection: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_WriteProtection; break;
        case oox::NMSP_doc|oox::XML_zoom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Zoom; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_WebSettings:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_allowPNG: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotOrganizeInFolder: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotRelyOnCSS: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotSaveAsSingleFile: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_doNotUseLongFileNames: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_encoding: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_optimizeForBrowser: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_pixelsPerInch: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_relyOnVML: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_saveSmartTagsAsXml: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_targetScreenSz: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TargetScreenSz; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Frame:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_linkedToFile: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_marH: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_PixelsMeasure; break;
        case oox::NMSP_doc|oox::XML_marW: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_PixelsMeasure; break;
        case oox::NMSP_doc|oox::XML_name: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_noResizeAllowed: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_scrollbar: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_FrameScrollbar; break;
        case oox::NMSP_doc|oox::XML_sourceFileName: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Rel; break;
        case oox::NMSP_doc|oox::XML_sz: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FramesetSplitbar:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_color: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Color; break;
        case oox::NMSP_doc|oox::XML_flatBorders: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noBorder: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_w: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TwipsMeasure; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Frameset:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_frameLayout: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_FrameLayout; break;
        case oox::NMSP_doc|oox::XML_sz: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_NumPicBullet:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_pict: rOutResource = ResourceType::Shape; rOutElement = NN_wml|DEFINE_CT_Picture; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Lvl:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_isLgl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_legacy: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_LvlLegacy; break;
        case oox::NMSP_doc|oox::XML_lvlJc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_lvlPicBulletId: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_lvlRestart: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_lvlText: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_LevelText; break;
        case oox::NMSP_doc|oox::XML_numFmt: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_NumFmt; break;
        case oox::NMSP_doc|oox::XML_pPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PPr; break;
        case oox::NMSP_doc|oox::XML_pStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_RPr; break;
        case oox::NMSP_doc|oox::XML_start: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_suff: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_LevelSuffix; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_AbstractNum:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_lvl: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Lvl; break;
        case oox::NMSP_doc|oox::XML_multiLevelType: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_MultiLevelType; break;
        case oox::NMSP_doc|oox::XML_name: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_nsid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_LongHexNumber; break;
        case oox::NMSP_doc|oox::XML_numStyleLink: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_styleLink: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tmpl: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_LongHexNumber; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_NumLvl:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_lvl: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Lvl; break;
        case oox::NMSP_doc|oox::XML_startOverride: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Num:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_abstractNumId: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_lvlOverride: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_NumLvl; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Numbering:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_abstractNum: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_AbstractNum; break;
        case oox::NMSP_doc|oox::XML_num: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Num; break;
        case oox::NMSP_doc|oox::XML_numIdMacAtCleanup: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_numPicBullet: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_NumPicBullet; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Style_tblStylePr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_pPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PPrBase; break;
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_EG_RPrBase; break;
        case oox::NMSP_doc|oox::XML_tblPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPrBase; break;
        case oox::NMSP_doc|oox::XML_tcPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcPrBase; break;
        case oox::NMSP_doc|oox::XML_trPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrPrBase; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Style_TblPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bidiVisual: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_tblBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblBorders; break;
        case oox::NMSP_doc|oox::XML_tblCaption: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblCellMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblCellMar; break;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblDescription: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblInd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblLayout: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblLayoutType; break;
        case oox::NMSP_doc|oox::XML_tblLook: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblLook; break;
        case oox::NMSP_doc|oox::XML_tblOverlap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TblOverlap; break;
        case oox::NMSP_doc|oox::XML_tblStyle: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_tblStyleColBandSize: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_tblStyleRowBandSize: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_tblW: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblpPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Style_TrPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_cantSplit: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_cnfStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cnf; break;
        case oox::NMSP_doc|oox::XML_divId: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_gridAfter: rOutResource = ResourceType::TextTableRow; rOutElement = NN_wml|DEFINE_CT_TrPrBaseGridAfter; break;
        case oox::NMSP_doc|oox::XML_gridBefore: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_hidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_jc: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Jc; break;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_tblHeader: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_trHeight: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Height; break;
        case oox::NMSP_doc|oox::XML_wAfter: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_wBefore: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Style_TcPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_cnfStyle: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Cnf; break;
        case oox::NMSP_doc|oox::XML_gridSpan: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_hMerge: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_HMerge; break;
        case oox::NMSP_doc|oox::XML_hideMark: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_noWrap: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_shd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Shd; break;
        case oox::NMSP_doc|oox::XML_tcBorders: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcBorders; break;
        case oox::NMSP_doc|oox::XML_tcFitText: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_tcMar: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcMar; break;
        case oox::NMSP_doc|oox::XML_tcW: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblWidth; break;
        case oox::NMSP_doc|oox::XML_textDirection: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_TextDirection; break;
        case oox::NMSP_doc|oox::XML_vAlign: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VerticalJc; break;
        case oox::NMSP_doc|oox::XML_vMerge: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_VMerge; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Style:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_aliases: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_autoRedefine: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_basedOn: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_hidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_link: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_locked: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_name: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_next: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_pPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PPrBase; break;
        case oox::NMSP_doc|oox::XML_personal: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_personalCompose: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_personalReply: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_qFormat: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_rPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_EG_RPrBase; break;
        case oox::NMSP_doc|oox::XML_rsid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_LongHexNumber; break;
        case oox::NMSP_doc|oox::XML_semiHidden: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_tblPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TblPrBase; break;
        case oox::NMSP_doc|oox::XML_tblStylePr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Style_tblStylePr; break;
        case oox::NMSP_doc|oox::XML_tcPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TcPrBase; break;
        case oox::NMSP_doc|oox::XML_trPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrPrBase; break;
        case oox::NMSP_doc|oox::XML_uiPriority: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DecimalNumber; break;
        case oox::NMSP_doc|oox::XML_unhideWhenUsed: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_LatentStyles:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_lsdException: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_LsdException; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Styles:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_docDefaults: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocDefaults; break;
        case oox::NMSP_doc|oox::XML_latentStyles: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_LatentStyles; break;
        case oox::NMSP_doc|oox::XML_style: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Style; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Font:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_altName: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_characterSet: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_charset: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Charset; break;
        case oox::NMSP_doc|oox::XML_embedBold: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FontRel; break;
        case oox::NMSP_doc|oox::XML_embedBoldItalic: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FontRel; break;
        case oox::NMSP_doc|oox::XML_embedItalic: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FontRel; break;
        case oox::NMSP_doc|oox::XML_embedRegular: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FontRel; break;
        case oox::NMSP_doc|oox::XML_family: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_FontFamily; break;
        case oox::NMSP_doc|oox::XML_notTrueType: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_panose1: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Panose; break;
        case oox::NMSP_doc|oox::XML_pitch: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Pitch; break;
        case oox::NMSP_doc|oox::XML_sig: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_FontSig; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_FontsList:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_font: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Font; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DivBdr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bottom: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_left: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_right: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        case oox::NMSP_doc|oox::XML_top: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Border; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Div:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_blockQuote: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_bodyDiv: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_OnOff; break;
        case oox::NMSP_doc|oox::XML_marBottom: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_marLeft: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_marRight: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        case oox::NMSP_doc|oox::XML_marTop: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_SignedTwipsMeasure; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_TxbxContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_txbxContent:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_txbxContent: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_TxbxContent; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_MathContent:
        switch (nId)
        {
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_BlockLevelChunkElts:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_BlockLevelElts:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_EG_RunLevelElts:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Body:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_bookmarkStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Bookmark; break;
        case oox::NMSP_doc|oox::XML_br: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Br_OutOfOrder; break;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentEnd; break;
        case oox::NMSP_doc|oox::XML_commentRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeCommentStart; break;
        case oox::NMSP_doc|oox::XML_customXml: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_CustomXmlBlock; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Markup; break;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_TrackChange; break;
        case oox::NMSP_doc|oox::XML_del: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_ins: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFrom: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_moveTo: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_RunTrackChange; break;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MarkupRangeBookmark; break;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_MoveBookmark; break;
        case oox::NMSP_doc|oox::XML_p: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_P; break;
        case oox::NMSP_doc|oox::XML_permEnd: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermEnd; break;
        case oox::NMSP_doc|oox::XML_permStart: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_PermStart; break;
        case oox::NMSP_doc|oox::XML_sdt: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_SdtBlock; break;
        case oox::NMSP_doc|oox::XML_sectPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_finalSectPr; break;
        case oox::NMSP_doc|oox::XML_tbl: rOutResource = ResourceType::TextTable; rOutElement = NN_wml|DEFINE_CT_Tbl; break;
        case oox::NMSP_officeMath|oox::XML_oMath: rOutResource = ResourceType::Math; rOutElement = NN_shared_math|DEFINE_CT_OMath; break;
        case oox::NMSP_officeMath|oox::XML_oMathPara: rOutResource = ResourceType::Stream; rOutElement = NN_shared_math|DEFINE_CT_OMathPara; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_ShapeDefaults:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_TOKEN_COUNT: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Comments:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_comment: rOutResource = ResourceType::XNote; rOutElement = NN_wml|DEFINE_CT_Comment; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_comments:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_comments: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Comments; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Footnotes:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_footnote: rOutResource = ResourceType::XNote; rOutElement = NN_wml|DEFINE_CT_FtnEdn; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_footnotes:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_footnotes: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Footnotes; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Endnotes:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_endnote: rOutResource = ResourceType::XNote; rOutElement = NN_wml|DEFINE_CT_FtnEdn; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_endnotes:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_endnotes: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Endnotes; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_hdr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_hdr: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_HdrFtr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_ftr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_ftr: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_HdrFtr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocPartBehaviors:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_behavior: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DocPartBehavior; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocPartTypes:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_type: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_DocPartType; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocPartCategory:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_gallery: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocPartGallery; break;
        case oox::NMSP_doc|oox::XML_name: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocPartPr:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_category: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocPartCategory; break;
        case oox::NMSP_doc|oox::XML_description: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        case oox::NMSP_doc|oox::XML_guid: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_Guid; break;
        case oox::NMSP_doc|oox::XML_name: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocPartName; break;
        case oox::NMSP_doc|oox::XML_style: rOutResource = ResourceType::Value; rOutElement = NN_wml|DEFINE_CT_String; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocPart:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_docPartBody: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Body; break;
        case oox::NMSP_doc|oox::XML_docPartPr: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_DocPartPr; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocParts:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_docPart: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_DocPart; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_settings:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_settings: rOutResource = ResourceType::PropertyTable; rOutElement = NN_wml|DEFINE_CT_Settings; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_fonts:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_fonts: rOutResource = ResourceType::Table; rOutElement = NN_wml|DEFINE_CT_FontsList; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_numbering:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_numbering: rOutResource = ResourceType::PropertyTable; rOutElement = NN_wml|DEFINE_CT_Numbering; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_styles:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_styles: rOutResource = ResourceType::Table; rOutElement = NN_wml|DEFINE_CT_Styles; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_AutoCaptions:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_autoCaption: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_AutoCaption; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Captions:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_autoCaptions: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_AutoCaptions; break;
        case oox::NMSP_doc|oox::XML_caption: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Caption; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_DocumentBase:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_background: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Background; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_Document:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_background: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Background; break;
        case oox::NMSP_doc|oox::XML_body: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Body; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_CT_GlossaryDocument:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_background: rOutResource = ResourceType::Properties; rOutElement = NN_wml|DEFINE_CT_Background; break;
        case oox::NMSP_doc|oox::XML_docParts: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_DocParts; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_document:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_document: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Document; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_glossaryDocument:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_glossaryDocument: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_GlossaryDocument; break;
        default: return false;
        }
        return true;
    case NN_wml|DEFINE_BUILT_IN_ANY_TYPE:
        switch (nId)
        {
        case oox::NMSP_doc|oox::XML_TOKEN_COUNT: rOutResource = ResourceType::Any; rOutElement = 0; break;
        default: return false;
        }
        return true;
    default:
        switch (nId)
        {
        /* start: recipients*/
        /* start: txbxContent*/
        case oox::NMSP_doc|oox::XML_txbxContent: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_TxbxContent; break;
        /* start: comments*/
        case oox::NMSP_doc|oox::XML_comments: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Comments; break;
        /* start: footnotes*/
        case oox::NMSP_doc|oox::XML_footnotes: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Footnotes; break;
        /* start: endnotes*/
        case oox::NMSP_doc|oox::XML_endnotes: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Endnotes; break;
        /* start: hdr*/
        case oox::NMSP_doc|oox::XML_hdr: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_HdrFtr; break;
        /* start: ftr*/
        case oox::NMSP_doc|oox::XML_ftr: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_HdrFtr; break;
        /* start: settings*/
        case oox::NMSP_doc|oox::XML_settings: rOutResource = ResourceType::PropertyTable; rOutElement = NN_wml|DEFINE_CT_Settings; break;
        /* start: webSettings*/
        /* start: fonts*/
        case oox::NMSP_doc|oox::XML_fonts: rOutResource = ResourceType::Table; rOutElement = NN_wml|DEFINE_CT_FontsList; break;
        /* start: numbering*/
        case oox::NMSP_doc|oox::XML_numbering: rOutResource = ResourceType::PropertyTable; rOutElement = NN_wml|DEFINE_CT_Numbering; break;
        /* start: styles*/
        case oox::NMSP_doc|oox::XML_styles: rOutResource = ResourceType::Table; rOutElement = NN_wml|DEFINE_CT_Styles; break;
        /* start: document*/
        case oox::NMSP_doc|oox::XML_document: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_Document; break;
        /* start: glossaryDocument*/
        case oox::NMSP_doc|oox::XML_glossaryDocument: rOutResource = ResourceType::Stream; rOutElement = NN_wml|DEFINE_CT_GlossaryDocument; break;
        default: return false;
        }
        return true;
    }
}

void OOXMLFactory_wml::endAction(OOXMLFastContextHandler* pHandler)
{
    sal_uInt32 nDefine = pHandler->getDefine();
    switch (nDefine)
    {
    case NN_wml|DEFINE_CT_Empty:
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RunInnerContent_noBreakHyphen)
        {
            pHandler->noBreakHyphen();
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RunInnerContent_softHyphen)
        {
            pHandler->softHyphen();
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RunInnerContent_cr)
        {
            pHandler->cr();
        }
        break;
    
    case NN_wml|DEFINE_CT_TrackChange:
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart);
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart)
        {
            pHandler->clearProps();
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd);
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd)
        {
            pHandler->clearProps();
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart);
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart)
        {
            pHandler->clearProps();
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd);
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd)
        {
            pHandler->clearProps();
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart);
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart)
        {
            pHandler->clearProps();
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd);
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd)
        {
            pHandler->clearProps();
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart);
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart)
        {
            pHandler->clearProps();
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd);
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd)
        {
            pHandler->clearProps();
        }
        break;
    
    case NN_wml|DEFINE_CT_RunTrackChange:
        OOXMLFastHelper<OOXMLIntegerValue>::newProperty(pHandler, NS_ooxml::LN_token, pHandler->getToken());
        pHandler->sendPropertiesWithId(NS_ooxml::LN_endtrackchange);
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_Object:
        pHandler->sendPropertiesWithId(NS_ooxml::LN_object);
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_Picture:
        pHandler->sendPropertiesWithId(NS_ooxml::LN_object);
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_Drawing:
        if (OOXMLFastContextHandlerProperties* pProperties = dynamic_cast<OOXMLFastContextHandlerProperties*>(pHandler))
            pProperties->handlePicture();
        break;
    
    case NN_wml|DEFINE_CT_SimpleField:
        pHandler->endField();
        break;
    
    case NN_wml|DEFINE_CT_Hyperlink:
        pHandler->endField();
        break;
    
    case NN_wml|DEFINE_CT_FFData:
        pHandler->sendPropertiesWithId(NS_ooxml::LN_ffdata);
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_HdrFtrRef:
        if (OOXMLFastContextHandlerProperties* pProperties = dynamic_cast<OOXMLFastContextHandlerProperties*>(pHandler))
            pProperties->handleHdrFtr();
        break;
    
    case NN_wml|DEFINE_CT_HdrFtr:
        pHandler->endParagraphGroup();
        break;
    
    case NN_wml|DEFINE_CT_Br:
        if (OOXMLFastContextHandlerProperties* pProperties = dynamic_cast<OOXMLFastContextHandlerProperties*>(pHandler))
            pProperties->handleBreak();
        break;
    
    case NN_wml|DEFINE_CT_Br_OutOfOrder:
        if (OOXMLFastContextHandlerProperties* pProperties = dynamic_cast<OOXMLFastContextHandlerProperties*>(pHandler))
            pProperties->handleOutOfOrderBreak();
        break;
    
    case NN_wml|DEFINE_CT_PTab:
        pHandler->tab();
        break;
    
    case NN_wml|DEFINE_CT_Sym:
        pHandler->symbol();
        break;
    
    case NN_wml|DEFINE_CT_FtnEdnRefChar:
        pHandler->ftnednref();
        break;
    
    case NN_wml|DEFINE_CT_FtnEdnSep:
        pHandler->ftnednsep();
        break;
    
    case NN_wml|DEFINE_CT_FtnEdnCont:
        pHandler->ftnedncont();
        break;
    
    case NN_wml|DEFINE_CT_PgNum:
        pHandler->pgNum();
        break;
    
    case NN_wml|DEFINE_CT_Cr:
        if (OOXMLFastContextHandlerProperties* pProperties = dynamic_cast<OOXMLFastContextHandlerProperties*>(pHandler))
            pProperties->handleBreak();
        break;
    
    case NN_wml|DEFINE_CT_Tab:
        pHandler->tab();
        break;
    
    case NN_wml|DEFINE_CT_DirContentRun:
        pHandler->popBiDiEmbedLevel();
        break;
    
    case NN_wml|DEFINE_CT_SdtContentCell:
        pHandler->endSdt();
        break;
    
    case NN_wml|DEFINE_CT_SdtBlock:
        pHandler->endSdt();
        break;
    
    case NN_wml|DEFINE_CT_SdtRun:
        pHandler->endSdt();
        break;
    
    case NN_wml|DEFINE_CT_P:
        pHandler->endOfParagraph();
        break;
    
    case NN_wml|DEFINE_CT_TblGrid:
        pHandler->propagateTableProperties();
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_TcPr:
        pHandler->propagateCellProperties();
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_Tc:
        if (OOXMLFastContextHandlerTextTableCell* pTextTableCell = dynamic_cast<OOXMLFastContextHandlerTextTableCell*>(pHandler))
            pTextTableCell->endCell();
        pHandler->sendCellProperties();
        pHandler->endParagraphGroup();
        break;
    
    case NN_wml|DEFINE_CT_TrPr:
        pHandler->propagateRowProperties();
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_Row:
        pHandler->sendRowProperties();
        pHandler->sendTableProperties();
        if (OOXMLFastContextHandlerTextTableRow* pTextTableRow = dynamic_cast<OOXMLFastContextHandlerTextTableRow*>(pHandler))
            pTextTableRow->endRow();
        break;
    
    case NN_wml|DEFINE_CT_TblPr:
        pHandler->propagateTableProperties();
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_FtnEdnRef:
        if (OOXMLFastContextHandlerProperties* pProperties = dynamic_cast<OOXMLFastContextHandlerProperties*>(pHandler))
            pProperties->handleXNotes();
        break;
    
    case NN_wml|DEFINE_CT_FtnEdn:
        pHandler->endSectionGroup();
        break;
    
    case NN_wml|DEFINE_CT_CommentRef:
        if (OOXMLFastContextHandlerProperties* pProperties = dynamic_cast<OOXMLFastContextHandlerProperties*>(pHandler))
            pProperties->handleComment();
        break;
    
    case NN_wml|DEFINE_CT_Body:
        pHandler->endCharacterGroup();
        pHandler->endParagraphGroup();
        pHandler->setLastSectionGroup();
        pHandler->endSectionGroup();
        break;
    
    case NN_wml|DEFINE_CT_Comments:
        pHandler->endSectionGroup();
        break;
    
    case NN_wml|DEFINE_CT_DocPart:
        pHandler->endGlossaryEntry();
        break;
    
    case NN_wml|DEFINE_CT_TxbxContent:
        pHandler->endTxbxContent();
        break;

    default:
        break;
    }
}

void OOXMLFactory_wml::startAction(OOXMLFastContextHandler* pHandler)
{
    sal_uInt32 nDefine = pHandler->getDefine();
    switch (nDefine)
    {
    case NN_wml|DEFINE_CT_OnOff:
        pHandler->setDefaultBooleanValue();
        break;
    
    case NN_wml|DEFINE_CT_LongHexNumber:
        pHandler->setDefaultHexValue();
        break;
    
    case NN_wml|DEFINE_CT_ShortHexNumber:
        pHandler->setDefaultHexValue();
        break;
    
    case NN_wml|DEFINE_CT_UcharHexNumber:
        pHandler->setDefaultHexValue();
        break;
    
    case NN_wml|DEFINE_CT_DecimalNumber:
        pHandler->setDefaultIntegerValue();
        break;
    
    case NN_wml|DEFINE_CT_TwipsMeasure:
        pHandler->setDefaultIntegerValue();
        break;
    
    case NN_wml|DEFINE_CT_SignedTwipsMeasure:
        pHandler->setDefaultIntegerValue();
        break;
    
    case NN_wml|DEFINE_CT_PixelsMeasure:
        pHandler->setDefaultIntegerValue();
        break;
    
    case NN_wml|DEFINE_CT_HpsMeasure:
        pHandler->setDefaultIntegerValue();
        break;
    
    case NN_wml|DEFINE_CT_SignedHpsMeasure:
        pHandler->setDefaultIntegerValue();
        break;
    
    case NN_wml|DEFINE_CT_MacroName:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_String:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_TextScale:
        pHandler->setDefaultIntegerValue();
        break;
    
    case NN_wml|DEFINE_CT_Lang:
        pHandler->setDefaultIntegerValue();
        break;
    
    case NN_wml|DEFINE_CT_Guid:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_VerticalAlignRun:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_MailMergeDocType:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_MailMergeDataType:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_MailMergeDest:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_MailMergeOdsoFMDFieldType:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_RunTrackChange:
        OOXMLFastHelper<OOXMLIntegerValue>::newProperty(pHandler, NS_ooxml::LN_token, pHandler->getToken());
        pHandler->sendPropertiesWithId(NS_ooxml::LN_trackchange);
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_TextboxTightWrap:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_SimpleField:
        pHandler->startField();
        pHandler->startCharacterGroup();
        if (OOXMLFastContextHandlerStream* pStream = dynamic_cast<OOXMLFastContextHandlerStream*>(pHandler))
            pStream->sendProperty(NS_ooxml::LN_CT_SimpleField_instr);
        pHandler->endCharacterGroup();
        pHandler->fieldSeparator();
        break;
    
    case NN_wml|DEFINE_CT_FFTextType:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_FFName:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_FldChar:
        {
            OOXMLPropertySetEntryToInteger aHandler(NS_ooxml::LN_CT_FldChar_fldCharType);
            if (OOXMLFastContextHandlerStream* pStream = dynamic_cast<OOXMLFastContextHandlerStream*>(pHandler))
                pStream->getPropertySetAttrs()->resolve(aHandler);
    
            if (sal::static_int_cast<Id>(aHandler.getValue()) == NS_ooxml::LN_Value_ST_FldCharType_begin)
            {
                pHandler->startField();
            }
        }
        {
            OOXMLPropertySetEntryToInteger aHandler(NS_ooxml::LN_CT_FldChar_fldCharType);
            if (OOXMLFastContextHandlerStream* pStream = dynamic_cast<OOXMLFastContextHandlerStream*>(pHandler))
                pStream->getPropertySetAttrs()->resolve(aHandler);
    
            if (sal::static_int_cast<Id>(aHandler.getValue()) == NS_ooxml::LN_Value_ST_FldCharType_separate)
            {
                pHandler->fieldSeparator();
            }
        }
        {
            OOXMLPropertySetEntryToInteger aHandler(NS_ooxml::LN_CT_FldChar_fldCharType);
            if (OOXMLFastContextHandlerStream* pStream = dynamic_cast<OOXMLFastContextHandlerStream*>(pHandler))
                pStream->getPropertySetAttrs()->resolve(aHandler);
    
            if (sal::static_int_cast<Id>(aHandler.getValue()) == NS_ooxml::LN_Value_ST_FldCharType_end)
            {
                pHandler->endField();
            }
        }
        {
            OOXMLPropertySetEntryToBool aHandler(NS_ooxml::LN_CT_FldChar_fldLock);
            if (OOXMLFastContextHandlerStream* pStream = dynamic_cast<OOXMLFastContextHandlerStream*>(pHandler))
                pStream->getPropertySetAttrs()->resolve(aHandler);
            if (aHandler.getValue())
                pHandler->lockField();
        }
        break;
    
    case NN_wml|DEFINE_CT_Hyperlink:
        pHandler->startField();
        if (OOXMLFastContextHandlerStream* pStream = dynamic_cast<OOXMLFastContextHandlerStream*>(pHandler))
            pStream->handleHyperlink();
        pHandler->fieldSeparator();
        break;
    
    case NN_wml|DEFINE_CT_SectPr:
        pHandler->handleLastParagraphInSection();
        pHandler->setLastParagraphInSection();
        break;
    
    case NN_wml|DEFINE_CT_finalSectPr:
        pHandler->handleLastParagraphInSection();
        break;
    
    case NN_wml|DEFINE_CT_R:
        pHandler->startCharacterGroup();
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RubyContent_r)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RubyContent_r);
        }
        break;
    
    case NN_wml|DEFINE_CT_ParaTrackChange:
        OOXMLFastHelper<OOXMLIntegerValue>::newProperty(pHandler, NS_ooxml::LN_token, pHandler->getToken());
        pHandler->sendPropertiesWithId(NS_ooxml::LN_paratrackchange);
        pHandler->clearProps();
        break;
    
    case NN_wml|DEFINE_CT_RubyPr:
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_CT_RubyPr)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_CT_RubyPr);
        }
        break;
    
    case NN_wml|DEFINE_CT_Ruby:
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_EG_RunInnerContent_ruby)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_EG_RunInnerContent_ruby);
        }
        break;
    
    case NN_wml|DEFINE_CT_RubyContent:
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_CT_Ruby_rt)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_CT_Ruby_rt);
        }
        if (sal::static_int_cast<Id>(pHandler->getId()) == NS_ooxml::LN_CT_Ruby_rubyBase)
        {
            pHandler->sendPropertiesWithId(NS_ooxml::LN_CT_Ruby_rubyBase);
        }
        break;
    
    case NN_wml|DEFINE_CT_Lock:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_SdtDateMappingType:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_CalendarType:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_DirContentRun:
        pHandler->pushBiDiEmbedLevel();
        break;
    
    case NN_wml|DEFINE_CT_SdtContentCell:
        pHandler->startSdt();
        break;
    
    case NN_wml|DEFINE_CT_SdtBlock:
        pHandler->startSdt();
        break;
    
    case NN_wml|DEFINE_CT_SdtRun:
        pHandler->startSdt();
        break;
    
    case NN_wml|DEFINE_CT_P:
        pHandler->handleLastParagraphInSection();
        pHandler->startParagraphGroup();
        pHandler->setHandle();
        pHandler->sendTableDepth();
        break;
    
    case NN_wml|DEFINE_CT_TblGridCol:
        pHandler->setDefaultIntegerValue();
        break;
    
    case NN_wml|DEFINE_CT_Tc:
        if (OOXMLFastContextHandlerTextTableCell* pTextTableCell = dynamic_cast<OOXMLFastContextHandlerTextTableCell*>(pHandler))
            pTextTableCell->startCell();
        break;
    
    case NN_wml|DEFINE_CT_Row:
        if (OOXMLFastContextHandlerTextTableRow* pTextTableRow = dynamic_cast<OOXMLFastContextHandlerTextTableRow*>(pHandler))
            pTextTableRow->startRow();
        break;
    
    case NN_wml|DEFINE_CT_P_Tbl:
        if (OOXMLFastContextHandlerTextTable* pTextTable = dynamic_cast<OOXMLFastContextHandlerTextTable*>(pHandler))
            pTextTable->start_P_Tbl();
        break;
    
    case NN_wml|DEFINE_CT_FtnEdn:
        pHandler->propagateCharacterProperties();
        break;
    
    case NN_wml|DEFINE_CT_MailMergeSourceType:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_TargetScreenSz:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_CharacterSpacing:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_FrameScrollbar:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_FrameLayout:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_LevelSuffix:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_Panose:
        pHandler->setDefaultHexValue();
        break;
    
    case NN_wml|DEFINE_CT_FontRel:
        if (OOXMLFastContextHandlerProperties* pProperties = dynamic_cast<OOXMLFastContextHandlerProperties*>(pHandler))
            pProperties->handleFontRel();
        break;
    
    case NN_wml|DEFINE_CT_Body:
        pHandler->startSectionGroup();
        break;
    
    case NN_wml|DEFINE_CT_Comments:
        pHandler->startSectionGroup();
        break;
    
    case NN_wml|DEFINE_CT_DocPartBehavior:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_DocPartType:
        pHandler->setDefaultStringValue();
        break;
    
    case NN_wml|DEFINE_CT_DocPart:
        pHandler->startGlossaryEntry();
        break;
    
    case NN_wml|DEFINE_CT_DocPartPr:
        pHandler->startSectionGroup();
        break;
    
    case NN_wml|DEFINE_CT_TxbxContent:
        pHandler->startTxbxContent();
        break;

    default:
        break;
    }
}

void OOXMLFactory_wml::charactersAction(OOXMLFastContextHandler* pHandler, const OUString& sText)
{
    sal_uInt32 nDefine = pHandler->getDefine();
    switch (nDefine)
    {
    case NN_wml|DEFINE_CT_FLDData:
        pHandler->ignore();
        break;
    
    case NN_wml|DEFINE_CT_Text:
        pHandler->text(sText);
        break;

    default:
        break;
    }
}

Id OOXMLFactory_wml::getResourceId(Id nDefine, sal_Int32 nToken)
{
    (void) nDefine;
    (void) nToken;

    switch (nDefine)
    {
    case NN_wml|DEFINE_CT_OnOff:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_OnOff_val;
        }
        break;
    case NN_wml|DEFINE_CT_LongHexNumber:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_LongHexNumber_val;
        }
        break;
    case NN_wml|DEFINE_CT_ShortHexNumber:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_ShortHexNumber_val;
        }
        break;
    case NN_wml|DEFINE_CT_UcharHexNumber:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_UcharHexNumber_val;
        }
        break;
    case NN_wml|DEFINE_CT_DecimalNumber:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_DecimalNumber_val;
        }
        break;
    case NN_wml|DEFINE_CT_TwipsMeasure:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TwipsMeasure_val;
        }
        break;
    case NN_wml|DEFINE_CT_SignedTwipsMeasure:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_SignedTwipsMeasure_val;
        }
        break;
    case NN_wml|DEFINE_CT_PixelsMeasure:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_PixelsMeasure_val;
        }
        break;
    case NN_wml|DEFINE_CT_HpsMeasure:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_HpsMeasure_val;
        }
        break;
    case NN_wml|DEFINE_CT_SignedHpsMeasure:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_SignedHpsMeasure_val;
        }
        break;
    case NN_wml|DEFINE_CT_MacroName:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_MacroName_val;
        }
        break;
    case NN_wml|DEFINE_CT_String:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_String_val;
        }
        break;
    case NN_wml|DEFINE_CT_TextScale:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TextScale_val;
        }
        break;
    case NN_wml|DEFINE_CT_Highlight:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Highlight_val;
        }
        break;
    case NN_wml|DEFINE_CT_Color:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_themeColor: return NS_ooxml::LN_CT_Color_themeColor;
        case oox::NMSP_doc|oox::XML_themeShade: return NS_ooxml::LN_CT_Color_themeShade;
        case oox::NMSP_doc|oox::XML_themeTint: return NS_ooxml::LN_CT_Color_themeTint;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Color_val;
        }
        break;
    case NN_wml|DEFINE_CT_Lang:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Lang_val;
        }
        break;
    case NN_wml|DEFINE_CT_Guid:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Guid_val;
        }
        break;
    case NN_wml|DEFINE_CT_Underline:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_CT_Underline_color;
        case oox::NMSP_doc|oox::XML_themeColor: return NS_ooxml::LN_CT_Underline_themeColor;
        case oox::NMSP_doc|oox::XML_themeShade: return NS_ooxml::LN_CT_Underline_themeShade;
        case oox::NMSP_doc|oox::XML_themeTint: return NS_ooxml::LN_CT_Underline_themeTint;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Underline_val;
        }
        break;
    case NN_wml|DEFINE_CT_TextEffect:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TextEffect_val;
        }
        break;
    case NN_wml|DEFINE_CT_Border:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_CT_Border_color;
        case oox::NMSP_doc|oox::XML_frame: return NS_ooxml::LN_CT_Border_frame;
        case oox::NMSP_doc|oox::XML_shadow: return NS_ooxml::LN_CT_Border_shadow;
        case oox::NMSP_doc|oox::XML_space: return NS_ooxml::LN_CT_Border_space;
        case oox::NMSP_doc|oox::XML_sz: return NS_ooxml::LN_CT_Border_sz;
        case oox::NMSP_doc|oox::XML_themeColor: return NS_ooxml::LN_CT_Border_themeColor;
        case oox::NMSP_doc|oox::XML_themeShade: return NS_ooxml::LN_CT_Border_themeShade;
        case oox::NMSP_doc|oox::XML_themeTint: return NS_ooxml::LN_CT_Border_themeTint;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Border_val;
        }
        break;
    case NN_wml|DEFINE_CT_Shd:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_CT_Shd_color;
        case oox::NMSP_doc|oox::XML_fill: return NS_ooxml::LN_CT_Shd_fill;
        case oox::NMSP_doc|oox::XML_themeColor: return NS_ooxml::LN_CT_Shd_themeColor;
        case oox::NMSP_doc|oox::XML_themeFill: return NS_ooxml::LN_CT_Shd_themeFill;
        case oox::NMSP_doc|oox::XML_themeFillShade: return NS_ooxml::LN_CT_Shd_themeFillShade;
        case oox::NMSP_doc|oox::XML_themeFillTint: return NS_ooxml::LN_CT_Shd_themeFillTint;
        case oox::NMSP_doc|oox::XML_themeShade: return NS_ooxml::LN_CT_Shd_themeShade;
        case oox::NMSP_doc|oox::XML_themeTint: return NS_ooxml::LN_CT_Shd_themeTint;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Shd_val;
        }
        break;
    case NN_wml|DEFINE_CT_VerticalAlignRun:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_VerticalAlignRun_val;
        }
        break;
    case NN_wml|DEFINE_CT_FitText:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_FitText_id;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_FitText_val;
        }
        break;
    case NN_wml|DEFINE_CT_Em:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Em_val;
        }
        break;
    case NN_wml|DEFINE_CT_Language:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bidi: return NS_ooxml::LN_CT_Language_bidi;
        case oox::NMSP_doc|oox::XML_eastAsia: return NS_ooxml::LN_CT_Language_eastAsia;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Language_val;
        }
        break;
    case NN_wml|DEFINE_CT_EastAsianLayout:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_combine: return NS_ooxml::LN_CT_EastAsianLayout_combine;
        case oox::NMSP_doc|oox::XML_combineBrackets: return NS_ooxml::LN_CT_EastAsianLayout_combineBrackets;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_EastAsianLayout_id;
        case oox::NMSP_doc|oox::XML_vert: return NS_ooxml::LN_CT_EastAsianLayout_vert;
        case oox::NMSP_doc|oox::XML_vertCompress: return NS_ooxml::LN_CT_EastAsianLayout_vertCompress;
        }
        break;
    case NN_wml|DEFINE_CT_FramePr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_anchorLock: return NS_ooxml::LN_CT_FramePr_anchorLock;
        case oox::NMSP_doc|oox::XML_dropCap: return NS_ooxml::LN_CT_FramePr_dropCap;
        case oox::NMSP_doc|oox::XML_h: return NS_ooxml::LN_CT_FramePr_h;
        case oox::NMSP_doc|oox::XML_hAnchor: return NS_ooxml::LN_CT_FramePr_hAnchor;
        case oox::NMSP_doc|oox::XML_hRule: return NS_ooxml::LN_CT_FramePr_hRule;
        case oox::NMSP_doc|oox::XML_hSpace: return NS_ooxml::LN_CT_FramePr_hSpace;
        case oox::NMSP_doc|oox::XML_lines: return NS_ooxml::LN_CT_FramePr_lines;
        case oox::NMSP_doc|oox::XML_vAnchor: return NS_ooxml::LN_CT_FramePr_vAnchor;
        case oox::NMSP_doc|oox::XML_vSpace: return NS_ooxml::LN_CT_FramePr_vSpace;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_CT_FramePr_w;
        case oox::NMSP_doc|oox::XML_wrap: return NS_ooxml::LN_CT_FramePr_wrap;
        case oox::NMSP_doc|oox::XML_x: return NS_ooxml::LN_CT_FramePr_x;
        case oox::NMSP_doc|oox::XML_xAlign: return NS_ooxml::LN_CT_FramePr_xAlign;
        case oox::NMSP_doc|oox::XML_y: return NS_ooxml::LN_CT_FramePr_y;
        case oox::NMSP_doc|oox::XML_yAlign: return NS_ooxml::LN_CT_FramePr_yAlign;
        }
        break;
    case NN_wml|DEFINE_CT_TabStop:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_leader: return NS_ooxml::LN_CT_TabStop_leader;
        case oox::NMSP_doc|oox::XML_pos: return NS_ooxml::LN_CT_TabStop_pos;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TabStop_val;
        }
        break;
    case NN_wml|DEFINE_CT_Spacing:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_after: return NS_ooxml::LN_CT_Spacing_after;
        case oox::NMSP_doc|oox::XML_afterAutospacing: return NS_ooxml::LN_CT_Spacing_afterAutospacing;
        case oox::NMSP_doc|oox::XML_afterLines: return NS_ooxml::LN_CT_Spacing_afterLines;
        case oox::NMSP_doc|oox::XML_before: return NS_ooxml::LN_CT_Spacing_before;
        case oox::NMSP_doc|oox::XML_beforeAutospacing: return NS_ooxml::LN_CT_Spacing_beforeAutospacing;
        case oox::NMSP_doc|oox::XML_beforeLines: return NS_ooxml::LN_CT_Spacing_beforeLines;
        case oox::NMSP_doc|oox::XML_line: return NS_ooxml::LN_CT_Spacing_line;
        case oox::NMSP_doc|oox::XML_lineRule: return NS_ooxml::LN_CT_Spacing_lineRule;
        }
        break;
    case NN_wml|DEFINE_CT_Ind:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_end: return NS_ooxml::LN_CT_Ind_end;
        case oox::NMSP_doc|oox::XML_endChars: return NS_ooxml::LN_CT_Ind_endChars;
        case oox::NMSP_doc|oox::XML_firstLine: return NS_ooxml::LN_CT_Ind_firstLine;
        case oox::NMSP_doc|oox::XML_firstLineChars: return NS_ooxml::LN_CT_Ind_firstLineChars;
        case oox::NMSP_doc|oox::XML_hanging: return NS_ooxml::LN_CT_Ind_hanging;
        case oox::NMSP_doc|oox::XML_hangingChars: return NS_ooxml::LN_CT_Ind_hangingChars;
        case oox::NMSP_doc|oox::XML_left: return NS_ooxml::LN_CT_Ind_left;
        case oox::NMSP_doc|oox::XML_leftChars: return NS_ooxml::LN_CT_Ind_leftChars;
        case oox::NMSP_doc|oox::XML_right: return NS_ooxml::LN_CT_Ind_right;
        case oox::NMSP_doc|oox::XML_rightChars: return NS_ooxml::LN_CT_Ind_rightChars;
        case oox::NMSP_doc|oox::XML_start: return NS_ooxml::LN_CT_Ind_start;
        case oox::NMSP_doc|oox::XML_startChars: return NS_ooxml::LN_CT_Ind_startChars;
        }
        break;
    case NN_wml|DEFINE_CT_Jc:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Jc_val;
        }
        break;
    case NN_wml|DEFINE_CT_View:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_View_val;
        }
        break;
    case NN_wml|DEFINE_CT_Zoom:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_percent: return NS_ooxml::LN_CT_Zoom_percent;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Zoom_val;
        }
        break;
    case NN_wml|DEFINE_CT_WritingStyle:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_appName: return NS_ooxml::LN_CT_WritingStyle_appName;
        case oox::NMSP_doc|oox::XML_checkStyle: return NS_ooxml::LN_CT_WritingStyle_checkStyle;
        case oox::NMSP_doc|oox::XML_dllVersion: return NS_ooxml::LN_CT_WritingStyle_dllVersion;
        case oox::NMSP_doc|oox::XML_lang: return NS_ooxml::LN_CT_WritingStyle_lang;
        case oox::NMSP_doc|oox::XML_nlCheck: return NS_ooxml::LN_CT_WritingStyle_nlCheck;
        case oox::NMSP_doc|oox::XML_vendorID: return NS_ooxml::LN_CT_WritingStyle_vendorID;
        }
        break;
    case NN_wml|DEFINE_CT_Proof:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_grammar: return NS_ooxml::LN_CT_Proof_grammar;
        case oox::NMSP_doc|oox::XML_spelling: return NS_ooxml::LN_CT_Proof_spelling;
        }
        break;
    case NN_wml|DEFINE_CT_DocType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_DocType_val;
        }
        break;
    case NN_wml|DEFINE_AG_Password:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_algIdExt: return NS_ooxml::LN_AG_Password_algIdExt;
        case oox::NMSP_doc|oox::XML_algIdExtSource: return NS_ooxml::LN_AG_Password_algIdExtSource;
        case oox::NMSP_doc|oox::XML_cryptAlgorithmClass: return NS_ooxml::LN_AG_Password_cryptAlgorithmClass;
        case oox::NMSP_doc|oox::XML_cryptAlgorithmSid: return NS_ooxml::LN_AG_Password_cryptAlgorithmSid;
        case oox::NMSP_doc|oox::XML_cryptAlgorithmType: return NS_ooxml::LN_AG_Password_cryptAlgorithmType;
        case oox::NMSP_doc|oox::XML_cryptProvider: return NS_ooxml::LN_AG_Password_cryptProvider;
        case oox::NMSP_doc|oox::XML_cryptProviderType: return NS_ooxml::LN_AG_Password_cryptProviderType;
        case oox::NMSP_doc|oox::XML_cryptProviderTypeExt: return NS_ooxml::LN_AG_Password_cryptProviderTypeExt;
        case oox::NMSP_doc|oox::XML_cryptProviderTypeExtSource: return NS_ooxml::LN_AG_Password_cryptProviderTypeExtSource;
        case oox::NMSP_doc|oox::XML_cryptSpinCount: return NS_ooxml::LN_AG_Password_cryptSpinCount;
        case oox::NMSP_doc|oox::XML_hash: return NS_ooxml::LN_AG_Password_hash;
        case oox::NMSP_doc|oox::XML_salt: return NS_ooxml::LN_AG_Password_salt;
        }
        break;
    case NN_wml|DEFINE_CT_DocProtect:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_algIdExt: return NS_ooxml::LN_AG_Password_algIdExt;
        case oox::NMSP_doc|oox::XML_algIdExtSource: return NS_ooxml::LN_AG_Password_algIdExtSource;
        case oox::NMSP_doc|oox::XML_cryptAlgorithmClass: return NS_ooxml::LN_AG_Password_cryptAlgorithmClass;
        case oox::NMSP_doc|oox::XML_cryptAlgorithmSid: return NS_ooxml::LN_AG_Password_cryptAlgorithmSid;
        case oox::NMSP_doc|oox::XML_cryptAlgorithmType: return NS_ooxml::LN_AG_Password_cryptAlgorithmType;
        case oox::NMSP_doc|oox::XML_cryptProvider: return NS_ooxml::LN_AG_Password_cryptProvider;
        case oox::NMSP_doc|oox::XML_cryptProviderType: return NS_ooxml::LN_AG_Password_cryptProviderType;
        case oox::NMSP_doc|oox::XML_cryptProviderTypeExt: return NS_ooxml::LN_AG_Password_cryptProviderTypeExt;
        case oox::NMSP_doc|oox::XML_cryptProviderTypeExtSource: return NS_ooxml::LN_AG_Password_cryptProviderTypeExtSource;
        case oox::NMSP_doc|oox::XML_cryptSpinCount: return NS_ooxml::LN_AG_Password_cryptSpinCount;
        case oox::NMSP_doc|oox::XML_edit: return NS_ooxml::LN_CT_DocProtect_edit;
        case oox::NMSP_doc|oox::XML_enforcement: return NS_ooxml::LN_CT_DocProtect_enforcement;
        case oox::NMSP_doc|oox::XML_formatting: return NS_ooxml::LN_CT_DocProtect_formatting;
        case oox::NMSP_doc|oox::XML_hash: return NS_ooxml::LN_AG_Password_hash;
        case oox::NMSP_doc|oox::XML_salt: return NS_ooxml::LN_AG_Password_salt;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeDocType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_MailMergeDocType_val;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeDataType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_MailMergeDataType_val;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeDest:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_MailMergeDest_val;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeOdsoFMDFieldType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_MailMergeOdsoFMDFieldType_val;
        }
        break;
    case NN_wml|DEFINE_CT_TrackChangesView:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_comments: return NS_ooxml::LN_CT_TrackChangesView_comments;
        case oox::NMSP_doc|oox::XML_formatting: return NS_ooxml::LN_CT_TrackChangesView_formatting;
        case oox::NMSP_doc|oox::XML_inkAnnotations: return NS_ooxml::LN_CT_TrackChangesView_inkAnnotations;
        case oox::NMSP_doc|oox::XML_insDel: return NS_ooxml::LN_CT_TrackChangesView_insDel;
        case oox::NMSP_doc|oox::XML_markup: return NS_ooxml::LN_CT_TrackChangesView_markup;
        }
        break;
    case NN_wml|DEFINE_CT_Kinsoku:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_lang: return NS_ooxml::LN_CT_Kinsoku_lang;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Kinsoku_val;
        }
        break;
    case NN_wml|DEFINE_CT_TextDirection:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TextDirection_val;
        }
        break;
    case NN_wml|DEFINE_CT_TextAlignment:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TextAlignment_val;
        }
        break;
    case NN_wml|DEFINE_CT_Markup:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        }
        break;
    case NN_wml|DEFINE_CT_TrackChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        }
        break;
    case NN_wml|DEFINE_CT_CellMergeTrackChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_vMerge: return NS_ooxml::LN_CT_CellMergeTrackChange_vMerge;
        case oox::NMSP_doc|oox::XML_vMergeOrig: return NS_ooxml::LN_CT_CellMergeTrackChange_vMergeOrig;
        }
        break;
    case NN_wml|DEFINE_CT_TrackChangeRange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_displacedByCustomXml: return NS_ooxml::LN_CT_TrackChangeRange_displacedByCustomXml;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_displacedByCustomXml: return NS_ooxml::LN_CT_MarkupRange_displacedByCustomXml;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRangeBookmark:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_displacedByCustomXml: return NS_ooxml::LN_CT_MarkupRange_displacedByCustomXml;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_MarkupRangeBookmark_id;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRangePerm:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_displacedByCustomXml: return NS_ooxml::LN_CT_MarkupRange_displacedByCustomXml;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRangeCommentStart:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        }
        break;
    case NN_wml|DEFINE_CT_MarkupRangeCommentEnd:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        }
        break;
    case NN_wml|DEFINE_CT_BookmarkRange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_colFirst: return NS_ooxml::LN_CT_BookmarkRange_colFirst;
        case oox::NMSP_doc|oox::XML_colLast: return NS_ooxml::LN_CT_BookmarkRange_colLast;
        case oox::NMSP_doc|oox::XML_displacedByCustomXml: return NS_ooxml::LN_CT_MarkupRange_displacedByCustomXml;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_MarkupRangeBookmark_id;
        }
        break;
    case NN_wml|DEFINE_CT_Bookmark:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_colFirst: return NS_ooxml::LN_CT_BookmarkRange_colFirst;
        case oox::NMSP_doc|oox::XML_colLast: return NS_ooxml::LN_CT_BookmarkRange_colLast;
        case oox::NMSP_doc|oox::XML_displacedByCustomXml: return NS_ooxml::LN_CT_MarkupRange_displacedByCustomXml;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_MarkupRangeBookmark_id;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_Bookmark_name;
        }
        break;
    case NN_wml|DEFINE_CT_MoveBookmark:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_MoveBookmark_author;
        case oox::NMSP_doc|oox::XML_colFirst: return NS_ooxml::LN_CT_BookmarkRange_colFirst;
        case oox::NMSP_doc|oox::XML_colLast: return NS_ooxml::LN_CT_BookmarkRange_colLast;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_MoveBookmark_date;
        case oox::NMSP_doc|oox::XML_displacedByCustomXml: return NS_ooxml::LN_CT_MarkupRange_displacedByCustomXml;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_MarkupRangeBookmark_id;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_Bookmark_name;
        }
        break;
    case NN_wml|DEFINE_CT_Comment:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_initials: return NS_ooxml::LN_CT_Comment_initials;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_PermStart:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_colFirst: return NS_ooxml::LN_CT_PermStart_colFirst;
        case oox::NMSP_doc|oox::XML_colLast: return NS_ooxml::LN_CT_PermStart_colLast;
        case oox::NMSP_doc|oox::XML_displacedByCustomXml: return NS_ooxml::LN_CT_PermStart_displacedByCustomXml;
        case oox::NMSP_doc|oox::XML_ed: return NS_ooxml::LN_CT_PermStart_ed;
        case oox::NMSP_doc|oox::XML_edGrp: return NS_ooxml::LN_CT_PermStart_edGrp;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_PermStart_id;
        }
        break;
    case NN_wml|DEFINE_CT_PermEnd:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_displacedByCustomXml: return NS_ooxml::LN_CT_PermEnd_displacedByCustomXml;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_PermEnd_id;
        }
        break;
    case NN_wml|DEFINE_CT_TrackChangeNumbering:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_original: return NS_ooxml::LN_CT_TrackChangeNumbering_original;
        }
        break;
    case NN_wml|DEFINE_CT_TblPrExChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_tblPrEx: return NS_ooxml::LN_CT_TblPrExChange_tblPrEx;
        }
        break;
    case NN_wml|DEFINE_CT_TcPrChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_tcPr: return NS_ooxml::LN_CT_TcPrChange_tcPr;
        }
        break;
    case NN_wml|DEFINE_CT_TrPrChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_trPr: return NS_ooxml::LN_CT_TrPrChange_trPr;
        }
        break;
    case NN_wml|DEFINE_CT_TblGridChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_tblGrid: return NS_ooxml::LN_CT_TblGridChange_tblGrid;
        }
        break;
    case NN_wml|DEFINE_CT_TblPrChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_tblPr: return NS_ooxml::LN_CT_TblPrChange_tblPr;
        }
        break;
    case NN_wml|DEFINE_CT_SectPrChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_sectPr: return NS_ooxml::LN_CT_SectPrChange_sectPr;
        }
        break;
    case NN_wml|DEFINE_CT_PPrChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_pPr: return NS_ooxml::LN_CT_PPrChange_pPr;
        }
        break;
    case NN_wml|DEFINE_CT_RPrChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_rPr: return NS_ooxml::LN_CT_RPrChange_rPr;
        }
        break;
    case NN_wml|DEFINE_CT_ParaRPrChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_rPr: return NS_ooxml::LN_CT_ParaRPrChange_rPr;
        }
        break;
    case NN_wml|DEFINE_CT_RunTrackChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_EG_RangeMarkupElements:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RangeMarkupElements_PermEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RangeMarkupElements_PermStart;
        }
        break;
    case NN_wml|DEFINE_CT_NumPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_ilvl: return NS_ooxml::LN_CT_NumPr_ilvl;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_CT_NumPr_ins;
        case oox::NMSP_doc|oox::XML_numId: return NS_ooxml::LN_CT_NumPr_numId;
        case oox::NMSP_doc|oox::XML_numberingChange: return NS_ooxml::LN_CT_NumPr_numberingChange;
        }
        break;
    case NN_wml|DEFINE_CT_PBdr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bar: return NS_ooxml::LN_CT_PBdr_bar;
        case oox::NMSP_doc|oox::XML_between: return NS_ooxml::LN_CT_PBdr_between;
        case oox::NMSP_doc|oox::XML_bottom: return NS_ooxml::LN_CT_PBdr_bottom;
        case oox::NMSP_doc|oox::XML_left: return NS_ooxml::LN_CT_PBdr_left;
        case oox::NMSP_doc|oox::XML_right: return NS_ooxml::LN_CT_PBdr_right;
        case oox::NMSP_doc|oox::XML_top: return NS_ooxml::LN_CT_PBdr_top;
        }
        break;
    case NN_wml|DEFINE_CT_Tabs:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_tab: return NS_ooxml::LN_CT_Tabs_tab;
        }
        break;
    case NN_wml|DEFINE_CT_TextboxTightWrap:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TextboxTightWrap_val;
        }
        break;
    case NN_wml|DEFINE_CT_PPrBase:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_adjustRightInd: return NS_ooxml::LN_CT_PPrBase_adjustRightInd;
        case oox::NMSP_doc|oox::XML_autoSpaceDE: return NS_ooxml::LN_CT_PPrBase_autoSpaceDE;
        case oox::NMSP_doc|oox::XML_autoSpaceDN: return NS_ooxml::LN_CT_PPrBase_autoSpaceDN;
        case oox::NMSP_doc|oox::XML_bidi: return NS_ooxml::LN_CT_PPrBase_bidi;
        case oox::NMSP_doc|oox::XML_cnfStyle: return NS_ooxml::LN_CT_PPrBase_cnfStyle;
        case oox::NMSP_doc|oox::XML_contextualSpacing: return NS_ooxml::LN_CT_PPrBase_contextualSpacing;
        case oox::NMSP_doc|oox::XML_divId: return NS_ooxml::LN_CT_PPrBase_divId;
        case oox::NMSP_doc|oox::XML_framePr: return NS_ooxml::LN_CT_PPrBase_framePr;
        case oox::NMSP_doc|oox::XML_ind: return NS_ooxml::LN_CT_PPrBase_ind;
        case oox::NMSP_doc|oox::XML_jc: return NS_ooxml::LN_CT_PPrBase_jc;
        case oox::NMSP_doc|oox::XML_keepLines: return NS_ooxml::LN_CT_PPrBase_keepLines;
        case oox::NMSP_doc|oox::XML_keepNext: return NS_ooxml::LN_CT_PPrBase_keepNext;
        case oox::NMSP_doc|oox::XML_kinsoku: return NS_ooxml::LN_CT_PPrBase_kinsoku;
        case oox::NMSP_doc|oox::XML_mirrorIndents: return NS_ooxml::LN_CT_PPrBase_mirrorIndents;
        case oox::NMSP_doc|oox::XML_numPr: return NS_ooxml::LN_CT_PPrBase_numPr;
        case oox::NMSP_doc|oox::XML_outlineLvl: return NS_ooxml::LN_CT_PPrBase_outlineLvl;
        case oox::NMSP_doc|oox::XML_overflowPunct: return NS_ooxml::LN_CT_PPrBase_overflowPunct;
        case oox::NMSP_doc|oox::XML_pBdr: return NS_ooxml::LN_CT_PrBase_pBdr;
        case oox::NMSP_doc|oox::XML_pStyle: return NS_ooxml::LN_CT_PPrBase_pStyle;
        case oox::NMSP_doc|oox::XML_pageBreakBefore: return NS_ooxml::LN_CT_PPrBase_pageBreakBefore;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_CT_PrBase_shd;
        case oox::NMSP_doc|oox::XML_snapToGrid: return NS_ooxml::LN_CT_PPrBase_snapToGrid;
        case oox::NMSP_doc|oox::XML_spacing: return NS_ooxml::LN_CT_PPrBase_spacing;
        case oox::NMSP_doc|oox::XML_suppressAutoHyphens: return NS_ooxml::LN_CT_PPrBase_suppressAutoHyphens;
        case oox::NMSP_doc|oox::XML_suppressLineNumbers: return NS_ooxml::LN_CT_PPrBase_suppressLineNumbers;
        case oox::NMSP_doc|oox::XML_suppressOverlap: return NS_ooxml::LN_CT_PPrBase_suppressOverlap;
        case oox::NMSP_doc|oox::XML_tabs: return NS_ooxml::LN_CT_PPrBase_tabs;
        case oox::NMSP_doc|oox::XML_textAlignment: return NS_ooxml::LN_CT_PPrBase_textAlignment;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_CT_PPrBase_textDirection;
        case oox::NMSP_doc|oox::XML_textboxTightWrap: return NS_ooxml::LN_CT_PPrBase_textboxTightWrap;
        case oox::NMSP_doc|oox::XML_topLinePunct: return NS_ooxml::LN_CT_PPrBase_topLinePunct;
        case oox::NMSP_doc|oox::XML_widowControl: return NS_ooxml::LN_CT_PPrBase_widowControl;
        case oox::NMSP_doc|oox::XML_wordWrap: return NS_ooxml::LN_CT_PPrBase_wordWrap;
        }
        break;
    case NN_wml|DEFINE_CT_PPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_adjustRightInd: return NS_ooxml::LN_CT_PPrBase_adjustRightInd;
        case oox::NMSP_doc|oox::XML_autoSpaceDE: return NS_ooxml::LN_CT_PPrBase_autoSpaceDE;
        case oox::NMSP_doc|oox::XML_autoSpaceDN: return NS_ooxml::LN_CT_PPrBase_autoSpaceDN;
        case oox::NMSP_doc|oox::XML_bidi: return NS_ooxml::LN_CT_PPrBase_bidi;
        case oox::NMSP_doc|oox::XML_cnfStyle: return NS_ooxml::LN_CT_PPrBase_cnfStyle;
        case oox::NMSP_doc|oox::XML_contextualSpacing: return NS_ooxml::LN_CT_PPrBase_contextualSpacing;
        case oox::NMSP_doc|oox::XML_divId: return NS_ooxml::LN_CT_PPrBase_divId;
        case oox::NMSP_doc|oox::XML_framePr: return NS_ooxml::LN_CT_PPrBase_framePr;
        case oox::NMSP_doc|oox::XML_ind: return NS_ooxml::LN_CT_PPrBase_ind;
        case oox::NMSP_doc|oox::XML_jc: return NS_ooxml::LN_CT_PPrBase_jc;
        case oox::NMSP_doc|oox::XML_keepLines: return NS_ooxml::LN_CT_PPrBase_keepLines;
        case oox::NMSP_doc|oox::XML_keepNext: return NS_ooxml::LN_CT_PPrBase_keepNext;
        case oox::NMSP_doc|oox::XML_kinsoku: return NS_ooxml::LN_CT_PPrBase_kinsoku;
        case oox::NMSP_doc|oox::XML_mirrorIndents: return NS_ooxml::LN_CT_PPrBase_mirrorIndents;
        case oox::NMSP_doc|oox::XML_numPr: return NS_ooxml::LN_CT_PPrBase_numPr;
        case oox::NMSP_doc|oox::XML_outlineLvl: return NS_ooxml::LN_CT_PPrBase_outlineLvl;
        case oox::NMSP_doc|oox::XML_overflowPunct: return NS_ooxml::LN_CT_PPrBase_overflowPunct;
        case oox::NMSP_doc|oox::XML_pBdr: return NS_ooxml::LN_CT_PrBase_pBdr;
        case oox::NMSP_doc|oox::XML_pPrChange: return NS_ooxml::LN_CT_PPr_pPrChange;
        case oox::NMSP_doc|oox::XML_pStyle: return NS_ooxml::LN_CT_PPrBase_pStyle;
        case oox::NMSP_doc|oox::XML_pageBreakBefore: return NS_ooxml::LN_CT_PPrBase_pageBreakBefore;
        case oox::NMSP_doc|oox::XML_rPr: return NS_ooxml::LN_CT_PPr_rPr;
        case oox::NMSP_doc|oox::XML_sectPr: return NS_ooxml::LN_CT_PPr_sectPr;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_CT_PrBase_shd;
        case oox::NMSP_doc|oox::XML_snapToGrid: return NS_ooxml::LN_CT_PPrBase_snapToGrid;
        case oox::NMSP_doc|oox::XML_spacing: return NS_ooxml::LN_CT_PPrBase_spacing;
        case oox::NMSP_doc|oox::XML_suppressAutoHyphens: return NS_ooxml::LN_CT_PPrBase_suppressAutoHyphens;
        case oox::NMSP_doc|oox::XML_suppressLineNumbers: return NS_ooxml::LN_CT_PPrBase_suppressLineNumbers;
        case oox::NMSP_doc|oox::XML_suppressOverlap: return NS_ooxml::LN_CT_PPrBase_suppressOverlap;
        case oox::NMSP_doc|oox::XML_tabs: return NS_ooxml::LN_CT_PPrBase_tabs;
        case oox::NMSP_doc|oox::XML_textAlignment: return NS_ooxml::LN_CT_PPrBase_textAlignment;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_CT_PPrBase_textDirection;
        case oox::NMSP_doc|oox::XML_textboxTightWrap: return NS_ooxml::LN_CT_PPrBase_textboxTightWrap;
        case oox::NMSP_doc|oox::XML_topLinePunct: return NS_ooxml::LN_CT_PPrBase_topLinePunct;
        case oox::NMSP_doc|oox::XML_widowControl: return NS_ooxml::LN_CT_PPrBase_widowControl;
        case oox::NMSP_doc|oox::XML_wordWrap: return NS_ooxml::LN_CT_PPrBase_wordWrap;
        }
        break;
    case NN_wml|DEFINE_CT_Background:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_CT_Background_color;
        case oox::NMSP_doc|oox::XML_themeColor: return NS_ooxml::LN_CT_Background_themeColor;
        case oox::NMSP_doc|oox::XML_themeShade: return NS_ooxml::LN_CT_Background_themeShade;
        case oox::NMSP_doc|oox::XML_themeTint: return NS_ooxml::LN_CT_Background_themeTint;
        case oox::NMSP_vml|oox::XML_background: return NS_ooxml::LN_CT_Background_v_background;
        }
        break;
    case NN_wml|DEFINE_CT_Rel:
        switch (nToken)
        {
        case oox::NMSP_officeRel|oox::XML_id: return NS_ooxml::LN_CT_Rel_id;
        }
        break;
    case NN_wml|DEFINE_CT_Object:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_dxaOrig: return NS_ooxml::LN_CT_Object_dxaOrig;
        case oox::NMSP_doc|oox::XML_dyaOrig: return NS_ooxml::LN_CT_Object_dyaOrig;
        }
        break;
    case NN_wml|DEFINE_CT_Picture:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_movie: return NS_ooxml::LN_CT_Picture_movie;
        }
        break;
    case NN_wml|DEFINE_CT_Drawing:
        switch (nToken)
        {
        case oox::NMSP_dmlWordDr|oox::XML_anchor: return NS_ooxml::LN_anchor_anchor;
        case oox::NMSP_dmlWordDr|oox::XML_inline: return NS_ooxml::LN_inline_inline;
        }
        break;
    case NN_wml|DEFINE_CT_SimpleField:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_dirty: return NS_ooxml::LN_CT_SimpleField_dirty;
        case oox::NMSP_doc|oox::XML_fldData: return NS_ooxml::LN_CT_SimpleField_fldData;
        case oox::NMSP_doc|oox::XML_fldLock: return NS_ooxml::LN_CT_SimpleField_fldLock;
        case oox::NMSP_doc|oox::XML_fldSimple: return NS_ooxml::LN_EG_PContent_fldSimple;
        case oox::NMSP_doc|oox::XML_hyperlink: return NS_ooxml::LN_EG_PContent_hyperlink;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_instr: return NS_ooxml::LN_CT_SimpleField_instr;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_subDoc: return NS_ooxml::LN_EG_PContent_subDoc;
        }
        break;
    case NN_wml|DEFINE_CT_FFTextType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_FFTextType_val;
        }
        break;
    case NN_wml|DEFINE_CT_FFName:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_FFName_val;
        }
        break;
    case NN_wml|DEFINE_CT_FldChar:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_dirty: return NS_ooxml::LN_CT_FldChar_dirty;
        case oox::NMSP_doc|oox::XML_ffData: return NS_ooxml::LN_CT_FldChar_ffData;
        case oox::NMSP_doc|oox::XML_fldCharType: return NS_ooxml::LN_CT_FldChar_fldCharType;
        case oox::NMSP_doc|oox::XML_fldData: return NS_ooxml::LN_CT_FldChar_fldData;
        case oox::NMSP_doc|oox::XML_fldLock: return NS_ooxml::LN_CT_FldChar_fldLock;
        case oox::NMSP_doc|oox::XML_numberingChange: return NS_ooxml::LN_CT_FldChar_numberingChange;
        }
        break;
    case NN_wml|DEFINE_CT_Hyperlink:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_anchor: return NS_ooxml::LN_CT_Hyperlink_anchor;
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_docLocation: return NS_ooxml::LN_CT_Hyperlink_docLocation;
        case oox::NMSP_doc|oox::XML_fldSimple: return NS_ooxml::LN_EG_PContent_fldSimple;
        case oox::NMSP_doc|oox::XML_history: return NS_ooxml::LN_CT_Hyperlink_history;
        case oox::NMSP_doc|oox::XML_hyperlink: return NS_ooxml::LN_EG_PContent_hyperlink;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_subDoc: return NS_ooxml::LN_EG_PContent_subDoc;
        case oox::NMSP_doc|oox::XML_tgtFrame: return NS_ooxml::LN_CT_Hyperlink_tgtFrame;
        case oox::NMSP_doc|oox::XML_tooltip: return NS_ooxml::LN_CT_Hyperlink_tooltip;
        case oox::NMSP_officeRel|oox::XML_id: return NS_ooxml::LN_CT_Hyperlink_r_id;
        }
        break;
    case NN_wml|DEFINE_CT_FFData:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_calcOnExit: return NS_ooxml::LN_CT_FFData_calcOnExit;
        case oox::NMSP_doc|oox::XML_checkBox: return NS_ooxml::LN_CT_FFData_checkBox;
        case oox::NMSP_doc|oox::XML_ddList: return NS_ooxml::LN_CT_FFData_ddList;
        case oox::NMSP_doc|oox::XML_enabled: return NS_ooxml::LN_CT_FFData_enabled;
        case oox::NMSP_doc|oox::XML_entryMacro: return NS_ooxml::LN_CT_FFData_entryMacro;
        case oox::NMSP_doc|oox::XML_exitMacro: return NS_ooxml::LN_CT_FFData_exitMacro;
        case oox::NMSP_doc|oox::XML_helpText: return NS_ooxml::LN_CT_FFData_helpText;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_FFData_name;
        case oox::NMSP_doc|oox::XML_statusText: return NS_ooxml::LN_CT_FFData_statusText;
        case oox::NMSP_doc|oox::XML_textInput: return NS_ooxml::LN_CT_FFData_textInput;
        }
        break;
    case NN_wml|DEFINE_CT_FFHelpText:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_FFHelpText_type;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_FFHelpText_val;
        }
        break;
    case NN_wml|DEFINE_CT_FFStatusText:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_FFStatusText_type;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_FFStatusText_val;
        }
        break;
    case NN_wml|DEFINE_CT_FFCheckBox:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_checked: return NS_ooxml::LN_CT_FFCheckBox_checked;
        case oox::NMSP_doc|oox::XML_default: return NS_ooxml::LN_CT_FFCheckBox_default;
        case oox::NMSP_doc|oox::XML_size: return NS_ooxml::LN_CT_FFCheckBox_size;
        case oox::NMSP_doc|oox::XML_sizeAuto: return NS_ooxml::LN_CT_FFCheckBox_sizeAuto;
        }
        break;
    case NN_wml|DEFINE_CT_FFDDList:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_default: return NS_ooxml::LN_CT_FFDDList_default;
        case oox::NMSP_doc|oox::XML_listEntry: return NS_ooxml::LN_CT_FFDDList_listEntry;
        case oox::NMSP_doc|oox::XML_result: return NS_ooxml::LN_CT_FFDDList_result;
        }
        break;
    case NN_wml|DEFINE_CT_FFTextInput:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_default: return NS_ooxml::LN_CT_FFTextInput_default;
        case oox::NMSP_doc|oox::XML_format: return NS_ooxml::LN_CT_FFTextInput_format;
        case oox::NMSP_doc|oox::XML_maxLength: return NS_ooxml::LN_CT_FFTextInput_maxLength;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_FFTextInput_type;
        }
        break;
    case NN_wml|DEFINE_CT_SectType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_SectType_val;
        }
        break;
    case NN_wml|DEFINE_CT_PageSz:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_code: return NS_ooxml::LN_CT_PageSz_code;
        case oox::NMSP_doc|oox::XML_h: return NS_ooxml::LN_CT_PageSz_h;
        case oox::NMSP_doc|oox::XML_orient: return NS_ooxml::LN_CT_PageSz_orient;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_CT_PageSz_w;
        }
        break;
    case NN_wml|DEFINE_CT_PageMar:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bottom: return NS_ooxml::LN_CT_PageMar_bottom;
        case oox::NMSP_doc|oox::XML_footer: return NS_ooxml::LN_CT_PageMar_footer;
        case oox::NMSP_doc|oox::XML_gutter: return NS_ooxml::LN_CT_PageMar_gutter;
        case oox::NMSP_doc|oox::XML_header: return NS_ooxml::LN_CT_PageMar_header;
        case oox::NMSP_doc|oox::XML_left: return NS_ooxml::LN_CT_PageMar_left;
        case oox::NMSP_doc|oox::XML_right: return NS_ooxml::LN_CT_PageMar_right;
        case oox::NMSP_doc|oox::XML_top: return NS_ooxml::LN_CT_PageMar_top;
        }
        break;
    case NN_wml|DEFINE_CT_PageBorders:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bottom: return NS_ooxml::LN_CT_PageBorders_bottom;
        case oox::NMSP_doc|oox::XML_display: return NS_ooxml::LN_CT_PageBorders_display;
        case oox::NMSP_doc|oox::XML_left: return NS_ooxml::LN_CT_PageBorders_left;
        case oox::NMSP_doc|oox::XML_offsetFrom: return NS_ooxml::LN_CT_PageBorders_offsetFrom;
        case oox::NMSP_doc|oox::XML_right: return NS_ooxml::LN_CT_PageBorders_right;
        case oox::NMSP_doc|oox::XML_top: return NS_ooxml::LN_CT_PageBorders_top;
        case oox::NMSP_doc|oox::XML_zOrder: return NS_ooxml::LN_CT_PageBorders_zOrder;
        }
        break;
    case NN_wml|DEFINE_CT_LineNumber:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_countBy: return NS_ooxml::LN_CT_LineNumber_countBy;
        case oox::NMSP_doc|oox::XML_distance: return NS_ooxml::LN_CT_LineNumber_distance;
        case oox::NMSP_doc|oox::XML_restart: return NS_ooxml::LN_CT_LineNumber_restart;
        case oox::NMSP_doc|oox::XML_start: return NS_ooxml::LN_CT_LineNumber_start;
        }
        break;
    case NN_wml|DEFINE_CT_PageNumber:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_chapSep: return NS_ooxml::LN_CT_PageNumber_chapSep;
        case oox::NMSP_doc|oox::XML_chapStyle: return NS_ooxml::LN_CT_PageNumber_chapStyle;
        case oox::NMSP_doc|oox::XML_fmt: return NS_ooxml::LN_CT_PageNumber_fmt;
        case oox::NMSP_doc|oox::XML_start: return NS_ooxml::LN_CT_PageNumber_start;
        }
        break;
    case NN_wml|DEFINE_CT_Column:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_space: return NS_ooxml::LN_CT_Column_space;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_CT_Column_w;
        }
        break;
    case NN_wml|DEFINE_CT_Columns:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_col: return NS_ooxml::LN_CT_Columns_col;
        case oox::NMSP_doc|oox::XML_equalWidth: return NS_ooxml::LN_CT_Columns_equalWidth;
        case oox::NMSP_doc|oox::XML_num: return NS_ooxml::LN_CT_Columns_num;
        case oox::NMSP_doc|oox::XML_sep: return NS_ooxml::LN_CT_Columns_sep;
        case oox::NMSP_doc|oox::XML_space: return NS_ooxml::LN_CT_Columns_space;
        }
        break;
    case NN_wml|DEFINE_CT_VerticalJc:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_VerticalJc_val;
        }
        break;
    case NN_wml|DEFINE_CT_DocGrid:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_charSpace: return NS_ooxml::LN_CT_DocGrid_charSpace;
        case oox::NMSP_doc|oox::XML_linePitch: return NS_ooxml::LN_CT_DocGrid_linePitch;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_DocGrid_type;
        }
        break;
    case NN_wml|DEFINE_CT_HdrFtrRef:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_HdrFtrRef_type;
        case oox::NMSP_officeRel|oox::XML_id: return NS_ooxml::LN_CT_HdrFtrRef_id;
        }
        break;
    case NN_wml|DEFINE_EG_HdrFtrReferences:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_footerReference: return NS_ooxml::LN_EG_HdrFtrReferences_footerReference;
        case oox::NMSP_doc|oox::XML_headerReference: return NS_ooxml::LN_EG_HdrFtrReferences_headerReference;
        }
        break;
    case NN_wml|DEFINE_CT_HdrFtr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_EG_SectPrContents:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bidi: return NS_ooxml::LN_EG_SectPrContents_bidi;
        case oox::NMSP_doc|oox::XML_cols: return NS_ooxml::LN_EG_SectPrContents_cols;
        case oox::NMSP_doc|oox::XML_docGrid: return NS_ooxml::LN_EG_SectPrContents_docGrid;
        case oox::NMSP_doc|oox::XML_endnotePr: return NS_ooxml::LN_EG_SectPrContents_endnotePr;
        case oox::NMSP_doc|oox::XML_footnotePr: return NS_ooxml::LN_EG_SectPrContents_footnotePr;
        case oox::NMSP_doc|oox::XML_formProt: return NS_ooxml::LN_EG_SectPrContents_formProt;
        case oox::NMSP_doc|oox::XML_lnNumType: return NS_ooxml::LN_EG_SectPrContents_lnNumType;
        case oox::NMSP_doc|oox::XML_noEndnote: return NS_ooxml::LN_EG_SectPrContents_noEndnote;
        case oox::NMSP_doc|oox::XML_paperSrc: return NS_ooxml::LN_EG_SectPrContents_paperSrc;
        case oox::NMSP_doc|oox::XML_pgBorders: return NS_ooxml::LN_EG_SectPrContents_pgBorders;
        case oox::NMSP_doc|oox::XML_pgMar: return NS_ooxml::LN_EG_SectPrContents_pgMar;
        case oox::NMSP_doc|oox::XML_pgNumType: return NS_ooxml::LN_EG_SectPrContents_pgNumType;
        case oox::NMSP_doc|oox::XML_pgSz: return NS_ooxml::LN_EG_SectPrContents_pgSz;
        case oox::NMSP_doc|oox::XML_printerSettings: return NS_ooxml::LN_EG_SectPrContents_printerSettings;
        case oox::NMSP_doc|oox::XML_rtlGutter: return NS_ooxml::LN_EG_SectPrContents_rtlGutter;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_EG_SectPrContents_textDirection;
        case oox::NMSP_doc|oox::XML_titlePg: return NS_ooxml::LN_EG_SectPrContents_titlePg;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_EG_SectPrContents_type;
        case oox::NMSP_doc|oox::XML_vAlign: return NS_ooxml::LN_EG_SectPrContents_vAlign;
        }
        break;
    case NN_wml|DEFINE_CT_SectPrBase:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bidi: return NS_ooxml::LN_EG_SectPrContents_bidi;
        case oox::NMSP_doc|oox::XML_cols: return NS_ooxml::LN_EG_SectPrContents_cols;
        case oox::NMSP_doc|oox::XML_docGrid: return NS_ooxml::LN_EG_SectPrContents_docGrid;
        case oox::NMSP_doc|oox::XML_endnotePr: return NS_ooxml::LN_EG_SectPrContents_endnotePr;
        case oox::NMSP_doc|oox::XML_footnotePr: return NS_ooxml::LN_EG_SectPrContents_footnotePr;
        case oox::NMSP_doc|oox::XML_formProt: return NS_ooxml::LN_EG_SectPrContents_formProt;
        case oox::NMSP_doc|oox::XML_lnNumType: return NS_ooxml::LN_EG_SectPrContents_lnNumType;
        case oox::NMSP_doc|oox::XML_noEndnote: return NS_ooxml::LN_EG_SectPrContents_noEndnote;
        case oox::NMSP_doc|oox::XML_paperSrc: return NS_ooxml::LN_EG_SectPrContents_paperSrc;
        case oox::NMSP_doc|oox::XML_pgBorders: return NS_ooxml::LN_EG_SectPrContents_pgBorders;
        case oox::NMSP_doc|oox::XML_pgMar: return NS_ooxml::LN_EG_SectPrContents_pgMar;
        case oox::NMSP_doc|oox::XML_pgNumType: return NS_ooxml::LN_EG_SectPrContents_pgNumType;
        case oox::NMSP_doc|oox::XML_pgSz: return NS_ooxml::LN_EG_SectPrContents_pgSz;
        case oox::NMSP_doc|oox::XML_printerSettings: return NS_ooxml::LN_EG_SectPrContents_printerSettings;
        case oox::NMSP_doc|oox::XML_rtlGutter: return NS_ooxml::LN_EG_SectPrContents_rtlGutter;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_EG_SectPrContents_textDirection;
        case oox::NMSP_doc|oox::XML_titlePg: return NS_ooxml::LN_EG_SectPrContents_titlePg;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_EG_SectPrContents_type;
        case oox::NMSP_doc|oox::XML_vAlign: return NS_ooxml::LN_EG_SectPrContents_vAlign;
        }
        break;
    case NN_wml|DEFINE_CT_SectPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bidi: return NS_ooxml::LN_EG_SectPrContents_bidi;
        case oox::NMSP_doc|oox::XML_cols: return NS_ooxml::LN_EG_SectPrContents_cols;
        case oox::NMSP_doc|oox::XML_docGrid: return NS_ooxml::LN_EG_SectPrContents_docGrid;
        case oox::NMSP_doc|oox::XML_endnotePr: return NS_ooxml::LN_EG_SectPrContents_endnotePr;
        case oox::NMSP_doc|oox::XML_footerReference: return NS_ooxml::LN_EG_HdrFtrReferences_footerReference;
        case oox::NMSP_doc|oox::XML_footnotePr: return NS_ooxml::LN_EG_SectPrContents_footnotePr;
        case oox::NMSP_doc|oox::XML_formProt: return NS_ooxml::LN_EG_SectPrContents_formProt;
        case oox::NMSP_doc|oox::XML_headerReference: return NS_ooxml::LN_EG_HdrFtrReferences_headerReference;
        case oox::NMSP_doc|oox::XML_lnNumType: return NS_ooxml::LN_EG_SectPrContents_lnNumType;
        case oox::NMSP_doc|oox::XML_noEndnote: return NS_ooxml::LN_EG_SectPrContents_noEndnote;
        case oox::NMSP_doc|oox::XML_paperSrc: return NS_ooxml::LN_EG_SectPrContents_paperSrc;
        case oox::NMSP_doc|oox::XML_pgBorders: return NS_ooxml::LN_EG_SectPrContents_pgBorders;
        case oox::NMSP_doc|oox::XML_pgMar: return NS_ooxml::LN_EG_SectPrContents_pgMar;
        case oox::NMSP_doc|oox::XML_pgNumType: return NS_ooxml::LN_EG_SectPrContents_pgNumType;
        case oox::NMSP_doc|oox::XML_pgSz: return NS_ooxml::LN_EG_SectPrContents_pgSz;
        case oox::NMSP_doc|oox::XML_printerSettings: return NS_ooxml::LN_EG_SectPrContents_printerSettings;
        case oox::NMSP_doc|oox::XML_rtlGutter: return NS_ooxml::LN_EG_SectPrContents_rtlGutter;
        case oox::NMSP_doc|oox::XML_sectPrChange: return NS_ooxml::LN_CT_SectPr_sectPrChange;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_EG_SectPrContents_textDirection;
        case oox::NMSP_doc|oox::XML_titlePg: return NS_ooxml::LN_EG_SectPrContents_titlePg;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_EG_SectPrContents_type;
        case oox::NMSP_doc|oox::XML_vAlign: return NS_ooxml::LN_EG_SectPrContents_vAlign;
        }
        break;
    case NN_wml|DEFINE_CT_finalSectPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bidi: return NS_ooxml::LN_EG_SectPrContents_bidi;
        case oox::NMSP_doc|oox::XML_cols: return NS_ooxml::LN_EG_SectPrContents_cols;
        case oox::NMSP_doc|oox::XML_docGrid: return NS_ooxml::LN_EG_SectPrContents_docGrid;
        case oox::NMSP_doc|oox::XML_endnotePr: return NS_ooxml::LN_EG_SectPrContents_endnotePr;
        case oox::NMSP_doc|oox::XML_footerReference: return NS_ooxml::LN_EG_HdrFtrReferences_footerReference;
        case oox::NMSP_doc|oox::XML_footnotePr: return NS_ooxml::LN_EG_SectPrContents_footnotePr;
        case oox::NMSP_doc|oox::XML_formProt: return NS_ooxml::LN_EG_SectPrContents_formProt;
        case oox::NMSP_doc|oox::XML_headerReference: return NS_ooxml::LN_EG_HdrFtrReferences_headerReference;
        case oox::NMSP_doc|oox::XML_lnNumType: return NS_ooxml::LN_EG_SectPrContents_lnNumType;
        case oox::NMSP_doc|oox::XML_noEndnote: return NS_ooxml::LN_EG_SectPrContents_noEndnote;
        case oox::NMSP_doc|oox::XML_paperSrc: return NS_ooxml::LN_EG_SectPrContents_paperSrc;
        case oox::NMSP_doc|oox::XML_pgBorders: return NS_ooxml::LN_EG_SectPrContents_pgBorders;
        case oox::NMSP_doc|oox::XML_pgMar: return NS_ooxml::LN_EG_SectPrContents_pgMar;
        case oox::NMSP_doc|oox::XML_pgNumType: return NS_ooxml::LN_EG_SectPrContents_pgNumType;
        case oox::NMSP_doc|oox::XML_pgSz: return NS_ooxml::LN_EG_SectPrContents_pgSz;
        case oox::NMSP_doc|oox::XML_printerSettings: return NS_ooxml::LN_EG_SectPrContents_printerSettings;
        case oox::NMSP_doc|oox::XML_rtlGutter: return NS_ooxml::LN_EG_SectPrContents_rtlGutter;
        case oox::NMSP_doc|oox::XML_sectPrChange: return NS_ooxml::LN_CT_SectPr_sectPrChange;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_EG_SectPrContents_textDirection;
        case oox::NMSP_doc|oox::XML_titlePg: return NS_ooxml::LN_EG_SectPrContents_titlePg;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_EG_SectPrContents_type;
        case oox::NMSP_doc|oox::XML_vAlign: return NS_ooxml::LN_EG_SectPrContents_vAlign;
        }
        break;
    case NN_wml|DEFINE_CT_Br:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_clear: return NS_ooxml::LN_CT_Br_clear;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_Br_type;
        }
        break;
    case NN_wml|DEFINE_CT_Br_OutOfOrder:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_clear: return NS_ooxml::LN_CT_Br_clear;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_Br_type;
        }
        break;
    case NN_wml|DEFINE_CT_PTab:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_alignment: return NS_ooxml::LN_CT_PTab_alignment;
        case oox::NMSP_doc|oox::XML_leader: return NS_ooxml::LN_CT_PTab_leader;
        case oox::NMSP_doc|oox::XML_relativeTo: return NS_ooxml::LN_CT_PTab_relativeTo;
        }
        break;
    case NN_wml|DEFINE_CT_Sym:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_char: return NS_ooxml::LN_CT_Sym_char;
        case oox::NMSP_doc|oox::XML_font: return NS_ooxml::LN_CT_Sym_font;
        }
        break;
    case NN_wml|DEFINE_CT_Text:
        switch (nToken)
        {
        case oox::NMSP_xml|oox::XML_space: return NS_ooxml::LN_CT_Text_space;
        }
        break;
    case NN_wml|DEFINE_EG_RunInnerContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_annotationRef: return NS_ooxml::LN_EG_RunInnerContent_annotationRef;
        case oox::NMSP_doc|oox::XML_br: return NS_ooxml::LN_EG_RunInnerContent_br;
        case oox::NMSP_doc|oox::XML_commentReference: return NS_ooxml::LN_EG_RunInnerContent_commentReference;
        case oox::NMSP_doc|oox::XML_continuationSeparator: return NS_ooxml::LN_EG_RunInnerContent_continuationSeparator;
        case oox::NMSP_doc|oox::XML_cr: return NS_ooxml::LN_EG_RunInnerContent_cr;
        case oox::NMSP_doc|oox::XML_dayLong: return NS_ooxml::LN_EG_RunInnerContent_dayLong;
        case oox::NMSP_doc|oox::XML_dayShort: return NS_ooxml::LN_EG_RunInnerContent_dayShort;
        case oox::NMSP_doc|oox::XML_delInstrText: return NS_ooxml::LN_EG_RunInnerContent_delInstrText;
        case oox::NMSP_doc|oox::XML_delText: return NS_ooxml::LN_EG_RunInnerContent_delText;
        case oox::NMSP_doc|oox::XML_drawing: return NS_ooxml::LN_EG_RunInnerContent_drawing;
        case oox::NMSP_doc|oox::XML_endnoteRef: return NS_ooxml::LN_EG_RunInnerContent_endnoteRef;
        case oox::NMSP_doc|oox::XML_endnoteReference: return NS_ooxml::LN_EG_RunInnerContent_endnoteReference;
        case oox::NMSP_doc|oox::XML_fldChar: return NS_ooxml::LN_EG_RunInnerContent_fldChar;
        case oox::NMSP_doc|oox::XML_footnoteRef: return NS_ooxml::LN_EG_RunInnerContent_footnoteRef;
        case oox::NMSP_doc|oox::XML_footnoteReference: return NS_ooxml::LN_EG_RunInnerContent_footnoteReference;
        case oox::NMSP_doc|oox::XML_instrText: return NS_ooxml::LN_EG_RunInnerContent_instrText;
        case oox::NMSP_doc|oox::XML_lastRenderedPageBreak: return NS_ooxml::LN_EG_RunInnerContent_lastRenderedPageBreak;
        case oox::NMSP_doc|oox::XML_monthLong: return NS_ooxml::LN_EG_RunInnerContent_monthLong;
        case oox::NMSP_doc|oox::XML_monthShort: return NS_ooxml::LN_EG_RunInnerContent_monthShort;
        case oox::NMSP_doc|oox::XML_noBreakHyphen: return NS_ooxml::LN_EG_RunInnerContent_noBreakHyphen;
        case oox::NMSP_doc|oox::XML_object: return NS_ooxml::LN_EG_RunInnerContent_object;
        case oox::NMSP_doc|oox::XML_pgNum: return NS_ooxml::LN_EG_RunInnerContent_pgNum;
        case oox::NMSP_doc|oox::XML_pict: return NS_ooxml::LN_EG_RunInnerContent_pict;
        case oox::NMSP_doc|oox::XML_ptab: return NS_ooxml::LN_EG_RunInnerContent_ptab;
        case oox::NMSP_doc|oox::XML_ruby: return NS_ooxml::LN_EG_RunInnerContent_ruby;
        case oox::NMSP_doc|oox::XML_separator: return NS_ooxml::LN_EG_RunInnerContent_separator;
        case oox::NMSP_doc|oox::XML_softHyphen: return NS_ooxml::LN_EG_RunInnerContent_softHyphen;
        case oox::NMSP_doc|oox::XML_sym: return NS_ooxml::LN_EG_RunInnerContent_sym;
        case oox::NMSP_doc|oox::XML_t: return NS_ooxml::LN_EG_RunInnerContent_t;
        case oox::NMSP_doc|oox::XML_tab: return NS_ooxml::LN_EG_RunInnerContent_tab;
        case oox::NMSP_doc|oox::XML_yearLong: return NS_ooxml::LN_EG_RunInnerContent_yearLong;
        case oox::NMSP_doc|oox::XML_yearShort: return NS_ooxml::LN_EG_RunInnerContent_yearShort;
        }
        break;
    case NN_wml|DEFINE_CT_R:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_annotationRef: return NS_ooxml::LN_EG_RunInnerContent_annotationRef;
        case oox::NMSP_doc|oox::XML_br: return NS_ooxml::LN_EG_RunInnerContent_br;
        case oox::NMSP_doc|oox::XML_commentReference: return NS_ooxml::LN_EG_RunInnerContent_commentReference;
        case oox::NMSP_doc|oox::XML_continuationSeparator: return NS_ooxml::LN_EG_RunInnerContent_continuationSeparator;
        case oox::NMSP_doc|oox::XML_cr: return NS_ooxml::LN_EG_RunInnerContent_cr;
        case oox::NMSP_doc|oox::XML_dayLong: return NS_ooxml::LN_EG_RunInnerContent_dayLong;
        case oox::NMSP_doc|oox::XML_dayShort: return NS_ooxml::LN_EG_RunInnerContent_dayShort;
        case oox::NMSP_doc|oox::XML_delInstrText: return NS_ooxml::LN_EG_RunInnerContent_delInstrText;
        case oox::NMSP_doc|oox::XML_delText: return NS_ooxml::LN_EG_RunInnerContent_delText;
        case oox::NMSP_doc|oox::XML_drawing: return NS_ooxml::LN_EG_RunInnerContent_drawing;
        case oox::NMSP_doc|oox::XML_endnoteRef: return NS_ooxml::LN_EG_RunInnerContent_endnoteRef;
        case oox::NMSP_doc|oox::XML_endnoteReference: return NS_ooxml::LN_EG_RunInnerContent_endnoteReference;
        case oox::NMSP_doc|oox::XML_fldChar: return NS_ooxml::LN_EG_RunInnerContent_fldChar;
        case oox::NMSP_doc|oox::XML_footnoteRef: return NS_ooxml::LN_EG_RunInnerContent_footnoteRef;
        case oox::NMSP_doc|oox::XML_footnoteReference: return NS_ooxml::LN_EG_RunInnerContent_footnoteReference;
        case oox::NMSP_doc|oox::XML_instrText: return NS_ooxml::LN_EG_RunInnerContent_instrText;
        case oox::NMSP_doc|oox::XML_lastRenderedPageBreak: return NS_ooxml::LN_EG_RunInnerContent_lastRenderedPageBreak;
        case oox::NMSP_doc|oox::XML_monthLong: return NS_ooxml::LN_EG_RunInnerContent_monthLong;
        case oox::NMSP_doc|oox::XML_monthShort: return NS_ooxml::LN_EG_RunInnerContent_monthShort;
        case oox::NMSP_doc|oox::XML_noBreakHyphen: return NS_ooxml::LN_EG_RunInnerContent_noBreakHyphen;
        case oox::NMSP_doc|oox::XML_object: return NS_ooxml::LN_EG_RunInnerContent_object;
        case oox::NMSP_doc|oox::XML_pgNum: return NS_ooxml::LN_EG_RunInnerContent_pgNum;
        case oox::NMSP_doc|oox::XML_pict: return NS_ooxml::LN_EG_RunInnerContent_pict;
        case oox::NMSP_doc|oox::XML_ptab: return NS_ooxml::LN_EG_RunInnerContent_ptab;
        case oox::NMSP_doc|oox::XML_ruby: return NS_ooxml::LN_EG_RunInnerContent_ruby;
        case oox::NMSP_doc|oox::XML_separator: return NS_ooxml::LN_EG_RunInnerContent_separator;
        case oox::NMSP_doc|oox::XML_softHyphen: return NS_ooxml::LN_EG_RunInnerContent_softHyphen;
        case oox::NMSP_doc|oox::XML_sym: return NS_ooxml::LN_EG_RunInnerContent_sym;
        case oox::NMSP_doc|oox::XML_t: return NS_ooxml::LN_EG_RunInnerContent_t;
        case oox::NMSP_doc|oox::XML_tab: return NS_ooxml::LN_EG_RunInnerContent_tab;
        case oox::NMSP_doc|oox::XML_yearLong: return NS_ooxml::LN_EG_RunInnerContent_yearLong;
        case oox::NMSP_doc|oox::XML_yearShort: return NS_ooxml::LN_EG_RunInnerContent_yearShort;
        }
        break;
    case NN_wml|DEFINE_CT_Fonts:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_ascii: return NS_ooxml::LN_CT_Fonts_ascii;
        case oox::NMSP_doc|oox::XML_asciiTheme: return NS_ooxml::LN_CT_Fonts_asciiTheme;
        case oox::NMSP_doc|oox::XML_cs: return NS_ooxml::LN_CT_Fonts_cs;
        case oox::NMSP_doc|oox::XML_cstheme: return NS_ooxml::LN_CT_Fonts_cstheme;
        case oox::NMSP_doc|oox::XML_eastAsia: return NS_ooxml::LN_CT_Fonts_eastAsia;
        case oox::NMSP_doc|oox::XML_eastAsiaTheme: return NS_ooxml::LN_CT_Fonts_eastAsiaTheme;
        case oox::NMSP_doc|oox::XML_hAnsi: return NS_ooxml::LN_CT_Fonts_hAnsi;
        case oox::NMSP_doc|oox::XML_hAnsiTheme: return NS_ooxml::LN_CT_Fonts_hAnsiTheme;
        case oox::NMSP_doc|oox::XML_hint: return NS_ooxml::LN_CT_Fonts_hint;
        }
        break;
    case NN_wml|DEFINE_EG_RPrBase:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_b: return NS_ooxml::LN_EG_RPrBase_b;
        case oox::NMSP_doc|oox::XML_bCs: return NS_ooxml::LN_EG_RPrBase_bCs;
        case oox::NMSP_doc|oox::XML_bdr: return NS_ooxml::LN_EG_RPrBase_bdr;
        case oox::NMSP_doc|oox::XML_caps: return NS_ooxml::LN_EG_RPrBase_caps;
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_EG_RPrBase_color;
        case oox::NMSP_doc|oox::XML_cs: return NS_ooxml::LN_EG_RPrBase_cs;
        case oox::NMSP_doc|oox::XML_dstrike: return NS_ooxml::LN_EG_RPrBase_dstrike;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: return NS_ooxml::LN_EG_RPrBase_eastAsianLayout;
        case oox::NMSP_doc|oox::XML_effect: return NS_ooxml::LN_EG_RPrBase_effect;
        case oox::NMSP_doc|oox::XML_em: return NS_ooxml::LN_EG_RPrBase_em;
        case oox::NMSP_doc|oox::XML_emboss: return NS_ooxml::LN_EG_RPrBase_emboss;
        case oox::NMSP_doc|oox::XML_fitText: return NS_ooxml::LN_EG_RPrBase_fitText;
        case oox::NMSP_doc|oox::XML_highlight: return NS_ooxml::LN_EG_RPrBase_highlight;
        case oox::NMSP_doc|oox::XML_i: return NS_ooxml::LN_EG_RPrBase_i;
        case oox::NMSP_doc|oox::XML_iCs: return NS_ooxml::LN_EG_RPrBase_iCs;
        case oox::NMSP_doc|oox::XML_imprint: return NS_ooxml::LN_EG_RPrBase_imprint;
        case oox::NMSP_doc|oox::XML_kern: return NS_ooxml::LN_EG_RPrBase_kern;
        case oox::NMSP_doc|oox::XML_lang: return NS_ooxml::LN_EG_RPrBase_lang;
        case oox::NMSP_doc|oox::XML_noProof: return NS_ooxml::LN_EG_RPrBase_noProof;
        case oox::NMSP_doc|oox::XML_oMath: return NS_ooxml::LN_EG_RPrBase_oMath;
        case oox::NMSP_doc|oox::XML_outline: return NS_ooxml::LN_EG_RPrBase_outline;
        case oox::NMSP_doc|oox::XML_position: return NS_ooxml::LN_EG_RPrBase_position;
        case oox::NMSP_doc|oox::XML_rFonts: return NS_ooxml::LN_EG_RPrBase_rFonts;
        case oox::NMSP_doc|oox::XML_rStyle: return NS_ooxml::LN_EG_RPrBase_rStyle;
        case oox::NMSP_doc|oox::XML_rtl: return NS_ooxml::LN_EG_RPrBase_rtl;
        case oox::NMSP_doc|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_shadow;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_EG_RPrBase_shd;
        case oox::NMSP_doc|oox::XML_smallCaps: return NS_ooxml::LN_EG_RPrBase_smallCaps;
        case oox::NMSP_doc|oox::XML_snapToGrid: return NS_ooxml::LN_EG_RPrBase_snapToGrid;
        case oox::NMSP_doc|oox::XML_spacing: return NS_ooxml::LN_EG_RPrBase_spacing;
        case oox::NMSP_doc|oox::XML_specVanish: return NS_ooxml::LN_EG_RPrBase_specVanish;
        case oox::NMSP_doc|oox::XML_strike: return NS_ooxml::LN_EG_RPrBase_strike;
        case oox::NMSP_doc|oox::XML_sz: return NS_ooxml::LN_EG_RPrBase_sz;
        case oox::NMSP_doc|oox::XML_szCs: return NS_ooxml::LN_EG_RPrBase_szCs;
        case oox::NMSP_doc|oox::XML_u: return NS_ooxml::LN_EG_RPrBase_u;
        case oox::NMSP_doc|oox::XML_vanish: return NS_ooxml::LN_EG_RPrBase_vanish;
        case oox::NMSP_doc|oox::XML_vertAlign: return NS_ooxml::LN_EG_RPrBase_vertAlign;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_EG_RPrBase_w;
        case oox::NMSP_doc|oox::XML_webHidden: return NS_ooxml::LN_EG_RPrBase_webHidden;
        case oox::NMSP_w14|oox::XML_cntxtAlts: return NS_ooxml::LN_EG_RPrBase_w14_cntxtAlts;
        case oox::NMSP_w14|oox::XML_glow: return NS_ooxml::LN_EG_RPrBase_w14_glow;
        case oox::NMSP_w14|oox::XML_ligatures: return NS_ooxml::LN_EG_RPrBase_w14_ligatures;
        case oox::NMSP_w14|oox::XML_numForm: return NS_ooxml::LN_EG_RPrBase_w14_numForm;
        case oox::NMSP_w14|oox::XML_numSpacing: return NS_ooxml::LN_EG_RPrBase_w14_numSpacing;
        case oox::NMSP_w14|oox::XML_props3d: return NS_ooxml::LN_EG_RPrBase_w14_props3d;
        case oox::NMSP_w14|oox::XML_reflection: return NS_ooxml::LN_EG_RPrBase_w14_reflection;
        case oox::NMSP_w14|oox::XML_scene3d: return NS_ooxml::LN_EG_RPrBase_w14_scene3d;
        case oox::NMSP_w14|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_w14_shadow;
        case oox::NMSP_w14|oox::XML_stylisticSets: return NS_ooxml::LN_EG_RPrBase_w14_stylisticSets;
        case oox::NMSP_w14|oox::XML_textFill: return NS_ooxml::LN_EG_RPrBase_w14_textFill;
        case oox::NMSP_w14|oox::XML_textOutline: return NS_ooxml::LN_EG_RPrBase_w14_textOutline;
        }
        break;
    case NN_wml|DEFINE_EG_RPrContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_b: return NS_ooxml::LN_EG_RPrBase_b;
        case oox::NMSP_doc|oox::XML_bCs: return NS_ooxml::LN_EG_RPrBase_bCs;
        case oox::NMSP_doc|oox::XML_bdr: return NS_ooxml::LN_EG_RPrBase_bdr;
        case oox::NMSP_doc|oox::XML_caps: return NS_ooxml::LN_EG_RPrBase_caps;
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_EG_RPrBase_color;
        case oox::NMSP_doc|oox::XML_cs: return NS_ooxml::LN_EG_RPrBase_cs;
        case oox::NMSP_doc|oox::XML_dstrike: return NS_ooxml::LN_EG_RPrBase_dstrike;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: return NS_ooxml::LN_EG_RPrBase_eastAsianLayout;
        case oox::NMSP_doc|oox::XML_effect: return NS_ooxml::LN_EG_RPrBase_effect;
        case oox::NMSP_doc|oox::XML_em: return NS_ooxml::LN_EG_RPrBase_em;
        case oox::NMSP_doc|oox::XML_emboss: return NS_ooxml::LN_EG_RPrBase_emboss;
        case oox::NMSP_doc|oox::XML_fitText: return NS_ooxml::LN_EG_RPrBase_fitText;
        case oox::NMSP_doc|oox::XML_highlight: return NS_ooxml::LN_EG_RPrBase_highlight;
        case oox::NMSP_doc|oox::XML_i: return NS_ooxml::LN_EG_RPrBase_i;
        case oox::NMSP_doc|oox::XML_iCs: return NS_ooxml::LN_EG_RPrBase_iCs;
        case oox::NMSP_doc|oox::XML_imprint: return NS_ooxml::LN_EG_RPrBase_imprint;
        case oox::NMSP_doc|oox::XML_kern: return NS_ooxml::LN_EG_RPrBase_kern;
        case oox::NMSP_doc|oox::XML_lang: return NS_ooxml::LN_EG_RPrBase_lang;
        case oox::NMSP_doc|oox::XML_noProof: return NS_ooxml::LN_EG_RPrBase_noProof;
        case oox::NMSP_doc|oox::XML_oMath: return NS_ooxml::LN_EG_RPrBase_oMath;
        case oox::NMSP_doc|oox::XML_outline: return NS_ooxml::LN_EG_RPrBase_outline;
        case oox::NMSP_doc|oox::XML_position: return NS_ooxml::LN_EG_RPrBase_position;
        case oox::NMSP_doc|oox::XML_rFonts: return NS_ooxml::LN_EG_RPrBase_rFonts;
        case oox::NMSP_doc|oox::XML_rPrChange: return NS_ooxml::LN_EG_RPrContent_rPrChange;
        case oox::NMSP_doc|oox::XML_rStyle: return NS_ooxml::LN_EG_RPrBase_rStyle;
        case oox::NMSP_doc|oox::XML_rtl: return NS_ooxml::LN_EG_RPrBase_rtl;
        case oox::NMSP_doc|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_shadow;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_EG_RPrBase_shd;
        case oox::NMSP_doc|oox::XML_smallCaps: return NS_ooxml::LN_EG_RPrBase_smallCaps;
        case oox::NMSP_doc|oox::XML_snapToGrid: return NS_ooxml::LN_EG_RPrBase_snapToGrid;
        case oox::NMSP_doc|oox::XML_spacing: return NS_ooxml::LN_EG_RPrBase_spacing;
        case oox::NMSP_doc|oox::XML_specVanish: return NS_ooxml::LN_EG_RPrBase_specVanish;
        case oox::NMSP_doc|oox::XML_strike: return NS_ooxml::LN_EG_RPrBase_strike;
        case oox::NMSP_doc|oox::XML_sz: return NS_ooxml::LN_EG_RPrBase_sz;
        case oox::NMSP_doc|oox::XML_szCs: return NS_ooxml::LN_EG_RPrBase_szCs;
        case oox::NMSP_doc|oox::XML_u: return NS_ooxml::LN_EG_RPrBase_u;
        case oox::NMSP_doc|oox::XML_vanish: return NS_ooxml::LN_EG_RPrBase_vanish;
        case oox::NMSP_doc|oox::XML_vertAlign: return NS_ooxml::LN_EG_RPrBase_vertAlign;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_EG_RPrBase_w;
        case oox::NMSP_doc|oox::XML_webHidden: return NS_ooxml::LN_EG_RPrBase_webHidden;
        case oox::NMSP_w14|oox::XML_cntxtAlts: return NS_ooxml::LN_EG_RPrBase_w14_cntxtAlts;
        case oox::NMSP_w14|oox::XML_glow: return NS_ooxml::LN_EG_RPrBase_w14_glow;
        case oox::NMSP_w14|oox::XML_ligatures: return NS_ooxml::LN_EG_RPrBase_w14_ligatures;
        case oox::NMSP_w14|oox::XML_numForm: return NS_ooxml::LN_EG_RPrBase_w14_numForm;
        case oox::NMSP_w14|oox::XML_numSpacing: return NS_ooxml::LN_EG_RPrBase_w14_numSpacing;
        case oox::NMSP_w14|oox::XML_props3d: return NS_ooxml::LN_EG_RPrBase_w14_props3d;
        case oox::NMSP_w14|oox::XML_reflection: return NS_ooxml::LN_EG_RPrBase_w14_reflection;
        case oox::NMSP_w14|oox::XML_scene3d: return NS_ooxml::LN_EG_RPrBase_w14_scene3d;
        case oox::NMSP_w14|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_w14_shadow;
        case oox::NMSP_w14|oox::XML_stylisticSets: return NS_ooxml::LN_EG_RPrBase_w14_stylisticSets;
        case oox::NMSP_w14|oox::XML_textFill: return NS_ooxml::LN_EG_RPrBase_w14_textFill;
        case oox::NMSP_w14|oox::XML_textOutline: return NS_ooxml::LN_EG_RPrBase_w14_textOutline;
        }
        break;
    case NN_wml|DEFINE_CT_RPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_b: return NS_ooxml::LN_EG_RPrBase_b;
        case oox::NMSP_doc|oox::XML_bCs: return NS_ooxml::LN_EG_RPrBase_bCs;
        case oox::NMSP_doc|oox::XML_bdr: return NS_ooxml::LN_EG_RPrBase_bdr;
        case oox::NMSP_doc|oox::XML_caps: return NS_ooxml::LN_EG_RPrBase_caps;
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_EG_RPrBase_color;
        case oox::NMSP_doc|oox::XML_cs: return NS_ooxml::LN_EG_RPrBase_cs;
        case oox::NMSP_doc|oox::XML_dstrike: return NS_ooxml::LN_EG_RPrBase_dstrike;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: return NS_ooxml::LN_EG_RPrBase_eastAsianLayout;
        case oox::NMSP_doc|oox::XML_effect: return NS_ooxml::LN_EG_RPrBase_effect;
        case oox::NMSP_doc|oox::XML_em: return NS_ooxml::LN_EG_RPrBase_em;
        case oox::NMSP_doc|oox::XML_emboss: return NS_ooxml::LN_EG_RPrBase_emboss;
        case oox::NMSP_doc|oox::XML_fitText: return NS_ooxml::LN_EG_RPrBase_fitText;
        case oox::NMSP_doc|oox::XML_highlight: return NS_ooxml::LN_EG_RPrBase_highlight;
        case oox::NMSP_doc|oox::XML_i: return NS_ooxml::LN_EG_RPrBase_i;
        case oox::NMSP_doc|oox::XML_iCs: return NS_ooxml::LN_EG_RPrBase_iCs;
        case oox::NMSP_doc|oox::XML_imprint: return NS_ooxml::LN_EG_RPrBase_imprint;
        case oox::NMSP_doc|oox::XML_kern: return NS_ooxml::LN_EG_RPrBase_kern;
        case oox::NMSP_doc|oox::XML_lang: return NS_ooxml::LN_EG_RPrBase_lang;
        case oox::NMSP_doc|oox::XML_noProof: return NS_ooxml::LN_EG_RPrBase_noProof;
        case oox::NMSP_doc|oox::XML_oMath: return NS_ooxml::LN_EG_RPrBase_oMath;
        case oox::NMSP_doc|oox::XML_outline: return NS_ooxml::LN_EG_RPrBase_outline;
        case oox::NMSP_doc|oox::XML_position: return NS_ooxml::LN_EG_RPrBase_position;
        case oox::NMSP_doc|oox::XML_rFonts: return NS_ooxml::LN_EG_RPrBase_rFonts;
        case oox::NMSP_doc|oox::XML_rPrChange: return NS_ooxml::LN_EG_RPrContent_rPrChange;
        case oox::NMSP_doc|oox::XML_rStyle: return NS_ooxml::LN_EG_RPrBase_rStyle;
        case oox::NMSP_doc|oox::XML_rtl: return NS_ooxml::LN_EG_RPrBase_rtl;
        case oox::NMSP_doc|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_shadow;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_EG_RPrBase_shd;
        case oox::NMSP_doc|oox::XML_smallCaps: return NS_ooxml::LN_EG_RPrBase_smallCaps;
        case oox::NMSP_doc|oox::XML_snapToGrid: return NS_ooxml::LN_EG_RPrBase_snapToGrid;
        case oox::NMSP_doc|oox::XML_spacing: return NS_ooxml::LN_EG_RPrBase_spacing;
        case oox::NMSP_doc|oox::XML_specVanish: return NS_ooxml::LN_EG_RPrBase_specVanish;
        case oox::NMSP_doc|oox::XML_strike: return NS_ooxml::LN_EG_RPrBase_strike;
        case oox::NMSP_doc|oox::XML_sz: return NS_ooxml::LN_EG_RPrBase_sz;
        case oox::NMSP_doc|oox::XML_szCs: return NS_ooxml::LN_EG_RPrBase_szCs;
        case oox::NMSP_doc|oox::XML_u: return NS_ooxml::LN_EG_RPrBase_u;
        case oox::NMSP_doc|oox::XML_vanish: return NS_ooxml::LN_EG_RPrBase_vanish;
        case oox::NMSP_doc|oox::XML_vertAlign: return NS_ooxml::LN_EG_RPrBase_vertAlign;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_EG_RPrBase_w;
        case oox::NMSP_doc|oox::XML_webHidden: return NS_ooxml::LN_EG_RPrBase_webHidden;
        case oox::NMSP_w14|oox::XML_cntxtAlts: return NS_ooxml::LN_EG_RPrBase_w14_cntxtAlts;
        case oox::NMSP_w14|oox::XML_glow: return NS_ooxml::LN_EG_RPrBase_w14_glow;
        case oox::NMSP_w14|oox::XML_ligatures: return NS_ooxml::LN_EG_RPrBase_w14_ligatures;
        case oox::NMSP_w14|oox::XML_numForm: return NS_ooxml::LN_EG_RPrBase_w14_numForm;
        case oox::NMSP_w14|oox::XML_numSpacing: return NS_ooxml::LN_EG_RPrBase_w14_numSpacing;
        case oox::NMSP_w14|oox::XML_props3d: return NS_ooxml::LN_EG_RPrBase_w14_props3d;
        case oox::NMSP_w14|oox::XML_reflection: return NS_ooxml::LN_EG_RPrBase_w14_reflection;
        case oox::NMSP_w14|oox::XML_scene3d: return NS_ooxml::LN_EG_RPrBase_w14_scene3d;
        case oox::NMSP_w14|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_w14_shadow;
        case oox::NMSP_w14|oox::XML_stylisticSets: return NS_ooxml::LN_EG_RPrBase_w14_stylisticSets;
        case oox::NMSP_w14|oox::XML_textFill: return NS_ooxml::LN_EG_RPrBase_w14_textFill;
        case oox::NMSP_w14|oox::XML_textOutline: return NS_ooxml::LN_EG_RPrBase_w14_textOutline;
        }
        break;
    case NN_wml|DEFINE_CT_RPrOriginal:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_b: return NS_ooxml::LN_EG_RPrBase_b;
        case oox::NMSP_doc|oox::XML_bCs: return NS_ooxml::LN_EG_RPrBase_bCs;
        case oox::NMSP_doc|oox::XML_bdr: return NS_ooxml::LN_EG_RPrBase_bdr;
        case oox::NMSP_doc|oox::XML_caps: return NS_ooxml::LN_EG_RPrBase_caps;
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_EG_RPrBase_color;
        case oox::NMSP_doc|oox::XML_cs: return NS_ooxml::LN_EG_RPrBase_cs;
        case oox::NMSP_doc|oox::XML_dstrike: return NS_ooxml::LN_EG_RPrBase_dstrike;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: return NS_ooxml::LN_EG_RPrBase_eastAsianLayout;
        case oox::NMSP_doc|oox::XML_effect: return NS_ooxml::LN_EG_RPrBase_effect;
        case oox::NMSP_doc|oox::XML_em: return NS_ooxml::LN_EG_RPrBase_em;
        case oox::NMSP_doc|oox::XML_emboss: return NS_ooxml::LN_EG_RPrBase_emboss;
        case oox::NMSP_doc|oox::XML_fitText: return NS_ooxml::LN_EG_RPrBase_fitText;
        case oox::NMSP_doc|oox::XML_highlight: return NS_ooxml::LN_EG_RPrBase_highlight;
        case oox::NMSP_doc|oox::XML_i: return NS_ooxml::LN_EG_RPrBase_i;
        case oox::NMSP_doc|oox::XML_iCs: return NS_ooxml::LN_EG_RPrBase_iCs;
        case oox::NMSP_doc|oox::XML_imprint: return NS_ooxml::LN_EG_RPrBase_imprint;
        case oox::NMSP_doc|oox::XML_kern: return NS_ooxml::LN_EG_RPrBase_kern;
        case oox::NMSP_doc|oox::XML_lang: return NS_ooxml::LN_EG_RPrBase_lang;
        case oox::NMSP_doc|oox::XML_noProof: return NS_ooxml::LN_EG_RPrBase_noProof;
        case oox::NMSP_doc|oox::XML_oMath: return NS_ooxml::LN_EG_RPrBase_oMath;
        case oox::NMSP_doc|oox::XML_outline: return NS_ooxml::LN_EG_RPrBase_outline;
        case oox::NMSP_doc|oox::XML_position: return NS_ooxml::LN_EG_RPrBase_position;
        case oox::NMSP_doc|oox::XML_rFonts: return NS_ooxml::LN_EG_RPrBase_rFonts;
        case oox::NMSP_doc|oox::XML_rStyle: return NS_ooxml::LN_EG_RPrBase_rStyle;
        case oox::NMSP_doc|oox::XML_rtl: return NS_ooxml::LN_EG_RPrBase_rtl;
        case oox::NMSP_doc|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_shadow;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_EG_RPrBase_shd;
        case oox::NMSP_doc|oox::XML_smallCaps: return NS_ooxml::LN_EG_RPrBase_smallCaps;
        case oox::NMSP_doc|oox::XML_snapToGrid: return NS_ooxml::LN_EG_RPrBase_snapToGrid;
        case oox::NMSP_doc|oox::XML_spacing: return NS_ooxml::LN_EG_RPrBase_spacing;
        case oox::NMSP_doc|oox::XML_specVanish: return NS_ooxml::LN_EG_RPrBase_specVanish;
        case oox::NMSP_doc|oox::XML_strike: return NS_ooxml::LN_EG_RPrBase_strike;
        case oox::NMSP_doc|oox::XML_sz: return NS_ooxml::LN_EG_RPrBase_sz;
        case oox::NMSP_doc|oox::XML_szCs: return NS_ooxml::LN_EG_RPrBase_szCs;
        case oox::NMSP_doc|oox::XML_u: return NS_ooxml::LN_EG_RPrBase_u;
        case oox::NMSP_doc|oox::XML_vanish: return NS_ooxml::LN_EG_RPrBase_vanish;
        case oox::NMSP_doc|oox::XML_vertAlign: return NS_ooxml::LN_EG_RPrBase_vertAlign;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_EG_RPrBase_w;
        case oox::NMSP_doc|oox::XML_webHidden: return NS_ooxml::LN_EG_RPrBase_webHidden;
        case oox::NMSP_w14|oox::XML_cntxtAlts: return NS_ooxml::LN_EG_RPrBase_w14_cntxtAlts;
        case oox::NMSP_w14|oox::XML_glow: return NS_ooxml::LN_EG_RPrBase_w14_glow;
        case oox::NMSP_w14|oox::XML_ligatures: return NS_ooxml::LN_EG_RPrBase_w14_ligatures;
        case oox::NMSP_w14|oox::XML_numForm: return NS_ooxml::LN_EG_RPrBase_w14_numForm;
        case oox::NMSP_w14|oox::XML_numSpacing: return NS_ooxml::LN_EG_RPrBase_w14_numSpacing;
        case oox::NMSP_w14|oox::XML_props3d: return NS_ooxml::LN_EG_RPrBase_w14_props3d;
        case oox::NMSP_w14|oox::XML_reflection: return NS_ooxml::LN_EG_RPrBase_w14_reflection;
        case oox::NMSP_w14|oox::XML_scene3d: return NS_ooxml::LN_EG_RPrBase_w14_scene3d;
        case oox::NMSP_w14|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_w14_shadow;
        case oox::NMSP_w14|oox::XML_stylisticSets: return NS_ooxml::LN_EG_RPrBase_w14_stylisticSets;
        case oox::NMSP_w14|oox::XML_textFill: return NS_ooxml::LN_EG_RPrBase_w14_textFill;
        case oox::NMSP_w14|oox::XML_textOutline: return NS_ooxml::LN_EG_RPrBase_w14_textOutline;
        }
        break;
    case NN_wml|DEFINE_CT_ParaRPrOriginal:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_b: return NS_ooxml::LN_EG_RPrBase_b;
        case oox::NMSP_doc|oox::XML_bCs: return NS_ooxml::LN_EG_RPrBase_bCs;
        case oox::NMSP_doc|oox::XML_bdr: return NS_ooxml::LN_EG_RPrBase_bdr;
        case oox::NMSP_doc|oox::XML_caps: return NS_ooxml::LN_EG_RPrBase_caps;
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_EG_RPrBase_color;
        case oox::NMSP_doc|oox::XML_cs: return NS_ooxml::LN_EG_RPrBase_cs;
        case oox::NMSP_doc|oox::XML_dstrike: return NS_ooxml::LN_EG_RPrBase_dstrike;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: return NS_ooxml::LN_EG_RPrBase_eastAsianLayout;
        case oox::NMSP_doc|oox::XML_effect: return NS_ooxml::LN_EG_RPrBase_effect;
        case oox::NMSP_doc|oox::XML_em: return NS_ooxml::LN_EG_RPrBase_em;
        case oox::NMSP_doc|oox::XML_emboss: return NS_ooxml::LN_EG_RPrBase_emboss;
        case oox::NMSP_doc|oox::XML_fitText: return NS_ooxml::LN_EG_RPrBase_fitText;
        case oox::NMSP_doc|oox::XML_highlight: return NS_ooxml::LN_EG_RPrBase_highlight;
        case oox::NMSP_doc|oox::XML_i: return NS_ooxml::LN_EG_RPrBase_i;
        case oox::NMSP_doc|oox::XML_iCs: return NS_ooxml::LN_EG_RPrBase_iCs;
        case oox::NMSP_doc|oox::XML_imprint: return NS_ooxml::LN_EG_RPrBase_imprint;
        case oox::NMSP_doc|oox::XML_kern: return NS_ooxml::LN_EG_RPrBase_kern;
        case oox::NMSP_doc|oox::XML_lang: return NS_ooxml::LN_EG_RPrBase_lang;
        case oox::NMSP_doc|oox::XML_noProof: return NS_ooxml::LN_EG_RPrBase_noProof;
        case oox::NMSP_doc|oox::XML_oMath: return NS_ooxml::LN_EG_RPrBase_oMath;
        case oox::NMSP_doc|oox::XML_outline: return NS_ooxml::LN_EG_RPrBase_outline;
        case oox::NMSP_doc|oox::XML_position: return NS_ooxml::LN_EG_RPrBase_position;
        case oox::NMSP_doc|oox::XML_rFonts: return NS_ooxml::LN_EG_RPrBase_rFonts;
        case oox::NMSP_doc|oox::XML_rStyle: return NS_ooxml::LN_EG_RPrBase_rStyle;
        case oox::NMSP_doc|oox::XML_rtl: return NS_ooxml::LN_EG_RPrBase_rtl;
        case oox::NMSP_doc|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_shadow;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_EG_RPrBase_shd;
        case oox::NMSP_doc|oox::XML_smallCaps: return NS_ooxml::LN_EG_RPrBase_smallCaps;
        case oox::NMSP_doc|oox::XML_snapToGrid: return NS_ooxml::LN_EG_RPrBase_snapToGrid;
        case oox::NMSP_doc|oox::XML_spacing: return NS_ooxml::LN_EG_RPrBase_spacing;
        case oox::NMSP_doc|oox::XML_specVanish: return NS_ooxml::LN_EG_RPrBase_specVanish;
        case oox::NMSP_doc|oox::XML_strike: return NS_ooxml::LN_EG_RPrBase_strike;
        case oox::NMSP_doc|oox::XML_sz: return NS_ooxml::LN_EG_RPrBase_sz;
        case oox::NMSP_doc|oox::XML_szCs: return NS_ooxml::LN_EG_RPrBase_szCs;
        case oox::NMSP_doc|oox::XML_u: return NS_ooxml::LN_EG_RPrBase_u;
        case oox::NMSP_doc|oox::XML_vanish: return NS_ooxml::LN_EG_RPrBase_vanish;
        case oox::NMSP_doc|oox::XML_vertAlign: return NS_ooxml::LN_EG_RPrBase_vertAlign;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_EG_RPrBase_w;
        case oox::NMSP_doc|oox::XML_webHidden: return NS_ooxml::LN_EG_RPrBase_webHidden;
        case oox::NMSP_w14|oox::XML_cntxtAlts: return NS_ooxml::LN_EG_RPrBase_w14_cntxtAlts;
        case oox::NMSP_w14|oox::XML_glow: return NS_ooxml::LN_EG_RPrBase_w14_glow;
        case oox::NMSP_w14|oox::XML_ligatures: return NS_ooxml::LN_EG_RPrBase_w14_ligatures;
        case oox::NMSP_w14|oox::XML_numForm: return NS_ooxml::LN_EG_RPrBase_w14_numForm;
        case oox::NMSP_w14|oox::XML_numSpacing: return NS_ooxml::LN_EG_RPrBase_w14_numSpacing;
        case oox::NMSP_w14|oox::XML_props3d: return NS_ooxml::LN_EG_RPrBase_w14_props3d;
        case oox::NMSP_w14|oox::XML_reflection: return NS_ooxml::LN_EG_RPrBase_w14_reflection;
        case oox::NMSP_w14|oox::XML_scene3d: return NS_ooxml::LN_EG_RPrBase_w14_scene3d;
        case oox::NMSP_w14|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_w14_shadow;
        case oox::NMSP_w14|oox::XML_stylisticSets: return NS_ooxml::LN_EG_RPrBase_w14_stylisticSets;
        case oox::NMSP_w14|oox::XML_textFill: return NS_ooxml::LN_EG_RPrBase_w14_textFill;
        case oox::NMSP_w14|oox::XML_textOutline: return NS_ooxml::LN_EG_RPrBase_w14_textOutline;
        }
        break;
    case NN_wml|DEFINE_CT_ParaRPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_b: return NS_ooxml::LN_EG_RPrBase_b;
        case oox::NMSP_doc|oox::XML_bCs: return NS_ooxml::LN_EG_RPrBase_bCs;
        case oox::NMSP_doc|oox::XML_bdr: return NS_ooxml::LN_EG_RPrBase_bdr;
        case oox::NMSP_doc|oox::XML_caps: return NS_ooxml::LN_EG_RPrBase_caps;
        case oox::NMSP_doc|oox::XML_color: return NS_ooxml::LN_EG_RPrBase_color;
        case oox::NMSP_doc|oox::XML_cs: return NS_ooxml::LN_EG_RPrBase_cs;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_CT_ParaRPr_del;
        case oox::NMSP_doc|oox::XML_dstrike: return NS_ooxml::LN_EG_RPrBase_dstrike;
        case oox::NMSP_doc|oox::XML_eastAsianLayout: return NS_ooxml::LN_EG_RPrBase_eastAsianLayout;
        case oox::NMSP_doc|oox::XML_effect: return NS_ooxml::LN_EG_RPrBase_effect;
        case oox::NMSP_doc|oox::XML_em: return NS_ooxml::LN_EG_RPrBase_em;
        case oox::NMSP_doc|oox::XML_emboss: return NS_ooxml::LN_EG_RPrBase_emboss;
        case oox::NMSP_doc|oox::XML_fitText: return NS_ooxml::LN_EG_RPrBase_fitText;
        case oox::NMSP_doc|oox::XML_highlight: return NS_ooxml::LN_EG_RPrBase_highlight;
        case oox::NMSP_doc|oox::XML_i: return NS_ooxml::LN_EG_RPrBase_i;
        case oox::NMSP_doc|oox::XML_iCs: return NS_ooxml::LN_EG_RPrBase_iCs;
        case oox::NMSP_doc|oox::XML_imprint: return NS_ooxml::LN_EG_RPrBase_imprint;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_CT_ParaRPr_ins;
        case oox::NMSP_doc|oox::XML_kern: return NS_ooxml::LN_EG_RPrBase_kern;
        case oox::NMSP_doc|oox::XML_lang: return NS_ooxml::LN_EG_RPrBase_lang;
        case oox::NMSP_doc|oox::XML_noProof: return NS_ooxml::LN_EG_RPrBase_noProof;
        case oox::NMSP_doc|oox::XML_oMath: return NS_ooxml::LN_EG_RPrBase_oMath;
        case oox::NMSP_doc|oox::XML_outline: return NS_ooxml::LN_EG_RPrBase_outline;
        case oox::NMSP_doc|oox::XML_position: return NS_ooxml::LN_EG_RPrBase_position;
        case oox::NMSP_doc|oox::XML_rFonts: return NS_ooxml::LN_EG_RPrBase_rFonts;
        case oox::NMSP_doc|oox::XML_rPrChange: return NS_ooxml::LN_CT_ParaRPr_rPrChange;
        case oox::NMSP_doc|oox::XML_rStyle: return NS_ooxml::LN_EG_RPrBase_rStyle;
        case oox::NMSP_doc|oox::XML_rtl: return NS_ooxml::LN_EG_RPrBase_rtl;
        case oox::NMSP_doc|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_shadow;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_EG_RPrBase_shd;
        case oox::NMSP_doc|oox::XML_smallCaps: return NS_ooxml::LN_EG_RPrBase_smallCaps;
        case oox::NMSP_doc|oox::XML_snapToGrid: return NS_ooxml::LN_EG_RPrBase_snapToGrid;
        case oox::NMSP_doc|oox::XML_spacing: return NS_ooxml::LN_EG_RPrBase_spacing;
        case oox::NMSP_doc|oox::XML_specVanish: return NS_ooxml::LN_EG_RPrBase_specVanish;
        case oox::NMSP_doc|oox::XML_strike: return NS_ooxml::LN_EG_RPrBase_strike;
        case oox::NMSP_doc|oox::XML_sz: return NS_ooxml::LN_EG_RPrBase_sz;
        case oox::NMSP_doc|oox::XML_szCs: return NS_ooxml::LN_EG_RPrBase_szCs;
        case oox::NMSP_doc|oox::XML_u: return NS_ooxml::LN_EG_RPrBase_u;
        case oox::NMSP_doc|oox::XML_vanish: return NS_ooxml::LN_EG_RPrBase_vanish;
        case oox::NMSP_doc|oox::XML_vertAlign: return NS_ooxml::LN_EG_RPrBase_vertAlign;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_EG_RPrBase_w;
        case oox::NMSP_doc|oox::XML_webHidden: return NS_ooxml::LN_EG_RPrBase_webHidden;
        case oox::NMSP_w14|oox::XML_cntxtAlts: return NS_ooxml::LN_EG_RPrBase_w14_cntxtAlts;
        case oox::NMSP_w14|oox::XML_glow: return NS_ooxml::LN_EG_RPrBase_w14_glow;
        case oox::NMSP_w14|oox::XML_ligatures: return NS_ooxml::LN_EG_RPrBase_w14_ligatures;
        case oox::NMSP_w14|oox::XML_numForm: return NS_ooxml::LN_EG_RPrBase_w14_numForm;
        case oox::NMSP_w14|oox::XML_numSpacing: return NS_ooxml::LN_EG_RPrBase_w14_numSpacing;
        case oox::NMSP_w14|oox::XML_props3d: return NS_ooxml::LN_EG_RPrBase_w14_props3d;
        case oox::NMSP_w14|oox::XML_reflection: return NS_ooxml::LN_EG_RPrBase_w14_reflection;
        case oox::NMSP_w14|oox::XML_scene3d: return NS_ooxml::LN_EG_RPrBase_w14_scene3d;
        case oox::NMSP_w14|oox::XML_shadow: return NS_ooxml::LN_EG_RPrBase_w14_shadow;
        case oox::NMSP_w14|oox::XML_stylisticSets: return NS_ooxml::LN_EG_RPrBase_w14_stylisticSets;
        case oox::NMSP_w14|oox::XML_textFill: return NS_ooxml::LN_EG_RPrBase_w14_textFill;
        case oox::NMSP_w14|oox::XML_textOutline: return NS_ooxml::LN_EG_RPrBase_w14_textOutline;
        }
        break;
    case NN_wml|DEFINE_CT_ParaTrackChange:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_author: return NS_ooxml::LN_CT_TrackChange_author;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_TrackChange_date;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        }
        break;
    case NN_wml|DEFINE_CT_RubyAlign:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_RubyAlign_val;
        }
        break;
    case NN_wml|DEFINE_CT_RubyPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_dirty: return NS_ooxml::LN_CT_RubyPr_dirty;
        case oox::NMSP_doc|oox::XML_hps: return NS_ooxml::LN_CT_RubyPr_hps;
        case oox::NMSP_doc|oox::XML_hpsBaseText: return NS_ooxml::LN_CT_RubyPr_hpsBaseText;
        case oox::NMSP_doc|oox::XML_hpsRaise: return NS_ooxml::LN_CT_RubyPr_hpsRaise;
        case oox::NMSP_doc|oox::XML_lid: return NS_ooxml::LN_CT_RubyPr_lid;
        case oox::NMSP_doc|oox::XML_rubyAlign: return NS_ooxml::LN_CT_RubyPr_rubyAlign;
        }
        break;
    case NN_wml|DEFINE_EG_RubyContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_r: return NS_ooxml::LN_EG_RubyContent_r;
        }
        break;
    case NN_wml|DEFINE_CT_RubyContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_r: return NS_ooxml::LN_EG_RubyContent_r;
        }
        break;
    case NN_wml|DEFINE_CT_Ruby:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_rt: return NS_ooxml::LN_CT_Ruby_rt;
        case oox::NMSP_doc|oox::XML_rubyBase: return NS_ooxml::LN_CT_Ruby_rubyBase;
        case oox::NMSP_doc|oox::XML_rubyPr: return NS_ooxml::LN_CT_RubyPr;
        }
        break;
    case NN_wml|DEFINE_CT_Lock:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Lock_val;
        }
        break;
    case NN_wml|DEFINE_CT_SdtListItem:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_displayText: return NS_ooxml::LN_CT_SdtListItem_displayText;
        case oox::NMSP_doc|oox::XML_value: return NS_ooxml::LN_CT_SdtListItem_value;
        }
        break;
    case NN_wml|DEFINE_CT_SdtDateMappingType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_SdtDateMappingType_val;
        }
        break;
    case NN_wml|DEFINE_CT_CalendarType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_CalendarType_val;
        }
        break;
    case NN_wml|DEFINE_CT_SdtDate:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_calendar: return NS_ooxml::LN_CT_SdtDate_calendar;
        case oox::NMSP_doc|oox::XML_dateFormat: return NS_ooxml::LN_CT_SdtDate_dateFormat;
        case oox::NMSP_doc|oox::XML_fullDate: return NS_ooxml::LN_CT_SdtDate_fullDate;
        case oox::NMSP_doc|oox::XML_lid: return NS_ooxml::LN_CT_SdtDate_lid;
        case oox::NMSP_doc|oox::XML_storeMappedDataAs: return NS_ooxml::LN_CT_SdtDate_storeMappedDataAs;
        }
        break;
    case NN_wml|DEFINE_CT_SdtDocPart:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_docPartCategory: return NS_ooxml::LN_CT_SdtDocPart_docPartCategory;
        case oox::NMSP_doc|oox::XML_docPartGallery: return NS_ooxml::LN_CT_SdtDocPart_docPartGallery;
        case oox::NMSP_doc|oox::XML_docPartUnique: return NS_ooxml::LN_CT_SdtDocPart_docPartUnique;
        }
        break;
    case NN_wml|DEFINE_CT_SdtDropDownList:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_listItem: return NS_ooxml::LN_CT_SdtDropDownList_listItem;
        }
        break;
    case NN_wml|DEFINE_CT_DataBinding:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_prefixMappings: return NS_ooxml::LN_CT_DataBinding_prefixMappings;
        case oox::NMSP_doc|oox::XML_storeItemID: return NS_ooxml::LN_CT_DataBinding_storeItemID;
        case oox::NMSP_doc|oox::XML_xpath: return NS_ooxml::LN_CT_DataBinding_xpath;
        }
        break;
    case NN_wml|DEFINE_CT_SdtPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_alias: return NS_ooxml::LN_CT_SdtPr_alias;
        case oox::NMSP_doc|oox::XML_bibliography: return NS_ooxml::LN_CT_SdtPr_bibliography;
        case oox::NMSP_doc|oox::XML_citation: return NS_ooxml::LN_CT_SdtPr_citation;
        case oox::NMSP_doc|oox::XML_comboBox: return NS_ooxml::LN_CT_SdtPr_comboBox;
        case oox::NMSP_doc|oox::XML_dataBinding: return NS_ooxml::LN_CT_SdtPr_dataBinding;
        case oox::NMSP_doc|oox::XML_date: return NS_ooxml::LN_CT_SdtPr_date;
        case oox::NMSP_doc|oox::XML_docPartList: return NS_ooxml::LN_CT_SdtPr_docPartList;
        case oox::NMSP_doc|oox::XML_docPartObj: return NS_ooxml::LN_CT_SdtPr_docPartObj;
        case oox::NMSP_doc|oox::XML_dropDownList: return NS_ooxml::LN_CT_SdtPr_dropDownList;
        case oox::NMSP_doc|oox::XML_equation: return NS_ooxml::LN_CT_SdtPr_equation;
        case oox::NMSP_doc|oox::XML_group: return NS_ooxml::LN_CT_SdtPr_group;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_SdtPr_id;
        case oox::NMSP_doc|oox::XML_lock: return NS_ooxml::LN_CT_SdtPr_lock;
        case oox::NMSP_doc|oox::XML_picture: return NS_ooxml::LN_CT_SdtPr_picture;
        case oox::NMSP_doc|oox::XML_placeholder: return NS_ooxml::LN_CT_SdtPr_placeholder;
        case oox::NMSP_doc|oox::XML_rPr: return NS_ooxml::LN_CT_SdtPr_rPr;
        case oox::NMSP_doc|oox::XML_richText: return NS_ooxml::LN_CT_SdtPr_richText;
        case oox::NMSP_doc|oox::XML_showingPlcHdr: return NS_ooxml::LN_CT_SdtPr_showingPlcHdr;
        case oox::NMSP_doc|oox::XML_tag: return NS_ooxml::LN_CT_SdtPr_tag;
        case oox::NMSP_doc|oox::XML_temporary: return NS_ooxml::LN_CT_SdtPr_temporary;
        case oox::NMSP_doc|oox::XML_text: return NS_ooxml::LN_CT_SdtPr_text;
        case oox::NMSP_w14|oox::XML_checkbox: return NS_ooxml::LN_CT_SdtPr_checkbox;
        }
        break;
    case NN_wml|DEFINE_CT_SdtEndPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_rPr: return NS_ooxml::LN_CT_SdtEndPr_rPr;
        }
        break;
    case NN_wml|DEFINE_EG_ContentRunContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_DirContentRun:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_fldSimple: return NS_ooxml::LN_EG_PContent_fldSimple;
        case oox::NMSP_doc|oox::XML_hyperlink: return NS_ooxml::LN_EG_PContent_hyperlink;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_subDoc: return NS_ooxml::LN_EG_PContent_subDoc;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_DirContentRun_val;
        }
        break;
    case NN_wml|DEFINE_CT_SdtContentRun:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_fldSimple: return NS_ooxml::LN_EG_PContent_fldSimple;
        case oox::NMSP_doc|oox::XML_hyperlink: return NS_ooxml::LN_EG_PContent_hyperlink;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_subDoc: return NS_ooxml::LN_EG_PContent_subDoc;
        }
        break;
    case NN_wml|DEFINE_EG_ContentBlockContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_SdtContentBlock:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_EG_ContentRowContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_SdtContentRow:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_EG_ContentCellContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_SdtContentCell:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_SdtBlock:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_sdtContent: return NS_ooxml::LN_CT_SdtBlock_sdtContent;
        case oox::NMSP_doc|oox::XML_sdtEndContent: return NS_ooxml::LN_CT_SdtBlock_sdtEndContent;
        case oox::NMSP_doc|oox::XML_sdtEndPr: return NS_ooxml::LN_CT_SdtBlock_sdtEndPr;
        case oox::NMSP_doc|oox::XML_sdtPr: return NS_ooxml::LN_CT_SdtBlock_sdtPr;
        }
        break;
    case NN_wml|DEFINE_CT_SdtRun:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_sdtContent: return NS_ooxml::LN_CT_SdtRun_sdtContent;
        case oox::NMSP_doc|oox::XML_sdtEndPr: return NS_ooxml::LN_CT_SdtRun_sdtEndPr;
        case oox::NMSP_doc|oox::XML_sdtPr: return NS_ooxml::LN_CT_SdtRun_sdtPr;
        }
        break;
    case NN_wml|DEFINE_CT_SdtCell:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_sdtContent: return NS_ooxml::LN_CT_SdtCell_sdtContent;
        case oox::NMSP_doc|oox::XML_sdtEndPr: return NS_ooxml::LN_CT_SdtCell_sdtEndPr;
        case oox::NMSP_doc|oox::XML_sdtPr: return NS_ooxml::LN_CT_SdtCell_sdtPr;
        }
        break;
    case NN_wml|DEFINE_CT_SdtRow:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_sdtContent: return NS_ooxml::LN_CT_SdtRow_sdtContent;
        case oox::NMSP_doc|oox::XML_sdtEndPr: return NS_ooxml::LN_CT_SdtRow_sdtEndPr;
        case oox::NMSP_doc|oox::XML_sdtPr: return NS_ooxml::LN_CT_SdtRow_sdtPr;
        }
        break;
    case NN_wml|DEFINE_CT_Attr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_Attr_name;
        case oox::NMSP_doc|oox::XML_uri: return NS_ooxml::LN_CT_Attr_uri;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Attr_val;
        }
        break;
    case NN_wml|DEFINE_CT_CustomXmlRun:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlPr: return NS_ooxml::LN_CT_CustomXmlRun_customXmlPr;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_element: return NS_ooxml::LN_CT_CustomXmlRun_element;
        case oox::NMSP_doc|oox::XML_fldSimple: return NS_ooxml::LN_EG_PContent_fldSimple;
        case oox::NMSP_doc|oox::XML_hyperlink: return NS_ooxml::LN_EG_PContent_hyperlink;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_subDoc: return NS_ooxml::LN_EG_PContent_subDoc;
        case oox::NMSP_doc|oox::XML_uri: return NS_ooxml::LN_CT_CustomXmlRun_uri;
        }
        break;
    case NN_wml|DEFINE_CT_SmartTagRun:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_element: return NS_ooxml::LN_CT_SmartTagRun_element;
        case oox::NMSP_doc|oox::XML_fldSimple: return NS_ooxml::LN_EG_PContent_fldSimple;
        case oox::NMSP_doc|oox::XML_hyperlink: return NS_ooxml::LN_EG_PContent_hyperlink;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_smartTagPr: return NS_ooxml::LN_CT_SmartTagRun_smartTagPr;
        case oox::NMSP_doc|oox::XML_subDoc: return NS_ooxml::LN_EG_PContent_subDoc;
        case oox::NMSP_doc|oox::XML_uri: return NS_ooxml::LN_CT_SmartTagRun_uri;
        }
        break;
    case NN_wml|DEFINE_CT_CustomXmlBlock:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlPr: return NS_ooxml::LN_CT_CustomXmlBlock_customXmlPr;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_element: return NS_ooxml::LN_CT_CustomXmlBlock_element;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_uri: return NS_ooxml::LN_CT_CustomXmlBlock_uri;
        }
        break;
    case NN_wml|DEFINE_CT_CustomXmlRow:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlPr: return NS_ooxml::LN_CT_CustomXmlRow_customXmlPr;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_element: return NS_ooxml::LN_CT_CustomXmlRow_element;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_uri: return NS_ooxml::LN_CT_CustomXmlRow_uri;
        }
        break;
    case NN_wml|DEFINE_CT_CustomXmlCell:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlPr: return NS_ooxml::LN_CT_CustomXmlCell_customXmlPr;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_element: return NS_ooxml::LN_CT_CustomXmlCell_element;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_uri: return NS_ooxml::LN_CT_CustomXmlCell_uri;
        }
        break;
    case NN_wml|DEFINE_CT_SmartTagPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_attr: return NS_ooxml::LN_CT_SmartTagPr_attr;
        }
        break;
    case NN_wml|DEFINE_EG_PContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_fldSimple: return NS_ooxml::LN_EG_PContent_fldSimple;
        case oox::NMSP_doc|oox::XML_hyperlink: return NS_ooxml::LN_EG_PContent_hyperlink;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_subDoc: return NS_ooxml::LN_EG_PContent_subDoc;
        }
        break;
    case NN_wml|DEFINE_CT_P:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_fldSimple: return NS_ooxml::LN_EG_PContent_fldSimple;
        case oox::NMSP_doc|oox::XML_hyperlink: return NS_ooxml::LN_EG_PContent_hyperlink;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_subDoc: return NS_ooxml::LN_EG_PContent_subDoc;
        }
        break;
    case NN_wml|DEFINE_CT_Height:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_hRule: return NS_ooxml::LN_CT_Height_hRule;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Height_val;
        }
        break;
    case NN_wml|DEFINE_CT_TblWidth:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_TblWidth_type;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_CT_TblWidth_w;
        }
        break;
    case NN_wml|DEFINE_CT_TblGridCol:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_CT_TblGridCol_w;
        }
        break;
    case NN_wml|DEFINE_CT_TblGridBase:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_gridCol: return NS_ooxml::LN_CT_TblGridBase_gridCol;
        }
        break;
    case NN_wml|DEFINE_CT_TblGrid:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_gridCol: return NS_ooxml::LN_CT_TblGridBase_gridCol;
        case oox::NMSP_doc|oox::XML_tblGridChange: return NS_ooxml::LN_CT_TblGrid_tblGridChange;
        }
        break;
    case NN_wml|DEFINE_CT_TcBorders:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bottom: return NS_ooxml::LN_CT_TcBorders_bottom;
        case oox::NMSP_doc|oox::XML_end: return NS_ooxml::LN_CT_TcBorders_end;
        case oox::NMSP_doc|oox::XML_insideH: return NS_ooxml::LN_CT_TcBorders_insideH;
        case oox::NMSP_doc|oox::XML_insideV: return NS_ooxml::LN_CT_TcBorders_insideV;
        case oox::NMSP_doc|oox::XML_left: return NS_ooxml::LN_CT_TcBorders_left;
        case oox::NMSP_doc|oox::XML_right: return NS_ooxml::LN_CT_TcBorders_right;
        case oox::NMSP_doc|oox::XML_start: return NS_ooxml::LN_CT_TcBorders_start;
        case oox::NMSP_doc|oox::XML_tl2br: return NS_ooxml::LN_CT_TcBorders_tl2br;
        case oox::NMSP_doc|oox::XML_top: return NS_ooxml::LN_CT_TcBorders_top;
        case oox::NMSP_doc|oox::XML_tr2bl: return NS_ooxml::LN_CT_TcBorders_tr2bl;
        }
        break;
    case NN_wml|DEFINE_CT_TcMar:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bottom: return NS_ooxml::LN_CT_TcMar_bottom;
        case oox::NMSP_doc|oox::XML_end: return NS_ooxml::LN_CT_TcMar_end;
        case oox::NMSP_doc|oox::XML_left: return NS_ooxml::LN_CT_TcMar_left;
        case oox::NMSP_doc|oox::XML_right: return NS_ooxml::LN_CT_TcMar_right;
        case oox::NMSP_doc|oox::XML_start: return NS_ooxml::LN_CT_TcMar_start;
        case oox::NMSP_doc|oox::XML_top: return NS_ooxml::LN_CT_TcMar_top;
        }
        break;
    case NN_wml|DEFINE_CT_VMerge:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_VMerge_val;
        }
        break;
    case NN_wml|DEFINE_CT_HMerge:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_HMerge_val;
        }
        break;
    case NN_wml|DEFINE_CT_TcPrBase:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_cellDel: return NS_ooxml::LN_CT_TcPrBase_cellDel;
        case oox::NMSP_doc|oox::XML_cellIns: return NS_ooxml::LN_CT_TcPrBase_cellIns;
        case oox::NMSP_doc|oox::XML_cellMerge: return NS_ooxml::LN_CT_TcPrBase_cellMerge;
        case oox::NMSP_doc|oox::XML_cnfStyle: return NS_ooxml::LN_CT_TcPrBase_cnfStyle;
        case oox::NMSP_doc|oox::XML_gridSpan: return NS_ooxml::LN_CT_TcPrBase_gridSpan;
        case oox::NMSP_doc|oox::XML_hMerge: return NS_ooxml::LN_CT_TcPrBase_hMerge;
        case oox::NMSP_doc|oox::XML_hideMark: return NS_ooxml::LN_CT_TcPrBase_hideMark;
        case oox::NMSP_doc|oox::XML_noWrap: return NS_ooxml::LN_CT_TcPrBase_noWrap;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_CT_TcPrBase_shd;
        case oox::NMSP_doc|oox::XML_tcBorders: return NS_ooxml::LN_CT_TcPrBase_tcBorders;
        case oox::NMSP_doc|oox::XML_tcFitText: return NS_ooxml::LN_CT_TcPrBase_tcFitText;
        case oox::NMSP_doc|oox::XML_tcMar: return NS_ooxml::LN_CT_TcPrBase_tcMar;
        case oox::NMSP_doc|oox::XML_tcW: return NS_ooxml::LN_CT_TcPrBase_tcW;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_CT_TcPrBase_textDirection;
        case oox::NMSP_doc|oox::XML_vAlign: return NS_ooxml::LN_CT_TcPrBase_vAlign;
        case oox::NMSP_doc|oox::XML_vMerge: return NS_ooxml::LN_CT_TcPrBase_vMerge;
        }
        break;
    case NN_wml|DEFINE_CT_TcPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_cellDel: return NS_ooxml::LN_CT_TcPrBase_cellDel;
        case oox::NMSP_doc|oox::XML_cellIns: return NS_ooxml::LN_CT_TcPrBase_cellIns;
        case oox::NMSP_doc|oox::XML_cellMerge: return NS_ooxml::LN_CT_TcPrBase_cellMerge;
        case oox::NMSP_doc|oox::XML_cnfStyle: return NS_ooxml::LN_CT_TcPrBase_cnfStyle;
        case oox::NMSP_doc|oox::XML_gridSpan: return NS_ooxml::LN_CT_TcPrBase_gridSpan;
        case oox::NMSP_doc|oox::XML_hMerge: return NS_ooxml::LN_CT_TcPrBase_hMerge;
        case oox::NMSP_doc|oox::XML_hideMark: return NS_ooxml::LN_CT_TcPrBase_hideMark;
        case oox::NMSP_doc|oox::XML_noWrap: return NS_ooxml::LN_CT_TcPrBase_noWrap;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_CT_TcPrBase_shd;
        case oox::NMSP_doc|oox::XML_tcBorders: return NS_ooxml::LN_CT_TcPrBase_tcBorders;
        case oox::NMSP_doc|oox::XML_tcFitText: return NS_ooxml::LN_CT_TcPrBase_tcFitText;
        case oox::NMSP_doc|oox::XML_tcMar: return NS_ooxml::LN_CT_TcPrBase_tcMar;
        case oox::NMSP_doc|oox::XML_tcPrChange: return NS_ooxml::LN_CT_TcPr_tcPrChange;
        case oox::NMSP_doc|oox::XML_tcW: return NS_ooxml::LN_CT_TcPrBase_tcW;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_CT_TcPrBase_textDirection;
        case oox::NMSP_doc|oox::XML_vAlign: return NS_ooxml::LN_CT_TcPrBase_vAlign;
        case oox::NMSP_doc|oox::XML_vMerge: return NS_ooxml::LN_CT_TcPrBase_vMerge;
        }
        break;
    case NN_wml|DEFINE_CT_TcPrInner:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_cellDel: return NS_ooxml::LN_CT_TcPrBase_cellDel;
        case oox::NMSP_doc|oox::XML_cellIns: return NS_ooxml::LN_CT_TcPrBase_cellIns;
        case oox::NMSP_doc|oox::XML_cellMerge: return NS_ooxml::LN_CT_TcPrBase_cellMerge;
        case oox::NMSP_doc|oox::XML_cnfStyle: return NS_ooxml::LN_CT_TcPrBase_cnfStyle;
        case oox::NMSP_doc|oox::XML_gridSpan: return NS_ooxml::LN_CT_TcPrBase_gridSpan;
        case oox::NMSP_doc|oox::XML_hMerge: return NS_ooxml::LN_CT_TcPrBase_hMerge;
        case oox::NMSP_doc|oox::XML_hideMark: return NS_ooxml::LN_CT_TcPrBase_hideMark;
        case oox::NMSP_doc|oox::XML_noWrap: return NS_ooxml::LN_CT_TcPrBase_noWrap;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_CT_TcPrBase_shd;
        case oox::NMSP_doc|oox::XML_tcBorders: return NS_ooxml::LN_CT_TcPrBase_tcBorders;
        case oox::NMSP_doc|oox::XML_tcFitText: return NS_ooxml::LN_CT_TcPrBase_tcFitText;
        case oox::NMSP_doc|oox::XML_tcMar: return NS_ooxml::LN_CT_TcPrBase_tcMar;
        case oox::NMSP_doc|oox::XML_tcW: return NS_ooxml::LN_CT_TcPrBase_tcW;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_CT_TcPrBase_textDirection;
        case oox::NMSP_doc|oox::XML_vAlign: return NS_ooxml::LN_CT_TcPrBase_vAlign;
        case oox::NMSP_doc|oox::XML_vMerge: return NS_ooxml::LN_CT_TcPrBase_vMerge;
        }
        break;
    case NN_wml|DEFINE_CT_Tc:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_Cnf:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_evenHBand: return NS_ooxml::LN_CT_Cnf_evenHBand;
        case oox::NMSP_doc|oox::XML_evenVBand: return NS_ooxml::LN_CT_Cnf_evenVBand;
        case oox::NMSP_doc|oox::XML_firstColumn: return NS_ooxml::LN_CT_Cnf_firstColumn;
        case oox::NMSP_doc|oox::XML_firstRow: return NS_ooxml::LN_CT_Cnf_firstRow;
        case oox::NMSP_doc|oox::XML_firstRowFirstColumn: return NS_ooxml::LN_CT_Cnf_firstRowFirstColumn;
        case oox::NMSP_doc|oox::XML_firstRowLastColumn: return NS_ooxml::LN_CT_Cnf_firstRowLastColumn;
        case oox::NMSP_doc|oox::XML_lastColumn: return NS_ooxml::LN_CT_Cnf_lastColumn;
        case oox::NMSP_doc|oox::XML_lastRow: return NS_ooxml::LN_CT_Cnf_lastRow;
        case oox::NMSP_doc|oox::XML_lastRowFirstColumn: return NS_ooxml::LN_CT_Cnf_lastRowFirstColumn;
        case oox::NMSP_doc|oox::XML_lastRowLastColumn: return NS_ooxml::LN_CT_Cnf_lastRowLastColumn;
        case oox::NMSP_doc|oox::XML_oddHBand: return NS_ooxml::LN_CT_Cnf_oddHBand;
        case oox::NMSP_doc|oox::XML_oddVBand: return NS_ooxml::LN_CT_Cnf_oddVBand;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Cnf_val;
        }
        break;
    case NN_wml|DEFINE_CT_TrPrBase:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_cantSplit: return NS_ooxml::LN_CT_TrPrBase_cantSplit;
        case oox::NMSP_doc|oox::XML_cnfStyle: return NS_ooxml::LN_CT_TrPrBase_cnfStyle;
        case oox::NMSP_doc|oox::XML_divId: return NS_ooxml::LN_CT_TrPrBase_divId;
        case oox::NMSP_doc|oox::XML_gridBefore: return NS_ooxml::LN_CT_TrPrBase_gridBefore;
        case oox::NMSP_doc|oox::XML_hidden: return NS_ooxml::LN_CT_TrPrBase_hidden;
        case oox::NMSP_doc|oox::XML_jc: return NS_ooxml::LN_CT_TrPrBase_jc;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: return NS_ooxml::LN_CT_TrPrBase_tblCellSpacing;
        case oox::NMSP_doc|oox::XML_tblHeader: return NS_ooxml::LN_CT_TrPrBase_tblHeader;
        case oox::NMSP_doc|oox::XML_trHeight: return NS_ooxml::LN_CT_TrPrBase_trHeight;
        case oox::NMSP_doc|oox::XML_wAfter: return NS_ooxml::LN_CT_TrPrBase_wAfter;
        case oox::NMSP_doc|oox::XML_wBefore: return NS_ooxml::LN_CT_TrPrBase_wBefore;
        }
        break;
    case NN_wml|DEFINE_CT_TrPrBaseGridBefore:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TrPrBase_gridBefore;
        }
        break;
    case NN_wml|DEFINE_CT_TrPrBaseGridAfter:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TrPrBase_gridAfter;
        }
        break;
    case NN_wml|DEFINE_CT_TrPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_cantSplit: return NS_ooxml::LN_CT_TrPrBase_cantSplit;
        case oox::NMSP_doc|oox::XML_cnfStyle: return NS_ooxml::LN_CT_TrPrBase_cnfStyle;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_CT_TrPr_del;
        case oox::NMSP_doc|oox::XML_divId: return NS_ooxml::LN_CT_TrPrBase_divId;
        case oox::NMSP_doc|oox::XML_gridBefore: return NS_ooxml::LN_CT_TrPrBase_gridBefore;
        case oox::NMSP_doc|oox::XML_hidden: return NS_ooxml::LN_CT_TrPrBase_hidden;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_CT_TrPr_ins;
        case oox::NMSP_doc|oox::XML_jc: return NS_ooxml::LN_CT_TrPrBase_jc;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: return NS_ooxml::LN_CT_TrPrBase_tblCellSpacing;
        case oox::NMSP_doc|oox::XML_tblHeader: return NS_ooxml::LN_CT_TrPrBase_tblHeader;
        case oox::NMSP_doc|oox::XML_trHeight: return NS_ooxml::LN_CT_TrPrBase_trHeight;
        case oox::NMSP_doc|oox::XML_trPrChange: return NS_ooxml::LN_CT_TrPr_trPrChange;
        case oox::NMSP_doc|oox::XML_wAfter: return NS_ooxml::LN_CT_TrPrBase_wAfter;
        case oox::NMSP_doc|oox::XML_wBefore: return NS_ooxml::LN_CT_TrPrBase_wBefore;
        }
        break;
    case NN_wml|DEFINE_CT_Row:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_TblLayoutType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_TblLayoutType_type;
        }
        break;
    case NN_wml|DEFINE_CT_TblOverlap:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TblOverlap_val;
        }
        break;
    case NN_wml|DEFINE_CT_TblPPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bottomFromText: return NS_ooxml::LN_CT_TblPPr_bottomFromText;
        case oox::NMSP_doc|oox::XML_horzAnchor: return NS_ooxml::LN_CT_TblPPr_horzAnchor;
        case oox::NMSP_doc|oox::XML_leftFromText: return NS_ooxml::LN_CT_TblPPr_leftFromText;
        case oox::NMSP_doc|oox::XML_rightFromText: return NS_ooxml::LN_CT_TblPPr_rightFromText;
        case oox::NMSP_doc|oox::XML_tblpX: return NS_ooxml::LN_CT_TblPPr_tblpX;
        case oox::NMSP_doc|oox::XML_tblpXSpec: return NS_ooxml::LN_CT_TblPPr_tblpXSpec;
        case oox::NMSP_doc|oox::XML_tblpY: return NS_ooxml::LN_CT_TblPPr_tblpY;
        case oox::NMSP_doc|oox::XML_tblpYSpec: return NS_ooxml::LN_CT_TblPPr_tblpYSpec;
        case oox::NMSP_doc|oox::XML_topFromText: return NS_ooxml::LN_CT_TblPPr_topFromText;
        case oox::NMSP_doc|oox::XML_vertAnchor: return NS_ooxml::LN_CT_TblPPr_vertAnchor;
        }
        break;
    case NN_wml|DEFINE_CT_TblCellMar:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bottom: return NS_ooxml::LN_CT_TblCellMar_bottom;
        case oox::NMSP_doc|oox::XML_end: return NS_ooxml::LN_CT_TblCellMar_end;
        case oox::NMSP_doc|oox::XML_left: return NS_ooxml::LN_CT_TblCellMar_left;
        case oox::NMSP_doc|oox::XML_right: return NS_ooxml::LN_CT_TblCellMar_right;
        case oox::NMSP_doc|oox::XML_start: return NS_ooxml::LN_CT_TblCellMar_start;
        case oox::NMSP_doc|oox::XML_top: return NS_ooxml::LN_CT_TblCellMar_top;
        }
        break;
    case NN_wml|DEFINE_CT_TblBorders:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bottom: return NS_ooxml::LN_CT_TblBorders_bottom;
        case oox::NMSP_doc|oox::XML_end: return NS_ooxml::LN_CT_TblBorders_end;
        case oox::NMSP_doc|oox::XML_insideH: return NS_ooxml::LN_CT_TblBorders_insideH;
        case oox::NMSP_doc|oox::XML_insideV: return NS_ooxml::LN_CT_TblBorders_insideV;
        case oox::NMSP_doc|oox::XML_left: return NS_ooxml::LN_CT_TblBorders_left;
        case oox::NMSP_doc|oox::XML_right: return NS_ooxml::LN_CT_TblBorders_right;
        case oox::NMSP_doc|oox::XML_start: return NS_ooxml::LN_CT_TblBorders_start;
        case oox::NMSP_doc|oox::XML_top: return NS_ooxml::LN_CT_TblBorders_top;
        }
        break;
    case NN_wml|DEFINE_CT_TblPrBase:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bidiVisual: return NS_ooxml::LN_CT_TblPrBase_bidiVisual;
        case oox::NMSP_doc|oox::XML_jc: return NS_ooxml::LN_CT_TblPrBase_jc;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_CT_TblPrBase_shd;
        case oox::NMSP_doc|oox::XML_tblBorders: return NS_ooxml::LN_CT_TblPrBase_tblBorders;
        case oox::NMSP_doc|oox::XML_tblCaption: return NS_ooxml::LN_CT_TblPrBase_tblCaption;
        case oox::NMSP_doc|oox::XML_tblCellMar: return NS_ooxml::LN_CT_TblPrBase_tblCellMar;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: return NS_ooxml::LN_CT_TblPrBase_tblCellSpacing;
        case oox::NMSP_doc|oox::XML_tblDescription: return NS_ooxml::LN_CT_TblPrBase_tblDescription;
        case oox::NMSP_doc|oox::XML_tblInd: return NS_ooxml::LN_CT_TblPrBase_tblInd;
        case oox::NMSP_doc|oox::XML_tblLayout: return NS_ooxml::LN_CT_TblPrBase_tblLayout;
        case oox::NMSP_doc|oox::XML_tblLook: return NS_ooxml::LN_CT_TblPrBase_tblLook;
        case oox::NMSP_doc|oox::XML_tblOverlap: return NS_ooxml::LN_CT_TblPrBase_tblOverlap;
        case oox::NMSP_doc|oox::XML_tblStyle: return NS_ooxml::LN_CT_TblPrBase_tblStyle;
        case oox::NMSP_doc|oox::XML_tblStyleColBandSize: return NS_ooxml::LN_CT_TblPrBase_tblStyleColBandSize;
        case oox::NMSP_doc|oox::XML_tblStyleRowBandSize: return NS_ooxml::LN_CT_TblPrBase_tblStyleRowBandSize;
        case oox::NMSP_doc|oox::XML_tblW: return NS_ooxml::LN_CT_TblPrBase_tblW;
        case oox::NMSP_doc|oox::XML_tblpPr: return NS_ooxml::LN_CT_TblPrBase_tblpPr;
        }
        break;
    case NN_wml|DEFINE_CT_TblPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bidiVisual: return NS_ooxml::LN_CT_TblPrBase_bidiVisual;
        case oox::NMSP_doc|oox::XML_jc: return NS_ooxml::LN_CT_TblPrBase_jc;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_CT_TblPrBase_shd;
        case oox::NMSP_doc|oox::XML_tblBorders: return NS_ooxml::LN_CT_TblPrBase_tblBorders;
        case oox::NMSP_doc|oox::XML_tblCaption: return NS_ooxml::LN_CT_TblPrBase_tblCaption;
        case oox::NMSP_doc|oox::XML_tblCellMar: return NS_ooxml::LN_CT_TblPrBase_tblCellMar;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: return NS_ooxml::LN_CT_TblPrBase_tblCellSpacing;
        case oox::NMSP_doc|oox::XML_tblDescription: return NS_ooxml::LN_CT_TblPrBase_tblDescription;
        case oox::NMSP_doc|oox::XML_tblInd: return NS_ooxml::LN_CT_TblPrBase_tblInd;
        case oox::NMSP_doc|oox::XML_tblLayout: return NS_ooxml::LN_CT_TblPrBase_tblLayout;
        case oox::NMSP_doc|oox::XML_tblLook: return NS_ooxml::LN_CT_TblPrBase_tblLook;
        case oox::NMSP_doc|oox::XML_tblOverlap: return NS_ooxml::LN_CT_TblPrBase_tblOverlap;
        case oox::NMSP_doc|oox::XML_tblPrChange: return NS_ooxml::LN_CT_TblPr_tblPrChange;
        case oox::NMSP_doc|oox::XML_tblStyle: return NS_ooxml::LN_CT_TblPrBase_tblStyle;
        case oox::NMSP_doc|oox::XML_tblStyleColBandSize: return NS_ooxml::LN_CT_TblPrBase_tblStyleColBandSize;
        case oox::NMSP_doc|oox::XML_tblStyleRowBandSize: return NS_ooxml::LN_CT_TblPrBase_tblStyleRowBandSize;
        case oox::NMSP_doc|oox::XML_tblW: return NS_ooxml::LN_CT_TblPrBase_tblW;
        case oox::NMSP_doc|oox::XML_tblpPr: return NS_ooxml::LN_CT_TblPrBase_tblpPr;
        }
        break;
    case NN_wml|DEFINE_CT_TblPrEx:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_tblPrExChange: return NS_ooxml::LN_CT_TblPrEx_tblPrExChange;
        }
        break;
    case NN_wml|DEFINE_CT_Tbl:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_P_Tbl:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_TblLook:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_firstColumn: return NS_ooxml::LN_CT_TblLook_firstColumn;
        case oox::NMSP_doc|oox::XML_firstRow: return NS_ooxml::LN_CT_TblLook_firstRow;
        case oox::NMSP_doc|oox::XML_lastColumn: return NS_ooxml::LN_CT_TblLook_lastColumn;
        case oox::NMSP_doc|oox::XML_lastRow: return NS_ooxml::LN_CT_TblLook_lastRow;
        case oox::NMSP_doc|oox::XML_noHBand: return NS_ooxml::LN_CT_TblLook_noHBand;
        case oox::NMSP_doc|oox::XML_noVBand: return NS_ooxml::LN_CT_TblLook_noVBand;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TblLook_val;
        }
        break;
    case NN_wml|DEFINE_CT_FtnPos:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_FtnPos_val;
        }
        break;
    case NN_wml|DEFINE_CT_EdnPos:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_EdnPos_val;
        }
        break;
    case NN_wml|DEFINE_CT_NumFmt:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_NumFmt_val;
        }
        break;
    case NN_wml|DEFINE_CT_NumRestart:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_NumRestart_val;
        }
        break;
    case NN_wml|DEFINE_CT_FtnEdnRef:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_customMarkFollows: return NS_ooxml::LN_CT_FtnEdnRef_customMarkFollows;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_FtnEdnRef_id;
        }
        break;
    case NN_wml|DEFINE_CT_FtnEdnSepRef:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_FtnEdnSepRef_id;
        }
        break;
    case NN_wml|DEFINE_CT_FtnEdn:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_FtnEdn_id;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_FtnEdn_type;
        }
        break;
    case NN_wml|DEFINE_CT_CommentRef:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_id: return NS_ooxml::LN_CT_Markup_id;
        }
        break;
    case NN_wml|DEFINE_EG_FtnEdnNumProps:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_numRestart: return NS_ooxml::LN_EG_FtnEdnNumProps_numRestart;
        case oox::NMSP_doc|oox::XML_numStart: return NS_ooxml::LN_EG_FtnEdnNumProps_numStart;
        }
        break;
    case NN_wml|DEFINE_CT_FtnProps:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_numFmt: return NS_ooxml::LN_CT_FtnProps_numFmt;
        case oox::NMSP_doc|oox::XML_numRestart: return NS_ooxml::LN_EG_FtnEdnNumProps_numRestart;
        case oox::NMSP_doc|oox::XML_numStart: return NS_ooxml::LN_EG_FtnEdnNumProps_numStart;
        case oox::NMSP_doc|oox::XML_pos: return NS_ooxml::LN_CT_FtnProps_pos;
        }
        break;
    case NN_wml|DEFINE_CT_EdnProps:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_numFmt: return NS_ooxml::LN_CT_EdnProps_numFmt;
        case oox::NMSP_doc|oox::XML_numRestart: return NS_ooxml::LN_EG_FtnEdnNumProps_numRestart;
        case oox::NMSP_doc|oox::XML_numStart: return NS_ooxml::LN_EG_FtnEdnNumProps_numStart;
        case oox::NMSP_doc|oox::XML_pos: return NS_ooxml::LN_CT_EdnProps_pos;
        }
        break;
    case NN_wml|DEFINE_CT_FtnDocProps:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_footnote: return NS_ooxml::LN_CT_FtnDocProps_footnote;
        case oox::NMSP_doc|oox::XML_numFmt: return NS_ooxml::LN_CT_FtnProps_numFmt;
        case oox::NMSP_doc|oox::XML_numRestart: return NS_ooxml::LN_EG_FtnEdnNumProps_numRestart;
        case oox::NMSP_doc|oox::XML_numStart: return NS_ooxml::LN_EG_FtnEdnNumProps_numStart;
        case oox::NMSP_doc|oox::XML_pos: return NS_ooxml::LN_CT_FtnProps_pos;
        }
        break;
    case NN_wml|DEFINE_CT_EdnDocProps:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_endnote: return NS_ooxml::LN_CT_EdnDocProps_endnote;
        case oox::NMSP_doc|oox::XML_numFmt: return NS_ooxml::LN_CT_EdnProps_numFmt;
        case oox::NMSP_doc|oox::XML_numRestart: return NS_ooxml::LN_EG_FtnEdnNumProps_numRestart;
        case oox::NMSP_doc|oox::XML_numStart: return NS_ooxml::LN_EG_FtnEdnNumProps_numStart;
        case oox::NMSP_doc|oox::XML_pos: return NS_ooxml::LN_CT_EdnProps_pos;
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeSourceType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_MailMergeSourceType_val;
        }
        break;
    case NN_wml|DEFINE_CT_MailMerge:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_activeRecord: return NS_ooxml::LN_CT_MailMerge_activeRecord;
        case oox::NMSP_doc|oox::XML_addressFieldName: return NS_ooxml::LN_CT_MailMerge_addressFieldName;
        case oox::NMSP_doc|oox::XML_checkErrors: return NS_ooxml::LN_CT_MailMerge_checkErrors;
        case oox::NMSP_doc|oox::XML_connectString: return NS_ooxml::LN_CT_MailMerge_connectString;
        case oox::NMSP_doc|oox::XML_dataSource: return NS_ooxml::LN_CT_MailMerge_dataSource;
        case oox::NMSP_doc|oox::XML_dataType: return NS_ooxml::LN_CT_MailMerge_dataType;
        case oox::NMSP_doc|oox::XML_destination: return NS_ooxml::LN_CT_MailMerge_destination;
        case oox::NMSP_doc|oox::XML_doNotSuppressBlankLines: return NS_ooxml::LN_CT_MailMerge_doNotSuppressBlankLines;
        case oox::NMSP_doc|oox::XML_headerSource: return NS_ooxml::LN_CT_MailMerge_headerSource;
        case oox::NMSP_doc|oox::XML_linkToQuery: return NS_ooxml::LN_CT_MailMerge_linkToQuery;
        case oox::NMSP_doc|oox::XML_mailAsAttachment: return NS_ooxml::LN_CT_MailMerge_mailAsAttachment;
        case oox::NMSP_doc|oox::XML_mailSubject: return NS_ooxml::LN_CT_MailMerge_mailSubject;
        case oox::NMSP_doc|oox::XML_mainDocumentType: return NS_ooxml::LN_CT_MailMerge_mainDocumentType;
        case oox::NMSP_doc|oox::XML_odso: return NS_ooxml::LN_CT_MailMerge_odso;
        case oox::NMSP_doc|oox::XML_query: return NS_ooxml::LN_CT_MailMerge_query;
        case oox::NMSP_doc|oox::XML_viewMergedData: return NS_ooxml::LN_CT_MailMerge_viewMergedData;
        }
        break;
    case NN_wml|DEFINE_CT_TargetScreenSz:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_TargetScreenSz_val;
        }
        break;
    case NN_wml|DEFINE_CT_Compat:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_adjustLineHeightInTable: return NS_ooxml::LN_CT_Compat_adjustLineHeightInTable;
        case oox::NMSP_doc|oox::XML_alignTablesRowByRow: return NS_ooxml::LN_CT_Compat_alignTablesRowByRow;
        case oox::NMSP_doc|oox::XML_allowSpaceOfSameStyleInTable: return NS_ooxml::LN_CT_Compat_allowSpaceOfSameStyleInTable;
        case oox::NMSP_doc|oox::XML_applyBreakingRules: return NS_ooxml::LN_CT_Compat_applyBreakingRules;
        case oox::NMSP_doc|oox::XML_autoSpaceLikeWord95: return NS_ooxml::LN_CT_Compat_autoSpaceLikeWord95;
        case oox::NMSP_doc|oox::XML_autofitToFirstFixedWidthCell: return NS_ooxml::LN_CT_Compat_autofitToFirstFixedWidthCell;
        case oox::NMSP_doc|oox::XML_balanceSingleByteDoubleByteWidth: return NS_ooxml::LN_CT_Compat_balanceSingleByteDoubleByteWidth;
        case oox::NMSP_doc|oox::XML_cachedColBalance: return NS_ooxml::LN_CT_Compat_cachedColBalance;
        case oox::NMSP_doc|oox::XML_compatSetting: return NS_ooxml::LN_CT_Compat_compatSetting;
        case oox::NMSP_doc|oox::XML_convMailMergeEsc: return NS_ooxml::LN_CT_Compat_convMailMergeEsc;
        case oox::NMSP_doc|oox::XML_displayHangulFixedWidth: return NS_ooxml::LN_CT_Compat_displayHangulFixedWidth;
        case oox::NMSP_doc|oox::XML_doNotAutofitConstrainedTables: return NS_ooxml::LN_CT_Compat_doNotAutofitConstrainedTables;
        case oox::NMSP_doc|oox::XML_doNotBreakConstrainedForcedTable: return NS_ooxml::LN_CT_Compat_doNotBreakConstrainedForcedTable;
        case oox::NMSP_doc|oox::XML_doNotBreakWrappedTables: return NS_ooxml::LN_CT_Compat_doNotBreakWrappedTables;
        case oox::NMSP_doc|oox::XML_doNotExpandShiftReturn: return NS_ooxml::LN_CT_Compat_doNotExpandShiftReturn;
        case oox::NMSP_doc|oox::XML_doNotLeaveBackslashAlone: return NS_ooxml::LN_CT_Compat_doNotLeaveBackslashAlone;
        case oox::NMSP_doc|oox::XML_doNotSnapToGridInCell: return NS_ooxml::LN_CT_Compat_doNotSnapToGridInCell;
        case oox::NMSP_doc|oox::XML_doNotSuppressIndentation: return NS_ooxml::LN_CT_Compat_doNotSuppressIndentation;
        case oox::NMSP_doc|oox::XML_doNotSuppressParagraphBorders: return NS_ooxml::LN_CT_Compat_doNotSuppressParagraphBorders;
        case oox::NMSP_doc|oox::XML_doNotUseEastAsianBreakRules: return NS_ooxml::LN_CT_Compat_doNotUseEastAsianBreakRules;
        case oox::NMSP_doc|oox::XML_doNotUseHTMLParagraphAutoSpacing: return NS_ooxml::LN_CT_Compat_doNotUseHTMLParagraphAutoSpacing;
        case oox::NMSP_doc|oox::XML_doNotUseIndentAsNumberingTabStop: return NS_ooxml::LN_CT_Compat_doNotUseIndentAsNumberingTabStop;
        case oox::NMSP_doc|oox::XML_doNotVertAlignCellWithSp: return NS_ooxml::LN_CT_Compat_doNotVertAlignCellWithSp;
        case oox::NMSP_doc|oox::XML_doNotVertAlignInTxbx: return NS_ooxml::LN_CT_Compat_doNotVertAlignInTxbx;
        case oox::NMSP_doc|oox::XML_doNotWrapTextWithPunct: return NS_ooxml::LN_CT_Compat_doNotWrapTextWithPunct;
        case oox::NMSP_doc|oox::XML_footnoteLayoutLikeWW8: return NS_ooxml::LN_CT_Compat_footnoteLayoutLikeWW8;
        case oox::NMSP_doc|oox::XML_forgetLastTabAlignment: return NS_ooxml::LN_CT_Compat_forgetLastTabAlignment;
        case oox::NMSP_doc|oox::XML_growAutofit: return NS_ooxml::LN_CT_Compat_growAutofit;
        case oox::NMSP_doc|oox::XML_layoutRawTableWidth: return NS_ooxml::LN_CT_Compat_layoutRawTableWidth;
        case oox::NMSP_doc|oox::XML_layoutTableRowsApart: return NS_ooxml::LN_CT_Compat_layoutTableRowsApart;
        case oox::NMSP_doc|oox::XML_lineWrapLikeWord6: return NS_ooxml::LN_CT_Compat_lineWrapLikeWord6;
        case oox::NMSP_doc|oox::XML_mwSmallCaps: return NS_ooxml::LN_CT_Compat_mwSmallCaps;
        case oox::NMSP_doc|oox::XML_noColumnBalance: return NS_ooxml::LN_CT_Compat_noColumnBalance;
        case oox::NMSP_doc|oox::XML_noExtraLineSpacing: return NS_ooxml::LN_CT_Compat_noExtraLineSpacing;
        case oox::NMSP_doc|oox::XML_noLeading: return NS_ooxml::LN_CT_Compat_noLeading;
        case oox::NMSP_doc|oox::XML_noSpaceRaiseLower: return NS_ooxml::LN_CT_Compat_noSpaceRaiseLower;
        case oox::NMSP_doc|oox::XML_noTabHangInd: return NS_ooxml::LN_CT_Compat_noTabHangInd;
        case oox::NMSP_doc|oox::XML_printBodyTextBeforeHeader: return NS_ooxml::LN_CT_Compat_printBodyTextBeforeHeader;
        case oox::NMSP_doc|oox::XML_printColBlack: return NS_ooxml::LN_CT_Compat_printColBlack;
        case oox::NMSP_doc|oox::XML_selectFldWithFirstOrLastChar: return NS_ooxml::LN_CT_Compat_selectFldWithFirstOrLastChar;
        case oox::NMSP_doc|oox::XML_shapeLayoutLikeWW8: return NS_ooxml::LN_CT_Compat_shapeLayoutLikeWW8;
        case oox::NMSP_doc|oox::XML_showBreaksInFrames: return NS_ooxml::LN_CT_Compat_showBreaksInFrames;
        case oox::NMSP_doc|oox::XML_spaceForUL: return NS_ooxml::LN_CT_Compat_spaceForUL;
        case oox::NMSP_doc|oox::XML_spacingInWholePoints: return NS_ooxml::LN_CT_Compat_spacingInWholePoints;
        case oox::NMSP_doc|oox::XML_splitPgBreakAndParaMark: return NS_ooxml::LN_CT_Compat_splitPgBreakAndParaMark;
        case oox::NMSP_doc|oox::XML_subFontBySize: return NS_ooxml::LN_CT_Compat_subFontBySize;
        case oox::NMSP_doc|oox::XML_suppressBottomSpacing: return NS_ooxml::LN_CT_Compat_suppressBottomSpacing;
        case oox::NMSP_doc|oox::XML_suppressSpBfAfterPgBrk: return NS_ooxml::LN_CT_Compat_suppressSpBfAfterPgBrk;
        case oox::NMSP_doc|oox::XML_suppressSpacingAtTopOfPage: return NS_ooxml::LN_CT_Compat_suppressSpacingAtTopOfPage;
        case oox::NMSP_doc|oox::XML_suppressTopSpacing: return NS_ooxml::LN_CT_Compat_suppressTopSpacing;
        case oox::NMSP_doc|oox::XML_suppressTopSpacingWP: return NS_ooxml::LN_CT_Compat_suppressTopSpacingWP;
        case oox::NMSP_doc|oox::XML_swapBordersFacingPages: return NS_ooxml::LN_CT_Compat_swapBordersFacingPages;
        case oox::NMSP_doc|oox::XML_truncateFontHeightsLikeWP6: return NS_ooxml::LN_CT_Compat_truncateFontHeightsLikeWP6;
        case oox::NMSP_doc|oox::XML_ulTrailSpace: return NS_ooxml::LN_CT_Compat_ulTrailSpace;
        case oox::NMSP_doc|oox::XML_underlineTabInNumList: return NS_ooxml::LN_CT_Compat_underlineTabInNumList;
        case oox::NMSP_doc|oox::XML_useAltKinsokuLineBreakRules: return NS_ooxml::LN_CT_Compat_useAltKinsokuLineBreakRules;
        case oox::NMSP_doc|oox::XML_useAnsiKerningPairs: return NS_ooxml::LN_CT_Compat_useAnsiKerningPairs;
        case oox::NMSP_doc|oox::XML_useFELayout: return NS_ooxml::LN_CT_Compat_useFELayout;
        case oox::NMSP_doc|oox::XML_useNormalStyleForList: return NS_ooxml::LN_CT_Compat_useNormalStyleForList;
        case oox::NMSP_doc|oox::XML_usePrinterMetrics: return NS_ooxml::LN_CT_Compat_usePrinterMetrics;
        case oox::NMSP_doc|oox::XML_useSingleBorderforContiguousCells: return NS_ooxml::LN_CT_Compat_useSingleBorderforContiguousCells;
        case oox::NMSP_doc|oox::XML_useWord2002TableStyleRules: return NS_ooxml::LN_CT_Compat_useWord2002TableStyleRules;
        case oox::NMSP_doc|oox::XML_useWord97LineBreakRules: return NS_ooxml::LN_CT_Compat_useWord97LineBreakRules;
        case oox::NMSP_doc|oox::XML_wpJustification: return NS_ooxml::LN_CT_Compat_wpJustification;
        case oox::NMSP_doc|oox::XML_wpSpaceWidth: return NS_ooxml::LN_CT_Compat_wpSpaceWidth;
        case oox::NMSP_doc|oox::XML_wrapTrailSpaces: return NS_ooxml::LN_CT_Compat_wrapTrailSpaces;
        }
        break;
    case NN_wml|DEFINE_CT_CompatSetting:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_CompatSetting_name;
        case oox::NMSP_doc|oox::XML_uri: return NS_ooxml::LN_CT_CompatSetting_uri;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_CompatSetting_val;
        }
        break;
    case NN_wml|DEFINE_CT_DocVar:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_DocVar_name;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_DocVar_val;
        }
        break;
    case NN_wml|DEFINE_CT_DocRsids:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_rsid: return NS_ooxml::LN_CT_DocRsids_rsid;
        case oox::NMSP_doc|oox::XML_rsidRoot: return NS_ooxml::LN_CT_DocRsids_rsidRoot;
        }
        break;
    case NN_wml|DEFINE_CT_CharacterSpacing:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_CharacterSpacing_val;
        }
        break;
    case NN_wml|DEFINE_CT_SaveThroughXslt:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_solutionID: return NS_ooxml::LN_CT_SaveThroughXslt_solutionID;
        case oox::NMSP_officeRel|oox::XML_id: return NS_ooxml::LN_CT_SaveThroughXslt_r_id;
        }
        break;
    case NN_wml|DEFINE_CT_RPrDefault:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_rPr: return NS_ooxml::LN_CT_RPrDefault_rPr;
        }
        break;
    case NN_wml|DEFINE_CT_PPrDefault:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_pPr: return NS_ooxml::LN_CT_PPrDefault_pPr;
        }
        break;
    case NN_wml|DEFINE_CT_DocDefaults:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_pPrDefault: return NS_ooxml::LN_CT_DocDefaults_pPrDefault;
        case oox::NMSP_doc|oox::XML_rPrDefault: return NS_ooxml::LN_CT_DocDefaults_rPrDefault;
        }
        break;
    case NN_wml|DEFINE_CT_ReadingModeInkLockDown:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_actualPg: return NS_ooxml::LN_CT_ReadingModeInkLockDown_actualPg;
        case oox::NMSP_doc|oox::XML_fontSz: return NS_ooxml::LN_CT_ReadingModeInkLockDown_fontSz;
        case oox::NMSP_doc|oox::XML_h: return NS_ooxml::LN_CT_ReadingModeInkLockDown_h;
        case oox::NMSP_doc|oox::XML_w: return NS_ooxml::LN_CT_ReadingModeInkLockDown_w;
        }
        break;
    case NN_wml|DEFINE_CT_WriteProtection:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_algIdExt: return NS_ooxml::LN_AG_Password_algIdExt;
        case oox::NMSP_doc|oox::XML_algIdExtSource: return NS_ooxml::LN_AG_Password_algIdExtSource;
        case oox::NMSP_doc|oox::XML_cryptAlgorithmClass: return NS_ooxml::LN_AG_Password_cryptAlgorithmClass;
        case oox::NMSP_doc|oox::XML_cryptAlgorithmSid: return NS_ooxml::LN_AG_Password_cryptAlgorithmSid;
        case oox::NMSP_doc|oox::XML_cryptAlgorithmType: return NS_ooxml::LN_AG_Password_cryptAlgorithmType;
        case oox::NMSP_doc|oox::XML_cryptProvider: return NS_ooxml::LN_AG_Password_cryptProvider;
        case oox::NMSP_doc|oox::XML_cryptProviderType: return NS_ooxml::LN_AG_Password_cryptProviderType;
        case oox::NMSP_doc|oox::XML_cryptProviderTypeExt: return NS_ooxml::LN_AG_Password_cryptProviderTypeExt;
        case oox::NMSP_doc|oox::XML_cryptProviderTypeExtSource: return NS_ooxml::LN_AG_Password_cryptProviderTypeExtSource;
        case oox::NMSP_doc|oox::XML_cryptSpinCount: return NS_ooxml::LN_AG_Password_cryptSpinCount;
        case oox::NMSP_doc|oox::XML_hash: return NS_ooxml::LN_AG_Password_hash;
        case oox::NMSP_doc|oox::XML_recommended: return NS_ooxml::LN_CT_WriteProtection_recommended;
        case oox::NMSP_doc|oox::XML_salt: return NS_ooxml::LN_AG_Password_salt;
        }
        break;
    case NN_wml|DEFINE_CT_Settings:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_activeWritingStyle: return NS_ooxml::LN_CT_Settings_activeWritingStyle;
        case oox::NMSP_doc|oox::XML_alignBordersAndEdges: return NS_ooxml::LN_CT_Settings_alignBordersAndEdges;
        case oox::NMSP_doc|oox::XML_alwaysMergeEmptyNamespace: return NS_ooxml::LN_CT_Settings_alwaysMergeEmptyNamespace;
        case oox::NMSP_doc|oox::XML_alwaysShowPlaceholderText: return NS_ooxml::LN_CT_Settings_alwaysShowPlaceholderText;
        case oox::NMSP_doc|oox::XML_attachedSchema: return NS_ooxml::LN_CT_Settings_attachedSchema;
        case oox::NMSP_doc|oox::XML_attachedTemplate: return NS_ooxml::LN_CT_Settings_attachedTemplate;
        case oox::NMSP_doc|oox::XML_autoFormatOverride: return NS_ooxml::LN_CT_Settings_autoFormatOverride;
        case oox::NMSP_doc|oox::XML_autoHyphenation: return NS_ooxml::LN_CT_Settings_autoHyphenation;
        case oox::NMSP_doc|oox::XML_bookFoldPrinting: return NS_ooxml::LN_CT_Settings_bookFoldPrinting;
        case oox::NMSP_doc|oox::XML_bookFoldPrintingSheets: return NS_ooxml::LN_CT_Settings_bookFoldPrintingSheets;
        case oox::NMSP_doc|oox::XML_bookFoldRevPrinting: return NS_ooxml::LN_CT_Settings_bookFoldRevPrinting;
        case oox::NMSP_doc|oox::XML_bordersDoNotSurroundFooter: return NS_ooxml::LN_CT_Settings_bordersDoNotSurroundFooter;
        case oox::NMSP_doc|oox::XML_bordersDoNotSurroundHeader: return NS_ooxml::LN_CT_Settings_bordersDoNotSurroundHeader;
        case oox::NMSP_doc|oox::XML_captions: return NS_ooxml::LN_CT_Settings_captions;
        case oox::NMSP_doc|oox::XML_characterSpacingControl: return NS_ooxml::LN_CT_Settings_characterSpacingControl;
        case oox::NMSP_doc|oox::XML_clickAndTypeStyle: return NS_ooxml::LN_CT_Settings_clickAndTypeStyle;
        case oox::NMSP_doc|oox::XML_clrSchemeMapping: return NS_ooxml::LN_CT_Settings_clrSchemeMapping;
        case oox::NMSP_doc|oox::XML_compat: return NS_ooxml::LN_CT_Settings_compat;
        case oox::NMSP_doc|oox::XML_consecutiveHyphenLimit: return NS_ooxml::LN_CT_Settings_consecutiveHyphenLimit;
        case oox::NMSP_doc|oox::XML_decimalSymbol: return NS_ooxml::LN_CT_Settings_decimalSymbol;
        case oox::NMSP_doc|oox::XML_defaultTabStop: return NS_ooxml::LN_CT_Settings_defaultTabStop;
        case oox::NMSP_doc|oox::XML_defaultTableStyle: return NS_ooxml::LN_CT_Settings_defaultTableStyle;
        case oox::NMSP_doc|oox::XML_displayBackgroundShape: return NS_ooxml::LN_CT_Settings_displayBackgroundShape;
        case oox::NMSP_doc|oox::XML_displayHorizontalDrawingGridEvery: return NS_ooxml::LN_CT_Settings_displayHorizontalDrawingGridEvery;
        case oox::NMSP_doc|oox::XML_displayVerticalDrawingGridEvery: return NS_ooxml::LN_CT_Settings_displayVerticalDrawingGridEvery;
        case oox::NMSP_doc|oox::XML_doNotAutoCompressPictures: return NS_ooxml::LN_CT_Settings_doNotAutoCompressPictures;
        case oox::NMSP_doc|oox::XML_doNotDemarcateInvalidXml: return NS_ooxml::LN_CT_Settings_doNotDemarcateInvalidXml;
        case oox::NMSP_doc|oox::XML_doNotDisplayPageBoundaries: return NS_ooxml::LN_CT_Settings_doNotDisplayPageBoundaries;
        case oox::NMSP_doc|oox::XML_doNotEmbedSmartTags: return NS_ooxml::LN_CT_Settings_doNotEmbedSmartTags;
        case oox::NMSP_doc|oox::XML_doNotHyphenateCaps: return NS_ooxml::LN_CT_Settings_doNotHyphenateCaps;
        case oox::NMSP_doc|oox::XML_doNotIncludeSubdocsInStats: return NS_ooxml::LN_CT_Settings_doNotIncludeSubdocsInStats;
        case oox::NMSP_doc|oox::XML_doNotShadeFormData: return NS_ooxml::LN_CT_Settings_doNotShadeFormData;
        case oox::NMSP_doc|oox::XML_doNotTrackFormatting: return NS_ooxml::LN_CT_Settings_doNotTrackFormatting;
        case oox::NMSP_doc|oox::XML_doNotTrackMoves: return NS_ooxml::LN_CT_Settings_doNotTrackMoves;
        case oox::NMSP_doc|oox::XML_doNotUseMarginsForDrawingGridOrigin: return NS_ooxml::LN_CT_Settings_doNotUseMarginsForDrawingGridOrigin;
        case oox::NMSP_doc|oox::XML_doNotValidateAgainstSchema: return NS_ooxml::LN_CT_Settings_doNotValidateAgainstSchema;
        case oox::NMSP_doc|oox::XML_docVars: return NS_ooxml::LN_CT_Settings_docVars;
        case oox::NMSP_doc|oox::XML_documentProtection: return NS_ooxml::LN_CT_Settings_documentProtection;
        case oox::NMSP_doc|oox::XML_documentType: return NS_ooxml::LN_CT_Settings_documentType;
        case oox::NMSP_doc|oox::XML_drawingGridHorizontalOrigin: return NS_ooxml::LN_CT_Settings_drawingGridHorizontalOrigin;
        case oox::NMSP_doc|oox::XML_drawingGridHorizontalSpacing: return NS_ooxml::LN_CT_Settings_drawingGridHorizontalSpacing;
        case oox::NMSP_doc|oox::XML_drawingGridVerticalOrigin: return NS_ooxml::LN_CT_Settings_drawingGridVerticalOrigin;
        case oox::NMSP_doc|oox::XML_drawingGridVerticalSpacing: return NS_ooxml::LN_CT_Settings_drawingGridVerticalSpacing;
        case oox::NMSP_doc|oox::XML_embedSystemFonts: return NS_ooxml::LN_CT_Settings_embedSystemFonts;
        case oox::NMSP_doc|oox::XML_embedTrueTypeFonts: return NS_ooxml::LN_CT_Settings_embedTrueTypeFonts;
        case oox::NMSP_doc|oox::XML_endnotePr: return NS_ooxml::LN_CT_Settings_endnotePr;
        case oox::NMSP_doc|oox::XML_evenAndOddHeaders: return NS_ooxml::LN_CT_Settings_evenAndOddHeaders;
        case oox::NMSP_doc|oox::XML_footnotePr: return NS_ooxml::LN_CT_Settings_footnotePr;
        case oox::NMSP_doc|oox::XML_forceUpgrade: return NS_ooxml::LN_CT_Settings_forceUpgrade;
        case oox::NMSP_doc|oox::XML_formsDesign: return NS_ooxml::LN_CT_Settings_formsDesign;
        case oox::NMSP_doc|oox::XML_gutterAtTop: return NS_ooxml::LN_CT_Settings_gutterAtTop;
        case oox::NMSP_doc|oox::XML_hdrShapeDefaults: return NS_ooxml::LN_CT_Settings_hdrShapeDefaults;
        case oox::NMSP_doc|oox::XML_hideGrammaticalErrors: return NS_ooxml::LN_CT_Settings_hideGrammaticalErrors;
        case oox::NMSP_doc|oox::XML_hideSpellingErrors: return NS_ooxml::LN_CT_Settings_hideSpellingErrors;
        case oox::NMSP_doc|oox::XML_hyphenationZone: return NS_ooxml::LN_CT_Settings_hyphenationZone;
        case oox::NMSP_doc|oox::XML_ignoreMixedContent: return NS_ooxml::LN_CT_Settings_ignoreMixedContent;
        case oox::NMSP_doc|oox::XML_linkStyles: return NS_ooxml::LN_CT_Settings_linkStyles;
        case oox::NMSP_doc|oox::XML_listSeparator: return NS_ooxml::LN_CT_Settings_listSeparator;
        case oox::NMSP_doc|oox::XML_mailMerge: return NS_ooxml::LN_CT_Settings_mailMerge;
        case oox::NMSP_doc|oox::XML_mirrorMargins: return NS_ooxml::LN_CT_Settings_mirrorMargins;
        case oox::NMSP_doc|oox::XML_noLineBreaksAfter: return NS_ooxml::LN_CT_Settings_noLineBreaksAfter;
        case oox::NMSP_doc|oox::XML_noLineBreaksBefore: return NS_ooxml::LN_CT_Settings_noLineBreaksBefore;
        case oox::NMSP_doc|oox::XML_noPunctuationKerning: return NS_ooxml::LN_CT_Settings_noPunctuationKerning;
        case oox::NMSP_doc|oox::XML_printFormsData: return NS_ooxml::LN_CT_Settings_printFormsData;
        case oox::NMSP_doc|oox::XML_printFractionalCharacterWidth: return NS_ooxml::LN_CT_Settings_printFractionalCharacterWidth;
        case oox::NMSP_doc|oox::XML_printPostScriptOverText: return NS_ooxml::LN_CT_Settings_printPostScriptOverText;
        case oox::NMSP_doc|oox::XML_printTwoOnOne: return NS_ooxml::LN_CT_Settings_printTwoOnOne;
        case oox::NMSP_doc|oox::XML_proofState: return NS_ooxml::LN_CT_Settings_proofState;
        case oox::NMSP_doc|oox::XML_readModeInkLockDown: return NS_ooxml::LN_CT_Settings_readModeInkLockDown;
        case oox::NMSP_doc|oox::XML_removeDateAndTime: return NS_ooxml::LN_CT_Settings_removeDateAndTime;
        case oox::NMSP_doc|oox::XML_removePersonalInformation: return NS_ooxml::LN_CT_Settings_removePersonalInformation;
        case oox::NMSP_doc|oox::XML_revisionView: return NS_ooxml::LN_CT_Settings_revisionView;
        case oox::NMSP_doc|oox::XML_rsids: return NS_ooxml::LN_CT_Settings_rsids;
        case oox::NMSP_doc|oox::XML_saveFormsData: return NS_ooxml::LN_CT_Settings_saveFormsData;
        case oox::NMSP_doc|oox::XML_saveInvalidXml: return NS_ooxml::LN_CT_Settings_saveInvalidXml;
        case oox::NMSP_doc|oox::XML_savePreviewPicture: return NS_ooxml::LN_CT_Settings_savePreviewPicture;
        case oox::NMSP_doc|oox::XML_saveSubsetFonts: return NS_ooxml::LN_CT_Settings_saveSubsetFonts;
        case oox::NMSP_doc|oox::XML_saveThroughXslt: return NS_ooxml::LN_CT_Settings_saveThroughXslt;
        case oox::NMSP_doc|oox::XML_saveXmlDataOnly: return NS_ooxml::LN_CT_Settings_saveXmlDataOnly;
        case oox::NMSP_doc|oox::XML_shapeDefaults: return NS_ooxml::LN_CT_Settings_shapeDefaults;
        case oox::NMSP_doc|oox::XML_showEnvelope: return NS_ooxml::LN_CT_Settings_showEnvelope;
        case oox::NMSP_doc|oox::XML_showXMLTags: return NS_ooxml::LN_CT_Settings_showXMLTags;
        case oox::NMSP_doc|oox::XML_smartTagType: return NS_ooxml::LN_CT_Settings_smartTagType;
        case oox::NMSP_doc|oox::XML_strictFirstAndLastChars: return NS_ooxml::LN_CT_Settings_strictFirstAndLastChars;
        case oox::NMSP_doc|oox::XML_styleLockQFSet: return NS_ooxml::LN_CT_Settings_styleLockQFSet;
        case oox::NMSP_doc|oox::XML_styleLockTheme: return NS_ooxml::LN_CT_Settings_styleLockTheme;
        case oox::NMSP_doc|oox::XML_stylePaneFormatFilter: return NS_ooxml::LN_CT_Settings_stylePaneFormatFilter;
        case oox::NMSP_doc|oox::XML_stylePaneSortMethod: return NS_ooxml::LN_CT_Settings_stylePaneSortMethod;
        case oox::NMSP_doc|oox::XML_summaryLength: return NS_ooxml::LN_CT_Settings_summaryLength;
        case oox::NMSP_doc|oox::XML_themeFontLang: return NS_ooxml::LN_CT_Settings_themeFontLang;
        case oox::NMSP_doc|oox::XML_trackRevisions: return NS_ooxml::LN_CT_Settings_trackRevisions;
        case oox::NMSP_doc|oox::XML_uiCompat97To2003: return NS_ooxml::LN_CT_Settings_uiCompat97To2003;
        case oox::NMSP_doc|oox::XML_updateFields: return NS_ooxml::LN_CT_Settings_updateFields;
        case oox::NMSP_doc|oox::XML_useXSLTWhenSaving: return NS_ooxml::LN_CT_Settings_useXSLTWhenSaving;
        case oox::NMSP_doc|oox::XML_view: return NS_ooxml::LN_CT_Settings_view;
        case oox::NMSP_doc|oox::XML_writeProtection: return NS_ooxml::LN_CT_Settings_writeProtection;
        case oox::NMSP_doc|oox::XML_zoom: return NS_ooxml::LN_CT_Settings_zoom;
        }
        break;
    case NN_wml|DEFINE_CT_FrameScrollbar:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_FrameScrollbar_val;
        }
        break;
    case NN_wml|DEFINE_CT_FrameLayout:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_FrameLayout_val;
        }
        break;
    case NN_wml|DEFINE_CT_NumPicBullet:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_numPicBulletId: return NS_ooxml::LN_CT_NumPicBullet_numPicBulletId;
        case oox::NMSP_doc|oox::XML_pict: return NS_ooxml::LN_CT_NumPicBullet_pict;
        }
        break;
    case NN_wml|DEFINE_CT_LevelSuffix:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_LevelSuffix_val;
        }
        break;
    case NN_wml|DEFINE_CT_LevelText:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_null: return NS_ooxml::LN_CT_LevelText_null;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_LevelText_val;
        }
        break;
    case NN_wml|DEFINE_CT_LvlLegacy:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_legacy: return NS_ooxml::LN_CT_LvlLegacy_legacy;
        case oox::NMSP_doc|oox::XML_legacyIndent: return NS_ooxml::LN_CT_LvlLegacy_legacyIndent;
        case oox::NMSP_doc|oox::XML_legacySpace: return NS_ooxml::LN_CT_LvlLegacy_legacySpace;
        }
        break;
    case NN_wml|DEFINE_CT_Lvl:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_ilvl: return NS_ooxml::LN_CT_Lvl_ilvl;
        case oox::NMSP_doc|oox::XML_isLgl: return NS_ooxml::LN_CT_Lvl_isLgl;
        case oox::NMSP_doc|oox::XML_legacy: return NS_ooxml::LN_CT_Lvl_legacy;
        case oox::NMSP_doc|oox::XML_lvlJc: return NS_ooxml::LN_CT_Lvl_lvlJc;
        case oox::NMSP_doc|oox::XML_lvlPicBulletId: return NS_ooxml::LN_CT_Lvl_lvlPicBulletId;
        case oox::NMSP_doc|oox::XML_lvlRestart: return NS_ooxml::LN_CT_Lvl_lvlRestart;
        case oox::NMSP_doc|oox::XML_lvlText: return NS_ooxml::LN_CT_Lvl_lvlText;
        case oox::NMSP_doc|oox::XML_numFmt: return NS_ooxml::LN_CT_Lvl_numFmt;
        case oox::NMSP_doc|oox::XML_pPr: return NS_ooxml::LN_CT_Lvl_pPr;
        case oox::NMSP_doc|oox::XML_pStyle: return NS_ooxml::LN_CT_Lvl_pStyle;
        case oox::NMSP_doc|oox::XML_rPr: return NS_ooxml::LN_CT_Lvl_rPr;
        case oox::NMSP_doc|oox::XML_start: return NS_ooxml::LN_CT_Lvl_start;
        case oox::NMSP_doc|oox::XML_suff: return NS_ooxml::LN_CT_Lvl_suff;
        case oox::NMSP_doc|oox::XML_tentative: return NS_ooxml::LN_CT_Lvl_tentative;
        case oox::NMSP_doc|oox::XML_tplc: return NS_ooxml::LN_CT_Lvl_tplc;
        }
        break;
    case NN_wml|DEFINE_CT_MultiLevelType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_MultiLevelType_val;
        }
        break;
    case NN_wml|DEFINE_CT_AbstractNum:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_abstractNumId: return NS_ooxml::LN_CT_AbstractNum_abstractNumId;
        case oox::NMSP_doc|oox::XML_lvl: return NS_ooxml::LN_CT_AbstractNum_lvl;
        case oox::NMSP_doc|oox::XML_multiLevelType: return NS_ooxml::LN_CT_AbstractNum_multiLevelType;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_AbstractNum_name;
        case oox::NMSP_doc|oox::XML_nsid: return NS_ooxml::LN_CT_AbstractNum_nsid;
        case oox::NMSP_doc|oox::XML_numStyleLink: return NS_ooxml::LN_CT_AbstractNum_numStyleLink;
        case oox::NMSP_doc|oox::XML_styleLink: return NS_ooxml::LN_CT_AbstractNum_styleLink;
        case oox::NMSP_doc|oox::XML_tmpl: return NS_ooxml::LN_CT_AbstractNum_tmpl;
        }
        break;
    case NN_wml|DEFINE_CT_NumLvl:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_ilvl: return NS_ooxml::LN_CT_NumLvl_ilvl;
        case oox::NMSP_doc|oox::XML_lvl: return NS_ooxml::LN_CT_NumLvl_lvl;
        case oox::NMSP_doc|oox::XML_startOverride: return NS_ooxml::LN_CT_NumLvl_startOverride;
        }
        break;
    case NN_wml|DEFINE_CT_Num:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_abstractNumId: return NS_ooxml::LN_CT_Num_abstractNumId;
        case oox::NMSP_doc|oox::XML_lvlOverride: return NS_ooxml::LN_CT_Num_lvlOverride;
        case oox::NMSP_doc|oox::XML_numId: return NS_ooxml::LN_CT_Num_numId;
        }
        break;
    case NN_wml|DEFINE_CT_Numbering:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_abstractNum: return NS_ooxml::LN_CT_Numbering_abstractNum;
        case oox::NMSP_doc|oox::XML_num: return NS_ooxml::LN_CT_Numbering_num;
        case oox::NMSP_doc|oox::XML_numIdMacAtCleanup: return NS_ooxml::LN_CT_Numbering_numIdMacAtCleanup;
        case oox::NMSP_doc|oox::XML_numPicBullet: return NS_ooxml::LN_CT_Numbering_numPicBullet;
        }
        break;
    case NN_wml|DEFINE_CT_Style_tblStylePr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_pPr: return NS_ooxml::LN_CT_PPrBase;
        case oox::NMSP_doc|oox::XML_rPr: return NS_ooxml::LN_EG_RPrBase;
        case oox::NMSP_doc|oox::XML_tblPr: return NS_ooxml::LN_CT_TblPrBase;
        case oox::NMSP_doc|oox::XML_tcPr: return NS_ooxml::LN_CT_TcPrBase;
        case oox::NMSP_doc|oox::XML_trPr: return NS_ooxml::LN_CT_TrPrBase;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_TblStyleOverrideType;
        }
        break;
    case NN_wml|DEFINE_CT_Style_TblPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bidiVisual: return NS_ooxml::LN_CT_TblPrBase_bidiVisual;
        case oox::NMSP_doc|oox::XML_jc: return NS_ooxml::LN_CT_TblPrBase_jc;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_CT_TblPrBase_shd;
        case oox::NMSP_doc|oox::XML_tblBorders: return NS_ooxml::LN_CT_TblPrBase_tblBorders;
        case oox::NMSP_doc|oox::XML_tblCaption: return NS_ooxml::LN_CT_TblPrBase_tblCaption;
        case oox::NMSP_doc|oox::XML_tblCellMar: return NS_ooxml::LN_CT_TblPrBase_tblCellMar;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: return NS_ooxml::LN_CT_TblPrBase_tblCellSpacing;
        case oox::NMSP_doc|oox::XML_tblDescription: return NS_ooxml::LN_CT_TblPrBase_tblDescription;
        case oox::NMSP_doc|oox::XML_tblInd: return NS_ooxml::LN_CT_TblPrBase_tblInd;
        case oox::NMSP_doc|oox::XML_tblLayout: return NS_ooxml::LN_CT_TblPrBase_tblLayout;
        case oox::NMSP_doc|oox::XML_tblLook: return NS_ooxml::LN_CT_TblPrBase_tblLook;
        case oox::NMSP_doc|oox::XML_tblOverlap: return NS_ooxml::LN_CT_TblPrBase_tblOverlap;
        case oox::NMSP_doc|oox::XML_tblStyle: return NS_ooxml::LN_CT_TblPrBase_tblStyle;
        case oox::NMSP_doc|oox::XML_tblStyleColBandSize: return NS_ooxml::LN_CT_TblPrBase_tblStyleColBandSize;
        case oox::NMSP_doc|oox::XML_tblStyleRowBandSize: return NS_ooxml::LN_CT_TblPrBase_tblStyleRowBandSize;
        case oox::NMSP_doc|oox::XML_tblW: return NS_ooxml::LN_CT_TblPrBase_tblW;
        case oox::NMSP_doc|oox::XML_tblpPr: return NS_ooxml::LN_CT_TblPrBase_tblpPr;
        }
        break;
    case NN_wml|DEFINE_CT_Style_TrPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_cantSplit: return NS_ooxml::LN_CT_TrPrBase_cantSplit;
        case oox::NMSP_doc|oox::XML_cnfStyle: return NS_ooxml::LN_CT_TrPrBase_cnfStyle;
        case oox::NMSP_doc|oox::XML_divId: return NS_ooxml::LN_CT_TrPrBase_divId;
        case oox::NMSP_doc|oox::XML_gridBefore: return NS_ooxml::LN_CT_TrPrBase_gridBefore;
        case oox::NMSP_doc|oox::XML_hidden: return NS_ooxml::LN_CT_TrPrBase_hidden;
        case oox::NMSP_doc|oox::XML_jc: return NS_ooxml::LN_CT_TrPrBase_jc;
        case oox::NMSP_doc|oox::XML_tblCellSpacing: return NS_ooxml::LN_CT_TrPrBase_tblCellSpacing;
        case oox::NMSP_doc|oox::XML_tblHeader: return NS_ooxml::LN_CT_TrPrBase_tblHeader;
        case oox::NMSP_doc|oox::XML_trHeight: return NS_ooxml::LN_CT_TrPrBase_trHeight;
        case oox::NMSP_doc|oox::XML_wAfter: return NS_ooxml::LN_CT_TrPrBase_wAfter;
        case oox::NMSP_doc|oox::XML_wBefore: return NS_ooxml::LN_CT_TrPrBase_wBefore;
        }
        break;
    case NN_wml|DEFINE_CT_Style_TcPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_cellDel: return NS_ooxml::LN_CT_TcPrBase_cellDel;
        case oox::NMSP_doc|oox::XML_cellIns: return NS_ooxml::LN_CT_TcPrBase_cellIns;
        case oox::NMSP_doc|oox::XML_cellMerge: return NS_ooxml::LN_CT_TcPrBase_cellMerge;
        case oox::NMSP_doc|oox::XML_cnfStyle: return NS_ooxml::LN_CT_TcPrBase_cnfStyle;
        case oox::NMSP_doc|oox::XML_gridSpan: return NS_ooxml::LN_CT_TcPrBase_gridSpan;
        case oox::NMSP_doc|oox::XML_hMerge: return NS_ooxml::LN_CT_TcPrBase_hMerge;
        case oox::NMSP_doc|oox::XML_hideMark: return NS_ooxml::LN_CT_TcPrBase_hideMark;
        case oox::NMSP_doc|oox::XML_noWrap: return NS_ooxml::LN_CT_TcPrBase_noWrap;
        case oox::NMSP_doc|oox::XML_shd: return NS_ooxml::LN_CT_TcPrBase_shd;
        case oox::NMSP_doc|oox::XML_tcBorders: return NS_ooxml::LN_CT_TcPrBase_tcBorders;
        case oox::NMSP_doc|oox::XML_tcFitText: return NS_ooxml::LN_CT_TcPrBase_tcFitText;
        case oox::NMSP_doc|oox::XML_tcMar: return NS_ooxml::LN_CT_TcPrBase_tcMar;
        case oox::NMSP_doc|oox::XML_tcW: return NS_ooxml::LN_CT_TcPrBase_tcW;
        case oox::NMSP_doc|oox::XML_textDirection: return NS_ooxml::LN_CT_TcPrBase_textDirection;
        case oox::NMSP_doc|oox::XML_vAlign: return NS_ooxml::LN_CT_TcPrBase_vAlign;
        case oox::NMSP_doc|oox::XML_vMerge: return NS_ooxml::LN_CT_TcPrBase_vMerge;
        }
        break;
    case NN_wml|DEFINE_CT_Style:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_aliases: return NS_ooxml::LN_CT_Style_aliases;
        case oox::NMSP_doc|oox::XML_autoRedefine: return NS_ooxml::LN_CT_Style_autoRedefine;
        case oox::NMSP_doc|oox::XML_basedOn: return NS_ooxml::LN_CT_Style_basedOn;
        case oox::NMSP_doc|oox::XML_customStyle: return NS_ooxml::LN_CT_Style_customStyle;
        case oox::NMSP_doc|oox::XML_default: return NS_ooxml::LN_CT_Style_default;
        case oox::NMSP_doc|oox::XML_hidden: return NS_ooxml::LN_CT_Style_hidden;
        case oox::NMSP_doc|oox::XML_link: return NS_ooxml::LN_CT_Style_link;
        case oox::NMSP_doc|oox::XML_locked: return NS_ooxml::LN_CT_Style_locked;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_Style_name;
        case oox::NMSP_doc|oox::XML_next: return NS_ooxml::LN_CT_Style_next;
        case oox::NMSP_doc|oox::XML_pPr: return NS_ooxml::LN_CT_Style_pPr;
        case oox::NMSP_doc|oox::XML_personal: return NS_ooxml::LN_CT_Style_personal;
        case oox::NMSP_doc|oox::XML_personalCompose: return NS_ooxml::LN_CT_Style_personalCompose;
        case oox::NMSP_doc|oox::XML_personalReply: return NS_ooxml::LN_CT_Style_personalReply;
        case oox::NMSP_doc|oox::XML_qFormat: return NS_ooxml::LN_CT_Style_qFormat;
        case oox::NMSP_doc|oox::XML_rPr: return NS_ooxml::LN_CT_Style_rPr;
        case oox::NMSP_doc|oox::XML_rsid: return NS_ooxml::LN_CT_Style_rsid;
        case oox::NMSP_doc|oox::XML_semiHidden: return NS_ooxml::LN_CT_Style_semiHidden;
        case oox::NMSP_doc|oox::XML_styleId: return NS_ooxml::LN_CT_Style_styleId;
        case oox::NMSP_doc|oox::XML_tblPr: return NS_ooxml::LN_CT_Style_tblPr;
        case oox::NMSP_doc|oox::XML_tblStylePr: return NS_ooxml::LN_CT_Style_tblStylePr;
        case oox::NMSP_doc|oox::XML_tcPr: return NS_ooxml::LN_CT_Style_tcPr;
        case oox::NMSP_doc|oox::XML_trPr: return NS_ooxml::LN_CT_Style_trPr;
        case oox::NMSP_doc|oox::XML_type: return NS_ooxml::LN_CT_Style_type;
        case oox::NMSP_doc|oox::XML_uiPriority: return NS_ooxml::LN_CT_Style_uiPriority;
        case oox::NMSP_doc|oox::XML_unhideWhenUsed: return NS_ooxml::LN_CT_Style_unhideWhenUsed;
        }
        break;
    case NN_wml|DEFINE_CT_LsdException:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_locked: return NS_ooxml::LN_CT_LsdException_locked;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_LsdException_name;
        case oox::NMSP_doc|oox::XML_qFormat: return NS_ooxml::LN_CT_LsdException_qFormat;
        case oox::NMSP_doc|oox::XML_semiHidden: return NS_ooxml::LN_CT_LsdException_semiHidden;
        case oox::NMSP_doc|oox::XML_uiPriority: return NS_ooxml::LN_CT_LsdException_uiPriority;
        case oox::NMSP_doc|oox::XML_unhideWhenUsed: return NS_ooxml::LN_CT_LsdException_unhideWhenUsed;
        }
        break;
    case NN_wml|DEFINE_CT_LatentStyles:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_count: return NS_ooxml::LN_CT_LatentStyles_count;
        case oox::NMSP_doc|oox::XML_defLockedState: return NS_ooxml::LN_CT_LatentStyles_defLockedState;
        case oox::NMSP_doc|oox::XML_defQFormat: return NS_ooxml::LN_CT_LatentStyles_defQFormat;
        case oox::NMSP_doc|oox::XML_defSemiHidden: return NS_ooxml::LN_CT_LatentStyles_defSemiHidden;
        case oox::NMSP_doc|oox::XML_defUIPriority: return NS_ooxml::LN_CT_LatentStyles_defUIPriority;
        case oox::NMSP_doc|oox::XML_defUnhideWhenUsed: return NS_ooxml::LN_CT_LatentStyles_defUnhideWhenUsed;
        case oox::NMSP_doc|oox::XML_lsdException: return NS_ooxml::LN_CT_LatentStyles_lsdException;
        }
        break;
    case NN_wml|DEFINE_CT_Panose:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Panose_val;
        }
        break;
    case NN_wml|DEFINE_CT_FontFamily:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_FontFamily_val;
        }
        break;
    case NN_wml|DEFINE_CT_Pitch:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Pitch_val;
        }
        break;
    case NN_wml|DEFINE_CT_FontSig:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_csb0: return NS_ooxml::LN_CT_FontSig_csb0;
        case oox::NMSP_doc|oox::XML_csb1: return NS_ooxml::LN_CT_FontSig_csb1;
        case oox::NMSP_doc|oox::XML_usb0: return NS_ooxml::LN_CT_FontSig_usb0;
        case oox::NMSP_doc|oox::XML_usb1: return NS_ooxml::LN_CT_FontSig_usb1;
        case oox::NMSP_doc|oox::XML_usb2: return NS_ooxml::LN_CT_FontSig_usb2;
        case oox::NMSP_doc|oox::XML_usb3: return NS_ooxml::LN_CT_FontSig_usb3;
        }
        break;
    case NN_wml|DEFINE_CT_FontRel:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_fontKey: return NS_ooxml::LN_CT_FontRel_fontKey;
        case oox::NMSP_doc|oox::XML_subsetted: return NS_ooxml::LN_CT_FontRel_subsetted;
        case oox::NMSP_officeRel|oox::XML_id: return NS_ooxml::LN_CT_Rel_id;
        }
        break;
    case NN_wml|DEFINE_CT_Font:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_altName: return NS_ooxml::LN_CT_Font_altName;
        case oox::NMSP_doc|oox::XML_characterSet: return NS_ooxml::LN_CT_Font_characterSet;
        case oox::NMSP_doc|oox::XML_charset: return NS_ooxml::LN_CT_Font_charset;
        case oox::NMSP_doc|oox::XML_embedBold: return NS_ooxml::LN_CT_Font_embedBold;
        case oox::NMSP_doc|oox::XML_embedBoldItalic: return NS_ooxml::LN_CT_Font_embedBoldItalic;
        case oox::NMSP_doc|oox::XML_embedItalic: return NS_ooxml::LN_CT_Font_embedItalic;
        case oox::NMSP_doc|oox::XML_embedRegular: return NS_ooxml::LN_CT_Font_embedRegular;
        case oox::NMSP_doc|oox::XML_family: return NS_ooxml::LN_CT_Font_family;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_Font_name;
        case oox::NMSP_doc|oox::XML_notTrueType: return NS_ooxml::LN_CT_Font_notTrueType;
        case oox::NMSP_doc|oox::XML_panose1: return NS_ooxml::LN_CT_Font_panose1;
        case oox::NMSP_doc|oox::XML_pitch: return NS_ooxml::LN_CT_Font_pitch;
        case oox::NMSP_doc|oox::XML_sig: return NS_ooxml::LN_CT_Font_sig;
        }
        break;
    case NN_wml|DEFINE_CT_Charset:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_characterSet: return NS_ooxml::LN_CT_Charset_characterSet;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_Charset_val;
        }
        break;
    case NN_wml|DEFINE_CT_TxbxContent:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_EG_BlockLevelChunkElts:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_EG_BlockLevelElts:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_EG_RunLevelElts:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_Body:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_bookmarkEnd: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd;
        case oox::NMSP_doc|oox::XML_bookmarkStart: return NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart;
        case oox::NMSP_doc|oox::XML_commentRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd;
        case oox::NMSP_doc|oox::XML_commentRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlDelRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlInsRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd;
        case oox::NMSP_doc|oox::XML_customXmlMoveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart;
        case oox::NMSP_doc|oox::XML_del: return NS_ooxml::LN_EG_RunLevelElts_del;
        case oox::NMSP_doc|oox::XML_ins: return NS_ooxml::LN_EG_RunLevelElts_ins;
        case oox::NMSP_doc|oox::XML_moveFrom: return NS_ooxml::LN_EG_RunLevelElts_moveFrom;
        case oox::NMSP_doc|oox::XML_moveFromRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd;
        case oox::NMSP_doc|oox::XML_moveFromRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart;
        case oox::NMSP_doc|oox::XML_moveTo: return NS_ooxml::LN_EG_RunLevelElts_moveTo;
        case oox::NMSP_doc|oox::XML_moveToRangeEnd: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd;
        case oox::NMSP_doc|oox::XML_moveToRangeStart: return NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart;
        case oox::NMSP_doc|oox::XML_permEnd: return NS_ooxml::LN_EG_RunLevelElts_permEnd;
        case oox::NMSP_doc|oox::XML_permStart: return NS_ooxml::LN_EG_RunLevelElts_permStart;
        case oox::NMSP_doc|oox::XML_proofErr: return NS_ooxml::LN_EG_RunLevelElts_proofErr;
        }
        break;
    case NN_wml|DEFINE_CT_ShapeDefaults:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_allowincell: return NS_ooxml::LN_CT_ShapeDefaults_allowincell;
        case oox::NMSP_doc|oox::XML_colormenu: return NS_ooxml::LN_CT_ShapeDefaults_colormenu;
        case oox::NMSP_doc|oox::XML_colormru: return NS_ooxml::LN_CT_ShapeDefaults_colormru;
        case oox::NMSP_doc|oox::XML_fill: return NS_ooxml::LN_CT_ShapeDefaults_fill;
        case oox::NMSP_doc|oox::XML_fillcolor: return NS_ooxml::LN_CT_ShapeDefaults_fillcolor;
        case oox::NMSP_doc|oox::XML_spidmax: return NS_ooxml::LN_CT_ShapeDefaults_spidmax;
        case oox::NMSP_doc|oox::XML_stroke: return NS_ooxml::LN_CT_ShapeDefaults_stroke;
        case oox::NMSP_doc|oox::XML_strokecolor: return NS_ooxml::LN_CT_ShapeDefaults_strokecolor;
        case oox::NMSP_doc|oox::XML_style: return NS_ooxml::LN_CT_ShapeDefaults_style;
        case oox::NMSP_vml|oox::XML_fill: return NS_ooxml::LN_CT_ShapeDefaults_v_fill;
        case oox::NMSP_vml|oox::XML_shadow: return NS_ooxml::LN_CT_ShapeDefaults_v_shadow;
        case oox::NMSP_vml|oox::XML_stroke: return NS_ooxml::LN_CT_ShapeDefaults_v_stroke;
        case oox::NMSP_vml|oox::XML_textbox: return NS_ooxml::LN_CT_ShapeDefaults_v_textbox;
        }
        break;
    case NN_wml|DEFINE_CT_SmartTagType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_SmartTagType_name;
        case oox::NMSP_doc|oox::XML_namespaceuri: return NS_ooxml::LN_CT_SmartTagType_namespaceuri;
        case oox::NMSP_doc|oox::XML_url: return NS_ooxml::LN_CT_SmartTagType_url;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartBehavior:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_DocPartBehavior_val;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartType:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_DocPartType_val;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartGallery:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_DocPartGallery_val;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartCategory:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_gallery: return NS_ooxml::LN_CT_DocPartCategory_gallery;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartName:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_decorated: return NS_ooxml::LN_CT_DocPartName_decorated;
        case oox::NMSP_doc|oox::XML_val: return NS_ooxml::LN_CT_DocPartName_val;
        }
        break;
    case NN_wml|DEFINE_CT_DocPartPr:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_category: return NS_ooxml::LN_CT_DocPartPr_category;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_DocPartPr_name;
        }
        break;
    case NN_wml|DEFINE_settings:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_settings: return NS_ooxml::LN_settings_settings;
        }
        break;
    case NN_wml|DEFINE_fonts:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_fonts: return NS_ooxml::LN_FONTTABLE;
        }
        break;
    case NN_wml|DEFINE_numbering:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_numbering: return NS_ooxml::LN_NUMBERING;
        }
        break;
    case NN_wml|DEFINE_styles:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_styles: return NS_ooxml::LN_STYLESHEET;
        }
        break;
    case NN_wml|DEFINE_CT_Caption:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_chapNum: return NS_ooxml::LN_CT_Caption_chapNum;
        case oox::NMSP_doc|oox::XML_heading: return NS_ooxml::LN_CT_Caption_heading;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_Caption_name;
        case oox::NMSP_doc|oox::XML_noLabel: return NS_ooxml::LN_CT_Caption_noLabel;
        case oox::NMSP_doc|oox::XML_numFmt: return NS_ooxml::LN_CT_Caption_numFmt;
        case oox::NMSP_doc|oox::XML_pos: return NS_ooxml::LN_CT_Caption_pos;
        case oox::NMSP_doc|oox::XML_sep: return NS_ooxml::LN_CT_Caption_sep;
        }
        break;
    case NN_wml|DEFINE_CT_AutoCaption:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_caption: return NS_ooxml::LN_CT_AutoCaption_caption;
        case oox::NMSP_doc|oox::XML_name: return NS_ooxml::LN_CT_AutoCaption_name;
        }
        break;
    case NN_wml|DEFINE_CT_AutoCaptions:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_autoCaption: return NS_ooxml::LN_CT_AutoCaptions_autoCaption;
        }
        break;
    case NN_wml|DEFINE_CT_Captions:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_autoCaptions: return NS_ooxml::LN_CT_Captions_autoCaptions;
        case oox::NMSP_doc|oox::XML_caption: return NS_ooxml::LN_CT_Captions_caption;
        }
        break;
    case NN_wml|DEFINE_CT_DocumentBase:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_background: return NS_ooxml::LN_CT_DocumentBase_background;
        }
        break;
    case NN_wml|DEFINE_CT_Document:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_background: return NS_ooxml::LN_CT_DocumentBase_background;
        }
        break;
    case NN_wml|DEFINE_CT_GlossaryDocument:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_background: return NS_ooxml::LN_CT_DocumentBase_background;
        }
        break;
    default:
        switch (nToken)
        {
        case oox::NMSP_doc|oox::XML_settings: return NS_ooxml::LN_settings_settings;
        case oox::NMSP_doc|oox::XML_fonts: return NS_ooxml::LN_FONTTABLE;
        case oox::NMSP_doc|oox::XML_numbering: return NS_ooxml::LN_NUMBERING;
        case oox::NMSP_doc|oox::XML_styles: return NS_ooxml::LN_STYLESHEET;
        }
        break;
    }
    return 0;
}

void OOXMLFactory_wml::attributeAction(OOXMLFastContextHandler* _pHandler, Token_t nToken, const OOXMLValue::Pointer_t& pValue)
{
    switch (_pHandler->getDefine())
    {
    case NN_wml|DEFINE_CT_OnOff:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_LongHexNumber:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_ShortHexNumber:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_UcharHexNumber:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_DecimalNumber:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TwipsMeasure:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_SignedTwipsMeasure:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_PixelsMeasure:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_HpsMeasure:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_SignedHpsMeasure:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_MacroName:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_String:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TextScale:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_Highlight:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_Lang:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_Guid:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TextEffect:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_VerticalAlignRun:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_Em:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_Jc:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeDocType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeDataType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeDest:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeOdsoFMDFieldType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TextDirection:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TextAlignment:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_Comment:
        if (OOXMLFastContextHandlerXNote* pHandler = dynamic_cast<OOXMLFastContextHandlerXNote*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_id))
                pHandler->checkId(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TextboxTightWrap:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_FFTextType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_FFName:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_SectType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_VerticalJc:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_RubyAlign:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_Lock:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_SdtDateMappingType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_CalendarType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_DirContentRun:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TblGridCol:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_w))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_VMerge:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_HMerge:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TrPrBaseGridAfter:
        if (OOXMLFastContextHandlerTextTableRow* pHandler = dynamic_cast<OOXMLFastContextHandlerTextTableRow*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->handleGridAfter(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TblLayoutType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_type))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TblOverlap:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_FtnPos:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_EdnPos:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_NumFmt:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_NumRestart:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_FtnEdnRef:
        if (OOXMLFastContextHandlerProperties* pHandler = dynamic_cast<OOXMLFastContextHandlerProperties*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_id))
                pHandler->setXNoteId(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_FtnEdn:
        if (OOXMLFastContextHandlerXNote* pHandler = dynamic_cast<OOXMLFastContextHandlerXNote*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_type))
                pHandler->checkType(pValue);
            else if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_id))
                pHandler->checkId(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_MailMergeSourceType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_TargetScreenSz:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_CharacterSpacing:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_FrameScrollbar:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_FrameLayout:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_LevelSuffix:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_MultiLevelType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_Panose:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_FontFamily:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_DocPartBehavior:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    case NN_wml|DEFINE_CT_DocPartType:
        if (OOXMLFastContextHandlerValue* pHandler = dynamic_cast<OOXMLFastContextHandlerValue*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_doc|oox::XML_val))
                pHandler->setValue(pValue);
        }
        break;
    default:
        break;
    }
}

/// @endcond
}}
