
#include "ooxml/resourceids.hxx"
#include "ooxml/QNameToString.hxx"

namespace writerfilter
{

void QNameToString::init()
{
#ifdef DBG_UTIL
    /* ooxml */

    mMap[NS_ooxml::LN_shape] = "ooxml:shape";
    mMap[NS_ooxml::LN_token] = "ooxml:token";
    mMap[NS_ooxml::LN_inputstream] = "ooxml:inputstream";
    mMap[NS_ooxml::LN_trackchange] = "ooxml:trackchange";
    mMap[NS_ooxml::LN_object] = "ooxml:object";
    mMap[NS_ooxml::LN_tblStart] = "ooxml:tblStart";
    mMap[NS_ooxml::LN_tblEnd] = "ooxml:tblEnd";
    mMap[NS_ooxml::LN_tcStart] = "ooxml:tcStart";
    mMap[NS_ooxml::LN_tcEnd] = "ooxml:tcEnd";
    mMap[NS_ooxml::LN_tblDepth] = "ooxml:tblDepth";
    mMap[NS_ooxml::LN_inTbl] = "ooxml:inTbl";
    mMap[NS_ooxml::LN_tblCell] = "ooxml:tblCell";
    mMap[NS_ooxml::LN_tblRow] = "ooxml:tblRow";
    mMap[NS_ooxml::LN_ffdata] = "ooxml:ffdata";
    mMap[NS_ooxml::LN_starmath] = "ooxml:starmath";
    mMap[NS_ooxml::LN_blip] = "ooxml:blip";
    mMap[NS_ooxml::LN_payload] = "ooxml:payload";
    mMap[NS_ooxml::LN_footnote] = "ooxml:footnote";
    mMap[NS_ooxml::LN_endnote] = "ooxml:endnote";
    mMap[NS_ooxml::LN_annotation] = "ooxml:annotation";
    mMap[NS_ooxml::LN_headerl] = "ooxml:headerl";
    mMap[NS_ooxml::LN_headerr] = "ooxml:headerr";
    mMap[NS_ooxml::LN_headerf] = "ooxml:headerf";
    mMap[NS_ooxml::LN_footerl] = "ooxml:footerl";
    mMap[NS_ooxml::LN_footerr] = "ooxml:footerr";
    mMap[NS_ooxml::LN_footerf] = "ooxml:footerf";
    mMap[NS_ooxml::LN_CT_Settings_widowControl] = "ooxml:CT_Settings_widowControl";
    mMap[NS_ooxml::LN_CT_Settings_longerSpaceSequence] = "ooxml:CT_Settings_longerSpaceSequence";
    mMap[NS_ooxml::LN_THEMETABLE] = "ooxml:THEMETABLE";
    mMap[NS_ooxml::LN_CT_Hyperlink_r_id] = "ooxml:CT_Hyperlink_r_id";
    mMap[NS_ooxml::LN_hlinkClick_hlinkClick] = "ooxml:hlinkClick_hlinkClick";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigDirection_tl] = "ooxml:Value_drawingml_ST_LightRigDirection_tl";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigDirection_t] = "ooxml:Value_drawingml_ST_LightRigDirection_t";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigDirection_tr] = "ooxml:Value_drawingml_ST_LightRigDirection_tr";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigDirection_l] = "ooxml:Value_drawingml_ST_LightRigDirection_l";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigDirection_r] = "ooxml:Value_drawingml_ST_LightRigDirection_r";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigDirection_bl] = "ooxml:Value_drawingml_ST_LightRigDirection_bl";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigDirection_b] = "ooxml:Value_drawingml_ST_LightRigDirection_b";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigDirection_br] = "ooxml:Value_drawingml_ST_LightRigDirection_br";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyFlat1] = "ooxml:Value_drawingml_ST_LightRigType_legacyFlat1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyFlat2] = "ooxml:Value_drawingml_ST_LightRigType_legacyFlat2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyFlat3] = "ooxml:Value_drawingml_ST_LightRigType_legacyFlat3";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyFlat4] = "ooxml:Value_drawingml_ST_LightRigType_legacyFlat4";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyNormal1] = "ooxml:Value_drawingml_ST_LightRigType_legacyNormal1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyNormal2] = "ooxml:Value_drawingml_ST_LightRigType_legacyNormal2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyNormal3] = "ooxml:Value_drawingml_ST_LightRigType_legacyNormal3";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyNormal4] = "ooxml:Value_drawingml_ST_LightRigType_legacyNormal4";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyHarsh1] = "ooxml:Value_drawingml_ST_LightRigType_legacyHarsh1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyHarsh2] = "ooxml:Value_drawingml_ST_LightRigType_legacyHarsh2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyHarsh3] = "ooxml:Value_drawingml_ST_LightRigType_legacyHarsh3";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_legacyHarsh4] = "ooxml:Value_drawingml_ST_LightRigType_legacyHarsh4";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_threePt] = "ooxml:Value_drawingml_ST_LightRigType_threePt";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_balanced] = "ooxml:Value_drawingml_ST_LightRigType_balanced";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_soft] = "ooxml:Value_drawingml_ST_LightRigType_soft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_harsh] = "ooxml:Value_drawingml_ST_LightRigType_harsh";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_flood] = "ooxml:Value_drawingml_ST_LightRigType_flood";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_contrasting] = "ooxml:Value_drawingml_ST_LightRigType_contrasting";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_morning] = "ooxml:Value_drawingml_ST_LightRigType_morning";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_sunrise] = "ooxml:Value_drawingml_ST_LightRigType_sunrise";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_sunset] = "ooxml:Value_drawingml_ST_LightRigType_sunset";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_chilly] = "ooxml:Value_drawingml_ST_LightRigType_chilly";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_freezing] = "ooxml:Value_drawingml_ST_LightRigType_freezing";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_flat] = "ooxml:Value_drawingml_ST_LightRigType_flat";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_twoPt] = "ooxml:Value_drawingml_ST_LightRigType_twoPt";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_glow] = "ooxml:Value_drawingml_ST_LightRigType_glow";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LightRigType_brightRoom] = "ooxml:Value_drawingml_ST_LightRigType_brightRoom";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_relaxedInset] = "ooxml:Value_drawingml_ST_BevelPresetType_relaxedInset";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_circle] = "ooxml:Value_drawingml_ST_BevelPresetType_circle";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_slope] = "ooxml:Value_drawingml_ST_BevelPresetType_slope";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_cross] = "ooxml:Value_drawingml_ST_BevelPresetType_cross";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_angle] = "ooxml:Value_drawingml_ST_BevelPresetType_angle";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_softRound] = "ooxml:Value_drawingml_ST_BevelPresetType_softRound";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_convex] = "ooxml:Value_drawingml_ST_BevelPresetType_convex";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_coolSlant] = "ooxml:Value_drawingml_ST_BevelPresetType_coolSlant";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_divot] = "ooxml:Value_drawingml_ST_BevelPresetType_divot";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_riblet] = "ooxml:Value_drawingml_ST_BevelPresetType_riblet";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_hardEdge] = "ooxml:Value_drawingml_ST_BevelPresetType_hardEdge";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_artDeco] = "ooxml:Value_drawingml_ST_BevelPresetType_artDeco";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_legacyMatte] = "ooxml:Value_drawingml_ST_PresetMaterialType_legacyMatte";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_legacyPlastic] = "ooxml:Value_drawingml_ST_PresetMaterialType_legacyPlastic";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_legacyMetal] = "ooxml:Value_drawingml_ST_PresetMaterialType_legacyMetal";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_legacyWireframe] = "ooxml:Value_drawingml_ST_PresetMaterialType_legacyWireframe";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_matte] = "ooxml:Value_drawingml_ST_PresetMaterialType_matte";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_plastic] = "ooxml:Value_drawingml_ST_PresetMaterialType_plastic";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_metal] = "ooxml:Value_drawingml_ST_PresetMaterialType_metal";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_warmMatte] = "ooxml:Value_drawingml_ST_PresetMaterialType_warmMatte";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_translucentPowder] = "ooxml:Value_drawingml_ST_PresetMaterialType_translucentPowder";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_powder] = "ooxml:Value_drawingml_ST_PresetMaterialType_powder";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_dkEdge] = "ooxml:Value_drawingml_ST_PresetMaterialType_dkEdge";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_softEdge] = "ooxml:Value_drawingml_ST_PresetMaterialType_softEdge";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_clear] = "ooxml:Value_drawingml_ST_PresetMaterialType_clear";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_flat] = "ooxml:Value_drawingml_ST_PresetMaterialType_flat";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_softmetal] = "ooxml:Value_drawingml_ST_PresetMaterialType_softmetal";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueTopLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyObliqueTopLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueTop] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyObliqueTop";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueTopRight] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyObliqueTopRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyObliqueLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueFront] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyObliqueFront";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueRight] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyObliqueRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueBottomLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyObliqueBottomLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueBottom] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyObliqueBottom";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueBottomRight] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyObliqueBottomRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveTopLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyPerspectiveTopLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveTop] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyPerspectiveTop";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveTopRight] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyPerspectiveTopRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyPerspectiveLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveFront] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyPerspectiveFront";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveRight] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyPerspectiveRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveBottomLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyPerspectiveBottomLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveBottom] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyPerspectiveBottom";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveBottomRight] = "ooxml:Value_drawingml_ST_PresetCameraType_legacyPerspectiveBottomRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_orthographicFront] = "ooxml:Value_drawingml_ST_PresetCameraType_orthographicFront";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricTopUp] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricTopUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricTopDown] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricTopDown";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricBottomUp] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricBottomUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricBottomDown] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricBottomDown";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricLeftUp] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricLeftUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricLeftDown] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricLeftDown";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricRightUp] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricRightUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricRightDown] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricRightDown";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis1Left] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis1Left";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis1Right] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis1Right";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis1Top] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis1Top";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis2Left] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis2Left";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis2Right] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis2Right";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis2Top] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis2Top";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis3Left] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis3Left";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis3Right] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis3Right";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis3Bottom] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis3Bottom";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis4Left] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis4Left";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis4Right] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis4Right";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis4Bottom] = "ooxml:Value_drawingml_ST_PresetCameraType_isometricOffAxis4Bottom";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueTopLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_obliqueTopLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueTop] = "ooxml:Value_drawingml_ST_PresetCameraType_obliqueTop";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueTopRight] = "ooxml:Value_drawingml_ST_PresetCameraType_obliqueTopRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_obliqueLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueRight] = "ooxml:Value_drawingml_ST_PresetCameraType_obliqueRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueBottomLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_obliqueBottomLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueBottom] = "ooxml:Value_drawingml_ST_PresetCameraType_obliqueBottom";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueBottomRight] = "ooxml:Value_drawingml_ST_PresetCameraType_obliqueBottomRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveFront] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveFront";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveLeft] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveRight] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveAbove] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveAbove";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveBelow] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveBelow";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveAboveLeftFacing] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveAboveLeftFacing";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveAboveRightFacing] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveAboveRightFacing";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveContrastingLeftFacing] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveContrastingLeftFacing";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveContrastingRightFacing] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveContrastingRightFacing";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveHeroicLeftFacing] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveHeroicLeftFacing";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveHeroicRightFacing] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveHeroicRightFacing";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveHeroicExtremeLeftFacing] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveHeroicExtremeLeftFacing";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveHeroicExtremeRightFacing] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveHeroicExtremeRightFacing";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveRelaxed] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveRelaxed";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveRelaxedModerately] = "ooxml:Value_drawingml_ST_PresetCameraType_perspectiveRelaxedModerately";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_dk1] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_dk1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_lt1] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_lt1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_dk2] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_dk2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_lt2] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_lt2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_accent1] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_accent1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_accent2] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_accent2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_accent3] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_accent3";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_accent4] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_accent4";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_accent5] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_accent5";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_accent6] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_accent6";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_hlink] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_hlink";
    mMap[NS_ooxml::LN_Value_drawingml_ST_ColorSchemeIndex_folHlink] = "ooxml:Value_drawingml_ST_ColorSchemeIndex_folHlink";
    mMap[NS_ooxml::LN_CT_ColorScheme_dk1] = "ooxml:CT_ColorScheme_dk1";
    mMap[NS_ooxml::LN_CT_ColorScheme_lt1] = "ooxml:CT_ColorScheme_lt1";
    mMap[NS_ooxml::LN_CT_ColorScheme_dk2] = "ooxml:CT_ColorScheme_dk2";
    mMap[NS_ooxml::LN_CT_ColorScheme_lt2] = "ooxml:CT_ColorScheme_lt2";
    mMap[NS_ooxml::LN_CT_ColorScheme_accent1] = "ooxml:CT_ColorScheme_accent1";
    mMap[NS_ooxml::LN_CT_ColorScheme_accent2] = "ooxml:CT_ColorScheme_accent2";
    mMap[NS_ooxml::LN_CT_ColorScheme_accent3] = "ooxml:CT_ColorScheme_accent3";
    mMap[NS_ooxml::LN_CT_ColorScheme_accent4] = "ooxml:CT_ColorScheme_accent4";
    mMap[NS_ooxml::LN_CT_ColorScheme_accent5] = "ooxml:CT_ColorScheme_accent5";
    mMap[NS_ooxml::LN_CT_ColorScheme_accent6] = "ooxml:CT_ColorScheme_accent6";
    mMap[NS_ooxml::LN_CT_ColorScheme_hlink] = "ooxml:CT_ColorScheme_hlink";
    mMap[NS_ooxml::LN_CT_ColorScheme_folHlink] = "ooxml:CT_ColorScheme_folHlink";
    mMap[NS_ooxml::LN_CT_ColorScheme_extLst] = "ooxml:CT_ColorScheme_extLst";
    mMap[NS_ooxml::LN_CT_ColorScheme_name] = "ooxml:CT_ColorScheme_name";
    mMap[NS_ooxml::LN_CT_SupplementalFont_script] = "ooxml:CT_SupplementalFont_script";
    mMap[NS_ooxml::LN_CT_SupplementalFont_typeface] = "ooxml:CT_SupplementalFont_typeface";
    mMap[NS_ooxml::LN_CT_FontCollection_latin] = "ooxml:CT_FontCollection_latin";
    mMap[NS_ooxml::LN_CT_FontCollection_ea] = "ooxml:CT_FontCollection_ea";
    mMap[NS_ooxml::LN_CT_FontCollection_cs] = "ooxml:CT_FontCollection_cs";
    mMap[NS_ooxml::LN_CT_FontCollection_font] = "ooxml:CT_FontCollection_font";
    mMap[NS_ooxml::LN_CT_FontCollection_extLst] = "ooxml:CT_FontCollection_extLst";
    mMap[NS_ooxml::LN_CT_FontScheme_majorFont] = "ooxml:CT_FontScheme_majorFont";
    mMap[NS_ooxml::LN_CT_FontScheme_minorFont] = "ooxml:CT_FontScheme_minorFont";
    mMap[NS_ooxml::LN_CT_FontScheme_extLst] = "ooxml:CT_FontScheme_extLst";
    mMap[NS_ooxml::LN_CT_FontScheme_name] = "ooxml:CT_FontScheme_name";
    mMap[NS_ooxml::LN_CT_LineStyleList_ln] = "ooxml:CT_LineStyleList_ln";
    mMap[NS_ooxml::LN_CT_EffectStyleList_effectStyle] = "ooxml:CT_EffectStyleList_effectStyle";
    mMap[NS_ooxml::LN_CT_StyleMatrix_fillStyleLst] = "ooxml:CT_StyleMatrix_fillStyleLst";
    mMap[NS_ooxml::LN_CT_StyleMatrix_lnStyleLst] = "ooxml:CT_StyleMatrix_lnStyleLst";
    mMap[NS_ooxml::LN_CT_StyleMatrix_effectStyleLst] = "ooxml:CT_StyleMatrix_effectStyleLst";
    mMap[NS_ooxml::LN_CT_StyleMatrix_bgFillStyleLst] = "ooxml:CT_StyleMatrix_bgFillStyleLst";
    mMap[NS_ooxml::LN_CT_StyleMatrix_name] = "ooxml:CT_StyleMatrix_name";
    mMap[NS_ooxml::LN_CT_BaseStyles_clrScheme] = "ooxml:CT_BaseStyles_clrScheme";
    mMap[NS_ooxml::LN_CT_BaseStyles_fontScheme] = "ooxml:CT_BaseStyles_fontScheme";
    mMap[NS_ooxml::LN_CT_BaseStyles_fmtScheme] = "ooxml:CT_BaseStyles_fmtScheme";
    mMap[NS_ooxml::LN_CT_BaseStyles_extLst] = "ooxml:CT_BaseStyles_extLst";
    mMap[NS_ooxml::LN_CT_TextFont_typeface] = "ooxml:CT_TextFont_typeface";
    mMap[NS_ooxml::LN_CT_TextFont_panose] = "ooxml:CT_TextFont_panose";
    mMap[NS_ooxml::LN_CT_TextFont_pitchFamily] = "ooxml:CT_TextFont_pitchFamily";
    mMap[NS_ooxml::LN_CT_TextFont_charset] = "ooxml:CT_TextFont_charset";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_none] = "ooxml:Value_drawingml_ST_TextUnderlineType_none";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_words] = "ooxml:Value_drawingml_ST_TextUnderlineType_words";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_sng] = "ooxml:Value_drawingml_ST_TextUnderlineType_sng";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dbl] = "ooxml:Value_drawingml_ST_TextUnderlineType_dbl";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_heavy] = "ooxml:Value_drawingml_ST_TextUnderlineType_heavy";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dotted] = "ooxml:Value_drawingml_ST_TextUnderlineType_dotted";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dottedHeavy] = "ooxml:Value_drawingml_ST_TextUnderlineType_dottedHeavy";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dash] = "ooxml:Value_drawingml_ST_TextUnderlineType_dash";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dashHeavy] = "ooxml:Value_drawingml_ST_TextUnderlineType_dashHeavy";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dashLong] = "ooxml:Value_drawingml_ST_TextUnderlineType_dashLong";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dashLongHeavy] = "ooxml:Value_drawingml_ST_TextUnderlineType_dashLongHeavy";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dotDash] = "ooxml:Value_drawingml_ST_TextUnderlineType_dotDash";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dotDashHeavy] = "ooxml:Value_drawingml_ST_TextUnderlineType_dotDashHeavy";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dotDotDash] = "ooxml:Value_drawingml_ST_TextUnderlineType_dotDotDash";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_dotDotDashHeavy] = "ooxml:Value_drawingml_ST_TextUnderlineType_dotDotDashHeavy";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_wavy] = "ooxml:Value_drawingml_ST_TextUnderlineType_wavy";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_wavyHeavy] = "ooxml:Value_drawingml_ST_TextUnderlineType_wavyHeavy";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextUnderlineType_wavyDbl] = "ooxml:Value_drawingml_ST_TextUnderlineType_wavyDbl";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextStrikeType_noStrike] = "ooxml:Value_drawingml_ST_TextStrikeType_noStrike";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextStrikeType_sngStrike] = "ooxml:Value_drawingml_ST_TextStrikeType_sngStrike";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextStrikeType_dblStrike] = "ooxml:Value_drawingml_ST_TextStrikeType_dblStrike";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextCapsType_none] = "ooxml:Value_drawingml_ST_TextCapsType_none";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextCapsType_small] = "ooxml:Value_drawingml_ST_TextCapsType_small";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextCapsType_all] = "ooxml:Value_drawingml_ST_TextCapsType_all";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw1] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw2] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw3] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw3";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw4] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw4";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw5] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw5";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw6] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw6";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw7] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw7";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw8] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw8";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw9] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw9";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw10] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw10";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw11] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw11";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw12] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw12";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw13] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw13";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw14] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw14";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw15] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw15";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw16] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw16";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw17] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw17";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw18] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw18";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw19] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw19";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetShadowVal_shdw20] = "ooxml:Value_drawingml_ST_PresetShadowVal_shdw20";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PathShadeType_shape] = "ooxml:Value_drawingml_ST_PathShadeType_shape";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PathShadeType_circle] = "ooxml:Value_drawingml_ST_PathShadeType_circle";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PathShadeType_rect] = "ooxml:Value_drawingml_ST_PathShadeType_rect";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TileFlipMode_none] = "ooxml:Value_drawingml_ST_TileFlipMode_none";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TileFlipMode_x] = "ooxml:Value_drawingml_ST_TileFlipMode_x";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TileFlipMode_y] = "ooxml:Value_drawingml_ST_TileFlipMode_y";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TileFlipMode_xy] = "ooxml:Value_drawingml_ST_TileFlipMode_xy";
    mMap[NS_ooxml::LN_CT_GradientStop_pos] = "ooxml:CT_GradientStop_pos";
    mMap[NS_ooxml::LN_CT_TileInfoProperties_tx] = "ooxml:CT_TileInfoProperties_tx";
    mMap[NS_ooxml::LN_CT_TileInfoProperties_ty] = "ooxml:CT_TileInfoProperties_ty";
    mMap[NS_ooxml::LN_CT_TileInfoProperties_sx] = "ooxml:CT_TileInfoProperties_sx";
    mMap[NS_ooxml::LN_CT_TileInfoProperties_sy] = "ooxml:CT_TileInfoProperties_sy";
    mMap[NS_ooxml::LN_CT_TileInfoProperties_flip] = "ooxml:CT_TileInfoProperties_flip";
    mMap[NS_ooxml::LN_CT_TileInfoProperties_algn] = "ooxml:CT_TileInfoProperties_algn";
    mMap[NS_ooxml::LN_CT_StretchInfoProperties_fillRect] = "ooxml:CT_StretchInfoProperties_fillRect";
    mMap[NS_ooxml::LN_EG_FillModeProperties_tile] = "ooxml:EG_FillModeProperties_tile";
    mMap[NS_ooxml::LN_EG_FillModeProperties_stretch] = "ooxml:EG_FillModeProperties_stretch";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlipCompression_email] = "ooxml:Value_drawingml_ST_BlipCompression_email";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlipCompression_screen] = "ooxml:Value_drawingml_ST_BlipCompression_screen";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlipCompression_print] = "ooxml:Value_drawingml_ST_BlipCompression_print";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlipCompression_hqprint] = "ooxml:Value_drawingml_ST_BlipCompression_hqprint";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlipCompression_none] = "ooxml:Value_drawingml_ST_BlipCompression_none";
    mMap[NS_ooxml::LN_CT_Blip_alphaBiLevel] = "ooxml:CT_Blip_alphaBiLevel";
    mMap[NS_ooxml::LN_CT_Blip_alphaCeiling] = "ooxml:CT_Blip_alphaCeiling";
    mMap[NS_ooxml::LN_CT_Blip_alphaFloor] = "ooxml:CT_Blip_alphaFloor";
    mMap[NS_ooxml::LN_CT_Blip_alphaInv] = "ooxml:CT_Blip_alphaInv";
    mMap[NS_ooxml::LN_CT_Blip_alphaMod] = "ooxml:CT_Blip_alphaMod";
    mMap[NS_ooxml::LN_CT_Blip_alphaModFix] = "ooxml:CT_Blip_alphaModFix";
    mMap[NS_ooxml::LN_CT_Blip_alphaRepl] = "ooxml:CT_Blip_alphaRepl";
    mMap[NS_ooxml::LN_CT_Blip_biLevel] = "ooxml:CT_Blip_biLevel";
    mMap[NS_ooxml::LN_CT_Blip_blur] = "ooxml:CT_Blip_blur";
    mMap[NS_ooxml::LN_CT_Blip_clrChange] = "ooxml:CT_Blip_clrChange";
    mMap[NS_ooxml::LN_CT_Blip_clrRepl] = "ooxml:CT_Blip_clrRepl";
    mMap[NS_ooxml::LN_CT_Blip_duotone] = "ooxml:CT_Blip_duotone";
    mMap[NS_ooxml::LN_CT_Blip_fillOverlay] = "ooxml:CT_Blip_fillOverlay";
    mMap[NS_ooxml::LN_CT_Blip_grayscl] = "ooxml:CT_Blip_grayscl";
    mMap[NS_ooxml::LN_CT_Blip_hsl] = "ooxml:CT_Blip_hsl";
    mMap[NS_ooxml::LN_CT_Blip_lum] = "ooxml:CT_Blip_lum";
    mMap[NS_ooxml::LN_CT_Blip_tint] = "ooxml:CT_Blip_tint";
    mMap[NS_ooxml::LN_CT_Blip_extLst] = "ooxml:CT_Blip_extLst";
    mMap[NS_ooxml::LN_CT_Blip_cstate] = "ooxml:CT_Blip_cstate";
    mMap[NS_ooxml::LN_CT_BlipFillProperties_blip] = "ooxml:CT_BlipFillProperties_blip";
    mMap[NS_ooxml::LN_CT_BlipFillProperties_srcRect] = "ooxml:CT_BlipFillProperties_srcRect";
    mMap[NS_ooxml::LN_CT_BlipFillProperties_dpi] = "ooxml:CT_BlipFillProperties_dpi";
    mMap[NS_ooxml::LN_CT_BlipFillProperties_rotWithShape] = "ooxml:CT_BlipFillProperties_rotWithShape";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct5] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct5";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct10] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct10";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct20] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct20";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct25] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct25";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct30] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct30";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct40] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct40";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct50] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct50";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct60] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct60";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct70] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct70";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct75] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct75";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct80] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct80";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_pct90] = "ooxml:Value_drawingml_ST_PresetPatternVal_pct90";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_horz] = "ooxml:Value_drawingml_ST_PresetPatternVal_horz";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_vert] = "ooxml:Value_drawingml_ST_PresetPatternVal_vert";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_ltHorz] = "ooxml:Value_drawingml_ST_PresetPatternVal_ltHorz";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_ltVert] = "ooxml:Value_drawingml_ST_PresetPatternVal_ltVert";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dkHorz] = "ooxml:Value_drawingml_ST_PresetPatternVal_dkHorz";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dkVert] = "ooxml:Value_drawingml_ST_PresetPatternVal_dkVert";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_narHorz] = "ooxml:Value_drawingml_ST_PresetPatternVal_narHorz";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_narVert] = "ooxml:Value_drawingml_ST_PresetPatternVal_narVert";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dashHorz] = "ooxml:Value_drawingml_ST_PresetPatternVal_dashHorz";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dashVert] = "ooxml:Value_drawingml_ST_PresetPatternVal_dashVert";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_cross] = "ooxml:Value_drawingml_ST_PresetPatternVal_cross";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dnDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_dnDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_upDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_upDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_ltDnDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_ltDnDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_ltUpDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_ltUpDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dkDnDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_dkDnDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dkUpDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_dkUpDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_wdDnDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_wdDnDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_wdUpDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_wdUpDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dashDnDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_dashDnDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dashUpDiag] = "ooxml:Value_drawingml_ST_PresetPatternVal_dashUpDiag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_diagCross] = "ooxml:Value_drawingml_ST_PresetPatternVal_diagCross";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_smCheck] = "ooxml:Value_drawingml_ST_PresetPatternVal_smCheck";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_lgCheck] = "ooxml:Value_drawingml_ST_PresetPatternVal_lgCheck";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_smGrid] = "ooxml:Value_drawingml_ST_PresetPatternVal_smGrid";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_lgGrid] = "ooxml:Value_drawingml_ST_PresetPatternVal_lgGrid";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dotGrid] = "ooxml:Value_drawingml_ST_PresetPatternVal_dotGrid";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_smConfetti] = "ooxml:Value_drawingml_ST_PresetPatternVal_smConfetti";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_lgConfetti] = "ooxml:Value_drawingml_ST_PresetPatternVal_lgConfetti";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_horzBrick] = "ooxml:Value_drawingml_ST_PresetPatternVal_horzBrick";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_diagBrick] = "ooxml:Value_drawingml_ST_PresetPatternVal_diagBrick";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_solidDmnd] = "ooxml:Value_drawingml_ST_PresetPatternVal_solidDmnd";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_openDmnd] = "ooxml:Value_drawingml_ST_PresetPatternVal_openDmnd";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_dotDmnd] = "ooxml:Value_drawingml_ST_PresetPatternVal_dotDmnd";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_plaid] = "ooxml:Value_drawingml_ST_PresetPatternVal_plaid";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_sphere] = "ooxml:Value_drawingml_ST_PresetPatternVal_sphere";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_weave] = "ooxml:Value_drawingml_ST_PresetPatternVal_weave";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_divot] = "ooxml:Value_drawingml_ST_PresetPatternVal_divot";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_shingle] = "ooxml:Value_drawingml_ST_PresetPatternVal_shingle";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_wave] = "ooxml:Value_drawingml_ST_PresetPatternVal_wave";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_trellis] = "ooxml:Value_drawingml_ST_PresetPatternVal_trellis";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetPatternVal_zigZag] = "ooxml:Value_drawingml_ST_PresetPatternVal_zigZag";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlendMode_over] = "ooxml:Value_drawingml_ST_BlendMode_over";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlendMode_mult] = "ooxml:Value_drawingml_ST_BlendMode_mult";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlendMode_screen] = "ooxml:Value_drawingml_ST_BlendMode_screen";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlendMode_darken] = "ooxml:Value_drawingml_ST_BlendMode_darken";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlendMode_lighten] = "ooxml:Value_drawingml_ST_BlendMode_lighten";
    mMap[NS_ooxml::LN_EG_Effect_cont] = "ooxml:EG_Effect_cont";
    mMap[NS_ooxml::LN_EG_Effect_effect] = "ooxml:EG_Effect_effect";
    mMap[NS_ooxml::LN_EG_Effect_alphaBiLevel] = "ooxml:EG_Effect_alphaBiLevel";
    mMap[NS_ooxml::LN_EG_Effect_alphaCeiling] = "ooxml:EG_Effect_alphaCeiling";
    mMap[NS_ooxml::LN_EG_Effect_alphaFloor] = "ooxml:EG_Effect_alphaFloor";
    mMap[NS_ooxml::LN_EG_Effect_alphaInv] = "ooxml:EG_Effect_alphaInv";
    mMap[NS_ooxml::LN_EG_Effect_alphaMod] = "ooxml:EG_Effect_alphaMod";
    mMap[NS_ooxml::LN_EG_Effect_alphaModFix] = "ooxml:EG_Effect_alphaModFix";
    mMap[NS_ooxml::LN_EG_Effect_alphaOutset] = "ooxml:EG_Effect_alphaOutset";
    mMap[NS_ooxml::LN_EG_Effect_alphaRepl] = "ooxml:EG_Effect_alphaRepl";
    mMap[NS_ooxml::LN_EG_Effect_biLevel] = "ooxml:EG_Effect_biLevel";
    mMap[NS_ooxml::LN_EG_Effect_blend] = "ooxml:EG_Effect_blend";
    mMap[NS_ooxml::LN_EG_Effect_blur] = "ooxml:EG_Effect_blur";
    mMap[NS_ooxml::LN_EG_Effect_clrChange] = "ooxml:EG_Effect_clrChange";
    mMap[NS_ooxml::LN_EG_Effect_clrRepl] = "ooxml:EG_Effect_clrRepl";
    mMap[NS_ooxml::LN_EG_Effect_duotone] = "ooxml:EG_Effect_duotone";
    mMap[NS_ooxml::LN_EG_Effect_fill] = "ooxml:EG_Effect_fill";
    mMap[NS_ooxml::LN_EG_Effect_fillOverlay] = "ooxml:EG_Effect_fillOverlay";
    mMap[NS_ooxml::LN_EG_Effect_glow] = "ooxml:EG_Effect_glow";
    mMap[NS_ooxml::LN_EG_Effect_grayscl] = "ooxml:EG_Effect_grayscl";
    mMap[NS_ooxml::LN_EG_Effect_hsl] = "ooxml:EG_Effect_hsl";
    mMap[NS_ooxml::LN_EG_Effect_innerShdw] = "ooxml:EG_Effect_innerShdw";
    mMap[NS_ooxml::LN_EG_Effect_lum] = "ooxml:EG_Effect_lum";
    mMap[NS_ooxml::LN_EG_Effect_outerShdw] = "ooxml:EG_Effect_outerShdw";
    mMap[NS_ooxml::LN_EG_Effect_prstShdw] = "ooxml:EG_Effect_prstShdw";
    mMap[NS_ooxml::LN_EG_Effect_reflection] = "ooxml:EG_Effect_reflection";
    mMap[NS_ooxml::LN_EG_Effect_relOff] = "ooxml:EG_Effect_relOff";
    mMap[NS_ooxml::LN_EG_Effect_softEdge] = "ooxml:EG_Effect_softEdge";
    mMap[NS_ooxml::LN_EG_Effect_tint] = "ooxml:EG_Effect_tint";
    mMap[NS_ooxml::LN_EG_Effect_xfrm] = "ooxml:EG_Effect_xfrm";
    mMap[NS_ooxml::LN_Value_drawingml_ST_EffectContainerType_sib] = "ooxml:Value_drawingml_ST_EffectContainerType_sib";
    mMap[NS_ooxml::LN_Value_drawingml_ST_EffectContainerType_tree] = "ooxml:Value_drawingml_ST_EffectContainerType_tree";
    mMap[NS_ooxml::LN_CT_EffectContainer_type] = "ooxml:CT_EffectContainer_type";
    mMap[NS_ooxml::LN_CT_EffectContainer_name] = "ooxml:CT_EffectContainer_name";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndType_none] = "ooxml:Value_drawingml_ST_LineEndType_none";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndType_triangle] = "ooxml:Value_drawingml_ST_LineEndType_triangle";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndType_stealth] = "ooxml:Value_drawingml_ST_LineEndType_stealth";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndType_diamond] = "ooxml:Value_drawingml_ST_LineEndType_diamond";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndType_oval] = "ooxml:Value_drawingml_ST_LineEndType_oval";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndType_arrow] = "ooxml:Value_drawingml_ST_LineEndType_arrow";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndWidth_sm] = "ooxml:Value_drawingml_ST_LineEndWidth_sm";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndWidth_med] = "ooxml:Value_drawingml_ST_LineEndWidth_med";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndWidth_lg] = "ooxml:Value_drawingml_ST_LineEndWidth_lg";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndLength_sm] = "ooxml:Value_drawingml_ST_LineEndLength_sm";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndLength_med] = "ooxml:Value_drawingml_ST_LineEndLength_med";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineEndLength_lg] = "ooxml:Value_drawingml_ST_LineEndLength_lg";
    mMap[NS_ooxml::LN_CT_LineEndProperties_type] = "ooxml:CT_LineEndProperties_type";
    mMap[NS_ooxml::LN_CT_LineEndProperties_w] = "ooxml:CT_LineEndProperties_w";
    mMap[NS_ooxml::LN_CT_LineEndProperties_len] = "ooxml:CT_LineEndProperties_len";
    mMap[NS_ooxml::LN_EG_LineFillProperties_noFill] = "ooxml:EG_LineFillProperties_noFill";
    mMap[NS_ooxml::LN_EG_LineFillProperties_solidFill] = "ooxml:EG_LineFillProperties_solidFill";
    mMap[NS_ooxml::LN_EG_LineFillProperties_gradFill] = "ooxml:EG_LineFillProperties_gradFill";
    mMap[NS_ooxml::LN_EG_LineFillProperties_pattFill] = "ooxml:EG_LineFillProperties_pattFill";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_solid] = "ooxml:Value_drawingml_ST_PresetLineDashVal_solid";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_dot] = "ooxml:Value_drawingml_ST_PresetLineDashVal_dot";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_dash] = "ooxml:Value_drawingml_ST_PresetLineDashVal_dash";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_lgDash] = "ooxml:Value_drawingml_ST_PresetLineDashVal_lgDash";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_dashDot] = "ooxml:Value_drawingml_ST_PresetLineDashVal_dashDot";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_lgDashDot] = "ooxml:Value_drawingml_ST_PresetLineDashVal_lgDashDot";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_lgDashDotDot] = "ooxml:Value_drawingml_ST_PresetLineDashVal_lgDashDotDot";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_sysDash] = "ooxml:Value_drawingml_ST_PresetLineDashVal_sysDash";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_sysDot] = "ooxml:Value_drawingml_ST_PresetLineDashVal_sysDot";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_sysDashDot] = "ooxml:Value_drawingml_ST_PresetLineDashVal_sysDashDot";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PresetLineDashVal_sysDashDotDot] = "ooxml:Value_drawingml_ST_PresetLineDashVal_sysDashDotDot";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineCap_rnd] = "ooxml:Value_drawingml_ST_LineCap_rnd";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineCap_sq] = "ooxml:Value_drawingml_ST_LineCap_sq";
    mMap[NS_ooxml::LN_Value_drawingml_ST_LineCap_flat] = "ooxml:Value_drawingml_ST_LineCap_flat";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PenAlignment_ctr] = "ooxml:Value_drawingml_ST_PenAlignment_ctr";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PenAlignment_in] = "ooxml:Value_drawingml_ST_PenAlignment_in";
    mMap[NS_ooxml::LN_Value_drawingml_ST_CompoundLine_sng] = "ooxml:Value_drawingml_ST_CompoundLine_sng";
    mMap[NS_ooxml::LN_Value_drawingml_ST_CompoundLine_dbl] = "ooxml:Value_drawingml_ST_CompoundLine_dbl";
    mMap[NS_ooxml::LN_Value_drawingml_ST_CompoundLine_thickThin] = "ooxml:Value_drawingml_ST_CompoundLine_thickThin";
    mMap[NS_ooxml::LN_Value_drawingml_ST_CompoundLine_thinThick] = "ooxml:Value_drawingml_ST_CompoundLine_thinThick";
    mMap[NS_ooxml::LN_Value_drawingml_ST_CompoundLine_tri] = "ooxml:Value_drawingml_ST_CompoundLine_tri";
    mMap[NS_ooxml::LN_CT_LineProperties_headEnd] = "ooxml:CT_LineProperties_headEnd";
    mMap[NS_ooxml::LN_CT_LineProperties_tailEnd] = "ooxml:CT_LineProperties_tailEnd";
    mMap[NS_ooxml::LN_CT_LineProperties_extLst] = "ooxml:CT_LineProperties_extLst";
    mMap[NS_ooxml::LN_CT_LineProperties_w] = "ooxml:CT_LineProperties_w";
    mMap[NS_ooxml::LN_CT_LineProperties_cap] = "ooxml:CT_LineProperties_cap";
    mMap[NS_ooxml::LN_CT_LineProperties_cmpd] = "ooxml:CT_LineProperties_cmpd";
    mMap[NS_ooxml::LN_CT_LineProperties_algn] = "ooxml:CT_LineProperties_algn";
    mMap[NS_ooxml::LN_CT_ShapeProperties_xfrm] = "ooxml:CT_ShapeProperties_xfrm";
    mMap[NS_ooxml::LN_CT_ShapeProperties_ln] = "ooxml:CT_ShapeProperties_ln";
    mMap[NS_ooxml::LN_CT_ShapeProperties_scene3d] = "ooxml:CT_ShapeProperties_scene3d";
    mMap[NS_ooxml::LN_CT_ShapeProperties_sp3d] = "ooxml:CT_ShapeProperties_sp3d";
    mMap[NS_ooxml::LN_CT_ShapeProperties_extLst] = "ooxml:CT_ShapeProperties_extLst";
    mMap[NS_ooxml::LN_CT_ShapeProperties_bwMode] = "ooxml:CT_ShapeProperties_bwMode";
    mMap[NS_ooxml::LN_CT_Angle_val] = "ooxml:CT_Angle_val";
    mMap[NS_ooxml::LN_CT_PositiveFixedAngle_val] = "ooxml:CT_PositiveFixedAngle_val";
    mMap[NS_ooxml::LN_CT_Percentage_val] = "ooxml:CT_Percentage_val";
    mMap[NS_ooxml::LN_CT_PositivePercentage_val] = "ooxml:CT_PositivePercentage_val";
    mMap[NS_ooxml::LN_CT_FixedPercentage_val] = "ooxml:CT_FixedPercentage_val";
    mMap[NS_ooxml::LN_CT_PositiveFixedPercentage_val] = "ooxml:CT_PositiveFixedPercentage_val";
    mMap[NS_ooxml::LN_CT_Point2D_x] = "ooxml:CT_Point2D_x";
    mMap[NS_ooxml::LN_CT_Point2D_y] = "ooxml:CT_Point2D_y";
    mMap[NS_ooxml::LN_CT_PositiveSize2D_cx] = "ooxml:CT_PositiveSize2D_cx";
    mMap[NS_ooxml::LN_CT_PositiveSize2D_cy] = "ooxml:CT_PositiveSize2D_cy";
    mMap[NS_ooxml::LN_CT_ScRgbColor_r] = "ooxml:CT_ScRgbColor_r";
    mMap[NS_ooxml::LN_CT_ScRgbColor_g] = "ooxml:CT_ScRgbColor_g";
    mMap[NS_ooxml::LN_CT_ScRgbColor_b] = "ooxml:CT_ScRgbColor_b";
    mMap[NS_ooxml::LN_CT_SRgbColor_val] = "ooxml:CT_SRgbColor_val";
    mMap[NS_ooxml::LN_CT_HslColor_hue] = "ooxml:CT_HslColor_hue";
    mMap[NS_ooxml::LN_CT_HslColor_sat] = "ooxml:CT_HslColor_sat";
    mMap[NS_ooxml::LN_CT_HslColor_lum] = "ooxml:CT_HslColor_lum";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_scrollBar] = "ooxml:Value_drawingml_ST_SystemColorVal_scrollBar";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_background] = "ooxml:Value_drawingml_ST_SystemColorVal_background";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_activeCaption] = "ooxml:Value_drawingml_ST_SystemColorVal_activeCaption";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_inactiveCaption] = "ooxml:Value_drawingml_ST_SystemColorVal_inactiveCaption";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_menu] = "ooxml:Value_drawingml_ST_SystemColorVal_menu";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_window] = "ooxml:Value_drawingml_ST_SystemColorVal_window";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_windowFrame] = "ooxml:Value_drawingml_ST_SystemColorVal_windowFrame";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_menuText] = "ooxml:Value_drawingml_ST_SystemColorVal_menuText";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_windowText] = "ooxml:Value_drawingml_ST_SystemColorVal_windowText";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_captionText] = "ooxml:Value_drawingml_ST_SystemColorVal_captionText";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_activeBorder] = "ooxml:Value_drawingml_ST_SystemColorVal_activeBorder";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_inactiveBorder] = "ooxml:Value_drawingml_ST_SystemColorVal_inactiveBorder";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_appWorkspace] = "ooxml:Value_drawingml_ST_SystemColorVal_appWorkspace";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_highlight] = "ooxml:Value_drawingml_ST_SystemColorVal_highlight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_highlightText] = "ooxml:Value_drawingml_ST_SystemColorVal_highlightText";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_btnFace] = "ooxml:Value_drawingml_ST_SystemColorVal_btnFace";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_btnShadow] = "ooxml:Value_drawingml_ST_SystemColorVal_btnShadow";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_grayText] = "ooxml:Value_drawingml_ST_SystemColorVal_grayText";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_btnText] = "ooxml:Value_drawingml_ST_SystemColorVal_btnText";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_inactiveCaptionText] = "ooxml:Value_drawingml_ST_SystemColorVal_inactiveCaptionText";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_btnHighlight] = "ooxml:Value_drawingml_ST_SystemColorVal_btnHighlight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_3dDkShadow] = "ooxml:Value_drawingml_ST_SystemColorVal_3dDkShadow";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_3dLight] = "ooxml:Value_drawingml_ST_SystemColorVal_3dLight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_infoText] = "ooxml:Value_drawingml_ST_SystemColorVal_infoText";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_infoBk] = "ooxml:Value_drawingml_ST_SystemColorVal_infoBk";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_hotLight] = "ooxml:Value_drawingml_ST_SystemColorVal_hotLight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_gradientActiveCaption] = "ooxml:Value_drawingml_ST_SystemColorVal_gradientActiveCaption";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_gradientInactiveCaption] = "ooxml:Value_drawingml_ST_SystemColorVal_gradientInactiveCaption";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_menuHighlight] = "ooxml:Value_drawingml_ST_SystemColorVal_menuHighlight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SystemColorVal_menuBar] = "ooxml:Value_drawingml_ST_SystemColorVal_menuBar";
    mMap[NS_ooxml::LN_CT_SystemColor_val] = "ooxml:CT_SystemColor_val";
    mMap[NS_ooxml::LN_CT_SytemColor_lastClr] = "ooxml:CT_SytemColor_lastClr";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_bg1] = "ooxml:Value_drawingml_ST_SchemeColorVal_bg1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_tx1] = "ooxml:Value_drawingml_ST_SchemeColorVal_tx1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_bg2] = "ooxml:Value_drawingml_ST_SchemeColorVal_bg2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_tx2] = "ooxml:Value_drawingml_ST_SchemeColorVal_tx2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_accent1] = "ooxml:Value_drawingml_ST_SchemeColorVal_accent1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_accent2] = "ooxml:Value_drawingml_ST_SchemeColorVal_accent2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_accent3] = "ooxml:Value_drawingml_ST_SchemeColorVal_accent3";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_accent4] = "ooxml:Value_drawingml_ST_SchemeColorVal_accent4";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_accent5] = "ooxml:Value_drawingml_ST_SchemeColorVal_accent5";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_accent6] = "ooxml:Value_drawingml_ST_SchemeColorVal_accent6";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_hlink] = "ooxml:Value_drawingml_ST_SchemeColorVal_hlink";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_folHlink] = "ooxml:Value_drawingml_ST_SchemeColorVal_folHlink";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_phClr] = "ooxml:Value_drawingml_ST_SchemeColorVal_phClr";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_dk1] = "ooxml:Value_drawingml_ST_SchemeColorVal_dk1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_lt1] = "ooxml:Value_drawingml_ST_SchemeColorVal_lt1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_dk2] = "ooxml:Value_drawingml_ST_SchemeColorVal_dk2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_SchemeColorVal_lt2] = "ooxml:Value_drawingml_ST_SchemeColorVal_lt2";
    mMap[NS_ooxml::LN_CT_SchemeColor_val] = "ooxml:CT_SchemeColor_val";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_aliceBlue] = "ooxml:Value_ST_PresetColorVal_aliceBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_antiqueWhite] = "ooxml:Value_ST_PresetColorVal_antiqueWhite";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_aqua] = "ooxml:Value_ST_PresetColorVal_aqua";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_aquamarine] = "ooxml:Value_ST_PresetColorVal_aquamarine";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_azure] = "ooxml:Value_ST_PresetColorVal_azure";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_beige] = "ooxml:Value_ST_PresetColorVal_beige";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_bisque] = "ooxml:Value_ST_PresetColorVal_bisque";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_black] = "ooxml:Value_ST_PresetColorVal_black";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_blanchedAlmond] = "ooxml:Value_ST_PresetColorVal_blanchedAlmond";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_blue] = "ooxml:Value_ST_PresetColorVal_blue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_blueViolet] = "ooxml:Value_ST_PresetColorVal_blueViolet";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_brown] = "ooxml:Value_ST_PresetColorVal_brown";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_burlyWood] = "ooxml:Value_ST_PresetColorVal_burlyWood";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_cadetBlue] = "ooxml:Value_ST_PresetColorVal_cadetBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_chartreuse] = "ooxml:Value_ST_PresetColorVal_chartreuse";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_chocolate] = "ooxml:Value_ST_PresetColorVal_chocolate";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_coral] = "ooxml:Value_ST_PresetColorVal_coral";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_cornflowerBlue] = "ooxml:Value_ST_PresetColorVal_cornflowerBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_cornsilk] = "ooxml:Value_ST_PresetColorVal_cornsilk";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_crimson] = "ooxml:Value_ST_PresetColorVal_crimson";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_cyan] = "ooxml:Value_ST_PresetColorVal_cyan";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_deepPink] = "ooxml:Value_ST_PresetColorVal_deepPink";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_deepSkyBlue] = "ooxml:Value_ST_PresetColorVal_deepSkyBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dimGray] = "ooxml:Value_ST_PresetColorVal_dimGray";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkBlue] = "ooxml:Value_ST_PresetColorVal_dkBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkCyan] = "ooxml:Value_ST_PresetColorVal_dkCyan";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkGoldenrod] = "ooxml:Value_ST_PresetColorVal_dkGoldenrod";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkGray] = "ooxml:Value_ST_PresetColorVal_dkGray";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkGreen] = "ooxml:Value_ST_PresetColorVal_dkGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkKhaki] = "ooxml:Value_ST_PresetColorVal_dkKhaki";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkMagenta] = "ooxml:Value_ST_PresetColorVal_dkMagenta";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkOliveGreen] = "ooxml:Value_ST_PresetColorVal_dkOliveGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkOrange] = "ooxml:Value_ST_PresetColorVal_dkOrange";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkOrchid] = "ooxml:Value_ST_PresetColorVal_dkOrchid";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkRed] = "ooxml:Value_ST_PresetColorVal_dkRed";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkSalmon] = "ooxml:Value_ST_PresetColorVal_dkSalmon";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkSeaGreen] = "ooxml:Value_ST_PresetColorVal_dkSeaGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkSlateBlue] = "ooxml:Value_ST_PresetColorVal_dkSlateBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkSlateGray] = "ooxml:Value_ST_PresetColorVal_dkSlateGray";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkTurquoise] = "ooxml:Value_ST_PresetColorVal_dkTurquoise";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dkViolet] = "ooxml:Value_ST_PresetColorVal_dkViolet";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_dodgerBlue] = "ooxml:Value_ST_PresetColorVal_dodgerBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_firebrick] = "ooxml:Value_ST_PresetColorVal_firebrick";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_floralWhite] = "ooxml:Value_ST_PresetColorVal_floralWhite";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_forestGreen] = "ooxml:Value_ST_PresetColorVal_forestGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_fuchsia] = "ooxml:Value_ST_PresetColorVal_fuchsia";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_gainsboro] = "ooxml:Value_ST_PresetColorVal_gainsboro";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ghostWhite] = "ooxml:Value_ST_PresetColorVal_ghostWhite";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_gold] = "ooxml:Value_ST_PresetColorVal_gold";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_goldenrod] = "ooxml:Value_ST_PresetColorVal_goldenrod";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_gray] = "ooxml:Value_ST_PresetColorVal_gray";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_green] = "ooxml:Value_ST_PresetColorVal_green";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_greenYellow] = "ooxml:Value_ST_PresetColorVal_greenYellow";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_honeydew] = "ooxml:Value_ST_PresetColorVal_honeydew";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_hotPink] = "ooxml:Value_ST_PresetColorVal_hotPink";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_indianRed] = "ooxml:Value_ST_PresetColorVal_indianRed";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_indigo] = "ooxml:Value_ST_PresetColorVal_indigo";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ivory] = "ooxml:Value_ST_PresetColorVal_ivory";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_khaki] = "ooxml:Value_ST_PresetColorVal_khaki";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_lavender] = "ooxml:Value_ST_PresetColorVal_lavender";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_lavenderBlush] = "ooxml:Value_ST_PresetColorVal_lavenderBlush";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_lawnGreen] = "ooxml:Value_ST_PresetColorVal_lawnGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_lemonChiffon] = "ooxml:Value_ST_PresetColorVal_lemonChiffon";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_lime] = "ooxml:Value_ST_PresetColorVal_lime";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_limeGreen] = "ooxml:Value_ST_PresetColorVal_limeGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_linen] = "ooxml:Value_ST_PresetColorVal_linen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltBlue] = "ooxml:Value_ST_PresetColorVal_ltBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltCoral] = "ooxml:Value_ST_PresetColorVal_ltCoral";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltCyan] = "ooxml:Value_ST_PresetColorVal_ltCyan";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltGoldenrodYellow] = "ooxml:Value_ST_PresetColorVal_ltGoldenrodYellow";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltGray] = "ooxml:Value_ST_PresetColorVal_ltGray";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltGreen] = "ooxml:Value_ST_PresetColorVal_ltGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltPink] = "ooxml:Value_ST_PresetColorVal_ltPink";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltSalmon] = "ooxml:Value_ST_PresetColorVal_ltSalmon";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltSeaGreen] = "ooxml:Value_ST_PresetColorVal_ltSeaGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltSkyBlue] = "ooxml:Value_ST_PresetColorVal_ltSkyBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltSlateGray] = "ooxml:Value_ST_PresetColorVal_ltSlateGray";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltSteelBlue] = "ooxml:Value_ST_PresetColorVal_ltSteelBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_ltYellow] = "ooxml:Value_ST_PresetColorVal_ltYellow";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_magenta] = "ooxml:Value_ST_PresetColorVal_magenta";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_maroon] = "ooxml:Value_ST_PresetColorVal_maroon";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_medAquamarine] = "ooxml:Value_ST_PresetColorVal_medAquamarine";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_medBlue] = "ooxml:Value_ST_PresetColorVal_medBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_medOrchid] = "ooxml:Value_ST_PresetColorVal_medOrchid";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_medPurple] = "ooxml:Value_ST_PresetColorVal_medPurple";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_medSeaGreen] = "ooxml:Value_ST_PresetColorVal_medSeaGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_medSlateBlue] = "ooxml:Value_ST_PresetColorVal_medSlateBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_medSpringGreen] = "ooxml:Value_ST_PresetColorVal_medSpringGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_medTurquoise] = "ooxml:Value_ST_PresetColorVal_medTurquoise";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_medVioletRed] = "ooxml:Value_ST_PresetColorVal_medVioletRed";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_midnightBlue] = "ooxml:Value_ST_PresetColorVal_midnightBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_mintCream] = "ooxml:Value_ST_PresetColorVal_mintCream";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_mistyRose] = "ooxml:Value_ST_PresetColorVal_mistyRose";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_moccasin] = "ooxml:Value_ST_PresetColorVal_moccasin";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_navajoWhite] = "ooxml:Value_ST_PresetColorVal_navajoWhite";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_navy] = "ooxml:Value_ST_PresetColorVal_navy";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_oldLace] = "ooxml:Value_ST_PresetColorVal_oldLace";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_olive] = "ooxml:Value_ST_PresetColorVal_olive";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_oliveDrab] = "ooxml:Value_ST_PresetColorVal_oliveDrab";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_orange] = "ooxml:Value_ST_PresetColorVal_orange";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_orangeRed] = "ooxml:Value_ST_PresetColorVal_orangeRed";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_orchid] = "ooxml:Value_ST_PresetColorVal_orchid";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_paleGoldenrod] = "ooxml:Value_ST_PresetColorVal_paleGoldenrod";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_paleGreen] = "ooxml:Value_ST_PresetColorVal_paleGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_paleTurquoise] = "ooxml:Value_ST_PresetColorVal_paleTurquoise";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_paleVioletRed] = "ooxml:Value_ST_PresetColorVal_paleVioletRed";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_papayaWhip] = "ooxml:Value_ST_PresetColorVal_papayaWhip";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_peachPuff] = "ooxml:Value_ST_PresetColorVal_peachPuff";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_peru] = "ooxml:Value_ST_PresetColorVal_peru";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_pink] = "ooxml:Value_ST_PresetColorVal_pink";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_plum] = "ooxml:Value_ST_PresetColorVal_plum";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_powderBlue] = "ooxml:Value_ST_PresetColorVal_powderBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_purple] = "ooxml:Value_ST_PresetColorVal_purple";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_red] = "ooxml:Value_ST_PresetColorVal_red";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_rosyBrown] = "ooxml:Value_ST_PresetColorVal_rosyBrown";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_royalBlue] = "ooxml:Value_ST_PresetColorVal_royalBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_saddleBrown] = "ooxml:Value_ST_PresetColorVal_saddleBrown";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_salmon] = "ooxml:Value_ST_PresetColorVal_salmon";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_sandyBrown] = "ooxml:Value_ST_PresetColorVal_sandyBrown";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_seaGreen] = "ooxml:Value_ST_PresetColorVal_seaGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_seaShell] = "ooxml:Value_ST_PresetColorVal_seaShell";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_sienna] = "ooxml:Value_ST_PresetColorVal_sienna";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_silver] = "ooxml:Value_ST_PresetColorVal_silver";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_skyBlue] = "ooxml:Value_ST_PresetColorVal_skyBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_slateBlue] = "ooxml:Value_ST_PresetColorVal_slateBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_slateGray] = "ooxml:Value_ST_PresetColorVal_slateGray";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_snow] = "ooxml:Value_ST_PresetColorVal_snow";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_springGreen] = "ooxml:Value_ST_PresetColorVal_springGreen";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_steelBlue] = "ooxml:Value_ST_PresetColorVal_steelBlue";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_tan] = "ooxml:Value_ST_PresetColorVal_tan";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_teal] = "ooxml:Value_ST_PresetColorVal_teal";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_thistle] = "ooxml:Value_ST_PresetColorVal_thistle";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_tomato] = "ooxml:Value_ST_PresetColorVal_tomato";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_turquoise] = "ooxml:Value_ST_PresetColorVal_turquoise";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_violet] = "ooxml:Value_ST_PresetColorVal_violet";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_wheat] = "ooxml:Value_ST_PresetColorVal_wheat";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_white] = "ooxml:Value_ST_PresetColorVal_white";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_whiteSmoke] = "ooxml:Value_ST_PresetColorVal_whiteSmoke";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_yellow] = "ooxml:Value_ST_PresetColorVal_yellow";
    mMap[NS_ooxml::LN_Value_ST_PresetColorVal_yellowGreen] = "ooxml:Value_ST_PresetColorVal_yellowGreen";
    mMap[NS_ooxml::LN_CT_PresetColor_val] = "ooxml:CT_PresetColor_val";
    mMap[NS_ooxml::LN_CT_Transform2D_off] = "ooxml:CT_Transform2D_off";
    mMap[NS_ooxml::LN_CT_Transform2D_ext] = "ooxml:CT_Transform2D_ext";
    mMap[NS_ooxml::LN_CT_Transform2D_rot] = "ooxml:CT_Transform2D_rot";
    mMap[NS_ooxml::LN_CT_Transform2D_flipH] = "ooxml:CT_Transform2D_flipH";
    mMap[NS_ooxml::LN_CT_Transform2D_flipV] = "ooxml:CT_Transform2D_flipV";
    mMap[NS_ooxml::LN_Value_drawingml_ST_RectAlignment_tl] = "ooxml:Value_drawingml_ST_RectAlignment_tl";
    mMap[NS_ooxml::LN_Value_drawingml_ST_RectAlignment_t] = "ooxml:Value_drawingml_ST_RectAlignment_t";
    mMap[NS_ooxml::LN_Value_drawingml_ST_RectAlignment_tr] = "ooxml:Value_drawingml_ST_RectAlignment_tr";
    mMap[NS_ooxml::LN_Value_drawingml_ST_RectAlignment_l] = "ooxml:Value_drawingml_ST_RectAlignment_l";
    mMap[NS_ooxml::LN_Value_drawingml_ST_RectAlignment_ctr] = "ooxml:Value_drawingml_ST_RectAlignment_ctr";
    mMap[NS_ooxml::LN_Value_drawingml_ST_RectAlignment_r] = "ooxml:Value_drawingml_ST_RectAlignment_r";
    mMap[NS_ooxml::LN_Value_drawingml_ST_RectAlignment_bl] = "ooxml:Value_drawingml_ST_RectAlignment_bl";
    mMap[NS_ooxml::LN_Value_drawingml_ST_RectAlignment_b] = "ooxml:Value_drawingml_ST_RectAlignment_b";
    mMap[NS_ooxml::LN_Value_drawingml_ST_RectAlignment_br] = "ooxml:Value_drawingml_ST_RectAlignment_br";
    mMap[NS_ooxml::LN_EG_ColorChoice_scrgbClr] = "ooxml:EG_ColorChoice_scrgbClr";
    mMap[NS_ooxml::LN_EG_ColorChoice_srgbClr] = "ooxml:EG_ColorChoice_srgbClr";
    mMap[NS_ooxml::LN_EG_ColorChoice_hslClr] = "ooxml:EG_ColorChoice_hslClr";
    mMap[NS_ooxml::LN_EG_ColorChoice_sysClr] = "ooxml:EG_ColorChoice_sysClr";
    mMap[NS_ooxml::LN_EG_ColorChoice_schemeClr] = "ooxml:EG_ColorChoice_schemeClr";
    mMap[NS_ooxml::LN_EG_ColorChoice_prstClr] = "ooxml:EG_ColorChoice_prstClr";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_clr] = "ooxml:Value_drawingml_ST_BlackWhiteMode_clr";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_auto] = "ooxml:Value_drawingml_ST_BlackWhiteMode_auto";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_gray] = "ooxml:Value_drawingml_ST_BlackWhiteMode_gray";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_ltGray] = "ooxml:Value_drawingml_ST_BlackWhiteMode_ltGray";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_invGray] = "ooxml:Value_drawingml_ST_BlackWhiteMode_invGray";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_grayWhite] = "ooxml:Value_drawingml_ST_BlackWhiteMode_grayWhite";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_blackGray] = "ooxml:Value_drawingml_ST_BlackWhiteMode_blackGray";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_blackWhite] = "ooxml:Value_drawingml_ST_BlackWhiteMode_blackWhite";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_black] = "ooxml:Value_drawingml_ST_BlackWhiteMode_black";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_white] = "ooxml:Value_drawingml_ST_BlackWhiteMode_white";
    mMap[NS_ooxml::LN_Value_drawingml_ST_BlackWhiteMode_hidden] = "ooxml:Value_drawingml_ST_BlackWhiteMode_hidden";
    mMap[NS_ooxml::LN_AG_Blob_r_embed] = "ooxml:AG_Blob_r_embed";
    mMap[NS_ooxml::LN_AG_Blob_r_link] = "ooxml:AG_Blob_r_link";
    mMap[NS_ooxml::LN_CT_Hyperlink_URL] = "ooxml:CT_Hyperlink_URL";
    mMap[NS_ooxml::LN_CT_GraphicalObjectFrameLocking_extLst] = "ooxml:CT_GraphicalObjectFrameLocking_extLst";
    mMap[NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noGrp] = "ooxml:CT_GraphicalObjectFrameLocking_noGrp";
    mMap[NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noDrilldown] = "ooxml:CT_GraphicalObjectFrameLocking_noDrilldown";
    mMap[NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noSelect] = "ooxml:CT_GraphicalObjectFrameLocking_noSelect";
    mMap[NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noChangeAspect] = "ooxml:CT_GraphicalObjectFrameLocking_noChangeAspect";
    mMap[NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noMove] = "ooxml:CT_GraphicalObjectFrameLocking_noMove";
    mMap[NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noResize] = "ooxml:CT_GraphicalObjectFrameLocking_noResize";
    mMap[NS_ooxml::LN_CT_NonVisualDrawingProps_a_hlinkClick] = "ooxml:CT_NonVisualDrawingProps_a_hlinkClick";
    mMap[NS_ooxml::LN_CT_NonVisualDrawingProps_hlinkHover] = "ooxml:CT_NonVisualDrawingProps_hlinkHover";
    mMap[NS_ooxml::LN_CT_NonVisualDrawingProps_extLst] = "ooxml:CT_NonVisualDrawingProps_extLst";
    mMap[NS_ooxml::LN_CT_NonVisualDrawingProps_id] = "ooxml:CT_NonVisualDrawingProps_id";
    mMap[NS_ooxml::LN_CT_NonVisualDrawingProps_name] = "ooxml:CT_NonVisualDrawingProps_name";
    mMap[NS_ooxml::LN_CT_NonVisualDrawingProps_descr] = "ooxml:CT_NonVisualDrawingProps_descr";
    mMap[NS_ooxml::LN_CT_NonVisualDrawingProps_hidden] = "ooxml:CT_NonVisualDrawingProps_hidden";
    mMap[NS_ooxml::LN_CT_NonVisualDrawingProps_title] = "ooxml:CT_NonVisualDrawingProps_title";
    mMap[NS_ooxml::LN_CT_NonVisualPictureProperties_picLocks] = "ooxml:CT_NonVisualPictureProperties_picLocks";
    mMap[NS_ooxml::LN_CT_NonVisualPictureProperties_extLst] = "ooxml:CT_NonVisualPictureProperties_extLst";
    mMap[NS_ooxml::LN_CT_NonVisualPictureProperties_preferRelativeResize] = "ooxml:CT_NonVisualPictureProperties_preferRelativeResize";
    mMap[NS_ooxml::LN_CT_NonVisualGraphicFrameProperties_graphicFrameLocks] = "ooxml:CT_NonVisualGraphicFrameProperties_graphicFrameLocks";
    mMap[NS_ooxml::LN_CT_NonVisualGraphicFrameProperties_extLst] = "ooxml:CT_NonVisualGraphicFrameProperties_extLst";
    mMap[NS_ooxml::LN_CT_GraphicalObjectData_pic] = "ooxml:CT_GraphicalObjectData_pic";
    mMap[NS_ooxml::LN_CT_GraphicalObjectData_relIds] = "ooxml:CT_GraphicalObjectData_relIds";
    mMap[NS_ooxml::LN_CT_GraphicalObjectData_lockedCanvas] = "ooxml:CT_GraphicalObjectData_lockedCanvas";
    mMap[NS_ooxml::LN_CT_GraphicalObjectData_chart] = "ooxml:CT_GraphicalObjectData_chart";
    mMap[NS_ooxml::LN_CT_GraphicalObjectData_wsp] = "ooxml:CT_GraphicalObjectData_wsp";
    mMap[NS_ooxml::LN_CT_GraphicalObjectData_wgp] = "ooxml:CT_GraphicalObjectData_wgp";
    mMap[NS_ooxml::LN_CT_GraphicalObjectData_uri] = "ooxml:CT_GraphicalObjectData_uri";
    mMap[NS_ooxml::LN_CT_GraphicalObject_graphicData] = "ooxml:CT_GraphicalObject_graphicData";
    mMap[NS_ooxml::LN_graphic_graphic] = "ooxml:graphic_graphic";
    mMap[NS_ooxml::LN_ST_SizeRelFromH_margin] = "ooxml:ST_SizeRelFromH_margin";
    mMap[NS_ooxml::LN_ST_SizeRelFromH_page] = "ooxml:ST_SizeRelFromH_page";
    mMap[NS_ooxml::LN_ST_SizeRelFromH_leftMargin] = "ooxml:ST_SizeRelFromH_leftMargin";
    mMap[NS_ooxml::LN_ST_SizeRelFromH_rightMargin] = "ooxml:ST_SizeRelFromH_rightMargin";
    mMap[NS_ooxml::LN_ST_SizeRelFromH_insideMargin] = "ooxml:ST_SizeRelFromH_insideMargin";
    mMap[NS_ooxml::LN_ST_SizeRelFromH_outsideMargin] = "ooxml:ST_SizeRelFromH_outsideMargin";
    mMap[NS_ooxml::LN_ST_SizeRelFromV_margin] = "ooxml:ST_SizeRelFromV_margin";
    mMap[NS_ooxml::LN_ST_SizeRelFromV_page] = "ooxml:ST_SizeRelFromV_page";
    mMap[NS_ooxml::LN_ST_SizeRelFromV_topMargin] = "ooxml:ST_SizeRelFromV_topMargin";
    mMap[NS_ooxml::LN_ST_SizeRelFromV_bottomMargin] = "ooxml:ST_SizeRelFromV_bottomMargin";
    mMap[NS_ooxml::LN_ST_SizeRelFromV_insideMargin] = "ooxml:ST_SizeRelFromV_insideMargin";
    mMap[NS_ooxml::LN_ST_SizeRelFromV_outsideMargin] = "ooxml:ST_SizeRelFromV_outsideMargin";
    mMap[NS_ooxml::LN_CT_SizeRelH_pctWidth] = "ooxml:CT_SizeRelH_pctWidth";
    mMap[NS_ooxml::LN_CT_SizeRelH_relativeFrom] = "ooxml:CT_SizeRelH_relativeFrom";
    mMap[NS_ooxml::LN_CT_SizeRelV_pctHeight] = "ooxml:CT_SizeRelV_pctHeight";
    mMap[NS_ooxml::LN_CT_SizeRelV_relativeFrom] = "ooxml:CT_SizeRelV_relativeFrom";
    mMap[NS_ooxml::LN_sizeRelH_sizeRelH] = "ooxml:sizeRelH_sizeRelH";
    mMap[NS_ooxml::LN_sizeRelV_sizeRelV] = "ooxml:sizeRelV_sizeRelV";
    mMap[NS_ooxml::LN_CT_String_val] = "ooxml:CT_String_val";
    mMap[NS_ooxml::LN_CT_SdtCheckbox_checked] = "ooxml:CT_SdtCheckbox_checked";
    mMap[NS_ooxml::LN_CT_SdtCheckbox_checkedState] = "ooxml:CT_SdtCheckbox_checkedState";
    mMap[NS_ooxml::LN_CT_SdtCheckbox_uncheckedState] = "ooxml:CT_SdtCheckbox_uncheckedState";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_bg1] = "ooxml:ST_SchemeColorVal_bg1";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_tx1] = "ooxml:ST_SchemeColorVal_tx1";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_bg2] = "ooxml:ST_SchemeColorVal_bg2";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_tx2] = "ooxml:ST_SchemeColorVal_tx2";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_accent1] = "ooxml:ST_SchemeColorVal_accent1";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_accent2] = "ooxml:ST_SchemeColorVal_accent2";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_accent3] = "ooxml:ST_SchemeColorVal_accent3";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_accent4] = "ooxml:ST_SchemeColorVal_accent4";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_accent5] = "ooxml:ST_SchemeColorVal_accent5";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_accent6] = "ooxml:ST_SchemeColorVal_accent6";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_hlink] = "ooxml:ST_SchemeColorVal_hlink";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_folHlink] = "ooxml:ST_SchemeColorVal_folHlink";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_dk1] = "ooxml:ST_SchemeColorVal_dk1";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_lt1] = "ooxml:ST_SchemeColorVal_lt1";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_dk2] = "ooxml:ST_SchemeColorVal_dk2";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_lt2] = "ooxml:ST_SchemeColorVal_lt2";
    mMap[NS_ooxml::LN_ST_SchemeColorVal_phClr] = "ooxml:ST_SchemeColorVal_phClr";
    mMap[NS_ooxml::LN_ST_RectAlignment_none] = "ooxml:ST_RectAlignment_none";
    mMap[NS_ooxml::LN_ST_RectAlignment_tl] = "ooxml:ST_RectAlignment_tl";
    mMap[NS_ooxml::LN_ST_RectAlignment_t] = "ooxml:ST_RectAlignment_t";
    mMap[NS_ooxml::LN_ST_RectAlignment_tr] = "ooxml:ST_RectAlignment_tr";
    mMap[NS_ooxml::LN_ST_RectAlignment_l] = "ooxml:ST_RectAlignment_l";
    mMap[NS_ooxml::LN_ST_RectAlignment_ctr] = "ooxml:ST_RectAlignment_ctr";
    mMap[NS_ooxml::LN_ST_RectAlignment_r] = "ooxml:ST_RectAlignment_r";
    mMap[NS_ooxml::LN_ST_RectAlignment_bl] = "ooxml:ST_RectAlignment_bl";
    mMap[NS_ooxml::LN_ST_RectAlignment_b] = "ooxml:ST_RectAlignment_b";
    mMap[NS_ooxml::LN_ST_RectAlignment_br] = "ooxml:ST_RectAlignment_br";
    mMap[NS_ooxml::LN_ST_LineCap_rnd] = "ooxml:ST_LineCap_rnd";
    mMap[NS_ooxml::LN_ST_LineCap_sq] = "ooxml:ST_LineCap_sq";
    mMap[NS_ooxml::LN_ST_LineCap_flat] = "ooxml:ST_LineCap_flat";
    mMap[NS_ooxml::LN_ST_CompoundLine_sng] = "ooxml:ST_CompoundLine_sng";
    mMap[NS_ooxml::LN_ST_CompoundLine_dbl] = "ooxml:ST_CompoundLine_dbl";
    mMap[NS_ooxml::LN_ST_CompoundLine_thickThin] = "ooxml:ST_CompoundLine_thickThin";
    mMap[NS_ooxml::LN_ST_CompoundLine_thinThick] = "ooxml:ST_CompoundLine_thinThick";
    mMap[NS_ooxml::LN_ST_CompoundLine_tri] = "ooxml:ST_CompoundLine_tri";
    mMap[NS_ooxml::LN_ST_PenAlignment_ctr] = "ooxml:ST_PenAlignment_ctr";
    mMap[NS_ooxml::LN_ST_PenAlignment_in] = "ooxml:ST_PenAlignment_in";
    mMap[NS_ooxml::LN_ST_OnOff_true] = "ooxml:ST_OnOff_true";
    mMap[NS_ooxml::LN_ST_OnOff_false] = "ooxml:ST_OnOff_false";
    mMap[NS_ooxml::LN_ST_OnOff_0] = "ooxml:ST_OnOff_0";
    mMap[NS_ooxml::LN_ST_OnOff_1] = "ooxml:ST_OnOff_1";
    mMap[NS_ooxml::LN_ST_PathShadeType_shape] = "ooxml:ST_PathShadeType_shape";
    mMap[NS_ooxml::LN_ST_PathShadeType_circle] = "ooxml:ST_PathShadeType_circle";
    mMap[NS_ooxml::LN_ST_PathShadeType_rect] = "ooxml:ST_PathShadeType_rect";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_solid] = "ooxml:ST_PresetLineDashVal_solid";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_dot] = "ooxml:ST_PresetLineDashVal_dot";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_sysDot] = "ooxml:ST_PresetLineDashVal_sysDot";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_dash] = "ooxml:ST_PresetLineDashVal_dash";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_sysDash] = "ooxml:ST_PresetLineDashVal_sysDash";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_lgDash] = "ooxml:ST_PresetLineDashVal_lgDash";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_dashDot] = "ooxml:ST_PresetLineDashVal_dashDot";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_sysDashDot] = "ooxml:ST_PresetLineDashVal_sysDashDot";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_lgDashDot] = "ooxml:ST_PresetLineDashVal_lgDashDot";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_lgDashDotDot] = "ooxml:ST_PresetLineDashVal_lgDashDotDot";
    mMap[NS_ooxml::LN_ST_PresetLineDashVal_sysDashDotDot] = "ooxml:ST_PresetLineDashVal_sysDashDotDot";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyObliqueTopLeft] = "ooxml:ST_PresetCameraType_legacyObliqueTopLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyObliqueTop] = "ooxml:ST_PresetCameraType_legacyObliqueTop";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyObliqueTopRight] = "ooxml:ST_PresetCameraType_legacyObliqueTopRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyObliqueLeft] = "ooxml:ST_PresetCameraType_legacyObliqueLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyObliqueFront] = "ooxml:ST_PresetCameraType_legacyObliqueFront";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyObliqueRight] = "ooxml:ST_PresetCameraType_legacyObliqueRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyObliqueBottomLeft] = "ooxml:ST_PresetCameraType_legacyObliqueBottomLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyObliqueBottom] = "ooxml:ST_PresetCameraType_legacyObliqueBottom";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyObliqueBottomRight] = "ooxml:ST_PresetCameraType_legacyObliqueBottomRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyPerspectiveTopLeft] = "ooxml:ST_PresetCameraType_legacyPerspectiveTopLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyPerspectiveTop] = "ooxml:ST_PresetCameraType_legacyPerspectiveTop";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyPerspectiveTopRight] = "ooxml:ST_PresetCameraType_legacyPerspectiveTopRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyPerspectiveLeft] = "ooxml:ST_PresetCameraType_legacyPerspectiveLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyPerspectiveFront] = "ooxml:ST_PresetCameraType_legacyPerspectiveFront";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyPerspectiveRight] = "ooxml:ST_PresetCameraType_legacyPerspectiveRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyPerspectiveBottomLeft] = "ooxml:ST_PresetCameraType_legacyPerspectiveBottomLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyPerspectiveBottom] = "ooxml:ST_PresetCameraType_legacyPerspectiveBottom";
    mMap[NS_ooxml::LN_ST_PresetCameraType_legacyPerspectiveBottomRight] = "ooxml:ST_PresetCameraType_legacyPerspectiveBottomRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_orthographicFront] = "ooxml:ST_PresetCameraType_orthographicFront";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricTopUp] = "ooxml:ST_PresetCameraType_isometricTopUp";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricTopDown] = "ooxml:ST_PresetCameraType_isometricTopDown";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricBottomUp] = "ooxml:ST_PresetCameraType_isometricBottomUp";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricBottomDown] = "ooxml:ST_PresetCameraType_isometricBottomDown";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricLeftUp] = "ooxml:ST_PresetCameraType_isometricLeftUp";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricLeftDown] = "ooxml:ST_PresetCameraType_isometricLeftDown";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricRightUp] = "ooxml:ST_PresetCameraType_isometricRightUp";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricRightDown] = "ooxml:ST_PresetCameraType_isometricRightDown";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis1Left] = "ooxml:ST_PresetCameraType_isometricOffAxis1Left";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis1Right] = "ooxml:ST_PresetCameraType_isometricOffAxis1Right";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis1Top] = "ooxml:ST_PresetCameraType_isometricOffAxis1Top";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis2Left] = "ooxml:ST_PresetCameraType_isometricOffAxis2Left";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis2Right] = "ooxml:ST_PresetCameraType_isometricOffAxis2Right";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis2Top] = "ooxml:ST_PresetCameraType_isometricOffAxis2Top";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis3Left] = "ooxml:ST_PresetCameraType_isometricOffAxis3Left";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis3Right] = "ooxml:ST_PresetCameraType_isometricOffAxis3Right";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis3Bottom] = "ooxml:ST_PresetCameraType_isometricOffAxis3Bottom";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis4Left] = "ooxml:ST_PresetCameraType_isometricOffAxis4Left";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis4Right] = "ooxml:ST_PresetCameraType_isometricOffAxis4Right";
    mMap[NS_ooxml::LN_ST_PresetCameraType_isometricOffAxis4Bottom] = "ooxml:ST_PresetCameraType_isometricOffAxis4Bottom";
    mMap[NS_ooxml::LN_ST_PresetCameraType_obliqueTopLeft] = "ooxml:ST_PresetCameraType_obliqueTopLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_obliqueTop] = "ooxml:ST_PresetCameraType_obliqueTop";
    mMap[NS_ooxml::LN_ST_PresetCameraType_obliqueTopRight] = "ooxml:ST_PresetCameraType_obliqueTopRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_obliqueLeft] = "ooxml:ST_PresetCameraType_obliqueLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_obliqueRight] = "ooxml:ST_PresetCameraType_obliqueRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_obliqueBottomLeft] = "ooxml:ST_PresetCameraType_obliqueBottomLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_obliqueBottom] = "ooxml:ST_PresetCameraType_obliqueBottom";
    mMap[NS_ooxml::LN_ST_PresetCameraType_obliqueBottomRight] = "ooxml:ST_PresetCameraType_obliqueBottomRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveFront] = "ooxml:ST_PresetCameraType_perspectiveFront";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveLeft] = "ooxml:ST_PresetCameraType_perspectiveLeft";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveRight] = "ooxml:ST_PresetCameraType_perspectiveRight";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveAbove] = "ooxml:ST_PresetCameraType_perspectiveAbove";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveBelow] = "ooxml:ST_PresetCameraType_perspectiveBelow";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveAboveLeftFacing] = "ooxml:ST_PresetCameraType_perspectiveAboveLeftFacing";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveAboveRightFacing] = "ooxml:ST_PresetCameraType_perspectiveAboveRightFacing";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveContrastingLeftFacing] = "ooxml:ST_PresetCameraType_perspectiveContrastingLeftFacing";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveContrastingRightFacing] = "ooxml:ST_PresetCameraType_perspectiveContrastingRightFacing";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveHeroicLeftFacing] = "ooxml:ST_PresetCameraType_perspectiveHeroicLeftFacing";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveHeroicRightFacing] = "ooxml:ST_PresetCameraType_perspectiveHeroicRightFacing";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveHeroicExtremeLeftFacing] = "ooxml:ST_PresetCameraType_perspectiveHeroicExtremeLeftFacing";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveHeroicExtremeRightFacing] = "ooxml:ST_PresetCameraType_perspectiveHeroicExtremeRightFacing";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveRelaxed] = "ooxml:ST_PresetCameraType_perspectiveRelaxed";
    mMap[NS_ooxml::LN_ST_PresetCameraType_perspectiveRelaxedModerately] = "ooxml:ST_PresetCameraType_perspectiveRelaxedModerately";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyFlat1] = "ooxml:ST_LightRigType_legacyFlat1";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyFlat2] = "ooxml:ST_LightRigType_legacyFlat2";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyFlat3] = "ooxml:ST_LightRigType_legacyFlat3";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyFlat4] = "ooxml:ST_LightRigType_legacyFlat4";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyNormal1] = "ooxml:ST_LightRigType_legacyNormal1";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyNormal2] = "ooxml:ST_LightRigType_legacyNormal2";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyNormal3] = "ooxml:ST_LightRigType_legacyNormal3";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyNormal4] = "ooxml:ST_LightRigType_legacyNormal4";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyHarsh1] = "ooxml:ST_LightRigType_legacyHarsh1";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyHarsh2] = "ooxml:ST_LightRigType_legacyHarsh2";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyHarsh3] = "ooxml:ST_LightRigType_legacyHarsh3";
    mMap[NS_ooxml::LN_ST_LightRigType_legacyHarsh4] = "ooxml:ST_LightRigType_legacyHarsh4";
    mMap[NS_ooxml::LN_ST_LightRigType_threePt] = "ooxml:ST_LightRigType_threePt";
    mMap[NS_ooxml::LN_ST_LightRigType_balanced] = "ooxml:ST_LightRigType_balanced";
    mMap[NS_ooxml::LN_ST_LightRigType_soft] = "ooxml:ST_LightRigType_soft";
    mMap[NS_ooxml::LN_ST_LightRigType_harsh] = "ooxml:ST_LightRigType_harsh";
    mMap[NS_ooxml::LN_ST_LightRigType_flood] = "ooxml:ST_LightRigType_flood";
    mMap[NS_ooxml::LN_ST_LightRigType_contrasting] = "ooxml:ST_LightRigType_contrasting";
    mMap[NS_ooxml::LN_ST_LightRigType_morning] = "ooxml:ST_LightRigType_morning";
    mMap[NS_ooxml::LN_ST_LightRigType_sunrise] = "ooxml:ST_LightRigType_sunrise";
    mMap[NS_ooxml::LN_ST_LightRigType_sunset] = "ooxml:ST_LightRigType_sunset";
    mMap[NS_ooxml::LN_ST_LightRigType_chilly] = "ooxml:ST_LightRigType_chilly";
    mMap[NS_ooxml::LN_ST_LightRigType_freezing] = "ooxml:ST_LightRigType_freezing";
    mMap[NS_ooxml::LN_ST_LightRigType_flat] = "ooxml:ST_LightRigType_flat";
    mMap[NS_ooxml::LN_ST_LightRigType_twoPt] = "ooxml:ST_LightRigType_twoPt";
    mMap[NS_ooxml::LN_ST_LightRigType_glow] = "ooxml:ST_LightRigType_glow";
    mMap[NS_ooxml::LN_ST_LightRigType_brightRoom] = "ooxml:ST_LightRigType_brightRoom";
    mMap[NS_ooxml::LN_ST_LightRigDirection_tl] = "ooxml:ST_LightRigDirection_tl";
    mMap[NS_ooxml::LN_ST_LightRigDirection_t] = "ooxml:ST_LightRigDirection_t";
    mMap[NS_ooxml::LN_ST_LightRigDirection_tr] = "ooxml:ST_LightRigDirection_tr";
    mMap[NS_ooxml::LN_ST_LightRigDirection_l] = "ooxml:ST_LightRigDirection_l";
    mMap[NS_ooxml::LN_ST_LightRigDirection_r] = "ooxml:ST_LightRigDirection_r";
    mMap[NS_ooxml::LN_ST_LightRigDirection_bl] = "ooxml:ST_LightRigDirection_bl";
    mMap[NS_ooxml::LN_ST_LightRigDirection_b] = "ooxml:ST_LightRigDirection_b";
    mMap[NS_ooxml::LN_ST_LightRigDirection_br] = "ooxml:ST_LightRigDirection_br";
    mMap[NS_ooxml::LN_ST_BevelPresetType_relaxedInset] = "ooxml:ST_BevelPresetType_relaxedInset";
    mMap[NS_ooxml::LN_ST_BevelPresetType_circle] = "ooxml:ST_BevelPresetType_circle";
    mMap[NS_ooxml::LN_ST_BevelPresetType_slope] = "ooxml:ST_BevelPresetType_slope";
    mMap[NS_ooxml::LN_ST_BevelPresetType_cross] = "ooxml:ST_BevelPresetType_cross";
    mMap[NS_ooxml::LN_ST_BevelPresetType_angle] = "ooxml:ST_BevelPresetType_angle";
    mMap[NS_ooxml::LN_ST_BevelPresetType_softRound] = "ooxml:ST_BevelPresetType_softRound";
    mMap[NS_ooxml::LN_ST_BevelPresetType_convex] = "ooxml:ST_BevelPresetType_convex";
    mMap[NS_ooxml::LN_ST_BevelPresetType_coolSlant] = "ooxml:ST_BevelPresetType_coolSlant";
    mMap[NS_ooxml::LN_ST_BevelPresetType_divot] = "ooxml:ST_BevelPresetType_divot";
    mMap[NS_ooxml::LN_ST_BevelPresetType_riblet] = "ooxml:ST_BevelPresetType_riblet";
    mMap[NS_ooxml::LN_ST_BevelPresetType_hardEdge] = "ooxml:ST_BevelPresetType_hardEdge";
    mMap[NS_ooxml::LN_ST_BevelPresetType_artDeco] = "ooxml:ST_BevelPresetType_artDeco";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_legacyMatte] = "ooxml:ST_PresetMaterialType_legacyMatte";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_legacyPlastic] = "ooxml:ST_PresetMaterialType_legacyPlastic";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_legacyMetal] = "ooxml:ST_PresetMaterialType_legacyMetal";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_legacyWireframe] = "ooxml:ST_PresetMaterialType_legacyWireframe";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_matte] = "ooxml:ST_PresetMaterialType_matte";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_plastic] = "ooxml:ST_PresetMaterialType_plastic";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_metal] = "ooxml:ST_PresetMaterialType_metal";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_warmMatte] = "ooxml:ST_PresetMaterialType_warmMatte";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_translucentPowder] = "ooxml:ST_PresetMaterialType_translucentPowder";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_powder] = "ooxml:ST_PresetMaterialType_powder";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_dkEdge] = "ooxml:ST_PresetMaterialType_dkEdge";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_softEdge] = "ooxml:ST_PresetMaterialType_softEdge";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_clear] = "ooxml:ST_PresetMaterialType_clear";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_flat] = "ooxml:ST_PresetMaterialType_flat";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_softmetal] = "ooxml:ST_PresetMaterialType_softmetal";
    mMap[NS_ooxml::LN_ST_PresetMaterialType_none] = "ooxml:ST_PresetMaterialType_none";
    mMap[NS_ooxml::LN_ST_Ligatures_none] = "ooxml:ST_Ligatures_none";
    mMap[NS_ooxml::LN_ST_Ligatures_standard] = "ooxml:ST_Ligatures_standard";
    mMap[NS_ooxml::LN_ST_Ligatures_contextual] = "ooxml:ST_Ligatures_contextual";
    mMap[NS_ooxml::LN_ST_Ligatures_historical] = "ooxml:ST_Ligatures_historical";
    mMap[NS_ooxml::LN_ST_Ligatures_discretional] = "ooxml:ST_Ligatures_discretional";
    mMap[NS_ooxml::LN_ST_Ligatures_standardContextual] = "ooxml:ST_Ligatures_standardContextual";
    mMap[NS_ooxml::LN_ST_Ligatures_standardHistorical] = "ooxml:ST_Ligatures_standardHistorical";
    mMap[NS_ooxml::LN_ST_Ligatures_contextualHistorical] = "ooxml:ST_Ligatures_contextualHistorical";
    mMap[NS_ooxml::LN_ST_Ligatures_standardDiscretional] = "ooxml:ST_Ligatures_standardDiscretional";
    mMap[NS_ooxml::LN_ST_Ligatures_contextualDiscretional] = "ooxml:ST_Ligatures_contextualDiscretional";
    mMap[NS_ooxml::LN_ST_Ligatures_historicalDiscretional] = "ooxml:ST_Ligatures_historicalDiscretional";
    mMap[NS_ooxml::LN_ST_Ligatures_standardContextualHistorical] = "ooxml:ST_Ligatures_standardContextualHistorical";
    mMap[NS_ooxml::LN_ST_Ligatures_standardContextualDiscretional] = "ooxml:ST_Ligatures_standardContextualDiscretional";
    mMap[NS_ooxml::LN_ST_Ligatures_standardHistoricalDiscretional] = "ooxml:ST_Ligatures_standardHistoricalDiscretional";
    mMap[NS_ooxml::LN_ST_Ligatures_contextualHistoricalDiscretional] = "ooxml:ST_Ligatures_contextualHistoricalDiscretional";
    mMap[NS_ooxml::LN_ST_Ligatures_all] = "ooxml:ST_Ligatures_all";
    mMap[NS_ooxml::LN_ST_NumForm_default] = "ooxml:ST_NumForm_default";
    mMap[NS_ooxml::LN_ST_NumForm_lining] = "ooxml:ST_NumForm_lining";
    mMap[NS_ooxml::LN_ST_NumForm_oldStyle] = "ooxml:ST_NumForm_oldStyle";
    mMap[NS_ooxml::LN_ST_NumSpacing_default] = "ooxml:ST_NumSpacing_default";
    mMap[NS_ooxml::LN_ST_NumSpacing_proportional] = "ooxml:ST_NumSpacing_proportional";
    mMap[NS_ooxml::LN_ST_NumSpacing_tabular] = "ooxml:ST_NumSpacing_tabular";
    mMap[NS_ooxml::LN_EG_ColorTransform_tint] = "ooxml:EG_ColorTransform_tint";
    mMap[NS_ooxml::LN_EG_ColorTransform_shade] = "ooxml:EG_ColorTransform_shade";
    mMap[NS_ooxml::LN_EG_ColorTransform_alpha] = "ooxml:EG_ColorTransform_alpha";
    mMap[NS_ooxml::LN_EG_ColorTransform_hueMod] = "ooxml:EG_ColorTransform_hueMod";
    mMap[NS_ooxml::LN_EG_ColorTransform_sat] = "ooxml:EG_ColorTransform_sat";
    mMap[NS_ooxml::LN_EG_ColorTransform_satOff] = "ooxml:EG_ColorTransform_satOff";
    mMap[NS_ooxml::LN_EG_ColorTransform_satMod] = "ooxml:EG_ColorTransform_satMod";
    mMap[NS_ooxml::LN_EG_ColorTransform_lum] = "ooxml:EG_ColorTransform_lum";
    mMap[NS_ooxml::LN_EG_ColorTransform_lumOff] = "ooxml:EG_ColorTransform_lumOff";
    mMap[NS_ooxml::LN_EG_ColorTransform_lumMod] = "ooxml:EG_ColorTransform_lumMod";
    mMap[NS_ooxml::LN_EG_FillProperties_noFill] = "ooxml:EG_FillProperties_noFill";
    mMap[NS_ooxml::LN_EG_FillProperties_solidFill] = "ooxml:EG_FillProperties_solidFill";
    mMap[NS_ooxml::LN_EG_FillProperties_gradFill] = "ooxml:EG_FillProperties_gradFill";
    mMap[NS_ooxml::LN_EG_ShadeProperties_lin] = "ooxml:EG_ShadeProperties_lin";
    mMap[NS_ooxml::LN_EG_ShadeProperties_path] = "ooxml:EG_ShadeProperties_path";
    mMap[NS_ooxml::LN_EG_LineDashProperties_prstDash] = "ooxml:EG_LineDashProperties_prstDash";
    mMap[NS_ooxml::LN_EG_LineJoinProperties_round] = "ooxml:EG_LineJoinProperties_round";
    mMap[NS_ooxml::LN_EG_LineJoinProperties_bevel] = "ooxml:EG_LineJoinProperties_bevel";
    mMap[NS_ooxml::LN_EG_LineJoinProperties_miter] = "ooxml:EG_LineJoinProperties_miter";
    mMap[NS_ooxml::LN_CT_Glow_rad] = "ooxml:CT_Glow_rad";
    mMap[NS_ooxml::LN_CT_GradientFillProperties_gsLst] = "ooxml:CT_GradientFillProperties_gsLst";
    mMap[NS_ooxml::LN_CT_GradientStopList_gs] = "ooxml:CT_GradientStopList_gs";
    mMap[NS_ooxml::LN_CT_LinearShadeProperties_ang] = "ooxml:CT_LinearShadeProperties_ang";
    mMap[NS_ooxml::LN_CT_LinearShadeProperties_scaled] = "ooxml:CT_LinearShadeProperties_scaled";
    mMap[NS_ooxml::LN_CT_PathShadeProperties_fillToRect] = "ooxml:CT_PathShadeProperties_fillToRect";
    mMap[NS_ooxml::LN_CT_PathShadeProperties_path] = "ooxml:CT_PathShadeProperties_path";
    mMap[NS_ooxml::LN_CT_RelativeRect_l] = "ooxml:CT_RelativeRect_l";
    mMap[NS_ooxml::LN_CT_RelativeRect_t] = "ooxml:CT_RelativeRect_t";
    mMap[NS_ooxml::LN_CT_RelativeRect_r] = "ooxml:CT_RelativeRect_r";
    mMap[NS_ooxml::LN_CT_RelativeRect_b] = "ooxml:CT_RelativeRect_b";
    mMap[NS_ooxml::LN_CT_PresetLineDashProperties_val] = "ooxml:CT_PresetLineDashProperties_val";
    mMap[NS_ooxml::LN_CT_LineJoinMiterProperties_lim] = "ooxml:CT_LineJoinMiterProperties_lim";
    mMap[NS_ooxml::LN_CT_Camera_prst] = "ooxml:CT_Camera_prst";
    mMap[NS_ooxml::LN_CT_LightRig_rot] = "ooxml:CT_LightRig_rot";
    mMap[NS_ooxml::LN_CT_LightRig_rig] = "ooxml:CT_LightRig_rig";
    mMap[NS_ooxml::LN_CT_LightRig_dir] = "ooxml:CT_LightRig_dir";
    mMap[NS_ooxml::LN_CT_SphereCoords_lat] = "ooxml:CT_SphereCoords_lat";
    mMap[NS_ooxml::LN_CT_SphereCoords_lon] = "ooxml:CT_SphereCoords_lon";
    mMap[NS_ooxml::LN_CT_SphereCoords_rev] = "ooxml:CT_SphereCoords_rev";
    mMap[NS_ooxml::LN_CT_Bevel_w] = "ooxml:CT_Bevel_w";
    mMap[NS_ooxml::LN_CT_Bevel_h] = "ooxml:CT_Bevel_h";
    mMap[NS_ooxml::LN_CT_Bevel_prst] = "ooxml:CT_Bevel_prst";
    mMap[NS_ooxml::LN_CT_StyleSet_id] = "ooxml:CT_StyleSet_id";
    mMap[NS_ooxml::LN_CT_StyleSet_val] = "ooxml:CT_StyleSet_val";
    mMap[NS_ooxml::LN_CT_OnOff_val] = "ooxml:CT_OnOff_val";
    mMap[NS_ooxml::LN_CT_Shadow_blurRad] = "ooxml:CT_Shadow_blurRad";
    mMap[NS_ooxml::LN_CT_Shadow_dist] = "ooxml:CT_Shadow_dist";
    mMap[NS_ooxml::LN_CT_Shadow_dir] = "ooxml:CT_Shadow_dir";
    mMap[NS_ooxml::LN_CT_Shadow_sx] = "ooxml:CT_Shadow_sx";
    mMap[NS_ooxml::LN_CT_Shadow_sy] = "ooxml:CT_Shadow_sy";
    mMap[NS_ooxml::LN_CT_Shadow_kx] = "ooxml:CT_Shadow_kx";
    mMap[NS_ooxml::LN_CT_Shadow_ky] = "ooxml:CT_Shadow_ky";
    mMap[NS_ooxml::LN_CT_Shadow_algn] = "ooxml:CT_Shadow_algn";
    mMap[NS_ooxml::LN_CT_Reflection_blurRad] = "ooxml:CT_Reflection_blurRad";
    mMap[NS_ooxml::LN_CT_Reflection_stA] = "ooxml:CT_Reflection_stA";
    mMap[NS_ooxml::LN_CT_Reflection_stPos] = "ooxml:CT_Reflection_stPos";
    mMap[NS_ooxml::LN_CT_Reflection_endA] = "ooxml:CT_Reflection_endA";
    mMap[NS_ooxml::LN_CT_Reflection_endPos] = "ooxml:CT_Reflection_endPos";
    mMap[NS_ooxml::LN_CT_Reflection_dist] = "ooxml:CT_Reflection_dist";
    mMap[NS_ooxml::LN_CT_Reflection_dir] = "ooxml:CT_Reflection_dir";
    mMap[NS_ooxml::LN_CT_Reflection_fadeDir] = "ooxml:CT_Reflection_fadeDir";
    mMap[NS_ooxml::LN_CT_Reflection_sx] = "ooxml:CT_Reflection_sx";
    mMap[NS_ooxml::LN_CT_Reflection_sy] = "ooxml:CT_Reflection_sy";
    mMap[NS_ooxml::LN_CT_Reflection_kx] = "ooxml:CT_Reflection_kx";
    mMap[NS_ooxml::LN_CT_Reflection_ky] = "ooxml:CT_Reflection_ky";
    mMap[NS_ooxml::LN_CT_Reflection_algn] = "ooxml:CT_Reflection_algn";
    mMap[NS_ooxml::LN_CT_TextOutlineEffect_w] = "ooxml:CT_TextOutlineEffect_w";
    mMap[NS_ooxml::LN_CT_TextOutlineEffect_cap] = "ooxml:CT_TextOutlineEffect_cap";
    mMap[NS_ooxml::LN_CT_TextOutlineEffect_cmpd] = "ooxml:CT_TextOutlineEffect_cmpd";
    mMap[NS_ooxml::LN_CT_TextOutlineEffect_algn] = "ooxml:CT_TextOutlineEffect_algn";
    mMap[NS_ooxml::LN_CT_Scene3D_camera] = "ooxml:CT_Scene3D_camera";
    mMap[NS_ooxml::LN_CT_Scene3D_lightRig] = "ooxml:CT_Scene3D_lightRig";
    mMap[NS_ooxml::LN_CT_Props3D_bevelT] = "ooxml:CT_Props3D_bevelT";
    mMap[NS_ooxml::LN_CT_Props3D_bevelB] = "ooxml:CT_Props3D_bevelB";
    mMap[NS_ooxml::LN_CT_Props3D_extrusionClr] = "ooxml:CT_Props3D_extrusionClr";
    mMap[NS_ooxml::LN_CT_Props3D_contourClr] = "ooxml:CT_Props3D_contourClr";
    mMap[NS_ooxml::LN_CT_Props3D_extrusionH] = "ooxml:CT_Props3D_extrusionH";
    mMap[NS_ooxml::LN_CT_Props3D_contourW] = "ooxml:CT_Props3D_contourW";
    mMap[NS_ooxml::LN_CT_Props3D_prstMaterial] = "ooxml:CT_Props3D_prstMaterial";
    mMap[NS_ooxml::LN_CT_Ligatures_val] = "ooxml:CT_Ligatures_val";
    mMap[NS_ooxml::LN_CT_NumForm_val] = "ooxml:CT_NumForm_val";
    mMap[NS_ooxml::LN_CT_NumSpacing_val] = "ooxml:CT_NumSpacing_val";
    mMap[NS_ooxml::LN_CT_StylisticSets_styleSet] = "ooxml:CT_StylisticSets_styleSet";
    mMap[NS_ooxml::LN_glow_glow] = "ooxml:glow_glow";
    mMap[NS_ooxml::LN_shadow_shadow] = "ooxml:shadow_shadow";
    mMap[NS_ooxml::LN_reflection_reflection] = "ooxml:reflection_reflection";
    mMap[NS_ooxml::LN_textOutline_textOutline] = "ooxml:textOutline_textOutline";
    mMap[NS_ooxml::LN_textFill_textFill] = "ooxml:textFill_textFill";
    mMap[NS_ooxml::LN_scene3d_scene3d] = "ooxml:scene3d_scene3d";
    mMap[NS_ooxml::LN_props3d_props3d] = "ooxml:props3d_props3d";
    mMap[NS_ooxml::LN_ligatures_ligatures] = "ooxml:ligatures_ligatures";
    mMap[NS_ooxml::LN_numForm_numForm] = "ooxml:numForm_numForm";
    mMap[NS_ooxml::LN_numSpacing_numSpacing] = "ooxml:numSpacing_numSpacing";
    mMap[NS_ooxml::LN_stylisticSets_stylisticSets] = "ooxml:stylisticSets_stylisticSets";
    mMap[NS_ooxml::LN_cntxtAlts_cntxtAlts] = "ooxml:cntxtAlts_cntxtAlts";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_line] = "ooxml:Value_ST_ShapeType_line";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_lineInv] = "ooxml:Value_ST_ShapeType_lineInv";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_triangle] = "ooxml:Value_ST_ShapeType_triangle";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_rtTriangle] = "ooxml:Value_ST_ShapeType_rtTriangle";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_rect] = "ooxml:Value_ST_ShapeType_rect";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_diamond] = "ooxml:Value_ST_ShapeType_diamond";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_parallelogram] = "ooxml:Value_ST_ShapeType_parallelogram";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_trapezoid] = "ooxml:Value_ST_ShapeType_trapezoid";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_nonIsoscelesTrapezoid] = "ooxml:Value_ST_ShapeType_nonIsoscelesTrapezoid";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_pentagon] = "ooxml:Value_ST_ShapeType_pentagon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_hexagon] = "ooxml:Value_ST_ShapeType_hexagon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_heptagon] = "ooxml:Value_ST_ShapeType_heptagon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_octagon] = "ooxml:Value_ST_ShapeType_octagon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_decagon] = "ooxml:Value_ST_ShapeType_decagon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_dodecagon] = "ooxml:Value_ST_ShapeType_dodecagon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star4] = "ooxml:Value_ST_ShapeType_star4";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star5] = "ooxml:Value_ST_ShapeType_star5";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star6] = "ooxml:Value_ST_ShapeType_star6";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star7] = "ooxml:Value_ST_ShapeType_star7";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star8] = "ooxml:Value_ST_ShapeType_star8";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star10] = "ooxml:Value_ST_ShapeType_star10";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star12] = "ooxml:Value_ST_ShapeType_star12";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star16] = "ooxml:Value_ST_ShapeType_star16";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star24] = "ooxml:Value_ST_ShapeType_star24";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_star32] = "ooxml:Value_ST_ShapeType_star32";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_roundRect] = "ooxml:Value_ST_ShapeType_roundRect";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_round1Rect] = "ooxml:Value_ST_ShapeType_round1Rect";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_round2SameRect] = "ooxml:Value_ST_ShapeType_round2SameRect";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_round2DiagRect] = "ooxml:Value_ST_ShapeType_round2DiagRect";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_snipRoundRect] = "ooxml:Value_ST_ShapeType_snipRoundRect";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_snip1Rect] = "ooxml:Value_ST_ShapeType_snip1Rect";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_snip2SameRect] = "ooxml:Value_ST_ShapeType_snip2SameRect";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_snip2DiagRect] = "ooxml:Value_ST_ShapeType_snip2DiagRect";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_plaque] = "ooxml:Value_ST_ShapeType_plaque";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_ellipse] = "ooxml:Value_ST_ShapeType_ellipse";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_teardrop] = "ooxml:Value_ST_ShapeType_teardrop";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_homePlate] = "ooxml:Value_ST_ShapeType_homePlate";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_chevron] = "ooxml:Value_ST_ShapeType_chevron";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_pieWedge] = "ooxml:Value_ST_ShapeType_pieWedge";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_pie] = "ooxml:Value_ST_ShapeType_pie";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_blockArc] = "ooxml:Value_ST_ShapeType_blockArc";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_donut] = "ooxml:Value_ST_ShapeType_donut";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_noSmoking] = "ooxml:Value_ST_ShapeType_noSmoking";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_rightArrow] = "ooxml:Value_ST_ShapeType_rightArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftArrow] = "ooxml:Value_ST_ShapeType_leftArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_upArrow] = "ooxml:Value_ST_ShapeType_upArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_downArrow] = "ooxml:Value_ST_ShapeType_downArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_stripedRightArrow] = "ooxml:Value_ST_ShapeType_stripedRightArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_notchedRightArrow] = "ooxml:Value_ST_ShapeType_notchedRightArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_bentUpArrow] = "ooxml:Value_ST_ShapeType_bentUpArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftRightArrow] = "ooxml:Value_ST_ShapeType_leftRightArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_upDownArrow] = "ooxml:Value_ST_ShapeType_upDownArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftUpArrow] = "ooxml:Value_ST_ShapeType_leftUpArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftRightUpArrow] = "ooxml:Value_ST_ShapeType_leftRightUpArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_quadArrow] = "ooxml:Value_ST_ShapeType_quadArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftArrowCallout] = "ooxml:Value_ST_ShapeType_leftArrowCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_rightArrowCallout] = "ooxml:Value_ST_ShapeType_rightArrowCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_upArrowCallout] = "ooxml:Value_ST_ShapeType_upArrowCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_downArrowCallout] = "ooxml:Value_ST_ShapeType_downArrowCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftRightArrowCallout] = "ooxml:Value_ST_ShapeType_leftRightArrowCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_upDownArrowCallout] = "ooxml:Value_ST_ShapeType_upDownArrowCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_quadArrowCallout] = "ooxml:Value_ST_ShapeType_quadArrowCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_bentArrow] = "ooxml:Value_ST_ShapeType_bentArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_uturnArrow] = "ooxml:Value_ST_ShapeType_uturnArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_circularArrow] = "ooxml:Value_ST_ShapeType_circularArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftCircularArrow] = "ooxml:Value_ST_ShapeType_leftCircularArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftRightCircularArrow] = "ooxml:Value_ST_ShapeType_leftRightCircularArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_curvedRightArrow] = "ooxml:Value_ST_ShapeType_curvedRightArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_curvedLeftArrow] = "ooxml:Value_ST_ShapeType_curvedLeftArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_curvedUpArrow] = "ooxml:Value_ST_ShapeType_curvedUpArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_curvedDownArrow] = "ooxml:Value_ST_ShapeType_curvedDownArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_swooshArrow] = "ooxml:Value_ST_ShapeType_swooshArrow";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_cube] = "ooxml:Value_ST_ShapeType_cube";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_can] = "ooxml:Value_ST_ShapeType_can";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_lightningBolt] = "ooxml:Value_ST_ShapeType_lightningBolt";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_heart] = "ooxml:Value_ST_ShapeType_heart";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_sun] = "ooxml:Value_ST_ShapeType_sun";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_moon] = "ooxml:Value_ST_ShapeType_moon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_smileyFace] = "ooxml:Value_ST_ShapeType_smileyFace";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_irregularSeal1] = "ooxml:Value_ST_ShapeType_irregularSeal1";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_irregularSeal2] = "ooxml:Value_ST_ShapeType_irregularSeal2";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_foldedCorner] = "ooxml:Value_ST_ShapeType_foldedCorner";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_bevel] = "ooxml:Value_ST_ShapeType_bevel";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_frame] = "ooxml:Value_ST_ShapeType_frame";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_halfFrame] = "ooxml:Value_ST_ShapeType_halfFrame";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_corner] = "ooxml:Value_ST_ShapeType_corner";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_diagStripe] = "ooxml:Value_ST_ShapeType_diagStripe";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_chord] = "ooxml:Value_ST_ShapeType_chord";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_arc] = "ooxml:Value_ST_ShapeType_arc";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftBracket] = "ooxml:Value_ST_ShapeType_leftBracket";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_rightBracket] = "ooxml:Value_ST_ShapeType_rightBracket";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftBrace] = "ooxml:Value_ST_ShapeType_leftBrace";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_rightBrace] = "ooxml:Value_ST_ShapeType_rightBrace";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_bracketPair] = "ooxml:Value_ST_ShapeType_bracketPair";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_bracePair] = "ooxml:Value_ST_ShapeType_bracePair";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_straightConnector1] = "ooxml:Value_ST_ShapeType_straightConnector1";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_bentConnector2] = "ooxml:Value_ST_ShapeType_bentConnector2";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_bentConnector3] = "ooxml:Value_ST_ShapeType_bentConnector3";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_bentConnector4] = "ooxml:Value_ST_ShapeType_bentConnector4";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_bentConnector5] = "ooxml:Value_ST_ShapeType_bentConnector5";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_curvedConnector2] = "ooxml:Value_ST_ShapeType_curvedConnector2";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_curvedConnector3] = "ooxml:Value_ST_ShapeType_curvedConnector3";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_curvedConnector4] = "ooxml:Value_ST_ShapeType_curvedConnector4";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_curvedConnector5] = "ooxml:Value_ST_ShapeType_curvedConnector5";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_callout1] = "ooxml:Value_ST_ShapeType_callout1";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_callout2] = "ooxml:Value_ST_ShapeType_callout2";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_callout3] = "ooxml:Value_ST_ShapeType_callout3";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_accentCallout1] = "ooxml:Value_ST_ShapeType_accentCallout1";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_accentCallout2] = "ooxml:Value_ST_ShapeType_accentCallout2";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_accentCallout3] = "ooxml:Value_ST_ShapeType_accentCallout3";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_borderCallout1] = "ooxml:Value_ST_ShapeType_borderCallout1";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_borderCallout2] = "ooxml:Value_ST_ShapeType_borderCallout2";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_borderCallout3] = "ooxml:Value_ST_ShapeType_borderCallout3";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_accentBorderCallout1] = "ooxml:Value_ST_ShapeType_accentBorderCallout1";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_accentBorderCallout2] = "ooxml:Value_ST_ShapeType_accentBorderCallout2";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_accentBorderCallout3] = "ooxml:Value_ST_ShapeType_accentBorderCallout3";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_wedgeRectCallout] = "ooxml:Value_ST_ShapeType_wedgeRectCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_wedgeRoundRectCallout] = "ooxml:Value_ST_ShapeType_wedgeRoundRectCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_wedgeEllipseCallout] = "ooxml:Value_ST_ShapeType_wedgeEllipseCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_cloudCallout] = "ooxml:Value_ST_ShapeType_cloudCallout";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_cloud] = "ooxml:Value_ST_ShapeType_cloud";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_ribbon] = "ooxml:Value_ST_ShapeType_ribbon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_ribbon2] = "ooxml:Value_ST_ShapeType_ribbon2";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_ellipseRibbon] = "ooxml:Value_ST_ShapeType_ellipseRibbon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_ellipseRibbon2] = "ooxml:Value_ST_ShapeType_ellipseRibbon2";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_leftRightRibbon] = "ooxml:Value_ST_ShapeType_leftRightRibbon";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_verticalScroll] = "ooxml:Value_ST_ShapeType_verticalScroll";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_horizontalScroll] = "ooxml:Value_ST_ShapeType_horizontalScroll";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_wave] = "ooxml:Value_ST_ShapeType_wave";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_doubleWave] = "ooxml:Value_ST_ShapeType_doubleWave";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_plus] = "ooxml:Value_ST_ShapeType_plus";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartProcess] = "ooxml:Value_ST_ShapeType_flowChartProcess";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartDecision] = "ooxml:Value_ST_ShapeType_flowChartDecision";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartInputOutput] = "ooxml:Value_ST_ShapeType_flowChartInputOutput";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartPredefinedProcess] = "ooxml:Value_ST_ShapeType_flowChartPredefinedProcess";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartInternalStorage] = "ooxml:Value_ST_ShapeType_flowChartInternalStorage";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartDocument] = "ooxml:Value_ST_ShapeType_flowChartDocument";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartMultidocument] = "ooxml:Value_ST_ShapeType_flowChartMultidocument";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartTerminator] = "ooxml:Value_ST_ShapeType_flowChartTerminator";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartPreparation] = "ooxml:Value_ST_ShapeType_flowChartPreparation";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartManualInput] = "ooxml:Value_ST_ShapeType_flowChartManualInput";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartManualOperation] = "ooxml:Value_ST_ShapeType_flowChartManualOperation";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartConnector] = "ooxml:Value_ST_ShapeType_flowChartConnector";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartPunchedCard] = "ooxml:Value_ST_ShapeType_flowChartPunchedCard";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartPunchedTape] = "ooxml:Value_ST_ShapeType_flowChartPunchedTape";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartSummingJunction] = "ooxml:Value_ST_ShapeType_flowChartSummingJunction";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartOr] = "ooxml:Value_ST_ShapeType_flowChartOr";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartCollate] = "ooxml:Value_ST_ShapeType_flowChartCollate";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartSort] = "ooxml:Value_ST_ShapeType_flowChartSort";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartExtract] = "ooxml:Value_ST_ShapeType_flowChartExtract";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartMerge] = "ooxml:Value_ST_ShapeType_flowChartMerge";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartOfflineStorage] = "ooxml:Value_ST_ShapeType_flowChartOfflineStorage";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartOnlineStorage] = "ooxml:Value_ST_ShapeType_flowChartOnlineStorage";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartMagneticTape] = "ooxml:Value_ST_ShapeType_flowChartMagneticTape";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartMagneticDisk] = "ooxml:Value_ST_ShapeType_flowChartMagneticDisk";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartMagneticDrum] = "ooxml:Value_ST_ShapeType_flowChartMagneticDrum";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartDisplay] = "ooxml:Value_ST_ShapeType_flowChartDisplay";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartDelay] = "ooxml:Value_ST_ShapeType_flowChartDelay";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartAlternateProcess] = "ooxml:Value_ST_ShapeType_flowChartAlternateProcess";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_flowChartOffpageConnector] = "ooxml:Value_ST_ShapeType_flowChartOffpageConnector";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonBlank] = "ooxml:Value_ST_ShapeType_actionButtonBlank";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonHome] = "ooxml:Value_ST_ShapeType_actionButtonHome";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonHelp] = "ooxml:Value_ST_ShapeType_actionButtonHelp";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonInformation] = "ooxml:Value_ST_ShapeType_actionButtonInformation";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonForwardNext] = "ooxml:Value_ST_ShapeType_actionButtonForwardNext";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonBackPrevious] = "ooxml:Value_ST_ShapeType_actionButtonBackPrevious";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonEnd] = "ooxml:Value_ST_ShapeType_actionButtonEnd";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonBeginning] = "ooxml:Value_ST_ShapeType_actionButtonBeginning";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonReturn] = "ooxml:Value_ST_ShapeType_actionButtonReturn";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonDocument] = "ooxml:Value_ST_ShapeType_actionButtonDocument";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonSound] = "ooxml:Value_ST_ShapeType_actionButtonSound";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_actionButtonMovie] = "ooxml:Value_ST_ShapeType_actionButtonMovie";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_gear6] = "ooxml:Value_ST_ShapeType_gear6";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_gear9] = "ooxml:Value_ST_ShapeType_gear9";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_funnel] = "ooxml:Value_ST_ShapeType_funnel";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_mathPlus] = "ooxml:Value_ST_ShapeType_mathPlus";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_mathMinus] = "ooxml:Value_ST_ShapeType_mathMinus";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_mathMultiply] = "ooxml:Value_ST_ShapeType_mathMultiply";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_mathDivide] = "ooxml:Value_ST_ShapeType_mathDivide";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_mathEqual] = "ooxml:Value_ST_ShapeType_mathEqual";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_mathNotEqual] = "ooxml:Value_ST_ShapeType_mathNotEqual";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_cornerTabs] = "ooxml:Value_ST_ShapeType_cornerTabs";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_squareTabs] = "ooxml:Value_ST_ShapeType_squareTabs";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_plaqueTabs] = "ooxml:Value_ST_ShapeType_plaqueTabs";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_chartX] = "ooxml:Value_ST_ShapeType_chartX";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_chartStar] = "ooxml:Value_ST_ShapeType_chartStar";
    mMap[NS_ooxml::LN_Value_ST_ShapeType_chartPlus] = "ooxml:Value_ST_ShapeType_chartPlus";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textNoShape] = "ooxml:Value_drawingml_ST_TextShapeType_textNoShape";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textPlain] = "ooxml:Value_drawingml_ST_TextShapeType_textPlain";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textStop] = "ooxml:Value_drawingml_ST_TextShapeType_textStop";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textTriangle] = "ooxml:Value_drawingml_ST_TextShapeType_textTriangle";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textTriangleInverted] = "ooxml:Value_drawingml_ST_TextShapeType_textTriangleInverted";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textChevron] = "ooxml:Value_drawingml_ST_TextShapeType_textChevron";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textChevronInverted] = "ooxml:Value_drawingml_ST_TextShapeType_textChevronInverted";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textRingInside] = "ooxml:Value_drawingml_ST_TextShapeType_textRingInside";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textRingOutside] = "ooxml:Value_drawingml_ST_TextShapeType_textRingOutside";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textArchUp] = "ooxml:Value_drawingml_ST_TextShapeType_textArchUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textArchDown] = "ooxml:Value_drawingml_ST_TextShapeType_textArchDown";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textCircle] = "ooxml:Value_drawingml_ST_TextShapeType_textCircle";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textButton] = "ooxml:Value_drawingml_ST_TextShapeType_textButton";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textArchUpPour] = "ooxml:Value_drawingml_ST_TextShapeType_textArchUpPour";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textArchDownPour] = "ooxml:Value_drawingml_ST_TextShapeType_textArchDownPour";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textCirclePour] = "ooxml:Value_drawingml_ST_TextShapeType_textCirclePour";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textButtonPour] = "ooxml:Value_drawingml_ST_TextShapeType_textButtonPour";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textCurveUp] = "ooxml:Value_drawingml_ST_TextShapeType_textCurveUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textCurveDown] = "ooxml:Value_drawingml_ST_TextShapeType_textCurveDown";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textCanUp] = "ooxml:Value_drawingml_ST_TextShapeType_textCanUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textCanDown] = "ooxml:Value_drawingml_ST_TextShapeType_textCanDown";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textWave1] = "ooxml:Value_drawingml_ST_TextShapeType_textWave1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textWave2] = "ooxml:Value_drawingml_ST_TextShapeType_textWave2";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textDoubleWave1] = "ooxml:Value_drawingml_ST_TextShapeType_textDoubleWave1";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textWave4] = "ooxml:Value_drawingml_ST_TextShapeType_textWave4";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textInflate] = "ooxml:Value_drawingml_ST_TextShapeType_textInflate";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textDeflate] = "ooxml:Value_drawingml_ST_TextShapeType_textDeflate";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textInflateBottom] = "ooxml:Value_drawingml_ST_TextShapeType_textInflateBottom";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textDeflateBottom] = "ooxml:Value_drawingml_ST_TextShapeType_textDeflateBottom";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textInflateTop] = "ooxml:Value_drawingml_ST_TextShapeType_textInflateTop";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textDeflateTop] = "ooxml:Value_drawingml_ST_TextShapeType_textDeflateTop";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textDeflateInflate] = "ooxml:Value_drawingml_ST_TextShapeType_textDeflateInflate";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textDeflateInflateDeflate] = "ooxml:Value_drawingml_ST_TextShapeType_textDeflateInflateDeflate";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textFadeRight] = "ooxml:Value_drawingml_ST_TextShapeType_textFadeRight";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textFadeLeft] = "ooxml:Value_drawingml_ST_TextShapeType_textFadeLeft";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textFadeUp] = "ooxml:Value_drawingml_ST_TextShapeType_textFadeUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textFadeDown] = "ooxml:Value_drawingml_ST_TextShapeType_textFadeDown";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textSlantUp] = "ooxml:Value_drawingml_ST_TextShapeType_textSlantUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textSlantDown] = "ooxml:Value_drawingml_ST_TextShapeType_textSlantDown";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textCascadeUp] = "ooxml:Value_drawingml_ST_TextShapeType_textCascadeUp";
    mMap[NS_ooxml::LN_Value_drawingml_ST_TextShapeType_textCascadeDown] = "ooxml:Value_drawingml_ST_TextShapeType_textCascadeDown";
    mMap[NS_ooxml::LN_CT_GeomGuideList_gd] = "ooxml:CT_GeomGuideList_gd";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PathFillMode_none] = "ooxml:Value_drawingml_ST_PathFillMode_none";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PathFillMode_norm] = "ooxml:Value_drawingml_ST_PathFillMode_norm";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PathFillMode_lighten] = "ooxml:Value_drawingml_ST_PathFillMode_lighten";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PathFillMode_lightenLess] = "ooxml:Value_drawingml_ST_PathFillMode_lightenLess";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PathFillMode_darken] = "ooxml:Value_drawingml_ST_PathFillMode_darken";
    mMap[NS_ooxml::LN_Value_drawingml_ST_PathFillMode_darkenLess] = "ooxml:Value_drawingml_ST_PathFillMode_darkenLess";
    mMap[NS_ooxml::LN_CT_PresetGeometry2D_avLst] = "ooxml:CT_PresetGeometry2D_avLst";
    mMap[NS_ooxml::LN_CT_PresetGeometry2D_prst] = "ooxml:CT_PresetGeometry2D_prst";
    mMap[NS_ooxml::LN_CT_CustomGeometry2D_avLst] = "ooxml:CT_CustomGeometry2D_avLst";
    mMap[NS_ooxml::LN_CT_CustomGeometry2D_gdLst] = "ooxml:CT_CustomGeometry2D_gdLst";
    mMap[NS_ooxml::LN_CT_CustomGeometry2D_ahLst] = "ooxml:CT_CustomGeometry2D_ahLst";
    mMap[NS_ooxml::LN_CT_CustomGeometry2D_cxnLst] = "ooxml:CT_CustomGeometry2D_cxnLst";
    mMap[NS_ooxml::LN_CT_CustomGeometry2D_rect] = "ooxml:CT_CustomGeometry2D_rect";
    mMap[NS_ooxml::LN_CT_CustomGeometry2D_pathLst] = "ooxml:CT_CustomGeometry2D_pathLst";
    mMap[NS_ooxml::LN_EG_Geometry_custGeom] = "ooxml:EG_Geometry_custGeom";
    mMap[NS_ooxml::LN_EG_Geometry_prstGeom] = "ooxml:EG_Geometry_prstGeom";
    mMap[NS_ooxml::LN_CT_EffectExtent_l] = "ooxml:CT_EffectExtent_l";
    mMap[NS_ooxml::LN_CT_EffectExtent_t] = "ooxml:CT_EffectExtent_t";
    mMap[NS_ooxml::LN_CT_EffectExtent_r] = "ooxml:CT_EffectExtent_r";
    mMap[NS_ooxml::LN_CT_EffectExtent_b] = "ooxml:CT_EffectExtent_b";
    mMap[NS_ooxml::LN_CT_Inline_extent] = "ooxml:CT_Inline_extent";
    mMap[NS_ooxml::LN_CT_Inline_effectExtent] = "ooxml:CT_Inline_effectExtent";
    mMap[NS_ooxml::LN_CT_Inline_docPr] = "ooxml:CT_Inline_docPr";
    mMap[NS_ooxml::LN_CT_Inline_cNvGraphicFramePr] = "ooxml:CT_Inline_cNvGraphicFramePr";
    mMap[NS_ooxml::LN_CT_Inline_a_graphic] = "ooxml:CT_Inline_a_graphic";
    mMap[NS_ooxml::LN_CT_Inline_wp14_sizeRelH] = "ooxml:CT_Inline_wp14_sizeRelH";
    mMap[NS_ooxml::LN_CT_Inline_wp14_sizeRelV] = "ooxml:CT_Inline_wp14_sizeRelV";
    mMap[NS_ooxml::LN_CT_Inline_distT] = "ooxml:CT_Inline_distT";
    mMap[NS_ooxml::LN_CT_Inline_distB] = "ooxml:CT_Inline_distB";
    mMap[NS_ooxml::LN_CT_Inline_distL] = "ooxml:CT_Inline_distL";
    mMap[NS_ooxml::LN_CT_Inline_distR] = "ooxml:CT_Inline_distR";
    mMap[NS_ooxml::LN_CT_Inline_wp14_anchorId] = "ooxml:CT_Inline_wp14_anchorId";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_WrapText_bothSides] = "ooxml:Value_wordprocessingDrawing_ST_WrapText_bothSides";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_WrapText_left] = "ooxml:Value_wordprocessingDrawing_ST_WrapText_left";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_WrapText_right] = "ooxml:Value_wordprocessingDrawing_ST_WrapText_right";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_WrapText_largest] = "ooxml:Value_wordprocessingDrawing_ST_WrapText_largest";
    mMap[NS_ooxml::LN_CT_WrapPath_start] = "ooxml:CT_WrapPath_start";
    mMap[NS_ooxml::LN_CT_WrapPath_lineTo] = "ooxml:CT_WrapPath_lineTo";
    mMap[NS_ooxml::LN_CT_WrapPath_edited] = "ooxml:CT_WrapPath_edited";
    mMap[NS_ooxml::LN_CT_WrapSquare_effectExtent] = "ooxml:CT_WrapSquare_effectExtent";
    mMap[NS_ooxml::LN_CT_WrapSquare_wrapText] = "ooxml:CT_WrapSquare_wrapText";
    mMap[NS_ooxml::LN_CT_WrapSquare_distT] = "ooxml:CT_WrapSquare_distT";
    mMap[NS_ooxml::LN_CT_WrapSquare_distB] = "ooxml:CT_WrapSquare_distB";
    mMap[NS_ooxml::LN_CT_WrapSquare_distL] = "ooxml:CT_WrapSquare_distL";
    mMap[NS_ooxml::LN_CT_WrapSquare_distR] = "ooxml:CT_WrapSquare_distR";
    mMap[NS_ooxml::LN_CT_WrapTight_wrapPolygon] = "ooxml:CT_WrapTight_wrapPolygon";
    mMap[NS_ooxml::LN_CT_WrapTight_wrapText] = "ooxml:CT_WrapTight_wrapText";
    mMap[NS_ooxml::LN_CT_WrapTight_distL] = "ooxml:CT_WrapTight_distL";
    mMap[NS_ooxml::LN_CT_WrapTight_distR] = "ooxml:CT_WrapTight_distR";
    mMap[NS_ooxml::LN_CT_WrapThrough_wrapPolygon] = "ooxml:CT_WrapThrough_wrapPolygon";
    mMap[NS_ooxml::LN_CT_WrapThrough_wrapText] = "ooxml:CT_WrapThrough_wrapText";
    mMap[NS_ooxml::LN_CT_WrapThrough_distL] = "ooxml:CT_WrapThrough_distL";
    mMap[NS_ooxml::LN_CT_WrapThrough_distR] = "ooxml:CT_WrapThrough_distR";
    mMap[NS_ooxml::LN_CT_WrapTopBottom_effectExtent] = "ooxml:CT_WrapTopBottom_effectExtent";
    mMap[NS_ooxml::LN_CT_WrapTopBottom_distT] = "ooxml:CT_WrapTopBottom_distT";
    mMap[NS_ooxml::LN_CT_WrapTopBottom_distB] = "ooxml:CT_WrapTopBottom_distB";
    mMap[NS_ooxml::LN_EG_WrapType_wrapNone] = "ooxml:EG_WrapType_wrapNone";
    mMap[NS_ooxml::LN_EG_WrapType_wrapSquare] = "ooxml:EG_WrapType_wrapSquare";
    mMap[NS_ooxml::LN_EG_WrapType_wrapTight] = "ooxml:EG_WrapType_wrapTight";
    mMap[NS_ooxml::LN_EG_WrapType_wrapThrough] = "ooxml:EG_WrapType_wrapThrough";
    mMap[NS_ooxml::LN_EG_WrapType_wrapTopAndBottom] = "ooxml:EG_WrapType_wrapTopAndBottom";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromH_margin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromH_margin";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromH_page] = "ooxml:Value_wordprocessingDrawing_ST_RelFromH_page";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromH_column] = "ooxml:Value_wordprocessingDrawing_ST_RelFromH_column";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromH_character] = "ooxml:Value_wordprocessingDrawing_ST_RelFromH_character";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromH_leftMargin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromH_leftMargin";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromH_rightMargin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromH_rightMargin";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromH_insideMargin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromH_insideMargin";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromH_outsideMargin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromH_outsideMargin";
    mMap[NS_ooxml::LN_CT_PosH_align] = "ooxml:CT_PosH_align";
    mMap[NS_ooxml::LN_CT_PosH_posOffset] = "ooxml:CT_PosH_posOffset";
    mMap[NS_ooxml::LN_CT_PosH_relativeFrom] = "ooxml:CT_PosH_relativeFrom";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromV_margin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromV_margin";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromV_page] = "ooxml:Value_wordprocessingDrawing_ST_RelFromV_page";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromV_paragraph] = "ooxml:Value_wordprocessingDrawing_ST_RelFromV_paragraph";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromV_line] = "ooxml:Value_wordprocessingDrawing_ST_RelFromV_line";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromV_topMargin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromV_topMargin";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromV_bottomMargin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromV_bottomMargin";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromV_insideMargin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromV_insideMargin";
    mMap[NS_ooxml::LN_Value_wordprocessingDrawing_ST_RelFromV_outsideMargin] = "ooxml:Value_wordprocessingDrawing_ST_RelFromV_outsideMargin";
    mMap[NS_ooxml::LN_CT_PosV_align] = "ooxml:CT_PosV_align";
    mMap[NS_ooxml::LN_CT_PosV_posOffset] = "ooxml:CT_PosV_posOffset";
    mMap[NS_ooxml::LN_CT_PosV_relativeFrom] = "ooxml:CT_PosV_relativeFrom";
    mMap[NS_ooxml::LN_CT_Anchor_simplePos_elem] = "ooxml:CT_Anchor_simplePos_elem";
    mMap[NS_ooxml::LN_CT_Anchor_positionH] = "ooxml:CT_Anchor_positionH";
    mMap[NS_ooxml::LN_CT_Anchor_positionV] = "ooxml:CT_Anchor_positionV";
    mMap[NS_ooxml::LN_CT_Anchor_extent] = "ooxml:CT_Anchor_extent";
    mMap[NS_ooxml::LN_CT_Anchor_effectExtent] = "ooxml:CT_Anchor_effectExtent";
    mMap[NS_ooxml::LN_CT_Anchor_docPr] = "ooxml:CT_Anchor_docPr";
    mMap[NS_ooxml::LN_CT_Anchor_cNvGraphicFramePr] = "ooxml:CT_Anchor_cNvGraphicFramePr";
    mMap[NS_ooxml::LN_CT_Anchor_a_graphic] = "ooxml:CT_Anchor_a_graphic";
    mMap[NS_ooxml::LN_CT_Anchor_wp14_sizeRelV] = "ooxml:CT_Anchor_wp14_sizeRelV";
    mMap[NS_ooxml::LN_CT_Anchor_distT] = "ooxml:CT_Anchor_distT";
    mMap[NS_ooxml::LN_CT_Anchor_distB] = "ooxml:CT_Anchor_distB";
    mMap[NS_ooxml::LN_CT_Anchor_distL] = "ooxml:CT_Anchor_distL";
    mMap[NS_ooxml::LN_CT_Anchor_distR] = "ooxml:CT_Anchor_distR";
    mMap[NS_ooxml::LN_CT_Anchor_simplePos_attr] = "ooxml:CT_Anchor_simplePos_attr";
    mMap[NS_ooxml::LN_CT_Anchor_relativeHeight] = "ooxml:CT_Anchor_relativeHeight";
    mMap[NS_ooxml::LN_CT_Anchor_behindDoc] = "ooxml:CT_Anchor_behindDoc";
    mMap[NS_ooxml::LN_CT_Anchor_locked] = "ooxml:CT_Anchor_locked";
    mMap[NS_ooxml::LN_CT_Anchor_layoutInCell] = "ooxml:CT_Anchor_layoutInCell";
    mMap[NS_ooxml::LN_CT_Anchor_hidden] = "ooxml:CT_Anchor_hidden";
    mMap[NS_ooxml::LN_CT_Anchor_allowOverlap] = "ooxml:CT_Anchor_allowOverlap";
    mMap[NS_ooxml::LN_CT_Anchor_wp14_anchorId] = "ooxml:CT_Anchor_wp14_anchorId";
    mMap[NS_ooxml::LN_inline_inline] = "ooxml:inline_inline";
    mMap[NS_ooxml::LN_anchor_anchor] = "ooxml:anchor_anchor";
    mMap[NS_ooxml::LN_CT_Integer255_val] = "ooxml:CT_Integer255_val";
    mMap[NS_ooxml::LN_CT_Integer2_val] = "ooxml:CT_Integer2_val";
    mMap[NS_ooxml::LN_CT_SpacingRule_val] = "ooxml:CT_SpacingRule_val";
    mMap[NS_ooxml::LN_CT_UnSignedInteger_val] = "ooxml:CT_UnSignedInteger_val";
    mMap[NS_ooxml::LN_CT_Char_val] = "ooxml:CT_Char_val";
    mMap[NS_ooxml::LN_Value_math_ST_OnOff_on] = "ooxml:Value_math_ST_OnOff_on";
    mMap[NS_ooxml::LN_Value_math_ST_OnOff_off] = "ooxml:Value_math_ST_OnOff_off";
    mMap[NS_ooxml::LN_Value_math_ST_XAlign_left] = "ooxml:Value_math_ST_XAlign_left";
    mMap[NS_ooxml::LN_Value_math_ST_XAlign_center] = "ooxml:Value_math_ST_XAlign_center";
    mMap[NS_ooxml::LN_Value_math_ST_XAlign_right] = "ooxml:Value_math_ST_XAlign_right";
    mMap[NS_ooxml::LN_CT_XAlign_val] = "ooxml:CT_XAlign_val";
    mMap[NS_ooxml::LN_Value_math_ST_YAlign_top] = "ooxml:Value_math_ST_YAlign_top";
    mMap[NS_ooxml::LN_Value_math_ST_YAlign_center] = "ooxml:Value_math_ST_YAlign_center";
    mMap[NS_ooxml::LN_Value_math_ST_YAlign_bot] = "ooxml:Value_math_ST_YAlign_bot";
    mMap[NS_ooxml::LN_CT_YAlign_val] = "ooxml:CT_YAlign_val";
    mMap[NS_ooxml::LN_Value_math_ST_Shp_centered] = "ooxml:Value_math_ST_Shp_centered";
    mMap[NS_ooxml::LN_Value_math_ST_Shp_match] = "ooxml:Value_math_ST_Shp_match";
    mMap[NS_ooxml::LN_CT_Shp_val] = "ooxml:CT_Shp_val";
    mMap[NS_ooxml::LN_Value_math_ST_FType_bar] = "ooxml:Value_math_ST_FType_bar";
    mMap[NS_ooxml::LN_Value_math_ST_FType_skw] = "ooxml:Value_math_ST_FType_skw";
    mMap[NS_ooxml::LN_Value_math_ST_FType_lin] = "ooxml:Value_math_ST_FType_lin";
    mMap[NS_ooxml::LN_Value_math_ST_FType_noBar] = "ooxml:Value_math_ST_FType_noBar";
    mMap[NS_ooxml::LN_CT_FType_val] = "ooxml:CT_FType_val";
    mMap[NS_ooxml::LN_Value_math_ST_LimLoc_undOvr] = "ooxml:Value_math_ST_LimLoc_undOvr";
    mMap[NS_ooxml::LN_Value_math_ST_LimLoc_subSup] = "ooxml:Value_math_ST_LimLoc_subSup";
    mMap[NS_ooxml::LN_CT_LimLoc_val] = "ooxml:CT_LimLoc_val";
    mMap[NS_ooxml::LN_Value_math_ST_TopBot_top] = "ooxml:Value_math_ST_TopBot_top";
    mMap[NS_ooxml::LN_Value_math_ST_TopBot_bot] = "ooxml:Value_math_ST_TopBot_bot";
    mMap[NS_ooxml::LN_CT_TopBot_val] = "ooxml:CT_TopBot_val";
    mMap[NS_ooxml::LN_Value_math_ST_Script_roman] = "ooxml:Value_math_ST_Script_roman";
    mMap[NS_ooxml::LN_Value_math_ST_Script_script] = "ooxml:Value_math_ST_Script_script";
    mMap[NS_ooxml::LN_Value_math_ST_Script_fraktur] = "ooxml:Value_math_ST_Script_fraktur";
    mMap[NS_ooxml::LN_Value_math_ST_Script_doublemstruck] = "ooxml:Value_math_ST_Script_doublemstruck";
    mMap[NS_ooxml::LN_Value_math_ST_Script_sansmserif] = "ooxml:Value_math_ST_Script_sansmserif";
    mMap[NS_ooxml::LN_Value_math_ST_Script_monospace] = "ooxml:Value_math_ST_Script_monospace";
    mMap[NS_ooxml::LN_CT_Script_val] = "ooxml:CT_Script_val";
    mMap[NS_ooxml::LN_Value_ST_Style_b] = "ooxml:Value_ST_Style_b";
    mMap[NS_ooxml::LN_Value_ST_Style_bi] = "ooxml:Value_ST_Style_bi";
    mMap[NS_ooxml::LN_Value_ST_Style_i] = "ooxml:Value_ST_Style_i";
    mMap[NS_ooxml::LN_Value_ST_Style_p] = "ooxml:Value_ST_Style_p";
    mMap[NS_ooxml::LN_CT_Style_val] = "ooxml:CT_Style_val";
    mMap[NS_ooxml::LN_Value_math_ST_Jc_start] = "ooxml:Value_math_ST_Jc_start";
    mMap[NS_ooxml::LN_Value_math_ST_Jc_end] = "ooxml:Value_math_ST_Jc_end";
    mMap[NS_ooxml::LN_Value_math_ST_Jc_left] = "ooxml:Value_math_ST_Jc_left";
    mMap[NS_ooxml::LN_Value_math_ST_Jc_right] = "ooxml:Value_math_ST_Jc_right";
    mMap[NS_ooxml::LN_Value_math_ST_Jc_center] = "ooxml:Value_math_ST_Jc_center";
    mMap[NS_ooxml::LN_Value_math_ST_Jc_centerGroup] = "ooxml:Value_math_ST_Jc_centerGroup";
    mMap[NS_ooxml::LN_CT_OMathJc_val] = "ooxml:CT_OMathJc_val";
    mMap[NS_ooxml::LN_CT_TwipsMeasure_val] = "ooxml:CT_TwipsMeasure_val";
    mMap[NS_ooxml::LN_Value_math_ST_BreakBin_before] = "ooxml:Value_math_ST_BreakBin_before";
    mMap[NS_ooxml::LN_Value_math_ST_BreakBin_after] = "ooxml:Value_math_ST_BreakBin_after";
    mMap[NS_ooxml::LN_Value_math_ST_BreakBin_repeat] = "ooxml:Value_math_ST_BreakBin_repeat";
    mMap[NS_ooxml::LN_CT_BreakBin_val] = "ooxml:CT_BreakBin_val";
    mMap[NS_ooxml::LN_Value_math_ST_BreakBinSub_mm] = "ooxml:Value_math_ST_BreakBinSub_mm";
    mMap[NS_ooxml::LN_Value_math_ST_BreakBinSub_mp] = "ooxml:Value_math_ST_BreakBinSub_mp";
    mMap[NS_ooxml::LN_Value_math_ST_BreakBinSub_pm] = "ooxml:Value_math_ST_BreakBinSub_pm";
    mMap[NS_ooxml::LN_CT_BreakBinSub_val] = "ooxml:CT_BreakBinSub_val";
    mMap[NS_ooxml::LN_CT_PictureNonVisual_cNvPr] = "ooxml:CT_PictureNonVisual_cNvPr";
    mMap[NS_ooxml::LN_CT_PictureNonVisual_cNvPicPr] = "ooxml:CT_PictureNonVisual_cNvPicPr";
    mMap[NS_ooxml::LN_CT_Picture_nvPicPr] = "ooxml:CT_Picture_nvPicPr";
    mMap[NS_ooxml::LN_CT_Picture_blipFill] = "ooxml:CT_Picture_blipFill";
    mMap[NS_ooxml::LN_CT_Picture_spPr] = "ooxml:CT_Picture_spPr";
    mMap[NS_ooxml::LN_pic_pic] = "ooxml:pic_pic";
    mMap[NS_ooxml::LN_CT_RelIds_dm] = "ooxml:CT_RelIds_dm";
    mMap[NS_ooxml::LN_CT_RelIds_lo] = "ooxml:CT_RelIds_lo";
    mMap[NS_ooxml::LN_CT_RelIds_qs] = "ooxml:CT_RelIds_qs";
    mMap[NS_ooxml::LN_CT_RelIds_cs] = "ooxml:CT_RelIds_cs";
    mMap[NS_ooxml::LN_dgm_relIds] = "ooxml:dgm_relIds";
    mMap[NS_ooxml::LN_CT_GvmlGroupShape_nvGrpSpPr] = "ooxml:CT_GvmlGroupShape_nvGrpSpPr";
    mMap[NS_ooxml::LN_CT_GvmlGroupShape_grpSpPr] = "ooxml:CT_GvmlGroupShape_grpSpPr";
    mMap[NS_ooxml::LN_lc_lockedCanvas] = "ooxml:lc_lockedCanvas";
    mMap[NS_ooxml::LN_CT_RelId_chart] = "ooxml:CT_RelId_chart";
    mMap[NS_ooxml::LN_c_chart] = "ooxml:c_chart";
    mMap[NS_ooxml::LN_CT_WordprocessingShape_cNvSpPr] = "ooxml:CT_WordprocessingShape_cNvSpPr";
    mMap[NS_ooxml::LN_CT_WordprocessingShape_spPr] = "ooxml:CT_WordprocessingShape_spPr";
    mMap[NS_ooxml::LN_wps_wsp] = "ooxml:wps_wsp";
    mMap[NS_ooxml::LN_CT_WordprocessingGroup_cNvGrpSpPr] = "ooxml:CT_WordprocessingGroup_cNvGrpSpPr";
    mMap[NS_ooxml::LN_CT_WordprocessingGroup_grpSpPr] = "ooxml:CT_WordprocessingGroup_grpSpPr";
    mMap[NS_ooxml::LN_wpg_wgp] = "ooxml:wpg_wgp";
    mMap[NS_ooxml::LN_Value_vml_ST_FillType_solid] = "ooxml:Value_vml_ST_FillType_solid";
    mMap[NS_ooxml::LN_Value_vml_ST_FillType_gradient] = "ooxml:Value_vml_ST_FillType_gradient";
    mMap[NS_ooxml::LN_Value_vml_ST_FillType_gradientRadial] = "ooxml:Value_vml_ST_FillType_gradientRadial";
    mMap[NS_ooxml::LN_Value_vml_ST_FillType_tile] = "ooxml:Value_vml_ST_FillType_tile";
    mMap[NS_ooxml::LN_Value_vml_ST_FillType_pattern] = "ooxml:Value_vml_ST_FillType_pattern";
    mMap[NS_ooxml::LN_Value_vml_ST_FillType_frame] = "ooxml:Value_vml_ST_FillType_frame";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeLineStyle_single] = "ooxml:Value_vml_ST_StrokeLineStyle_single";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeLineStyle_thinThin] = "ooxml:Value_vml_ST_StrokeLineStyle_thinThin";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeLineStyle_thinThick] = "ooxml:Value_vml_ST_StrokeLineStyle_thinThick";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeLineStyle_thickThin] = "ooxml:Value_vml_ST_StrokeLineStyle_thickThin";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeLineStyle_thickBetweenThin] = "ooxml:Value_vml_ST_StrokeLineStyle_thickBetweenThin";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeJoinStyle_round] = "ooxml:Value_vml_ST_StrokeJoinStyle_round";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeJoinStyle_bevel] = "ooxml:Value_vml_ST_StrokeJoinStyle_bevel";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeJoinStyle_miter] = "ooxml:Value_vml_ST_StrokeJoinStyle_miter";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeEndCap_flat] = "ooxml:Value_vml_ST_StrokeEndCap_flat";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeEndCap_square] = "ooxml:Value_vml_ST_StrokeEndCap_square";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeEndCap_round] = "ooxml:Value_vml_ST_StrokeEndCap_round";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowLength_short] = "ooxml:Value_vml_ST_StrokeArrowLength_short";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowLength_medium] = "ooxml:Value_vml_ST_StrokeArrowLength_medium";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowLength_long] = "ooxml:Value_vml_ST_StrokeArrowLength_long";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowWidth_narrow] = "ooxml:Value_vml_ST_StrokeArrowWidth_narrow";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowWidth_medium] = "ooxml:Value_vml_ST_StrokeArrowWidth_medium";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowWidth_wide] = "ooxml:Value_vml_ST_StrokeArrowWidth_wide";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowType_none] = "ooxml:Value_vml_ST_StrokeArrowType_none";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowType_block] = "ooxml:Value_vml_ST_StrokeArrowType_block";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowType_classic] = "ooxml:Value_vml_ST_StrokeArrowType_classic";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowType_oval] = "ooxml:Value_vml_ST_StrokeArrowType_oval";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowType_diamond] = "ooxml:Value_vml_ST_StrokeArrowType_diamond";
    mMap[NS_ooxml::LN_Value_vml_ST_StrokeArrowType_open] = "ooxml:Value_vml_ST_StrokeArrowType_open";
    mMap[NS_ooxml::LN_Value_vml_ST_ImageAspect_ignore] = "ooxml:Value_vml_ST_ImageAspect_ignore";
    mMap[NS_ooxml::LN_Value_vml_ST_ImageAspect_atMost] = "ooxml:Value_vml_ST_ImageAspect_atMost";
    mMap[NS_ooxml::LN_Value_vml_ST_ImageAspect_atLeast] = "ooxml:Value_vml_ST_ImageAspect_atLeast";
    mMap[NS_ooxml::LN_Value_vml_ST_TrueFalseBlank_t] = "ooxml:Value_vml_ST_TrueFalseBlank_t";
    mMap[NS_ooxml::LN_Value_vml_ST_TrueFalseBlank_f] = "ooxml:Value_vml_ST_TrueFalseBlank_f";
    mMap[NS_ooxml::LN_Value_vml_ST_TrueFalseBlank_true] = "ooxml:Value_vml_ST_TrueFalseBlank_true";
    mMap[NS_ooxml::LN_Value_vml_ST_TrueFalseBlank_false] = "ooxml:Value_vml_ST_TrueFalseBlank_false";
    mMap[NS_ooxml::LN_Value_vml_ST_TrueFalseBlank_] = "ooxml:Value_vml_ST_TrueFalseBlank_";
    mMap[NS_ooxml::LN_CT_Background_id] = "ooxml:CT_Background_id";
    mMap[NS_ooxml::LN_background_background] = "ooxml:background_background";
    mMap[NS_ooxml::LN_OLEObject_OLEObject] = "ooxml:OLEObject_OLEObject";
    mMap[NS_ooxml::LN_CT_OLEObject_LinkType] = "ooxml:CT_OLEObject_LinkType";
    mMap[NS_ooxml::LN_CT_OLEObject_LockedField] = "ooxml:CT_OLEObject_LockedField";
    mMap[NS_ooxml::LN_CT_OLEObject_FieldCodes] = "ooxml:CT_OLEObject_FieldCodes";
    mMap[NS_ooxml::LN_CT_OLEObject_Type] = "ooxml:CT_OLEObject_Type";
    mMap[NS_ooxml::LN_CT_OLEObject_ProgID] = "ooxml:CT_OLEObject_ProgID";
    mMap[NS_ooxml::LN_CT_OLEObject_ShapeID] = "ooxml:CT_OLEObject_ShapeID";
    mMap[NS_ooxml::LN_CT_OLEObject_DrawAspect] = "ooxml:CT_OLEObject_DrawAspect";
    mMap[NS_ooxml::LN_CT_OLEObject_ObjectID] = "ooxml:CT_OLEObject_ObjectID";
    mMap[NS_ooxml::LN_CT_OLEObject_r_id] = "ooxml:CT_OLEObject_r_id";
    mMap[NS_ooxml::LN_CT_OLEObject_UpdateMode] = "ooxml:CT_OLEObject_UpdateMode";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_Angle_any] = "ooxml:Value_vmlOffice_ST_Angle_any";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_Angle_30] = "ooxml:Value_vmlOffice_ST_Angle_30";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_Angle_45] = "ooxml:Value_vmlOffice_ST_Angle_45";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_Angle_60] = "ooxml:Value_vmlOffice_ST_Angle_60";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_Angle_90] = "ooxml:Value_vmlOffice_ST_Angle_90";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_Angle_auto] = "ooxml:Value_vmlOffice_ST_Angle_auto";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_OLELinkType_Picture] = "ooxml:Value_vmlOffice_ST_OLELinkType_Picture";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_OLELinkType_Bitmap] = "ooxml:Value_vmlOffice_ST_OLELinkType_Bitmap";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_OLELinkType_EnhancedMetaFile] = "ooxml:Value_vmlOffice_ST_OLELinkType_EnhancedMetaFile";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_TrueFalseBlank_] = "ooxml:Value_vmlOffice_ST_TrueFalseBlank_";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_TrueFalseBlank_t] = "ooxml:Value_vmlOffice_ST_TrueFalseBlank_t";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_TrueFalseBlank_f] = "ooxml:Value_vmlOffice_ST_TrueFalseBlank_f";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_TrueFalseBlank_true] = "ooxml:Value_vmlOffice_ST_TrueFalseBlank_true";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_TrueFalseBlank_false] = "ooxml:Value_vmlOffice_ST_TrueFalseBlank_false";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_FillType_gradientCenter] = "ooxml:Value_vmlOffice_ST_FillType_gradientCenter";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_FillType_solid] = "ooxml:Value_vmlOffice_ST_FillType_solid";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_FillType_pattern] = "ooxml:Value_vmlOffice_ST_FillType_pattern";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_FillType_tile] = "ooxml:Value_vmlOffice_ST_FillType_tile";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_FillType_frame] = "ooxml:Value_vmlOffice_ST_FillType_frame";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_FillType_gradientUnscaled] = "ooxml:Value_vmlOffice_ST_FillType_gradientUnscaled";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_FillType_gradientRadial] = "ooxml:Value_vmlOffice_ST_FillType_gradientRadial";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_FillType_gradient] = "ooxml:Value_vmlOffice_ST_FillType_gradient";
    mMap[NS_ooxml::LN_Value_vmlOffice_ST_FillType_background] = "ooxml:Value_vmlOffice_ST_FillType_background";
    mMap[NS_ooxml::LN_wrap_wrap] = "ooxml:wrap_wrap";
    mMap[NS_ooxml::LN_CT_Wrap_type] = "ooxml:CT_Wrap_type";
    mMap[NS_ooxml::LN_CT_Wrap_side] = "ooxml:CT_Wrap_side";
    mMap[NS_ooxml::LN_CT_Wrap_anchorx] = "ooxml:CT_Wrap_anchorx";
    mMap[NS_ooxml::LN_CT_Wrap_anchory] = "ooxml:CT_Wrap_anchory";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_WrapType_topAndBottom] = "ooxml:Value_vml_wordprocessingDrawing_ST_WrapType_topAndBottom";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_WrapType_square] = "ooxml:Value_vml_wordprocessingDrawing_ST_WrapType_square";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_WrapType_none] = "ooxml:Value_vml_wordprocessingDrawing_ST_WrapType_none";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_WrapType_tight] = "ooxml:Value_vml_wordprocessingDrawing_ST_WrapType_tight";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_WrapType_through] = "ooxml:Value_vml_wordprocessingDrawing_ST_WrapType_through";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_WrapSide_both] = "ooxml:Value_vml_wordprocessingDrawing_ST_WrapSide_both";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_WrapSide_left] = "ooxml:Value_vml_wordprocessingDrawing_ST_WrapSide_left";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_WrapSide_right] = "ooxml:Value_vml_wordprocessingDrawing_ST_WrapSide_right";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_WrapSide_largest] = "ooxml:Value_vml_wordprocessingDrawing_ST_WrapSide_largest";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_HorizontalAnchor_margin] = "ooxml:Value_vml_wordprocessingDrawing_ST_HorizontalAnchor_margin";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_HorizontalAnchor_page] = "ooxml:Value_vml_wordprocessingDrawing_ST_HorizontalAnchor_page";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_HorizontalAnchor_text] = "ooxml:Value_vml_wordprocessingDrawing_ST_HorizontalAnchor_text";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_HorizontalAnchor_char] = "ooxml:Value_vml_wordprocessingDrawing_ST_HorizontalAnchor_char";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_VerticalAnchor_margin] = "ooxml:Value_vml_wordprocessingDrawing_ST_VerticalAnchor_margin";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_VerticalAnchor_page] = "ooxml:Value_vml_wordprocessingDrawing_ST_VerticalAnchor_page";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_VerticalAnchor_text] = "ooxml:Value_vml_wordprocessingDrawing_ST_VerticalAnchor_text";
    mMap[NS_ooxml::LN_Value_vml_wordprocessingDrawing_ST_VerticalAnchor_line] = "ooxml:Value_vml_wordprocessingDrawing_ST_VerticalAnchor_line";
    mMap[NS_ooxml::LN_EG_RunInnerContent_noBreakHyphen] = "ooxml:EG_RunInnerContent_noBreakHyphen";
    mMap[NS_ooxml::LN_EG_RunInnerContent_softHyphen] = "ooxml:EG_RunInnerContent_softHyphen";
    mMap[NS_ooxml::LN_EG_RunInnerContent_cr] = "ooxml:EG_RunInnerContent_cr";
    mMap[NS_ooxml::LN_CT_LongHexNumber_val] = "ooxml:CT_LongHexNumber_val";
    mMap[NS_ooxml::LN_CT_ShortHexNumber_val] = "ooxml:CT_ShortHexNumber_val";
    mMap[NS_ooxml::LN_CT_UcharHexNumber_val] = "ooxml:CT_UcharHexNumber_val";
    mMap[NS_ooxml::LN_CT_DecimalNumber_val] = "ooxml:CT_DecimalNumber_val";
    mMap[NS_ooxml::LN_CT_SignedTwipsMeasure_val] = "ooxml:CT_SignedTwipsMeasure_val";
    mMap[NS_ooxml::LN_CT_PixelsMeasure_val] = "ooxml:CT_PixelsMeasure_val";
    mMap[NS_ooxml::LN_CT_HpsMeasure_val] = "ooxml:CT_HpsMeasure_val";
    mMap[NS_ooxml::LN_CT_SignedHpsMeasure_val] = "ooxml:CT_SignedHpsMeasure_val";
    mMap[NS_ooxml::LN_CT_MacroName_val] = "ooxml:CT_MacroName_val";
    mMap[NS_ooxml::LN_CT_TextScale_val] = "ooxml:CT_TextScale_val";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_black] = "ooxml:Value_ST_HighlightColor_black";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_blue] = "ooxml:Value_ST_HighlightColor_blue";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_cyan] = "ooxml:Value_ST_HighlightColor_cyan";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_green] = "ooxml:Value_ST_HighlightColor_green";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_magenta] = "ooxml:Value_ST_HighlightColor_magenta";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_red] = "ooxml:Value_ST_HighlightColor_red";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_yellow] = "ooxml:Value_ST_HighlightColor_yellow";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_white] = "ooxml:Value_ST_HighlightColor_white";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_darkBlue] = "ooxml:Value_ST_HighlightColor_darkBlue";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_darkCyan] = "ooxml:Value_ST_HighlightColor_darkCyan";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_darkGreen] = "ooxml:Value_ST_HighlightColor_darkGreen";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_darkMagenta] = "ooxml:Value_ST_HighlightColor_darkMagenta";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_darkRed] = "ooxml:Value_ST_HighlightColor_darkRed";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_darkYellow] = "ooxml:Value_ST_HighlightColor_darkYellow";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_darkGray] = "ooxml:Value_ST_HighlightColor_darkGray";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_lightGray] = "ooxml:Value_ST_HighlightColor_lightGray";
    mMap[NS_ooxml::LN_Value_ST_HighlightColor_none] = "ooxml:Value_ST_HighlightColor_none";
    mMap[NS_ooxml::LN_CT_Highlight_val] = "ooxml:CT_Highlight_val";
    mMap[NS_ooxml::LN_Value_ST_HexColorAuto_auto] = "ooxml:Value_ST_HexColorAuto_auto";
    mMap[NS_ooxml::LN_CT_Color_val] = "ooxml:CT_Color_val";
    mMap[NS_ooxml::LN_CT_Color_themeColor] = "ooxml:CT_Color_themeColor";
    mMap[NS_ooxml::LN_CT_Color_themeTint] = "ooxml:CT_Color_themeTint";
    mMap[NS_ooxml::LN_CT_Color_themeShade] = "ooxml:CT_Color_themeShade";
    mMap[NS_ooxml::LN_CT_Lang_val] = "ooxml:CT_Lang_val";
    mMap[NS_ooxml::LN_CT_Guid_val] = "ooxml:CT_Guid_val";
    mMap[NS_ooxml::LN_Value_ST_Underline_single] = "ooxml:Value_ST_Underline_single";
    mMap[NS_ooxml::LN_Value_ST_Underline_words] = "ooxml:Value_ST_Underline_words";
    mMap[NS_ooxml::LN_Value_ST_Underline_double] = "ooxml:Value_ST_Underline_double";
    mMap[NS_ooxml::LN_Value_ST_Underline_thick] = "ooxml:Value_ST_Underline_thick";
    mMap[NS_ooxml::LN_Value_ST_Underline_dotted] = "ooxml:Value_ST_Underline_dotted";
    mMap[NS_ooxml::LN_Value_ST_Underline_dottedHeavy] = "ooxml:Value_ST_Underline_dottedHeavy";
    mMap[NS_ooxml::LN_Value_ST_Underline_dash] = "ooxml:Value_ST_Underline_dash";
    mMap[NS_ooxml::LN_Value_ST_Underline_dashedHeavy] = "ooxml:Value_ST_Underline_dashedHeavy";
    mMap[NS_ooxml::LN_Value_ST_Underline_dashLong] = "ooxml:Value_ST_Underline_dashLong";
    mMap[NS_ooxml::LN_Value_ST_Underline_dashLongHeavy] = "ooxml:Value_ST_Underline_dashLongHeavy";
    mMap[NS_ooxml::LN_Value_ST_Underline_dotDash] = "ooxml:Value_ST_Underline_dotDash";
    mMap[NS_ooxml::LN_Value_ST_Underline_dashDotHeavy] = "ooxml:Value_ST_Underline_dashDotHeavy";
    mMap[NS_ooxml::LN_Value_ST_Underline_dotDotDash] = "ooxml:Value_ST_Underline_dotDotDash";
    mMap[NS_ooxml::LN_Value_ST_Underline_dashDotDotHeavy] = "ooxml:Value_ST_Underline_dashDotDotHeavy";
    mMap[NS_ooxml::LN_Value_ST_Underline_wave] = "ooxml:Value_ST_Underline_wave";
    mMap[NS_ooxml::LN_Value_ST_Underline_wavyHeavy] = "ooxml:Value_ST_Underline_wavyHeavy";
    mMap[NS_ooxml::LN_Value_ST_Underline_wavyDouble] = "ooxml:Value_ST_Underline_wavyDouble";
    mMap[NS_ooxml::LN_Value_ST_Underline_none] = "ooxml:Value_ST_Underline_none";
    mMap[NS_ooxml::LN_CT_Underline_val] = "ooxml:CT_Underline_val";
    mMap[NS_ooxml::LN_CT_Underline_color] = "ooxml:CT_Underline_color";
    mMap[NS_ooxml::LN_CT_Underline_themeColor] = "ooxml:CT_Underline_themeColor";
    mMap[NS_ooxml::LN_CT_Underline_themeTint] = "ooxml:CT_Underline_themeTint";
    mMap[NS_ooxml::LN_CT_Underline_themeShade] = "ooxml:CT_Underline_themeShade";
    mMap[NS_ooxml::LN_Value_ST_TextEffect_none] = "ooxml:Value_ST_TextEffect_none";
    mMap[NS_ooxml::LN_Value_ST_TextEffect_lights] = "ooxml:Value_ST_TextEffect_lights";
    mMap[NS_ooxml::LN_Value_ST_TextEffect_blinkBackground] = "ooxml:Value_ST_TextEffect_blinkBackground";
    mMap[NS_ooxml::LN_Value_ST_TextEffect_sparkle] = "ooxml:Value_ST_TextEffect_sparkle";
    mMap[NS_ooxml::LN_Value_ST_TextEffect_antsBlack] = "ooxml:Value_ST_TextEffect_antsBlack";
    mMap[NS_ooxml::LN_Value_ST_TextEffect_antsRed] = "ooxml:Value_ST_TextEffect_antsRed";
    mMap[NS_ooxml::LN_Value_ST_TextEffect_shimmer] = "ooxml:Value_ST_TextEffect_shimmer";
    mMap[NS_ooxml::LN_CT_TextEffect_val] = "ooxml:CT_TextEffect_val";
    mMap[NS_ooxml::LN_Value_ST_Border_nil] = "ooxml:Value_ST_Border_nil";
    mMap[NS_ooxml::LN_Value_ST_Border_none] = "ooxml:Value_ST_Border_none";
    mMap[NS_ooxml::LN_Value_ST_Border_single] = "ooxml:Value_ST_Border_single";
    mMap[NS_ooxml::LN_Value_ST_Border_thick] = "ooxml:Value_ST_Border_thick";
    mMap[NS_ooxml::LN_Value_ST_Border_double] = "ooxml:Value_ST_Border_double";
    mMap[NS_ooxml::LN_Value_ST_Border_dotted] = "ooxml:Value_ST_Border_dotted";
    mMap[NS_ooxml::LN_Value_ST_Border_dashed] = "ooxml:Value_ST_Border_dashed";
    mMap[NS_ooxml::LN_Value_ST_Border_dotDash] = "ooxml:Value_ST_Border_dotDash";
    mMap[NS_ooxml::LN_Value_ST_Border_dotDotDash] = "ooxml:Value_ST_Border_dotDotDash";
    mMap[NS_ooxml::LN_Value_ST_Border_triple] = "ooxml:Value_ST_Border_triple";
    mMap[NS_ooxml::LN_Value_ST_Border_thinThickSmallGap] = "ooxml:Value_ST_Border_thinThickSmallGap";
    mMap[NS_ooxml::LN_Value_ST_Border_thickThinSmallGap] = "ooxml:Value_ST_Border_thickThinSmallGap";
    mMap[NS_ooxml::LN_Value_ST_Border_thinThickThinSmallGap] = "ooxml:Value_ST_Border_thinThickThinSmallGap";
    mMap[NS_ooxml::LN_Value_ST_Border_thinThickMediumGap] = "ooxml:Value_ST_Border_thinThickMediumGap";
    mMap[NS_ooxml::LN_Value_ST_Border_thickThinMediumGap] = "ooxml:Value_ST_Border_thickThinMediumGap";
    mMap[NS_ooxml::LN_Value_ST_Border_thinThickThinMediumGap] = "ooxml:Value_ST_Border_thinThickThinMediumGap";
    mMap[NS_ooxml::LN_Value_ST_Border_thinThickLargeGap] = "ooxml:Value_ST_Border_thinThickLargeGap";
    mMap[NS_ooxml::LN_Value_ST_Border_thickThinLargeGap] = "ooxml:Value_ST_Border_thickThinLargeGap";
    mMap[NS_ooxml::LN_Value_ST_Border_thinThickThinLargeGap] = "ooxml:Value_ST_Border_thinThickThinLargeGap";
    mMap[NS_ooxml::LN_Value_ST_Border_wave] = "ooxml:Value_ST_Border_wave";
    mMap[NS_ooxml::LN_Value_ST_Border_doubleWave] = "ooxml:Value_ST_Border_doubleWave";
    mMap[NS_ooxml::LN_Value_ST_Border_dashSmallGap] = "ooxml:Value_ST_Border_dashSmallGap";
    mMap[NS_ooxml::LN_Value_ST_Border_dashDotStroked] = "ooxml:Value_ST_Border_dashDotStroked";
    mMap[NS_ooxml::LN_Value_ST_Border_threeDEmboss] = "ooxml:Value_ST_Border_threeDEmboss";
    mMap[NS_ooxml::LN_Value_ST_Border_threeDEngrave] = "ooxml:Value_ST_Border_threeDEngrave";
    mMap[NS_ooxml::LN_Value_ST_Border_outset] = "ooxml:Value_ST_Border_outset";
    mMap[NS_ooxml::LN_Value_ST_Border_inset] = "ooxml:Value_ST_Border_inset";
    mMap[NS_ooxml::LN_Value_ST_Border_apples] = "ooxml:Value_ST_Border_apples";
    mMap[NS_ooxml::LN_Value_ST_Border_archedScallops] = "ooxml:Value_ST_Border_archedScallops";
    mMap[NS_ooxml::LN_Value_ST_Border_babyPacifier] = "ooxml:Value_ST_Border_babyPacifier";
    mMap[NS_ooxml::LN_Value_ST_Border_babyRattle] = "ooxml:Value_ST_Border_babyRattle";
    mMap[NS_ooxml::LN_Value_ST_Border_balloons3Colors] = "ooxml:Value_ST_Border_balloons3Colors";
    mMap[NS_ooxml::LN_Value_ST_Border_balloonsHotAir] = "ooxml:Value_ST_Border_balloonsHotAir";
    mMap[NS_ooxml::LN_Value_ST_Border_basicBlackDashes] = "ooxml:Value_ST_Border_basicBlackDashes";
    mMap[NS_ooxml::LN_Value_ST_Border_basicBlackDots] = "ooxml:Value_ST_Border_basicBlackDots";
    mMap[NS_ooxml::LN_Value_ST_Border_basicBlackSquares] = "ooxml:Value_ST_Border_basicBlackSquares";
    mMap[NS_ooxml::LN_Value_ST_Border_basicThinLines] = "ooxml:Value_ST_Border_basicThinLines";
    mMap[NS_ooxml::LN_Value_ST_Border_basicWhiteDashes] = "ooxml:Value_ST_Border_basicWhiteDashes";
    mMap[NS_ooxml::LN_Value_ST_Border_basicWhiteDots] = "ooxml:Value_ST_Border_basicWhiteDots";
    mMap[NS_ooxml::LN_Value_ST_Border_basicWhiteSquares] = "ooxml:Value_ST_Border_basicWhiteSquares";
    mMap[NS_ooxml::LN_Value_ST_Border_basicWideInline] = "ooxml:Value_ST_Border_basicWideInline";
    mMap[NS_ooxml::LN_Value_ST_Border_basicWideMidline] = "ooxml:Value_ST_Border_basicWideMidline";
    mMap[NS_ooxml::LN_Value_ST_Border_basicWideOutline] = "ooxml:Value_ST_Border_basicWideOutline";
    mMap[NS_ooxml::LN_Value_ST_Border_bats] = "ooxml:Value_ST_Border_bats";
    mMap[NS_ooxml::LN_Value_ST_Border_birds] = "ooxml:Value_ST_Border_birds";
    mMap[NS_ooxml::LN_Value_ST_Border_birdsFlight] = "ooxml:Value_ST_Border_birdsFlight";
    mMap[NS_ooxml::LN_Value_ST_Border_cabins] = "ooxml:Value_ST_Border_cabins";
    mMap[NS_ooxml::LN_Value_ST_Border_cakeSlice] = "ooxml:Value_ST_Border_cakeSlice";
    mMap[NS_ooxml::LN_Value_ST_Border_candyCorn] = "ooxml:Value_ST_Border_candyCorn";
    mMap[NS_ooxml::LN_Value_ST_Border_celticKnotwork] = "ooxml:Value_ST_Border_celticKnotwork";
    mMap[NS_ooxml::LN_Value_ST_Border_certificateBanner] = "ooxml:Value_ST_Border_certificateBanner";
    mMap[NS_ooxml::LN_Value_ST_Border_chainLink] = "ooxml:Value_ST_Border_chainLink";
    mMap[NS_ooxml::LN_Value_ST_Border_champagneBottle] = "ooxml:Value_ST_Border_champagneBottle";
    mMap[NS_ooxml::LN_Value_ST_Border_checkedBarBlack] = "ooxml:Value_ST_Border_checkedBarBlack";
    mMap[NS_ooxml::LN_Value_ST_Border_checkedBarColor] = "ooxml:Value_ST_Border_checkedBarColor";
    mMap[NS_ooxml::LN_Value_ST_Border_checkered] = "ooxml:Value_ST_Border_checkered";
    mMap[NS_ooxml::LN_Value_ST_Border_christmasTree] = "ooxml:Value_ST_Border_christmasTree";
    mMap[NS_ooxml::LN_Value_ST_Border_circlesLines] = "ooxml:Value_ST_Border_circlesLines";
    mMap[NS_ooxml::LN_Value_ST_Border_circlesRectangles] = "ooxml:Value_ST_Border_circlesRectangles";
    mMap[NS_ooxml::LN_Value_ST_Border_classicalWave] = "ooxml:Value_ST_Border_classicalWave";
    mMap[NS_ooxml::LN_Value_ST_Border_clocks] = "ooxml:Value_ST_Border_clocks";
    mMap[NS_ooxml::LN_Value_ST_Border_compass] = "ooxml:Value_ST_Border_compass";
    mMap[NS_ooxml::LN_Value_ST_Border_confetti] = "ooxml:Value_ST_Border_confetti";
    mMap[NS_ooxml::LN_Value_ST_Border_confettiGrays] = "ooxml:Value_ST_Border_confettiGrays";
    mMap[NS_ooxml::LN_Value_ST_Border_confettiOutline] = "ooxml:Value_ST_Border_confettiOutline";
    mMap[NS_ooxml::LN_Value_ST_Border_confettiStreamers] = "ooxml:Value_ST_Border_confettiStreamers";
    mMap[NS_ooxml::LN_Value_ST_Border_confettiWhite] = "ooxml:Value_ST_Border_confettiWhite";
    mMap[NS_ooxml::LN_Value_ST_Border_cornerTriangles] = "ooxml:Value_ST_Border_cornerTriangles";
    mMap[NS_ooxml::LN_Value_ST_Border_couponCutoutDashes] = "ooxml:Value_ST_Border_couponCutoutDashes";
    mMap[NS_ooxml::LN_Value_ST_Border_couponCutoutDots] = "ooxml:Value_ST_Border_couponCutoutDots";
    mMap[NS_ooxml::LN_Value_ST_Border_crazyMaze] = "ooxml:Value_ST_Border_crazyMaze";
    mMap[NS_ooxml::LN_Value_ST_Border_creaturesButterfly] = "ooxml:Value_ST_Border_creaturesButterfly";
    mMap[NS_ooxml::LN_Value_ST_Border_creaturesFish] = "ooxml:Value_ST_Border_creaturesFish";
    mMap[NS_ooxml::LN_Value_ST_Border_creaturesInsects] = "ooxml:Value_ST_Border_creaturesInsects";
    mMap[NS_ooxml::LN_Value_ST_Border_creaturesLadyBug] = "ooxml:Value_ST_Border_creaturesLadyBug";
    mMap[NS_ooxml::LN_Value_ST_Border_crossStitch] = "ooxml:Value_ST_Border_crossStitch";
    mMap[NS_ooxml::LN_Value_ST_Border_cup] = "ooxml:Value_ST_Border_cup";
    mMap[NS_ooxml::LN_Value_ST_Border_decoArch] = "ooxml:Value_ST_Border_decoArch";
    mMap[NS_ooxml::LN_Value_ST_Border_decoArchColor] = "ooxml:Value_ST_Border_decoArchColor";
    mMap[NS_ooxml::LN_Value_ST_Border_decoBlocks] = "ooxml:Value_ST_Border_decoBlocks";
    mMap[NS_ooxml::LN_Value_ST_Border_diamondsGray] = "ooxml:Value_ST_Border_diamondsGray";
    mMap[NS_ooxml::LN_Value_ST_Border_doubleD] = "ooxml:Value_ST_Border_doubleD";
    mMap[NS_ooxml::LN_Value_ST_Border_doubleDiamonds] = "ooxml:Value_ST_Border_doubleDiamonds";
    mMap[NS_ooxml::LN_Value_ST_Border_earth1] = "ooxml:Value_ST_Border_earth1";
    mMap[NS_ooxml::LN_Value_ST_Border_earth2] = "ooxml:Value_ST_Border_earth2";
    mMap[NS_ooxml::LN_Value_ST_Border_eclipsingSquares1] = "ooxml:Value_ST_Border_eclipsingSquares1";
    mMap[NS_ooxml::LN_Value_ST_Border_eclipsingSquares2] = "ooxml:Value_ST_Border_eclipsingSquares2";
    mMap[NS_ooxml::LN_Value_ST_Border_eggsBlack] = "ooxml:Value_ST_Border_eggsBlack";
    mMap[NS_ooxml::LN_Value_ST_Border_fans] = "ooxml:Value_ST_Border_fans";
    mMap[NS_ooxml::LN_Value_ST_Border_film] = "ooxml:Value_ST_Border_film";
    mMap[NS_ooxml::LN_Value_ST_Border_firecrackers] = "ooxml:Value_ST_Border_firecrackers";
    mMap[NS_ooxml::LN_Value_ST_Border_flowersBlockPrint] = "ooxml:Value_ST_Border_flowersBlockPrint";
    mMap[NS_ooxml::LN_Value_ST_Border_flowersDaisies] = "ooxml:Value_ST_Border_flowersDaisies";
    mMap[NS_ooxml::LN_Value_ST_Border_flowersModern1] = "ooxml:Value_ST_Border_flowersModern1";
    mMap[NS_ooxml::LN_Value_ST_Border_flowersModern2] = "ooxml:Value_ST_Border_flowersModern2";
    mMap[NS_ooxml::LN_Value_ST_Border_flowersPansy] = "ooxml:Value_ST_Border_flowersPansy";
    mMap[NS_ooxml::LN_Value_ST_Border_flowersRedRose] = "ooxml:Value_ST_Border_flowersRedRose";
    mMap[NS_ooxml::LN_Value_ST_Border_flowersRoses] = "ooxml:Value_ST_Border_flowersRoses";
    mMap[NS_ooxml::LN_Value_ST_Border_flowersTeacup] = "ooxml:Value_ST_Border_flowersTeacup";
    mMap[NS_ooxml::LN_Value_ST_Border_flowersTiny] = "ooxml:Value_ST_Border_flowersTiny";
    mMap[NS_ooxml::LN_Value_ST_Border_gems] = "ooxml:Value_ST_Border_gems";
    mMap[NS_ooxml::LN_Value_ST_Border_gingerbreadMan] = "ooxml:Value_ST_Border_gingerbreadMan";
    mMap[NS_ooxml::LN_Value_ST_Border_gradient] = "ooxml:Value_ST_Border_gradient";
    mMap[NS_ooxml::LN_Value_ST_Border_handmade1] = "ooxml:Value_ST_Border_handmade1";
    mMap[NS_ooxml::LN_Value_ST_Border_handmade2] = "ooxml:Value_ST_Border_handmade2";
    mMap[NS_ooxml::LN_Value_ST_Border_heartBalloon] = "ooxml:Value_ST_Border_heartBalloon";
    mMap[NS_ooxml::LN_Value_ST_Border_heartGray] = "ooxml:Value_ST_Border_heartGray";
    mMap[NS_ooxml::LN_Value_ST_Border_hearts] = "ooxml:Value_ST_Border_hearts";
    mMap[NS_ooxml::LN_Value_ST_Border_heebieJeebies] = "ooxml:Value_ST_Border_heebieJeebies";
    mMap[NS_ooxml::LN_Value_ST_Border_holly] = "ooxml:Value_ST_Border_holly";
    mMap[NS_ooxml::LN_Value_ST_Border_houseFunky] = "ooxml:Value_ST_Border_houseFunky";
    mMap[NS_ooxml::LN_Value_ST_Border_hypnotic] = "ooxml:Value_ST_Border_hypnotic";
    mMap[NS_ooxml::LN_Value_ST_Border_iceCreamCones] = "ooxml:Value_ST_Border_iceCreamCones";
    mMap[NS_ooxml::LN_Value_ST_Border_lightBulb] = "ooxml:Value_ST_Border_lightBulb";
    mMap[NS_ooxml::LN_Value_ST_Border_lightning1] = "ooxml:Value_ST_Border_lightning1";
    mMap[NS_ooxml::LN_Value_ST_Border_lightning2] = "ooxml:Value_ST_Border_lightning2";
    mMap[NS_ooxml::LN_Value_ST_Border_mapPins] = "ooxml:Value_ST_Border_mapPins";
    mMap[NS_ooxml::LN_Value_ST_Border_mapleLeaf] = "ooxml:Value_ST_Border_mapleLeaf";
    mMap[NS_ooxml::LN_Value_ST_Border_mapleMuffins] = "ooxml:Value_ST_Border_mapleMuffins";
    mMap[NS_ooxml::LN_Value_ST_Border_marquee] = "ooxml:Value_ST_Border_marquee";
    mMap[NS_ooxml::LN_Value_ST_Border_marqueeToothed] = "ooxml:Value_ST_Border_marqueeToothed";
    mMap[NS_ooxml::LN_Value_ST_Border_moons] = "ooxml:Value_ST_Border_moons";
    mMap[NS_ooxml::LN_Value_ST_Border_mosaic] = "ooxml:Value_ST_Border_mosaic";
    mMap[NS_ooxml::LN_Value_ST_Border_musicNotes] = "ooxml:Value_ST_Border_musicNotes";
    mMap[NS_ooxml::LN_Value_ST_Border_northwest] = "ooxml:Value_ST_Border_northwest";
    mMap[NS_ooxml::LN_Value_ST_Border_ovals] = "ooxml:Value_ST_Border_ovals";
    mMap[NS_ooxml::LN_Value_ST_Border_packages] = "ooxml:Value_ST_Border_packages";
    mMap[NS_ooxml::LN_Value_ST_Border_palmsBlack] = "ooxml:Value_ST_Border_palmsBlack";
    mMap[NS_ooxml::LN_Value_ST_Border_palmsColor] = "ooxml:Value_ST_Border_palmsColor";
    mMap[NS_ooxml::LN_Value_ST_Border_paperClips] = "ooxml:Value_ST_Border_paperClips";
    mMap[NS_ooxml::LN_Value_ST_Border_papyrus] = "ooxml:Value_ST_Border_papyrus";
    mMap[NS_ooxml::LN_Value_ST_Border_partyFavor] = "ooxml:Value_ST_Border_partyFavor";
    mMap[NS_ooxml::LN_Value_ST_Border_partyGlass] = "ooxml:Value_ST_Border_partyGlass";
    mMap[NS_ooxml::LN_Value_ST_Border_pencils] = "ooxml:Value_ST_Border_pencils";
    mMap[NS_ooxml::LN_Value_ST_Border_people] = "ooxml:Value_ST_Border_people";
    mMap[NS_ooxml::LN_Value_ST_Border_peopleWaving] = "ooxml:Value_ST_Border_peopleWaving";
    mMap[NS_ooxml::LN_Value_ST_Border_peopleHats] = "ooxml:Value_ST_Border_peopleHats";
    mMap[NS_ooxml::LN_Value_ST_Border_poinsettias] = "ooxml:Value_ST_Border_poinsettias";
    mMap[NS_ooxml::LN_Value_ST_Border_postageStamp] = "ooxml:Value_ST_Border_postageStamp";
    mMap[NS_ooxml::LN_Value_ST_Border_pumpkin1] = "ooxml:Value_ST_Border_pumpkin1";
    mMap[NS_ooxml::LN_Value_ST_Border_pushPinNote2] = "ooxml:Value_ST_Border_pushPinNote2";
    mMap[NS_ooxml::LN_Value_ST_Border_pushPinNote1] = "ooxml:Value_ST_Border_pushPinNote1";
    mMap[NS_ooxml::LN_Value_ST_Border_pyramids] = "ooxml:Value_ST_Border_pyramids";
    mMap[NS_ooxml::LN_Value_ST_Border_pyramidsAbove] = "ooxml:Value_ST_Border_pyramidsAbove";
    mMap[NS_ooxml::LN_Value_ST_Border_quadrants] = "ooxml:Value_ST_Border_quadrants";
    mMap[NS_ooxml::LN_Value_ST_Border_rings] = "ooxml:Value_ST_Border_rings";
    mMap[NS_ooxml::LN_Value_ST_Border_safari] = "ooxml:Value_ST_Border_safari";
    mMap[NS_ooxml::LN_Value_ST_Border_sawtooth] = "ooxml:Value_ST_Border_sawtooth";
    mMap[NS_ooxml::LN_Value_ST_Border_sawtoothGray] = "ooxml:Value_ST_Border_sawtoothGray";
    mMap[NS_ooxml::LN_Value_ST_Border_scaredCat] = "ooxml:Value_ST_Border_scaredCat";
    mMap[NS_ooxml::LN_Value_ST_Border_seattle] = "ooxml:Value_ST_Border_seattle";
    mMap[NS_ooxml::LN_Value_ST_Border_shadowedSquares] = "ooxml:Value_ST_Border_shadowedSquares";
    mMap[NS_ooxml::LN_Value_ST_Border_sharksTeeth] = "ooxml:Value_ST_Border_sharksTeeth";
    mMap[NS_ooxml::LN_Value_ST_Border_shorebirdTracks] = "ooxml:Value_ST_Border_shorebirdTracks";
    mMap[NS_ooxml::LN_Value_ST_Border_skyrocket] = "ooxml:Value_ST_Border_skyrocket";
    mMap[NS_ooxml::LN_Value_ST_Border_snowflakeFancy] = "ooxml:Value_ST_Border_snowflakeFancy";
    mMap[NS_ooxml::LN_Value_ST_Border_snowflakes] = "ooxml:Value_ST_Border_snowflakes";
    mMap[NS_ooxml::LN_Value_ST_Border_sombrero] = "ooxml:Value_ST_Border_sombrero";
    mMap[NS_ooxml::LN_Value_ST_Border_southwest] = "ooxml:Value_ST_Border_southwest";
    mMap[NS_ooxml::LN_Value_ST_Border_stars] = "ooxml:Value_ST_Border_stars";
    mMap[NS_ooxml::LN_Value_ST_Border_starsTop] = "ooxml:Value_ST_Border_starsTop";
    mMap[NS_ooxml::LN_Value_ST_Border_stars3d] = "ooxml:Value_ST_Border_stars3d";
    mMap[NS_ooxml::LN_Value_ST_Border_starsBlack] = "ooxml:Value_ST_Border_starsBlack";
    mMap[NS_ooxml::LN_Value_ST_Border_starsShadowed] = "ooxml:Value_ST_Border_starsShadowed";
    mMap[NS_ooxml::LN_Value_ST_Border_sun] = "ooxml:Value_ST_Border_sun";
    mMap[NS_ooxml::LN_Value_ST_Border_swirligig] = "ooxml:Value_ST_Border_swirligig";
    mMap[NS_ooxml::LN_Value_ST_Border_tornPaper] = "ooxml:Value_ST_Border_tornPaper";
    mMap[NS_ooxml::LN_Value_ST_Border_tornPaperBlack] = "ooxml:Value_ST_Border_tornPaperBlack";
    mMap[NS_ooxml::LN_Value_ST_Border_trees] = "ooxml:Value_ST_Border_trees";
    mMap[NS_ooxml::LN_Value_ST_Border_triangleParty] = "ooxml:Value_ST_Border_triangleParty";
    mMap[NS_ooxml::LN_Value_ST_Border_triangles] = "ooxml:Value_ST_Border_triangles";
    mMap[NS_ooxml::LN_Value_ST_Border_tribal1] = "ooxml:Value_ST_Border_tribal1";
    mMap[NS_ooxml::LN_Value_ST_Border_tribal2] = "ooxml:Value_ST_Border_tribal2";
    mMap[NS_ooxml::LN_Value_ST_Border_tribal3] = "ooxml:Value_ST_Border_tribal3";
    mMap[NS_ooxml::LN_Value_ST_Border_tribal4] = "ooxml:Value_ST_Border_tribal4";
    mMap[NS_ooxml::LN_Value_ST_Border_tribal5] = "ooxml:Value_ST_Border_tribal5";
    mMap[NS_ooxml::LN_Value_ST_Border_tribal6] = "ooxml:Value_ST_Border_tribal6";
    mMap[NS_ooxml::LN_Value_ST_Border_twistedLines1] = "ooxml:Value_ST_Border_twistedLines1";
    mMap[NS_ooxml::LN_Value_ST_Border_twistedLines2] = "ooxml:Value_ST_Border_twistedLines2";
    mMap[NS_ooxml::LN_Value_ST_Border_vine] = "ooxml:Value_ST_Border_vine";
    mMap[NS_ooxml::LN_Value_ST_Border_waveline] = "ooxml:Value_ST_Border_waveline";
    mMap[NS_ooxml::LN_Value_ST_Border_weavingAngles] = "ooxml:Value_ST_Border_weavingAngles";
    mMap[NS_ooxml::LN_Value_ST_Border_weavingBraid] = "ooxml:Value_ST_Border_weavingBraid";
    mMap[NS_ooxml::LN_Value_ST_Border_weavingRibbon] = "ooxml:Value_ST_Border_weavingRibbon";
    mMap[NS_ooxml::LN_Value_ST_Border_weavingStrips] = "ooxml:Value_ST_Border_weavingStrips";
    mMap[NS_ooxml::LN_Value_ST_Border_whiteFlowers] = "ooxml:Value_ST_Border_whiteFlowers";
    mMap[NS_ooxml::LN_Value_ST_Border_woodwork] = "ooxml:Value_ST_Border_woodwork";
    mMap[NS_ooxml::LN_Value_ST_Border_xIllusions] = "ooxml:Value_ST_Border_xIllusions";
    mMap[NS_ooxml::LN_Value_ST_Border_zanyTriangles] = "ooxml:Value_ST_Border_zanyTriangles";
    mMap[NS_ooxml::LN_Value_ST_Border_zigZag] = "ooxml:Value_ST_Border_zigZag";
    mMap[NS_ooxml::LN_Value_ST_Border_zigZagStitch] = "ooxml:Value_ST_Border_zigZagStitch";
    mMap[NS_ooxml::LN_CT_Border_val] = "ooxml:CT_Border_val";
    mMap[NS_ooxml::LN_CT_Border_color] = "ooxml:CT_Border_color";
    mMap[NS_ooxml::LN_CT_Border_themeColor] = "ooxml:CT_Border_themeColor";
    mMap[NS_ooxml::LN_CT_Border_themeTint] = "ooxml:CT_Border_themeTint";
    mMap[NS_ooxml::LN_CT_Border_themeShade] = "ooxml:CT_Border_themeShade";
    mMap[NS_ooxml::LN_CT_Border_sz] = "ooxml:CT_Border_sz";
    mMap[NS_ooxml::LN_CT_Border_space] = "ooxml:CT_Border_space";
    mMap[NS_ooxml::LN_CT_Border_shadow] = "ooxml:CT_Border_shadow";
    mMap[NS_ooxml::LN_CT_Border_frame] = "ooxml:CT_Border_frame";
    mMap[NS_ooxml::LN_Value_ST_Shd_clear] = "ooxml:Value_ST_Shd_clear";
    mMap[NS_ooxml::LN_Value_ST_Shd_solid] = "ooxml:Value_ST_Shd_solid";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct5] = "ooxml:Value_ST_Shd_pct5";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct10] = "ooxml:Value_ST_Shd_pct10";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct20] = "ooxml:Value_ST_Shd_pct20";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct25] = "ooxml:Value_ST_Shd_pct25";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct30] = "ooxml:Value_ST_Shd_pct30";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct40] = "ooxml:Value_ST_Shd_pct40";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct50] = "ooxml:Value_ST_Shd_pct50";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct60] = "ooxml:Value_ST_Shd_pct60";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct70] = "ooxml:Value_ST_Shd_pct70";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct75] = "ooxml:Value_ST_Shd_pct75";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct80] = "ooxml:Value_ST_Shd_pct80";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct90] = "ooxml:Value_ST_Shd_pct90";
    mMap[NS_ooxml::LN_Value_ST_Shd_horzStripe] = "ooxml:Value_ST_Shd_horzStripe";
    mMap[NS_ooxml::LN_Value_ST_Shd_vertStripe] = "ooxml:Value_ST_Shd_vertStripe";
    mMap[NS_ooxml::LN_Value_ST_Shd_reverseDiagStripe] = "ooxml:Value_ST_Shd_reverseDiagStripe";
    mMap[NS_ooxml::LN_Value_ST_Shd_diagStripe] = "ooxml:Value_ST_Shd_diagStripe";
    mMap[NS_ooxml::LN_Value_ST_Shd_horzCross] = "ooxml:Value_ST_Shd_horzCross";
    mMap[NS_ooxml::LN_Value_ST_Shd_diagCross] = "ooxml:Value_ST_Shd_diagCross";
    mMap[NS_ooxml::LN_Value_ST_Shd_thinHorzStripe] = "ooxml:Value_ST_Shd_thinHorzStripe";
    mMap[NS_ooxml::LN_Value_ST_Shd_thinVertStripe] = "ooxml:Value_ST_Shd_thinVertStripe";
    mMap[NS_ooxml::LN_Value_ST_Shd_thinReverseDiagStripe] = "ooxml:Value_ST_Shd_thinReverseDiagStripe";
    mMap[NS_ooxml::LN_Value_ST_Shd_thinDiagStripe] = "ooxml:Value_ST_Shd_thinDiagStripe";
    mMap[NS_ooxml::LN_Value_ST_Shd_thinHorzCross] = "ooxml:Value_ST_Shd_thinHorzCross";
    mMap[NS_ooxml::LN_Value_ST_Shd_thinDiagCross] = "ooxml:Value_ST_Shd_thinDiagCross";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct12] = "ooxml:Value_ST_Shd_pct12";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct15] = "ooxml:Value_ST_Shd_pct15";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct35] = "ooxml:Value_ST_Shd_pct35";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct37] = "ooxml:Value_ST_Shd_pct37";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct45] = "ooxml:Value_ST_Shd_pct45";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct55] = "ooxml:Value_ST_Shd_pct55";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct62] = "ooxml:Value_ST_Shd_pct62";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct65] = "ooxml:Value_ST_Shd_pct65";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct85] = "ooxml:Value_ST_Shd_pct85";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct87] = "ooxml:Value_ST_Shd_pct87";
    mMap[NS_ooxml::LN_Value_ST_Shd_pct95] = "ooxml:Value_ST_Shd_pct95";
    mMap[NS_ooxml::LN_Value_ST_Shd_nil] = "ooxml:Value_ST_Shd_nil";
    mMap[NS_ooxml::LN_CT_Shd_val] = "ooxml:CT_Shd_val";
    mMap[NS_ooxml::LN_CT_Shd_color] = "ooxml:CT_Shd_color";
    mMap[NS_ooxml::LN_CT_Shd_themeColor] = "ooxml:CT_Shd_themeColor";
    mMap[NS_ooxml::LN_CT_Shd_themeTint] = "ooxml:CT_Shd_themeTint";
    mMap[NS_ooxml::LN_CT_Shd_themeShade] = "ooxml:CT_Shd_themeShade";
    mMap[NS_ooxml::LN_CT_Shd_fill] = "ooxml:CT_Shd_fill";
    mMap[NS_ooxml::LN_CT_Shd_themeFill] = "ooxml:CT_Shd_themeFill";
    mMap[NS_ooxml::LN_CT_Shd_themeFillTint] = "ooxml:CT_Shd_themeFillTint";
    mMap[NS_ooxml::LN_CT_Shd_themeFillShade] = "ooxml:CT_Shd_themeFillShade";
    mMap[NS_ooxml::LN_CT_VerticalAlignRun_val] = "ooxml:CT_VerticalAlignRun_val";
    mMap[NS_ooxml::LN_CT_FitText_val] = "ooxml:CT_FitText_val";
    mMap[NS_ooxml::LN_CT_FitText_id] = "ooxml:CT_FitText_id";
    mMap[NS_ooxml::LN_Value_ST_Em_none] = "ooxml:Value_ST_Em_none";
    mMap[NS_ooxml::LN_Value_ST_Em_dot] = "ooxml:Value_ST_Em_dot";
    mMap[NS_ooxml::LN_Value_ST_Em_comma] = "ooxml:Value_ST_Em_comma";
    mMap[NS_ooxml::LN_Value_ST_Em_circle] = "ooxml:Value_ST_Em_circle";
    mMap[NS_ooxml::LN_Value_ST_Em_underDot] = "ooxml:Value_ST_Em_underDot";
    mMap[NS_ooxml::LN_CT_Em_val] = "ooxml:CT_Em_val";
    mMap[NS_ooxml::LN_CT_Language_val] = "ooxml:CT_Language_val";
    mMap[NS_ooxml::LN_CT_Language_eastAsia] = "ooxml:CT_Language_eastAsia";
    mMap[NS_ooxml::LN_CT_Language_bidi] = "ooxml:CT_Language_bidi";
    mMap[NS_ooxml::LN_Value_ST_CombineBrackets_none] = "ooxml:Value_ST_CombineBrackets_none";
    mMap[NS_ooxml::LN_Value_ST_CombineBrackets_round] = "ooxml:Value_ST_CombineBrackets_round";
    mMap[NS_ooxml::LN_Value_ST_CombineBrackets_square] = "ooxml:Value_ST_CombineBrackets_square";
    mMap[NS_ooxml::LN_Value_ST_CombineBrackets_angle] = "ooxml:Value_ST_CombineBrackets_angle";
    mMap[NS_ooxml::LN_Value_ST_CombineBrackets_curly] = "ooxml:Value_ST_CombineBrackets_curly";
    mMap[NS_ooxml::LN_CT_EastAsianLayout_id] = "ooxml:CT_EastAsianLayout_id";
    mMap[NS_ooxml::LN_CT_EastAsianLayout_combine] = "ooxml:CT_EastAsianLayout_combine";
    mMap[NS_ooxml::LN_CT_EastAsianLayout_combineBrackets] = "ooxml:CT_EastAsianLayout_combineBrackets";
    mMap[NS_ooxml::LN_CT_EastAsianLayout_vert] = "ooxml:CT_EastAsianLayout_vert";
    mMap[NS_ooxml::LN_CT_EastAsianLayout_vertCompress] = "ooxml:CT_EastAsianLayout_vertCompress";
    mMap[NS_ooxml::LN_Value_doc_ST_XAlign_left] = "ooxml:Value_doc_ST_XAlign_left";
    mMap[NS_ooxml::LN_Value_doc_ST_XAlign_center] = "ooxml:Value_doc_ST_XAlign_center";
    mMap[NS_ooxml::LN_Value_doc_ST_XAlign_right] = "ooxml:Value_doc_ST_XAlign_right";
    mMap[NS_ooxml::LN_Value_doc_ST_XAlign_inside] = "ooxml:Value_doc_ST_XAlign_inside";
    mMap[NS_ooxml::LN_Value_doc_ST_XAlign_outside] = "ooxml:Value_doc_ST_XAlign_outside";
    mMap[NS_ooxml::LN_Value_doc_ST_YAlign_inline] = "ooxml:Value_doc_ST_YAlign_inline";
    mMap[NS_ooxml::LN_Value_doc_ST_YAlign_top] = "ooxml:Value_doc_ST_YAlign_top";
    mMap[NS_ooxml::LN_Value_doc_ST_YAlign_center] = "ooxml:Value_doc_ST_YAlign_center";
    mMap[NS_ooxml::LN_Value_doc_ST_YAlign_bottom] = "ooxml:Value_doc_ST_YAlign_bottom";
    mMap[NS_ooxml::LN_Value_doc_ST_YAlign_inside] = "ooxml:Value_doc_ST_YAlign_inside";
    mMap[NS_ooxml::LN_Value_doc_ST_YAlign_outside] = "ooxml:Value_doc_ST_YAlign_outside";
    mMap[NS_ooxml::LN_Value_doc_ST_HeightRule_auto] = "ooxml:Value_doc_ST_HeightRule_auto";
    mMap[NS_ooxml::LN_Value_doc_ST_HeightRule_exact] = "ooxml:Value_doc_ST_HeightRule_exact";
    mMap[NS_ooxml::LN_Value_doc_ST_HeightRule_atLeast] = "ooxml:Value_doc_ST_HeightRule_atLeast";
    mMap[NS_ooxml::LN_Value_doc_ST_Wrap_auto] = "ooxml:Value_doc_ST_Wrap_auto";
    mMap[NS_ooxml::LN_Value_doc_ST_Wrap_notBeside] = "ooxml:Value_doc_ST_Wrap_notBeside";
    mMap[NS_ooxml::LN_Value_doc_ST_Wrap_around] = "ooxml:Value_doc_ST_Wrap_around";
    mMap[NS_ooxml::LN_Value_doc_ST_Wrap_tight] = "ooxml:Value_doc_ST_Wrap_tight";
    mMap[NS_ooxml::LN_Value_doc_ST_Wrap_through] = "ooxml:Value_doc_ST_Wrap_through";
    mMap[NS_ooxml::LN_Value_doc_ST_Wrap_none] = "ooxml:Value_doc_ST_Wrap_none";
    mMap[NS_ooxml::LN_Value_doc_ST_VAnchor_text] = "ooxml:Value_doc_ST_VAnchor_text";
    mMap[NS_ooxml::LN_Value_doc_ST_VAnchor_margin] = "ooxml:Value_doc_ST_VAnchor_margin";
    mMap[NS_ooxml::LN_Value_doc_ST_VAnchor_page] = "ooxml:Value_doc_ST_VAnchor_page";
    mMap[NS_ooxml::LN_Value_doc_ST_HAnchor_text] = "ooxml:Value_doc_ST_HAnchor_text";
    mMap[NS_ooxml::LN_Value_doc_ST_HAnchor_margin] = "ooxml:Value_doc_ST_HAnchor_margin";
    mMap[NS_ooxml::LN_Value_doc_ST_HAnchor_page] = "ooxml:Value_doc_ST_HAnchor_page";
    mMap[NS_ooxml::LN_Value_doc_ST_DropCap_none] = "ooxml:Value_doc_ST_DropCap_none";
    mMap[NS_ooxml::LN_Value_doc_ST_DropCap_drop] = "ooxml:Value_doc_ST_DropCap_drop";
    mMap[NS_ooxml::LN_Value_doc_ST_DropCap_margin] = "ooxml:Value_doc_ST_DropCap_margin";
    mMap[NS_ooxml::LN_CT_FramePr_dropCap] = "ooxml:CT_FramePr_dropCap";
    mMap[NS_ooxml::LN_CT_FramePr_lines] = "ooxml:CT_FramePr_lines";
    mMap[NS_ooxml::LN_CT_FramePr_w] = "ooxml:CT_FramePr_w";
    mMap[NS_ooxml::LN_CT_FramePr_h] = "ooxml:CT_FramePr_h";
    mMap[NS_ooxml::LN_CT_FramePr_vSpace] = "ooxml:CT_FramePr_vSpace";
    mMap[NS_ooxml::LN_CT_FramePr_hSpace] = "ooxml:CT_FramePr_hSpace";
    mMap[NS_ooxml::LN_CT_FramePr_wrap] = "ooxml:CT_FramePr_wrap";
    mMap[NS_ooxml::LN_CT_FramePr_hAnchor] = "ooxml:CT_FramePr_hAnchor";
    mMap[NS_ooxml::LN_CT_FramePr_vAnchor] = "ooxml:CT_FramePr_vAnchor";
    mMap[NS_ooxml::LN_CT_FramePr_x] = "ooxml:CT_FramePr_x";
    mMap[NS_ooxml::LN_CT_FramePr_xAlign] = "ooxml:CT_FramePr_xAlign";
    mMap[NS_ooxml::LN_CT_FramePr_y] = "ooxml:CT_FramePr_y";
    mMap[NS_ooxml::LN_CT_FramePr_yAlign] = "ooxml:CT_FramePr_yAlign";
    mMap[NS_ooxml::LN_CT_FramePr_hRule] = "ooxml:CT_FramePr_hRule";
    mMap[NS_ooxml::LN_CT_FramePr_anchorLock] = "ooxml:CT_FramePr_anchorLock";
    mMap[NS_ooxml::LN_Value_ST_TabJc_clear] = "ooxml:Value_ST_TabJc_clear";
    mMap[NS_ooxml::LN_Value_ST_TabJc_start] = "ooxml:Value_ST_TabJc_start";
    mMap[NS_ooxml::LN_Value_ST_TabJc_left] = "ooxml:Value_ST_TabJc_left";
    mMap[NS_ooxml::LN_Value_ST_TabJc_center] = "ooxml:Value_ST_TabJc_center";
    mMap[NS_ooxml::LN_Value_ST_TabJc_end] = "ooxml:Value_ST_TabJc_end";
    mMap[NS_ooxml::LN_Value_ST_TabJc_right] = "ooxml:Value_ST_TabJc_right";
    mMap[NS_ooxml::LN_Value_ST_TabJc_decimal] = "ooxml:Value_ST_TabJc_decimal";
    mMap[NS_ooxml::LN_Value_ST_TabJc_bar] = "ooxml:Value_ST_TabJc_bar";
    mMap[NS_ooxml::LN_Value_ST_TabJc_num] = "ooxml:Value_ST_TabJc_num";
    mMap[NS_ooxml::LN_Value_ST_TabTlc_none] = "ooxml:Value_ST_TabTlc_none";
    mMap[NS_ooxml::LN_Value_ST_TabTlc_dot] = "ooxml:Value_ST_TabTlc_dot";
    mMap[NS_ooxml::LN_Value_ST_TabTlc_hyphen] = "ooxml:Value_ST_TabTlc_hyphen";
    mMap[NS_ooxml::LN_Value_ST_TabTlc_underscore] = "ooxml:Value_ST_TabTlc_underscore";
    mMap[NS_ooxml::LN_Value_ST_TabTlc_heavy] = "ooxml:Value_ST_TabTlc_heavy";
    mMap[NS_ooxml::LN_Value_ST_TabTlc_middleDot] = "ooxml:Value_ST_TabTlc_middleDot";
    mMap[NS_ooxml::LN_CT_TabStop_val] = "ooxml:CT_TabStop_val";
    mMap[NS_ooxml::LN_CT_TabStop_leader] = "ooxml:CT_TabStop_leader";
    mMap[NS_ooxml::LN_CT_TabStop_pos] = "ooxml:CT_TabStop_pos";
    mMap[NS_ooxml::LN_Value_doc_ST_LineSpacingRule_auto] = "ooxml:Value_doc_ST_LineSpacingRule_auto";
    mMap[NS_ooxml::LN_Value_doc_ST_LineSpacingRule_exact] = "ooxml:Value_doc_ST_LineSpacingRule_exact";
    mMap[NS_ooxml::LN_Value_doc_ST_LineSpacingRule_atLeast] = "ooxml:Value_doc_ST_LineSpacingRule_atLeast";
    mMap[NS_ooxml::LN_CT_Spacing_before] = "ooxml:CT_Spacing_before";
    mMap[NS_ooxml::LN_CT_Spacing_beforeLines] = "ooxml:CT_Spacing_beforeLines";
    mMap[NS_ooxml::LN_CT_Spacing_beforeAutospacing] = "ooxml:CT_Spacing_beforeAutospacing";
    mMap[NS_ooxml::LN_CT_Spacing_after] = "ooxml:CT_Spacing_after";
    mMap[NS_ooxml::LN_CT_Spacing_afterLines] = "ooxml:CT_Spacing_afterLines";
    mMap[NS_ooxml::LN_CT_Spacing_afterAutospacing] = "ooxml:CT_Spacing_afterAutospacing";
    mMap[NS_ooxml::LN_CT_Spacing_line] = "ooxml:CT_Spacing_line";
    mMap[NS_ooxml::LN_CT_Spacing_lineRule] = "ooxml:CT_Spacing_lineRule";
    mMap[NS_ooxml::LN_CT_Ind_end] = "ooxml:CT_Ind_end";
    mMap[NS_ooxml::LN_CT_Ind_endChars] = "ooxml:CT_Ind_endChars";
    mMap[NS_ooxml::LN_CT_Ind_start] = "ooxml:CT_Ind_start";
    mMap[NS_ooxml::LN_CT_Ind_startChars] = "ooxml:CT_Ind_startChars";
    mMap[NS_ooxml::LN_CT_Ind_hanging] = "ooxml:CT_Ind_hanging";
    mMap[NS_ooxml::LN_CT_Ind_hangingChars] = "ooxml:CT_Ind_hangingChars";
    mMap[NS_ooxml::LN_CT_Ind_firstLine] = "ooxml:CT_Ind_firstLine";
    mMap[NS_ooxml::LN_CT_Ind_firstLineChars] = "ooxml:CT_Ind_firstLineChars";
    mMap[NS_ooxml::LN_CT_Ind_left] = "ooxml:CT_Ind_left";
    mMap[NS_ooxml::LN_CT_Ind_leftChars] = "ooxml:CT_Ind_leftChars";
    mMap[NS_ooxml::LN_CT_Ind_right] = "ooxml:CT_Ind_right";
    mMap[NS_ooxml::LN_CT_Ind_rightChars] = "ooxml:CT_Ind_rightChars";
    mMap[NS_ooxml::LN_Value_ST_Jc_left] = "ooxml:Value_ST_Jc_left";
    mMap[NS_ooxml::LN_Value_ST_Jc_right] = "ooxml:Value_ST_Jc_right";
    mMap[NS_ooxml::LN_Value_ST_Jc_start] = "ooxml:Value_ST_Jc_start";
    mMap[NS_ooxml::LN_Value_ST_Jc_center] = "ooxml:Value_ST_Jc_center";
    mMap[NS_ooxml::LN_Value_ST_Jc_end] = "ooxml:Value_ST_Jc_end";
    mMap[NS_ooxml::LN_Value_ST_Jc_both] = "ooxml:Value_ST_Jc_both";
    mMap[NS_ooxml::LN_Value_ST_Jc_mediumKashida] = "ooxml:Value_ST_Jc_mediumKashida";
    mMap[NS_ooxml::LN_Value_ST_Jc_distribute] = "ooxml:Value_ST_Jc_distribute";
    mMap[NS_ooxml::LN_Value_ST_Jc_numTab] = "ooxml:Value_ST_Jc_numTab";
    mMap[NS_ooxml::LN_Value_ST_Jc_highKashida] = "ooxml:Value_ST_Jc_highKashida";
    mMap[NS_ooxml::LN_Value_ST_Jc_lowKashida] = "ooxml:Value_ST_Jc_lowKashida";
    mMap[NS_ooxml::LN_Value_ST_Jc_thaiDistribute] = "ooxml:Value_ST_Jc_thaiDistribute";
    mMap[NS_ooxml::LN_CT_Jc_val] = "ooxml:CT_Jc_val";
    mMap[NS_ooxml::LN_Value_doc_ST_View_none] = "ooxml:Value_doc_ST_View_none";
    mMap[NS_ooxml::LN_Value_doc_ST_View_print] = "ooxml:Value_doc_ST_View_print";
    mMap[NS_ooxml::LN_Value_doc_ST_View_outline] = "ooxml:Value_doc_ST_View_outline";
    mMap[NS_ooxml::LN_Value_doc_ST_View_masterPages] = "ooxml:Value_doc_ST_View_masterPages";
    mMap[NS_ooxml::LN_Value_doc_ST_View_normal] = "ooxml:Value_doc_ST_View_normal";
    mMap[NS_ooxml::LN_Value_doc_ST_View_web] = "ooxml:Value_doc_ST_View_web";
    mMap[NS_ooxml::LN_CT_View_val] = "ooxml:CT_View_val";
    mMap[NS_ooxml::LN_Value_doc_ST_Zoom_none] = "ooxml:Value_doc_ST_Zoom_none";
    mMap[NS_ooxml::LN_Value_doc_ST_Zoom_fullPage] = "ooxml:Value_doc_ST_Zoom_fullPage";
    mMap[NS_ooxml::LN_Value_doc_ST_Zoom_bestFit] = "ooxml:Value_doc_ST_Zoom_bestFit";
    mMap[NS_ooxml::LN_Value_doc_ST_Zoom_textFit] = "ooxml:Value_doc_ST_Zoom_textFit";
    mMap[NS_ooxml::LN_CT_Zoom_val] = "ooxml:CT_Zoom_val";
    mMap[NS_ooxml::LN_CT_Zoom_percent] = "ooxml:CT_Zoom_percent";
    mMap[NS_ooxml::LN_CT_WritingStyle_lang] = "ooxml:CT_WritingStyle_lang";
    mMap[NS_ooxml::LN_CT_WritingStyle_vendorID] = "ooxml:CT_WritingStyle_vendorID";
    mMap[NS_ooxml::LN_CT_WritingStyle_dllVersion] = "ooxml:CT_WritingStyle_dllVersion";
    mMap[NS_ooxml::LN_CT_WritingStyle_nlCheck] = "ooxml:CT_WritingStyle_nlCheck";
    mMap[NS_ooxml::LN_CT_WritingStyle_checkStyle] = "ooxml:CT_WritingStyle_checkStyle";
    mMap[NS_ooxml::LN_CT_WritingStyle_appName] = "ooxml:CT_WritingStyle_appName";
    mMap[NS_ooxml::LN_CT_Proof_spelling] = "ooxml:CT_Proof_spelling";
    mMap[NS_ooxml::LN_CT_Proof_grammar] = "ooxml:CT_Proof_grammar";
    mMap[NS_ooxml::LN_Value_doc_ST_DocType_notSpecified] = "ooxml:Value_doc_ST_DocType_notSpecified";
    mMap[NS_ooxml::LN_Value_doc_ST_DocType_letter] = "ooxml:Value_doc_ST_DocType_letter";
    mMap[NS_ooxml::LN_Value_doc_ST_DocType_eMail] = "ooxml:Value_doc_ST_DocType_eMail";
    mMap[NS_ooxml::LN_CT_DocType_val] = "ooxml:CT_DocType_val";
    mMap[NS_ooxml::LN_Value_doc_ST_DocProtect_none] = "ooxml:Value_doc_ST_DocProtect_none";
    mMap[NS_ooxml::LN_Value_doc_ST_DocProtect_readOnly] = "ooxml:Value_doc_ST_DocProtect_readOnly";
    mMap[NS_ooxml::LN_Value_doc_ST_DocProtect_comments] = "ooxml:Value_doc_ST_DocProtect_comments";
    mMap[NS_ooxml::LN_Value_doc_ST_DocProtect_trackedChanges] = "ooxml:Value_doc_ST_DocProtect_trackedChanges";
    mMap[NS_ooxml::LN_Value_doc_ST_DocProtect_forms] = "ooxml:Value_doc_ST_DocProtect_forms";
    mMap[NS_ooxml::LN_Value_doc_ST_CryptProv_rsaAES] = "ooxml:Value_doc_ST_CryptProv_rsaAES";
    mMap[NS_ooxml::LN_Value_doc_ST_CryptProv_rsaFull] = "ooxml:Value_doc_ST_CryptProv_rsaFull";
    mMap[NS_ooxml::LN_Value_doc_ST_AlgClass_hash] = "ooxml:Value_doc_ST_AlgClass_hash";
    mMap[NS_ooxml::LN_Value_doc_ST_AlgType_typeAny] = "ooxml:Value_doc_ST_AlgType_typeAny";
    mMap[NS_ooxml::LN_AG_Password_cryptProviderType] = "ooxml:AG_Password_cryptProviderType";
    mMap[NS_ooxml::LN_AG_Password_cryptAlgorithmClass] = "ooxml:AG_Password_cryptAlgorithmClass";
    mMap[NS_ooxml::LN_AG_Password_cryptAlgorithmType] = "ooxml:AG_Password_cryptAlgorithmType";
    mMap[NS_ooxml::LN_AG_Password_cryptAlgorithmSid] = "ooxml:AG_Password_cryptAlgorithmSid";
    mMap[NS_ooxml::LN_AG_Password_cryptSpinCount] = "ooxml:AG_Password_cryptSpinCount";
    mMap[NS_ooxml::LN_AG_Password_cryptProvider] = "ooxml:AG_Password_cryptProvider";
    mMap[NS_ooxml::LN_AG_Password_algIdExt] = "ooxml:AG_Password_algIdExt";
    mMap[NS_ooxml::LN_AG_Password_algIdExtSource] = "ooxml:AG_Password_algIdExtSource";
    mMap[NS_ooxml::LN_AG_Password_cryptProviderTypeExt] = "ooxml:AG_Password_cryptProviderTypeExt";
    mMap[NS_ooxml::LN_AG_Password_cryptProviderTypeExtSource] = "ooxml:AG_Password_cryptProviderTypeExtSource";
    mMap[NS_ooxml::LN_AG_Password_hash] = "ooxml:AG_Password_hash";
    mMap[NS_ooxml::LN_AG_Password_salt] = "ooxml:AG_Password_salt";
    mMap[NS_ooxml::LN_CT_DocProtect_edit] = "ooxml:CT_DocProtect_edit";
    mMap[NS_ooxml::LN_CT_DocProtect_formatting] = "ooxml:CT_DocProtect_formatting";
    mMap[NS_ooxml::LN_CT_DocProtect_enforcement] = "ooxml:CT_DocProtect_enforcement";
    mMap[NS_ooxml::LN_CT_MailMergeDocType_val] = "ooxml:CT_MailMergeDocType_val";
    mMap[NS_ooxml::LN_CT_MailMergeDataType_val] = "ooxml:CT_MailMergeDataType_val";
    mMap[NS_ooxml::LN_CT_MailMergeDest_val] = "ooxml:CT_MailMergeDest_val";
    mMap[NS_ooxml::LN_CT_MailMergeOdsoFMDFieldType_val] = "ooxml:CT_MailMergeOdsoFMDFieldType_val";
    mMap[NS_ooxml::LN_CT_TrackChangesView_markup] = "ooxml:CT_TrackChangesView_markup";
    mMap[NS_ooxml::LN_CT_TrackChangesView_comments] = "ooxml:CT_TrackChangesView_comments";
    mMap[NS_ooxml::LN_CT_TrackChangesView_insDel] = "ooxml:CT_TrackChangesView_insDel";
    mMap[NS_ooxml::LN_CT_TrackChangesView_formatting] = "ooxml:CT_TrackChangesView_formatting";
    mMap[NS_ooxml::LN_CT_TrackChangesView_inkAnnotations] = "ooxml:CT_TrackChangesView_inkAnnotations";
    mMap[NS_ooxml::LN_CT_Kinsoku_lang] = "ooxml:CT_Kinsoku_lang";
    mMap[NS_ooxml::LN_CT_Kinsoku_val] = "ooxml:CT_Kinsoku_val";
    mMap[NS_ooxml::LN_Value_ST_TextDirection_lrTb] = "ooxml:Value_ST_TextDirection_lrTb";
    mMap[NS_ooxml::LN_Value_ST_TextDirection_tbRl] = "ooxml:Value_ST_TextDirection_tbRl";
    mMap[NS_ooxml::LN_Value_ST_TextDirection_btLr] = "ooxml:Value_ST_TextDirection_btLr";
    mMap[NS_ooxml::LN_Value_ST_TextDirection_lrTbV] = "ooxml:Value_ST_TextDirection_lrTbV";
    mMap[NS_ooxml::LN_Value_ST_TextDirection_tbRlV] = "ooxml:Value_ST_TextDirection_tbRlV";
    mMap[NS_ooxml::LN_Value_ST_TextDirection_tbLrV] = "ooxml:Value_ST_TextDirection_tbLrV";
    mMap[NS_ooxml::LN_CT_TextDirection_val] = "ooxml:CT_TextDirection_val";
    mMap[NS_ooxml::LN_Value_doc_ST_TextAlignment_top] = "ooxml:Value_doc_ST_TextAlignment_top";
    mMap[NS_ooxml::LN_Value_doc_ST_TextAlignment_center] = "ooxml:Value_doc_ST_TextAlignment_center";
    mMap[NS_ooxml::LN_Value_doc_ST_TextAlignment_baseline] = "ooxml:Value_doc_ST_TextAlignment_baseline";
    mMap[NS_ooxml::LN_Value_doc_ST_TextAlignment_bottom] = "ooxml:Value_doc_ST_TextAlignment_bottom";
    mMap[NS_ooxml::LN_Value_doc_ST_TextAlignment_auto] = "ooxml:Value_doc_ST_TextAlignment_auto";
    mMap[NS_ooxml::LN_CT_TextAlignment_val] = "ooxml:CT_TextAlignment_val";
    mMap[NS_ooxml::LN_Value_doc_ST_DisplacedByCustomXml_next] = "ooxml:Value_doc_ST_DisplacedByCustomXml_next";
    mMap[NS_ooxml::LN_Value_doc_ST_DisplacedByCustomXml_prev] = "ooxml:Value_doc_ST_DisplacedByCustomXml_prev";
    mMap[NS_ooxml::LN_Value_doc_ST_AnnotationVMerge_cont] = "ooxml:Value_doc_ST_AnnotationVMerge_cont";
    mMap[NS_ooxml::LN_Value_doc_ST_AnnotationVMerge_rest] = "ooxml:Value_doc_ST_AnnotationVMerge_rest";
    mMap[NS_ooxml::LN_CT_Markup_id] = "ooxml:CT_Markup_id";
    mMap[NS_ooxml::LN_CT_TrackChange_author] = "ooxml:CT_TrackChange_author";
    mMap[NS_ooxml::LN_CT_TrackChange_date] = "ooxml:CT_TrackChange_date";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeStart] = "ooxml:EG_RangeMarkupElements_customXmlInsRangeStart";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_customXmlInsRangeEnd] = "ooxml:EG_RangeMarkupElements_customXmlInsRangeEnd";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeStart] = "ooxml:EG_RangeMarkupElements_customXmlDelRangeStart";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_customXmlDelRangeEnd] = "ooxml:EG_RangeMarkupElements_customXmlDelRangeEnd";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeStart] = "ooxml:EG_RangeMarkupElements_customXmlMoveFromRangeStart";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveFromRangeEnd] = "ooxml:EG_RangeMarkupElements_customXmlMoveFromRangeEnd";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeStart] = "ooxml:EG_RangeMarkupElements_customXmlMoveToRangeStart";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_customXmlMoveToRangeEnd] = "ooxml:EG_RangeMarkupElements_customXmlMoveToRangeEnd";
    mMap[NS_ooxml::LN_CT_CellMergeTrackChange_vMerge] = "ooxml:CT_CellMergeTrackChange_vMerge";
    mMap[NS_ooxml::LN_CT_CellMergeTrackChange_vMergeOrig] = "ooxml:CT_CellMergeTrackChange_vMergeOrig";
    mMap[NS_ooxml::LN_CT_TrackChangeRange_displacedByCustomXml] = "ooxml:CT_TrackChangeRange_displacedByCustomXml";
    mMap[NS_ooxml::LN_CT_MarkupRange_displacedByCustomXml] = "ooxml:CT_MarkupRange_displacedByCustomXml";
    mMap[NS_ooxml::LN_CT_MarkupRangeBookmark_id] = "ooxml:CT_MarkupRangeBookmark_id";
    mMap[NS_ooxml::LN_CT_PermStart_id] = "ooxml:CT_PermStart_id";
    mMap[NS_ooxml::LN_CT_PermStart_colFirst] = "ooxml:CT_PermStart_colFirst";
    mMap[NS_ooxml::LN_CT_PermStart_colLast] = "ooxml:CT_PermStart_colLast";
    mMap[NS_ooxml::LN_CT_PermStart_ed] = "ooxml:CT_PermStart_ed";
    mMap[NS_ooxml::LN_CT_PermStart_edGrp] = "ooxml:CT_PermStart_edGrp";
    mMap[NS_ooxml::LN_CT_PermStart_displacedByCustomXml] = "ooxml:CT_PermStart_displacedByCustomXml";
    mMap[NS_ooxml::LN_CT_PermEnd_id] = "ooxml:CT_PermEnd_id";
    mMap[NS_ooxml::LN_CT_PermEnd_displacedByCustomXml] = "ooxml:CT_PermEnd_displacedByCustomXml";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_commentRangeStart] = "ooxml:EG_RangeMarkupElements_commentRangeStart";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_commentRangeEnd] = "ooxml:EG_RangeMarkupElements_commentRangeEnd";
    mMap[NS_ooxml::LN_CT_BookmarkRange_colFirst] = "ooxml:CT_BookmarkRange_colFirst";
    mMap[NS_ooxml::LN_CT_BookmarkRange_colLast] = "ooxml:CT_BookmarkRange_colLast";
    mMap[NS_ooxml::LN_CT_Bookmark_name] = "ooxml:CT_Bookmark_name";
    mMap[NS_ooxml::LN_CT_MoveBookmark_author] = "ooxml:CT_MoveBookmark_author";
    mMap[NS_ooxml::LN_CT_MoveBookmark_date] = "ooxml:CT_MoveBookmark_date";
    mMap[NS_ooxml::LN_CT_Comment_initials] = "ooxml:CT_Comment_initials";
    mMap[NS_ooxml::LN_CT_TrackChangeNumbering_original] = "ooxml:CT_TrackChangeNumbering_original";
    mMap[NS_ooxml::LN_CT_TblPrExChange_tblPrEx] = "ooxml:CT_TblPrExChange_tblPrEx";
    mMap[NS_ooxml::LN_CT_TcPrChange_tcPr] = "ooxml:CT_TcPrChange_tcPr";
    mMap[NS_ooxml::LN_CT_TrPrChange_trPr] = "ooxml:CT_TrPrChange_trPr";
    mMap[NS_ooxml::LN_CT_TblGridChange_tblGrid] = "ooxml:CT_TblGridChange_tblGrid";
    mMap[NS_ooxml::LN_CT_TblPrChange_tblPr] = "ooxml:CT_TblPrChange_tblPr";
    mMap[NS_ooxml::LN_CT_SectPrChange_sectPr] = "ooxml:CT_SectPrChange_sectPr";
    mMap[NS_ooxml::LN_CT_PPrChange_pPr] = "ooxml:CT_PPrChange_pPr";
    mMap[NS_ooxml::LN_CT_RPrChange_rPr] = "ooxml:CT_RPrChange_rPr";
    mMap[NS_ooxml::LN_CT_ParaRPrChange_rPr] = "ooxml:CT_ParaRPrChange_rPr";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_bookmarkStart] = "ooxml:EG_RangeMarkupElements_bookmarkStart";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_bookmarkEnd] = "ooxml:EG_RangeMarkupElements_bookmarkEnd";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_PermStart] = "ooxml:EG_RangeMarkupElements_PermStart";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_PermEnd] = "ooxml:EG_RangeMarkupElements_PermEnd";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeStart] = "ooxml:EG_RangeMarkupElements_moveFromRangeStart";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_moveFromRangeEnd] = "ooxml:EG_RangeMarkupElements_moveFromRangeEnd";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeStart] = "ooxml:EG_RangeMarkupElements_moveToRangeStart";
    mMap[NS_ooxml::LN_EG_RangeMarkupElements_moveToRangeEnd] = "ooxml:EG_RangeMarkupElements_moveToRangeEnd";
    mMap[NS_ooxml::LN_CT_NumPr_ilvl] = "ooxml:CT_NumPr_ilvl";
    mMap[NS_ooxml::LN_CT_NumPr_numId] = "ooxml:CT_NumPr_numId";
    mMap[NS_ooxml::LN_CT_NumPr_numberingChange] = "ooxml:CT_NumPr_numberingChange";
    mMap[NS_ooxml::LN_CT_NumPr_ins] = "ooxml:CT_NumPr_ins";
    mMap[NS_ooxml::LN_CT_PBdr_top] = "ooxml:CT_PBdr_top";
    mMap[NS_ooxml::LN_CT_PBdr_left] = "ooxml:CT_PBdr_left";
    mMap[NS_ooxml::LN_CT_PBdr_bottom] = "ooxml:CT_PBdr_bottom";
    mMap[NS_ooxml::LN_CT_PBdr_right] = "ooxml:CT_PBdr_right";
    mMap[NS_ooxml::LN_CT_PBdr_between] = "ooxml:CT_PBdr_between";
    mMap[NS_ooxml::LN_CT_PBdr_bar] = "ooxml:CT_PBdr_bar";
    mMap[NS_ooxml::LN_CT_Tabs_tab] = "ooxml:CT_Tabs_tab";
    mMap[NS_ooxml::LN_CT_TextboxTightWrap_val] = "ooxml:CT_TextboxTightWrap_val";
    mMap[NS_ooxml::LN_CT_PPrBase_pStyle] = "ooxml:CT_PPrBase_pStyle";
    mMap[NS_ooxml::LN_CT_PPrBase_keepNext] = "ooxml:CT_PPrBase_keepNext";
    mMap[NS_ooxml::LN_CT_PPrBase_keepLines] = "ooxml:CT_PPrBase_keepLines";
    mMap[NS_ooxml::LN_CT_PPrBase_pageBreakBefore] = "ooxml:CT_PPrBase_pageBreakBefore";
    mMap[NS_ooxml::LN_CT_PPrBase_framePr] = "ooxml:CT_PPrBase_framePr";
    mMap[NS_ooxml::LN_CT_PPrBase_widowControl] = "ooxml:CT_PPrBase_widowControl";
    mMap[NS_ooxml::LN_CT_PPrBase_numPr] = "ooxml:CT_PPrBase_numPr";
    mMap[NS_ooxml::LN_CT_PPrBase_suppressLineNumbers] = "ooxml:CT_PPrBase_suppressLineNumbers";
    mMap[NS_ooxml::LN_CT_PrBase_pBdr] = "ooxml:CT_PrBase_pBdr";
    mMap[NS_ooxml::LN_CT_PrBase_shd] = "ooxml:CT_PrBase_shd";
    mMap[NS_ooxml::LN_CT_PPrBase_tabs] = "ooxml:CT_PPrBase_tabs";
    mMap[NS_ooxml::LN_CT_PPrBase_suppressAutoHyphens] = "ooxml:CT_PPrBase_suppressAutoHyphens";
    mMap[NS_ooxml::LN_CT_PPrBase_kinsoku] = "ooxml:CT_PPrBase_kinsoku";
    mMap[NS_ooxml::LN_CT_PPrBase_wordWrap] = "ooxml:CT_PPrBase_wordWrap";
    mMap[NS_ooxml::LN_CT_PPrBase_overflowPunct] = "ooxml:CT_PPrBase_overflowPunct";
    mMap[NS_ooxml::LN_CT_PPrBase_topLinePunct] = "ooxml:CT_PPrBase_topLinePunct";
    mMap[NS_ooxml::LN_CT_PPrBase_autoSpaceDE] = "ooxml:CT_PPrBase_autoSpaceDE";
    mMap[NS_ooxml::LN_CT_PPrBase_autoSpaceDN] = "ooxml:CT_PPrBase_autoSpaceDN";
    mMap[NS_ooxml::LN_CT_PPrBase_bidi] = "ooxml:CT_PPrBase_bidi";
    mMap[NS_ooxml::LN_CT_PPrBase_adjustRightInd] = "ooxml:CT_PPrBase_adjustRightInd";
    mMap[NS_ooxml::LN_CT_PPrBase_snapToGrid] = "ooxml:CT_PPrBase_snapToGrid";
    mMap[NS_ooxml::LN_CT_PPrBase_spacing] = "ooxml:CT_PPrBase_spacing";
    mMap[NS_ooxml::LN_CT_PPrBase_ind] = "ooxml:CT_PPrBase_ind";
    mMap[NS_ooxml::LN_CT_PPrBase_contextualSpacing] = "ooxml:CT_PPrBase_contextualSpacing";
    mMap[NS_ooxml::LN_CT_PPrBase_mirrorIndents] = "ooxml:CT_PPrBase_mirrorIndents";
    mMap[NS_ooxml::LN_CT_PPrBase_suppressOverlap] = "ooxml:CT_PPrBase_suppressOverlap";
    mMap[NS_ooxml::LN_CT_PPrBase_jc] = "ooxml:CT_PPrBase_jc";
    mMap[NS_ooxml::LN_CT_PPrBase_textDirection] = "ooxml:CT_PPrBase_textDirection";
    mMap[NS_ooxml::LN_CT_PPrBase_textAlignment] = "ooxml:CT_PPrBase_textAlignment";
    mMap[NS_ooxml::LN_CT_PPrBase_textboxTightWrap] = "ooxml:CT_PPrBase_textboxTightWrap";
    mMap[NS_ooxml::LN_CT_PPrBase_outlineLvl] = "ooxml:CT_PPrBase_outlineLvl";
    mMap[NS_ooxml::LN_CT_PPrBase_divId] = "ooxml:CT_PPrBase_divId";
    mMap[NS_ooxml::LN_CT_PPrBase_cnfStyle] = "ooxml:CT_PPrBase_cnfStyle";
    mMap[NS_ooxml::LN_CT_PPr_rPr] = "ooxml:CT_PPr_rPr";
    mMap[NS_ooxml::LN_CT_PPr_sectPr] = "ooxml:CT_PPr_sectPr";
    mMap[NS_ooxml::LN_CT_PPr_pPrChange] = "ooxml:CT_PPr_pPrChange";
    mMap[NS_ooxml::LN_CT_Background_color] = "ooxml:CT_Background_color";
    mMap[NS_ooxml::LN_CT_Background_themeColor] = "ooxml:CT_Background_themeColor";
    mMap[NS_ooxml::LN_CT_Background_themeTint] = "ooxml:CT_Background_themeTint";
    mMap[NS_ooxml::LN_CT_Background_themeShade] = "ooxml:CT_Background_themeShade";
    mMap[NS_ooxml::LN_CT_Background_v_background] = "ooxml:CT_Background_v_background";
    mMap[NS_ooxml::LN_CT_Rel_id] = "ooxml:CT_Rel_id";
    mMap[NS_ooxml::LN_CT_Object_dxaOrig] = "ooxml:CT_Object_dxaOrig";
    mMap[NS_ooxml::LN_CT_Object_dyaOrig] = "ooxml:CT_Object_dyaOrig";
    mMap[NS_ooxml::LN_CT_Picture_movie] = "ooxml:CT_Picture_movie";
    mMap[NS_ooxml::LN_CT_SimpleField_fldData] = "ooxml:CT_SimpleField_fldData";
    mMap[NS_ooxml::LN_CT_SimpleField_instr] = "ooxml:CT_SimpleField_instr";
    mMap[NS_ooxml::LN_CT_SimpleField_fldLock] = "ooxml:CT_SimpleField_fldLock";
    mMap[NS_ooxml::LN_CT_SimpleField_dirty] = "ooxml:CT_SimpleField_dirty";
    mMap[NS_ooxml::LN_Value_ST_FldCharType_begin] = "ooxml:Value_ST_FldCharType_begin";
    mMap[NS_ooxml::LN_Value_ST_FldCharType_separate] = "ooxml:Value_ST_FldCharType_separate";
    mMap[NS_ooxml::LN_Value_ST_FldCharType_end] = "ooxml:Value_ST_FldCharType_end";
    mMap[NS_ooxml::LN_Value_doc_ST_InfoTextType_text] = "ooxml:Value_doc_ST_InfoTextType_text";
    mMap[NS_ooxml::LN_Value_doc_ST_InfoTextType_autoText] = "ooxml:Value_doc_ST_InfoTextType_autoText";
    mMap[NS_ooxml::LN_CT_FFTextType_val] = "ooxml:CT_FFTextType_val";
    mMap[NS_ooxml::LN_CT_FFName_val] = "ooxml:CT_FFName_val";
    mMap[NS_ooxml::LN_CT_FldChar_fldData] = "ooxml:CT_FldChar_fldData";
    mMap[NS_ooxml::LN_CT_FldChar_ffData] = "ooxml:CT_FldChar_ffData";
    mMap[NS_ooxml::LN_CT_FldChar_numberingChange] = "ooxml:CT_FldChar_numberingChange";
    mMap[NS_ooxml::LN_CT_FldChar_fldCharType] = "ooxml:CT_FldChar_fldCharType";
    mMap[NS_ooxml::LN_CT_FldChar_fldLock] = "ooxml:CT_FldChar_fldLock";
    mMap[NS_ooxml::LN_CT_FldChar_dirty] = "ooxml:CT_FldChar_dirty";
    mMap[NS_ooxml::LN_CT_Hyperlink_tgtFrame] = "ooxml:CT_Hyperlink_tgtFrame";
    mMap[NS_ooxml::LN_CT_Hyperlink_tooltip] = "ooxml:CT_Hyperlink_tooltip";
    mMap[NS_ooxml::LN_CT_Hyperlink_docLocation] = "ooxml:CT_Hyperlink_docLocation";
    mMap[NS_ooxml::LN_CT_Hyperlink_history] = "ooxml:CT_Hyperlink_history";
    mMap[NS_ooxml::LN_CT_Hyperlink_anchor] = "ooxml:CT_Hyperlink_anchor";
    mMap[NS_ooxml::LN_CT_FFData_name] = "ooxml:CT_FFData_name";
    mMap[NS_ooxml::LN_CT_FFData_enabled] = "ooxml:CT_FFData_enabled";
    mMap[NS_ooxml::LN_CT_FFData_calcOnExit] = "ooxml:CT_FFData_calcOnExit";
    mMap[NS_ooxml::LN_CT_FFData_entryMacro] = "ooxml:CT_FFData_entryMacro";
    mMap[NS_ooxml::LN_CT_FFData_exitMacro] = "ooxml:CT_FFData_exitMacro";
    mMap[NS_ooxml::LN_CT_FFData_helpText] = "ooxml:CT_FFData_helpText";
    mMap[NS_ooxml::LN_CT_FFData_statusText] = "ooxml:CT_FFData_statusText";
    mMap[NS_ooxml::LN_CT_FFData_checkBox] = "ooxml:CT_FFData_checkBox";
    mMap[NS_ooxml::LN_CT_FFData_ddList] = "ooxml:CT_FFData_ddList";
    mMap[NS_ooxml::LN_CT_FFData_textInput] = "ooxml:CT_FFData_textInput";
    mMap[NS_ooxml::LN_CT_FFHelpText_type] = "ooxml:CT_FFHelpText_type";
    mMap[NS_ooxml::LN_CT_FFHelpText_val] = "ooxml:CT_FFHelpText_val";
    mMap[NS_ooxml::LN_CT_FFStatusText_type] = "ooxml:CT_FFStatusText_type";
    mMap[NS_ooxml::LN_CT_FFStatusText_val] = "ooxml:CT_FFStatusText_val";
    mMap[NS_ooxml::LN_CT_FFCheckBox_size] = "ooxml:CT_FFCheckBox_size";
    mMap[NS_ooxml::LN_CT_FFCheckBox_sizeAuto] = "ooxml:CT_FFCheckBox_sizeAuto";
    mMap[NS_ooxml::LN_CT_FFCheckBox_default] = "ooxml:CT_FFCheckBox_default";
    mMap[NS_ooxml::LN_CT_FFCheckBox_checked] = "ooxml:CT_FFCheckBox_checked";
    mMap[NS_ooxml::LN_CT_FFDDList_result] = "ooxml:CT_FFDDList_result";
    mMap[NS_ooxml::LN_CT_FFDDList_default] = "ooxml:CT_FFDDList_default";
    mMap[NS_ooxml::LN_CT_FFDDList_listEntry] = "ooxml:CT_FFDDList_listEntry";
    mMap[NS_ooxml::LN_CT_FFTextInput_type] = "ooxml:CT_FFTextInput_type";
    mMap[NS_ooxml::LN_CT_FFTextInput_default] = "ooxml:CT_FFTextInput_default";
    mMap[NS_ooxml::LN_CT_FFTextInput_maxLength] = "ooxml:CT_FFTextInput_maxLength";
    mMap[NS_ooxml::LN_CT_FFTextInput_format] = "ooxml:CT_FFTextInput_format";
    mMap[NS_ooxml::LN_Value_ST_SectionMark_continuous] = "ooxml:Value_ST_SectionMark_continuous";
    mMap[NS_ooxml::LN_Value_ST_SectionMark_nextColumn] = "ooxml:Value_ST_SectionMark_nextColumn";
    mMap[NS_ooxml::LN_Value_ST_SectionMark_nextPage] = "ooxml:Value_ST_SectionMark_nextPage";
    mMap[NS_ooxml::LN_Value_ST_SectionMark_evenPage] = "ooxml:Value_ST_SectionMark_evenPage";
    mMap[NS_ooxml::LN_Value_ST_SectionMark_oddPage] = "ooxml:Value_ST_SectionMark_oddPage";
    mMap[NS_ooxml::LN_CT_SectType_val] = "ooxml:CT_SectType_val";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_decimal] = "ooxml:Value_ST_NumberFormat_decimal";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_upperRoman] = "ooxml:Value_ST_NumberFormat_upperRoman";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_lowerRoman] = "ooxml:Value_ST_NumberFormat_lowerRoman";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_upperLetter] = "ooxml:Value_ST_NumberFormat_upperLetter";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_lowerLetter] = "ooxml:Value_ST_NumberFormat_lowerLetter";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_ordinal] = "ooxml:Value_ST_NumberFormat_ordinal";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_cardinalText] = "ooxml:Value_ST_NumberFormat_cardinalText";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_ordinalText] = "ooxml:Value_ST_NumberFormat_ordinalText";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_hex] = "ooxml:Value_ST_NumberFormat_hex";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_chicago] = "ooxml:Value_ST_NumberFormat_chicago";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_ideographDigital] = "ooxml:Value_ST_NumberFormat_ideographDigital";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_japaneseCounting] = "ooxml:Value_ST_NumberFormat_japaneseCounting";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_aiueo] = "ooxml:Value_ST_NumberFormat_aiueo";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_iroha] = "ooxml:Value_ST_NumberFormat_iroha";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_decimalFullWidth] = "ooxml:Value_ST_NumberFormat_decimalFullWidth";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_decimalHalfWidth] = "ooxml:Value_ST_NumberFormat_decimalHalfWidth";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_japaneseLegal] = "ooxml:Value_ST_NumberFormat_japaneseLegal";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_japaneseDigitalTenThousand] = "ooxml:Value_ST_NumberFormat_japaneseDigitalTenThousand";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_decimalEnclosedCircle] = "ooxml:Value_ST_NumberFormat_decimalEnclosedCircle";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_decimalFullWidth2] = "ooxml:Value_ST_NumberFormat_decimalFullWidth2";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_aiueoFullWidth] = "ooxml:Value_ST_NumberFormat_aiueoFullWidth";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_irohaFullWidth] = "ooxml:Value_ST_NumberFormat_irohaFullWidth";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_decimalZero] = "ooxml:Value_ST_NumberFormat_decimalZero";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_bullet] = "ooxml:Value_ST_NumberFormat_bullet";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_ganada] = "ooxml:Value_ST_NumberFormat_ganada";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_chosung] = "ooxml:Value_ST_NumberFormat_chosung";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_decimalEnclosedFullstop] = "ooxml:Value_ST_NumberFormat_decimalEnclosedFullstop";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_decimalEnclosedParen] = "ooxml:Value_ST_NumberFormat_decimalEnclosedParen";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_decimalEnclosedCircleChinese] = "ooxml:Value_ST_NumberFormat_decimalEnclosedCircleChinese";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_ideographEnclosedCircle] = "ooxml:Value_ST_NumberFormat_ideographEnclosedCircle";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_ideographTraditional] = "ooxml:Value_ST_NumberFormat_ideographTraditional";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_ideographZodiac] = "ooxml:Value_ST_NumberFormat_ideographZodiac";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_ideographZodiacTraditional] = "ooxml:Value_ST_NumberFormat_ideographZodiacTraditional";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_taiwaneseCounting] = "ooxml:Value_ST_NumberFormat_taiwaneseCounting";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_ideographLegalTraditional] = "ooxml:Value_ST_NumberFormat_ideographLegalTraditional";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_taiwaneseCountingThousand] = "ooxml:Value_ST_NumberFormat_taiwaneseCountingThousand";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_taiwaneseDigital] = "ooxml:Value_ST_NumberFormat_taiwaneseDigital";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_chineseCounting] = "ooxml:Value_ST_NumberFormat_chineseCounting";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_chineseLegalSimplified] = "ooxml:Value_ST_NumberFormat_chineseLegalSimplified";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_chineseCountingThousand] = "ooxml:Value_ST_NumberFormat_chineseCountingThousand";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_koreanDigital] = "ooxml:Value_ST_NumberFormat_koreanDigital";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_koreanCounting] = "ooxml:Value_ST_NumberFormat_koreanCounting";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_koreanLegal] = "ooxml:Value_ST_NumberFormat_koreanLegal";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_koreanDigital2] = "ooxml:Value_ST_NumberFormat_koreanDigital2";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_vietnameseCounting] = "ooxml:Value_ST_NumberFormat_vietnameseCounting";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_russianLower] = "ooxml:Value_ST_NumberFormat_russianLower";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_russianUpper] = "ooxml:Value_ST_NumberFormat_russianUpper";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_none] = "ooxml:Value_ST_NumberFormat_none";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_numberInDash] = "ooxml:Value_ST_NumberFormat_numberInDash";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_hebrew1] = "ooxml:Value_ST_NumberFormat_hebrew1";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_hebrew2] = "ooxml:Value_ST_NumberFormat_hebrew2";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_arabicAlpha] = "ooxml:Value_ST_NumberFormat_arabicAlpha";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_arabicAbjad] = "ooxml:Value_ST_NumberFormat_arabicAbjad";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_hindiVowels] = "ooxml:Value_ST_NumberFormat_hindiVowels";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_hindiConsonants] = "ooxml:Value_ST_NumberFormat_hindiConsonants";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_hindiNumbers] = "ooxml:Value_ST_NumberFormat_hindiNumbers";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_hindiCounting] = "ooxml:Value_ST_NumberFormat_hindiCounting";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_thaiLetters] = "ooxml:Value_ST_NumberFormat_thaiLetters";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_thaiNumbers] = "ooxml:Value_ST_NumberFormat_thaiNumbers";
    mMap[NS_ooxml::LN_Value_ST_NumberFormat_thaiCounting] = "ooxml:Value_ST_NumberFormat_thaiCounting";
    mMap[NS_ooxml::LN_Value_ST_PageOrientation_portrait] = "ooxml:Value_ST_PageOrientation_portrait";
    mMap[NS_ooxml::LN_Value_ST_PageOrientation_landscape] = "ooxml:Value_ST_PageOrientation_landscape";
    mMap[NS_ooxml::LN_CT_PageSz_w] = "ooxml:CT_PageSz_w";
    mMap[NS_ooxml::LN_CT_PageSz_h] = "ooxml:CT_PageSz_h";
    mMap[NS_ooxml::LN_CT_PageSz_orient] = "ooxml:CT_PageSz_orient";
    mMap[NS_ooxml::LN_CT_PageSz_code] = "ooxml:CT_PageSz_code";
    mMap[NS_ooxml::LN_CT_PageMar_top] = "ooxml:CT_PageMar_top";
    mMap[NS_ooxml::LN_CT_PageMar_right] = "ooxml:CT_PageMar_right";
    mMap[NS_ooxml::LN_CT_PageMar_bottom] = "ooxml:CT_PageMar_bottom";
    mMap[NS_ooxml::LN_CT_PageMar_left] = "ooxml:CT_PageMar_left";
    mMap[NS_ooxml::LN_CT_PageMar_header] = "ooxml:CT_PageMar_header";
    mMap[NS_ooxml::LN_CT_PageMar_footer] = "ooxml:CT_PageMar_footer";
    mMap[NS_ooxml::LN_CT_PageMar_gutter] = "ooxml:CT_PageMar_gutter";
    mMap[NS_ooxml::LN_Value_doc_ST_PageBorderZOrder_front] = "ooxml:Value_doc_ST_PageBorderZOrder_front";
    mMap[NS_ooxml::LN_Value_doc_ST_PageBorderZOrder_back] = "ooxml:Value_doc_ST_PageBorderZOrder_back";
    mMap[NS_ooxml::LN_Value_doc_ST_PageBorderDisplay_allPages] = "ooxml:Value_doc_ST_PageBorderDisplay_allPages";
    mMap[NS_ooxml::LN_Value_doc_ST_PageBorderDisplay_firstPage] = "ooxml:Value_doc_ST_PageBorderDisplay_firstPage";
    mMap[NS_ooxml::LN_Value_doc_ST_PageBorderDisplay_notFirstPage] = "ooxml:Value_doc_ST_PageBorderDisplay_notFirstPage";
    mMap[NS_ooxml::LN_Value_doc_ST_PageBorderOffset_page] = "ooxml:Value_doc_ST_PageBorderOffset_page";
    mMap[NS_ooxml::LN_Value_doc_ST_PageBorderOffset_text] = "ooxml:Value_doc_ST_PageBorderOffset_text";
    mMap[NS_ooxml::LN_CT_PageBorders_top] = "ooxml:CT_PageBorders_top";
    mMap[NS_ooxml::LN_CT_PageBorders_left] = "ooxml:CT_PageBorders_left";
    mMap[NS_ooxml::LN_CT_PageBorders_bottom] = "ooxml:CT_PageBorders_bottom";
    mMap[NS_ooxml::LN_CT_PageBorders_right] = "ooxml:CT_PageBorders_right";
    mMap[NS_ooxml::LN_CT_PageBorders_zOrder] = "ooxml:CT_PageBorders_zOrder";
    mMap[NS_ooxml::LN_CT_PageBorders_display] = "ooxml:CT_PageBorders_display";
    mMap[NS_ooxml::LN_CT_PageBorders_offsetFrom] = "ooxml:CT_PageBorders_offsetFrom";
    mMap[NS_ooxml::LN_Value_ST_ChapterSep_hyphen] = "ooxml:Value_ST_ChapterSep_hyphen";
    mMap[NS_ooxml::LN_Value_ST_ChapterSep_period] = "ooxml:Value_ST_ChapterSep_period";
    mMap[NS_ooxml::LN_Value_ST_ChapterSep_colon] = "ooxml:Value_ST_ChapterSep_colon";
    mMap[NS_ooxml::LN_Value_ST_ChapterSep_emDash] = "ooxml:Value_ST_ChapterSep_emDash";
    mMap[NS_ooxml::LN_Value_ST_ChapterSep_enDash] = "ooxml:Value_ST_ChapterSep_enDash";
    mMap[NS_ooxml::LN_Value_ST_LineNumberRestart_newPage] = "ooxml:Value_ST_LineNumberRestart_newPage";
    mMap[NS_ooxml::LN_Value_ST_LineNumberRestart_newSection] = "ooxml:Value_ST_LineNumberRestart_newSection";
    mMap[NS_ooxml::LN_Value_ST_LineNumberRestart_continuous] = "ooxml:Value_ST_LineNumberRestart_continuous";
    mMap[NS_ooxml::LN_CT_LineNumber_countBy] = "ooxml:CT_LineNumber_countBy";
    mMap[NS_ooxml::LN_CT_LineNumber_start] = "ooxml:CT_LineNumber_start";
    mMap[NS_ooxml::LN_CT_LineNumber_distance] = "ooxml:CT_LineNumber_distance";
    mMap[NS_ooxml::LN_CT_LineNumber_restart] = "ooxml:CT_LineNumber_restart";
    mMap[NS_ooxml::LN_CT_PageNumber_fmt] = "ooxml:CT_PageNumber_fmt";
    mMap[NS_ooxml::LN_CT_PageNumber_start] = "ooxml:CT_PageNumber_start";
    mMap[NS_ooxml::LN_CT_PageNumber_chapStyle] = "ooxml:CT_PageNumber_chapStyle";
    mMap[NS_ooxml::LN_CT_PageNumber_chapSep] = "ooxml:CT_PageNumber_chapSep";
    mMap[NS_ooxml::LN_CT_Column_space] = "ooxml:CT_Column_space";
    mMap[NS_ooxml::LN_CT_Column_w] = "ooxml:CT_Column_w";
    mMap[NS_ooxml::LN_CT_Columns_equalWidth] = "ooxml:CT_Columns_equalWidth";
    mMap[NS_ooxml::LN_CT_Columns_space] = "ooxml:CT_Columns_space";
    mMap[NS_ooxml::LN_CT_Columns_num] = "ooxml:CT_Columns_num";
    mMap[NS_ooxml::LN_CT_Columns_sep] = "ooxml:CT_Columns_sep";
    mMap[NS_ooxml::LN_CT_Columns_col] = "ooxml:CT_Columns_col";
    mMap[NS_ooxml::LN_Value_ST_VerticalJc_top] = "ooxml:Value_ST_VerticalJc_top";
    mMap[NS_ooxml::LN_Value_ST_VerticalJc_center] = "ooxml:Value_ST_VerticalJc_center";
    mMap[NS_ooxml::LN_Value_ST_VerticalJc_both] = "ooxml:Value_ST_VerticalJc_both";
    mMap[NS_ooxml::LN_Value_ST_VerticalJc_bottom] = "ooxml:Value_ST_VerticalJc_bottom";
    mMap[NS_ooxml::LN_CT_VerticalJc_val] = "ooxml:CT_VerticalJc_val";
    mMap[NS_ooxml::LN_Value_doc_ST_DocGrid_default] = "ooxml:Value_doc_ST_DocGrid_default";
    mMap[NS_ooxml::LN_Value_doc_ST_DocGrid_lines] = "ooxml:Value_doc_ST_DocGrid_lines";
    mMap[NS_ooxml::LN_Value_doc_ST_DocGrid_linesAndChars] = "ooxml:Value_doc_ST_DocGrid_linesAndChars";
    mMap[NS_ooxml::LN_Value_doc_ST_DocGrid_snapToChars] = "ooxml:Value_doc_ST_DocGrid_snapToChars";
    mMap[NS_ooxml::LN_CT_DocGrid_type] = "ooxml:CT_DocGrid_type";
    mMap[NS_ooxml::LN_CT_DocGrid_linePitch] = "ooxml:CT_DocGrid_linePitch";
    mMap[NS_ooxml::LN_CT_DocGrid_charSpace] = "ooxml:CT_DocGrid_charSpace";
    mMap[NS_ooxml::LN_Value_ST_HdrFtr_even] = "ooxml:Value_ST_HdrFtr_even";
    mMap[NS_ooxml::LN_Value_ST_HdrFtr_default] = "ooxml:Value_ST_HdrFtr_default";
    mMap[NS_ooxml::LN_Value_ST_HdrFtr_first] = "ooxml:Value_ST_HdrFtr_first";
    mMap[NS_ooxml::LN_Value_doc_ST_FtnEdn_normal] = "ooxml:Value_doc_ST_FtnEdn_normal";
    mMap[NS_ooxml::LN_Value_doc_ST_FtnEdn_separator] = "ooxml:Value_doc_ST_FtnEdn_separator";
    mMap[NS_ooxml::LN_Value_doc_ST_FtnEdn_continuationSeparator] = "ooxml:Value_doc_ST_FtnEdn_continuationSeparator";
    mMap[NS_ooxml::LN_Value_doc_ST_FtnEdn_continuationNotice] = "ooxml:Value_doc_ST_FtnEdn_continuationNotice";
    mMap[NS_ooxml::LN_CT_HdrFtrRef_type] = "ooxml:CT_HdrFtrRef_type";
    mMap[NS_ooxml::LN_CT_HdrFtrRef_id] = "ooxml:CT_HdrFtrRef_id";
    mMap[NS_ooxml::LN_EG_HdrFtrReferences_headerReference] = "ooxml:EG_HdrFtrReferences_headerReference";
    mMap[NS_ooxml::LN_EG_HdrFtrReferences_footerReference] = "ooxml:EG_HdrFtrReferences_footerReference";
    mMap[NS_ooxml::LN_EG_SectPrContents_bidi] = "ooxml:EG_SectPrContents_bidi";
    mMap[NS_ooxml::LN_EG_SectPrContents_cols] = "ooxml:EG_SectPrContents_cols";
    mMap[NS_ooxml::LN_EG_SectPrContents_docGrid] = "ooxml:EG_SectPrContents_docGrid";
    mMap[NS_ooxml::LN_EG_SectPrContents_endnotePr] = "ooxml:EG_SectPrContents_endnotePr";
    mMap[NS_ooxml::LN_EG_SectPrContents_footnotePr] = "ooxml:EG_SectPrContents_footnotePr";
    mMap[NS_ooxml::LN_EG_SectPrContents_formProt] = "ooxml:EG_SectPrContents_formProt";
    mMap[NS_ooxml::LN_EG_SectPrContents_lnNumType] = "ooxml:EG_SectPrContents_lnNumType";
    mMap[NS_ooxml::LN_EG_SectPrContents_noEndnote] = "ooxml:EG_SectPrContents_noEndnote";
    mMap[NS_ooxml::LN_EG_SectPrContents_paperSrc] = "ooxml:EG_SectPrContents_paperSrc";
    mMap[NS_ooxml::LN_EG_SectPrContents_pgBorders] = "ooxml:EG_SectPrContents_pgBorders";
    mMap[NS_ooxml::LN_EG_SectPrContents_pgMar] = "ooxml:EG_SectPrContents_pgMar";
    mMap[NS_ooxml::LN_EG_SectPrContents_pgNumType] = "ooxml:EG_SectPrContents_pgNumType";
    mMap[NS_ooxml::LN_EG_SectPrContents_pgSz] = "ooxml:EG_SectPrContents_pgSz";
    mMap[NS_ooxml::LN_EG_SectPrContents_printerSettings] = "ooxml:EG_SectPrContents_printerSettings";
    mMap[NS_ooxml::LN_EG_SectPrContents_rtlGutter] = "ooxml:EG_SectPrContents_rtlGutter";
    mMap[NS_ooxml::LN_EG_SectPrContents_textDirection] = "ooxml:EG_SectPrContents_textDirection";
    mMap[NS_ooxml::LN_EG_SectPrContents_titlePg] = "ooxml:EG_SectPrContents_titlePg";
    mMap[NS_ooxml::LN_EG_SectPrContents_type] = "ooxml:EG_SectPrContents_type";
    mMap[NS_ooxml::LN_EG_SectPrContents_vAlign] = "ooxml:EG_SectPrContents_vAlign";
    mMap[NS_ooxml::LN_CT_SectPr_sectPrChange] = "ooxml:CT_SectPr_sectPrChange";
    mMap[NS_ooxml::LN_Value_ST_BrType_column] = "ooxml:Value_ST_BrType_column";
    mMap[NS_ooxml::LN_Value_ST_BrType_page] = "ooxml:Value_ST_BrType_page";
    mMap[NS_ooxml::LN_Value_ST_BrType_textWrapping] = "ooxml:Value_ST_BrType_textWrapping";
    mMap[NS_ooxml::LN_Value_ST_BrClear_none] = "ooxml:Value_ST_BrClear_none";
    mMap[NS_ooxml::LN_Value_ST_BrClear_left] = "ooxml:Value_ST_BrClear_left";
    mMap[NS_ooxml::LN_Value_ST_BrClear_right] = "ooxml:Value_ST_BrClear_right";
    mMap[NS_ooxml::LN_Value_ST_BrClear_all] = "ooxml:Value_ST_BrClear_all";
    mMap[NS_ooxml::LN_CT_Br_type] = "ooxml:CT_Br_type";
    mMap[NS_ooxml::LN_CT_Br_clear] = "ooxml:CT_Br_clear";
    mMap[NS_ooxml::LN_Value_ST_PTabAlignment_left] = "ooxml:Value_ST_PTabAlignment_left";
    mMap[NS_ooxml::LN_Value_ST_PTabAlignment_center] = "ooxml:Value_ST_PTabAlignment_center";
    mMap[NS_ooxml::LN_Value_ST_PTabAlignment_right] = "ooxml:Value_ST_PTabAlignment_right";
    mMap[NS_ooxml::LN_Value_ST_PTabRelativeTo_margin] = "ooxml:Value_ST_PTabRelativeTo_margin";
    mMap[NS_ooxml::LN_Value_ST_PTabRelativeTo_indent] = "ooxml:Value_ST_PTabRelativeTo_indent";
    mMap[NS_ooxml::LN_Value_ST_PTabLeader_none] = "ooxml:Value_ST_PTabLeader_none";
    mMap[NS_ooxml::LN_Value_ST_PTabLeader_dot] = "ooxml:Value_ST_PTabLeader_dot";
    mMap[NS_ooxml::LN_Value_ST_PTabLeader_hyphen] = "ooxml:Value_ST_PTabLeader_hyphen";
    mMap[NS_ooxml::LN_Value_ST_PTabLeader_underscore] = "ooxml:Value_ST_PTabLeader_underscore";
    mMap[NS_ooxml::LN_Value_ST_PTabLeader_middleDot] = "ooxml:Value_ST_PTabLeader_middleDot";
    mMap[NS_ooxml::LN_CT_PTab_alignment] = "ooxml:CT_PTab_alignment";
    mMap[NS_ooxml::LN_CT_PTab_relativeTo] = "ooxml:CT_PTab_relativeTo";
    mMap[NS_ooxml::LN_CT_PTab_leader] = "ooxml:CT_PTab_leader";
    mMap[NS_ooxml::LN_CT_Sym_font] = "ooxml:CT_Sym_font";
    mMap[NS_ooxml::LN_CT_Sym_char] = "ooxml:CT_Sym_char";
    mMap[NS_ooxml::LN_CT_Text_space] = "ooxml:CT_Text_space";
    mMap[NS_ooxml::LN_EG_RunInnerContent_br] = "ooxml:EG_RunInnerContent_br";
    mMap[NS_ooxml::LN_EG_RunInnerContent_t] = "ooxml:EG_RunInnerContent_t";
    mMap[NS_ooxml::LN_EG_RunInnerContent_delText] = "ooxml:EG_RunInnerContent_delText";
    mMap[NS_ooxml::LN_EG_RunInnerContent_instrText] = "ooxml:EG_RunInnerContent_instrText";
    mMap[NS_ooxml::LN_EG_RunInnerContent_delInstrText] = "ooxml:EG_RunInnerContent_delInstrText";
    mMap[NS_ooxml::LN_EG_RunInnerContent_dayShort] = "ooxml:EG_RunInnerContent_dayShort";
    mMap[NS_ooxml::LN_EG_RunInnerContent_monthShort] = "ooxml:EG_RunInnerContent_monthShort";
    mMap[NS_ooxml::LN_EG_RunInnerContent_yearShort] = "ooxml:EG_RunInnerContent_yearShort";
    mMap[NS_ooxml::LN_EG_RunInnerContent_dayLong] = "ooxml:EG_RunInnerContent_dayLong";
    mMap[NS_ooxml::LN_EG_RunInnerContent_monthLong] = "ooxml:EG_RunInnerContent_monthLong";
    mMap[NS_ooxml::LN_EG_RunInnerContent_yearLong] = "ooxml:EG_RunInnerContent_yearLong";
    mMap[NS_ooxml::LN_EG_RunInnerContent_annotationRef] = "ooxml:EG_RunInnerContent_annotationRef";
    mMap[NS_ooxml::LN_EG_RunInnerContent_footnoteRef] = "ooxml:EG_RunInnerContent_footnoteRef";
    mMap[NS_ooxml::LN_EG_RunInnerContent_endnoteRef] = "ooxml:EG_RunInnerContent_endnoteRef";
    mMap[NS_ooxml::LN_EG_RunInnerContent_separator] = "ooxml:EG_RunInnerContent_separator";
    mMap[NS_ooxml::LN_EG_RunInnerContent_continuationSeparator] = "ooxml:EG_RunInnerContent_continuationSeparator";
    mMap[NS_ooxml::LN_EG_RunInnerContent_sym] = "ooxml:EG_RunInnerContent_sym";
    mMap[NS_ooxml::LN_EG_RunInnerContent_pgNum] = "ooxml:EG_RunInnerContent_pgNum";
    mMap[NS_ooxml::LN_EG_RunInnerContent_tab] = "ooxml:EG_RunInnerContent_tab";
    mMap[NS_ooxml::LN_EG_RunInnerContent_object] = "ooxml:EG_RunInnerContent_object";
    mMap[NS_ooxml::LN_EG_RunInnerContent_pict] = "ooxml:EG_RunInnerContent_pict";
    mMap[NS_ooxml::LN_EG_RunInnerContent_fldChar] = "ooxml:EG_RunInnerContent_fldChar";
    mMap[NS_ooxml::LN_EG_RunInnerContent_ruby] = "ooxml:EG_RunInnerContent_ruby";
    mMap[NS_ooxml::LN_EG_RunInnerContent_footnoteReference] = "ooxml:EG_RunInnerContent_footnoteReference";
    mMap[NS_ooxml::LN_EG_RunInnerContent_endnoteReference] = "ooxml:EG_RunInnerContent_endnoteReference";
    mMap[NS_ooxml::LN_EG_RunInnerContent_commentReference] = "ooxml:EG_RunInnerContent_commentReference";
    mMap[NS_ooxml::LN_EG_RunInnerContent_drawing] = "ooxml:EG_RunInnerContent_drawing";
    mMap[NS_ooxml::LN_EG_RunInnerContent_ptab] = "ooxml:EG_RunInnerContent_ptab";
    mMap[NS_ooxml::LN_EG_RunInnerContent_lastRenderedPageBreak] = "ooxml:EG_RunInnerContent_lastRenderedPageBreak";
    mMap[NS_ooxml::LN_EG_RubyContent_r] = "ooxml:EG_RubyContent_r";
    mMap[NS_ooxml::LN_Value_ST_Hint_default] = "ooxml:Value_ST_Hint_default";
    mMap[NS_ooxml::LN_Value_ST_Hint_eastAsia] = "ooxml:Value_ST_Hint_eastAsia";
    mMap[NS_ooxml::LN_Value_ST_Hint_cs] = "ooxml:Value_ST_Hint_cs";
    mMap[NS_ooxml::LN_Value_ST_Theme_majorEastAsia] = "ooxml:Value_ST_Theme_majorEastAsia";
    mMap[NS_ooxml::LN_Value_ST_Theme_majorBidi] = "ooxml:Value_ST_Theme_majorBidi";
    mMap[NS_ooxml::LN_Value_ST_Theme_majorAscii] = "ooxml:Value_ST_Theme_majorAscii";
    mMap[NS_ooxml::LN_Value_ST_Theme_majorHAnsi] = "ooxml:Value_ST_Theme_majorHAnsi";
    mMap[NS_ooxml::LN_Value_ST_Theme_minorEastAsia] = "ooxml:Value_ST_Theme_minorEastAsia";
    mMap[NS_ooxml::LN_Value_ST_Theme_minorBidi] = "ooxml:Value_ST_Theme_minorBidi";
    mMap[NS_ooxml::LN_Value_ST_Theme_minorAscii] = "ooxml:Value_ST_Theme_minorAscii";
    mMap[NS_ooxml::LN_Value_ST_Theme_minorHAnsi] = "ooxml:Value_ST_Theme_minorHAnsi";
    mMap[NS_ooxml::LN_CT_Fonts_hint] = "ooxml:CT_Fonts_hint";
    mMap[NS_ooxml::LN_CT_Fonts_ascii] = "ooxml:CT_Fonts_ascii";
    mMap[NS_ooxml::LN_CT_Fonts_hAnsi] = "ooxml:CT_Fonts_hAnsi";
    mMap[NS_ooxml::LN_CT_Fonts_eastAsia] = "ooxml:CT_Fonts_eastAsia";
    mMap[NS_ooxml::LN_CT_Fonts_cs] = "ooxml:CT_Fonts_cs";
    mMap[NS_ooxml::LN_CT_Fonts_asciiTheme] = "ooxml:CT_Fonts_asciiTheme";
    mMap[NS_ooxml::LN_CT_Fonts_hAnsiTheme] = "ooxml:CT_Fonts_hAnsiTheme";
    mMap[NS_ooxml::LN_CT_Fonts_eastAsiaTheme] = "ooxml:CT_Fonts_eastAsiaTheme";
    mMap[NS_ooxml::LN_CT_Fonts_cstheme] = "ooxml:CT_Fonts_cstheme";
    mMap[NS_ooxml::LN_EG_RPrBase_rStyle] = "ooxml:EG_RPrBase_rStyle";
    mMap[NS_ooxml::LN_EG_RPrBase_rFonts] = "ooxml:EG_RPrBase_rFonts";
    mMap[NS_ooxml::LN_EG_RPrBase_b] = "ooxml:EG_RPrBase_b";
    mMap[NS_ooxml::LN_EG_RPrBase_bCs] = "ooxml:EG_RPrBase_bCs";
    mMap[NS_ooxml::LN_EG_RPrBase_i] = "ooxml:EG_RPrBase_i";
    mMap[NS_ooxml::LN_EG_RPrBase_iCs] = "ooxml:EG_RPrBase_iCs";
    mMap[NS_ooxml::LN_EG_RPrBase_caps] = "ooxml:EG_RPrBase_caps";
    mMap[NS_ooxml::LN_EG_RPrBase_smallCaps] = "ooxml:EG_RPrBase_smallCaps";
    mMap[NS_ooxml::LN_EG_RPrBase_strike] = "ooxml:EG_RPrBase_strike";
    mMap[NS_ooxml::LN_EG_RPrBase_dstrike] = "ooxml:EG_RPrBase_dstrike";
    mMap[NS_ooxml::LN_EG_RPrBase_outline] = "ooxml:EG_RPrBase_outline";
    mMap[NS_ooxml::LN_EG_RPrBase_shadow] = "ooxml:EG_RPrBase_shadow";
    mMap[NS_ooxml::LN_EG_RPrBase_emboss] = "ooxml:EG_RPrBase_emboss";
    mMap[NS_ooxml::LN_EG_RPrBase_imprint] = "ooxml:EG_RPrBase_imprint";
    mMap[NS_ooxml::LN_EG_RPrBase_noProof] = "ooxml:EG_RPrBase_noProof";
    mMap[NS_ooxml::LN_EG_RPrBase_snapToGrid] = "ooxml:EG_RPrBase_snapToGrid";
    mMap[NS_ooxml::LN_EG_RPrBase_vanish] = "ooxml:EG_RPrBase_vanish";
    mMap[NS_ooxml::LN_EG_RPrBase_webHidden] = "ooxml:EG_RPrBase_webHidden";
    mMap[NS_ooxml::LN_EG_RPrBase_color] = "ooxml:EG_RPrBase_color";
    mMap[NS_ooxml::LN_EG_RPrBase_spacing] = "ooxml:EG_RPrBase_spacing";
    mMap[NS_ooxml::LN_EG_RPrBase_w] = "ooxml:EG_RPrBase_w";
    mMap[NS_ooxml::LN_EG_RPrBase_kern] = "ooxml:EG_RPrBase_kern";
    mMap[NS_ooxml::LN_EG_RPrBase_position] = "ooxml:EG_RPrBase_position";
    mMap[NS_ooxml::LN_EG_RPrBase_sz] = "ooxml:EG_RPrBase_sz";
    mMap[NS_ooxml::LN_EG_RPrBase_szCs] = "ooxml:EG_RPrBase_szCs";
    mMap[NS_ooxml::LN_EG_RPrBase_highlight] = "ooxml:EG_RPrBase_highlight";
    mMap[NS_ooxml::LN_EG_RPrBase_u] = "ooxml:EG_RPrBase_u";
    mMap[NS_ooxml::LN_EG_RPrBase_effect] = "ooxml:EG_RPrBase_effect";
    mMap[NS_ooxml::LN_EG_RPrBase_bdr] = "ooxml:EG_RPrBase_bdr";
    mMap[NS_ooxml::LN_EG_RPrBase_shd] = "ooxml:EG_RPrBase_shd";
    mMap[NS_ooxml::LN_EG_RPrBase_fitText] = "ooxml:EG_RPrBase_fitText";
    mMap[NS_ooxml::LN_EG_RPrBase_vertAlign] = "ooxml:EG_RPrBase_vertAlign";
    mMap[NS_ooxml::LN_EG_RPrBase_rtl] = "ooxml:EG_RPrBase_rtl";
    mMap[NS_ooxml::LN_EG_RPrBase_cs] = "ooxml:EG_RPrBase_cs";
    mMap[NS_ooxml::LN_EG_RPrBase_em] = "ooxml:EG_RPrBase_em";
    mMap[NS_ooxml::LN_EG_RPrBase_lang] = "ooxml:EG_RPrBase_lang";
    mMap[NS_ooxml::LN_EG_RPrBase_eastAsianLayout] = "ooxml:EG_RPrBase_eastAsianLayout";
    mMap[NS_ooxml::LN_EG_RPrBase_specVanish] = "ooxml:EG_RPrBase_specVanish";
    mMap[NS_ooxml::LN_EG_RPrBase_oMath] = "ooxml:EG_RPrBase_oMath";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_glow] = "ooxml:EG_RPrBase_w14_glow";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_shadow] = "ooxml:EG_RPrBase_w14_shadow";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_reflection] = "ooxml:EG_RPrBase_w14_reflection";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_textOutline] = "ooxml:EG_RPrBase_w14_textOutline";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_textFill] = "ooxml:EG_RPrBase_w14_textFill";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_scene3d] = "ooxml:EG_RPrBase_w14_scene3d";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_props3d] = "ooxml:EG_RPrBase_w14_props3d";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_ligatures] = "ooxml:EG_RPrBase_w14_ligatures";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_numForm] = "ooxml:EG_RPrBase_w14_numForm";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_numSpacing] = "ooxml:EG_RPrBase_w14_numSpacing";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_stylisticSets] = "ooxml:EG_RPrBase_w14_stylisticSets";
    mMap[NS_ooxml::LN_EG_RPrBase_w14_cntxtAlts] = "ooxml:EG_RPrBase_w14_cntxtAlts";
    mMap[NS_ooxml::LN_EG_RPrContent_rPrChange] = "ooxml:EG_RPrContent_rPrChange";
    mMap[NS_ooxml::LN_CT_ParaRPr_ins] = "ooxml:CT_ParaRPr_ins";
    mMap[NS_ooxml::LN_CT_ParaRPr_del] = "ooxml:CT_ParaRPr_del";
    mMap[NS_ooxml::LN_CT_ParaRPr_rPrChange] = "ooxml:CT_ParaRPr_rPrChange";
    mMap[NS_ooxml::LN_Value_ST_RubyAlign_center] = "ooxml:Value_ST_RubyAlign_center";
    mMap[NS_ooxml::LN_Value_ST_RubyAlign_distributeLetter] = "ooxml:Value_ST_RubyAlign_distributeLetter";
    mMap[NS_ooxml::LN_Value_ST_RubyAlign_distributeSpace] = "ooxml:Value_ST_RubyAlign_distributeSpace";
    mMap[NS_ooxml::LN_Value_ST_RubyAlign_left] = "ooxml:Value_ST_RubyAlign_left";
    mMap[NS_ooxml::LN_Value_ST_RubyAlign_right] = "ooxml:Value_ST_RubyAlign_right";
    mMap[NS_ooxml::LN_Value_ST_RubyAlign_rightVertical] = "ooxml:Value_ST_RubyAlign_rightVertical";
    mMap[NS_ooxml::LN_CT_RubyAlign_val] = "ooxml:CT_RubyAlign_val";
    mMap[NS_ooxml::LN_CT_RubyPr_rubyAlign] = "ooxml:CT_RubyPr_rubyAlign";
    mMap[NS_ooxml::LN_CT_RubyPr_hps] = "ooxml:CT_RubyPr_hps";
    mMap[NS_ooxml::LN_CT_RubyPr_hpsRaise] = "ooxml:CT_RubyPr_hpsRaise";
    mMap[NS_ooxml::LN_CT_RubyPr_hpsBaseText] = "ooxml:CT_RubyPr_hpsBaseText";
    mMap[NS_ooxml::LN_CT_RubyPr_lid] = "ooxml:CT_RubyPr_lid";
    mMap[NS_ooxml::LN_CT_RubyPr_dirty] = "ooxml:CT_RubyPr_dirty";
    mMap[NS_ooxml::LN_CT_RubyPr] = "ooxml:CT_RubyPr";
    mMap[NS_ooxml::LN_CT_Ruby_rt] = "ooxml:CT_Ruby_rt";
    mMap[NS_ooxml::LN_CT_Ruby_rubyBase] = "ooxml:CT_Ruby_rubyBase";
    mMap[NS_ooxml::LN_CT_Lock_val] = "ooxml:CT_Lock_val";
    mMap[NS_ooxml::LN_CT_SdtDateMappingType_val] = "ooxml:CT_SdtDateMappingType_val";
    mMap[NS_ooxml::LN_CT_CalendarType_val] = "ooxml:CT_CalendarType_val";
    mMap[NS_ooxml::LN_CT_DataBinding_prefixMappings] = "ooxml:CT_DataBinding_prefixMappings";
    mMap[NS_ooxml::LN_CT_DataBinding_xpath] = "ooxml:CT_DataBinding_xpath";
    mMap[NS_ooxml::LN_CT_DataBinding_storeItemID] = "ooxml:CT_DataBinding_storeItemID";
    mMap[NS_ooxml::LN_CT_SdtPr_rPr] = "ooxml:CT_SdtPr_rPr";
    mMap[NS_ooxml::LN_CT_SdtPr_alias] = "ooxml:CT_SdtPr_alias";
    mMap[NS_ooxml::LN_CT_SdtPr_lock] = "ooxml:CT_SdtPr_lock";
    mMap[NS_ooxml::LN_CT_SdtPr_placeholder] = "ooxml:CT_SdtPr_placeholder";
    mMap[NS_ooxml::LN_CT_SdtPr_showingPlcHdr] = "ooxml:CT_SdtPr_showingPlcHdr";
    mMap[NS_ooxml::LN_CT_SdtPr_dataBinding] = "ooxml:CT_SdtPr_dataBinding";
    mMap[NS_ooxml::LN_CT_SdtPr_temporary] = "ooxml:CT_SdtPr_temporary";
    mMap[NS_ooxml::LN_CT_SdtPr_id] = "ooxml:CT_SdtPr_id";
    mMap[NS_ooxml::LN_CT_SdtPr_tag] = "ooxml:CT_SdtPr_tag";
    mMap[NS_ooxml::LN_CT_SdtPr_equation] = "ooxml:CT_SdtPr_equation";
    mMap[NS_ooxml::LN_CT_SdtPr_comboBox] = "ooxml:CT_SdtPr_comboBox";
    mMap[NS_ooxml::LN_CT_SdtPr_checkbox] = "ooxml:CT_SdtPr_checkbox";
    mMap[NS_ooxml::LN_CT_SdtPr_date] = "ooxml:CT_SdtPr_date";
    mMap[NS_ooxml::LN_CT_SdtPr_docPartObj] = "ooxml:CT_SdtPr_docPartObj";
    mMap[NS_ooxml::LN_CT_SdtPr_docPartList] = "ooxml:CT_SdtPr_docPartList";
    mMap[NS_ooxml::LN_CT_SdtPr_dropDownList] = "ooxml:CT_SdtPr_dropDownList";
    mMap[NS_ooxml::LN_CT_SdtPr_picture] = "ooxml:CT_SdtPr_picture";
    mMap[NS_ooxml::LN_CT_SdtPr_richText] = "ooxml:CT_SdtPr_richText";
    mMap[NS_ooxml::LN_CT_SdtPr_text] = "ooxml:CT_SdtPr_text";
    mMap[NS_ooxml::LN_CT_SdtPr_citation] = "ooxml:CT_SdtPr_citation";
    mMap[NS_ooxml::LN_CT_SdtPr_group] = "ooxml:CT_SdtPr_group";
    mMap[NS_ooxml::LN_CT_SdtPr_bibliography] = "ooxml:CT_SdtPr_bibliography";
    mMap[NS_ooxml::LN_CT_SdtEndPr_rPr] = "ooxml:CT_SdtEndPr_rPr";
    mMap[NS_ooxml::LN_CT_DirContentRun_val] = "ooxml:CT_DirContentRun_val";
    mMap[NS_ooxml::LN_Value_ST_Direction_ltr] = "ooxml:Value_ST_Direction_ltr";
    mMap[NS_ooxml::LN_Value_ST_Direction_rtl] = "ooxml:Value_ST_Direction_rtl";
    mMap[NS_ooxml::LN_CT_SdtBlock_sdtPr] = "ooxml:CT_SdtBlock_sdtPr";
    mMap[NS_ooxml::LN_CT_SdtBlock_sdtEndPr] = "ooxml:CT_SdtBlock_sdtEndPr";
    mMap[NS_ooxml::LN_CT_SdtBlock_sdtContent] = "ooxml:CT_SdtBlock_sdtContent";
    mMap[NS_ooxml::LN_CT_SdtBlock_sdtEndContent] = "ooxml:CT_SdtBlock_sdtEndContent";
    mMap[NS_ooxml::LN_CT_SdtRun_sdtPr] = "ooxml:CT_SdtRun_sdtPr";
    mMap[NS_ooxml::LN_CT_SdtRun_sdtEndPr] = "ooxml:CT_SdtRun_sdtEndPr";
    mMap[NS_ooxml::LN_CT_SdtRun_sdtContent] = "ooxml:CT_SdtRun_sdtContent";
    mMap[NS_ooxml::LN_CT_SdtCell_sdtPr] = "ooxml:CT_SdtCell_sdtPr";
    mMap[NS_ooxml::LN_CT_SdtCell_sdtEndPr] = "ooxml:CT_SdtCell_sdtEndPr";
    mMap[NS_ooxml::LN_CT_SdtCell_sdtContent] = "ooxml:CT_SdtCell_sdtContent";
    mMap[NS_ooxml::LN_CT_SdtRow_sdtPr] = "ooxml:CT_SdtRow_sdtPr";
    mMap[NS_ooxml::LN_CT_SdtRow_sdtEndPr] = "ooxml:CT_SdtRow_sdtEndPr";
    mMap[NS_ooxml::LN_CT_SdtRow_sdtContent] = "ooxml:CT_SdtRow_sdtContent";
    mMap[NS_ooxml::LN_CT_SdtDropDownList_listItem] = "ooxml:CT_SdtDropDownList_listItem";
    mMap[NS_ooxml::LN_CT_SdtDate_fullDate] = "ooxml:CT_SdtDate_fullDate";
    mMap[NS_ooxml::LN_CT_SdtDate_dateFormat] = "ooxml:CT_SdtDate_dateFormat";
    mMap[NS_ooxml::LN_CT_SdtDate_lid] = "ooxml:CT_SdtDate_lid";
    mMap[NS_ooxml::LN_CT_SdtDate_storeMappedDataAs] = "ooxml:CT_SdtDate_storeMappedDataAs";
    mMap[NS_ooxml::LN_CT_SdtDate_calendar] = "ooxml:CT_SdtDate_calendar";
    mMap[NS_ooxml::LN_CT_SdtDocPart_docPartGallery] = "ooxml:CT_SdtDocPart_docPartGallery";
    mMap[NS_ooxml::LN_CT_SdtDocPart_docPartCategory] = "ooxml:CT_SdtDocPart_docPartCategory";
    mMap[NS_ooxml::LN_CT_SdtDocPart_docPartUnique] = "ooxml:CT_SdtDocPart_docPartUnique";
    mMap[NS_ooxml::LN_CT_SdtListItem_displayText] = "ooxml:CT_SdtListItem_displayText";
    mMap[NS_ooxml::LN_CT_SdtListItem_value] = "ooxml:CT_SdtListItem_value";
    mMap[NS_ooxml::LN_CT_Attr_uri] = "ooxml:CT_Attr_uri";
    mMap[NS_ooxml::LN_CT_Attr_name] = "ooxml:CT_Attr_name";
    mMap[NS_ooxml::LN_CT_Attr_val] = "ooxml:CT_Attr_val";
    mMap[NS_ooxml::LN_CT_CustomXmlRun_customXmlPr] = "ooxml:CT_CustomXmlRun_customXmlPr";
    mMap[NS_ooxml::LN_CT_CustomXmlRun_uri] = "ooxml:CT_CustomXmlRun_uri";
    mMap[NS_ooxml::LN_CT_CustomXmlRun_element] = "ooxml:CT_CustomXmlRun_element";
    mMap[NS_ooxml::LN_CT_CustomXmlBlock_customXmlPr] = "ooxml:CT_CustomXmlBlock_customXmlPr";
    mMap[NS_ooxml::LN_CT_CustomXmlBlock_uri] = "ooxml:CT_CustomXmlBlock_uri";
    mMap[NS_ooxml::LN_CT_CustomXmlBlock_element] = "ooxml:CT_CustomXmlBlock_element";
    mMap[NS_ooxml::LN_CT_CustomXmlCell_customXmlPr] = "ooxml:CT_CustomXmlCell_customXmlPr";
    mMap[NS_ooxml::LN_CT_CustomXmlCell_uri] = "ooxml:CT_CustomXmlCell_uri";
    mMap[NS_ooxml::LN_CT_CustomXmlCell_element] = "ooxml:CT_CustomXmlCell_element";
    mMap[NS_ooxml::LN_CT_CustomXmlRow_customXmlPr] = "ooxml:CT_CustomXmlRow_customXmlPr";
    mMap[NS_ooxml::LN_CT_CustomXmlRow_uri] = "ooxml:CT_CustomXmlRow_uri";
    mMap[NS_ooxml::LN_CT_CustomXmlRow_element] = "ooxml:CT_CustomXmlRow_element";
    mMap[NS_ooxml::LN_CT_SmartTagRun_smartTagPr] = "ooxml:CT_SmartTagRun_smartTagPr";
    mMap[NS_ooxml::LN_CT_SmartTagRun_uri] = "ooxml:CT_SmartTagRun_uri";
    mMap[NS_ooxml::LN_CT_SmartTagRun_element] = "ooxml:CT_SmartTagRun_element";
    mMap[NS_ooxml::LN_CT_SmartTagPr_attr] = "ooxml:CT_SmartTagPr_attr";
    mMap[NS_ooxml::LN_EG_PContent_fldSimple] = "ooxml:EG_PContent_fldSimple";
    mMap[NS_ooxml::LN_EG_PContent_hyperlink] = "ooxml:EG_PContent_hyperlink";
    mMap[NS_ooxml::LN_EG_PContent_subDoc] = "ooxml:EG_PContent_subDoc";
    mMap[NS_ooxml::LN_Value_ST_TblWidth_nil] = "ooxml:Value_ST_TblWidth_nil";
    mMap[NS_ooxml::LN_Value_ST_TblWidth_pct] = "ooxml:Value_ST_TblWidth_pct";
    mMap[NS_ooxml::LN_Value_ST_TblWidth_dxa] = "ooxml:Value_ST_TblWidth_dxa";
    mMap[NS_ooxml::LN_Value_ST_TblWidth_auto] = "ooxml:Value_ST_TblWidth_auto";
    mMap[NS_ooxml::LN_CT_Height_val] = "ooxml:CT_Height_val";
    mMap[NS_ooxml::LN_CT_Height_hRule] = "ooxml:CT_Height_hRule";
    mMap[NS_ooxml::LN_CT_TblWidth_w] = "ooxml:CT_TblWidth_w";
    mMap[NS_ooxml::LN_CT_TblWidth_type] = "ooxml:CT_TblWidth_type";
    mMap[NS_ooxml::LN_CT_TblPPr_vertAnchor] = "ooxml:CT_TblPPr_vertAnchor";
    mMap[NS_ooxml::LN_CT_TblPPr_tblpYSpec] = "ooxml:CT_TblPPr_tblpYSpec";
    mMap[NS_ooxml::LN_CT_TblPPr_horzAnchor] = "ooxml:CT_TblPPr_horzAnchor";
    mMap[NS_ooxml::LN_CT_TblPPr_tblpXSpec] = "ooxml:CT_TblPPr_tblpXSpec";
    mMap[NS_ooxml::LN_CT_TblPPr_tblpY] = "ooxml:CT_TblPPr_tblpY";
    mMap[NS_ooxml::LN_CT_TblPPr_tblpX] = "ooxml:CT_TblPPr_tblpX";
    mMap[NS_ooxml::LN_CT_TblPPr_leftFromText] = "ooxml:CT_TblPPr_leftFromText";
    mMap[NS_ooxml::LN_CT_TblPPr_rightFromText] = "ooxml:CT_TblPPr_rightFromText";
    mMap[NS_ooxml::LN_CT_TblPPr_topFromText] = "ooxml:CT_TblPPr_topFromText";
    mMap[NS_ooxml::LN_CT_TblPPr_bottomFromText] = "ooxml:CT_TblPPr_bottomFromText";
    mMap[NS_ooxml::LN_CT_TblGridCol_w] = "ooxml:CT_TblGridCol_w";
    mMap[NS_ooxml::LN_CT_TblGridBase_gridCol] = "ooxml:CT_TblGridBase_gridCol";
    mMap[NS_ooxml::LN_CT_TblGrid_tblGridChange] = "ooxml:CT_TblGrid_tblGridChange";
    mMap[NS_ooxml::LN_CT_TcBorders_top] = "ooxml:CT_TcBorders_top";
    mMap[NS_ooxml::LN_CT_TcBorders_start] = "ooxml:CT_TcBorders_start";
    mMap[NS_ooxml::LN_CT_TcBorders_left] = "ooxml:CT_TcBorders_left";
    mMap[NS_ooxml::LN_CT_TcBorders_bottom] = "ooxml:CT_TcBorders_bottom";
    mMap[NS_ooxml::LN_CT_TcBorders_end] = "ooxml:CT_TcBorders_end";
    mMap[NS_ooxml::LN_CT_TcBorders_right] = "ooxml:CT_TcBorders_right";
    mMap[NS_ooxml::LN_CT_TcBorders_insideH] = "ooxml:CT_TcBorders_insideH";
    mMap[NS_ooxml::LN_CT_TcBorders_insideV] = "ooxml:CT_TcBorders_insideV";
    mMap[NS_ooxml::LN_CT_TcBorders_tl2br] = "ooxml:CT_TcBorders_tl2br";
    mMap[NS_ooxml::LN_CT_TcBorders_tr2bl] = "ooxml:CT_TcBorders_tr2bl";
    mMap[NS_ooxml::LN_CT_TcMar_top] = "ooxml:CT_TcMar_top";
    mMap[NS_ooxml::LN_CT_TcMar_start] = "ooxml:CT_TcMar_start";
    mMap[NS_ooxml::LN_CT_TcMar_left] = "ooxml:CT_TcMar_left";
    mMap[NS_ooxml::LN_CT_TcMar_bottom] = "ooxml:CT_TcMar_bottom";
    mMap[NS_ooxml::LN_CT_TcMar_end] = "ooxml:CT_TcMar_end";
    mMap[NS_ooxml::LN_CT_TcMar_right] = "ooxml:CT_TcMar_right";
    mMap[NS_ooxml::LN_Value_ST_Merge_continue] = "ooxml:Value_ST_Merge_continue";
    mMap[NS_ooxml::LN_Value_ST_Merge_restart] = "ooxml:Value_ST_Merge_restart";
    mMap[NS_ooxml::LN_CT_VMerge_val] = "ooxml:CT_VMerge_val";
    mMap[NS_ooxml::LN_CT_HMerge_val] = "ooxml:CT_HMerge_val";
    mMap[NS_ooxml::LN_CT_TcPrBase_cnfStyle] = "ooxml:CT_TcPrBase_cnfStyle";
    mMap[NS_ooxml::LN_CT_TcPrBase_tcW] = "ooxml:CT_TcPrBase_tcW";
    mMap[NS_ooxml::LN_CT_TcPrBase_gridSpan] = "ooxml:CT_TcPrBase_gridSpan";
    mMap[NS_ooxml::LN_CT_TcPrBase_hMerge] = "ooxml:CT_TcPrBase_hMerge";
    mMap[NS_ooxml::LN_CT_TcPrBase_vMerge] = "ooxml:CT_TcPrBase_vMerge";
    mMap[NS_ooxml::LN_CT_TcPrBase_tcBorders] = "ooxml:CT_TcPrBase_tcBorders";
    mMap[NS_ooxml::LN_CT_TcPrBase_shd] = "ooxml:CT_TcPrBase_shd";
    mMap[NS_ooxml::LN_CT_TcPrBase_noWrap] = "ooxml:CT_TcPrBase_noWrap";
    mMap[NS_ooxml::LN_CT_TcPrBase_tcMar] = "ooxml:CT_TcPrBase_tcMar";
    mMap[NS_ooxml::LN_CT_TcPrBase_textDirection] = "ooxml:CT_TcPrBase_textDirection";
    mMap[NS_ooxml::LN_CT_TcPrBase_tcFitText] = "ooxml:CT_TcPrBase_tcFitText";
    mMap[NS_ooxml::LN_CT_TcPrBase_vAlign] = "ooxml:CT_TcPrBase_vAlign";
    mMap[NS_ooxml::LN_CT_TcPrBase_hideMark] = "ooxml:CT_TcPrBase_hideMark";
    mMap[NS_ooxml::LN_CT_TcPrBase_cellDel] = "ooxml:CT_TcPrBase_cellDel";
    mMap[NS_ooxml::LN_CT_TcPrBase_cellIns] = "ooxml:CT_TcPrBase_cellIns";
    mMap[NS_ooxml::LN_CT_TcPrBase_cellMerge] = "ooxml:CT_TcPrBase_cellMerge";
    mMap[NS_ooxml::LN_CT_TcPr_tcPrChange] = "ooxml:CT_TcPr_tcPrChange";
    mMap[NS_ooxml::LN_CT_Cnf_val] = "ooxml:CT_Cnf_val";
    mMap[NS_ooxml::LN_CT_Cnf_firstRow] = "ooxml:CT_Cnf_firstRow";
    mMap[NS_ooxml::LN_CT_Cnf_lastRow] = "ooxml:CT_Cnf_lastRow";
    mMap[NS_ooxml::LN_CT_Cnf_firstColumn] = "ooxml:CT_Cnf_firstColumn";
    mMap[NS_ooxml::LN_CT_Cnf_lastColumn] = "ooxml:CT_Cnf_lastColumn";
    mMap[NS_ooxml::LN_CT_Cnf_oddVBand] = "ooxml:CT_Cnf_oddVBand";
    mMap[NS_ooxml::LN_CT_Cnf_evenVBand] = "ooxml:CT_Cnf_evenVBand";
    mMap[NS_ooxml::LN_CT_Cnf_oddHBand] = "ooxml:CT_Cnf_oddHBand";
    mMap[NS_ooxml::LN_CT_Cnf_evenHBand] = "ooxml:CT_Cnf_evenHBand";
    mMap[NS_ooxml::LN_CT_Cnf_firstRowFirstColumn] = "ooxml:CT_Cnf_firstRowFirstColumn";
    mMap[NS_ooxml::LN_CT_Cnf_firstRowLastColumn] = "ooxml:CT_Cnf_firstRowLastColumn";
    mMap[NS_ooxml::LN_CT_Cnf_lastRowFirstColumn] = "ooxml:CT_Cnf_lastRowFirstColumn";
    mMap[NS_ooxml::LN_CT_Cnf_lastRowLastColumn] = "ooxml:CT_Cnf_lastRowLastColumn";
    mMap[NS_ooxml::LN_CT_TrPrBase_cnfStyle] = "ooxml:CT_TrPrBase_cnfStyle";
    mMap[NS_ooxml::LN_CT_TrPrBase_divId] = "ooxml:CT_TrPrBase_divId";
    mMap[NS_ooxml::LN_CT_TrPrBase_gridBefore] = "ooxml:CT_TrPrBase_gridBefore";
    mMap[NS_ooxml::LN_CT_TrPrBase_wBefore] = "ooxml:CT_TrPrBase_wBefore";
    mMap[NS_ooxml::LN_CT_TrPrBase_wAfter] = "ooxml:CT_TrPrBase_wAfter";
    mMap[NS_ooxml::LN_CT_TrPrBase_cantSplit] = "ooxml:CT_TrPrBase_cantSplit";
    mMap[NS_ooxml::LN_CT_TrPrBase_trHeight] = "ooxml:CT_TrPrBase_trHeight";
    mMap[NS_ooxml::LN_CT_TrPrBase_tblHeader] = "ooxml:CT_TrPrBase_tblHeader";
    mMap[NS_ooxml::LN_CT_TrPrBase_tblCellSpacing] = "ooxml:CT_TrPrBase_tblCellSpacing";
    mMap[NS_ooxml::LN_CT_TrPrBase_jc] = "ooxml:CT_TrPrBase_jc";
    mMap[NS_ooxml::LN_CT_TrPrBase_hidden] = "ooxml:CT_TrPrBase_hidden";
    mMap[NS_ooxml::LN_CT_TrPrBase_gridAfter] = "ooxml:CT_TrPrBase_gridAfter";
    mMap[NS_ooxml::LN_CT_TrPr_ins] = "ooxml:CT_TrPr_ins";
    mMap[NS_ooxml::LN_CT_TrPr_del] = "ooxml:CT_TrPr_del";
    mMap[NS_ooxml::LN_CT_TrPr_trPrChange] = "ooxml:CT_TrPr_trPrChange";
    mMap[NS_ooxml::LN_Value_doc_ST_TblLayout_fixed] = "ooxml:Value_doc_ST_TblLayout_fixed";
    mMap[NS_ooxml::LN_Value_doc_ST_TblLayout_autofit] = "ooxml:Value_doc_ST_TblLayout_autofit";
    mMap[NS_ooxml::LN_CT_TblLayoutType_type] = "ooxml:CT_TblLayoutType_type";
    mMap[NS_ooxml::LN_Value_ST_TblOverlap_never] = "ooxml:Value_ST_TblOverlap_never";
    mMap[NS_ooxml::LN_Value_ST_TblOverlap_overlap] = "ooxml:Value_ST_TblOverlap_overlap";
    mMap[NS_ooxml::LN_CT_TblOverlap_val] = "ooxml:CT_TblOverlap_val";
    mMap[NS_ooxml::LN_CT_TblCellMar_top] = "ooxml:CT_TblCellMar_top";
    mMap[NS_ooxml::LN_CT_TblCellMar_start] = "ooxml:CT_TblCellMar_start";
    mMap[NS_ooxml::LN_CT_TblCellMar_left] = "ooxml:CT_TblCellMar_left";
    mMap[NS_ooxml::LN_CT_TblCellMar_bottom] = "ooxml:CT_TblCellMar_bottom";
    mMap[NS_ooxml::LN_CT_TblCellMar_end] = "ooxml:CT_TblCellMar_end";
    mMap[NS_ooxml::LN_CT_TblCellMar_right] = "ooxml:CT_TblCellMar_right";
    mMap[NS_ooxml::LN_CT_TblBorders_top] = "ooxml:CT_TblBorders_top";
    mMap[NS_ooxml::LN_CT_TblBorders_start] = "ooxml:CT_TblBorders_start";
    mMap[NS_ooxml::LN_CT_TblBorders_left] = "ooxml:CT_TblBorders_left";
    mMap[NS_ooxml::LN_CT_TblBorders_bottom] = "ooxml:CT_TblBorders_bottom";
    mMap[NS_ooxml::LN_CT_TblBorders_end] = "ooxml:CT_TblBorders_end";
    mMap[NS_ooxml::LN_CT_TblBorders_right] = "ooxml:CT_TblBorders_right";
    mMap[NS_ooxml::LN_CT_TblBorders_insideH] = "ooxml:CT_TblBorders_insideH";
    mMap[NS_ooxml::LN_CT_TblBorders_insideV] = "ooxml:CT_TblBorders_insideV";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblStyle] = "ooxml:CT_TblPrBase_tblStyle";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblpPr] = "ooxml:CT_TblPrBase_tblpPr";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblOverlap] = "ooxml:CT_TblPrBase_tblOverlap";
    mMap[NS_ooxml::LN_CT_TblPrBase_bidiVisual] = "ooxml:CT_TblPrBase_bidiVisual";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblStyleRowBandSize] = "ooxml:CT_TblPrBase_tblStyleRowBandSize";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblStyleColBandSize] = "ooxml:CT_TblPrBase_tblStyleColBandSize";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblW] = "ooxml:CT_TblPrBase_tblW";
    mMap[NS_ooxml::LN_CT_TblPrBase_jc] = "ooxml:CT_TblPrBase_jc";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblCellSpacing] = "ooxml:CT_TblPrBase_tblCellSpacing";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblInd] = "ooxml:CT_TblPrBase_tblInd";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblBorders] = "ooxml:CT_TblPrBase_tblBorders";
    mMap[NS_ooxml::LN_CT_TblPrBase_shd] = "ooxml:CT_TblPrBase_shd";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblLayout] = "ooxml:CT_TblPrBase_tblLayout";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblCellMar] = "ooxml:CT_TblPrBase_tblCellMar";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblLook] = "ooxml:CT_TblPrBase_tblLook";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblCaption] = "ooxml:CT_TblPrBase_tblCaption";
    mMap[NS_ooxml::LN_CT_TblPrBase_tblDescription] = "ooxml:CT_TblPrBase_tblDescription";
    mMap[NS_ooxml::LN_CT_TblPr_tblPrChange] = "ooxml:CT_TblPr_tblPrChange";
    mMap[NS_ooxml::LN_CT_TblPrEx_tblPrExChange] = "ooxml:CT_TblPrEx_tblPrExChange";
    mMap[NS_ooxml::LN_CT_TblLook_firstRow] = "ooxml:CT_TblLook_firstRow";
    mMap[NS_ooxml::LN_CT_TblLook_lastRow] = "ooxml:CT_TblLook_lastRow";
    mMap[NS_ooxml::LN_CT_TblLook_firstColumn] = "ooxml:CT_TblLook_firstColumn";
    mMap[NS_ooxml::LN_CT_TblLook_lastColumn] = "ooxml:CT_TblLook_lastColumn";
    mMap[NS_ooxml::LN_CT_TblLook_noHBand] = "ooxml:CT_TblLook_noHBand";
    mMap[NS_ooxml::LN_CT_TblLook_noVBand] = "ooxml:CT_TblLook_noVBand";
    mMap[NS_ooxml::LN_CT_TblLook_val] = "ooxml:CT_TblLook_val";
    mMap[NS_ooxml::LN_Value_ST_FtnPos_pageBottom] = "ooxml:Value_ST_FtnPos_pageBottom";
    mMap[NS_ooxml::LN_Value_ST_FtnPos_beneathText] = "ooxml:Value_ST_FtnPos_beneathText";
    mMap[NS_ooxml::LN_Value_ST_FtnPos_sectEnd] = "ooxml:Value_ST_FtnPos_sectEnd";
    mMap[NS_ooxml::LN_Value_ST_FtnPos_docEnd] = "ooxml:Value_ST_FtnPos_docEnd";
    mMap[NS_ooxml::LN_CT_FtnPos_val] = "ooxml:CT_FtnPos_val";
    mMap[NS_ooxml::LN_Value_ST_EdnPos_sectEnd] = "ooxml:Value_ST_EdnPos_sectEnd";
    mMap[NS_ooxml::LN_Value_ST_EdnPos_docEnd] = "ooxml:Value_ST_EdnPos_docEnd";
    mMap[NS_ooxml::LN_CT_EdnPos_val] = "ooxml:CT_EdnPos_val";
    mMap[NS_ooxml::LN_CT_NumFmt_val] = "ooxml:CT_NumFmt_val";
    mMap[NS_ooxml::LN_Value_ST_RestartNumber_continuous] = "ooxml:Value_ST_RestartNumber_continuous";
    mMap[NS_ooxml::LN_Value_ST_RestartNumber_eachSect] = "ooxml:Value_ST_RestartNumber_eachSect";
    mMap[NS_ooxml::LN_Value_ST_RestartNumber_eachPage] = "ooxml:Value_ST_RestartNumber_eachPage";
    mMap[NS_ooxml::LN_CT_NumRestart_val] = "ooxml:CT_NumRestart_val";
    mMap[NS_ooxml::LN_CT_FtnEdnRef_customMarkFollows] = "ooxml:CT_FtnEdnRef_customMarkFollows";
    mMap[NS_ooxml::LN_CT_FtnEdnRef_id] = "ooxml:CT_FtnEdnRef_id";
    mMap[NS_ooxml::LN_CT_FtnEdnSepRef_id] = "ooxml:CT_FtnEdnSepRef_id";
    mMap[NS_ooxml::LN_CT_FtnEdn_type] = "ooxml:CT_FtnEdn_type";
    mMap[NS_ooxml::LN_CT_FtnEdn_id] = "ooxml:CT_FtnEdn_id";
    mMap[NS_ooxml::LN_EG_FtnEdnNumProps_numStart] = "ooxml:EG_FtnEdnNumProps_numStart";
    mMap[NS_ooxml::LN_EG_FtnEdnNumProps_numRestart] = "ooxml:EG_FtnEdnNumProps_numRestart";
    mMap[NS_ooxml::LN_CT_FtnProps_pos] = "ooxml:CT_FtnProps_pos";
    mMap[NS_ooxml::LN_CT_FtnProps_numFmt] = "ooxml:CT_FtnProps_numFmt";
    mMap[NS_ooxml::LN_CT_EdnProps_pos] = "ooxml:CT_EdnProps_pos";
    mMap[NS_ooxml::LN_CT_EdnProps_numFmt] = "ooxml:CT_EdnProps_numFmt";
    mMap[NS_ooxml::LN_CT_FtnDocProps_footnote] = "ooxml:CT_FtnDocProps_footnote";
    mMap[NS_ooxml::LN_CT_EdnDocProps_endnote] = "ooxml:CT_EdnDocProps_endnote";
    mMap[NS_ooxml::LN_CT_MailMergeSourceType_val] = "ooxml:CT_MailMergeSourceType_val";
    mMap[NS_ooxml::LN_CT_MailMerge_mainDocumentType] = "ooxml:CT_MailMerge_mainDocumentType";
    mMap[NS_ooxml::LN_CT_MailMerge_linkToQuery] = "ooxml:CT_MailMerge_linkToQuery";
    mMap[NS_ooxml::LN_CT_MailMerge_dataType] = "ooxml:CT_MailMerge_dataType";
    mMap[NS_ooxml::LN_CT_MailMerge_connectString] = "ooxml:CT_MailMerge_connectString";
    mMap[NS_ooxml::LN_CT_MailMerge_query] = "ooxml:CT_MailMerge_query";
    mMap[NS_ooxml::LN_CT_MailMerge_dataSource] = "ooxml:CT_MailMerge_dataSource";
    mMap[NS_ooxml::LN_CT_MailMerge_headerSource] = "ooxml:CT_MailMerge_headerSource";
    mMap[NS_ooxml::LN_CT_MailMerge_doNotSuppressBlankLines] = "ooxml:CT_MailMerge_doNotSuppressBlankLines";
    mMap[NS_ooxml::LN_CT_MailMerge_destination] = "ooxml:CT_MailMerge_destination";
    mMap[NS_ooxml::LN_CT_MailMerge_addressFieldName] = "ooxml:CT_MailMerge_addressFieldName";
    mMap[NS_ooxml::LN_CT_MailMerge_mailSubject] = "ooxml:CT_MailMerge_mailSubject";
    mMap[NS_ooxml::LN_CT_MailMerge_mailAsAttachment] = "ooxml:CT_MailMerge_mailAsAttachment";
    mMap[NS_ooxml::LN_CT_MailMerge_viewMergedData] = "ooxml:CT_MailMerge_viewMergedData";
    mMap[NS_ooxml::LN_CT_MailMerge_activeRecord] = "ooxml:CT_MailMerge_activeRecord";
    mMap[NS_ooxml::LN_CT_MailMerge_checkErrors] = "ooxml:CT_MailMerge_checkErrors";
    mMap[NS_ooxml::LN_CT_MailMerge_odso] = "ooxml:CT_MailMerge_odso";
    mMap[NS_ooxml::LN_CT_TargetScreenSz_val] = "ooxml:CT_TargetScreenSz_val";
    mMap[NS_ooxml::LN_CT_Compat_useSingleBorderforContiguousCells] = "ooxml:CT_Compat_useSingleBorderforContiguousCells";
    mMap[NS_ooxml::LN_CT_Compat_wpJustification] = "ooxml:CT_Compat_wpJustification";
    mMap[NS_ooxml::LN_CT_Compat_noTabHangInd] = "ooxml:CT_Compat_noTabHangInd";
    mMap[NS_ooxml::LN_CT_Compat_noLeading] = "ooxml:CT_Compat_noLeading";
    mMap[NS_ooxml::LN_CT_Compat_spaceForUL] = "ooxml:CT_Compat_spaceForUL";
    mMap[NS_ooxml::LN_CT_Compat_noColumnBalance] = "ooxml:CT_Compat_noColumnBalance";
    mMap[NS_ooxml::LN_CT_Compat_balanceSingleByteDoubleByteWidth] = "ooxml:CT_Compat_balanceSingleByteDoubleByteWidth";
    mMap[NS_ooxml::LN_CT_Compat_noExtraLineSpacing] = "ooxml:CT_Compat_noExtraLineSpacing";
    mMap[NS_ooxml::LN_CT_Compat_doNotLeaveBackslashAlone] = "ooxml:CT_Compat_doNotLeaveBackslashAlone";
    mMap[NS_ooxml::LN_CT_Compat_ulTrailSpace] = "ooxml:CT_Compat_ulTrailSpace";
    mMap[NS_ooxml::LN_CT_Compat_doNotExpandShiftReturn] = "ooxml:CT_Compat_doNotExpandShiftReturn";
    mMap[NS_ooxml::LN_CT_Compat_spacingInWholePoints] = "ooxml:CT_Compat_spacingInWholePoints";
    mMap[NS_ooxml::LN_CT_Compat_lineWrapLikeWord6] = "ooxml:CT_Compat_lineWrapLikeWord6";
    mMap[NS_ooxml::LN_CT_Compat_printBodyTextBeforeHeader] = "ooxml:CT_Compat_printBodyTextBeforeHeader";
    mMap[NS_ooxml::LN_CT_Compat_printColBlack] = "ooxml:CT_Compat_printColBlack";
    mMap[NS_ooxml::LN_CT_Compat_wpSpaceWidth] = "ooxml:CT_Compat_wpSpaceWidth";
    mMap[NS_ooxml::LN_CT_Compat_showBreaksInFrames] = "ooxml:CT_Compat_showBreaksInFrames";
    mMap[NS_ooxml::LN_CT_Compat_subFontBySize] = "ooxml:CT_Compat_subFontBySize";
    mMap[NS_ooxml::LN_CT_Compat_suppressBottomSpacing] = "ooxml:CT_Compat_suppressBottomSpacing";
    mMap[NS_ooxml::LN_CT_Compat_suppressTopSpacing] = "ooxml:CT_Compat_suppressTopSpacing";
    mMap[NS_ooxml::LN_CT_Compat_suppressSpacingAtTopOfPage] = "ooxml:CT_Compat_suppressSpacingAtTopOfPage";
    mMap[NS_ooxml::LN_CT_Compat_suppressTopSpacingWP] = "ooxml:CT_Compat_suppressTopSpacingWP";
    mMap[NS_ooxml::LN_CT_Compat_suppressSpBfAfterPgBrk] = "ooxml:CT_Compat_suppressSpBfAfterPgBrk";
    mMap[NS_ooxml::LN_CT_Compat_swapBordersFacingPages] = "ooxml:CT_Compat_swapBordersFacingPages";
    mMap[NS_ooxml::LN_CT_Compat_convMailMergeEsc] = "ooxml:CT_Compat_convMailMergeEsc";
    mMap[NS_ooxml::LN_CT_Compat_truncateFontHeightsLikeWP6] = "ooxml:CT_Compat_truncateFontHeightsLikeWP6";
    mMap[NS_ooxml::LN_CT_Compat_mwSmallCaps] = "ooxml:CT_Compat_mwSmallCaps";
    mMap[NS_ooxml::LN_CT_Compat_usePrinterMetrics] = "ooxml:CT_Compat_usePrinterMetrics";
    mMap[NS_ooxml::LN_CT_Compat_doNotSuppressParagraphBorders] = "ooxml:CT_Compat_doNotSuppressParagraphBorders";
    mMap[NS_ooxml::LN_CT_Compat_wrapTrailSpaces] = "ooxml:CT_Compat_wrapTrailSpaces";
    mMap[NS_ooxml::LN_CT_Compat_footnoteLayoutLikeWW8] = "ooxml:CT_Compat_footnoteLayoutLikeWW8";
    mMap[NS_ooxml::LN_CT_Compat_shapeLayoutLikeWW8] = "ooxml:CT_Compat_shapeLayoutLikeWW8";
    mMap[NS_ooxml::LN_CT_Compat_alignTablesRowByRow] = "ooxml:CT_Compat_alignTablesRowByRow";
    mMap[NS_ooxml::LN_CT_Compat_forgetLastTabAlignment] = "ooxml:CT_Compat_forgetLastTabAlignment";
    mMap[NS_ooxml::LN_CT_Compat_adjustLineHeightInTable] = "ooxml:CT_Compat_adjustLineHeightInTable";
    mMap[NS_ooxml::LN_CT_Compat_autoSpaceLikeWord95] = "ooxml:CT_Compat_autoSpaceLikeWord95";
    mMap[NS_ooxml::LN_CT_Compat_noSpaceRaiseLower] = "ooxml:CT_Compat_noSpaceRaiseLower";
    mMap[NS_ooxml::LN_CT_Compat_doNotUseHTMLParagraphAutoSpacing] = "ooxml:CT_Compat_doNotUseHTMLParagraphAutoSpacing";
    mMap[NS_ooxml::LN_CT_Compat_layoutRawTableWidth] = "ooxml:CT_Compat_layoutRawTableWidth";
    mMap[NS_ooxml::LN_CT_Compat_layoutTableRowsApart] = "ooxml:CT_Compat_layoutTableRowsApart";
    mMap[NS_ooxml::LN_CT_Compat_useWord97LineBreakRules] = "ooxml:CT_Compat_useWord97LineBreakRules";
    mMap[NS_ooxml::LN_CT_Compat_doNotBreakWrappedTables] = "ooxml:CT_Compat_doNotBreakWrappedTables";
    mMap[NS_ooxml::LN_CT_Compat_doNotSnapToGridInCell] = "ooxml:CT_Compat_doNotSnapToGridInCell";
    mMap[NS_ooxml::LN_CT_Compat_selectFldWithFirstOrLastChar] = "ooxml:CT_Compat_selectFldWithFirstOrLastChar";
    mMap[NS_ooxml::LN_CT_Compat_applyBreakingRules] = "ooxml:CT_Compat_applyBreakingRules";
    mMap[NS_ooxml::LN_CT_Compat_doNotWrapTextWithPunct] = "ooxml:CT_Compat_doNotWrapTextWithPunct";
    mMap[NS_ooxml::LN_CT_Compat_doNotUseEastAsianBreakRules] = "ooxml:CT_Compat_doNotUseEastAsianBreakRules";
    mMap[NS_ooxml::LN_CT_Compat_useWord2002TableStyleRules] = "ooxml:CT_Compat_useWord2002TableStyleRules";
    mMap[NS_ooxml::LN_CT_Compat_growAutofit] = "ooxml:CT_Compat_growAutofit";
    mMap[NS_ooxml::LN_CT_Compat_useFELayout] = "ooxml:CT_Compat_useFELayout";
    mMap[NS_ooxml::LN_CT_Compat_useNormalStyleForList] = "ooxml:CT_Compat_useNormalStyleForList";
    mMap[NS_ooxml::LN_CT_Compat_doNotUseIndentAsNumberingTabStop] = "ooxml:CT_Compat_doNotUseIndentAsNumberingTabStop";
    mMap[NS_ooxml::LN_CT_Compat_useAltKinsokuLineBreakRules] = "ooxml:CT_Compat_useAltKinsokuLineBreakRules";
    mMap[NS_ooxml::LN_CT_Compat_allowSpaceOfSameStyleInTable] = "ooxml:CT_Compat_allowSpaceOfSameStyleInTable";
    mMap[NS_ooxml::LN_CT_Compat_doNotSuppressIndentation] = "ooxml:CT_Compat_doNotSuppressIndentation";
    mMap[NS_ooxml::LN_CT_Compat_doNotAutofitConstrainedTables] = "ooxml:CT_Compat_doNotAutofitConstrainedTables";
    mMap[NS_ooxml::LN_CT_Compat_autofitToFirstFixedWidthCell] = "ooxml:CT_Compat_autofitToFirstFixedWidthCell";
    mMap[NS_ooxml::LN_CT_Compat_underlineTabInNumList] = "ooxml:CT_Compat_underlineTabInNumList";
    mMap[NS_ooxml::LN_CT_Compat_displayHangulFixedWidth] = "ooxml:CT_Compat_displayHangulFixedWidth";
    mMap[NS_ooxml::LN_CT_Compat_splitPgBreakAndParaMark] = "ooxml:CT_Compat_splitPgBreakAndParaMark";
    mMap[NS_ooxml::LN_CT_Compat_doNotVertAlignCellWithSp] = "ooxml:CT_Compat_doNotVertAlignCellWithSp";
    mMap[NS_ooxml::LN_CT_Compat_doNotBreakConstrainedForcedTable] = "ooxml:CT_Compat_doNotBreakConstrainedForcedTable";
    mMap[NS_ooxml::LN_CT_Compat_doNotVertAlignInTxbx] = "ooxml:CT_Compat_doNotVertAlignInTxbx";
    mMap[NS_ooxml::LN_CT_Compat_useAnsiKerningPairs] = "ooxml:CT_Compat_useAnsiKerningPairs";
    mMap[NS_ooxml::LN_CT_Compat_cachedColBalance] = "ooxml:CT_Compat_cachedColBalance";
    mMap[NS_ooxml::LN_CT_Compat_compatSetting] = "ooxml:CT_Compat_compatSetting";
    mMap[NS_ooxml::LN_CT_CompatSetting_name] = "ooxml:CT_CompatSetting_name";
    mMap[NS_ooxml::LN_CT_CompatSetting_uri] = "ooxml:CT_CompatSetting_uri";
    mMap[NS_ooxml::LN_CT_CompatSetting_val] = "ooxml:CT_CompatSetting_val";
    mMap[NS_ooxml::LN_CT_DocVar_name] = "ooxml:CT_DocVar_name";
    mMap[NS_ooxml::LN_CT_DocVar_val] = "ooxml:CT_DocVar_val";
    mMap[NS_ooxml::LN_CT_DocRsids_rsidRoot] = "ooxml:CT_DocRsids_rsidRoot";
    mMap[NS_ooxml::LN_CT_DocRsids_rsid] = "ooxml:CT_DocRsids_rsid";
    mMap[NS_ooxml::LN_CT_CharacterSpacing_val] = "ooxml:CT_CharacterSpacing_val";
    mMap[NS_ooxml::LN_CT_SaveThroughXslt_r_id] = "ooxml:CT_SaveThroughXslt_r_id";
    mMap[NS_ooxml::LN_CT_SaveThroughXslt_solutionID] = "ooxml:CT_SaveThroughXslt_solutionID";
    mMap[NS_ooxml::LN_CT_RPrDefault_rPr] = "ooxml:CT_RPrDefault_rPr";
    mMap[NS_ooxml::LN_CT_PPrDefault_pPr] = "ooxml:CT_PPrDefault_pPr";
    mMap[NS_ooxml::LN_CT_DocDefaults_pPrDefault] = "ooxml:CT_DocDefaults_pPrDefault";
    mMap[NS_ooxml::LN_CT_DocDefaults_rPrDefault] = "ooxml:CT_DocDefaults_rPrDefault";
    mMap[NS_ooxml::LN_CT_LatentStyles_defLockedState] = "ooxml:CT_LatentStyles_defLockedState";
    mMap[NS_ooxml::LN_CT_LatentStyles_defUIPriority] = "ooxml:CT_LatentStyles_defUIPriority";
    mMap[NS_ooxml::LN_CT_LatentStyles_defSemiHidden] = "ooxml:CT_LatentStyles_defSemiHidden";
    mMap[NS_ooxml::LN_CT_LatentStyles_defUnhideWhenUsed] = "ooxml:CT_LatentStyles_defUnhideWhenUsed";
    mMap[NS_ooxml::LN_CT_LatentStyles_defQFormat] = "ooxml:CT_LatentStyles_defQFormat";
    mMap[NS_ooxml::LN_CT_LatentStyles_count] = "ooxml:CT_LatentStyles_count";
    mMap[NS_ooxml::LN_CT_LatentStyles_lsdException] = "ooxml:CT_LatentStyles_lsdException";
    mMap[NS_ooxml::LN_CT_LsdException_name] = "ooxml:CT_LsdException_name";
    mMap[NS_ooxml::LN_CT_LsdException_locked] = "ooxml:CT_LsdException_locked";
    mMap[NS_ooxml::LN_CT_LsdException_uiPriority] = "ooxml:CT_LsdException_uiPriority";
    mMap[NS_ooxml::LN_CT_LsdException_semiHidden] = "ooxml:CT_LsdException_semiHidden";
    mMap[NS_ooxml::LN_CT_LsdException_unhideWhenUsed] = "ooxml:CT_LsdException_unhideWhenUsed";
    mMap[NS_ooxml::LN_CT_LsdException_qFormat] = "ooxml:CT_LsdException_qFormat";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_dark1] = "ooxml:Value_doc_ST_ColorSchemeIndex_dark1";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_light1] = "ooxml:Value_doc_ST_ColorSchemeIndex_light1";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_dark2] = "ooxml:Value_doc_ST_ColorSchemeIndex_dark2";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_light2] = "ooxml:Value_doc_ST_ColorSchemeIndex_light2";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent1] = "ooxml:Value_doc_ST_ColorSchemeIndex_accent1";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent2] = "ooxml:Value_doc_ST_ColorSchemeIndex_accent2";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent3] = "ooxml:Value_doc_ST_ColorSchemeIndex_accent3";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent4] = "ooxml:Value_doc_ST_ColorSchemeIndex_accent4";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent5] = "ooxml:Value_doc_ST_ColorSchemeIndex_accent5";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_accent6] = "ooxml:Value_doc_ST_ColorSchemeIndex_accent6";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_hyperlink] = "ooxml:Value_doc_ST_ColorSchemeIndex_hyperlink";
    mMap[NS_ooxml::LN_Value_doc_ST_ColorSchemeIndex_followedHyperlink] = "ooxml:Value_doc_ST_ColorSchemeIndex_followedHyperlink";
    mMap[NS_ooxml::LN_CT_ReadingModeInkLockDown_actualPg] = "ooxml:CT_ReadingModeInkLockDown_actualPg";
    mMap[NS_ooxml::LN_CT_ReadingModeInkLockDown_w] = "ooxml:CT_ReadingModeInkLockDown_w";
    mMap[NS_ooxml::LN_CT_ReadingModeInkLockDown_h] = "ooxml:CT_ReadingModeInkLockDown_h";
    mMap[NS_ooxml::LN_CT_ReadingModeInkLockDown_fontSz] = "ooxml:CT_ReadingModeInkLockDown_fontSz";
    mMap[NS_ooxml::LN_CT_WriteProtection_recommended] = "ooxml:CT_WriteProtection_recommended";
    mMap[NS_ooxml::LN_SETTINGS] = "ooxml:SETTINGS";
    mMap[NS_ooxml::LN_CT_Settings_writeProtection] = "ooxml:CT_Settings_writeProtection";
    mMap[NS_ooxml::LN_CT_Settings_view] = "ooxml:CT_Settings_view";
    mMap[NS_ooxml::LN_CT_Settings_zoom] = "ooxml:CT_Settings_zoom";
    mMap[NS_ooxml::LN_CT_Settings_removePersonalInformation] = "ooxml:CT_Settings_removePersonalInformation";
    mMap[NS_ooxml::LN_CT_Settings_removeDateAndTime] = "ooxml:CT_Settings_removeDateAndTime";
    mMap[NS_ooxml::LN_CT_Settings_doNotDisplayPageBoundaries] = "ooxml:CT_Settings_doNotDisplayPageBoundaries";
    mMap[NS_ooxml::LN_CT_Settings_displayBackgroundShape] = "ooxml:CT_Settings_displayBackgroundShape";
    mMap[NS_ooxml::LN_CT_Settings_printPostScriptOverText] = "ooxml:CT_Settings_printPostScriptOverText";
    mMap[NS_ooxml::LN_CT_Settings_printFractionalCharacterWidth] = "ooxml:CT_Settings_printFractionalCharacterWidth";
    mMap[NS_ooxml::LN_CT_Settings_printFormsData] = "ooxml:CT_Settings_printFormsData";
    mMap[NS_ooxml::LN_CT_Settings_embedTrueTypeFonts] = "ooxml:CT_Settings_embedTrueTypeFonts";
    mMap[NS_ooxml::LN_CT_Settings_embedSystemFonts] = "ooxml:CT_Settings_embedSystemFonts";
    mMap[NS_ooxml::LN_CT_Settings_saveSubsetFonts] = "ooxml:CT_Settings_saveSubsetFonts";
    mMap[NS_ooxml::LN_CT_Settings_saveFormsData] = "ooxml:CT_Settings_saveFormsData";
    mMap[NS_ooxml::LN_CT_Settings_mirrorMargins] = "ooxml:CT_Settings_mirrorMargins";
    mMap[NS_ooxml::LN_CT_Settings_alignBordersAndEdges] = "ooxml:CT_Settings_alignBordersAndEdges";
    mMap[NS_ooxml::LN_CT_Settings_bordersDoNotSurroundHeader] = "ooxml:CT_Settings_bordersDoNotSurroundHeader";
    mMap[NS_ooxml::LN_CT_Settings_bordersDoNotSurroundFooter] = "ooxml:CT_Settings_bordersDoNotSurroundFooter";
    mMap[NS_ooxml::LN_CT_Settings_gutterAtTop] = "ooxml:CT_Settings_gutterAtTop";
    mMap[NS_ooxml::LN_CT_Settings_hideSpellingErrors] = "ooxml:CT_Settings_hideSpellingErrors";
    mMap[NS_ooxml::LN_CT_Settings_hideGrammaticalErrors] = "ooxml:CT_Settings_hideGrammaticalErrors";
    mMap[NS_ooxml::LN_CT_Settings_activeWritingStyle] = "ooxml:CT_Settings_activeWritingStyle";
    mMap[NS_ooxml::LN_CT_Settings_proofState] = "ooxml:CT_Settings_proofState";
    mMap[NS_ooxml::LN_CT_Settings_formsDesign] = "ooxml:CT_Settings_formsDesign";
    mMap[NS_ooxml::LN_CT_Settings_attachedTemplate] = "ooxml:CT_Settings_attachedTemplate";
    mMap[NS_ooxml::LN_CT_Settings_linkStyles] = "ooxml:CT_Settings_linkStyles";
    mMap[NS_ooxml::LN_CT_Settings_stylePaneFormatFilter] = "ooxml:CT_Settings_stylePaneFormatFilter";
    mMap[NS_ooxml::LN_CT_Settings_stylePaneSortMethod] = "ooxml:CT_Settings_stylePaneSortMethod";
    mMap[NS_ooxml::LN_CT_Settings_documentType] = "ooxml:CT_Settings_documentType";
    mMap[NS_ooxml::LN_CT_Settings_mailMerge] = "ooxml:CT_Settings_mailMerge";
    mMap[NS_ooxml::LN_CT_Settings_revisionView] = "ooxml:CT_Settings_revisionView";
    mMap[NS_ooxml::LN_CT_Settings_trackRevisions] = "ooxml:CT_Settings_trackRevisions";
    mMap[NS_ooxml::LN_CT_Settings_doNotTrackMoves] = "ooxml:CT_Settings_doNotTrackMoves";
    mMap[NS_ooxml::LN_CT_Settings_doNotTrackFormatting] = "ooxml:CT_Settings_doNotTrackFormatting";
    mMap[NS_ooxml::LN_CT_Settings_documentProtection] = "ooxml:CT_Settings_documentProtection";
    mMap[NS_ooxml::LN_CT_Settings_autoFormatOverride] = "ooxml:CT_Settings_autoFormatOverride";
    mMap[NS_ooxml::LN_CT_Settings_styleLockTheme] = "ooxml:CT_Settings_styleLockTheme";
    mMap[NS_ooxml::LN_CT_Settings_styleLockQFSet] = "ooxml:CT_Settings_styleLockQFSet";
    mMap[NS_ooxml::LN_CT_Settings_defaultTabStop] = "ooxml:CT_Settings_defaultTabStop";
    mMap[NS_ooxml::LN_CT_Settings_autoHyphenation] = "ooxml:CT_Settings_autoHyphenation";
    mMap[NS_ooxml::LN_CT_Settings_consecutiveHyphenLimit] = "ooxml:CT_Settings_consecutiveHyphenLimit";
    mMap[NS_ooxml::LN_CT_Settings_hyphenationZone] = "ooxml:CT_Settings_hyphenationZone";
    mMap[NS_ooxml::LN_CT_Settings_doNotHyphenateCaps] = "ooxml:CT_Settings_doNotHyphenateCaps";
    mMap[NS_ooxml::LN_CT_Settings_showEnvelope] = "ooxml:CT_Settings_showEnvelope";
    mMap[NS_ooxml::LN_CT_Settings_summaryLength] = "ooxml:CT_Settings_summaryLength";
    mMap[NS_ooxml::LN_CT_Settings_clickAndTypeStyle] = "ooxml:CT_Settings_clickAndTypeStyle";
    mMap[NS_ooxml::LN_CT_Settings_defaultTableStyle] = "ooxml:CT_Settings_defaultTableStyle";
    mMap[NS_ooxml::LN_CT_Settings_evenAndOddHeaders] = "ooxml:CT_Settings_evenAndOddHeaders";
    mMap[NS_ooxml::LN_CT_Settings_bookFoldRevPrinting] = "ooxml:CT_Settings_bookFoldRevPrinting";
    mMap[NS_ooxml::LN_CT_Settings_bookFoldPrinting] = "ooxml:CT_Settings_bookFoldPrinting";
    mMap[NS_ooxml::LN_CT_Settings_bookFoldPrintingSheets] = "ooxml:CT_Settings_bookFoldPrintingSheets";
    mMap[NS_ooxml::LN_CT_Settings_drawingGridHorizontalSpacing] = "ooxml:CT_Settings_drawingGridHorizontalSpacing";
    mMap[NS_ooxml::LN_CT_Settings_drawingGridVerticalSpacing] = "ooxml:CT_Settings_drawingGridVerticalSpacing";
    mMap[NS_ooxml::LN_CT_Settings_displayHorizontalDrawingGridEvery] = "ooxml:CT_Settings_displayHorizontalDrawingGridEvery";
    mMap[NS_ooxml::LN_CT_Settings_displayVerticalDrawingGridEvery] = "ooxml:CT_Settings_displayVerticalDrawingGridEvery";
    mMap[NS_ooxml::LN_CT_Settings_doNotUseMarginsForDrawingGridOrigin] = "ooxml:CT_Settings_doNotUseMarginsForDrawingGridOrigin";
    mMap[NS_ooxml::LN_CT_Settings_drawingGridHorizontalOrigin] = "ooxml:CT_Settings_drawingGridHorizontalOrigin";
    mMap[NS_ooxml::LN_CT_Settings_drawingGridVerticalOrigin] = "ooxml:CT_Settings_drawingGridVerticalOrigin";
    mMap[NS_ooxml::LN_CT_Settings_doNotShadeFormData] = "ooxml:CT_Settings_doNotShadeFormData";
    mMap[NS_ooxml::LN_CT_Settings_noPunctuationKerning] = "ooxml:CT_Settings_noPunctuationKerning";
    mMap[NS_ooxml::LN_CT_Settings_characterSpacingControl] = "ooxml:CT_Settings_characterSpacingControl";
    mMap[NS_ooxml::LN_CT_Settings_printTwoOnOne] = "ooxml:CT_Settings_printTwoOnOne";
    mMap[NS_ooxml::LN_CT_Settings_strictFirstAndLastChars] = "ooxml:CT_Settings_strictFirstAndLastChars";
    mMap[NS_ooxml::LN_CT_Settings_noLineBreaksAfter] = "ooxml:CT_Settings_noLineBreaksAfter";
    mMap[NS_ooxml::LN_CT_Settings_noLineBreaksBefore] = "ooxml:CT_Settings_noLineBreaksBefore";
    mMap[NS_ooxml::LN_CT_Settings_savePreviewPicture] = "ooxml:CT_Settings_savePreviewPicture";
    mMap[NS_ooxml::LN_CT_Settings_doNotValidateAgainstSchema] = "ooxml:CT_Settings_doNotValidateAgainstSchema";
    mMap[NS_ooxml::LN_CT_Settings_saveInvalidXml] = "ooxml:CT_Settings_saveInvalidXml";
    mMap[NS_ooxml::LN_CT_Settings_ignoreMixedContent] = "ooxml:CT_Settings_ignoreMixedContent";
    mMap[NS_ooxml::LN_CT_Settings_alwaysShowPlaceholderText] = "ooxml:CT_Settings_alwaysShowPlaceholderText";
    mMap[NS_ooxml::LN_CT_Settings_doNotDemarcateInvalidXml] = "ooxml:CT_Settings_doNotDemarcateInvalidXml";
    mMap[NS_ooxml::LN_CT_Settings_saveXmlDataOnly] = "ooxml:CT_Settings_saveXmlDataOnly";
    mMap[NS_ooxml::LN_CT_Settings_useXSLTWhenSaving] = "ooxml:CT_Settings_useXSLTWhenSaving";
    mMap[NS_ooxml::LN_CT_Settings_saveThroughXslt] = "ooxml:CT_Settings_saveThroughXslt";
    mMap[NS_ooxml::LN_CT_Settings_showXMLTags] = "ooxml:CT_Settings_showXMLTags";
    mMap[NS_ooxml::LN_CT_Settings_alwaysMergeEmptyNamespace] = "ooxml:CT_Settings_alwaysMergeEmptyNamespace";
    mMap[NS_ooxml::LN_CT_Settings_updateFields] = "ooxml:CT_Settings_updateFields";
    mMap[NS_ooxml::LN_CT_Settings_hdrShapeDefaults] = "ooxml:CT_Settings_hdrShapeDefaults";
    mMap[NS_ooxml::LN_CT_Settings_footnotePr] = "ooxml:CT_Settings_footnotePr";
    mMap[NS_ooxml::LN_CT_Settings_endnotePr] = "ooxml:CT_Settings_endnotePr";
    mMap[NS_ooxml::LN_CT_Settings_compat] = "ooxml:CT_Settings_compat";
    mMap[NS_ooxml::LN_CT_Settings_docVars] = "ooxml:CT_Settings_docVars";
    mMap[NS_ooxml::LN_CT_Settings_rsids] = "ooxml:CT_Settings_rsids";
    mMap[NS_ooxml::LN_CT_Settings_uiCompat97To2003] = "ooxml:CT_Settings_uiCompat97To2003";
    mMap[NS_ooxml::LN_CT_Settings_attachedSchema] = "ooxml:CT_Settings_attachedSchema";
    mMap[NS_ooxml::LN_CT_Settings_themeFontLang] = "ooxml:CT_Settings_themeFontLang";
    mMap[NS_ooxml::LN_CT_Settings_clrSchemeMapping] = "ooxml:CT_Settings_clrSchemeMapping";
    mMap[NS_ooxml::LN_CT_Settings_doNotIncludeSubdocsInStats] = "ooxml:CT_Settings_doNotIncludeSubdocsInStats";
    mMap[NS_ooxml::LN_CT_Settings_doNotAutoCompressPictures] = "ooxml:CT_Settings_doNotAutoCompressPictures";
    mMap[NS_ooxml::LN_CT_Settings_forceUpgrade] = "ooxml:CT_Settings_forceUpgrade";
    mMap[NS_ooxml::LN_CT_Settings_captions] = "ooxml:CT_Settings_captions";
    mMap[NS_ooxml::LN_CT_Settings_readModeInkLockDown] = "ooxml:CT_Settings_readModeInkLockDown";
    mMap[NS_ooxml::LN_CT_Settings_smartTagType] = "ooxml:CT_Settings_smartTagType";
    mMap[NS_ooxml::LN_CT_Settings_shapeDefaults] = "ooxml:CT_Settings_shapeDefaults";
    mMap[NS_ooxml::LN_CT_Settings_doNotEmbedSmartTags] = "ooxml:CT_Settings_doNotEmbedSmartTags";
    mMap[NS_ooxml::LN_CT_Settings_decimalSymbol] = "ooxml:CT_Settings_decimalSymbol";
    mMap[NS_ooxml::LN_CT_Settings_listSeparator] = "ooxml:CT_Settings_listSeparator";
    mMap[NS_ooxml::LN_CT_FrameScrollbar_val] = "ooxml:CT_FrameScrollbar_val";
    mMap[NS_ooxml::LN_CT_FrameLayout_val] = "ooxml:CT_FrameLayout_val";
    mMap[NS_ooxml::LN_CT_LevelSuffix_val] = "ooxml:CT_LevelSuffix_val";
    mMap[NS_ooxml::LN_CT_LevelText_val] = "ooxml:CT_LevelText_val";
    mMap[NS_ooxml::LN_CT_LevelText_null] = "ooxml:CT_LevelText_null";
    mMap[NS_ooxml::LN_CT_LvlLegacy_legacy] = "ooxml:CT_LvlLegacy_legacy";
    mMap[NS_ooxml::LN_CT_LvlLegacy_legacySpace] = "ooxml:CT_LvlLegacy_legacySpace";
    mMap[NS_ooxml::LN_CT_LvlLegacy_legacyIndent] = "ooxml:CT_LvlLegacy_legacyIndent";
    mMap[NS_ooxml::LN_CT_Lvl_start] = "ooxml:CT_Lvl_start";
    mMap[NS_ooxml::LN_CT_Lvl_numFmt] = "ooxml:CT_Lvl_numFmt";
    mMap[NS_ooxml::LN_CT_Lvl_lvlRestart] = "ooxml:CT_Lvl_lvlRestart";
    mMap[NS_ooxml::LN_CT_Lvl_pStyle] = "ooxml:CT_Lvl_pStyle";
    mMap[NS_ooxml::LN_CT_Lvl_isLgl] = "ooxml:CT_Lvl_isLgl";
    mMap[NS_ooxml::LN_CT_Lvl_suff] = "ooxml:CT_Lvl_suff";
    mMap[NS_ooxml::LN_CT_Lvl_lvlText] = "ooxml:CT_Lvl_lvlText";
    mMap[NS_ooxml::LN_CT_Lvl_lvlPicBulletId] = "ooxml:CT_Lvl_lvlPicBulletId";
    mMap[NS_ooxml::LN_CT_Lvl_legacy] = "ooxml:CT_Lvl_legacy";
    mMap[NS_ooxml::LN_CT_Lvl_lvlJc] = "ooxml:CT_Lvl_lvlJc";
    mMap[NS_ooxml::LN_CT_Lvl_pPr] = "ooxml:CT_Lvl_pPr";
    mMap[NS_ooxml::LN_CT_Lvl_rPr] = "ooxml:CT_Lvl_rPr";
    mMap[NS_ooxml::LN_CT_Lvl_ilvl] = "ooxml:CT_Lvl_ilvl";
    mMap[NS_ooxml::LN_CT_Lvl_tplc] = "ooxml:CT_Lvl_tplc";
    mMap[NS_ooxml::LN_CT_Lvl_tentative] = "ooxml:CT_Lvl_tentative";
    mMap[NS_ooxml::LN_Value_ST_MultiLevelType_singleLevel] = "ooxml:Value_ST_MultiLevelType_singleLevel";
    mMap[NS_ooxml::LN_Value_ST_MultiLevelType_multilevel] = "ooxml:Value_ST_MultiLevelType_multilevel";
    mMap[NS_ooxml::LN_Value_ST_MultiLevelType_hybridMultilevel] = "ooxml:Value_ST_MultiLevelType_hybridMultilevel";
    mMap[NS_ooxml::LN_CT_MultiLevelType_val] = "ooxml:CT_MultiLevelType_val";
    mMap[NS_ooxml::LN_CT_NumPicBullet_pict] = "ooxml:CT_NumPicBullet_pict";
    mMap[NS_ooxml::LN_CT_NumPicBullet_numPicBulletId] = "ooxml:CT_NumPicBullet_numPicBulletId";
    mMap[NS_ooxml::LN_CT_AbstractNum_nsid] = "ooxml:CT_AbstractNum_nsid";
    mMap[NS_ooxml::LN_CT_AbstractNum_multiLevelType] = "ooxml:CT_AbstractNum_multiLevelType";
    mMap[NS_ooxml::LN_CT_AbstractNum_tmpl] = "ooxml:CT_AbstractNum_tmpl";
    mMap[NS_ooxml::LN_CT_AbstractNum_name] = "ooxml:CT_AbstractNum_name";
    mMap[NS_ooxml::LN_CT_AbstractNum_styleLink] = "ooxml:CT_AbstractNum_styleLink";
    mMap[NS_ooxml::LN_CT_AbstractNum_numStyleLink] = "ooxml:CT_AbstractNum_numStyleLink";
    mMap[NS_ooxml::LN_CT_AbstractNum_lvl] = "ooxml:CT_AbstractNum_lvl";
    mMap[NS_ooxml::LN_CT_AbstractNum_abstractNumId] = "ooxml:CT_AbstractNum_abstractNumId";
    mMap[NS_ooxml::LN_CT_NumLvl_startOverride] = "ooxml:CT_NumLvl_startOverride";
    mMap[NS_ooxml::LN_CT_NumLvl_lvl] = "ooxml:CT_NumLvl_lvl";
    mMap[NS_ooxml::LN_CT_NumLvl_ilvl] = "ooxml:CT_NumLvl_ilvl";
    mMap[NS_ooxml::LN_CT_Num_abstractNumId] = "ooxml:CT_Num_abstractNumId";
    mMap[NS_ooxml::LN_CT_Num_lvlOverride] = "ooxml:CT_Num_lvlOverride";
    mMap[NS_ooxml::LN_CT_Num_numId] = "ooxml:CT_Num_numId";
    mMap[NS_ooxml::LN_NUMBERING] = "ooxml:NUMBERING";
    mMap[NS_ooxml::LN_CT_Numbering_numPicBullet] = "ooxml:CT_Numbering_numPicBullet";
    mMap[NS_ooxml::LN_CT_Numbering_abstractNum] = "ooxml:CT_Numbering_abstractNum";
    mMap[NS_ooxml::LN_CT_Numbering_num] = "ooxml:CT_Numbering_num";
    mMap[NS_ooxml::LN_CT_Numbering_numIdMacAtCleanup] = "ooxml:CT_Numbering_numIdMacAtCleanup";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_wholeTable] = "ooxml:Value_ST_TblStyleOverrideType_wholeTable";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_firstRow] = "ooxml:Value_ST_TblStyleOverrideType_firstRow";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_lastRow] = "ooxml:Value_ST_TblStyleOverrideType_lastRow";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_firstCol] = "ooxml:Value_ST_TblStyleOverrideType_firstCol";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_lastCol] = "ooxml:Value_ST_TblStyleOverrideType_lastCol";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_band1Vert] = "ooxml:Value_ST_TblStyleOverrideType_band1Vert";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_band2Vert] = "ooxml:Value_ST_TblStyleOverrideType_band2Vert";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_band1Horz] = "ooxml:Value_ST_TblStyleOverrideType_band1Horz";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_band2Horz] = "ooxml:Value_ST_TblStyleOverrideType_band2Horz";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_neCell] = "ooxml:Value_ST_TblStyleOverrideType_neCell";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_nwCell] = "ooxml:Value_ST_TblStyleOverrideType_nwCell";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_seCell] = "ooxml:Value_ST_TblStyleOverrideType_seCell";
    mMap[NS_ooxml::LN_Value_ST_TblStyleOverrideType_swCell] = "ooxml:Value_ST_TblStyleOverrideType_swCell";
    mMap[NS_ooxml::LN_CT_PPrBase] = "ooxml:CT_PPrBase";
    mMap[NS_ooxml::LN_EG_RPrBase] = "ooxml:EG_RPrBase";
    mMap[NS_ooxml::LN_CT_TblPrBase] = "ooxml:CT_TblPrBase";
    mMap[NS_ooxml::LN_CT_TrPrBase] = "ooxml:CT_TrPrBase";
    mMap[NS_ooxml::LN_CT_TcPrBase] = "ooxml:CT_TcPrBase";
    mMap[NS_ooxml::LN_CT_TblStyleOverrideType] = "ooxml:CT_TblStyleOverrideType";
    mMap[NS_ooxml::LN_Value_ST_StyleType_paragraph] = "ooxml:Value_ST_StyleType_paragraph";
    mMap[NS_ooxml::LN_Value_ST_StyleType_character] = "ooxml:Value_ST_StyleType_character";
    mMap[NS_ooxml::LN_Value_ST_StyleType_table] = "ooxml:Value_ST_StyleType_table";
    mMap[NS_ooxml::LN_Value_ST_StyleType_numbering] = "ooxml:Value_ST_StyleType_numbering";
    mMap[NS_ooxml::LN_CT_Style_name] = "ooxml:CT_Style_name";
    mMap[NS_ooxml::LN_CT_Style_aliases] = "ooxml:CT_Style_aliases";
    mMap[NS_ooxml::LN_CT_Style_basedOn] = "ooxml:CT_Style_basedOn";
    mMap[NS_ooxml::LN_CT_Style_next] = "ooxml:CT_Style_next";
    mMap[NS_ooxml::LN_CT_Style_link] = "ooxml:CT_Style_link";
    mMap[NS_ooxml::LN_CT_Style_autoRedefine] = "ooxml:CT_Style_autoRedefine";
    mMap[NS_ooxml::LN_CT_Style_hidden] = "ooxml:CT_Style_hidden";
    mMap[NS_ooxml::LN_CT_Style_uiPriority] = "ooxml:CT_Style_uiPriority";
    mMap[NS_ooxml::LN_CT_Style_semiHidden] = "ooxml:CT_Style_semiHidden";
    mMap[NS_ooxml::LN_CT_Style_unhideWhenUsed] = "ooxml:CT_Style_unhideWhenUsed";
    mMap[NS_ooxml::LN_CT_Style_qFormat] = "ooxml:CT_Style_qFormat";
    mMap[NS_ooxml::LN_CT_Style_locked] = "ooxml:CT_Style_locked";
    mMap[NS_ooxml::LN_CT_Style_personal] = "ooxml:CT_Style_personal";
    mMap[NS_ooxml::LN_CT_Style_personalCompose] = "ooxml:CT_Style_personalCompose";
    mMap[NS_ooxml::LN_CT_Style_personalReply] = "ooxml:CT_Style_personalReply";
    mMap[NS_ooxml::LN_CT_Style_rsid] = "ooxml:CT_Style_rsid";
    mMap[NS_ooxml::LN_CT_Style_pPr] = "ooxml:CT_Style_pPr";
    mMap[NS_ooxml::LN_CT_Style_rPr] = "ooxml:CT_Style_rPr";
    mMap[NS_ooxml::LN_CT_Style_tblPr] = "ooxml:CT_Style_tblPr";
    mMap[NS_ooxml::LN_CT_Style_trPr] = "ooxml:CT_Style_trPr";
    mMap[NS_ooxml::LN_CT_Style_tcPr] = "ooxml:CT_Style_tcPr";
    mMap[NS_ooxml::LN_CT_Style_tblStylePr] = "ooxml:CT_Style_tblStylePr";
    mMap[NS_ooxml::LN_CT_Style_type] = "ooxml:CT_Style_type";
    mMap[NS_ooxml::LN_CT_Style_styleId] = "ooxml:CT_Style_styleId";
    mMap[NS_ooxml::LN_CT_Style_default] = "ooxml:CT_Style_default";
    mMap[NS_ooxml::LN_CT_Style_customStyle] = "ooxml:CT_Style_customStyle";
    mMap[NS_ooxml::LN_STYLESHEET] = "ooxml:STYLESHEET";
    mMap[NS_ooxml::LN_CT_Panose_val] = "ooxml:CT_Panose_val";
    mMap[NS_ooxml::LN_CT_Charset_val] = "ooxml:CT_Charset_val";
    mMap[NS_ooxml::LN_CT_Charset_characterSet] = "ooxml:CT_Charset_characterSet";
    mMap[NS_ooxml::LN_Value_ST_FontFamily_decorative] = "ooxml:Value_ST_FontFamily_decorative";
    mMap[NS_ooxml::LN_Value_ST_FontFamily_modern] = "ooxml:Value_ST_FontFamily_modern";
    mMap[NS_ooxml::LN_Value_ST_FontFamily_roman] = "ooxml:Value_ST_FontFamily_roman";
    mMap[NS_ooxml::LN_Value_ST_FontFamily_script] = "ooxml:Value_ST_FontFamily_script";
    mMap[NS_ooxml::LN_Value_ST_FontFamily_swiss] = "ooxml:Value_ST_FontFamily_swiss";
    mMap[NS_ooxml::LN_Value_ST_FontFamily_auto] = "ooxml:Value_ST_FontFamily_auto";
    mMap[NS_ooxml::LN_CT_FontFamily_val] = "ooxml:CT_FontFamily_val";
    mMap[NS_ooxml::LN_Value_ST_Pitch_fixed] = "ooxml:Value_ST_Pitch_fixed";
    mMap[NS_ooxml::LN_Value_ST_Pitch_variable] = "ooxml:Value_ST_Pitch_variable";
    mMap[NS_ooxml::LN_Value_ST_Pitch_default] = "ooxml:Value_ST_Pitch_default";
    mMap[NS_ooxml::LN_CT_Pitch_val] = "ooxml:CT_Pitch_val";
    mMap[NS_ooxml::LN_CT_FontSig_usb0] = "ooxml:CT_FontSig_usb0";
    mMap[NS_ooxml::LN_CT_FontSig_usb1] = "ooxml:CT_FontSig_usb1";
    mMap[NS_ooxml::LN_CT_FontSig_usb2] = "ooxml:CT_FontSig_usb2";
    mMap[NS_ooxml::LN_CT_FontSig_usb3] = "ooxml:CT_FontSig_usb3";
    mMap[NS_ooxml::LN_CT_FontSig_csb0] = "ooxml:CT_FontSig_csb0";
    mMap[NS_ooxml::LN_CT_FontSig_csb1] = "ooxml:CT_FontSig_csb1";
    mMap[NS_ooxml::LN_CT_FontRel_fontKey] = "ooxml:CT_FontRel_fontKey";
    mMap[NS_ooxml::LN_CT_FontRel_subsetted] = "ooxml:CT_FontRel_subsetted";
    mMap[NS_ooxml::LN_CT_Font_altName] = "ooxml:CT_Font_altName";
    mMap[NS_ooxml::LN_CT_Font_panose1] = "ooxml:CT_Font_panose1";
    mMap[NS_ooxml::LN_CT_Font_charset] = "ooxml:CT_Font_charset";
    mMap[NS_ooxml::LN_CT_Font_characterSet] = "ooxml:CT_Font_characterSet";
    mMap[NS_ooxml::LN_CT_Font_family] = "ooxml:CT_Font_family";
    mMap[NS_ooxml::LN_CT_Font_notTrueType] = "ooxml:CT_Font_notTrueType";
    mMap[NS_ooxml::LN_CT_Font_pitch] = "ooxml:CT_Font_pitch";
    mMap[NS_ooxml::LN_CT_Font_sig] = "ooxml:CT_Font_sig";
    mMap[NS_ooxml::LN_CT_Font_embedRegular] = "ooxml:CT_Font_embedRegular";
    mMap[NS_ooxml::LN_CT_Font_embedBold] = "ooxml:CT_Font_embedBold";
    mMap[NS_ooxml::LN_CT_Font_embedItalic] = "ooxml:CT_Font_embedItalic";
    mMap[NS_ooxml::LN_CT_Font_embedBoldItalic] = "ooxml:CT_Font_embedBoldItalic";
    mMap[NS_ooxml::LN_CT_Font_name] = "ooxml:CT_Font_name";
    mMap[NS_ooxml::LN_FONTTABLE] = "ooxml:FONTTABLE";
    mMap[NS_ooxml::LN_EG_RunLevelElts_proofErr] = "ooxml:EG_RunLevelElts_proofErr";
    mMap[NS_ooxml::LN_EG_RunLevelElts_permStart] = "ooxml:EG_RunLevelElts_permStart";
    mMap[NS_ooxml::LN_EG_RunLevelElts_permEnd] = "ooxml:EG_RunLevelElts_permEnd";
    mMap[NS_ooxml::LN_EG_RunLevelElts_ins] = "ooxml:EG_RunLevelElts_ins";
    mMap[NS_ooxml::LN_EG_RunLevelElts_del] = "ooxml:EG_RunLevelElts_del";
    mMap[NS_ooxml::LN_EG_RunLevelElts_moveFrom] = "ooxml:EG_RunLevelElts_moveFrom";
    mMap[NS_ooxml::LN_EG_RunLevelElts_moveTo] = "ooxml:EG_RunLevelElts_moveTo";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_v_fill] = "ooxml:CT_ShapeDefaults_v_fill";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_v_stroke] = "ooxml:CT_ShapeDefaults_v_stroke";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_v_textbox] = "ooxml:CT_ShapeDefaults_v_textbox";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_v_shadow] = "ooxml:CT_ShapeDefaults_v_shadow";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_colormru] = "ooxml:CT_ShapeDefaults_colormru";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_colormenu] = "ooxml:CT_ShapeDefaults_colormenu";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_spidmax] = "ooxml:CT_ShapeDefaults_spidmax";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_style] = "ooxml:CT_ShapeDefaults_style";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_fill] = "ooxml:CT_ShapeDefaults_fill";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_fillcolor] = "ooxml:CT_ShapeDefaults_fillcolor";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_stroke] = "ooxml:CT_ShapeDefaults_stroke";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_strokecolor] = "ooxml:CT_ShapeDefaults_strokecolor";
    mMap[NS_ooxml::LN_CT_ShapeDefaults_allowincell] = "ooxml:CT_ShapeDefaults_allowincell";
    mMap[NS_ooxml::LN_CT_SmartTagType_namespaceuri] = "ooxml:CT_SmartTagType_namespaceuri";
    mMap[NS_ooxml::LN_CT_SmartTagType_name] = "ooxml:CT_SmartTagType_name";
    mMap[NS_ooxml::LN_CT_SmartTagType_url] = "ooxml:CT_SmartTagType_url";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_dark1] = "ooxml:Value_St_ThemeColor_dark1";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_light1] = "ooxml:Value_St_ThemeColor_light1";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_dark2] = "ooxml:Value_St_ThemeColor_dark2";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_light2] = "ooxml:Value_St_ThemeColor_light2";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_accent1] = "ooxml:Value_St_ThemeColor_accent1";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_accent2] = "ooxml:Value_St_ThemeColor_accent2";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_accent3] = "ooxml:Value_St_ThemeColor_accent3";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_accent4] = "ooxml:Value_St_ThemeColor_accent4";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_accent5] = "ooxml:Value_St_ThemeColor_accent5";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_accent6] = "ooxml:Value_St_ThemeColor_accent6";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_hyperlink] = "ooxml:Value_St_ThemeColor_hyperlink";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_followedHyperlink] = "ooxml:Value_St_ThemeColor_followedHyperlink";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_none] = "ooxml:Value_St_ThemeColor_none";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_background1] = "ooxml:Value_St_ThemeColor_background1";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_text1] = "ooxml:Value_St_ThemeColor_text1";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_background2] = "ooxml:Value_St_ThemeColor_background2";
    mMap[NS_ooxml::LN_Value_St_ThemeColor_text2] = "ooxml:Value_St_ThemeColor_text2";
    mMap[NS_ooxml::LN_CT_DocPartBehavior_val] = "ooxml:CT_DocPartBehavior_val";
    mMap[NS_ooxml::LN_CT_DocPartType_val] = "ooxml:CT_DocPartType_val";
    mMap[NS_ooxml::LN_CT_DocPartGallery_val] = "ooxml:CT_DocPartGallery_val";
    mMap[NS_ooxml::LN_CT_DocPartName_val] = "ooxml:CT_DocPartName_val";
    mMap[NS_ooxml::LN_CT_DocPartName_decorated] = "ooxml:CT_DocPartName_decorated";
    mMap[NS_ooxml::LN_settings_settings] = "ooxml:settings_settings";
    mMap[NS_ooxml::LN_Value_doc_ST_CaptionPos_above] = "ooxml:Value_doc_ST_CaptionPos_above";
    mMap[NS_ooxml::LN_Value_doc_ST_CaptionPos_below] = "ooxml:Value_doc_ST_CaptionPos_below";
    mMap[NS_ooxml::LN_Value_doc_ST_CaptionPos_left] = "ooxml:Value_doc_ST_CaptionPos_left";
    mMap[NS_ooxml::LN_Value_doc_ST_CaptionPos_right] = "ooxml:Value_doc_ST_CaptionPos_right";
    mMap[NS_ooxml::LN_CT_Caption_name] = "ooxml:CT_Caption_name";
    mMap[NS_ooxml::LN_CT_Caption_pos] = "ooxml:CT_Caption_pos";
    mMap[NS_ooxml::LN_CT_Caption_chapNum] = "ooxml:CT_Caption_chapNum";
    mMap[NS_ooxml::LN_CT_Caption_heading] = "ooxml:CT_Caption_heading";
    mMap[NS_ooxml::LN_CT_Caption_noLabel] = "ooxml:CT_Caption_noLabel";
    mMap[NS_ooxml::LN_CT_Caption_numFmt] = "ooxml:CT_Caption_numFmt";
    mMap[NS_ooxml::LN_CT_Caption_sep] = "ooxml:CT_Caption_sep";
    mMap[NS_ooxml::LN_CT_AutoCaption_name] = "ooxml:CT_AutoCaption_name";
    mMap[NS_ooxml::LN_CT_AutoCaption_caption] = "ooxml:CT_AutoCaption_caption";
    mMap[NS_ooxml::LN_CT_AutoCaptions_autoCaption] = "ooxml:CT_AutoCaptions_autoCaption";
    mMap[NS_ooxml::LN_CT_Captions_caption] = "ooxml:CT_Captions_caption";
    mMap[NS_ooxml::LN_CT_Captions_autoCaptions] = "ooxml:CT_Captions_autoCaptions";
    mMap[NS_ooxml::LN_CT_DocumentBase_background] = "ooxml:CT_DocumentBase_background";
    mMap[NS_ooxml::LN_CT_DocPartPr_name] = "ooxml:CT_DocPartPr_name";
    mMap[NS_ooxml::LN_CT_DocPartPr_category] = "ooxml:CT_DocPartPr_category";
    mMap[NS_ooxml::LN_CT_DocPartCategory_gallery] = "ooxml:CT_DocPartCategory_gallery";
#endif
}

}

